/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALLED = 310,
    CASCADE = 311,
    CASCADED = 312,
    CASE = 313,
    CAST = 314,
    CATALOG_P = 315,
    CHAIN = 316,
    CHAR_P = 317,
    CHARACTER = 318,
    CHARACTERISTICS = 319,
    CHECK = 320,
    CHECKPOINT = 321,
    CLASS = 322,
    CLOSE = 323,
    CLUSTER = 324,
    COALESCE = 325,
    COLLATE = 326,
    COLLATION = 327,
    COLUMN = 328,
    COLUMNS = 329,
    COMMENT = 330,
    COMMENTS = 331,
    COMMIT = 332,
    COMMITTED = 333,
    CONCURRENTLY = 334,
    CONFIGURATION = 335,
    CONFLICT = 336,
    CONNECTION = 337,
    CONSTRAINT = 338,
    CONSTRAINTS = 339,
    CONTENT_P = 340,
    CONTINUE_P = 341,
    CONVERSION_P = 342,
    COPY = 343,
    COST = 344,
    CREATE = 345,
    CROSS = 346,
    CSV = 347,
    CUBE = 348,
    CURRENT_P = 349,
    CURRENT_CATALOG = 350,
    CURRENT_DATE = 351,
    CURRENT_ROLE = 352,
    CURRENT_SCHEMA = 353,
    CURRENT_TIME = 354,
    CURRENT_TIMESTAMP = 355,
    CURRENT_USER = 356,
    CURSOR = 357,
    CYCLE = 358,
    DATA_P = 359,
    DATABASE = 360,
    DAY_P = 361,
    DEALLOCATE = 362,
    DEC = 363,
    DECIMAL_P = 364,
    DECLARE = 365,
    DEFAULT = 366,
    DEFAULTS = 367,
    DEFERRABLE = 368,
    DEFERRED = 369,
    DEFINER = 370,
    DELETE_P = 371,
    DELIMITER = 372,
    DELIMITERS = 373,
    DEPENDS = 374,
    DESC = 375,
    DETACH = 376,
    DICTIONARY = 377,
    DISABLE_P = 378,
    DISCARD = 379,
    DISTINCT = 380,
    DO = 381,
    DOCUMENT_P = 382,
    DOMAIN_P = 383,
    DOUBLE_P = 384,
    DROP = 385,
    EACH = 386,
    ELSE = 387,
    ENABLE_P = 388,
    ENCODING = 389,
    ENCRYPTED = 390,
    END_P = 391,
    ENUM_P = 392,
    ESCAPE = 393,
    EVENT = 394,
    EXCEPT = 395,
    EXCLUDE = 396,
    EXCLUDING = 397,
    EXCLUSIVE = 398,
    EXECUTE = 399,
    EXISTS = 400,
    EXPLAIN = 401,
    EXTENSION = 402,
    EXTERNAL = 403,
    EXTRACT = 404,
    FALSE_P = 405,
    FAMILY = 406,
    FETCH = 407,
    FILTER = 408,
    FIRST_P = 409,
    FLOAT_P = 410,
    FOLLOWING = 411,
    FOR = 412,
    FORCE = 413,
    FOREIGN = 414,
    FORWARD = 415,
    FREEZE = 416,
    FROM = 417,
    FULL = 418,
    FUNCTION = 419,
    FUNCTIONS = 420,
    GENERATED = 421,
    GLOBAL = 422,
    GRANT = 423,
    GRANTED = 424,
    GREATEST = 425,
    GROUP_P = 426,
    GROUPING = 427,
    HANDLER = 428,
    HAVING = 429,
    HEADER_P = 430,
    HOLD = 431,
    HOUR_P = 432,
    IDENTITY_P = 433,
    IF_P = 434,
    ILIKE = 435,
    IMMEDIATE = 436,
    IMMUTABLE = 437,
    IMPLICIT_P = 438,
    IMPORT_P = 439,
    IN_P = 440,
    INCLUDING = 441,
    INCREMENT = 442,
    INDEX = 443,
    INDEXES = 444,
    INHERIT = 445,
    INHERITS = 446,
    INITIALLY = 447,
    INLINE_P = 448,
    INNER_P = 449,
    INOUT = 450,
    INPUT_P = 451,
    INSENSITIVE = 452,
    INSERT = 453,
    INSTEAD = 454,
    INT_P = 455,
    INTEGER = 456,
    INTERSECT = 457,
    INTERVAL = 458,
    INTO = 459,
    INVOKER = 460,
    IS = 461,
    ISNULL = 462,
    ISOLATION = 463,
    JOIN = 464,
    KEY = 465,
    LABEL = 466,
    LANGUAGE = 467,
    LARGE_P = 468,
    LAST_P = 469,
    LATERAL_P = 470,
    LEADING = 471,
    LEAKPROOF = 472,
    LEAST = 473,
    LEFT = 474,
    LEVEL = 475,
    LIKE = 476,
    LIMIT = 477,
    LISTEN = 478,
    LOAD = 479,
    LOCAL = 480,
    LOCALTIME = 481,
    LOCALTIMESTAMP = 482,
    LOCATION = 483,
    LOCK_P = 484,
    LOCKED = 485,
    LOGGED = 486,
    MAPPING = 487,
    MATCH = 488,
    MATERIALIZED = 489,
    MAXVALUE = 490,
    METHOD = 491,
    MINUTE_P = 492,
    MINVALUE = 493,
    MODE = 494,
    MONTH_P = 495,
    MOVE = 496,
    NAME_P = 497,
    NAMES = 498,
    NATIONAL = 499,
    NATURAL = 500,
    NCHAR = 501,
    NEW = 502,
    NEXT = 503,
    NO = 504,
    NONE = 505,
    NOT = 506,
    NOTHING = 507,
    NOTIFY = 508,
    NOTNULL = 509,
    NOWAIT = 510,
    NULL_P = 511,
    NULLIF = 512,
    NULLS_P = 513,
    NUMERIC = 514,
    OBJECT_P = 515,
    OF = 516,
    OFF = 517,
    OFFSET = 518,
    OIDS = 519,
    OLD = 520,
    ON = 521,
    ONLY = 522,
    OPERATOR = 523,
    OPTION = 524,
    OPTIONS = 525,
    OR = 526,
    ORDER = 527,
    ORDINALITY = 528,
    OUT_P = 529,
    OUTER_P = 530,
    OVER = 531,
    OVERLAPS = 532,
    OVERLAY = 533,
    OVERRIDING = 534,
    OWNED = 535,
    OWNER = 536,
    PARALLEL = 537,
    PARSER = 538,
    PARTIAL = 539,
    PARTITION = 540,
    PASSING = 541,
    PASSWORD = 542,
    PLACING = 543,
    PLANS = 544,
    POLICY = 545,
    POSITION = 546,
    PRECEDING = 547,
    PRECISION = 548,
    PRESERVE = 549,
    PREPARE = 550,
    PREPARED = 551,
    PRIMARY = 552,
    PRIOR = 553,
    PRIVILEGES = 554,
    PROCEDURAL = 555,
    PROCEDURE = 556,
    PROGRAM = 557,
    PUBLICATION = 558,
    QUOTE = 559,
    RANGE = 560,
    READ = 561,
    REAL = 562,
    REASSIGN = 563,
    RECHECK = 564,
    RECURSIVE = 565,
    REF = 566,
    REFERENCES = 567,
    REFERENCING = 568,
    REFRESH = 569,
    REINDEX = 570,
    RELATIVE_P = 571,
    RELEASE = 572,
    RENAME = 573,
    REPEATABLE = 574,
    REPLACE = 575,
    REPLICA = 576,
    RESET = 577,
    RESTART = 578,
    RESTRICT = 579,
    RETURNING = 580,
    RETURNS = 581,
    REVOKE = 582,
    RIGHT = 583,
    ROLE = 584,
    ROLLBACK = 585,
    ROLLUP = 586,
    ROW = 587,
    ROWS = 588,
    RULE = 589,
    SAVEPOINT = 590,
    SCHEMA = 591,
    SCHEMAS = 592,
    SCROLL = 593,
    SEARCH = 594,
    SECOND_P = 595,
    SECURITY = 596,
    SELECT = 597,
    SEQUENCE = 598,
    SEQUENCES = 599,
    SERIALIZABLE = 600,
    SERVER = 601,
    SESSION = 602,
    SESSION_USER = 603,
    SET = 604,
    SETS = 605,
    SETOF = 606,
    SHARE = 607,
    SHOW = 608,
    SIMILAR = 609,
    SIMPLE = 610,
    SKIP = 611,
    SMALLINT = 612,
    SNAPSHOT = 613,
    SOME = 614,
    SQL_P = 615,
    STABLE = 616,
    STANDALONE_P = 617,
    START = 618,
    STATEMENT = 619,
    STATISTICS = 620,
    STDIN = 621,
    STDOUT = 622,
    STORAGE = 623,
    STRICT_P = 624,
    STRIP_P = 625,
    SUBSCRIPTION = 626,
    SUBSTRING = 627,
    SYMMETRIC = 628,
    SYSID = 629,
    SYSTEM_P = 630,
    TABLE = 631,
    TABLES = 632,
    TABLESAMPLE = 633,
    TABLESPACE = 634,
    TEMP = 635,
    TEMPLATE = 636,
    TEMPORARY = 637,
    TEXT_P = 638,
    THEN = 639,
    TIME = 640,
    TIMESTAMP = 641,
    TO = 642,
    TRAILING = 643,
    TRANSACTION = 644,
    TRANSFORM = 645,
    TREAT = 646,
    TRIGGER = 647,
    TRIM = 648,
    TRUE_P = 649,
    TRUNCATE = 650,
    TRUSTED = 651,
    TYPE_P = 652,
    TYPES_P = 653,
    UNBOUNDED = 654,
    UNCOMMITTED = 655,
    UNENCRYPTED = 656,
    UNION = 657,
    UNIQUE = 658,
    UNKNOWN = 659,
    UNLISTEN = 660,
    UNLOGGED = 661,
    UNTIL = 662,
    UPDATE = 663,
    USER = 664,
    USING = 665,
    VACUUM = 666,
    VALID = 667,
    VALIDATE = 668,
    VALIDATOR = 669,
    VALUE_P = 670,
    VALUES = 671,
    VARCHAR = 672,
    VARIADIC = 673,
    VARYING = 674,
    VERBOSE = 675,
    VERSION_P = 676,
    VIEW = 677,
    VIEWS = 678,
    VOLATILE = 679,
    WHEN = 680,
    WHERE = 681,
    WHITESPACE_P = 682,
    WINDOW = 683,
    WITH = 684,
    WITHIN = 685,
    WITHOUT = 686,
    WORK = 687,
    WRAPPER = 688,
    WRITE = 689,
    XML_P = 690,
    XMLATTRIBUTES = 691,
    XMLCONCAT = 692,
    XMLELEMENT = 693,
    XMLEXISTS = 694,
    XMLFOREST = 695,
    XMLNAMESPACES = 696,
    XMLPARSE = 697,
    XMLPI = 698,
    XMLROOT = 699,
    XMLSERIALIZE = 700,
    XMLTABLE = 701,
    YEAR_P = 702,
    YES_P = 703,
    ZONE = 704,
    NOT_LA = 705,
    NULLS_LA = 706,
    WITH_LA = 707,
    POSTFIXOP = 708,
    UMINUS = 709
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 803 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 833 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  784
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   96273

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  472
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  653
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2657
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5305

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   709

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   461,     2,     2,
     466,   467,   459,   457,   470,   458,   468,   460,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   471,   469,
     453,   455,   454,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   464,     2,   465,   462,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   456,   463
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   775,   775,   791,   803,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   937,   947,
     958,   959,   960,   969,   970,   974,   975,   979,   984,   988,
     998,  1006,  1010,  1014,  1019,  1023,  1071,  1073,  1077,  1081,
    1085,  1089,  1103,  1121,  1129,  1140,  1141,  1145,  1153,  1161,
    1169,  1190,  1197,  1204,  1211,  1218,  1225,  1242,  1260,  1271,
    1272,  1283,  1293,  1303,  1318,  1336,  1337,  1341,  1348,  1356,
    1357,  1358,  1359,  1360,  1361,  1375,  1381,  1387,  1396,  1404,
    1412,  1416,  1424,  1432,  1439,  1448,  1449,  1457,  1468,  1476,
    1484,  1495,  1503,  1511,  1518,  1527,  1537,  1538,  1542,  1543,
    1546,  1548,  1552,  1553,  1554,  1555,  1559,  1560,  1561,  1567,
    1579,  1583,  1587,  1602,  1609,  1610,  1611,  1615,  1616,  1617,
    1621,  1622,  1626,  1630,  1631,  1638,  1645,  1655,  1662,  1672,
    1673,  1678,  1679,  1684,  1690,  1696,  1702,  1708,  1718,  1728,
    1729,  1733,  1734,  1742,  1757,  1763,  1769,  1775,  1781,  1800,
    1809,  1818,  1827,  1836,  1847,  1858,  1867,  1876,  1887,  1898,
    1907,  1916,  1925,  1934,  1943,  1952,  1963,  1977,  1978,  1983,
    1996,  2012,  2021,  2030,  2039,  2048,  2057,  2065,  2073,  2082,
    2091,  2100,  2109,  2126,  2135,  2144,  2153,  2163,  2176,  2191,
    2200,  2208,  2223,  2231,  2241,  2251,  2258,  2265,  2273,  2281,
    2288,  2295,  2303,  2311,  2319,  2326,  2333,  2341,  2348,  2355,
    2363,  2371,  2379,  2387,  2395,  2403,  2413,  2420,  2428,  2436,
    2444,  2452,  2460,  2467,  2474,  2481,  2487,  2497,  2498,  2502,
    2503,  2504,  2508,  2516,  2520,  2521,  2525,  2532,  2539,  2546,
    2556,  2559,  2560,  2564,  2565,  2570,  2574,  2578,  2583,  2590,
    2592,  2597,  2601,  2605,  2616,  2624,  2636,  2650,  2651,  2652,
    2656,  2657,  2662,  2663,  2668,  2678,  2688,  2708,  2721,  2722,
    2727,  2736,  2746,  2756,  2782,  2788,  2821,  2850,  2872,  2873,
    2877,  2878,  2887,  2888,  2889,  2892,  2893,  2898,  2899,  2903,
    2907,  2911,  2915,  2919,  2923,  2927,  2931,  2935,  2939,  2943,
    2947,  2951,  2955,  2964,  2968,  2972,  2976,  2980,  2984,  2988,
    2989,  2994,  2998,  3005,  3012,  3013,  3014,  3015,  3016,  3020,
    3024,  3032,  3043,  3060,  3078,  3097,  3116,  3135,  3167,  3168,
    3169,  3170,  3171,  3178,  3185,  3186,  3190,  3191,  3195,  3196,
    3200,  3204,  3211,  3215,  3222,  3223,  3224,  3228,  3229,  3232,
    3254,  3273,  3295,  3296,  3300,  3307,  3308,  3309,  3340,  3347,
    3354,  3365,  3376,  3388,  3397,  3406,  3424,  3425,  3444,  3451,
    3458,  3465,  3476,  3486,  3487,  3488,  3492,  3493,  3494,  3495,
    3496,  3497,  3498,  3507,  3514,  3518,  3531,  3546,  3560,  3575,
    3589,  3607,  3628,  3629,  3633,  3634,  3638,  3639,  3642,  3648,
    3652,  3660,  3665,  3671,  3672,  3676,  3681,  3688,  3689,  3699,
    3701,  3703,  3705,  3708,  3711,  3714,  3718,  3719,  3720,  3721,
    3722,  3725,  3726,  3730,  3731,  3734,  3746,  3747,  3750,  3751,
    3754,  3765,  3776,  3790,  3791,  3792,  3793,  3796,  3797,  3798,
    3799,  3802,  3803,  3806,  3807,  3810,  3828,  3839,  3863,  3876,
    3892,  3906,  3907,  3908,  3920,  3933,  3949,  3962,  3963,  3975,
    3995,  4005,  4018,  4026,  4037,  4038,  4041,  4042,  4045,  4046,
    4049,  4053,  4057,  4061,  4065,  4069,  4073,  4077,  4081,  4085,
    4089,  4094,  4098,  4102,  4108,  4109,  4113,  4114,  4115,  4120,
    4123,  4124,  4136,  4148,  4163,  4164,  4172,  4173,  4177,  4178,
    4182,  4183,  4187,  4188,  4192,  4202,  4215,  4216,  4226,  4237,
    4238,  4251,  4258,  4275,  4283,  4294,  4297,  4301,  4305,  4309,
    4313,  4325,  4335,  4338,  4342,  4355,  4364,  4373,  4382,  4391,
    4400,  4409,  4418,  4427,  4436,  4445,  4454,  4463,  4472,  4481,
    4490,  4499,  4508,  4517,  4526,  4535,  4544,  4553,  4562,  4571,
    4580,  4598,  4609,  4610,  4611,  4612,  4616,  4617,  4621,  4622,
    4632,  4640,  4652,  4653,  4657,  4661,  4669,  4673,  4677,  4684,
    4688,  4693,  4698,  4705,  4712,  4717,  4727,  4739,  4754,  4755,
    4760,  4761,  4765,  4766,  4776,  4785,  4793,  4810,  4830,  4850,
    4871,  4902,  4911,  4932,  4947,  4948,  4952,  4960,  4975,  4984,
    4996,  4997,  5009,  5017,  5034,  5058,  5075,  5089,  5090,  5094,
    5095,  5099,  5100,  5104,  5105,  5109,  5123,  5127,  5128,  5132,
    5133,  5134,  5135,  5136,  5146,  5164,  5185,  5211,  5212,  5213,
    5217,  5219,  5241,  5243,  5245,  5247,  5249,  5254,  5255,  5259,
    5260,  5264,  5275,  5276,  5280,  5289,  5293,  5297,  5302,  5312,
    5313,  5317,  5318,  5322,  5323,  5327,  5328,  5329,  5333,  5337,
    5338,  5339,  5343,  5344,  5349,  5350,  5377,  5378,  5379,  5380,
    5381,  5382,  5395,  5405,  5419,  5421,  5426,  5431,  5433,  5438,
    5448,  5449,  5450,  5451,  5463,  5483,  5505,  5515,  5526,  5536,
    5546,  5557,  5566,  5573,  5580,  5589,  5598,  5607,  5616,  5625,
    5635,  5644,  5656,  5659,  5660,  5663,  5667,  5674,  5675,  5676,
    5677,  5678,  5679,  5682,  5685,  5686,  5694,  5701,  5702,  5705,
    5707,  5718,  5729,  5740,  5751,  5764,  5765,  5781,  5796,  5797,
    5801,  5813,  5823,  5831,  5840,  5849,  5850,  5853,  5854,  5857,
    5858,  5859,  5862,  5876,  5881,  5891,  5900,  5912,  5913,  5917,
    5925,  5937,  5947,  5960,  5970,  5992,  6002,  6020,  6030,  6040,
    6050,  6060,  6070,  6080,  6090,  6100,  6110,  6120,  6130,  6144,
    6145,  6146,  6147,  6148,  6149,  6150,  6151,  6152,  6153,  6154,
    6155,  6156,  6161,  6162,  6163,  6164,  6165,  6166,  6167,  6172,
    6173,  6174,  6178,  6179,  6182,  6183,  6186,  6188,  6193,  6194,
    6204,  6215,  6216,  6217,  6251,  6259,  6267,  6275,  6283,  6291,
    6299,  6307,  6315,  6328,  6336,  6344,  6352,  6360,  6368,  6376,
    6384,  6396,  6397,  6398,  6399,  6400,  6401,  6402,  6403,  6404,
    6405,  6406,  6407,  6408,  6409,  6414,  6415,  6416,  6417,  6418,
    6419,  6420,  6421,  6422,  6423,  6424,  6425,  6429,  6430,  6444,
    6454,  6464,  6474,  6484,  6494,  6504,  6516,  6517,  6522,  6523,
    6524,  6525,  6526,  6527,  6532,  6533,  6534,  6535,  6536,  6537,
    6538,  6539,  6542,  6543,  6553,  6559,  6567,  6575,  6583,  6591,
    6599,  6607,  6615,  6623,  6631,  6639,  6647,  6655,  6663,  6671,
    6679,  6687,  6697,  6698,  6701,  6702,  6712,  6728,  6742,  6768,
    6770,  6772,  6774,  6781,  6790,  6791,  6794,  6801,  6808,  6815,
    6829,  6837,  6845,  6853,  6861,  6869,  6877,  6885,  6893,  6901,
    6909,  6917,  6925,  6933,  6941,  6949,  6961,  6962,  6966,  6967,
    6972,  6973,  6983,  6996,  7006,  7018,  7019,  7022,  7023,  7033,
    7043,  7044,  7048,  7052,  7056,  7067,  7080,  7094,  7111,  7112,
    7113,  7114,  7115,  7127,  7153,  7182,  7183,  7187,  7188,  7192,
    7193,  7197,  7198,  7201,  7202,  7210,  7221,  7232,  7245,  7246,
    7249,  7250,  7253,  7254,  7255,  7258,  7259,  7260,  7276,  7288,
    7301,  7316,  7317,  7320,  7321,  7325,  7326,  7330,  7331,  7336,
    7348,  7355,  7362,  7377,  7378,  7382,  7383,  7398,  7407,  7416,
    7425,  7434,  7446,  7447,  7448,  7449,  7450,  7456,  7460,  7475,
    7476,  7482,  7492,  7496,  7501,  7509,  7550,  7554,  7558,  7562,
    7570,  7571,  7575,  7585,  7586,  7592,  7593,  7600,  7604,  7608,
    7612,  7616,  7620,  7624,  7628,  7632,  7636,  7640,  7644,  7648,
    7652,  7656,  7661,  7668,  7672,  7676,  7680,  7684,  7690,  7691,
    7698,  7699,  7703,  7704,  7707,  7719,  7723,  7738,  7749,  7750,
    7755,  7756,  7771,  7781,  7794,  7804,  7817,  7827,  7840,  7848,
    7850,  7852,  7857,  7859,  7864,  7865,  7870,  7888,  7897,  7898,
    7902,  7906,  7918,  7929,  7940,  7953,  7954,  7955,  7959,  7971,
    7972,  7982,  7994,  7998,  8002,  8006,  8013,  8033,  8042,  8051,
    8060,  8071,  8072,  8075,  8076,  8077,  8080,  8081,  8084,  8094,
    8103,  8120,  8129,  8138,  8147,  8156,  8165,  8174,  8183,  8192,
    8201,  8210,  8219,  8228,  8238,  8248,  8257,  8266,  8275,  8284,
    8294,  8304,  8314,  8324,  8334,  8344,  8354,  8364,  8374,  8384,
    8394,  8404,  8415,  8426,  8437,  8448,  8458,  8468,  8479,  8490,
    8500,  8510,  8518,  8527,  8536,  8545,  8554,  8563,  8572,  8581,
    8590,  8599,  8613,  8614,  8617,  8618,  8628,  8636,  8645,  8653,
    8670,  8679,  8688,  8697,  8706,  8715,  8724,  8733,  8742,  8751,
    8760,  8769,  8778,  8787,  8796,  8805,  8814,  8823,  8832,  8841,
    8850,  8859,  8868,  8877,  8886,  8904,  8913,  8914,  8917,  8919,
    8925,  8926,  8927,  8928,  8929,  8938,  8946,  8954,  8962,  8970,
    8978,  8986,  8994,  9002,  9010,  9018,  9026,  9034,  9042,  9050,
    9058,  9066,  9074,  9082,  9090,  9098,  9106,  9124,  9143,  9144,
    9148,  9152,  9172,  9179,  9187,  9195,  9212,  9225,  9229,  9236,
    9245,  9254,  9263,  9272,  9282,  9292,  9310,  9318,  9334,  9351,
    9352,  9353,  9358,  9364,  9373,  9374,  9375,  9376,  9377,  9381,
    9382,  9385,  9386,  9387,  9388,  9392,  9393,  9394,  9406,  9416,
    9417,  9420,  9429,  9435,  9454,  9461,  9468,  9475,  9482,  9489,
    9496,  9504,  9512,  9520,  9528,  9536,  9543,  9550,  9559,  9560,
    9561,  9565,  9568,  9571,  9574,  9577,  9584,  9586,  9588,  9593,
    9595,  9607,  9620,  9633,  9651,  9672,  9673,  9674,  9675,  9685,
    9701,  9711,  9712,  9716,  9717,  9721,  9725,  9729,  9747,  9748,
    9749,  9750,  9751,  9752,  9753,  9760,  9761,  9772,  9779,  9786,
    9797,  9814,  9821,  9837,  9854,  9860,  9876,  9889,  9898,  9906,
    9914,  9923,  9934,  9945,  9955,  9956,  9967,  9977,  9988,  9999,
   10010, 10021, 10030, 10042, 10043, 10057, 10080, 10088, 10097, 10108,
   10109, 10121, 10135, 10149, 10161, 10169, 10182, 10183, 10187, 10188,
   10189, 10190, 10191, 10204, 10214, 10227, 10228, 10232, 10233, 10236,
   10237, 10240, 10241, 10245, 10246, 10259, 10266, 10276, 10283, 10293,
   10294, 10295, 10296, 10297, 10298, 10299, 10300, 10301, 10305, 10309,
   10316, 10323, 10324, 10328, 10329, 10330, 10340, 10350, 10351, 10355,
   10356, 10357, 10358, 10368, 10375, 10393, 10394, 10404, 10410, 10416,
   10422, 10438, 10456, 10460, 10468, 10474, 10481, 10487, 10494, 10503,
   10504, 10508, 10510, 10515, 10526, 10536, 10546, 10552, 10561, 10570,
   10576, 10577, 10588, 10602, 10603, 10614, 10625, 10626, 10629, 10630,
   10631, 10632, 10633, 10634, 10635, 10636, 10639, 10640, 10644, 10645,
   10646, 10657, 10675, 10676, 10680, 10685, 10709, 10720, 10721, 10731,
   10742, 10745, 10746, 10747, 10748, 10749, 10752, 10753, 10754, 10802,
   10803, 10807, 10808, 10823, 10824, 10831, 10839, 10847, 10855, 10863,
   10871, 10882, 10883, 10910, 10924, 10939, 10940, 10959, 10963, 10967,
   10984, 10991, 10998, 11008, 11009, 11012, 11024, 11025, 11029, 11041,
   11049, 11054, 11059, 11064, 11069, 11077, 11085, 11090, 11095, 11102,
   11103, 11107, 11108, 11109, 11116, 11117, 11121, 11122, 11126, 11127,
   11131, 11135, 11136, 11139, 11148, 11161, 11162, 11163, 11164, 11168,
   11169, 11173, 11175, 11185, 11190, 11193, 11198, 11199, 11207, 11217,
   11218, 11219, 11227, 11231, 11232, 11235, 11236, 11261, 11262, 11266,
   11267, 11271, 11272, 11273, 11274, 11275, 11279, 11292, 11299, 11306,
   11313, 11314, 11318, 11319, 11323, 11324, 11328, 11329, 11333, 11344,
   11345, 11346, 11347, 11351, 11352, 11362, 11368, 11386, 11387, 11391,
   11392, 11398, 11403, 11411, 11418, 11426, 11432, 11439, 11474, 11499,
   11503, 11529, 11533, 11545, 11558, 11572, 11583, 11598, 11604, 11609,
   11615, 11622, 11623, 11631, 11635, 11639, 11645, 11652, 11657, 11658,
   11659, 11660, 11664, 11665, 11677, 11678, 11683, 11690, 11697, 11704,
   11715, 11716, 11729, 11733, 11740, 11753, 11766, 11767, 11782, 11792,
   11804, 11809, 11810, 11813, 11814, 11817, 11818, 11823, 11824, 11829,
   11830, 11838, 11843, 11844, 11848, 11852, 11858, 11883, 11893, 11906,
   11907, 11911, 11925, 11982, 11996, 11998, 12003, 12005, 12007, 12009,
   12014, 12016, 12021, 12029, 12049, 12054, 12061, 12066, 12072, 12077,
   12086, 12088, 12091, 12095, 12096, 12097, 12098, 12099, 12100, 12105,
   12125, 12126, 12127, 12128, 12139, 12145, 12153, 12154, 12160, 12165,
   12170, 12175, 12180, 12185, 12190, 12195, 12201, 12207, 12213, 12220,
   12242, 12251, 12255, 12263, 12267, 12275, 12287, 12308, 12312, 12318,
   12322, 12335, 12343, 12353, 12355, 12357, 12359, 12361, 12363, 12368,
   12369, 12376, 12385, 12393, 12402, 12413, 12421, 12422, 12423, 12427,
   12429, 12431, 12433, 12435, 12437, 12439, 12444, 12449, 12455, 12463,
   12468, 12475, 12482, 12486, 12490, 12526, 12527, 12529, 12537, 12552,
   12554, 12556, 12558, 12560, 12562, 12564, 12566, 12568, 12570, 12572,
   12574, 12576, 12578, 12581, 12583, 12585, 12588, 12590, 12592, 12594,
   12597, 12602, 12610, 12615, 12623, 12628, 12636, 12641, 12650, 12658,
   12666, 12674, 12692, 12700, 12708, 12716, 12724, 12740, 12748, 12756,
   12764, 12772, 12780, 12788, 12792, 12796, 12800, 12804, 12812, 12820,
   12828, 12836, 12856, 12878, 12889, 12896, 12912, 12917, 12923, 12948,
   12950, 12952, 12954, 12956, 12958, 12960, 12962, 12964, 12966, 12968,
   12970, 12972, 12974, 12976, 12978, 12980, 12982, 12984, 12986, 12990,
   12994, 12998, 13002, 13007, 13023, 13024, 13025, 13040, 13074, 13076,
   13078, 13089, 13113, 13124, 13135, 13142, 13152, 13162, 13171, 13175,
   13181, 13188, 13195, 13205, 13212, 13240, 13275, 13286, 13287, 13294,
   13300, 13304, 13308, 13312, 13316, 13320, 13324, 13328, 13332, 13336,
   13340, 13344, 13348, 13352, 13356, 13360, 13362, 13366, 13375, 13380,
   13387, 13402, 13409, 13413, 13417, 13421, 13425, 13432, 13440, 13448,
   13452, 13456, 13460, 13464, 13468, 13474, 13478, 13487, 13491, 13495,
   13500, 13514, 13516, 13520, 13522, 13524, 13527, 13530, 13533, 13534,
   13537, 13545, 13555, 13556, 13559, 13560, 13561, 13566, 13570, 13574,
   13578, 13589, 13590, 13594, 13595, 13603, 13604, 13608, 13609, 13614,
   13622, 13624, 13638, 13641, 13668, 13669, 13672, 13673, 13684, 13702,
   13709, 13718, 13735, 13780, 13788, 13796, 13804, 13812, 13833, 13834,
   13835, 13838, 13839, 13842, 13845, 13846, 13847, 13850, 13851, 13854,
   13855, 13856, 13857, 13858, 13859, 13860, 13861, 13862, 13863, 13864,
   13865, 13868, 13870, 13875, 13877, 13882, 13884, 13886, 13888, 13890,
   13892, 13904, 13908, 13915, 13919, 13925, 13929, 13938, 13949, 13950,
   13953, 13957, 13961, 13967, 13968, 13973, 13977, 13984, 13985, 13986,
   13987, 13988, 13989, 13990, 13991, 14001, 14005, 14012, 14019, 14020,
   14036, 14040, 14045, 14049, 14064, 14069, 14073, 14076, 14079, 14080,
   14081, 14084, 14091, 14101, 14115, 14116, 14120, 14131, 14132, 14135,
   14136, 14139, 14143, 14150, 14154, 14158, 14166, 14177, 14178, 14182,
   14183, 14187, 14188, 14191, 14192, 14202, 14203, 14207, 14208, 14211,
   14227, 14235, 14243, 14265, 14266, 14277, 14281, 14308, 14310, 14315,
   14318, 14321, 14323, 14325, 14327, 14337, 14339, 14350, 14354, 14358,
   14362, 14366, 14375, 14382, 14414, 14418, 14424, 14431, 14435, 14439,
   14445, 14446, 14448, 14449, 14450, 14454, 14484, 14511, 14515, 14521,
   14523, 14540, 14541, 14542, 14547, 14548, 14549, 14554, 14555, 14556,
   14557, 14563, 14564, 14565, 14566, 14567, 14587, 14588, 14589, 14590,
   14591, 14592, 14593, 14594, 14595, 14596, 14597, 14598, 14599, 14600,
   14601, 14602, 14603, 14604, 14605, 14606, 14607, 14608, 14609, 14610,
   14611, 14612, 14613, 14614, 14615, 14616, 14617, 14618, 14619, 14620,
   14621, 14622, 14623, 14624, 14625, 14626, 14627, 14628, 14629, 14630,
   14631, 14632, 14633, 14634, 14635, 14636, 14637, 14638, 14639, 14640,
   14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649, 14650,
   14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660,
   14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669, 14670,
   14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679, 14680,
   14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689, 14690,
   14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699, 14700,
   14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709, 14710,
   14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14719, 14720,
   14721, 14722, 14723, 14724, 14725, 14726, 14727, 14728, 14729, 14730,
   14731, 14732, 14733, 14734, 14735, 14736, 14737, 14738, 14739, 14740,
   14741, 14742, 14743, 14744, 14745, 14746, 14747, 14748, 14749, 14750,
   14751, 14752, 14753, 14754, 14755, 14756, 14757, 14758, 14759, 14760,
   14761, 14762, 14763, 14764, 14765, 14766, 14767, 14768, 14769, 14770,
   14771, 14772, 14773, 14774, 14775, 14776, 14777, 14778, 14779, 14780,
   14781, 14782, 14783, 14784, 14785, 14786, 14787, 14788, 14789, 14790,
   14791, 14792, 14793, 14794, 14795, 14796, 14797, 14798, 14799, 14800,
   14801, 14802, 14803, 14804, 14805, 14806, 14807, 14808, 14809, 14810,
   14811, 14812, 14813, 14814, 14815, 14816, 14817, 14818, 14819, 14820,
   14821, 14822, 14823, 14824, 14825, 14826, 14827, 14828, 14829, 14830,
   14831, 14832, 14833, 14834, 14835, 14836, 14837, 14838, 14839, 14840,
   14841, 14842, 14843, 14844, 14845, 14846, 14847, 14848, 14849, 14850,
   14851, 14852, 14853, 14854, 14855, 14856, 14857, 14858, 14859, 14860,
   14861, 14862, 14863, 14864, 14865, 14866, 14867, 14868, 14882, 14883,
   14884, 14885, 14886, 14887, 14888, 14889, 14890, 14891, 14892, 14893,
   14894, 14895, 14896, 14897, 14898, 14899, 14900, 14901, 14902, 14903,
   14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912, 14913,
   14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922, 14923,
   14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14945, 14946,
   14947, 14948, 14949, 14950, 14951, 14952, 14953, 14954, 14955, 14956,
   14957, 14958, 14959, 14960, 14961, 14962, 14963, 14964, 14965, 14966,
   14967, 14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985,
   14986, 14987, 14988, 14989, 14990, 14991, 14992, 14993, 14994, 14995,
   14996, 14997, 14998, 14999, 15000, 15001, 15002, 15003, 15004, 15005,
   15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014, 15015,
   15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023, 15024, 15025,
   15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033, 15034, 15035,
   15036, 15037, 15038, 15039, 15040, 15041, 15042, 15043, 15044, 15045,
   15046, 15047, 15048, 15049, 15050, 15051, 15052, 15053
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "ForValues", "partbound_datum", "partbound_datum_list",
  "range_datum_list", "PartitionRangeDatum", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,    60,    62,    61,   708,    43,    45,    42,
      47,    37,    94,   709,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4744

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4744)))

#define YYTABLE_NINF -2564

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2564)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    6375,    24, 10611, -4744, -4744,    24, -4744, 65135,    11,   830,
      63,   164, 17402, 65582, 72287,   688,   302, 16275,    24, 72287,
    2587, 49937, 62006,   765, 72287,   467,   705, 49937, 72287, 72734,
     849,   957,   146, 73181, 66029, 60665,   574, 72287,  1027,   362,
   73628, 66476,   966, 66923,   705, 46389,   141,   961, 74075, 72287,
    1481,  1554,  1093, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,    11, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  2027, -4744,
     145,  2278,  1383,   680,  1161, -4744, -4744, -4744, 58430, 72287,
   72287, 72287,  1349, 72287,  1269, 72287,   219, 58430, 54407, 67370,
    1456,  1374, 42807, 74522, -4744, 72287, 52619, 72287, 72287, 74969,
   72287, 72287, 72287,  1409, 63347, 72287,  1496, 72287, 72287, 53066,
   75416,  1553,  1528, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, 72287, 11527,   467, -4744, -4744,  1481, 72287,
    1643, 58430, 72287,  1507, 75863,  1524, 72287, -4744, 72287,  1596,
   76310,   436,   920, 54407,  1735, 43255,  1708, 72287, 72287, 54407,
   76757, 77204, 77651, 72287, 72287, -4744, -4744,  1703, 72287, 72287,
   -4744,  1814, 54854,  1332,  1856,  1968,  1920,   947, -4744, 67817,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 57536,   302,
   -4744, -4744,  1883, 58877, 72287,  1945, -4744, -4744, 78098, 93226,
    1759, -4744,   450, 59324, 55301,  2080,  1738, 43703,  2119, -4744,
   -4744, 55748, -4744, -4744, -4744, -4744, -4744, 78545, -4744, 78992,
    1827,  1945, -4744, 93659, 56195, -4744,  1973, 79439, 79886, 80333,
   -4744,  1730,  1440,   894, 38751, -4744, -4744, -4744,    11, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,   189,  1697,   209,
     200,   233, -4744, -4744,   201,   215,   216,   189,  2191,  2191,
   -4744, 72287, -4744, -4744,  1697,    53,  1746,  1746,  1746,  1947,
      -6, -4744,  1746,  1884, -4744, -4744, -4744, -4744, 66923, -4744,
    1749,   467,  1766,  2183,  1822, -4744, -4744, -4744, -4744, -4744,
    1834, 72287, 72287, 72287, -4744, -4744,  2205,  1826,  2058,  1808,
   -4744, -4744, -4744,  2018,  2019,  2025,   122,   467,  1913, -4744,
    2147, -4744,  2051, 27306, 27306,   467, 68264, 80780,   188, 57536,
     467, 68711,  1886,  1096,  2067, -4744, -4744, -4744,   706, -4744,
    2298,  1896,  2153,  1808,  1528, 40100, -4744,  1895,  1556, 66923,
   -4744, -4744, -4744,   338,  2214, 29162, 72287,  1910, -4744,  1918,
    1910,  1923,  1937,  1383, -4744,  6375, 72287,  1227,  1227,  2332,
    1227,   227,  1499, -4744,  2324, -4744,  2249,  2193, 66923,  1962,
     226, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  1369,  1974,  1556, -4744,   232, -4744,
    1678,  1994,  1673,  2507, -4744, -4744,   677, 72287,   225,  2050,
   69158,  4903,  2021,  1556,  2022, -4744, -4744, -4744,  2179,   376,
   -4744, -4744, -4744, -4744,  2318,  2384,  9123,   306, 69605, -4744,
   -4744, -4744, -4744, 72287, 72287, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  2068,   623, -4744, -4744,  2076,  2390,
    2291,   900,  2389,  2268,  1218,  2319,  1334,  2447,  7211,  1364,
    1691,  1426, 70052, 72287,  2408,  2454,  6809,  1590,   206,  2371,
     892,  2389,  2458,  2302,  1218,  2504,  2837, 72287, -4744,  2430,
    2541,    77, -4744,   240, -4744,  2245,  2396,   732,  2420, 58430,
    2201, -4744, -4744, 72287, -4744, -4744, 94092,  2282, -4744,   487,
   58430, -4744,  2415,  2261, 44151, 72287, -4744, -4744, 72287, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744,  2351,  2527, 72287, 94092,
   -4744,  2483, 72287, 72287, -4744,  2229, -4744, -4744, -4744, -4744,
    1746, 72287,  2243,  2636, 94092,  2469,   120, 72287,  1469,  2687,
   72287,  2478,  1469,  2312, 81227, -4744, -4744,  1469, -4744, -4744,
   -4744, 72287, 72287,  2280,  1087,  2486,  2597,  1469,  2512,  2715,
    2729,  2534,  2381,  2535,  1918,  2709,  2513,   951,   841,   175,
    1478,  1469,  2377, 81674, 82121, 72287,  2404, 72287,  2749, 58430,
   72287,  2675, -4744,  2542, -4744, -4744,  1236, -4744, -4744, -4744,
   -4744, -4744,  2696, -4744,   147,   489,  2699,  2379,  2701, -4744,
   -4744, -4744,  2429, -4744,  2429,  2429,  2385,  2385,  2557,  2387,
    2713, -4744, -4744, -4744,  1398,  2429,  2385, -4744, 94958, -4744,
    1519,  1545, -4744,   152, -4744,  2826, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  2398, -4744,   197,  1462, -4744, -4744,
    2433, -4744,  2730,   180, -4744,  2732, -4744,  2410, 82568, -4744,
   83015, 83462,  2738,   211, -4744, 54407,  2739,  2410,  2742,   489,
    2744, -4744,   984,  2733,  2746,   152,  2747,  1805,  2410, 57983,
    2748,   224, -4744,  2750,   273, -4744,  2751,  2641, 29162, -4744,
    2526, -4744,   961, -4744,  1635, -4744, 49043, -4744,   894,  1697,
   -4744, 72287,  1697, 72287,  1697, 72287,  1697, 72287,  1697, 72287,
   72287, 72287,  1697, -4744, -4744, -4744, 72287,  2442, 72287, 72287,
   -4744, -4744, -4744, 62453, 54407, 62900, -4744, 72287, -4744,   332,
     467, -4744, -4744, 94092,  2875, 54407,  2749, -4744,  1676, -4744,
   -4744, -4744, -4744, -4744, -4744,  2691, 72287,  2756,  2757, 62453,
   54407, -4744, 83909, 57536,  2658,  2460, -4744, -4744, -4744, -4744,
   -4744,  1764,  2922,   202,  2923, 29162,  2464,   202,   202,  2472,
    2776, -4744, -4744, -4744,   259,  2474,  2477, -4744,   217,   217,
   -4744,  2479,  2480, -4744,   220,  2481,  2484,  2930,  2944,   239,
    2485,  2488,  2489,  1398,   202, 29162, -4744,  2491,   217,  2492,
    2493,  2495,  2960,  2500, -4744,  2963,  2503,   207,   295,  2506,
    2508, -4744,  2479, -4744,   243,  2519,  2520,  2525,  2528,  2530,
    2531,  2532,  2533, 29162, 29162, 29162, -4744, 25914,  1556,   467,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,   245,  6710,
   -4744,  2543, -4744, -4744,  2711, -4744, -4744, 29162, -4744, -4744,
     339, -4744,   250, -4744, -4744, -4744,  1556,  2797,  2536, -4744,
   -4744,  1296,  2538, -4744,  1821, -4744, -4744, -4744, -4744, -4744,
   -4744, 56642,  2967, -4744,   309,   467,   240,  1343,  2910, 48149,
   48596, -4744, -4744,  2789, -4744, 72287, -4744, -4744, 29162, 45942,
   -4744,  1556,   131, -4744, -4744, -4744, -4744,  1680, -4744, -4744,
   -4744,    11, 15782,  1734,  1910, 72287, 72287,  2975, -4744, -4744,
   -4744,  1918, -4744, -4744,  1383,  1383, 29162,  1383,   237,  1213,
   27770, 29162,  2854,  2752,   777,   244,  2855, -4744,  2758,   227,
    1499, 66923, 72287, 84356,  2664, 29162,  2633,  2639,  2694, 47283,
   -4744,  1556,  2646,  2613,  2648,  2700, 50831,  2569,  2654,  2656,
    2708, -4744,  2823, -4744, -4744,  2659,  2660, 84803, -4744, -4744,
     775, -4744, -4744, -4744,   775, -4744,  2593,  1159,   223,   262,
    2672,   382,  1055,  2968, -4744,  1197, -4744, -4744,  2725, -4744,
    5398, 72287,  2918,  7889,  2798,   306,  2799,  2731, -4744, -4744,
    2849,  2683, 72287,  2686,  2824,   306,   274, 85250, -4744, -4744,
   -4744, -4744, -4744, -4744,  4546, 25047, -4744,  1401,  2695,  2678,
    2702, 72287, 59771,  1650,  2818,  2825,  1361,  1795,   535,  2761,
   72287,   257,  2828, 72287,  2624,  2707,  2710,  2921,  2634,  1137,
    3019,  2638, -4744, -4744, -4744,  2012,  2047,  2831, -4744,  2919,
    2969,  9761,  2703,  2706, 91927, -4744,  2734,    31, 44599, 72287,
   72287,  2743,  2753,  2735,  2736,   522,  3015,  1441,  2737, -4744,
   -4744, -4744,  1441, 72287,  2741,  2745, 72287, 94958,   306, -4744,
    3072,   306,   306,  1668,  3073,  2754,   347,  2888,  1095,  1469,
    2638,  1860, -4744,  2755,  2759,   288, -4744,  2863,  2762,  2763,
    2801,   467, -4744, -4744,  2765,  2832,  2766,   923, -4744, -4744,
    1045,  2760, 66923,  2853,  2858,   247,  1520,  2638, -4744,  2769,
    2770,  2634,  2634, 72287, 72287, 72287, 72287, 72287,   181,  3092,
    3098,  2773,   212,  2808,  2692, -4744,  1441, 53513,  2774, -4744,
    1441, 72287,  2780,  1588,  2638,  1363,   105, -4744, -4744, -4744,
    1528, -4744, 72287, -4744, 72287, -4744,  2942, 94092,  2903,  2964,
   -4744,  2740, -4744,  2965,   306, -4744, 72287, 72287,  2971,  2908,
    2909,  1066, 94092,  2914,  2976, -4744,  2978,  2982,  2794,  2768,
    2793, 47716, -4744,  2280,  2726,  3156,  3053, 72287, 50831, -4744,
    3175,   775, -4744, 94092,  2935,  3057, -4744, 72287,  2953,   542,
   -4744,  3094,  2796, -4744, -4744,   567, 72287,   235,  2778, -4744,
   -4744,  3063, 54407,   313,  3068,   467,  2800,  3069,  2949,   467,
   54407,  2990, 72287, 72287, 72287, 72287, -4744, -4744,  2961,   933,
     123, -4744, 53513,  2973, -4744, 72287,  2977,  1860,  2979,  3191,
      58,  1746, 85697,  3075, -4744, 86144,  2767,  3199, 94092,  3024,
   -4744,  1851, -4744,  2900, -4744, 58430, -4744, -4744, 58430, -4744,
   -4744, -4744, 94092, 72287, -4744,  2777, -4744, -4744, 29162, -4744,
   -4744, -4744,  2191, -4744, 94092,  2429,  2429, -4744, -4744,  3205,
    2860,  2861,  2191, -4744,  2191, -4744, 94092, -4744,  2783,  2784,
    2191,  2865,  2866,  2867, -4744,  2790,  2868,  2191, -4744, -4744,
    1853, -4744, -4744, 58430, 58430, -4744, 54407, 54407,  3095,   224,
    3113,  2850,  3114,  2851, 44599, 44599, -4744,   286, 54407, 72287,
   -4744, 72287, -4744, -4744, -4744, -4744, 94092, 94092, -4744, 54407,
   53513,  3117,  3118,   489, 72287, 72287, -4744, 72287, 72287, -4744,
   72287, 72287,  1739, 86591,   894, 57089, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, 72287, -4744, 72287, -4744, 72287, -4744,
   72287, -4744, 72287, -4744, -4744, -4744, 72287, -4744, 72287,  1740,
   -4744, -4744,  1773,   658, 72287, 72287,   406, 58430, 72287,  3004,
   72287, 72287, 72287, 72287, 72287,  2878,  2538,     0, -4744,   754,
     438, 66923,  3011, -4744, -4744,  1785,  1481,    22, 72287,   856,
    1834, -4744, -4744, 62900, 62006,  3109,    93, 72287, -4744, -4744,
    5659, 29162,  1556, 26842, -4744, -4744, 15782,  2848, 29162, 29162,
    2809,  2191,  2191, -4744,   842, 29162, 29162, 29162,  2191,  2191,
   10152, 29162, 44599, 29162, 33338, 23217, 29162, 29162, 26378, -4744,
   29162,  3034, 34260, 29162,  1343,  3037, 29162,  1343, 10152,  3269,
    3269,  1685,  6866,  2811,  1556, -4744,  2191,   815, -4744,   328,
   94092, 29162, 29162, 29162, 29162, 50831,  2897,   242, 72287, 29162,
    2817,  1286, -4744, 29162, -4744,  2819, 29162,  2899,   825, 29162,
   29162, 29162, 29162, 29162, 29162, 29162, 29162, 29162, -4744, 35607,
     400,  3119,  3136,    34,   372, 70499, 27306,  3130, 22287, -4744,
     251,  3130, -4744, -4744, -4744, 72287,  2967, -4744, -4744,  2911,
   -4744, -4744, -4744, -4744, -4744,   261, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,  2829, -4744, -4744, -4744, -4744,  2829, -4744,
    2834, 11011,  2827, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3125,
    3126,   489, 72287,   338, 63794, -4744, 29162, -4744,  1789,  2840,
   -4744,  3105, -4744,  2838, -4744, 10073,  3105, -4744, -4744,   280,
    2962,  3103,  3049, -4744, -4744, -4744,  2847, 15782, -4744,  1397,
   15782,  1803, -4744, -4744, -4744, -4744, -4744, -4744,  1256, -4744,
   72287,   138,  2854,   244,  2912,   932,  3283, 72287, -4744, 40549,
    1798, 54407, 72287, 72287,  3045, -4744,  3267, -4744, 94958, -4744,
    2857, -4744, 94525, 90614, -4744, -4744,   978, -4744,   926, 54407,
   -4744, 72287, 72287, -4744, 50831, 54407, 72287, 72287, -4744, 54407,
   72287, 72287, -4744, -4744, -4744, -4744, -4744, 49490,   581, 62006,
    2985, 61112, -4744, -4744,  2859, 72287,  2917,  3120,  3121,    -3,
   -4744, -4744, 87038, -4744,  3076, 54407, 72287, 72287, 29162,  3077,
   72287, 72287, -4744,   311,  2941,  2948, -4744, 72287,  2951,  3093,
   58430,  2873, 72287, 72287, 94092,  2952,   696, 58430,  2924, 45047,
   72287, 72287, 72287, 72287,  3001,  3186, 94092, 72287,  3133,  1239,
   66923,   195,  1608,  2638,  3091, -4744,  3202,  1216, -4744, 54407,
   -4744, 72287,  3084, -4744, -4744, -4744, 70946,  3309,  2997, -4744,
   -4744, 87485, -4744, -4744, -4744,  1831, -4744, 54407, 54407, 72287,
   11003, 87932,     9,  3106, -4744, -4744, 94092, -4744, 72287, 72287,
   72287,  3209,  3138, 72287, 64241, 88379, 88826,   930,  1235,  3139,
   72287, 64688,  3140, -4744,  3030, 72287, -4744, -4744, 51278, 54407,
   72287,   760, 50831, -4744, -4744, 72287, -4744,  3099,   816, -4744,
   72287,  6159, -4744, -4744,  2980,  2991, 72287,  3107,   386,  1710,
    2638, 72287, 72287,  2894,  1835, 54407, 72287, 50831, -4744,  3108,
     993, 66923, 66923, 54407, 72287, 66923, -4744, 72287, 80780, -4744,
   54407,   912, -4744,  3054, 54407, 72287, 12911, -4744, -4744, -4744,
     306, -4744, -4744, -4744, -4744, -4744, 72287, 72287,   306, 72287,
   72287,   306,  1450, -4744, 54407, 72287, -4744, -4744, -4744, 54407,
   72287, 72287, -4744, 54407,  2778, 72287, 50831, -4744, 72287,  8706,
   72287, 72287, 72287, 72287, 72287, 72287, 54407, 72287, -4744, -4744,
     909,   948,   991,  1017,   198, 72287,  3198, 72287, 89273, 54407,
   72287, 72287,   467, 72287,  1476, -4744, -4744,  3032, -4744, 54407,
     912, -4744, 11411, 72287, 72287,  2992,  2994,   160,  3074, -4744,
   -4744, -4744, -4744, -4744, -4744,   839,  3347, 89720,   839, -4744,
     839,  3178,  2983,  2984,   839, 72287, 72287, -4744, -4744, -4744,
   -4744,  3174, 72287,   839,   839,   839,  3085,  3124,   136,  3201,
    2940,  1839, -4744, -4744, 29162, 94092, 72287, -4744,  1844, -4744,
    2945,   933, -4744, -4744, 50831, 72287,   324,  1024,  3245,  3135,
   60218,  1113,  3240, 72287,  2989, 72287,  3364,  3025, 66923,  2280,
   -4744,  1113, 72287, -4744,  2125, 62006, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, 72287, -4744, -4744,  3242, 72287, 29162,  3101,
   -4744,   467,  2280,  2280,  2280,  2280, -4744, -4744, -4744, -4744,
    3144,  1791, -4744,  2947,  2280, 72287,  3070,  3273,  1113,  2954,
    3274, -4744,  1860,  3276,   649, 72287,  3153, 60218,  1881,  2995,
    3171,  3390,  1746,   467,  3177,  3164, -4744, 25480,  6076,  3166,
    3221, 57536,  3259,  3263,  3285, -4744,   147, -4744,  3405, -4744,
   29162,  1858,  2981,   152, -4744, -4744,  2986,  2784,  2996,  2998,
    2988,  3002, -4744,  2191,   196,  3003,  1274,   656,  3104,  2191,
    3203,  3005, -4744,   180, -4744,  2410, -4744, 72287, -4744, 72287,
   72287, 72287, 72287,   211, -4744, -4744,  2410,   489, -4744,  3234,
     152,  2410,  3110,  3292, 57536, -4744,   224, -4744,   273, -4744,
    3192,   489, -4744,  3206,  1746, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,  1859, -4744, 72287, -4744,  3277,  3288,  3290,
    3007,  3008,  3043, 72287,  3010,  3007,   306,  3007,  2538,  2538,
    3007,  3008, 53960,  3429,  3315, -4744,  3100,  3020,  3326,   184,
   -4744,   190,  1220,  3253, -4744, -4744, -4744, -4744, 94092, -4744,
   54407,  3065, 72287, 72287, -4744,   128,  3229,  3026, 53960,  3444,
     489, -4744, 58430, -4744, -4744, 94092,  3111,  3122, 58430,  3239,
    3082, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 94092, -4744,
    3295, 72287, 72287,  1876, -4744, -4744,  1616, -4744,  1662, 29162,
     133, -4744, 12295,  1893, 29162,  3041,  3046, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  3047,  3354, -4744,  1898,  1902,  1904,
    3050,  3051,  3294,  3052, 13630,  3055,  3058, 33338, 33338, 25914,
    2307, -4744, 33338,  3056,  3243,  1906, 11105,  3060,  3067, 12663,
   28234, 29162, 28234, 28234, 13687,  3060,  3079,  1919, 50831,  3235,
   14463,  1925, -4744, 29162, 50831,  5714, 29162, -4744, 29162,  3080,
   -4744, -4744,  4045,  4045,  4045, 10152, -4744,  3078, -4744, 33338,
   33338, -4744,  2617, 25914, -4744, -4744,  3363, -4744, -4744,  1290,
   -4744,  3066, -4744, -4744,  3783, 44599,  9664, 29162,   269, 29162,
    2817, 29162,  3154,  4045,  4045,  4045,   359,   359,   203,   203,
     203,  1935,   372, -4744, -4744, -4744,  3086,  3087,  3088,  3264,
    3089, 29162, -4744,  2064,  2081, 72287,  4454,  5428,  6211, -4744,
   -4744, -4744, 36506,  3131, 29162, 29162, 29162,  3096, -4744,  2117,
   15782,   563, -4744,   264,  3131, -4744,  1528,  2191,   815, 49043,
   -4744, -4744, 29162, -4744, -4744, -4744,  1918, -4744, -4744, -4744,
   15782, -4744,  1481, 29162, -4744, -4744,   917,  3116, 29162,  1397,
   -4744, -4744,  3148, -4744, 29162, -4744, -4744, -4744,  2538, -4744,
    3313, -4744, -4744, -4744, 36506,  3132,  3128,   964, 39650,  3298,
   -4744, 72287, -4744, 72287,   135, -4744,  3115, -4744, -4744, -4744,
   -4744, -4744, -4744, 90614,  1462, -4744, 94525, -4744, 94525, -4744,
    1462,  3507, -4744, 90614,  1707, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 54407, 54407,
    3302, 72287,  3303,  3307, 29162,   827, 72287,  3112,  3123,   498,
    3373, 72287, -4744,  3430,   489, -4744, -4744,  3187, -4744, 15782,
   -4744, -4744, -4744, -4744, -4744, 54407, 72287, -4744, 57536, -4744,
   72287, -4744, 94092, -4744, -4744, -4744, 72287,  3143, 72287, -4744,
   72287, 72287, 72287, -4744, -4744, -4744, -4744, -4744,  1100, 94092,
   -4744, -4744, 72287, 72287,   673,  3190,  3194, 72287, -4744,   772,
    2863, 11455, 72287, 72287, 72287,  3383, 72287, -4744, -4744, -4744,
   -4744,  3327, -4744, -4744, 90614, -4744,  2410,  1145,  3195,  2638,
    3333, -4744,  3440,  3318, -4744,  1150, -4744, 72287,  3249, -4744,
   -4744, -4744, -4744,  3446,   489,  3447,   489, 72287, 72287, 72287,
   72287,  3252, -4744, -4744, -4744, -4744,  3254,  3374, -4744, 50831,
   50831, 50831,  1931, -4744, -4744,   467, -4744, -4744, -4744, -4744,
   -4744, -4744,  3408, -4744,  1938, -4744,   -32, -4744, -4744, -4744,
   -4744, -4744, -4744, 54407, 72287, 11806,  3450, 72287, 72287, 72287,
    1700, -4744,  1077, 94092, -4744, 92360, -4744, -4744,  1939, -4744,
    3145, 72287,  3211, 54407,  3189,  3137,  3137, -4744, -4744,  3137,
   -4744, -4744, -4744,  3379,  3316, -4744,   871,  3319, 54407,  3210,
   -4744,  3215, -4744, -4744,  3218,  1854,  2638,  1860, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,  1373, -4744, -4744,  1237,   319,  1866,  2638,
   -4744,  3452, -4744,  3223, -4744,  3225, -4744, -4744, -4744,  3381,
    3387,  3388,  3238,  3244,  3291,  3246,  3247,  3293, -4744,  3248,
    3296,  3251,  3300,  3360,  3255,   489, 94092,  3389,   467,  3281,
    3496,   489, -4744,  3256, -4744,  3260, -4744,  3597, -4744, 72287,
   -4744,  3262,  2020,  2638, -4744, -4744, 54407, 72287, -4744, -4744,
   -4744, -4744, -4744, -4744, 94092, 72287,  3445, -4744, -4744,   839,
   72287, 72287, -4744,  3449,  3451, 72287,  3453, -4744, -4744, -4744,
   -4744,   270, -4744, -4744, -4744,  3085,  3473, 41899, -4744,  3649,
    6933,  3193,   305, -4744, 50831, 41899,  1828,  1930,   132,  1469,
   -4744, 57536, 72287, 57536, -4744,  1024,  3318, 72287, 72287, 72287,
    3196,  3183, -4744, -4744, -4744, -4744, 54407,  1053, 54407,  2191,
   -4744, -4744,  3261, -4744, 72287,  1746,  3659,  3508, -4744,  3137,
   -4744,  3623,  2729,   313,  3350,  1501,  2381,  3563,  1918,   139,
   50831,  2995, -4744, -4744, -4744, -4744, 72287, 72287,   933,   467,
   -4744,  3216,  3207, -4744, 72287,  3515, 72287, 72287, 72287, 72287,
    3065,  3219, 72287,  3217, 94092,    52,  3418,  3424,  2634,  3656,
    3547,  1481,  2995,  3306,  3549, 72287, -4744,  1943,   110, -4744,
     467, 57536, 91494,  3538, -4744,  5764, -4744, -4744,  1014, 72287,
    3523, -4744, -4744,  1481, -4744, 94092,  1949, -4744, -4744, -4744,
    2191, -4744, -4744,  1584,  1584,  3232, -4744,  3233, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744,  3236, -4744, -4744, -4744,   224,
    3297,   489,  3299,   489, -4744, -4744, 72287, -4744, 72287, 53513,
     489, -4744, -4744, 72287, -4744,  3556, -4744, -4744,  3370,  3372,
    3375, 72287,  3007, -4744,  3250, 54407,  1416, -4744, -4744,  3441,
   -4744, -4744, 66923,  3367, -4744, -4744, -4744, -4744,  3571,  3574,
   -4744, -4744, -4744,   858, -4744, -4744, -4744, 54407, 62453,   290,
   54407, -4744,  3512,  3516, -4744, -4744,  3517,   306, -4744,  3518,
   -4744,  3519,  3520, -4744, -4744, -4744,  3257, 15184, 29162, -4744,
    3591, 94092, -4744,  6976, -4744, -4744, -4744, 29162, -4744, -4744,
   -4744, -4744, -4744, 29162, -4744, 29162,  3567, -4744, 23682,  3719,
    3719,  3266, 94092, 33338, 33338, 33338, 33338,  1168,  2492, 33338,
   33338, 33338, 33338, 33338, 33338, 33338, 33338, 33338, 33802,   393,
   -4744,  3455, 29162, 29162,  3577,  3567, -4744, 94092,  3271,  3060,
    3272,  3278, 29162, -4744, -4744,  1967, 34709,  3279, 50831, -4744,
   29162, 11679,  2000,  3320, 15547,  1556,  7548,   467, 29162,  2522,
    3006, 29162,  2008, 29162,  3581, -4744, -4744, -4744,  3301, -4744,
   -4744, 94092, 29162,  3310,  4070, 33338, 33338,  4180, -4744,  4613,
   29162, 25914, -4744,  3486,  3334, 40998, -4744, 24147,  3289,   705,
     705,   705,   705, -4744, 72287, 72287, 72287, 36955,  3601,  3308,
   36056, 71393,  3311,  1547, -4744, 71393, 71840, 71393, -4744,  3314,
   -4744,  3312,  1556, 29162,  3594,   624,   624,  3486, -4744, 29162,
   29162, 28698,  3317, -4744,  3594,   240,  3323, -4744, -4744, 15782,
    3304, -4744,  3325, -4744,  3321, -4744,  3116,  1532, -4744,  7582,
    3509, -4744, -4744, -4744,  3311, 29626,  3454, -4744, -4744, -4744,
    3365,  2023, -4744, -4744,  3701,  3454, -4744, -4744,  2028, 40549,
    3132, 29162,  1556,  2032,  1813, -4744, -4744, 90614, -4744,  3386,
    2410,  2410,  1503,  3007,  3628,  1503,  7660, -4744, -4744, 37404,
   72287, 72287, -4744, 72287,  2034,  1428, 72287, -4744, 72287, -4744,
   -4744, -4744, -4744,  3751, -4744, 72287, -4744, -4744,  3385,  3391,
   72287, 72287, 72287, 72287,  3584, -4744, -4744,  1994, -4744, -4744,
   54407, 72287, -4744, -4744, -4744,   404,  2558,  2638, -4744,  3406,
   -4744, -4744, -4744,  3602, -4744,  3744,  3421, 72287,  3658, 72287,
    3339, -4744,  1428,  3640,  1240,  2634,   347,  4900, -4744,  1294,
   -4744, -4744,  3412, -4744, -4744, 72287, -4744, 72287, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744,  3470, -4744, -4744, -4744, -4744,
   51278, -4744, -4744, 72287, -4744, 50831, 41899, 50831, -4744,  1270,
     411,  2626,  2638, 72287, -4744,  3425, -4744,  3427,  3428,  3480,
     650,   739,  3431,  3435,  3490,  3368,  3369,  3371, -4744, 50831,
   42359,  3514, 72287,  2410,  3380,  3420,   189,   467, -4744, -4744,
     467,  2410,   467, 72287, 72287, 72287, 50831, -4744,  3781,  3458,
   72287, 72287, 72287, 72287,  3434, -4744, 72287, 72287,  3690,  1088,
    1855, 54407, 72287, 72287, 54407, 72287, 72287, 72287, 72287, 72287,
   72287,  3705, 72287, -4744,  3782,  3710,  1944,  3752,  3460, 72287,
   -4744, 72287,   467,  2863, 72287, 72287, -4744, -4744,  3392,  3652,
     839, -4744,  3654,  3655,   839,   839,  3657,   839, -4744, -4744,
    1469, -4744,   270, 72287, -4744,  3321,  2012,  2047, -4744, -4744,
   -4744, -4744, -4744, -4744,  2940, -4744, -4744,  1983, 72287, -4744,
   -4744, -4744, 72287,  3396, 72287, 72287, 33338, -4744,  1752,  1424,
    1183, -4744,  3661, 72287,  2778, -4744, -4744, -4744,  3564, 72287,
   -4744, -4744, -4744, -4744, -4744,   712,  3219, -4744,  3675, 60218,
    2410, 54407, 54407,  2410, -4744, 94092,  3402,  2995, -4744,   208,
    3482, 54407,   313,  1076, 90167,  2800,  3442,  3607, 36506,  1373,
   -4744,  3404,  3565, -4744,  3409,  3410, -4744, -4744, 72287,  3318,
   53513,  2044,  1860,  3848,    64,  1730, -4744, 61559,  3599,  3219,
    3675, -4744, -4744, -4744,  3809,  3521, -4744,  1481, 72287,  3065,
    3521,   467, 72287,  2917, -4744, 90614, 29162, 29162, -4744,  3423,
   -4744,  3422,  6433, -4744,  3497,  3432, -4744, -4744, -4744, -4744,
   -4744, -4744,  3510,  3433, 72287, -4744,  3436, -4744,  3448, -4744,
   -4744, -4744, -4744, -4744, -4744, 72287, -4744, 72287, -4744,   489,
   -4744,  3552, -4744,   489, 72287, 72287, 72287, 72287,  3007,   306,
   -4744,  3727, 53960, -4744, -4744,  2048, 72287, -4744, -4744, -4744,
    3797,    93,  3743, -4744, -4744,   921,   921,   921,  3704,   921,
     921,   921, -4744, 29162, 15782, -4744,  3456, -4744, 15782,  8054,
   15782,  3577, -4744,  2049, 29162, -4744,  1244,  1244,  1244,  3474,
    3749, -4744,  1330,  3464,  1244,  1244,  1244,   379,   379,   213,
     213,   213,  3719,   393, 15782, 15782, -4744, -4744,  3459, -4744,
   -4744, -4744,  3060, -4744, 30090,  3603,  3859, -4744, -4744, -4744,
    3488,  3489,  3471, -4744, 29162, 30554,  3467, 94958,  3641, -4744,
    1629, 29162, 29162,  2256, -4744, 14393, 29162, 94092,  2073,  2256,
     409, 29162,  3494,  3534, 29162, 29162,  4985,  8180,  3472, 29162,
   91047, -4744, -4744, -4744,  2075, 29162, 72287, 72287, 72287, 72287,
   -4744, -4744, -4744, 71393, 71840, 71393,  3475, 35158, 24597,  1547,
    3477, 72287, -4744, -4744,  3476, 36506,  3708,  3644, -4744, 36506,
    3644,  1654,  3644,  3711,  3562, 41447, -4744, -4744,  3479, -4744,
    3673, -4744, 22287,  1401, 15782,  3897,  3784, 29162,  3492,  3493,
    3495, 15782, 15782, 29162, -4744,   467,  3784,   467, -4744, -4744,
   44599, -4744, -4744, -4744, -4744, -4744,  3696, 15782, 27306, -4744,
    1481,  2602, 72287,  1556,   596, -4744,  3506, 72287, -4744,  3454,
   15782, -4744,  3568,  2086, -4744, -4744, -4744, -4744, -4744, -4744,
    3583, 62006,  3802, -4744, 29162,  2088, -4744,  3543,  3902,   156,
    2112,  2113,  1428, -4744,  2778, -4744,  1557,  3785,   370, -4744,
     489, -4744, 94092, -4744, 72287, 72287, -4744, -4744, -4744, -4744,
   72287,  2569, -4744, -4744, 72287, 72287, 72287, 72287, -4744, 54407,
   72287, -4744, 72287, -4744, 50831,  1930,  1752,  3795,  3720, -4744,
     306, -4744,  1752,  3721,   189, 72287, -4744, -4744,  2204, -4744,
   94092,   489,   489, -4744, -4744, -4744, -4744, -4744,  3525,  3925,
    3604, 72287, 72287, 72287, -4744, 72287, 54407, 72287, 72287,  2191,
    2191, 94092,  3527, -4744,  2191,  2191,  3528, -4744, 54407, 72287,
   72287, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744,  3595, -4744, 29162,  3919, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, 54407, 72287,  3598, -4744,  3613,
   -4744,  1817, -4744, -4744, 72287, 72287, 72287, 72287,  3841, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 72287,
   -4744, 72287, -4744, -4744,   467,   467, 94092,   489,   489, -4744,
   -4744, -4744, -4744,  3796,   839, -4744,   839,   839, -4744, -4744,
     839, -4744,  3524,   230, -4744,  1428,  1280,  3837, -4744,  3843,
   29162, -4744,  1021,  3474, -4744,  3892,  3971, -4744, -4744, -4744,
   -4744,  2778,  1746,  3605, 58430,   865, -4744,  3822,   324,  3747,
   60218,  3452,  1071,  3545,  3663, -4744,  2410,  2410,  3606, 72287,
    3983, -4744, -4744, -4744, -4744, -4744, -4744, 54407,  3189, -4744,
    3769,   773,  3863, 72287, 29162,  3311, -4744,  1550,  3867, -4744,
     467, -4744, -4744,  3679,  2995, -4744,  1481, 72287,  3765, 60218,
    3065,  2114, -4744, -4744, -4744,  3608,  3974,  1881, -4744,  3452,
    3599,  1035, 72287, -4744,  3609,  3993, -4744, -4744,  3870,  3767,
    3573, -4744, 15782, 15782,   467, 95391,  5764, 94092,  3877, 72287,
     725,  3847,   489, -4744,   489,   489, -4744, 72287, -4744,  3007,
    3007,  3007, -4744,  3773, -4744, -4744,  3839, -4744,   489, 53960,
   -4744, -4744, -4744, -4744, -4744,   921, -4744, -4744, -4744, 15782,
   -4744, -4744, -4744, -4744,  8215, 33338,  3882, -4744,  3579, 94092,
   -4744,  3580,  2127,  2128, 34260,  3737, -4744, -4744, -4744,  8342,
    3634, 15782,  3692,  3585,  3590,  2256,  2256, 14393,  2138, -4744,
    2256, 29162, 29162,  2256,  2256, 29162, -4744, -4744,  8544,  3774,
   -4744, -4744,  8909, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   51725,  3592,  3235, 71393,  3600, 72287,  1547, 36506, -4744, -4744,
    1548, -4744, 36506,  3854, -4744, 36506, 58430, -4744, 72287,  3610,
   72287, -4744,   563, 31018, 29162,  3636, -4744, -4744, -4744,  3486,
   -4744,  3636, -4744,  3615, 72287,  2536, -4744,   964, -4744, -4744,
    3984, 37404,  3942, 29162, -4744, -4744, -4744, -4744, 53960,  3803,
   53960,  1428,  9006,  2778, 37404, 45495, 72287, 72287, 72287,  3758,
    2778,  3605, -4744, -4744, -4744, -4744, -4744, -4744,  3616, -4744,
   -4744, -4744, -4744,  3684, -4744, -4744,    23,  3011, -4744,  2142,
   -4744,  4037,  3928, -4744, -4744, -4744, -4744, -4744, -4744,  3782,
   -4744, -4744, 41899, 54407, 72287, -4744,  3687, -4744, -4744, -4744,
   -4744, -4744, 39201, 44599, -4744,   650,  3611,  3618,   739, -4744,
   -4744, -4744, 72287,  9052,  3620,   541,  3011, 72287, 72287,  3622,
    3624,  1400,  1513,  1551,  3007,  3918, -4744, -4744, -4744, -4744,
    3782, -4744, -4744,   839, -4744, -4744, -4744, -4744, 50831, -4744,
    2993, -4744,  1469,  3973, 58430,  4059,  4059, 72287, -4744,  9272,
    3840, -4744, -4744,  3917,  3605,  3865,  3911, -4744,  3637, 72287,
    3800,  3638, 72287,  3645,  3756,   835,   835, 72287, 72287, 72287,
    2144,  1481,  2410,  3420,   313,  3960, 60218,  4003,  3318,   283,
   -4744, -4744,  1550, -4744,  1114,  3977,  3686, -4744, 72287,  4078,
    3065,  3219, 72287,  3647, -4744, -4744, 61559,  3845,  1930, 95824,
    3424,  3599,  1881,  3786, -4744,  3789, -4744,  1285, -4744,  1481,
   72287, 72287, 37404, -4744, 94525, -4744,  2146, -4744, -4744, -4744,
    3728,  3131,  3764,  3771,  3651, 72287,    88, -4744, -4744, -4744,
   -4744, -4744, 72287, -4744,   290, -4744, -4744,  5033, 33338, 94092,
    2152, 29162, -4744, 29162, -4744,  4076, -4744, -4744, -4744,   593,
   -4744, -4744, -4744,  2256,  2256,  2256, -4744,  4079,  3486, -4744,
   -4744,  2157,  4098, 32410,  4060, -4744, 72287,  2159, -4744, 29162,
    3669, -4744, -4744, 36506,  1548,  3672,  2163, 72287,  2164, 94092,
    3676,  3674,    37,  3678, 22752,  3680, -4744, -4744, -4744, -4744,
   -4744, 15782, 15782, 72287, -4744,  3681, -4744, -4744, -4744,  3724,
   72287,  2168, -4744,   949, 15782,  1416,  1503,   290,  3902,  3605,
   -4744,  3683, -4744, -4744, -4744,   378,   378, 72287,  3605, -4744,
   -4744, 72287,  3766, -4744, -4744, 50831,  3968, -4744,  3742, -4744,
     546,  3011, 72287, 94092, -4744,    95,  3997, -4744, 94092, 94092,
   -4744, -4744, -4744, 29162,  3776, -4744, -4744, -4744,   317,   327,
   -4744, -4744, 72287, 72287, 72287, 72287, 72287,   489, -4744,  2169,
   -4744, 38302, -4744, -4744,  2687,   467,  2687,  1494, -4744, -4744,
    2687, -4744,  2687, -4744,  3524,   467,  4059,  1233, -4744, -4744,
   -4744,  1418,  3907,  3691, -4744,   767,  3894,  3787,  3694, -4744,
   58430,  4157,  3219,  3675, 72287, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  2176,  3318,  4016,  2995,  3609, -4744,
   72287,  3736, -4744, 36506, -4744, -4744, -4744,  2687, -4744,  1314,
    3706,  4029,  3318,  1481, -4744,  3599,  3219,  3675, -4744, -4744,
   -4744,  3709, -4744,  3521,  1881,  3424, -4744, -4744,  4111,  3908,
    4113,  3065, -4744,  2917,  2177, -4744,  6433, 95391, 94092,  4053,
    3753,  3754, -4744, -4744,  3772, 72287, -4744, -4744,  3318, -4744,
    5033,  2196, -4744,  2209,  2222,  3876,  3770, -4744, 29162,  1404,
    3314, 51725,  3715, -4744, 33338,  2233, -4744,  3874, 72287,  2235,
   -4744, 15782, 72287, -4744, -4744, 29162, -4744,  2240, -4744, -4744,
   29162,  3723, 29162, -4744, 31018,  3722, -4744,  4155, -4744,  1481,
   -4744,  3131, 37404, -4744,  3844, -4744,  4032, -4744, 72287,  3775,
   44599,  3116,  3116,  1746, -4744,  1428, -4744, 72287, -4744,  3691,
   29162, -4744,  3816, -4744, -4744,  2241,  1260,  3887,  3887,  2260,
    2266,  9539, 72287, -4744, -4744, -4744, -4744,  2267, -4744, -4744,
   -4744, -4744,  2271,  3008,  1551,  3008, -4744,  3007, -4744, -4744,
   50831, -4744, 52172, -4744, -4744, -4744,   467, -4744,   467,  3941,
   72287, 46836,   467,   467, -4744, -4744, -4744, -4744, -4744,  4067,
    4009, -4744,  1860, -4744, -4744, -4744, -4744,   364, -4744,  3934,
    3938, 72287, -4744,  3739, -4744,  2277,  3452,  3860,  3318, -4744,
   -4744, 72287,  4174,  4176, -4744,  1124, 72287,  3311, 72287, -4744,
   -4744, -4744, 29162,  3914, -4744,  3609,  1881,  3452,  3599,  1930,
   37853, -4744,  3424,  3521,  3947, -4744,  3948, -4744,  3755,  2995,
    5764, -4744, -4744,   330,  4055,  4058, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  3060, 31482, 31482,  3757, -4744, -4744,
   72287,  3474,  3759, 32410, 50831,  2289, -4744, 92793, -4744,  2313,
    2317, -4744,  2325, 31018,  2326, -4744, 72287,  3762, -4744, -4744,
   -4744, 40549, 53960,   378,  3780, -4744,  3768, -4744, -4744,  3865,
    1428,  3011, -4744, 15782, 72287, 58430,  4170, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  3011,  3849,   317, -4744,   327, 72287,
   -4744, -4744,  2331, -4744, -4744, -4744, 72287,  3404, -4744,  3404,
   -4744, -4744,  3900, -4744,  2102,   927,   927,  4121, -4744,  3830,
   -4744, -4744,  3790, -4744,  4234,  3901, 72287, -4744, -4744,   650,
    1481, 60218,  3318, -4744, -4744,  9607, 58430, -4744,  3424,  3599,
    1881, 29162,  2333, -4744,  3902,   156,  3521, -4744, -4744, -4744,
   37404,  3521, -4744, -4744, -4744,  1384, 58430, 58430, 32874,  3916,
     204, 11945, -4744, -4744, -4744, -4744,  2338, 34260, -4744, -4744,
   -4744, 72287,  3976,  1012, -4744,  3933, -4744,  2339, -4744, -4744,
   -4744,    -1,   290,  3116, 29162,  1428, -4744,  3894, -4744,  3011,
   -4744, 72287, -4744,  3788, -4744, -4744, -4744, -4744, 52172,  3404,
    3686, -4744, -4744,  4232, -4744,  1223, -4744, -4744, -4744, -4744,
   72287,  3318,  3527,  3609, -4744, -4744,  3793,  3521,  1881,  3424,
   10171, -4744, 37853, 72287, 72287, -4744,  2340,  3131, -4744,  1486,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3791,  3792,  4228,
   -4744, -4744, -4744, -4744, -4744, -4744,  3235, -4744, -4744, 33338,
   33338,  4007, -4744,  1012, -4744,  3799, -4744, -4744, -4744, -4744,
   -4744, 10631, -4744, -4744, -4744,   317, -4744,  4123, -4744, -4744,
   -4744,  3318, -4744, -4744, 50384, -4744,  3424,  3521,  3902, -4744,
   -4744, -4744,  2995, -4744,  2004, -4744, -4744,  2054,  1937,  3883,
    4107, 31946,  4197,  3474,  3474, -4744, -4744, 29162, -4744,  1428,
    2345,  3972, -4744, -4744,  2349, -4744, -4744, -4744, -4744,  3521,
   -4744, 72287,  3521, -4744,  1486,  3912,  3915, -4744, 72287, 10650,
   -4744, 58430, -4744, 50384, -4744, -4744,  3131, -4744,  3850,  3851,
    2354, -4744,  3808, -4744, -4744,  4112,  4114, -4744, 50384, 58430,
   58430,  2363, -4744, -4744, -4744
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1617,  1400,   617,  1486,  1485,  1400,   253,     0,  1488,     0,
    1400,   414,  1092,     0,     0,     0,     0,   617,  1400,     0,
    1617,     0,     0,     0,     0,     0,  1630,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,  1637,
       0,     0,     0,     0,  1630,     0,  1490,     0,     0,     0,
       0,     0,     2,     4,    71,    72,    31,    30,    91,    54,
      18,    62,   125,   124,   126,    41,    37,    79,    26,    28,
      38,    42,    64,    66,    44,    55,   103,    63,    24,    61,
      86,    67,    89,    49,    12,    13,    50,    14,    51,    15,
      52,    16,    99,    73,    92,    35,    60,    23,    43,    69,
      70,     5,    45,    81,    77,    11,    56,    57,    59,    83,
      84,    85,   108,    87,   120,    40,   117,    96,    97,   114,
      98,   115,     9,   100,    53,    17,   111,   110,   112,    80,
      46,    82,    68,    90,   109,    27,   113,    19,    20,    22,
      21,    58,    29,    65,    32,    88,   116,   106,   102,   121,
     119,   127,   104,    74,     7,     8,    93,     6,    25,    48,
      10,    34,    33,    47,    39,   123,    36,  1488,    95,   107,
      94,    75,   101,    78,   105,   122,    76,   118,  1590,  1589,
    1639,  1593,  1616,     0,  1605,  1399,  1398,  1384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1410,  2211,  2226,  2227,  2228,  2229,  2230,  2231,
    2232,  2233,   385,  2234,  2235,  2236,  2237,  2238,  2239,  2240,
    2241,  2242,  2243,  2244,  2508,  2509,  2510,  2511,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2512,  2513,  2252,  2253,  2254,
    2255,  2256,  2514,  2257,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2515,  2516,  2280,  2281,
    2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,
    2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,
    2302,  2303,  2304,  2305,  2306,  2517,  2307,  2308,  2309,  2518,
    2310,  2311,  2312,  2519,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2520,  2521,  2321,  2322,  2323,  2324,  2325,  2326,
    2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,
    2337,  2522,  2338,  2339,  2340,  2341,  2523,  2524,  2525,  2342,
    2343,  2344,  2345,  2346,  2347,  2348,  2349,  2526,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2527,  2528,
    2370,  2371,  2372,  2529,  2373,  2374,  2375,  2530,  2376,  2531,
    2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2532,
    2386,  2533,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2534,  2398,  2535,  2401,  2399,  2400,  2402,
    2403,  2404,  2405,  2406,  2407,  2408,  2409,  2410,  2536,  2411,
    2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,
    2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,
    2537,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,  2447,  2538,  2448,  2449,
    2450,  2451,  2539,  2452,  2453,  2454,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2540,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2541,  2542,  2473,  2474,  2543,
    2475,  2544,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2545,
    2546,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,
    2502,  2503,  2504,  2547,  2548,  2549,  2550,  2551,  2552,  2553,
    2554,  2555,  2556,  2557,  2505,  2506,  2507,   384,  1580,  2179,
    2212,  2213,  1487,  1467,   617,     0,  1387,   413,  1617,     0,
       0,     0,     0,     0,     0,     0,     0,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,     0,     0,     0,     0,   439,   438,     0,     0,     0,
    1065,   444,     0,     0,     0,     0,     0,   605,  1529,  2399,
    1527,  1581,   254,   257,   258,   255,   256,  2201,     0,  1187,
    1188,  1190,     0,     0,     0,  1200,   885,   886,     0,     0,
       0,   894,     0,     0,     0,   883,     0,     0,     0,   899,
     896,     0,   900,   897,   880,   898,   887,     0,   879,     0,
       0,  1200,   901,     0,     0,   881,     0,     0,     0,     0,
    1388,  1526,   445,  1617,     0,  1504,  1505,  1506,  1488,  1495,
    1507,  1500,  1502,  1501,  1503,  1499,  2200,  2227,  1005,  1005,
    1005,  1005,  1002,  1003,  1005,  1005,  1005,  2418,     0,     0,
     984,     0,   986,  2202,  1005,  1010,   505,   505,   505,     0,
    1009,  1014,   505,     0,  1381,  1419,  2184,  1629,     0,   985,
    1380,  2473,  1518,     0,     0,  1215,  1211,  1213,  1214,  1212,
       0,     0,     0,  2434,  1392,   238,  2445,  2541,  2473,   237,
     232,   233,   206,  2231,     0,     0,  1009,     0,  1389,  1390,
     967,  1636,  1634,     0,  2166,  2250,  2265,  2353,   229,  2429,
    2435,  2445,  2541,  2473,  2504,   185,   195,   190,     0,   247,
    2445,  2541,  2473,   243,  1410,     0,  1606,  1736,  2175,     0,
    1383,  1382,  1489,     0,  1492,     0,  2413,  1610,  1613,  1494,
    1611,  1602,     0,     0,     1,  1617,  1483,  1633,  1633,     0,
    1633,     0,  1594,  1602,  1597,  1601,     0,     0,     0,     0,
    2211,  2558,  2559,  2560,  2561,  2562,  2563,  2564,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2578,  2579,  2580,     0,     0,     0,  2185,  2212,  2216,
       0,   904,     0,  1422,  2180,  1051,     0,     0,     0,     0,
       0,     0,     0,  1101,  1100,  2217,  2207,  2208,     0,  2205,
    2206,  2218,  2219,  2220,     0,  2326,     0,     0,     0,  2077,
    2088,  2089,  2090,  2254,  2310,  2085,  2086,  2087,  2079,  2080,
    2081,  2082,  2083,  2084,     0,     0,  1182,  2078,     0,  2326,
       0,     0,   155,     0,   132,     0,     0,  2326,     0,     0,
       0,     0,     0,     0,     0,  2326,     0,     0,     0,     0,
       0,   155,  2358,     0,   132,  2326,     0,     0,  1404,     0,
       0,     0,  1406,  1409,  1385,  1470,     0,  2175,     0,     0,
       0,   938,   931,     0,   939,   946,     0,     0,   948,     0,
       0,   932,     0,     0,     0,     0,   951,   952,     0,   953,
     933,   954,   934,   955,   935,   956,     0,     0,     0,     0,
     936,     0,     0,     0,  1396,     0,  1520,  1522,  1521,  1519,
     505,     0,     0,     0,     0,  2326,     0,     0,   132,  1455,
       0,  2326,   132,     0,     0,   443,   442,   132,  2205,   441,
     440,  2254,  2310,     0,  1091,     0,  1339,   132,  2326,     0,
     178,  2326,   689,  2326,  1494,     0,   620,     0,     0,   800,
    2358,   132,     0,     0,     0,     0,     0,     0,  1068,     0,
       0,     0,   604,   617,  1530,  1528,     0,  1191,   231,   230,
    1189,   892,  2326,  1133,   341,   341,     0,     0,  2326,  1441,
    2214,  1811,  1840,  1818,  1840,  1840,  1807,  1807,  2294,  1820,
    2326,  1808,  1809,  1845,     0,  1840,  1807,  1812,     0,  1810,
    1848,  1848,  1835,   341,   908,  1792,  1793,  1794,  1795,  1821,
    1822,  1796,  1827,  1828,  1832,  1797,  1862,  1807,  2215,   893,
       0,   884,  2326,   341,  1097,  2326,  2209,   165,     0,   882,
    2254,  2310,  2326,   341,  1184,     0,  2326,   161,  2326,   341,
    2326,   621,     0,     0,  2326,   341,  2326,  2358,   163,     0,
    2326,   341,   902,  2326,   341,  2177,  2326,     0,     0,  1523,
       0,  1497,  2545,  1512,     0,  1508,  1515,  1511,  1617,  1005,
    1004,     0,  1005,     0,  1005,     0,  1005,     0,  1005,     0,
       0,     0,  1005,  2203,  2204,   987,     0,  1011,     0,     0,
    1018,  1017,  1016,     0,     0,     0,  1019,     0,  1740,  1557,
       0,  1378,  1395,     0,     0,     0,  1068,  1218,     0,  1216,
    1207,  1208,  1391,   236,   234,     0,     0,     0,     0,     0,
       0,  1397,     0,     0,     0,     0,  2188,  2190,  2191,  2091,
    2161,     0,  2509,  2510,  2511,  2150,     0,  2512,  2513,  2514,
    2560,  1993,  1980,  1989,  1994,  1981,  1983,  1990,  2515,  2516,
    1928,  2517,  2518,  2198,  2519,  2520,  2521,  2523,  2524,  2525,
    2526,  1985,  1987,  2527,  2528,     0,  2199,  2530,  2531,  2382,
    2533,  2534,  2536,  2537,  1991,  2539,  2540,  2541,  2542,  2543,
    2544,  2197,     0,  1992,  2546,  2548,  2549,  2550,  2551,  2553,
    2554,  2555,  2556,     0,     0,     0,  2172,     0,  1960,     0,
    1800,  1801,  1823,  1824,  1802,  1829,  1830,  1803,     0,  2171,
    1865,  2042,  1959,  1976,     0,  1965,  1966,     0,  1958,  1954,
    1619,  2167,     0,  1955,  2187,  2189,  2151,  1619,  2165,   198,
     249,     0,   250,  2173,  2445,   186,   228,   200,   227,   201,
     199,     0,  2252,   187,     0,     0,   188,     0,     0,     0,
       0,   246,   244,     0,  1386,     0,  1738,  1737,  2158,     0,
    2159,  2176,   913,  1482,  1480,  1481,  1479,     0,  1476,  1478,
    1491,  1488,  2101,     0,  1612,     0,     0,     0,  1592,  1591,
       3,  1494,  1631,  1632,     0,     0,     0,     0,     0,     0,
       0,     0,  1685,  1647,  1648,  1650,  1682,  1686,  1694,     0,
    1598,     0,     0,  1742,     0,     0,     0,     0,     0,     0,
    1132,  2186,     0,     0,     0,     0,     0,   905,     0,     0,
       0,  1428,     0,  1430,  1431,  1432,     0,     0,  1433,  1434,
    1422,   240,  1440,  1438,  1421,  1423,  1436,     0,     0,     0,
       0,     0,     0,     0,  1447,     0,   169,   170,     0,   633,
     617,     0,  2326,     0,     0,     0,     0,     0,  1140,  1147,
       0,     0,     0,     0,     0,     0,     0,     0,  1141,  1139,
    1142,   242,  1151,  1168,  1171,     0,  1099,  1102,     0,     0,
       0,     0,     0,  1273,     0,     0,     0,  1273,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   265,   277,   336,   596,     0,     0,     0,   599,     0,
    2326,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   130,
     131,   136,     0,     0,     0,     0,     0,     0,     0,   582,
     595,     0,     0,     0,     0,     0,   592,     0,     0,   132,
     269,   572,   578,     0,     0,     0,   696,   695,     0,     0,
       0,     0,  1355,  1354,     0,     0,     0,     0,  1445,  1444,
       0,     0,     0,     0,     0,  1273,     0,   259,   261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   377,   378,     0,     0,     0,   136,
       0,     0,     0,     0,   271,     0,     0,  1405,  1402,  1403,
       0,  1408,     0,  1466,     0,   945,     0,     0,     0,     0,
     947,     0,   940,     0,     0,   937,  2254,  2310,     0,     0,
       0,     0,     0,     0,     0,   950,     0,     0,     0,   416,
       0,     0,   797,     0,     0,     0,     0,     0,     0,   808,
       0,  1422,  1454,     0,     0,     0,   626,     0,  2326,     0,
     134,   846,     0,   798,   444,     0,     0,     0,  1163,  1338,
     134,     0,     0,   172,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,   737,     0,     0,
       0,   799,     0,     0,   134,     0,  2326,   575,  2326,     0,
     505,   505,     0,     0,  1067,  1070,     0,     0,     0,     0,
    1584,  1586,  1585,     0,  1583,     0,   339,   340,     0,  1174,
     795,  1199,     0,     0,  1839,  1826,  1834,  1833,     0,  1816,
    1815,  1814,     0,  1813,     0,  1840,  1840,  1838,  1817,  1792,
       0,     0,     0,  1844,     0,  1842,     0,   875,  1788,  1784,
       0,  1851,  1852,  1853,  1850,  1863,  1849,     0,  1798,  1854,
    1807,  1804,   895,     0,     0,  1172,     0,     0,  2326,   341,
    2326,     0,  2326,     0,     0,     0,  1176,   341,     0,     0,
    1356,     0,   891,   889,   888,   890,     0,     0,   873,     0,
       0,     0,  2326,   341,     0,     0,   868,     0,     0,   870,
       0,     0,     0,     0,  1617,     0,   217,   218,   216,  1513,
     219,  1514,  1510,  1496,     0,   995,     0,   999,     0,   990,
       0,   996,     0,   991,   988,   989,     0,   994,     0,     0,
     506,   508,     0,     0,  2277,  2293,     0,  2316,  2346,  2347,
    2435,  2441,     0,  2468,  2478,     0,  1020,  1046,  1015,   707,
       0,     0,  1567,  1379,  2108,     0,  1617,     0,     0,     0,
       0,   235,   207,     0,     0,     0,  1048,  2434,  1394,   966,
     617,     0,  1956,     0,  1963,  1964,  2149,     0,     0,     0,
       0,     0,     0,  1962,  2116,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,  2129,     0,  2135,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,  1889,  1869,
    1870,  1960,  2101,     0,  1961,  2194,     0,  1862,  2170,  2091,
       0,  2088,  2089,  2090,     0,     0,     0,  2164,     0,  2099,
       0,     0,  1903,  2097,  1905,     0,     0,     0,     0,  2085,
    2086,  2087,  2079,  2080,  2081,  2082,  2083,  2084,  2095,  1885,
       0,     0,  2044,     0,  1884,     0,     0,  1698,     0,  2192,
    2152,  1698,   251,   252,   248,     0,     0,   203,   202,     0,
     221,   225,   226,   197,   224,     0,   220,   205,  2033,  2032,
     204,   196,   193,   191,   208,   210,   211,   194,   192,   245,
       0,  2157,     0,  2221,  2581,  2582,  2583,  2584,  2585,  2586,
    2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2595,  2596,
    2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,  2606,
    2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,
    2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,
    2627,  2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,
    2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,
    2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2154,  2153,  2182,  2222,  2223,  2224,  2225,  2160,     0,
       0,   341,  1474,     0,  1471,  1695,     0,  1614,     0,     0,
    1484,  1609,  1608,  1640,  1641,  1084,  1607,  1665,  1666,  1661,
       0,     0,     0,  1691,  1689,  1657,  1651,  1656,  1654,     0,
    1658,  1865,  1684,  1596,  1645,  1646,  1649,  1595,     0,  1687,
       0,  1570,  1685,  1650,  1554,     0,  1532,     0,  1743,     0,
       0,     0,     0,     0,  1112,  1114,     0,  1113,     0,  1116,
       0,  1125,     0,     0,  1111,  1130,     0,  1119,  1117,     0,
    1443,     0,     0,   906,     0,     0,     0,     0,  1429,     0,
       0,  2468,   239,  1432,  1437,  1424,  1435,     0,     0,     0,
       0,     0,  1050,  1049,     0,     0,  1072,     0,     0,     0,
    1450,   494,     0,   338,     0,     0,     0,     0,     0,     0,
       0,     0,   793,   790,     0,     0,   789,     0,   631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   669,
       0,  1273,     0,   701,     0,  1149,     0,     0,  1148,     0,
    1152,     0,     0,  1150,  1145,  1146,  2435,  2445,  2473,   241,
    1170,     0,  1169,  1167,  1094,     0,  1095,     0,     0,     0,
       0,     0,  2303,  2326,   281,   300,     0,  1272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   323,     0,     0,   326,   325,     0,     0,
       0,     0,     0,   330,   309,     0,   310,     0,     0,   329,
       0,     0,   597,   598,     0,     0,     0,     0,  1273,     0,
     273,     0,     0,     0,     0,     0,     0,     0,  1183,     0,
     724,     0,     0,     0,     0,     0,  1342,     0,     0,   158,
       0,   153,   157,     0,     0,     0,     0,   580,   581,   594,
       0,   585,   586,   583,   587,   588,     0,     0,     0,     0,
       0,     0,     0,   579,     0,     0,   691,   690,   694,     0,
       0,     0,  1351,     0,  1163,     0,     0,  1350,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1220,  1219,
       0,     0,     0,     0,     0,     0,   836,     0,     0,     0,
       0,     0,     0,     0,     0,   160,   711,     0,   710,     0,
     154,   159,     0,     0,     0,     0,     0,     0,     0,   215,
    1401,  1407,  1469,  2183,  1468,     0,     0,     0,     0,   949,
       0,     0,     0,     0,     0,     0,     0,   941,   942,   943,
     944,     0,     0,     0,     0,     0,   391,     0,     0,     0,
    2214,     0,   824,   796,     0,     0,     0,   810,     0,   813,
     816,     0,  1420,   463,     0,     0,   623,   669,     0,     0,
     447,   167,     0,     0,     0,     0,   726,     0,     0,     0,
    1337,   129,   176,   178,   445,     0,   177,   179,   181,   182,
     183,   180,   184,     0,   688,   692,     0,     0,     0,     0,
     619,     0,     0,     0,     0,     0,   739,   743,   742,   746,
     744,     0,   740,     0,     0,  1763,     0,     0,   152,     0,
       0,   570,   574,     0,     0,     0,     0,   447,   546,   352,
    2326,     0,   505,     0,  2326,     0,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,   341,  1134,     0,  1442,
       0,     0,     0,   341,  1837,  1836,  1789,  1785,     0,     0,
       0,     0,   909,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1805,   341,  1098,   166,  2210,     0,   877,     0,
       0,     0,     0,   341,  1185,   865,   162,   341,   622,     0,
     341,   164,     0,     0,     0,   614,   341,   903,   341,  2178,
       0,   341,  1525,  2326,   505,  1498,  1509,   992,  1001,  1000,
     998,   997,   993,     0,  1012,     0,   504,     0,     0,     0,
    1026,  1027,     0,     0,  1025,  1028,     0,  1030,  1022,  1021,
    1031,  1032,     0,     0,  1048,   705,     0,     0,     0,     0,
    1564,     0,  1562,     0,  1741,  1566,  1555,  1517,     0,  1516,
       0,   563,     0,     0,  1217,     0,     0,  1009,     0,     0,
     341,  1393,     0,   968,   974,     0,     0,     0,     0,     0,
       0,   977,   978,   979,   970,   980,   971,   981,     0,   972,
       0,     0,     0,     0,  2162,  2112,     0,  2113,     0,     0,
    2148,  2144,     0,     0,     0,     0,     0,  2117,  2120,  2121,
    2122,  2119,  2123,  2118,     0,     0,  2124,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2537,     0,     0,     0,
       0,  1929,     0,     0,  2072,     0,  2101,  2134,     0,     0,
       0,     0,     0,     0,  2101,  2140,     0,     0,     0,     0,
    2031,     0,  2028,     0,     0,     0,     0,  2161,     0,     0,
    2195,  1866,  1880,  1881,  1882,  1886,  2169,     0,  2163,     0,
       0,  1867,  1894,     0,  2141,  1921,     0,  1926,  1909,     0,
    1902,     0,  1907,  1911,  1890,     0,  1887,     0,  2164,  2100,
       0,  2098,     0,  1877,  1878,  1879,  1871,  1872,  1873,  1874,
    1875,  1876,  1883,  2076,  2074,  2075,     0,     0,     0,  2052,
       0,     0,  1906,  2319,  2353,     0,  1630,  1630,  1630,  1618,
    1628,  2168,     0,  1758,     0,     0,     0,     0,  1968,     0,
    2105,  1639,  2103,  1117,  1758,  2174,     0,     0,  1862,     0,
    1739,  2155,  2158,   911,   912,   910,  1494,  1477,  1473,  1472,
    2102,  1493,  1617,     0,  1082,  1083,     0,  1087,     0,     0,
    1659,  1692,     0,  1683,     0,  1663,  1664,  1655,  1693,  1568,
       0,  1688,  1600,  1599,     0,  1761,     0,     0,     0,  1546,
    1534,     0,  1744,     0,  1698,  1572,     0,  2161,  1696,  1315,
    1221,  1280,  1115,     0,  1807,  1126,     0,  1110,     0,  1109,
    1807,     0,  1127,     0,  1807,  1316,  1222,  1281,   907,  1317,
    1223,  1282,  1318,  1224,  1439,  1427,  1426,  1425,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,  2326,   341,  1448,  1319,     0,  1225,   337,
    1449,  1283,  1453,   792,   791,     0,     0,  1284,     0,   632,
       0,   636,     0,   638,   639,   640,     0,     0,     0,   641,
       0,  2254,  2310,   643,   646,   653,   658,   648,     0,     0,
     660,   654,     0,     0,     0,     0,     0,     0,   666,   671,
       0,     0,     0,     0,     0,     0,     0,  1143,  1144,  1320,
    1228,     0,  1285,  1093,     0,  1229,   168,     0,     0,   266,
    2326,   283,     0,   673,   774,  1275,   307,     0,     0,   322,
     317,   318,   316,  2326,   341,  2326,   341,     0,     0,     0,
       0,     0,   319,   314,   315,   311,     0,     0,   324,  2230,
    2295,  2446,     0,   677,   679,     0,   684,   327,  1247,   348,
     347,   346,     0,   331,     0,   353,   356,   328,   305,   308,
     306,   302,   278,     0,     0,     0,     0,     0,     0,     0,
       0,  2181,     0,     0,  1178,     0,  1323,  1286,     0,  1306,
       0,     0,     0,     0,   718,  1343,  1345,  1335,  1235,  1344,
     156,  1262,   145,     0,     0,   141,     0,     0,     0,     0,
     135,     0,  1326,  1236,     0,     0,   270,   573,   584,   589,
    1241,   593,   590,  1296,   591,  1333,  1237,  1329,  1265,  1291,
    1336,  1352,  1238,  1163,  1347,  1349,     0,  1273,     0,   260,
     262,     0,   280,     0,  1239,     0,  1289,  1328,  1264,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,   341,     0,     0,     0,  1275,
    2326,   341,  1327,     0,  1270,     0,  1304,     0,   379,     0,
    1263,     0,     0,   272,  1243,  1298,     0,     0,   213,   212,
     214,   958,   918,   957,     0,  2293,     0,   917,   919,     0,
       0,     0,   920,     0,     0,     0,     0,   916,   914,   915,
     390,     0,   415,   388,   389,   391,     0,     0,   823,     0,
       0,     0,     0,   812,     0,     0,     0,  1446,     0,   132,
     630,     0,     0,     0,   625,   668,   673,     0,     0,     0,
       0,   446,   450,   454,   455,   456,     0,     0,     0,     0,
     146,   133,     0,   854,     0,   505,     0,   728,  1341,  1340,
    1162,     0,   178,   171,     0,     0,   689,     0,  1494,     0,
       0,   352,   807,   805,   804,   806,     0,     0,     0,   828,
     803,     0,  1762,  1764,     0,     0,     0,     0,     0,     0,
     563,   449,     0,     0,   508,     0,     0,   550,     0,     0,
       0,     0,   352,     0,     0,     0,  1104,     0,  1122,  1105,
       0,     0,     0,     0,  1156,  1163,  1157,  1135,     0,     0,
     602,  1587,  1588,     0,  1175,     0,     0,  1806,  1819,   876,
       0,  1847,  1846,  1848,  1848,     0,  1790,     0,  1831,  1856,
    1857,  1858,  1859,  1860,  1861,     0,  1855,  1799,  1173,   341,
       0,   341,     0,   341,  1177,  1357,     0,   874,     0,     0,
     341,   867,   869,     0,   871,     0,  1013,   507,     0,     0,
       0,     0,  1024,   600,  1029,     0,  1041,  1036,  1038,     0,
    1042,   704,     0,     0,  1565,  1558,  1560,  1559,     0,     0,
    1556,  2109,   866,     0,   569,  1209,  1210,     0,     0,   341,
       0,  1043,     0,     0,   975,   969,     0,     0,   973,     0,
     976,     0,     0,  1635,  2110,  2111,     0,     0,     0,  2145,
       0,     0,  2006,     0,  1982,  1984,  1996,     0,  2007,  1967,
    2008,  1986,  1988,     0,  2092,     0,     0,  1997,     0,  1931,
    1932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1947,  1946,
    1998,  2071,     0,     0,  2132,  2133,  1999,     0,     0,  2139,
       0,     0,     0,  2004,  2009,     0,     0,     0,     0,  2015,
       0,  2036,     0,     0,     0,  1957,  2102,     0,     0,     0,
       0,     0,     0,     0,     0,  1927,  1910,  1904,     0,  1908,
    1912,     0,     0,     0,  1898,     0,     0,  1896,  1922,  1892,
       0,     0,  1923,     0,     0,     0,  1975,     0,     0,  1630,
    1630,  1630,  1630,  1627,     0,     0,     0,     0,  2432,  2557,
       0,  1722,  1697,  1699,  1709,  1722,  1727,  1722,  1977,  1756,
    1978,     0,  2175,     0,  1668,  1639,  1639,  1639,  1974,     0,
       0,     0,     0,  1638,  1668,   189,     0,   222,   209,  2157,
       0,  1475,     0,  1642,     0,  2093,  1087,     0,  1644,     0,
       0,  1690,  1652,  1569,  1553,     0,  1551,  1538,  1540,  1539,
       0,     0,  1541,  2161,     0,  1551,  1533,  1577,     0,     0,
    1761,     0,  1576,     0,  1807,  1107,  1108,     0,  1131,     0,
    1053,  1054,     0,  1052,     0,     0,     0,   493,  1071,     0,
       0,     0,   774,     0,     0,   497,     0,  1451,     0,  1334,
    1261,   634,   635,     0,   647,     0,   656,   655,     0,     0,
       0,     0,     0,     0,     0,   642,   662,   606,   663,   665,
       0,     0,   664,   667,   670,  1273,     0,   702,  1249,     0,
    1302,  1137,  1276,     0,  1096,     0,     0,     0,     0,     0,
       0,   463,   301,     0,     0,     0,   361,     0,   285,   293,
     359,   299,     0,  1279,   333,     0,   304,     0,   297,   320,
     312,   321,   313,   332,   334,     0,   681,   682,   680,   676,
       0,   683,   685,     0,   350,     0,     0,     0,  1322,     0,
    1273,     0,   274,     0,  1245,     0,  1300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1305,     0,
       0,     0,     0,   723,     0,   720,     0,     0,   138,   137,
       0,   144,     0,     0,     0,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,     0,   279,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   380,   343,     0,   831,     0,     0,     0,
     382,     0,     0,     0,     0,     0,  1321,  1230,     0,     0,
       0,   929,     0,     0,     0,     0,     0,     0,   393,   394,
     132,   392,     0,     0,   822,  2382,  2079,  2080,   820,   826,
     817,   819,   821,   818,     0,   825,   774,     0,     0,   809,
     814,   815,     0,     0,     0,     0,     0,   478,     0,     0,
       0,   469,     0,     0,  1163,   462,   465,   466,     0,     0,
     626,   629,   627,   628,   661,     0,   449,   485,   532,     0,
     148,     0,     0,   149,   147,     0,     0,   352,   725,     0,
     722,     0,   174,   445,     0,   693,     0,     0,     0,  1163,
     618,   745,   748,   741,     0,   827,   829,   801,     0,   673,
       0,     0,   575,     0,   505,  1526,   558,     0,   534,   449,
     532,   544,   543,   545,     0,   552,   351,     0,     0,   563,
     552,     0,     0,  1072,  1103,     0,     0,     0,  1153,  1158,
    1154,     0,     0,  1118,     0,  1155,  1136,  1090,  1373,  1374,
    1371,  1372,     0,     0,     0,  1579,     0,  1825,     0,  1843,
    1841,  1786,  1791,  1864,   878,     0,   861,     0,   863,   341,
     712,     0,   615,   341,     0,     0,     0,     0,  1023,     0,
    1039,     0,     0,  1006,  1045,     0,     0,  1563,  1561,   561,
       0,  1048,     0,  1007,  1047,     0,     0,     0,     0,     0,
       0,     0,  2114,     0,  2147,  2143,     0,  1979,  2115,     0,
    2127,  2126,  2072,     0,     0,  1930,  1942,  1943,  1944,  2128,
       0,  1952,     0,     0,  1939,  1940,  1941,  1933,  1934,  1935,
    1936,  1937,  1938,  1945,  2137,  2136,  2130,  2131,     0,  2001,
    2002,  2003,  2138,  2010,     0,  2245,  2037,  2014,  2030,  2029,
       0,     0,     0,  2017,     0,     0,  2026,     0,  2073,  2196,
    1868,     0,     0,  1895,  2142,  1913,     0,     0,     0,  1891,
    2092,     0,     0,     0,     0,     0,  1900,     0,     0,     0,
    2055,  2050,  2051,  2069,     0,     0,     0,     0,     0,     0,
    1621,  1620,  1626,  1722,  1727,  1722,     0,     0,  1602,     0,
    1709,     0,  1721,  1707,  1720,     0,     0,  1733,  1731,     0,
    1733,     0,  1733,     0,  1701,     0,  1723,  1703,  1720,  1705,
       0,  1748,     0,  2176,  1757,     0,  1681,     0,     0,     0,
       0,  2106,  2107,     0,  2104,  1969,  1681,     0,  2156,  1615,
       0,  1643,  1085,  1086,  1660,  1653,  2273,  1759,     0,  1552,
       0,     0,     0,  1543,  1549,  1531,     0,     0,  1573,  1551,
    1574,  1128,     0,     0,  1120,  1059,  1062,  1060,  1058,  1061,
       0,     0,     0,   774,     0,     0,   513,     0,  1079,  1079,
       0,     0,   499,   555,  1163,   777,     0,     0,     0,   775,
     341,  1226,     0,   657,     0,     0,   652,   650,   649,   651,
       0,   607,  1332,  1227,     0,     0,     0,     0,  1138,     0,
       0,  1248,     0,   282,     0,   459,     0,   294,     0,   290,
       0,  1274,     0,     0,     0,     0,   289,   363,     0,   360,
       0,   341,   341,   335,   678,   349,   354,   355,   358,     0,
       0,     0,     0,     0,  1278,     0,     0,     0,     0,     0,
       0,     0,   855,   838,     0,     0,   856,   857,     0,     0,
       0,  1180,  1181,  1179,  1307,  1308,  1313,  1310,  1309,  1312,
    1314,  1311,     0,  1233,     0,     0,   716,   142,   139,   140,
     143,  1259,  1242,  1297,  1348,     0,     0,     0,  1240,     0,
    1290,     0,  1255,  1251,     0,     0,     0,     0,     0,  1331,
    1269,  1295,  1330,  1267,  1293,  1266,  1292,  1268,  1294,     0,
    1260,     0,  1766,   835,     0,     0,     0,   341,   341,   834,
     714,  1244,  1299,     0,     0,   921,     0,     0,   923,   924,
       0,   926,   398,   418,   734,   794,     0,     0,   811,   773,
       0,   467,     0,   473,   476,     0,     0,   480,   481,   479,
     468,  1163,   505,   554,     0,     0,   784,     0,   624,     0,
     447,     0,   482,     0,     0,   451,   151,   150,     0,     0,
       0,   729,   733,   731,   730,   732,   727,     0,   718,   178,
    2326,     0,     0,     0,     0,   556,  1346,     0,   758,   802,
       0,  1765,   708,     0,   352,   571,     0,     0,     0,   447,
     563,     0,   452,   457,   458,   463,     0,   546,   533,     0,
     534,     0,     0,   560,  1418,     0,   564,   566,     0,     0,
       0,  1106,  1123,  1124,     0,     0,  1163,     0,     0,     0,
       0,   609,   341,  1787,   341,   341,  1206,     0,   872,  1035,
    1034,  1033,   601,     0,  1037,   706,     0,   562,   341,     0,
     983,   963,   982,   962,   964,     0,   961,   959,   960,  2146,
    1995,  2005,  2125,  2071,  2102,     0,     0,  1953,     0,     0,
    2000,  2547,     0,     0,     0,     0,  2034,  2035,  2016,     0,
    2372,  2021,     0,     0,     0,  1919,  1917,  1914,     0,  1915,
    1899,     0,     0,  1897,  1893,     0,  1924,  2041,     0,  2057,
    2054,  2068,  2102,  1625,  1624,  1623,  1622,  1708,  1704,  1706,
       0,  2552,     0,  1711,  1718,     0,  1700,     0,  1732,  1728,
       0,  1729,     0,     0,  1730,     0,     0,  1702,     0,  1718,
       0,  1755,  1639,     0,     0,  2046,  1972,  1973,  1970,  1639,
    2193,  2046,   223,     0,     0,  1550,  1535,     0,  1536,  1542,
       0,     0,     0,     0,  1578,  1571,  1121,  1129,     0,     0,
       0,   495,     0,  1163,     0,     0,     0,  1081,  1081,     0,
    1163,   554,   779,   778,   781,   776,   780,  1452,     0,   644,
     645,   659,  1250,     0,  1303,  1257,     0,  1567,   284,     0,
     674,     0,     0,   286,   362,   364,   287,   288,   291,   343,
     303,   296,     0,     0,     0,  1246,     0,  1301,  1253,  1324,
    1231,  1287,     0,     0,   844,     0,     0,     0,     0,  1325,
    1232,  1288,     0,     0,     0,     0,  1567,     0,     0,     0,
       0,     0,     0,     0,  1461,     0,  1277,   342,   833,   832,
     343,   381,  1271,     0,   922,   927,   928,   925,     0,   387,
     395,   419,   132,     0,     0,  1197,  1197,     0,   774,     0,
       0,   464,   477,     0,   554,   512,     0,   470,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   721,   720,   173,     0,   447,     0,   673,     0,
     752,   753,   747,   749,     0,   760,   764,   830,     0,     0,
     563,   449,     0,     0,  1524,   448,     0,     0,   460,     0,
     550,   534,   546,     0,   547,     0,   551,     0,  1411,     0,
       0,     0,     0,  1159,     0,  1165,     0,  1117,  1088,  1160,
       0,  1758,     0,     0,     0,     0,   613,  1198,   862,   864,
     713,  1040,     0,  1044,   341,   965,  2073,  1948,     0,     0,
       0,     0,  2011,     0,  2012,  2039,  2038,  2018,  2022,     0,
    2019,  2020,  1916,  1920,  1918,  1901,  2043,     0,  1639,  2070,
    1751,     0,  1754,     0,     0,  1710,     0,     0,  1712,     0,
       0,  1714,  1716,     0,     0,     0,     0,     0,     0,  2179,
       0,  2272,  2521,  2431,     0,  1667,  1669,  1672,  1674,  1673,
    1675,  1671,  1680,     0,  1604,     0,  1603,  2094,  1760,     0,
       0,     0,  1073,     0,  1575,  1041,     0,   341,  1079,   554,
     514,  2382,   515,  1078,  1080,  1084,  1084,     0,   554,   774,
     637,     0,     0,   267,   672,     0,     0,   295,   345,   357,
       0,  1567,     0,     0,   842,   851,   851,   839,     0,     0,
     858,  1234,   717,     0,     0,   263,  1256,  1252,     0,     0,
    1463,  1464,     0,     0,     0,     0,     0,   341,   930,     0,
     421,   428,   399,   404,  1455,     0,  1455,     0,   401,   405,
    1455,   400,  1455,   397,   398,     0,  1197,     0,  1194,  1193,
     772,     0,   503,   577,   471,     0,   523,     0,     0,   785,
       0,     0,   449,   532,     0,   492,   491,   487,   486,   488,
     489,   490,   484,   483,     0,   673,   848,   352,  1418,   715,
       0,     0,   686,     0,   750,   755,   754,  1455,   759,     0,
       0,     0,   673,     0,   559,   534,   449,   532,   453,   463,
     536,     0,   537,   552,   546,   550,   548,   549,     0,     0,
       0,   563,  1465,  1072,     0,  1164,     0,     0,     0,     0,
       0,     0,  1201,   608,     0,     0,   612,   603,   673,  1008,
    1949,     0,  1950,     0,     0,     0,  2024,  2023,     0,  2060,
    1756,     0,     0,  1750,     0,     0,  1780,     0,     0,     0,
    1719,  1735,     0,  1715,  1713,     0,  1724,     0,  1726,  1969,
       0,     0,     0,  1676,     0,  2045,  2047,     0,  1971,     0,
    1548,  1758,     0,  1545,     0,  1055,     0,  1056,  1081,   518,
       0,  1087,  1087,   505,   774,   496,  1258,     0,   675,   577,
       0,   298,     0,   275,  1254,     0,     0,   853,   853,     0,
       0,     0,     0,   375,   374,   369,   376,     0,   372,   368,
     367,   370,     0,  1457,     0,  1458,  1459,  1462,   383,   396,
       0,   426,     0,   424,   423,   425,     0,   412,     0,     0,
       0,     0,     0,     0,   386,   417,  1192,  1196,  1195,     0,
       0,   472,     0,   474,   509,   510,   511,     0,   475,   519,
     520,     0,   782,     0,   787,     0,     0,     0,   673,   531,
     697,     0,     0,     0,  1412,     0,     0,   557,     0,   761,
     762,   757,     0,     0,   709,  1418,   546,     0,   534,   461,
       0,   434,   550,   552,     0,  1415,     0,   565,     0,   352,
    1163,  1166,  1161,  1377,     0,     0,   611,   610,   703,  1951,
    2027,  2013,  2040,  2025,  2056,     0,     0,     0,  1749,  1752,
       0,  1783,     0,     0,     0,     0,  1769,     0,  1717,     0,
       0,  1725,     0,     0,     0,  1670,     0,     0,  1537,  1547,
    1074,     0,     0,  1084,     0,   774,     0,  1076,  1075,   512,
     498,  1567,   292,   344,     0,     0,     0,   849,   852,   840,
     841,   860,   859,   719,  1567,     0,     0,   365,     0,     0,
     422,   431,     0,   429,   402,   407,     0,   411,   409,   408,
     403,   406,     0,   502,     0,     0,     0,     0,   521,     0,
     522,   553,     0,   786,     0,     0,     0,   699,   847,     0,
       0,   447,   673,   751,   756,     0,     0,  1413,   550,   534,
     546,     0,     0,   538,  1079,  1079,   552,   432,  1416,  1417,
       0,   552,  1089,  1376,  1375,  1617,     0,     0,  2508,  2273,
    2480,     0,  2058,  2061,  2059,  2053,     0,     0,  1781,  1782,
    1767,     0,     0,  1771,  1734,  1747,  1678,     0,  1677,  2048,
    2049,  1758,   341,  1087,     0,   500,   516,   523,   268,  1567,
     843,     0,   264,     0,   373,   371,  1460,   427,     0,   410,
     764,   576,   528,     0,   527,     0,   525,   524,   783,   788,
       0,   673,   837,  1418,   687,   763,     0,   552,   546,   550,
       0,   535,     0,  1081,  1081,   436,     0,  1758,  1359,  1617,
    1358,  1360,  1368,  1365,  1367,  1366,  1364,  1204,  1205,     0,
    2065,  2064,  2063,  2067,  2066,  1753,     0,  1770,  1773,     0,
       0,     0,  1779,  1772,  1774,     0,  1745,  1679,  1544,  1057,
    1077,     0,   774,   276,   850,     0,   430,     0,   526,   530,
     529,   673,   698,  1414,   767,   435,   550,   552,  1079,   539,
     541,   540,   352,  1063,     0,  1369,  1363,  1602,  1589,     0,
       0,     0,     0,  1776,  1777,  1778,  1775,     0,   517,   501,
       0,     0,   700,   769,     0,   765,   768,   770,   771,   552,
     433,  1081,   552,  1361,  1617,     0,     0,  2062,     0,     0,
     366,     0,   735,     0,   437,   542,  1758,  1362,     0,     0,
       0,  1746,     0,   766,  1064,     0,     0,  1768,   767,     0,
       0,     0,  1202,  1203,   736
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4744, -4744, -4744,  3499, -4744,  -868, -1198,  2728,  -711, -4744,
   -4744, -4744,  1199, -4744, -4744, -4744, -4744,  3437, -4744,  1870,
   -2334, -4744, -4744,   137,  3394, -1256,   108,  3000,  1526, -4744,
   -1103, -4744, -4744,  -560,   116, -4744,  3398, -1072, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744,  -813,  1986,  2057,  1367,
    2946, -4038, -4744, -4744, -1368, -3085, -4744,   707, -4744,   736,
   -4049, -4478, -4744,  -924,  -750, -4744, -4744,  1975, -4744, -4744,
   -4744,  1192,   618,  -432, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744,  -606, -4744, -4744,  -843,   151,    45, -2359, -3591, -4744,
   -4744,   577,  -249, -1385, -4744, -3454, -4744,   117, -2151, -4744,
   -4744, -4744,  -216, -1350,  1477, -4744,  -673, -1123,  1776,  -714,
   -4744,   -98, -4744,  -817,  -613,  -610,  -736, -3637, -4118, -4744,
   -4744, -4744,  -841, -4133, -4378, -3614, -3374,  1493, -4744,   154,
   -3010, -3092,   155,   555, -4744,   158,   159, -4744,   573,  -543,
    -877, -1487, -4744,  -839, -4744, -4744, -4744, -2827, -4744, -4744,
   -4744, -4744,    71, -4744, -4744, -4744, -4744,   617, -4744, -4744,
   -4744, -4744, -4744, -4744, -2597,  1951,  1953, -4744, -2954, -4744,
    -850, -4744,   761, -2854,  1402, -4744, -4744,  1188,  3466,   601,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -1583, -4744, -4744,
   -4744, -4744,   119,  -185, -4744, -4744, -4744, -4744, -4744, -4744,
     165, -4744,  1971,  1185, -4744, -4744,  -186, -4744, -4744, -4744,
   -4744, -4744, -4744,  -793,  -930,  -910, -4744, -2858, -4744, -4744,
   -4744,  -155, -4744, -4744, -4744, -4744, -4744, -4744,  -720, -4744,
    1261, -3019, -4744, -4744,  1268, -4744, -4744, -4744, -4744, -4744,
    -699,   -84,  2781, -4744,  -313,  -504, -4744, -4744, -4744,   -83,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -1043,  6336,
    -789,  -531, -4744, -4744, -4744, -4744, -4744, -2250, -4744, -4744,
   -4744, -4744, -3565, -4744,  4369,  2011,  -153,   166, -4744,    -8,
      59,  3258, -1105, -2526,   558,  -278, -4744, -4744, -4744, -2463,
   -4744, -4744, -4744, -4744, -3390,   167, -4744,  3265, -4744, -3664,
   -4387, -3407, -3921, -4278, -4415, -3379, -4744, -4744, -4744, -4744,
    -254,  -191, -4744, -4744, -1375,  2311, -1864, -4744, -2008,   610,
    1585,  3461, -2633,  -140,  2764, -3671,  -662, -3139, -4744, -4744,
   -2241,  -410, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
    -577,  2685,  -190, -4744, -4744,  3794, -4744, -4158, -4744,  3760,
   -4744, -4744, -4744, -4744,  2601,  2603, -4744,  2605, -4744, -4744,
   -1365,  1351, -4744, -4744, -4744, -4744,   799, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  1252,   789, -4744, -4744, -4744, -4744,
   -4744,  -689,  -847, -4744, -4744,   168, -4744, -4744, -4744, -4744,
    2074,  -864,  -680,  3666,   169, -4567, -4744, -4744, -1045, -4744,
    3061, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -2387, -4744, -4744, -4235, -4744, -4744, -4744, -4744, -4744,  2400,
    2401,    49,   -39, -4744, -4744,  -934, -4744,  -533, -4744,  2679,
   -4744, -4744, -4744, -4744, -1674,   170,   664, -4744,     3, -4744,
   -4744,    33, -4744,   430, -4744, -4744, -3301,     4, -4744, -4744,
   -4744, -4744, -4260, -4744,    10,  -587,   958, -2692, -4744,   171,
      12, -4744, -4744,     2,  2632,   -45,   -47,   -43,     1,   126,
    3134, -4744,  3172, -4744,   -13,  1761, -4744, -4744,  -777,  -143,
   -4744,  1682,  -601,  2391,  3127,  3129, -4744,  1674, -4744, -4744,
    1681, -4744,  1011,  -557,  -397, -4744, -4744, -4744, -4744,   472,
    -600,  2402, -4744,  3142, -4744, -4744, -4744, -1775, -2705, -3257,
    1040, -3296, -3231,   519,   507, -1404,  -165,   -15,  -717,  3141,
   -4744, -4744,  1054,  -361, -4744, -4744,  -358, -2708,   994, -4744,
   -4207, -2234,  1056,  -792,  -646, -4744,  -722, -4744,  -524,  3635,
    2804, -1014, -4744, -4744,  -969, 13789, -4744, -4744, -4744, 13940,
   14938, -4744, -4744, 15099, 15947, -4744,  -849, 16004, 13576,  -996,
   -1730,   -74, 12353, -1773, -1285, -2650, -4744, -3388, -2489, -4744,
   -4744, -4744,  -121,  1116,   304, -4744, -4226, -4744, -4744,    96,
   -4744,  -532, -4744,  -519, -4744, -4744, -4744,  -497, -4743,  2607,
   -4744, -4744, -4744,  -169, -4744, 17047, -2635, -4744,  -732, -2618,
   -2634, -3302, -1720, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -2423, -3167,  -518,  1801, -4744, -4744,  1894, -4744, -4744, -4744,
   -1271,  1751,  -723, -2524,  1810, -4744,  -724,  2610,  -716,  6513,
    -626,  5500,  -480, -2201, -1192, -1508, -4744,  1555, -4744,  1537,
     -16,    -5,  -145,  2467,  -576,  1026, 10680,  -611, -1147,  8668,
   12317, 11185, -3012
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1481,  2401,  2271,  3150,  3151,
      55,    56,  1477,    57,    58,    59,    60,  1400,    61,   989,
    1623,  2416,    62,  2112,   756,   757,   758,  1933,  1934,  2350,
    1935,  1923,  1287,  1760,  1421,   730,   731,  1382,  1422,    64,
      65,  1281,  1914,    66,    67,    68,  1451,  1528,  1452,  1394,
    1669,  4172,  4891,  2963,  2239,  3199,  2964,  2965,  3569,  3570,
    3645,  4906,  4912,  4907,  4908,    69,  1544,  1545,    70,    71,
    3115,  3111,  3690,  4509,  4510,  4743,   569,  2378,  4512,  4513,
    4729,  4730,  4924,  5062,  5063,  2417,  1615,  3193,  3778,  3141,
    4261,  3142,  4262,  3143,  4263,  3127,  3725,  3726,  4206,  3727,
    3144,  4222,  4772,  3145,  2131,  4941,  2458,  1782,  1780,  4756,
    4035,  4036,  5035,  4948,  4949,  4950,  5166,  4224,  4267,  4268,
    4801,  5102,  5103,  3197,  3785,  4273,  4527,  2852,    73,   665,
    1649,  3294,   666,  2461,   604,   667,  2418,    78,  2451,  4943,
    2452,  1502,  2280,  4909,  3274,    79,  1013,  3536,  4596,  4826,
    4827,    80,   221,    81,  1631,    82,    83,  2396,  3134,    84,
    2148,  2869,    85,    86,  2898,  2899,  2900,    87,  3561,  4449,
    1453,  2952,  2953,  2954,  2955,  3591,    88,  1626,  2425,  2426,
      89,    90,    91,    92,  2567,  2568,    93,  2337,    94,    95,
      96,    97,  3625,  4136,  4238,  2994,  3157,  3750,  4236,    98,
    2419,  1639,  2441,  2442,  4248,  4552,  4553,  4554,  4787,  5093,
    4556,  4789,  4971,  4791,  5264,  5265,  4518,  3515,  4049,   100,
    4215,  4216,  4955,   101,  2146,   102,   103,   104,  1599,  2388,
    2389,  3699,  1592,  2381,  2382,  3764,  3765,   105,  3068,   106,
    4112,  4113,   605,  4962,  4897,  5049,   107,   108,  4116,  4117,
     109,   110,   111,   112,   113,   657,   658,   659,  1101,  1102,
    2824,  1053,   114,  2031,   115,   952,   953,  3092,   116,  1174,
    2611,  2612,  4311,   117,   690,  1120,  1121,  2420,   119,   699,
    2587,   701,  1795,  3276,  3277,  3843,   120,   121,  2564,  2590,
     122,  1387,  2122,  2123,  4030,  2421,   606,  1655,  2465,  2847,
    4671,  4672,  4427,  4685,  2777,  3468,   124,   607,  1426,  2195,
    1073,  1074,  2468,  3207,  2091,  2092,  2093,  3802,  2094,  3209,
    2095,  1360,  2096,  1023,  1024,  3215,  3216,  3217,  3798,  3805,
    2410,  4585,  4586,   125,  1424,  2193,   126,   127,   128,  1465,
     874,  1083,  1084,   129,   619,   620,   130,  4748,   131,  1027,
     132,  4594,   133,   134,   721,   722,  1158,  1159,   135,   136,
    2209,  3572,   137,   138,   139,  2988,  2989,  4128,   140,   141,
    1618,  1619,   142,   143,  3033,  3034,   144,   145,   146,  5190,
    5244,  5245,  5246,  3812,  5115,  5192,  1151,   148,   149,   150,
     187,   912,   913,   914,  2422,  4578,   152,   153,  1383,  1384,
    1385,  1386,  2117,   154,   155,   156,   157,   158,   159,   160,
    1603,   161,   162,  4722,   163,   164,  1563,   165,  1317,  1318,
     166,   167,   563,   774,  1321,  1327,   168,   669,  1114,  1115,
    1116,  1762,   169,  1154,   955,   670,  1109,   171,   671,  2075,
    2799,  3480,  3481,  3482,  3485,  4412,  4009,   672,  2795,   174,
    1802,  2573,  2576,  2791,   673,  2804,  2805,  2806,  3488,   674,
     692,  1016,  2474,   675,  1248,   179,   180,   181,   783,   777,
     778,   183,  1907,  2739,   708,  1334,   743,   744,   791,  3453,
    2043,  2044,  2066,  2067,  1343,  1344,  2056,  2058,  2779,  2059,
    2787,  2049,  3986,  4655,  4656,  4657,  4658,  4659,  4660,  4395,
    2062,  2063,  1346,  1347,  1348,  2071,   184,  2743,  3432,  3433,
    3434,  3962,  3963,  3977,  3973,  4379,  4641,  3435,  1149,  1354,
    4387,  5216,  3436,  4630,  4631,  4843,  3981,  3444,  3476,  3181,
    3182,  3183,  3437,  5015,  5016,  5213,  5214,  4845,  4846,  2097,
    1699,  1055,  1249,  1056,  1711,  1250,  1683,  1058,  1251,  1252,
    1253,  1061,  1254,  1255,  1256,  1064,  1675,  1257,  1258,  1693,
    1708,  1709,  1322,  4847,  1260,  1261,  1262,  3439,  1263,  3916,
    4343,  4332,  2671,  2672,  1930,  3912,  3377,  1902,  2729,  4664,
    4865,  4866,  3416,  3941,  4359,  4628,  5007,  5122,  5123,  1264,
    1265,  1266,  2726,  1898,   877,  1267,  3701,  1900,  2665,  2751,
    2752,  1805,  1825,  2618,  2634,  2635,  2645,  3336,  2653,  2658,
    3364,  3365,  2666,  2695,  1268,  2620,  2621,  3320,  1827,  1269,
    1310,  1942,  1361,  1822,  2690,  1277,  1270,  1271,  1796,   767,
    4637,  1105,   833,  2980,  2022,   916,   705,  1272,  1273,  1274,
    1275,  1458,   848,  1076,  1077,   559,   827,   850,  2956,   560,
     561,   829,  2027
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     621,   182,   177,   172,   173,   782,   841,  1019,   983,   706,
     175,  1501,   875,  1759,  2293,  1779,   694,  1349,  1457,   557,
    1278,   182,   694,  1140,  1141,  1142,   611,   735,   766,  1146,
    1282,   769,  1104,   876,  1689,  1719,  1549,   792,  2130,  1506,
    2028,  3140,  1367,  1323,  2749,  1311,  3454,  2204,   824,  1561,
    2196,  2982,  1312,  1117,  2352,  1695,  2061,   603,  1017,  2446,
    1628,   883,  3299,  3031,  1815,  1087,  3562,  1679,  1680,   668,
    3542,  2650,  2216,  1296,   903,  1500,  3806,  1688,  1098,  3163,
    2233,   700,  2205,  1527,  2817,  2819,  3760,  4001,   656,  3474,
    2028,  3065,  3438,  1554,   736,  3586,   968,  3588,  3776,  3928,
    1601,  3280,  4037,  2617,  1606,  3703,  3711,  4075,  3097,  1610,
    3098,  3487,  3447,  3703,  3102,  4032,    63,  3790,  4428,  1620,
    1427,  4038,  1095,  3107,  3108,  3109,  3445,  3446,   786,  4280,
    1111,  4286,  2579,  1644,  4570,   794,  2754,  2680,  1019,   795,
    3976,  3466,   729,  4270,  3438,  4221,  4634,  2466,  1029,   763,
    4686,    72,  4572,  3385,    74,    75,  2028,  2522,    76,    77,
    2314,  2189,  2023,  2318,  2319,    99,   118,   123,   147,   151,
     170,   176,  4534,  3959,  2103,   780,  4277,   755,  3773,  1423,
    3493,  4646,  3734,  4648,  4015,  1676,  1677,  4693,  4269,  1289,
    1342,  1345,  4803,   617,  1311,  4814,  1687,  3896,   676,   896,
   -2312, -2348,  3153,  1666,  3974,   676,  3979, -1840,  1666, -2242,
    1640,  4964, -1848,   567,  1870, -2371, -2402,  2029,   676,  2023,
    4571,  3796, -1807,  2325,  3342, -1820,  4715,  4426,  2816,  1679,
    1680, -2214,  1695, -2315,  4231,  1122,  1666, -2215,  3088, -2214,
   -2214,  4911,   676,  1876, -1845, -2215, -2215,  1396, -1835,  1688,
     617,   715,  4896,  3440,  2330,   617, -2186,  4724,  4725,  1126,
    2443,  2407,  2589,  1613, -2563,  3318,   617,  1666,  2207, -2185,
    4881,  4882, -2563, -2563,  1878,   617,  3728,  1761,  1710,  1641,
    1666,  2688,  1597,  3492,  1170,   787,  1533,  1589,  2124,   676,
    3297,  4313,  4314,   617,  4316,  4317,  4318,  2742,  3113,  1286,
   -1848,  3758,  3543,  1701,   772,  3440,  2125,   617,  2688,  3251,
    1454,  3253,  1920,  1454,   617,   676,  3781,  3063,   676,  2455,
    2207,  1454,   617,   839,  4232,  4257,   676,  3284,  1534,  1666,
    2312,  1454,   617,  3286,   716,  2114,   676,  4824,  1676,  1677,
    2863,  1313,  1666,  2456,  1558,  2132,  1666,   788,  -420,  4258,
   -2369,  -132,  1137,   908, -2077,  1397,  -132,  5113,  4749,   565,
    5201, -2077,   682,   682,  2126,  1687,  2730,  2256,     3,     4,
    1870,   682,  4692,  2133,  1702,  5199,  1752,   682,   682,  1338,
    3130,  1144,  2127,  1870,  1339,   683,   683,  4861,   741,  2184,
    3342,  2047,  2207,  2789,   683,   682,  1338,  2040,  1396,  1876,
     683,   683,  3640,  2414,  3342,  2269,  4233,  2850,  5097,  2580,
    2272,  2347,  1876,   185,  2774,  2224,   876,   789,   683,  2846,
    1921,  4698,  2411,  3596,  2348,  3443,  2723,  4983,  2444,  2563,
    1878,   562,  1561,  2724,  1703, -2096,  3597,  1704,   977,  4805,
    4857,  4893, -2096,  1878,   987,  4783,  2448,  2225,   909,  1340,
    2349,  2390,   185,  4804,  2030,  1924,   186,  1001,  2569,  2207,
    1936,  1936,  4727,  2851,  1145,  2136,  1340,  3708,   876,  3489,
    1717,  1667,   617,  2277,  2335, -1072,  1667,  2207,  2341,  2185,
    5075,  2415,   717,  4435,  2207,  2048,  3131,   742,  1019,  1535,
    1341,   910,  1717,  1717,  2790,   186,  5202,  2257,  2775,  1314,
    2731,  1315,  4825,  1836,  1667,  1019,  1397,  1341,  5277,  1727,
    2552,  1559,  1043,  2134,   618,  1863,  3064,  1800,  2232,  1138,
    2128,   718,   719,  3114,  2457,  1864,  1123,  1125,  1127,  5114,
    4259,  1129,  1130,  1131,  1922,  1667,  3285,  1705,  3543,  1743,
     973,  1136,  3287,  1905,  2296,  1666,   911,   790,  1667,   954,
    4234,  2614,  4903,  1910,  1070,  4904,  2392,  3729,  2619,  2651,
    3089,  1464,  1019,  1717,  2217,  3797,  2175,  2669,  1797,   182,
     959,   956,   957,  4905,  1398, -2369,  2183,  4097,   958,  1807,
    5155,  2570,  2902,  4905,  3703,  1763,  1598,  1536,  4936,  2445,
    2173,  1571,  1145,  2028,  1816,   840,  2326,  1667,  1145,  2331,
    5033,  1801,  1018,   621,  5106,  3489,  5233,   773,  4131,  2036,
    1667,  2408,   720,  1819,  1667,  2689,  4235,  1668,  5143,   782,
    1308,  1674,  1696,  2080,  1309,  4348,  2129,  2332,  2288,  1118,
     568,  2291,  2864,  1399,  2313,   951,  3688,  3689,  1690,  2028,
    4511,  1598,  3405, -2369,  1706,  3508,   688,   689,  2250,  2278,
    1714,  1350,  2281,  2282,  4042,  2543, -2369,  2298,  3976,  1691,
    3132,  3236,  4230,  1707,   182,  1897,   688,   689, -1840, -2312,
   -2348,  4982,  1119,  1692,  1124,  3357,  1128,  4976, -2242,  5059,
    1019,  1725,  1132,  1678, -2371, -2402,  1682, -2077,  1019,  1019,
     688,   689, -2214,  1148,  1745,  1152,  2351,  4276, -2215,  1388,
    2038,  2526, -2315,  1135,  4322, -1845,  3641,  1110,  4376, -1835,
    1560,  1866,  4380,  1113,   612,  1308,  1908, -2186,  4415,  1309,
    5177,  1171,  4367,  5186,  4369, -2563,  1690,  2757,  2686,  1279,
   -2185,  1918,  1288,  1018,  1290,  2361,   794,   688,   689,  1573,
     795,  2502,  2551,  1748,  1578,  3133,  2778,  1691,  2072,  2073,
    4605,  2561,  2553,  2036,  1148,  2266,  1717,  4878,  1316,  2725,
    3842,  1694,  2192,  1455,  1456,   876,  1455,  1456, -2096,  2137,
    2571,  1598,  5076,  2977,  1455,  1456,  1479,  3438,  1371,  1566,
    3438,  5148,  4436,  1353,  1455,  1456,   182,   177,   172,   173,
    2572,  4064,  3637,  3189,  5152,   175,   796,  2307,  4101,  1480,
    2877,  5237,  1801,  5126,  -132,  -132,  2903,  1389,  3495,  1906,
    3496,  4568,   974,  1667,  4109,  4252,  2921,  3994,  1894,  1895,
    1896,  1897,  1319,  2547,  3773,  1403,  1071,  2399,  3752,  1892,
    1893,  1894,  1895,  1896,  1897,   789,  2484,  2485,  3354,  3355,
    3356,  3357,  4836,  5098,   617,  2627,  3538,   617,  4195,  3681,
    3352,  3353,  3354,  3355,  3356,  3357,  2218,  1372,  5269,  3438,
    5100,  4765,  4410,  1572,  4023,  1636,  4194,  2219,  1298,  2220,
     737,  2959,  2708,  2383,  3339,  3340,   617,  2404,   797,  3359,
    2749,  2749,  2749,  2978,  1285,  2969,  1637,  4592,  1293,  5223,
    4714,  2258,  2124,  3242,  2565,  4892,   789,  4529,  2265,  3682,
    3683,    63,  1324,  4114,  1466,  5240,  5241,  5085,  2850,  1373,
    2838,  4766,  2828,  3871,  1538,  3002,  3389,  3390,  4110,  4767,
    1539,  1701,  1471,  2960,   703,   859,   617,  2221,  5099,  1338,
    4944,  3049,   860,   861,   862,  2189,    72,  3050,  3440,    74,
      75,  3440,  3897,    76,    77,  2893,  2481,  4768,  2628,  1381,
      99,   118,   123,   147,   151,   170,   176,  2023,  1390,  4013,
   -1807,   715,  3849,   185,  3511,  2293,  1764,  5179,  2126,  1766,
    4795,  1768,  1467,  1770,  3807,  1772,  2566,   613,  2459,  1776,
    5252,  5178,  4632,  5162,   662,  4129,  2127,  4291,  1598,  2405,
    2839,    39,  1702,  5285,  3003,  1391,  1705,  4219, -2183,  1340,
     729,  1520,  2548,  1374,    14,  2709,   186,  4115,  2400,  4530,
    2710,  1717,  2961,  4769,  2836,  5209,  1717,  4037,  4111,  2629,
    3440,  2894,  1540,  4038,  4770,    43,  1392,  4610,  3457,  3490,
    1472,  1632,   614,  3451,  2455,  2549,  4038, -1807,    19,  3051,
    1638,  4837,  -668,  2796,   716,  5236,  2711,  3004,   702,  2437,
     704,  4945,  1703,  4245,   710,  1704,  2113,  4689,  2456,   724,
     732,   702,  4411,   739,  1732,    47,   732,   732,   615,   768,
     616,   771,  2878,  1633,  1689,  2558,  2559,  4635,    48,  2630,
    2970,   707,  2631,  1018,  1659,  2966,  3713,  3539,   798,  2613,
    1393,  2616,  3208,  1299,  3987,  3091,   564,  2623,  3462,  3610,
    1018,    49,  3005,  2637,  2638,  2639,  1733,  3850,  3438,  3700,
    2990,  1009,  4593,  2655,  2657,    50,  3002,  3700,  2667,   182,
    4638,  2528,  4946,  5210,  2128,  4642,  4957,  3628,  4644,   713,
    3808,  2438,  3716,  1765,  1803,  1767,  3146,  1769,  1864,  1771,
    2505,  1773,  1774,  1775,  1117,  4990,  2367,  3806,  1777,  4988,
    4754,  4573,  2516,  2483,  1378,  1705,  1379,  1018,  2550,  3035,
    4978,  1300,  2555,  2521,  2557,  4574,  2138,  2560,  4564,  4559,
    2962,  4956,  3563,  1541,  1166,  4421,  5163,  4310,  4220,  2712,
    3530,  1473,  2632,  5183,  5184,  3464,  2897,  3718,  2368,  4981,
    3052,   714,   717,  2479,  4038,  3003,  1308,  2893, -1807,  3006,
    1309,  4873,   782,  4771,  3803,  4977,  2520,  3611,    31,   908,
    1542,  2797,  3809,  4535,   826,   831,   831,   834,  1474,   831,
    4450,  2535,  3531,   843,  3741,   768,  2306,  3053,   878,  3055,
    2129,   718,   719,  1865,  1634,   768,    39,   831,   740,  4546,
     768,  1543,  1867,   582,   831,  4155,   768,  3128,  3004,  1475,
    2821,  5164,  1179,  1332,   582,  3342,  1909,  4536,  3054, -2564,
   -2564, -2564,  1706,  5211,  2937,  2643,  3056,  1734,  5212,  3440,
      43,  4937,  4520,  2894,    39,  1018,  5165,  3721,  1926,  1927,
    3564,  1010,  2034,  1018,  1018,  1660,  4876,  2041,  2042,  2633,
    2046,   795,   795,  3880,   795,  3881,  4209,  3057,  3147,   876,
     975,   584,   976,  3005,   909,  4879,  2139,  4831,    43,  3059,
      47,  2992,   584,  3007,  4884,  3438,  2118,  5271,  3722,  3438,
    2142,  3008,  2938,    48,  3009,  4414,  2234,  2119,  2439,  4575,
    2143,  2907,  1635,  3723,  5229,  3061,  1353,  1011,  1661,  3478,
    3060,  2440,  4808,  1012,  2120,  4979,    49,   910,    47,  2369,
    4809,  2133,  1333,  3994,  2788,   764,  3810,  4874,  3612,  4399,
      50,    48,  2651,  2651,  4392,  1735,  3062,  2651,  2234,  5107,
     865,   866,   867,  3479,   868,   869,   870,   871,   872,   873,
    2993, -1807,  3742,  3532,    49,  4257,  4853,  2919,  4308,  1598,
   -1807,  2140,  1678, -1807,  1366,  3613, -1807,  -445,  2798,  3017,
    3006,  4895,   911,  1476,  2651,  2651,  4899,  4900,  4156,  4258,
    1912,  2696,  2893,  2697,  1598,  3394,  4938,  3395,  4077,  3882,
    1444,  2908,  3811,  2050,  3724,  3555,  3614,   775,  1928,  3883,
    4185,  2290,  1299,  1662,  4188,  4189,  2698,  4191,  2897,  4210,
    3396,  3018,  3148,  4699,  4514,  2822,  4785,  2370,  2823,  3021,
    3703,  3239,  3024,  4632,  1295,  4326,   595,  4327,   596,  2503,
    1685,  1686,  2051,  3016,  3249,  5030,  2050,   595,  4794,   596,
    1929,  2168,  3565,  3566,  2235,  4515,  3440,  1913,  2144,  5230,
    3440,  3533,  1614,  4213,  4038,  1663,  2121,  3149,  2894,  2297,
    4786,  4078,  5185,  1614,  3556,  2302,  3039,  5187,  3077,  3567,
    1300,  2236,  5037,  5038,  1539,  2051,  1019,  2309,  1511,  -445,
    4810,  3240,  3348,  1166,  3007,  2145,  2235,  3638,  4246,  2052,
    2895,  3375,  3008,  2504,  2237,  3009,  2238,  3382,  2477,  3083,
    2293,  4045,  5046,  2554,  4251,  2514, -2205,  2699,  4207,  3554,
    -155,  4045,  2700,  2236,  2995,  2996,  3397,  2701,  2999,  1512,
    4099,  3398,  3288,  2283,   784,   876,   876,  2896,   693,  1513,
    3010,  2232,   785,  5235,   693,  2053,  2237,  -155,  2238,  2939,
    3876,  3877,  3878,  3879,  1664,  4939,  3884,  3885,  3886,  3887,
    3888,  3889,  3890,  3891,  3892,  3893,  3639,  2749,  3700,   917,
    5091,  4328,  5104,  1381,  4782,   768,  3862,   826,  1381,  5047,
     831,  3058,   834,  2232,   831,  4208,  1540,   582,  2053,  2424,
    4046,   878,  4127,  2429,  1705,  1484,   990,  3566,   831,  4100,
    4046,  2054,  2916,  5270,  4294,   831,  4295,  2940,  3289,  3010,
    2833,   799,  3932,  3933,  1444,  1642,  5188,    28,  3966,  3966,
    1870,   908,  1002,  4088,  2345,  1503,  4969,  1479,   835,   826,
    1356, -1638,  1485,  2897,   834,  5284, -1638,  1643,  5286,   843,
    4751,   837,  1381,   878,  2054,   584,  1381,  4047,  4025,  4048,
    1480,  4432,  3642,   876,  -568,  1003,  3831,  4047,  4970,  4048,
    2702,  2346,  1504,   831,  3399,  2284,  4002,  1357,  2285,  3160,
    2703,  3159,  4963,  2212,  3400,  2213,  3169, -2564, -2564, -2564,
    1878,  3352,  3353,  3354,  3355,  3356,  3357,  1514,  1004,  5005,
    3967,  3967,  3172,  3173,  3174,  3175,   857,  3273,  1358,  4987,
    3438, -1638,  4038,  2207,  3180,    39,    39,  3438,  3514,  2785,
    2786,   892,  3438,  2208,   768,  3438,   909,  5006,  4433,    28,
    1515,  3968,  3968,   825,  1516,  4929,  4003,   768,  3226,  1162,
    4930,  2234,   842,  2214,  1005,   182,  3969,  3969,   893,    43,
      43,  3438, -1638,    34,  5220,   907,  3970,  3970,  4823,  1276,
    1276,  2283,   768,   732,  3438,  1517,  2537,   732,  2538,   910,
    2539,  4204,  2540,  4604,  2541,  1505,  2574,  3000,  2542,  3202,
    2268,   768,  3971,  3971,  5104,   768,   858,  4550,  4931,    47,
      47,  1276,  2409,  4431,  1113,  4205,  2586,   182,   959,   956,
     957,  1002,   768,    48,  4639,  4551,   958,  3967,  2636,  2234,
     595,  4960,   596,    39,   768, -1602,  2224,  3782,    39,  4720,
    3786,  4885,  3461,  4723,   911,   898,    49, -1602,  4974,  2234,
    4026,  4888, -1602,  3636,  1003,  3841,   601,  4027,  3968,    50,
    5189,  3806,  4721,  4439,  4440,  2502,  2315,    43,  2225,   682,
    1019,  4533,    43,  4382,  1291,  1308,   768, -2186,  2207,  1309,
    1748,  1529,  2585,  3970,  4998,  3972,  3972,  3754,  2215,   961,
    4028,  3440,   683,  4819,   768,  1916,  3842, -1602,  3440,   831,
     831,  2610,  4675,  3440,  4677,  1487,  3440,    47,  1479,  2235,
    4563,  4029,    47,  2284,  5111,  4544,  2285, -1602,  1530,  2758,
      48,  3220,  1531,  1019,  1488,    48,   967,  3341,   732,   732,
    1936,  1480,  3440,  1005,  2344,  4451,  2236,  3272,  1678,  3369,
    1366,  4455,  3438,    49,  4504,  3440,  4505,  4506,    49,  1532,
    4507,  2234,  4720,  4203,  2904,   826,  1870,    50, -1602,  2237,
    1690,  2238,    50, -1370,  1368, -1370,   843, -1602,  4640,  1362,
     878,  3392,  1740,  1489,  3260,  4721,  2879,  2235,  4174,  2883,
    4524,  1691,  1508,   964,  3452,  1876,  1690,  2390,   831,  4489,
    4720,  3607,  3972,  1748,  1741,  1692,  2232,  2235,   970,  4175,
     876,  1369,  1363,  3438,  2236,  3713,  1364,  1691,  4997,  3418,
     768,  3714,  4490,  4721,  5087,  4043,  1878,   831,   831,  1509,
    2871,  1694,  4157,  3715,  2236,  1690,  2242,  2237,  3608,  2238,
    1308,   676,  1370,  3035,  1309,  3494,  5040,  1365,   984,   768,
     768,   768,   691,   831,  4158,   826,  1691,  2237,   691,  2238,
    1510,  3716,   997,  3717,  2780,  4588,  2979,  1490,  -567,  3609,
    3544,  2243,  2915,  3761,  2232,  1007,   676,  3177,  2651,  2651,
    2651,  2651,  3178,  3771,  2651,  2651,  2651,  2651,  2651,  2651,
    2651,  2651,  2651,  2651,  2232,  3571,  3455,  2800,  4967,   222,
    4087,  3314,  1319,  1482,   566,  2234,  2036, -1602,  3547,  2235,
    1006,  3906,   660,  3440,  3712,  1491,  3718,  2234,  1492,  3178,
    1546,  1018,  1754,  1550,   831,  1755,   831,   831,  1008,  2292,
     738,  2840,  2837,  2843,  2614,   979,  2236,   980,  2749,  1021,
    2651,  2651,  3719,  2749,  1026,  3001,   962,  3315,  3403,  2749,
    3449,  3450,  3316,  3438,  1276, -1662, -1662,  1487,  5174,  2237,
    1494,  2238,  3368,  1809,  3370,  3371,  1810,  2032,  1019,  1308,
    2033,  1069,  1328,  1309,  3440,  2901,  1488,  5272,  2673,  1078,
    1079,  2676,  3602,  5029,  1781,  1781,  1092, -1602,  3499,   768,
    1290,   702,  1085,  1678,  4073,  2104,  2232,  5145,   825, -1602,
    4065,  3720,  4679,  1496, -1602,  1099,  3721,  4253,   842,  4688,
    3635,  3438,  1812,  3852,  3080,   768,  1108,  4079,  1818,  4086,
     676,  2035,  3643,  1497,  2036,  1489,  2532,  2544,   575,  2036,
    2545,  1276,  1139,  1143,   693,  3503,   693,  5232,   693,  1150,
    1147,  2614,  3438,  1499,   693,  1133,  1134,  3722,  1823, -1602,
      50,  3908,  1153,  2235,  3757,  4102,  1155,  3819,  3820,  1487,
    2546,  1276,  3723,  2545,  1156,  2235,  1148,  1148,  1163, -1602,
    1148,  2234,  2577,  4728,  1157,  2578,  2771,  1019,  1488,  1748,
    2236,  3730,  3500,  3501,  1869,  2808,  1165,  1870,  2036,  1276,
    1276,  1276,  2236,  1276,  4022,  1164,  1166,  5262,  3698,  1678,
    2472,  2104,  2473,  2237,  4279,  2238,  3698,  1167,  1168,  1490,
   -1602,  1169,   582,  1276,  3440,  2237,  1876,  2238,  2913, -1602,
    1172,  2914,  2984, -2564,  1173,  2985,  3118,  1489,  3521,  3119,
    3195,  3123,  3196, -1066,  3124,  1179,  3075,  1175,  3342,  1678,
    2232,  2104,  3343,  3344,  3345,  3227,  3266,  1878,  2036,  2545,
    3438,   768,  2232,  3724,  1276,  1294,  1297,  1491,  4776,  3093,
    1492,  1301,  3093,  3313,  3093,  1302,  2036,  4926,  3093,  4928,
     584,  2292,  3440,  4932,  1307,  4933,  3675,  3093,  3093,  3093,
    3322,  1303,  1276,  2036,  5259,  3328,  1276,  1276,  2036,  3329,
    4082,  3330,  2036,  3361,  2036,  1320,  2036,   768,   768,  2078,
    1325,  1276,  1494,  3440,  1326,  1336,  3374,  4040,  4041,  2036,
    1328,  1490,  3379,  1148,   693,  3380,  3164,  1352,  3589,  2235,
    4968,  3590,  3709,   732,  1329,  3594,  3618,  3306,  3595,  3619,
    3794,  1351,  4196,  3795,  4197,  3171,  3817,  3623, -1601,  2036,
    3208,  4584,  3241,  3243,  3244,  1496,  2236,  4264,  1355, -1602,
   -1601,  2651,  3631,  5218,  3903, -1601, -2564,  3904,  2180,  1491,
    1359, -2564,  1492,   732,  3419,  1497,  3420,  3203,  2966,  2237,
    4098,  2238,  3302,  2292,  3700,  1018,  3190,   768,  2206,  3165,
    3438,  3421,  1366,  3422,   787,  1499,   768,  3913,  3858,   831,
    3914,  5273,  2990,  5274,   825,  3924, -1639, -2564,  2036,  5243,
   -1601, -1639,  3747,  1401,  1494,   842,  2232,  1425, -2216,  3035,
    4011,  3440,  3346,  4012,   878,  4016,   768,  1428,  4017,  4021,
   -1601,  4044,  2823,  1430,  2545,   595,  5142,   596,  1018,   768,
    1371,  4254,   768,  3347,  2545,  4305,  4323,   598,  1801,  2036,
    1019,  1328,  1019, -1590,  1885,  2502,   788,  1496,   600,  1431,
    1179,  1614,  3438,  3342,  1464,  1469,   876,  3343,  3344,  3345,
    4349, -1601,  4361,  2578,  1468,  2036, -1639,  1497,   768,  1335,
   -1601,  1337,  4607,  4417,  3921,  4423,  2823,  1470,  4424,   831,
     831,   831,   831,   768,  1656,  3845,  4381,  1499,  4384,  5161,
    3740,  3731,  3743,  3733,  1476,  3348,  4815,   768,  5294,  4429,
    4430,  4565,  2545,  2545,  4566,  1483,  1478, -1639,  2353,  1372,
     768,  1561,  1486,  1521,  4612,  4614,   789,  4613,  2036,  1522,
    1019,  4087,   831,   831,   782,  4622,  3873,  3465,  2578,  4694,
   -2564,  4777,  4695,  4816,  2545,  1547,  4817,     3,     4,  4832,
    1548,  3440,  2578,   831,  4840,  1869,  4850,  4841,  1870,  1748,
    4856,  4858,   178,  3768,  3768,  4871,  4919,  1537,  4872,  4920,
    3902,  1373,   768,  4959,  4989,  3838,  1915,  4872,   782,  1551,
    1556,  3800,   178,   693,  1557,  1562,  1565,  1876,   831,   831,
     831,   831,  1564,  4999, -2564,   849,  2578,  1567,  3988,  3989,
    3990,   768,  4372,   884,  1570,  1574,  5000,   662,   768,  3380,
   -1601,  2353,   781,  1575,  1582,  3944,   904,  4448,  1878,  5001,
    1581,   826,  2036,  3440,   826,  1585,  1588,    14,  4080,   834,
    5012,  1594,  5018,  5013,  1276,  1748, -2564,  5021,  5045,  1591,
    3768,  2578,  2028,  1892,  1893,  1894,  1895,  1896,  1897,  3983,
    1596,  3851,  1602,  3424,  3425,  3426,   790,  5051,  3347,  1605,
    2578,    19,  4563,  5052,  5055,  1374,  2578,  5056,  5057,   843,
     843,  5058,  2614,  1018,  5083,  1607,  1598,  5084,  4061,  5112,
     878,   878,  1616,   782,  1617,  3391,  5130,  3698,  1622,  5131,
    3349,  3350,  3351,  1621,  3352,  3353,  3354,  3355,  3356,  3357,
     831,   831,  -175,   182,   959,   956,   957,   831,  1625,   768,
    5134,  4126,   958,  1748,  5135,  1624,  1627,  2036,  1375,  2234,
    3348,  1629,  5136,  5138,  1630,  2036,  2036, -2564,  5157,  1645,
    5181,  5158, -2564,  5182,  1781,  5205,  5217,  5242,  3768,  4864,
    4872,   831,  5280,   843,   793,  5056,  5282,   768,   768,  5283,
     831,  5297,  4192,  4180,  5131,  1376,  1652,   768,  1654,    34,
    5304,   693,  1658,  5283,   768,  4830,   693,   693, -2564,   702,
     702,  1665,   204,  2591,  1671,  1672,  1673,  1276,  1674,  1276,
    1681,  1678,  1018,  1682,  1276,  1276,  1377,  2234,  1684,  1432,
    1698,  1276,  1276,  1276,  1700,  1433,  1712,  1276,   878,  1276,
    1276,  1276,  1276,  1276,  1276,  1713,  1276,  1716,  1276,  1276,
    1717,  4407,  1276,  1724,  1728,  1885,  1378,  1729,  1379,  1731,
    1736,  1737,  1739,  1744,  4066,  1747,  1750,  1276,  1276,  1276,
    1276,    31,  1753,  4344,   831,  1276,  1434,  1751,  1778,  1276,
    1806,  1811,  1276,  1813,  1814,  1276,  1276,  1276,  1276,  1276,
    1276,  1276,  1276,  1276,  1820,  1276,  1821, -1811, -1818,    39,
    1828,   768,  1276,  1830,  1276, -1808,  1380,  2235,  1829,  3592,
    1831,   768,   693,  1832,    39,    50,  1834,  1835,  3465, -1809,
    1836,  1837,   693,  4584,  1838,  1839,  3465,  1841,  1842,  1843,
    1436,  1844,  4103,    43,  2236, -1812,  1845,  1437, -1810,  1846,
    1438, -2564,  1847,  1901,  1848,  3349,  3350,  3351,    43,  3352,
    3353,  3354,  3355,  3356,  3357,  1850,  1851,  2237,  1903,  2238,
    3629,  1852,  1133,  1134,  1853,  1439,  1854,  1855,  1856,  1857,
    4302,  1905,  1919,    47,  1931,  2235,  1906,   663,  1915,  1939,
    2039,  1339,  2068,  2079,  1179,  1341,    48,  3342,    47,  2070,
    2081,  3343,  3344,  3345,  2232,   693,  2082,  1440,   693,   693,
    2083,    48,  2236,  2099,  2100,  2101,  2102,  2104,  3922,    49,
    2651,  2105,  4732,  2106,  2107,  2108,  2109,  2110,  2116,  4615,
     978,  2141,  3666,   664,    49,  2237,   978,  2238,   768,  2135,
     768,  2147,  1276,  2170,  2174,  2176,  2178, -2564,    50,   978,
    2179,  5011,  2177,  2181,  1892,  1893,  1894,  1895,  1896,  1897,
    2182,  2199,  2197,  3093,  2210,  4733,  1441,  2198,  1442,  2226,
    2228,  2211,  2232,  2222,  2229,  3691,   768,  2230,  1443,  2231,
    2232,  3702,  2240,  2802,  2245,  2807,  4540,  1444,  2241,  3702,
    4734,   693,  2244,  2251,  2246,  1018,  2252,  1018,  1445,  2261,
    2267,  2255,  2263,  2264,  2270,  2279,  2286,  4735,  2274,  2262,
    2289,  4736,  2275,  1444,  2327,  2304,   834,  2301,  2310,  2308,
    2328,  2287,  2294,  2311,  2333,   702,  2295,   702,  2355,  2299,
    2300,  4737,  2303,  2305,  4738,  1552,  2316,  2317,  1447,  1448,
    2329,  2339,  2334,  3766,  1276,  4226,  4227,  2343,  4739,  2357,
    2358,  2360,  4333,  2359,  2365,  2366,   826,  2364,   831,   831,
    2372,  2376,  2373,   843,  2374,   878,  1553,   831,  2375,   831,
    2379,  2385,  2384,   831,  3799,  1018,   768,  2377,  2386,  2391,
     178,  2394,  2395,  3789,  2398,   577,  2403,  2409,  2412,  4299,
    4300,  4301,  3347,  2423,  2427,  2428,  4264,   732,  2431,  2482,
     825,  1505,  2436,   825,  2447,  3815,  2454,  2206,  2450,  2490,
    2453,  2491,  2463,  2467,  2469,  2925,  2471,  2495,  2475,  2486,
    2507,  4454,  2936,  2480,  2501,  2488,  2489,  2493,  2494,  4740,
    1450,   768,  2496,  2497,  2498,  2500,  2499,  4741,  2509,  2511,
    2510,  2512,  2523,  2524,  2556,  2562,  2575,  1148,   842,   842,
    3938,  2588,   768,  2619,  3348,  2624,  2668,  2981,  2981,  2674,
    1870,  2678,  2687,  2693,  4405,  2705,  2707,   768,   768,  2728,
    2727,   768,  2742,   834,   732,   178,   781,  4742,  2762,  2759,
    2756,  2760,  1869,  2763,  2764,  1870,  2772,   788,  2773,  1871,
    1872,  1873,   831,  2782,  2781,   831,  2783,  2784,  2801,  2812,
    2813,  2841,  2794,  2651,  2815,  2844,  1874,  2846,  2865,  2870,
    2848,  2849,  2855,  2860,  1876,  2866,   768,   768,  2868,  2872,
    2888,  1877,   842,  2889,  2876,  2892,  2880,  2905,  2651,  2906,
    2911,  3066,  1291,  3069,  3071,  1295,  2927,  2922,  2928,  2941,
    2946,  4731,  2947,  2968,  2983,  1878,   782,  2973,  2625,  2626,
    2974,  3919,  3011,  2976,  2991,  2640,  2641,  3067,  3079,  3086,
    3090,  3087,  3094,   831,  3099,   782,  3105,  3110,  3112,  3116,
    3137,   831,   831,  3100,  3101,  3117,  3138,  3152,   831,  3156,
    3125,  3167,  3158,  2679,  3170,  3176,  3946,  3947,  3948,  3949,
    1276,  3154,   831,  3179,  3192,   793,  3184,   178,  3185,  3187,
    3186,  3188,  3200,  4403,  3198,  3201,  2206,  3465,  3204,  2981,
    3205,   768,  3218,  3219,   768,  3221,  5253,  5254,  3162,  3222,
    3225,   702,  3223,  3246,  1705,  3231,  3256,  3232,  3228,  3259,
    3230,  3465,  3279,   831,  1276,  3233,  3258,  3265,  3263,  3349,
    3350,  3351,  3268,  3352,  3353,  3354,  3355,  3356,  3357,  3234,
    3238,  3066,  3247,  3269,  1879,  3270,  3271,  1748,  1745,  1880,
    1714,   831,  1179,  3194,  2589,  3342,  3282,  3281,  3283,  3343,
    3344,  3345,  3290,  4446,  3293,  3298,  1145,  3300,  3305,  3307,
    1881,  1882,  1179,  3304,  3308,  3342,  1276,  3310,  3324,  3343,
    3344,  3345,  4549,  3325,  3326,  1883,  3327,  3331,  3332,  3334,
   -2069,  3376,  3337,  3360,  3338,  3393,  4351,  3388,  4491,  4492,
    2036,  4494,  3401,   831,  3366,   831,  2981,   831,  2981,  4525,
    3415,  3410,  1179,  3473,  3477,  3342,  3373,  3387,  1884,  3343,
    3344,  3345,  3411,  3413,  3414,  3417,  3471,  3443,  3475,  2651,
    3497,  3513,  1885,  3448,  3484,  1886,  4352,  3467,  3502,  4485,
    3491,  1781,  3504,  3505,  3518,  3516,  3525,  3540,  3509,  3551,
    3702,  3541,  3557,  3553,  3558,  3559,   693,  2293,  3560,  3510,
    3574,  3575,  3577,  3583,  3585,  3584,  3593,  3603,  3622,  3624,
    3620,  3626,  3633,  3627,  4130,  3634,  3630,  1801,   768,  3644,
    3646,  4138,  3647,  3648,  4139,  4650,  4140,  3632,   826,  3649,
    3650,  4137,  4665,  3698,   843,  3651,  3661,  3653,  4923,  3656,
    3667,  3652,  3658,  3654,  3655,  3657,  3660,   831,  3659,  2325,
    3665,  3669,  3662,  3671,  4744,  1276,  3693,  3672,  1887,  3674,
    1276,  3680,  3704,  3739,   693,  3684,  4179,  3685,  3745,  3687,
    3707,  4542,  3748,  3738,  3093,  3749,  3751,  3756,  3093,  3093,
    3753,  3093,  3770,  1276,  1276,  1276,  3691,  3768,  1276,  4913,
    3347,  4915,  3783,  3767,  3780,  3777,  1276,  1276,  1276,  1276,
    3784,  3787,  3788,  3791,  3792,  3804,  3814,  3821,  3822,  1276,
    3347,  3834,  1276,  3823,  1276,   825,  3835,  3825,  3836,  3827,
    3844,  3837,   842,  3846,  3847,  1276,  1276,  3848,  3855,  1276,
    3839,  1823,  3856,  3857,  3859,  3860,  3861,  3865,  2651,  3363,
    3342,   878, -2068,  1276,  3362,  1276,  3874,  1276,  3899,  3900,
    3347,  3915,  3348,  3926,  1888,  3901,  3907,  1889,  1890,  1891,
     178,  1892,  1893,  1894,  1895,  1896,  1897,  1276,   789,  3945,
    3939,   768,  3348,  3956,  3333,  3985,  3980,  3927,  3442,  3998,
    1276,  1276,  1276,  4731,  3957,  4278,  4005,  3930,  3982,  4008,
    4010,  3965,  4014,  4024,  3995,  4031,  4052,  4000,  1276,  4274,
    3997,  1869,  3999,  4067,  1870,  4054,  4060,  4069,  4068,  1276,
    4070,  4055,  3348,  4072,  1276,  4074,  4076,  5067,  5069,  4090,
    1276,  4093,  4105,  1824,  4106,  4107,  4108,   693,  4118,  5061,
    3442,  4774,  4119,  1876,  3483,   693,  4120,  3486,   693,  2807,
   -2564,   876,  4132,  1833,  4145,  4121,  4122,  4146,  4123,  4312,
    4312,  4312,  5206,  4312,  4312,  4312,  4134,  4154,  4682,  4135,
    4151,  4839,  4169,  4171,  1878,  4173,  4081,  4176,  4184,  4183,
    4186,  4187,  4200,  4190,  1849,  4214,  4223,  5129,  4229,  4237,
    1276,  4211,  2981,  4244,  2545,  4243,  4249,  1781,  4247,  1861,
    4250,  4834,  1179,  4256,  4266,  3342,  4271,  4700,  4285,  3343,
    3344,  3345,  4925,  4284,  4287,  4303,  4705,  4289,  4297,  4290,
    4272,  4307,  4288,  4292,   831,  4309,   831,   831,   831,  5014,
    4315,  4325,  4335,  4293,  4334,  4336,  4337,  4377, -2070,  4378,
    4385,  3402,  1863,  4320,  2651,  2651,  4330,  3349,  3350,  3351,
    4329,  3352,  3353,  3354,  3355,  3356,  3357,  4342,  4338,  4357,
    4386,  4370,  4375,  5159,  4373,  4390,  4391,  3349,  3350,  3351,
    4393,  3352,  3353,  3354,  3355,  3356,  3357,  4404,  4394,  4396,
    4397,  4413,  4398, -2564,  4420,  4416,   793,   793, -2564,   793,
    4418,  1670,  4425,  4426,  4452,  4434,  4453,  4456,  4463,  4400,
    4462,  4402,  4482,  4464,  4484,  4487,  4495,  3349,  3350,  3351,
    4508,  3352,  3353,  3354,  3355,  3356,  3357,  4475,  4478,  1697,
    4488,  4516,  4503,  4522, -2564,  4517,  4523,  4531,  4532,  4538,
    4849,  4537,  4406,  4408,  2338,  4526,  4539,   768,  4541,  1715,
    4545,  4849,  4547,  4419,  4555,  4558,  4562,  4569,  4579,  1726,
    3235,  3237,  4580,  4581,  4590,  1730,  3245,  4567,  4577,  4582,
    4595,  1738,  4601,  4602,  4608,  4609,  4611,  1746,  4616,  4618,
    1749,  1885,  4620,  1869,  4619,  5061,  1870,  4621,  4633,  4627,
   -2564, -2564, -2564,  4643,  4663,  5074,  4636,  4670,  4673,  4676,
    4687,  4691,  4696,  4697,  4702,  4726,  4647,  4708,  1869,  4457,
    3347,  1870,  4667,  4690,  4709,  1876,  4713,  5268,  4718,  2413,
    4719,  4745,  1877,   693,  4747,  4753,  4210,  2430,  4755,  4757,
    4917,  4760,  4764,  4758,  4761,  4780,  5004,  4781,  4788,  2338,
    1876,  4790,  4763,  4793,  4797,  4799,  1878, -2564,  4822,  4806,
    1019,   831,  4807,  5020,  4820,  4818,  2981,  2981,  5022,  4835,
    5024,  4821,  4838,  4842,  4848,  4852,  5268, -2564,  4855,  4869,
    4860,  1878,  3348,  4859,  4862,  4887,  4889,   825,  4868,  4880,
    4864,  5268,  4890,   842,  4896,  4902,  4940,  4942,  4498,  4499,
    4947,  4952,  4954,   768,   768,   768,  4951,  4961,  3093,  4966,
    3093,  3093,  4972,  4973,  3093,  4980,  4984,  4985,  4986,  4993,
     768,  5010,  4994,  4995,  2506,  5003,  4996,  5002,  1869,  5023,
    5027,  1870,  5026,  5031,  5032,  5044,  5048,  5066,  5072,  5073,
    5077,  5034,  1781,   768,  5079,  5082,  5086,  2338,  3931,  5089,
    5039,  5090,  1781,   768,   768,  5096,  5108,  5109,   768,  5116,
    1876,  5110,  5117,  5151,  5125,  1879,  5019, -2564,  3940,  5127,
    1880,   768,  5160, -2564,  4557,  5146,  5153,  5075,  5076,  5169,
    1892,  1893,  1894,  1895,  1896,  1897,  5144,  5170,  5200,  5208,
   -2564,  1878,  5215,  5228,  5225, -2564,   876,  5168,  4560,  5234,
    5251,  5249,  5250,  5255,  1054,  5257,  1883,  5261,  4583,  5276,
    5275,  5278,  5288,  5281,  5298,  5289,  5299,  2340,  5300,  5295,
    5296,  4704,  3161,  4706,  1330,  3458,  1429,  1519,  1054,   831,
    1518, -2564,  3568,  3465,  3456,  3040,   693,  3441,  2972,  4312,
    1938,  5260,  4096,  5036,   876,  4089,  5154,  3692,   768,  3078,
    4193,  1019,  4934,  1885,  5060,  5226,  4225,  4798,  3934,  4521,
    4773,  3267,  3507,  4746,   768,  5147,  4680,  3349,  3350,  3351,
    5222,  3352,  3353,  3354,  3355,  3356,  3357,  5080,  1885,  5078,
    5167,  5239,  3512,  4275,  1276,  4255,  5042,  4218,  3135,  3441,
    3136,  4094,  3587,  1276,  3755,  1507,  4242,  4543,  4779,  1276,
   -2564,  1276,  3126,  3763,  1276, -2564,  4784,  5227,  5301,  1276,
    1276,  1276,  1276,  5293,  4759,  1276,  1276,  1276,  1276,  1276,
    1276,  1276,  1276,  1276,  1276,  3710,   178,  3705,  1276,  1276,
    5172,  4707,  2402,  4898,  5050,  4710,   709,  4875,  1276,  1887,
    4304, -2564,  1276,  1798,  2818,  4281,  1276,  4991,  3498,  2513,
    2582,  1093,  2583,  1020,  1276,  2584,  4668,  1276,  4124,  1276,
    3668,  1808,  3759,  1593, -2564,  4144,  5191,  5287,  1276,  2476,
    1304,  1276,  1276,  2767,  2536,  2768,  1276,  1276,   178,  4260,
    4669,  3942,  4409,  1276,  5141,  2115,  3702,  4018,  1885,  1911,
     768,   768,   768,   826, -2469,  3463,  3442,  3964,  3472,  2037,
    3470,  3964,  3978,  3964,  2793,  3996,  5137,  5025,  4401,  1276,
    3960,  2065,  2064,  4368,  2792,  1276,  1276,  1276,  4383,  4854,
    5009,  3954,  5008,  3955,  4019,  5207,  5290,  3093,  2069,  5128,
    4833,  5256,  2074,  2487,  5139,  1888,  3909,  4666, -2564, -2564,
   -2564,  1276,  1892,  1893,  1894,  1895,  1896,  1897,  5140,  5124,
    2732,  3408,  2694,  3460,  3319,  2807,  2741,  1276,  3406,     0,
   -2564,     0,     0,     0,     0,     0,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0, -2564,  4039,  1781,  1781,     0,  2353,
       0,     0,     0,  4778, -2469,     0,     0,  1019,  2809,     0,
       0,     0,     0,     0,     0,     0,   831,   831,   831,   831,
       0,  1569,     0,     0,     0,     0,  2825,     0,     0,     0,
       0,     0,  2829,     0,     0,     0,  2832,     0,     0,     0,
       0,  4811,     0,     0,  1584,  2206,     0,     0,     0,     0,
       0,     0,     0,     0, -2469,     0,     0,     0,     0,  1595,
       0,  1404,  2856,  4092,     0,     0, -2469,     0,     0,   782,
       0, -2469,     0,     0,     0,     0, -2469,     0,     0,     0,
       0,  1869, -2469,     0,  1870, -2469,     0,     0, -2469,     0,
   -2564,     0,     0,     0,     0,  1405,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,  2909,     0,     0,     0,
       0,     0,     0,  1876,   693,     0, -2469,     0,     0,     0,
   -2564,     0,   693,     0,   978,  2508,     0,     0,     0,     0,
       0,     0,     0,  2515,     0,     0, -2469,     0,     0,     0,
       0,     0,     0,     0,  1878,     0,  3744,     0,     0,  2525,
       0,     0,     0,     0,  1407,  4177,  2957,     0,     0,     0,
       0,     0,  4910,  4910,     0,     0,     0,   178,     0,     0,
       0,   876,     0,     0,     0,  1018,     0, -2469,     0,  4927,
   -2469,     0,  2986,     0,     0,     0, -2469,     0,  1408,  4935,
    2997,     0,     0,     0,   831,     0,     0,   978,   768,     0,
     831,  3012,  1276,     0,     0,     0,     0,     0,     0,   768,
       0,  3935,     0,     0,     0,  4217,     0,     0,     0,     0,
       0,  3025,     0,  1409,     0,  2206,  3027,  3818,     0,     0,
    3030,     0,     0,     0,     0,     0,     0,     0,     0, -2469,
     768,     0,     0,  3047,  3442,     0,     0,     0,  1804,     0,
       0,     0,     0, -2564,  3066,  4975,  3072,  1410, -2564,     0,
       0,     0,     0,  4265,     0,     0,   978,     0,     0,     0,
       0,     0,     0,     0,   768,     0,     0,     0,  2353,     0,
       0,     0,  1276,  1276,     0,     0,     0,     0,  1412,     0,
     707,     0,     0,     0, -2564,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,     0,     0,     0,
       0,  2981,     0,  2981,  5150,     0, -2469,     0,     0,     0,
     768,     0,     0,     0,     0,     0,     0,     0,    34,     0,
    2190,  5028,  1414,     0,     0,     0,     0,     0,     0,  1415,
   -2469,  1885, -2469, -2469,     0,     0,     0,  1416,     0,  1276,
       0,     0,     0,     0,     0,  2191,     0,     0,     0,     0,
    1276,     0,     0,     0,     0,     0,  1018,  1418,     0,     0,
    5064,     0,  5065,     0,     0,  1419,  5070,  5071, -2469,     0,
       0, -2469, -2469, -2469,     0,  5197,  5198,     0,     0,     0,
    1276,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
    1276,  1276,     0,     0,     0,     0,     0,  1276,  1276,     0,
       0,     0,  1276,     0,  1488,     0,     0,  1276,  1404,     0,
    1276,  1276,     0,     0,     0,  1276,  4360, -2564,     0,     0,
    1420,  1276,   768,   768,   768,   768,     0,  2765,     0,  3964,
    3978,  3964,  3441,  1276,  3964,  3441,     0,  4374,     0,     0,
       0,  3442,  1405,  1869,     0,  3442,  1870,     0,     0,     0,
       0,  4389,     0,  1489,  4081,     0,     0,     0,  1276,     0,
       0,  2138,     0,  1276,     0,     0,     0,     0,     0,  1276,
       0,     0,  1406,     0,     0,  1876,   878,     0,     0,  3278,
       0,     0, -2564,     0,  1276,     0,     0,     0,  3483,     0,
    4910,  1179,  4910,  2807,  3342,     0,     0,  3292,  3343,  3344,
    3345,  1407,     0,     0,     0,  3278,  1878,   702,     0,     0,
    1276,     0,     0, -2564,  3441,     0,  4082,     0,     0,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,
    2981,  2981,     0,     0,     0,  1408,   178,  1490,     0,     0,
       0,     0,  5173,     0,     0,     0,     0,     0,  2206,  2254,
       0,     0,     0,     0,     0,     0,     0,     0,  5302,  5303,
       0,  4458,     0,     0,     0,     0,   182,  5196,  5193,  5194,
    1409,     0,     0,  4355,     0,  5195,     0,     0,     0,     0,
       0,     0,     0,   693,     0,  1491,     0,     0,  1492,     0,
       0,     0,  1018,     0,  5248,     0,     0,     0,     0,  2292,
       0,  4083,     0,     0,  1410,     0,     0,   693,     0,     0,
    1276,     0,     0,   693,     0, -2564,     0,     0,     0,     0,
   -2564,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,   831,     0,  1411,  1412,     0,     0,     0,     0,
     182,  5196,  5193,  5194,     0,     0,     0,   831,     0,  5195,
       0,     0,  2356,     0,     0,     0, -2564,     0,     0,  4910,
       0,     0,     0,     0,     0,     0,     0,  2371,  5267,     0,
       0,  1413,     0,  1496,     0,    34,  1276,     0,     0,  1414,
       0,     0,     0,  1133,  1134,     0,  1415,     0,  2393, -2564,
     826,     0,     0,  1497,  1416,     0,  2206,     0,     0,     0,
       0,     0,  1417,  1885,     0,  1781,     0,     0,     0,     0,
       0,     0,     0,  1499,  1418,  4084,     0,  5267,  4085,     0,
    1276,     0,  1419,     0,     0,   182,  5196,  5193,  5194,     0,
       0,  1861,  5267,   831,  5195,  3194,     0,     0,     0,     0,
       0,     0,     0,  2470,     0,     0,     0,     0,     0,     0,
       0,  3348,     0,     0,     0,     0,     0,  2478,     0,     0,
       0,     0,     0,  3441,     0,   768,     0,     0,     0,  1054,
       0,     0,     0,     0,     0,  1861,     0,  1420,     0,     0,
       0,  2492,  3519,     0,     0,     0,     0,     0,     0, -2564,
       0,     0,  2694,     0,     0,     0,     0,     0,     0,     0,
       0,  1276,     0,     0,     0,     0,     0,     0,  3412,     0,
    1276,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,  2519,  1054,     0,  3431,     0,   693,  1276,  1276,     0,
       0,  1276,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   826,     0,     0,  3964,
       0,     0,     0,  3442,   178,     0,     0,     0,  3442,     0,
       0,  3442,   826,     0,  3066,     0,  4649,     0,  2149,  1276,
    1276,     0,  3224,  2150,     0,     0,  3431,     0, -2471,  3229,
     781,     0,     0,     0,     0, -2564,     0,  4039,     0,  1276,
    3598,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,  3248,
    4039,   878,   831,   831,   831,     0,     0,  2151,     0,  3254,
       0,     0,     0,  3255,     0,     0,  3257,     0,     0,     0,
    2152,     0,  3261,     0,  3262,     0,     0,  3264,     0,     0,
       0,     0,     0,     0,     0,  2153,  3349,  3350,  3351,     0,
    3352,  3353,  3354,  3355,  3356,  3357,     0,     0,   843,   878,
       0,     0,     0,     0,     0,  2681,     0,   558,     0,     0,
       0,     0,     0,   610,   558,     0,     0,     0, -2471,   661,
    3441,   558,     0,     0,  3441,     0,  2154,   558,     0,   712,
       0,     0,     0,     0,     0,     0,  3301,  2155,     0,     0,
     843,     0,     0,   768,     0,     0,     0,     0,   779,   779,
       0,     0,     0,  3676,     0,  4217,     0,  2156,   768,     0,
       0,     0,  2157,   768,     0,  2981,     0,     0, -2471,     0,
       0,     0,  2206,     0,     0,     0,     0,     0,     0,     0,
   -2471,     0,     0,     0,     0, -2471,     0,     0,   768,     0,
   -2471,     0,  4265,     0,     0,     0, -2471,     0,     0, -2471,
       0,     0, -2471,     0,     0,     0,   831,   768,  4039,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,     0,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
   -2471,     0,  2158,     0,  1276,     0,     0,  1276,     0,  1276,
       0,     0,     0,     0,     0,     0,  4472,  4473,     0,     0,
   -2471,  4476,  4477,     0,     0,     0,     0,     0,     0,  1276,
       0,     0,     0,     0,     0,  1276,  2159,     0,     0,  3442,
       0,     0,     0,  4649,     0,     0,     0,     0,     0,     0,
    1276,     0,     0,     0,  2592,     0,     0,     0,     0,  4867,
       0, -2471,     0,     0, -2471,   838,     0,     0,   204,     0,
   -2471,     0,     0,   880,     0,   881,     0,   885,   886,     0,
     889,     0,   891,   768,     0,   897,     0,   899,     0,     0,
       0,     0,  1869,     0,     0,  1870,  2338,     0,     0,  1871,
    1872,  1873,  2593,     0,  2160,     0,     0,     0,     0,  1276,
       0,  2161,  3840,     0,  2162,     0,  1874,     0,   831,   831,
     831,   831,     0, -2471,  1876,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,  2594,     0,     0,  3854,     0,  4528,
       0,     0,     0,     0,  2163,     0,     0,     0,     0,     0,
       0,  2164,     0,     0,     0,  1878,   826,  2595,  2165,  2875,
       0,     0,     0,     0,     0,  2166,     0,     0,  2596,  3210,
    3517,  2890,     0,     0,   707,     0,   768,     0,     0,  3442,
       0,     0,     0,     0,     0,     0,     0,     0,  2597,  1404,
    2167,     0,     0,  2598,     0,     0,     0,     0,     0,     0,
   -2471,     0,     0,   178,     0,     0,     0,     0,     0,     0,
       0,  2923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1405, -2471,   178, -2471, -2471,     0,     0,
       0,     0,     0,     0,  1276,     0,     0,   826,     0,     0,
    1276,     0,  2599,     0,  5017,     0,     0,     0,     0,     0,
    3576,  1276,  3578,     0,     0,     0,  1276,     0,  1276,     0,
    1276,     0, -2471,  2600,  1879, -2471, -2471, -2471,  4039,  1880,
       0,     0,     0,     0,   831,     0,   878,     0,     0,     0,
       0,     0,  1407,     0,     0,     0,  1276,     0,     0,     0,
    1881,  1882,     0,     0,     0,  3441,     0,     0,     0,     0,
       0,     0,  3441,     0,     0,  1883,     0,  3441,     0,     0,
    3441,  4645,     0,     0,     0,     0,  1408,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1781,  1781,     0,   204,
       0,     0,  2601,     0,     0,     0,  3441,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,  3211,     0,     0,  3441,
       0,  1409,  1885,     0,     0,  1886,     0,   831,  2602,     0,
       0,     0,     0,     0,  5094,  2603,     0,     0,  1276,   693,
       0,     0,  2604,     0,     0,     0,  5105,  4062,     0,     0,
       0,  3663,     0,     0,     0,  1410,     0,  3670,     0,     0,
    3121,     0,     0,     0,     0,     0,     0,   842,     0,     0,
    2605,  1276,  1276,     0,     0,  2606,  3066,     0,  2607,  1276,
       0,     0,     0,  1861,     0,     0,  1412,     0,     0,  1276,
       0,     0,  4867,     0,     0,     0,  2608,  2807,     0,  3953,
       0,     0,  3958,     0,     0,     0,     0,     0,  1887,   842,
       0,   843,   963,     0,     0,     0,     0,     0,     0,     0,
     972,  2609,     0,     0,     0,   831,    34,   985,   986,     0,
    1414,   992,  1781,   995,   996,     0,     0,  1415,   998,     0,
       0,     0,     0,     0,     0,  1416,     0,     0,     0,  1015,
       0,  3210,     0,  2191,     0,     0,     0,  2206,  4159,     0,
       0,  4162,   826,     0,  1025,  1418,     0,  1276,     0,     0,
       0,  1404,     0,  1419,     0,     0,  4039,  3441,     0,     0,
       0,     0,   843,   843,  1276,     0,     0,  1089,     0,  1091,
       0,     0,     0,  1276,  3213,     0,     0,  5017,     0,  1107,
       0,     0,     0,     0,  1888,  1405,     0,  1889,  1890,  1891,
    1276,  1892,  1893,  1894,  1895,  1896,  1897,   831,     0,     0,
       0,  1432,     0,     0,  3383,     0,     0,  1433,  1420,     0,
       0,   558,  3214,  2409,     0,  3824,     0,  3826,  3441,  3828,
       0,     0,     0,     0,     0,     0,  3832,     0,  5105,   831,
     831, -2485,     0,  3291,     0,     0,     0,     0,  4239,     0,
       0,     0,  1161,     0,  1407,     0,     0,     0,  1434,     0,
    3303,     0,     0,     0,     0,  1276,  1276,  2338,     0,     0,
       0,     0,     0,  3309,     0,  3853,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   693,   693,     0,  1408,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
       0,     0,     0,     0,     0,     0,   779,  1276,     0,     0,
       0,     0,  1436,  1276,     0,     0,     0,     0,  3211,  1437,
       0,     0,  1438,  1409,     0,     0,     0,   831,     0,     0,
       0, -2485,     0,     0,  5017,     0,     0,   826,     0,  3278,
       0,     0,     0,     0,     0,  4953,     0,  1439,     0,     0,
       0,     0,     0,     0,     0,   843,   843,  1410,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1395,  3441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0, -2485,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0, -2485,     0,     0,     0,     0, -2485,     0,
       0,     0,     0, -2485,     0,  -128,     0,     0,     0, -2485,
       0,     0, -2485,     0,     0, -2485,     0,     0,     0,     0,
    3431,     0,     0,     1,     0,     0,  3441,     0,    34,     0,
       0,     0,  3212,     2,     0,     3,     4,  1555,  1441,  1415,
    1442,     0,     0, -2485,     0,     0,     0,  1416,     0,   178,
    1443,     5,     0,  1568,     0,  2191,     0,  3441,     0,  1444,
       0,     0,     0, -2485,     0,  1579,     0,  1418,  1580,     0,
    1445,     6,     0,     7,     8,  1419,     0,     0,  1583,     0,
       9,     0,    10,  1587,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,    11,     0,    12,  3213,  1600,  3210,     0,
    1604,     0,     0,     0, -2485,     0,     0, -2485,     0,     0,
    1447,  1448,    13, -2485,     0,    14,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    15,
    1420,    16,     0,     0,  3214,    17,     0,  3523,  1449,     0,
    1657,    18,     0,     0,     0,     0,     0,     0,     0,    19,
       0,    20,  1405,     0,  3534,   830,   832,    21,     0,   836,
       0,     0,     0,     0,     0,  3441, -2485,     0,     0,     0,
       0,     0,     0,    22,     0,     0,     0,   890,     0,     0,
       0,     0,     0,     0,   900,     0,     0,     0,     0,    23,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,  4469,     0,     0,     0,     0,     0,     0,
       0,  1407,     0,     0,     0,  4479,     0,   707,     0,     0,
       0,     0,     0,   693,     0,   693,     0,  3431,    24,    25,
     842,  3431,     0,     0,    26,     0,     0,     0,     0,     0,
       0,     0,     0, -2485,     0,  1408,    27,     0,  3615,     0,
    3617,   558,     0,   558,     0,   558,     0,   558,    28,   558,
     558,   558,     0,     0,     0,     0,   558, -2485,     0, -2485,
   -2485,     0,   178,   178,     0,  3211,     0,  1799,     0,     0,
    1409,  5176,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3441,     0,     0,     0,     0,
      29,   842,   842,     0,     0, -2485,     0,     0, -2485, -2485,
   -2485,     0,     0,    30,  1410,     0,     0,     0,     0,    31,
      32,     0,    33,     0,     0,     0,     0,    34,     0,     0,
       0,  3664,    35,     0,     0,    36,     0,     0,     0,     0,
      37,     0,   856,  1868,     0,  1412,    38,    39,  1869,     0,
       0,  1870,   888,     0,    40,  1871,  1872,  1873,    41,  3678,
       0,     0,     0,   906,     0,     0,     0,  3441,    42,     0,
       0,     0,  1874,     0,     0,  1875,     0,     0,     0,     0,
    1876,    43,     0,     0,     0,    34,     0,  1877,     0,  1414,
       0,     0,   693,     0,     0,     0,  1415,     0,     0,     0,
      44,  5266,     0,     0,  1416,  4296,  3278,     0,     0,  4298,
      45,  1878,  2191,     0,     0,     0,    46,     0,     0,     0,
       0,    47,     0,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,  1419,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5266,     0,     0,  3213,     0,   779,     0,    49,     0,  2923,
       0,  1432,     0,     0,     0,  5266,  5292,  1433,     0,     0,
       0,    50,     0,     0,  -128,     0,     0,     0,     0,     0,
    1523,     0,     0,     0,   842,   842,     0,  1420,     0,     0,
    3816,  3214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,  1870,  1434,     0,
       0,  1871,  1872,  1873,     0,  3278,     0,  3278,   178,     0,
    1879,     0,     0,     0,     0,  1880,     0,     0,  1874,     0,
       0,  2169,     0,     0,     0,     0,  1876,     0,     0,     0,
     966,     0,     0,  1877,   969,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   994,     0,
    1524,  1883,  1436,     0,     0,   999,     0,  1878,     0,  1437,
       0,  1869,  1438,     0,  1870,     0,     0,     0,  1871,  1872,
    1873,     0,     0,     0,     0,     0,  3866,     0,     0,     0,
       0,     0,     0,     0,  1884,  1874,     0,  1439,     0,  2259,
       0,     0,     0,  1876,     0,     0,     0,  3875,  1885,     0,
    1877,  1886,     0,     0,  1869,     0,     0,  1870,     0,     0,
       0,  1871,  1872,  1873,     0,     0,  4437,     0,     0,  1440,
       0,     0,  3898,     0,  1878,     0,     0,     0,  1874,  3431,
       0,     0,     0,     0,  3431,     0,  1876,  3431,     0,     0,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1804,  4460,  4461,     0,
       0,     0,     0,     0,     0,     0,  1879,  1878,     0,     0,
       0,  1880,     0,     0,     0,     0,     0,     0,  1441,     0,
    1442,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
    1443,     0,  1881,  1882,     0,     0,   915,     0,     0,  1444,
       0,     0,   960,     0,     0,     0,     0,  1883,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2397,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,     0,  1880,     0,
    1884,     0,     0,  4501,  4502,     0,     0,  1525,     0,     0,
    1447,  1448,     0,     0,  1885,     0,     0,  1886,     0,  1881,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1883,     0,  1879,     0,  1526,     0,
    1888,  1880,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,   178,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,  1882,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,     0,  1462,
    1463,  1885,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,   178,     0,     0,     0,     0,     0,     0,     0,     0,
    1887,     0,  1450,     0,     0,     0,     0,     0,     0,  2517,
    1884,  2518,     0,  1432,  1160,     0,     0,     0,  4597,  1433,
    4598,  4599,     0,     0,  1885,     0,  1487,  1886,  2529,     0,
    2530,     0,     0,     0,  4603,     0,     0,     0,     0,  1283,
       0,     0,     0,     0,   558,  1488,   558,     0,   558,     0,
     558,     0,   558,     0,     0,  3431,   558,     0,  1306,     0,
    1434,     0,     0,     0,     0,     0,  1861,  1887,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1331,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1489,     0,  1888,  1611,  1612,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
    1887,     0,     0,  2677,  1436,     0,     0,     0,     0,     0,
       0,  1437,     0,  1653,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
       0,  1461,     0,     0,     0,     0,     0,     0,     0,     0,
    4228,     0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,  1490,     0,
    3706,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3431,  1721,  1723,     0,     0,
       0,     0,     0,     0,     0,   178,  1888,     0,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
       0,     0,     0,  3867,     0,     0,  1491,     0,     0,  1492,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,  1609,     0,     0,
       0,  1494,  1445,     0,     0,     0,     0,     0,     0,  3278,
       0,   178,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1647,  1650,  1651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,  1447,  1448,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4829,     0,     0,     0,  1497,     0,  1869,     0,     0,  1870,
    1498,     0,  1804,  1871,  1872,  1873,     0,     0,     0,     0,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
    1874,     0,  2810,  2811,     0,     0,     0,     0,  1876,     0,
    1869,     0,     0,  1870,     0,  1877,     0,  1871,  1872,  1873,
       0,  2826,  2827,     0,     0,     0,  2830,  2831,     0,     0,
       0,  2834,     0,     0,  1874,     0,     0,     0,     0,  1878,
       0,     0,  1876,  4877,  1450,  2845,     0,     0,     0,  1877,
       0,     0,  2854,     0,     0,     0,  2857,  2858,     0,     0,
    2861,  2862,     0,     0,     0,     0,     0,  2867,     0,     0,
       0,     0,     0,  1878,     0,     0,  1283,     0,     0,     0,
    2884,     0,  2886,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,  4918,     0,  1871,  1872,  1873,     0,     0,
       0,  2910,  1283,     0,     0,     0,  2912,  4438,     0,     0,
       0,     0,  1874,     0,     0,     0,     0,     0,     0,  2917,
    1876,     0,     0,     0,     0,     0,     0,  1877,  2924,     0,
    2926,     0,     0,  2929,  2932,  2934,     0,     0,     0,     0,
    2942,  2945,   178,     0,     0,  4459,     0,     0,  1879,     0,
    2958,  1878,     0,  1880,     0,  2967,     0,     0,     0,     0,
    2971,     0,     0,     0,     0,     0,  4474,   178,     0,     0,
       0,     0,     0,     0,  1881,  1882,  2987,     0,     0,     0,
       0,     0,  1879,     0,  2998,     0,     0,  1880,     0,  1883,
       0,     0,     0,     0,     0,  3013,     0,     0,     0,  2227,
       0,     0,     0,     0,     0,     0,     0,  3020,  1881,  1882,
    3023,     0,     0,     0,     0,  3026,     0,     0,     0,     0,
    3028,  3029,  1884,  1883,     0,  3032,     0,     0,  3036,     0,
       0,  4500,  3043,  3044,  3045,  3046,  1885,  3048,  1940,  1886,
       0,  5247,     0,     0,     0,     0,     0,     0,     0,     0,
    3073,  3074,     0,  3076,     0,     0,  1884,     0,     0,     0,
    1879,     0,     0,  3084,  3085,  1880,     0,     0,     0,     0,
    1885,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2076,  1881,  1882,     0,  2320,
    2321,  2322,  2323,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3129,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,   178,     0,     0,     0,
       0,  1432,  2362,  2363,  1884,     0,     0,  1433,     0,     0,
       0,     0,  4589,  3166,     0,     0,     0,     0,  1885,     0,
       0,  1886,     0,  2387,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,  2200,     0,     0,     0,     0,     0,
       0,     0,     0,  2223,     0,     0,     0,     0,  1434,     0,
       0,     0,     0,     0,  1804,     0,     0,     0,  2432,  2433,
    2434,  2435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2260,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2273,     0,  1888,  2276,
       0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,     0,  1436,     0,  1887,  3918,     0,     0,     0,  1437,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,  1439,     0,  4004,
    2324,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,  2342,  1870,     0,     0,     0,  1871,
    1872,  1873,     0,     0,     0,     0,     0,  2354,     0,  1440,
       0,  2527,     0,  3296,     0,     0,  1874,  2531,  5219,     0,
       0,     0,     0,     0,  1876,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,  3312,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,  1878,     0,  4033,     0,  2406,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,  2449,  1444,
       0,     0,     0,     0,     0,  2462,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2171,     0,     0,
    1447,  1448,  1874,     0,  2691,     0,     0,     0,     0,     0,
    1876,     0,     0,  1869,     0,     0,  1870,  1877,     0,     0,
    1871,  1872,  1873,     0,  1879,     0,     0,     0,  2172,  1880,
       0,     0,     0,     0,  1804,     0,     0,  1874,     0,     0,
       0,  1878,     0,     0,     0,  1876,     0,     0,     0,     0,
    1881,  1882,  1877,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,  3664,     0,  1878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,  1283,  1283,     0,     0,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2581,  1885,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1804,     0,
       0,     0,     0,  1804,  1804,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
    1879,     0,     0,     0,     0,  1880,  3520,     0,     0,     0,
    3522,     0,     0,     0,  1874,     0,  3524,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,  1881,  1882,     0,  1877,
       0,     0,  3535,  3537,     0,  1879,     0,  3537,     0,     0,
    1880,  1883,  3548,  3549,  3550,     0,  3552,     0,  1887,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,  2740,     0,
       0,  1881,  1882,     0,     0,     0,     0,  3573,  2755,     0,
       0,     0,     0,     0,  1884,     0,  1883,  3579,  3580,  3581,
    3582,     0,     0,     0,     0,     0,     0,     0,  1885,     0,
       0,  1886,     0,  4992,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,  3599,     0,     0,  3604,  3605,  3606,
       0,     0,     0,  1885,     0,     0,  1886,     0,  2873,  2874,
       0,     0,     0,     0,     0,     0,     0,  2885,     0,  2887,
       0,     0,     0,  2891,  1888,     0,     0,  1889,  1890,  1891,
       0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,
       0,  4321,  1879,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2766,     0,  2769,  1881,  1882,
       0,     0,  1869,     0,     0,  1870,     0,     0,     0,  1871,
    1872,  1873,     0,  1883,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,  1874,     0,     0,  3673,
       0,     0,     0,  1283,  1876,     0,     0,  3677,     0,     0,
       0,  1877,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,  3686,     0,     0,     0,     0,
    1885,     0,     0,  1886,     0,  1878,     0,     0,     0,     0,
       0,     0,  3019,     0,     0,  3022,     0,     0,     0,     0,
    1888,     0,  3732,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,  4356,     0,     0,
       0,     0,  5133,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
       0,     0,  4606,     0,  3769,     0,     0,     0,     0,  3775,
       0,     0,     0,  3096,     0,     0,  1887,     0,     0,     0,
       0,  3103,  3104,     0,     0,     0,     0,     0,  3106,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3813,
       0,     0,  3122,     0,  1879,     0,     0,     0,  1432,  1880,
       0,     0,     0,     0,  1433,     0,     0,     0,  2948,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
    1881,  1882,     0,     0,     0,     0,  3829,     0,  3830,  2975,
       0,     0,     0,  3168,     0,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3191,  1888,     0,     0,  1889,  1890,  1891,  1884,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,  4617,
       0,     0,  1885,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,  3041,  3042,     0,     0,  1524,     0,  1436,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,  1438,
       0,     0,     0,     0,     0,  3250,     0,  3252,     0,     0,
       0,     0,     0,     0,     0,     0,   828,     0,     0,     0,
       0,     0,     0,     0,  1439,   828,   851,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,  1887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1869,  3155,     0,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1874,     0,     0,     0,     0,     0,  3311,     0,  1876,
       0,     0,     0,     0,     0,  1441,  1877,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
    1878,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,  1889,  1890,  1891,
       0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,
       0,  4626,     0,     0,  1869,     0,  4050,  1870,  4051,     0,
       0,  1871,  1872,  1873,  3037,  4053,     0,  1447,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1874,     0,
       0,  4063,     0,     0,     0,     0,  1876,     0,     0,     0,
       0,     0,     0,  1877,     0,  3038,     0,  4071,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,  4091,     0,  1878,     0,     0,
       0,     0,     0,     0,  1874,     0,     0,     0,     0,  1879,
       0,     0,  1876,  4095,  1880,  3295,     0,     0,     0,  1877,
       0,     0,     0,  4104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,  1882,     0,     0,  1450,
       0,     0,  4133,  1878,     0,     0,     0,     0,     0,     0,
    1883,     0,     0,  4141,  4142,  4143,     0,     0,     0,     0,
    4147,  4148,  4149,  4150,     0,  1432,  4152,  4153,     0,     0,
       0,  1433,  4160,  4161,     0,  4163,  4164,  4165,  4166,  4167,
    4168,     0,  4170,  1884,     0,     0,     0,     0,     0,     0,
       0,  4178,     0,     0,  4181,  4182,     0,  1885,     0,     0,
    1886,     0,     0,     0,     0,     0,  1879,     0,     0,     0,
       0,  1880,  1434,  3537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1881,  1882,  3526,  4202,  3527,  3528,  3529,     0,
       0,     0,     0,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,  1880,     0,   828,
       0,     0,  1435,     0,     0,     0,  1436,     0,  3423,     0,
       0,   851,     0,  1437,     0,     0,  1438,   851,  1881,  1882,
    1884,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
     851,     0,     0,  1883,  1885,     0,     0,  1886,     0,     0,
    1869,  1439,     0,  1870,     0,     0,   851,  1871,  1872,  1873,
       0,   828,     0,     0,     0,     0,     0,  1068,     0,     0,
       0,   828,   851,     0,  1874,     0,  1884,     0,     0,   851,
       0,     0,  1876,  1440,  3537,     0,     0,     0,     0,  1877,
    1885,  1068,   851,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,     0,     0,  4306,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
    1887,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,  1441,     0,  1442,     0,  4629,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,  1887,     0,     0,     0,
       0,   828,   828,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3679,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,     0,   828,  1447,  1448,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,  1888,  1880,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
       0,     0,  1449,  4678,     0,     0,     0,     0,  1881,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,  3621,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,  4712,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
    1885,     0,     0,  1886,     0,     0,     0,  1869,     0,     0,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
    4441,     0,     0,     0,  4442,  4443,  4444,  4445,     0,     0,
    4447,  1874,     0,     0,     0,     0,     0,     0,     0,  1876,
       0,     0,     0,     0,     0,     0,  1877,   828,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,   828,  3833,
       0,  4465,  4466,  4467,     0,  4468,     0,  4470,  4471,     0,
    1878,     0,     0,     0,     0,  1869,     0,  1068,  1870,  4480,
    4481,     0,  1871,  1872,  1873,     0,  1887,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,  1874,
       0,     0,     0,     0,     0,     0,  4486,  1876,     0,     0,
    3735,  3736,  3737,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3746,     0,  4496,
       0,     0,  1869,     0,     0,  1870,     0,   828,  1878,  1871,
    1872,  1873,     0,     0,     0,     0,     0,     0,     0,     0,
    3762,     0,     0,     0,     0,     0,  1874,     0,     0,     0,
    3772,  3774,     0,     0,  1876,  3779,     0,     0,     0,     0,
       0,  1877,     0,     0,     0,     0,  1068,     0,  3793,  1879,
       0,     0,  1888,     0,  1880,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,  1878,     0,     0,     0,  4752,
       0,     0,     0,  4548,     0,  1881,  1882,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
    1883,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,     0,  4576,     0,     0,     0,   828,     0,     0,     0,
       0,     0,     0,  1432,   851,     0,     0,  1879,     0,  1433,
       0,     0,  1880,  1884,     0,     0,     0,  4600,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
    1886,  1283,   851,  1881,  1882,     0,     0,     0,     0,     0,
       0,  1068,     0,   851,     0,     0,     0,     0,  1883,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,   851,     0,     0,  1879,     0,     0,     0,     0,  1880,
       0,     0,     0,   828,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,  4056,  4057,  4058,  4059,
    1881,  1882,     0,     0,     0,  1885,     0,     0,  1886,     0,
    2247,     0,     0,   828,  1436,  1883,     0,     0,     0,     0,
       0,  1437,     0,  1887,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   558,     0,     0,     0,     0,     0,
       0,   828,   828,   828,     0,   828,     0,     0,  1884,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,     0,     0,   828,     0,  3950,  3951,  3952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,   851,
       0,  1887,     0,     0,  4701,     0,     0,   851,   851,     0,
       0,     0,     0,     0,     0,     0,   828,  2024,     0,     0,
       0,     0,  4711,     0,     0,     0,     0,  4716,  4717,  1888,
       0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,   828,     0,  5053,     0,   828,   828,
    1441,     0,  1442,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,  1443,   828,     0,     0,     0,  1068,     0,     0,
       0,  1444,     0,     0,  2024,     0,     0,     0,  4775,     0,
       0,     0,  1445,     0,  4198,     0,     0,     0,     0,     0,
    4201,     0,     0,     0,     0,     0,     0,  1888,  4792,     0,
    1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,
       0,     0,     0,     0,  5175,     0,     0,     0,     0,  2248,
       0,  1869,  1447,  1448,  1870,     0,     0,     0,  1871,  1872,
    1873,     0,     0,  1068,     0,  3537,     0,     0,     0,     0,
       0,     0,  4828,     0,     0,  1874,     0,     0,     0,  2774,
    2249,     0,     0,  1876,  1888,     0,     0,  1889,  1890,  1891,
    1877,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
    4870,     0,     0,     0,  1450,     0,     0,     0,     0,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
       0,  4886,  1876,  2775,     0,     0,     0,     0,     0,  1877,
       0,     0,  4894,  1874,     0,     0,     0,     0,     0,     0,
       0,  1876,     0,     0,     0,   851,     0,     0,  1877,     0,
       0,     0,     0,  1878,     0,  4199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1068,  4212,     0,     0,     0,
       0,     0,  1878,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,  1879,     0,     0,     0,     0,  1880,  1068,
       0,     0,     0,     0,  4958,     0,  2024,  4241,     0,     0,
       0,  1068,     0,     0,     0,     0,     0,     0,     0,  1881,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,  1883,     0,     0,     0,   851,     0,
       0,  2462,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3537,  1068,  1884,     0,     0,
       0,     0,  1879,   828,     0,     0,   828,  1880,     0,     0,
    1068,  1885,     0,     0,  1886,     0,   828,  2534,     0,     0,
       0,  1879,  1068,     0,     0,     0,  1880,     0,  1881,  1882,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,     0,     0,  1881,  1882,     0,
       0,   828,   828,     0,   851,   851,     0,  5041,     0,     0,
       0,     0,  1883,     0,     0,     0,   851,     0,     0,     0,
       0,     0,  5054,     0,  1068,  1068,  1884,   851,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,   851,     0,  1884,     0,  1887,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,  5081,     0,     0,     0,   828,     0,     0,     0,  4363,
    4364,  4365,  4366,     0,     0,     0,  5092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2776,     0,     0,     0,     0,     0,   828,
       0,   828,  4493,     0,     0,     0,   828,   828,     0,     0,
       0,     0,     0,   828,   828,   828,  1887,  4497,     0,   828,
       0,   828,   828,   828,   828,   828,   828,     0,   828,     0,
     828,   828,     0,  1888,   828,  1887,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,  1068,   828,
     828,   828,   828,  2024,  5149,     0,     0,   828,     0,     0,
       0,   828,     0,     0,   828,     0,     0,   828,   828,   828,
     828,   828,   828,   828,   828,   828,     0,   828,     0,     0,
       0,     0,     0,     0,   828,     0,   828,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5171,     0,     0,     0,
       0,     0,     0,  4561,     0,     0,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,   188,     0,  5238,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
       0,  1870,     0,  1874,     0,  1871,  1872,  1873,     0,     0,
    5231,  1876,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,  1874,   189,     0,     0,     0,     0,     0,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,   190,     0,
       0,     0,  1878,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,     0,     0,     0,
       0,  1878,   192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
     194,     0,     0,     0,     0,     0,  1068,     0,   195,     0,
    1068,  1068,  4683,  4684,  4684,     0,     0,   851,     0,     0,
     196,     0,  2024,   851,     0,   197,     0,   851,     0,     0,
       0,     0,   198,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   199,
       0,     0,  4591,   851,     0,     0,   828,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,  1880,     0,   828,     0,
       0,     0,  1068,     0,   200,   828,     0,     0,     0,     0,
    1879,     0,     0,     0,  1068,  1880,     0,  1881,  1882,     0,
       0,     0,     0,     0,     0,   201,     0,   851,     0,     0,
       0,     0,  1883,     0,     0,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,   851,   851,     0,     0,     0,
       0,  1883,     0,     0,  1068,     0,     0,     0,     0,   202,
       0,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2024,   851,     0,  1885,
    2024,   203,  1886,     0,  1884,     0,     0,     0,     0,     0,
       0,   204,     0,     0,   205,     0,  4812,     0,  1885,     0,
       0,  1886,     0,   851,     0,  2024,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,   851,     0,
     206,     0,   851,     0,     0,   207,     0,   208,     0,     0,
       0,     0,     0,     0,   209,     0,     0,   210,     0,     0,
       0,     0,   851,     0,     0,     0,     0,   851,     0,     0,
       0,   851,     0,     0,  2024,     0,   211,     0,     0,     0,
       0,     0,   212,     0,   851,  1887,   213,   214,     0,     0,
     215,     0,     0,     0,   216,     0,     0,   851,     0,     0,
       0,     0,     0,   217,  1887,     0,     0,   851,   218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
     219,     0,  1870,     0,     0,  1432,  1871,  1872,  1873,     0,
    4750,  1433,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1874,     0,  4762,     0,     0,     0,     0,
    1283,  1876,   828,  1068,     0,     0,     0,     0,  1877,  4914,
       0,  4916,  2024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,     0,  4796,     0,     0,     0,     0,
       0,  1888,  1878,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,  4813,     0,   828,     0,  5258,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,  1869,     0,     0,  1870,  5291,     0,     0,
    1871,  1872,  1873,     0,     0,     0,  1436,     0,     0,     0,
       0,     0,     0,  1437,     0,  1068,  1438,  1874,     0,   851,
       0,     0,     0,     0,     0,  1876,     0,     0,   828,     0,
       0,     0,  1877,     0,     0,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,   851,  1440,     0,     0,  1880,     0,     0,     0,
    4883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4684,     0,     0,  1881,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,  1883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,     0,   851,     0,
       0,     0,  1441,     0,  1442,     0,   851,     0,     0,     0,
     828,     0,  3362,  1068,  1443,  1884,   828,  3363,     0,     0,
       0,     0,     0,  1444,     0,     0,  1068,     0,     0,  1885,
       0,     0,  1886,     0,  1445,  1879,     0,   828,     0,     0,
    1880,     0,   828,  4965,     0,     0,     0,  5088,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,  1881,  1882,     0,     0,   828,   828,   828,     0,     0,
     828,  2918,     0,     0,  1447,  1448,  1883,     0,   828,   828,
     828,   828,     0,  1067,     0,     0,  2024,     0,     0,     0,
       0,   828,  2024,     0,   828,     0,   828,     0,     0,     0,
       0,     0,  1449,     0,     0,     0,     0,   828,   828,  1884,
       0,   828,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,   828,  1886,   828,     0,   828,
       0,     0,   844,   853,     0,     0,     0,     0,     0,     0,
       0,   853,     0,     0,     0,  5156,     0,     0,     0,   828,
       0,     0,     0,     0,   853,     0,     0,     0,     0,     0,
     828,     0,   828,   828,   828,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
     828,     0,     0,  1432,     0,     0,     0,     0,     0,  1433,
       0,   828,     0,     0,     0,     0,   828,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,  1887,
       0,  1888,   828,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,  2761,  1432,     0,     0,
    1434,  1068,     0,  1433,  1068,     0,  1068,  5224,     0,     0,
       0,  1068,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,   851,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,  4684,
    4684,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,   851,  1436,     0,   851,     0,     0,     0,
    1068,  1437,     0,     0,  1438,     0,     0,   918,     0,     0,
       0,     0,   919,     0,     0,  1888,     0,  1068,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,  1436,     0,
       0,     0,  1068,     0,     0,  1437,   920,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   921,
     922,  1440,     0,     0,     0,     0,  1067,  4684,     0,     0,
     923,     0,     0,  1439,   924,     0,     0,  2024,  2024,  2024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,   925,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,  1067,  1440,     0,     0,     0,     0,
       0,  1068,     0,  1068,     0,   926,     0,     0,     0,     0,
    1441,   851,  1442,     0,     0,     0,   927,     0,     0,     0,
       0,     0,  1443,     0,   928,     0,   851,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,   929,  1869,     0,     0,
    1870,   930,  1445,     0,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,  1442,     0,     0,     0,
       0,  1874,     0,     0,     0,   931,  1443,     0,     0,  1876,
       0,     0,     0,     0,     0,  1444,  1877,     0,  1067,  3081,
       0,     0,  1447,  1448,  1068,     0,  1445,     0,     0,     0,
     932,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1878,     0,     0,     0,   851,     0,     0,     0,     0,     0,
    3082,   933,  1068,     0,     0,     0,     0,     0,   853,     0,
       0,     0,     0,  3545,   853,     0,  1447,  1448,     0,     0,
       0,     0,     0,     0,     0,  1068,     0,   853,     0,     0,
       0,     0,  2024,  1068,     0,   934,     0,     0,     0,   851,
       0,   851,     0,   853,  3546,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,   851,   935,   844,   853,
       0,     0,     0,     0,  1450,     0,   853,   204,  1432,     0,
     936,     0,     0,  1067,  1433,     0,     0,     0,  2024,   853,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   853,
       0,     0,     0,     0,     0,     0,   937,     0,     0,  1879,
       0,   938,  1068,   939,  1880,     0,     0,     0,  1450,     0,
     940,     0,     0,   941,     0,  1434,     0,     0,     0,   851,
    1068,     0,     0,     0,     0,  1881,  1882,     0,     0,     0,
       0,     0,   942,  1068,     0,     0,     0,     0,   943,     0,
    1883,     0,     0,   944,     0,     0,   945,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,   947,     0,   948,
       0,     0,     0,     0,   949,     0,     0,   851,     0,  1436,
       0,     0,     0,  1884,   853,     0,  1437,     0,     0,  1438,
       0,     0,     0,   851,     0,     0,     0,  1885,     0,   950,
    1886,     0,     0,  1869,     0,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,     0,  1439,   851,     0,     0,   851,     0,
       0,     0,     0,  3910,     0,     0,     0,  1874,     0,     0,
       0,     0,     0,     0,     0,  1876,   828,     0,     0,  1068,
       0,     0,  1877,     0,     0,   828,  1440,     0,     0,     0,
       0,   828,     0,   828,     0,     0,   828,     0,     0,     0,
    1068,   828,   828,   828,   828,     0,  1878,   828,   828,   828,
     828,   828,   828,   828,   828,   828,   828,     0,     0,     0,
     828,   828,     0,  1887,     0,  1068,     0,     0,     0,  2098,
     828,     0,     0,     0,   828,     0,  2024,     0,   828,  3911,
       0,     0,     0,     0,     0,  1441,   828,  1442,     0,   828,
       0,   828,     0,     0,     0,     0,     0,  1443,     0,  1068,
     828,     0,     0,   828,   828,     0,  1444,     0,   828,   828,
       0,     0,     0,     0,     0,   828,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,   828,     0,
       0,  5203,     0,     0,     0,  2098,     0,     0,     0,     0,
       0,   828,     0,     0,     0,   844,     0,   828,   828,   828,
       0,     0,     0,     0,  3600,  1879,     0,  1447,  1448,  1888,
    1880,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,   828,  1067,     0,     0,     0,     0,     0,
       0,  1881,  1882,     0,     0,  3601,     0,     0,     0,   828,
       0,     0,     0,     0,     0,  1068,  1883,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,  1885,     0,     0,  1886,     0,     0,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2024,     0,
       0,     0,  1067,  2024,  1068,  2024,     0,     0,     0,     0,
     853,  2098,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,   853,     0,     0,  2024,  1068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,   853,     0,  1869,  2024,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,     0,     0,     0,     0,     0,     0,   851,
       0,     0,   851,     0,     0,     0,     0,  1874,     0,   853,
    3321,     0,     0,     0,     0,  1876,     0,     0,  1067,     0,
     853,     0,  1877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,   853,     0,     0,   853,     0,
       0,     0,     0,     0,  1067,     0,  1878,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,   851,
     851,     0,     0,  1068,     0,     0,  1067,  1067,     0,   851,
       0,     0,     0,     0,     0,     0,   828,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1068,   828,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1879,   853,     0,     0,     0,
    1880,     0,     0,     0,   853,   853,     0,     0,     0,     0,
       0,     0,     0,     0,  2026,     0,     0,     0,     0,     0,
       0,  1881,  1882,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,   852,  1883,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,   828,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,  1884,
    1067,  2026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,  1886,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,   828,     0,  1068,     0,     0,  2753,   828,
     828,     0,     0,     0,   828,  1068,     0,     0,     0,   828,
       0,     0,   828,   828,     0,     0,     0,   828,     0,     0,
       0,     0,     0,   828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,   828,     0,     0,     0,   828,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1887,
     828,     0,     0,     0,     0,   828,     0,     0,     0,     0,
       0,   828,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1869,     0,     0,  1870,     0,   828,     0,  1871,  1872,
    1873,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1874,     0,     0,  3367,     0,
       0,     0,   828,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   853,     0,  1878,     0,     0,   851,     0,     0,
       0,     0,  2024,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,  1068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2814,     0,
       0,     0,  2098,  2820,   851,     0,     0,     0,     0,  1068,
       0,     0,     0,  2026,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,   853,     0,     0,
       0,     0,     0,   851,     0,   853,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   853,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,     0,  1879,  1068,     0,  1067,     0,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   828,  1881,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   828,     0,  1883,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   844,   844,
     852,   853,   853,     0,     0,   851,   852,     0,     0,     0,
       0,     0,   828,   853,     0,     0,     0,  1884,     0,   852,
       0,     0,     0,     0,   853,   853,     0,     0,     0,     0,
       0,  1885,     0,  1432,  1886,   852,     0,     0,     0,  1433,
     853,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,   852,     0,  1068,     0,  1068,     0,     0,   852,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,   852,   844,     0,     0,     0,     0,   851,     0,     0,
    1434,   852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   828,     0,     0,     0,  1068,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1489,     0,     0,  1887,     0,   828,
     828,     0,     0,   828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1436,     0,     0,     0,   828,     0,
       0,  1437,     0,     0,  1438,   828,     0,     0,     0,     0,
     828,     0,     0,   828,   828,     0,     0,     0,     0,     0,
    2026,   828,   828,     0,     0,  1067,   852,     0,     0,  1439,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   828,
       0,   828,     0,     0,     0,     0,   851,     0,   851,     0,
       0,     0,   828,     0,     0,     0,  1259,  1259,  1490,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,
    1068,   851,     0,     0,     0,     0,     0,     0,     0,     0,
     828,     0,     0,     0,     0,     0,  1491,  2098,     0,  1492,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,  2024,     0,     0,     0,
       0,  1444,   828,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3014,
       0,     0,  1447,  1448,  1496,     0,     0,  4802,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     828,     0,  1068,     0,  1497,     0,     0,     0,  1067,     0,
    3015,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,  1499,  1067,   828,  1068,     0,   828,
       0,   828,     0,     0,   853,     0,     0,     0,  1067,  2026,
     853,     0,     0,     0,   853,     0,     0,     0,     0,     0,
       0,   828,   853,     0,     0,     0,     0,   828,     0,     0,
       0,   828,     0,     0,     0,     0,     0,  1068,     0,     0,
     853,     0,   828,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   844,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2024,   853,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,     0,     0,  1068,  1068,     0,     0,
       0,   828,   853,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   851,
       0,     0,   852,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2026,   853,     0,   852,  2026,     0,     0,
       0,     0,     0,     0,  2753,  2753,  2753,     0,   828,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
     853,     0,  2026,     0,     0,     0,     0,     0,   853,     0,
       0,   828,     0,     0,     0,   853,     0,     0,     0,   853,
       0,   852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   852,     0,     0,     0,     0,     0,     0,   853,
       0,     0,     0,     0,   853,  1068,  1068,   852,   853,     0,
     852,  2026,     0,  2098,     0,     0,  2820,     0,  2820,     0,
       0,   853,     0,  2098,     0,     0,   828,     0,     0,   828,
       0,     0,   828,     0,   853,     0,     0,     0,     0,     0,
       0,     0,     0,   828,   853,     0,     0,     0,   828,     0,
     828,     0,   828,     0,     0,     0,     0,     0,  1826,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,     0,   828,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1840,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,  2024,     0,
     851,     0,     0,     0,  2098,     0,  1858,  1859,  1860,     0,
    1862,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,   852,   852,     0,     0,
    1904,     0,     0,     0,     0,     0,  2025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,     0,
     828,  1870,     0,     0,     0,  1871,  1872,  1873,   828,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,  1941,  1874,  1067,     0,  1067,     0,     0,     0,     0,
    1876,     0,     0,   828,   828,     0,     0,  1877,     0,     0,
       0,   828,  2024,  2025,     0,  1068,     0,     0,     0,  2045,
       0,   828,     0,  2057,  2060,  1869,     0,     0,  1870,     0,
     851,  1878,  1871,  1872,  1873,     0,     0,     0,     0,   853,
       0,     0,     0,   828,     0,     0,     0,     0,     0,  1874,
       0,     0,     0,     0,     0,     0,     0,  1876,     0,     0,
       0,     0,     0,     0,  1877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,   853,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1878,     0,
       0,     0,     0,     0,   828,   853,     0,     0,     0,   828,
       0,     0,     0,   853,  1067,     0,     0,     0,   828,     0,
       0,     0,     0,   844,   828,   828,   828,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,  2820,     0,     0,
       0,     0,     0,     0,     0,  2820,     0,     0,     0,     0,
    1879,     0,   828,     0,     0,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3372,
     828,  1883,     0,  2026,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,   852,     0,     0,  1879,     0,     0,
       0,     0,  1880,     0,  1067,     0,     0,   828,   828,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,  2820,  1881,  1882,     0,     0,     0,  1885,     0,
       0,  1886,  2024,     0,     0,  1067,     0,     0,  1883,     0,
       0,     0,     0,     0,     0,  2025,     0,     0,  3335,   828,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,  1884,     0,     0,   853,     0,     0,   852,     0,   828,
       0,  2024,     0,     0,     0,  1885,     0,     0,  1886,   852,
       0,     0,     0,     0,     0,     0,  2024,   828,   828,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,   853,   853,     0,     0,     0,     0,     0,
       0,     0,     0,   852,   852,     0,     0,     0,     0,     0,
       0,  1887,     0,     0,     0,   852,     0,  1067,     0,     0,
     853,     0,     0,   853,     0,     0,   852,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   852,     0,     0,     0,     0,     0,     0,     0,
    1888,  1067,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2753,     0,     0,  2026,  2026,  2026,  1888,     0,     0,
    1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,
       0,     0,     0,     0,     0,     0,     0,     0,   853,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2098,   853,     0,
       0,  2622,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2025,   853,  2642,     0,  2644,     0,     0,  2656,
    2659,  2664,     0,     0,     0,  1066,  2670,     0,     0,  2675,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2682,  2683,  2684,  2685,     0,  1066,
       0,     0,  2692,     0,     0,     0,  2704,     0,     0,  2706,
       0,     0,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,
    2721,     0,  2722,     0,     0,     0,     0,     0,     0,  1259,
       0,  2750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   853,     0,     0,     0,     0,  2820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2820,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,     0,     0,   853,     0,   853,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   853,     0,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2770,
       0,     0,     0,     0,     0,     0,   853,     0,   852,     0,
       0,  1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,
    1873,     0,     0,     0,     0,     0,   852,     0,  1057,     0,
       0,  2025,   852,     0,     0,  1067,   852,     0,     0,     0,
       0,     0,     0,  1876,   852,     0,     0,     0,     0,     0,
    1877,     0,  1057,     0,   853,     0,     0,     0,     0,     0,
       0,     0,   852,     0,     0,     0,     0,     0,     0,     0,
     853,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
       0,  1869,     0,     0,  1870,  2098,     0,     0,  1871,  1872,
    1873,     0,   853,     0,     0,   853,     0,     0,     0,     0,
       0,  2859,     0,     0,     0,  1874,   852,     0,  3378,     0,
       0,     0,  1066,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,   852,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,  2025,   852,     0,     0,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2026,     0,     0,     0,     0,     0,  1059,
       0,     0,   852,  1879,  2025,     0,     0,     0,  1880,     0,
     852,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,   852,     0,  1059,     0,     0,     0,  1067,     0, -2564,
   -2564,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,   852,     0,     0,  1883,     0,   852,     0,     0,     0,
     852,     0,     0,  2025,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1879,     0,     0,   852, -2564,  1880,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,  1885,  2753,     0,     0,     0,     0,  2753,     0,  1881,
    1882,     0,     0,  2753,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2025,     0,     0,     0,  1057,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,  1066,
       0,  1885,  1067,     0,  1886,     0,     0,  3120,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,  2026,     0,     0,     0,     0,
    2026,     0,  2026,     0,     0,     0,     0,     0,   852,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1887,     0,     0,
       0,  2026,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   853,  1057,     0,   853,
       0,   852,     0,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
    1925,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,     0,     0,     0,  1059,   852,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,   853,   853,     0,     0,
       0,     0,     0,     0,     0,  1066,   853,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4587,     0,  1067,     0,     0,
       0,     0,  3317,     0,     0,     0,     0,  3323,     0,     0,
       0,     0,     0,     0,     0,  2025,     0,     0,  1059,     0,
       0,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,  1862,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,  2664,     0,  2664,  2664,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3381,   853,     0,  3384,
       0,  3386,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3404,     0,  3407,  1066,  3409,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,  2750,  2750,  2750,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3459,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2045,     0,     0,     0,
       0,  3469,     0,     0,     0,     0,     0,  2060,     0,     0,
       0,     0,  2820,  1066,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,   852,   852,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,   852,     0,     0,   852,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,  1870,     0,  3506,     0,  1871,
    1872,  1873,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1057,     0,  1874,     0,     0,     0,
       0,     0,     0,     0,  1876,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,  1057,   853,  1878,     0,     0,     0,  2026,
    1066,     0,     0,     0,  2820,     0,  2025,  2025,  2025,     0,
       0,     0,  1066,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1067,
     852,   853,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,   853,     0,     0,     0,     0,     0,     0,
     852,     0,  1066,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,     0,  1067,
     853,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,  1879,  1059,     0,     0,     0,  1880,
       0,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,     0,  1067,     0,     0,     0,     0,  1067,  1067,
    1881,  1882,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   852,  1059,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,     0,
       0,  2025,     0,     0,     0,     0,  1066,  1057,   852,     0,
     852,     0,  1885,     0,     0,  1886,     0,     0,     0,     0,
       0,  1057,     0,   852,     0,   852,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,  2025,     0,     0,
       0,     0,     0,     0,   853,     0,     0,  4587,  1067,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,  1057,  1057,     0,   852,     0,
       0,  1059,     0,     0,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1869,     0,     0,  1870,     0,
       0,     0,  1871,  1872,  1873,     0,     0,  1060,  3863,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,  1874,
       0,     0,  3917,     0,     0,     0,     0,  1876,     0,     0,
       0,  1060,   852,     0,  1877,     0,     0,     0,  1059,     0,
       0,     0,     0,   853,     0,   853,     0,     0,     0,     0,
       0,     0,  1059,     0,   852,     0,     0,   852,  1878,     0,
       0,     0,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,  1059,  1889,  1890,  1891,
       0,  1892,  1893,  1894,  1895,  1896,  1897,     0,   853,     0,
       0,     0,     0,     0,     0,     0,     0,   844,     0,  1057,
       0,     0,     0,     0,  1066,     0,     0,     0,  1066,  1066,
       0,  3864,     0,     0,     0,     0,  1059,  1059,     0,     0,
    3868,     0,     0,     0,     0,     0,  3869,     0,  3870,     0,
       0,     0,     0,  2026,     0,  2025,     0,  1067,     0,   844,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3894,  3895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1879,  1062,     0,
    1066,     0,  1880,  2670,     0,     0,     0,     0,     0,     0,
       0,  3920,  1066,     0,  3923,     0,  3925,     0,     0,     0,
       0,     0,  1062,  1881,  1882,  3929,     0,     0,     0,     0,
       0,     0,     0,  3936,  3937,     0,     0,     0,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,  3984,  1871,  1872,  1873,
       0,  1884,  3991,  3992,  2750,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,  1874,  1885,     0,     0,  1886,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,  4007,  1877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4020,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,   852,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1057,     0,     0,
    2026,  1057,  1057,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1887,  1060,     0,     0,     0,     0,  2025,     0,     0,
       0,     0,  2025,     0,  2025,     0,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2025,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2025,     0,  1057,     0,     0,     0,     0,
       0,  1066,  1879,     0,     0,     0,     0,  1880,   852,     0,
       0,   852,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,  1881,  1882,
       0,     0,     0,     0,     0,  1057,     0,  1888,     0,     0,
    1889,  1890,  1891,  1883,  1892,  1893,  1894,  1895,  1896,  1897,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,  1059,     0,
       0,     0,  1059,  1059,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,  1062,     0,
    1885,     0,     0,  1886,     0,     0,     0,     0,   852,   852,
       0,     0,     0,  1062,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,  1060,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2026,  1059,   853,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1059,  1062,     0,  4282,
    4283,     0,     0,     0,  1066,     0,     0,     0,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4319,   853,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4324,     0,     0,
     844,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4339,  4341,     0,
       0,     0,     0,     0,  4345,  4346,     0,     0,     0,  4347,
       0,     0,     0,     0,  4350,     0,     0,  4353,  4354,     0,
       0,     0,  4358,     0,     0,   622,     0,  1060,  4362,     0,
     623,   844,   844,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,   625,  2750,     0,     0,     0,     0,
    2750,     0,     0,   853,     0,     0,  2750,   626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1259,   627,  1060,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     628,     0,     0,     0,  1057,     0,   852,  4422,     0,  1066,
       0,  2025,  1066,     0,  1066,     0,     0,  1057,     0,  1066,
       0,     0,  1060,   629,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,   630,     0,     0,     0,     0,  2026,
       0,     0,   631,   852,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,   632,   852,     0,     0,     0,   633,
       0,     0,     0,     0,     0,     0,   634,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,   852,   635,     0,  1066,     0,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2026,   844,   844,     0,  4483,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,   636,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
    1060,     0,     0,     0,  1062,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,  1060,     0,   637,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,  4519,   852,   638,     0,     0,     0,  1066,
       0,  1066,     0,  1062,     0,   639,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,  1063,     0,   640,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
    1063,     0,  1057,     0,   641,  1057,     0,  1057,     0,   642,
    1060,   643,  1057,     0,     0,     0,     0,     0,   644,     0,
       0,   645,  1060,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,  1065,  1060,     0,     0,     0,     0,     0,
     646,     0,  1066,     0,     0,     0,   647,     0,     0,     0,
       0,   648,     0,     0,   649,     0,     0,  1065,   650,     0,
       0,  1057,     0,     0,     0,   651,  1062,   652,     0,     0,
    1066,     0,   653,     0,  1060,  1060,     0,     0,  1057,     0,
       0,  1062,     0,     0,   654,     0,     0,     0,     0,     0,
    1062,     0,     0,  1066,     0,     0,     0,   655,     0,     0,
       0,  1066,  1062,  1057,  4623,  4624,     0,     0,  4625,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,   852,     0,     0,
       0,     0,     0,     0,     0,     0,  4661,  4662,     0,     0,
       0,     0,     0,  1059,     0,     0,  1059,  1062,  1059,     0,
       0,     0,     0,  1059,     0,     0,  4674,     0,     0,     0,
    1066,  1062,  1057,     0,  1057,     0,     0,     0,     0,     0,
     852,     0,     0,  1062,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2025,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,  1062,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1059,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,  1063,     0,     0,  1057,     0,     0,     0,  1066,     0,
       0,     0,     0,  1059,     0,  1059,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2670,     0,     0,     0,  1065,  1062,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,  4851,     0,     0,  1063,     0,     0,     0,     0,
       0,  1057,     0,     0,     0,     0,  1059,  1862,     0,     0,
       0,     0,  2025,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
    1060,  1060,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,  1065,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,  1059,  4901,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,     0,  1059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,     0,  1057,  1065,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
    1057,  1062,  1062,     0,     0,     0,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2025,     0,   852,
       0,     0,     0,  5043,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,  1063,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,  1060,     0,  5095,     0,     0,     0,     0,
       0,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,     0,     0,     0,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,  5121,  5121,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,  1066,  1063,     0,     0,     0,  4661,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,  1057,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   570,     0,     0,     0,     0,   571,     0,  1065,
       0,     0,     0,     0,  1063,     0,     0,  1059,     0,   572,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5180,     0,     0,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,  5121,     0,     0,   574,   852,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,   575,     0,     0,     0,  -846,
       0,  1065,     0,  1066,     0,     0,     0,  5221,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,   576,     0,     0,
       0,     0,     0,   577,  1063,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
     578,     0,     0,  1060,  1057,     0,  1059,     0,  1063,     0,
       0,   579,     0,     0,     0,     0,  1060,     0,     0,   580,
    1063,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
    1059,   581,     0,     0,     0,     0,  1062,     0,     0,   582,
       0,  1065,     0,   583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1057,     0,  1065,     0,     0,     0,
   -1066,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
    2025,     0,     0,     0,  5121,  1063,     0,  1065,     0,     0,
    5279,     0,     0,     0,     0,  2025,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,   584,  1066,     0,
       0,  1063,     0,     0,     0,     0,  -568,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,  1066,     0,     0,     0,
     585,     0,     0,   586,     0,     0,  1065,  1062,     0,     0,
       0,     0,     0,  1063,  1063,  1059,     0,  1066,  1065,     0,
       0,     0,   587,     0,  1062,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,   588,  1057,  1062,     0,     0,
       0,     0,  -445,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   589,     0,     0,     0,  1059,     0,     0,   590,     0,
    1065,  1065,     0,     0,     0,  -445,     0,     0,   591,     0,
       0,  1060,  1066,     0,  1060,     0,  1060,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,     0,   592,     0,     0,
       0,     0,     0,   593,     0,     0,     0,     0,  -445,     0,
       0,   594,   595,     0,   596,   597,     0,     0,     0,     0,
       0,     0,     0,     0,   598,     0,     0,     0,     0,   599,
       0,     0,     0,     0,     0,   600,     0,     0,   601,     0,
    1060,   602,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,  -445,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,  1062,     0,  1062,     0,     0,
       0,  1060,  1062,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1059,     0,  1060,     0,     0,  1063,     0,     0,  1066,  1063,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,  1062,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,  1065,  1065,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1059,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1060,     0,     0,  1063,     0,     0,     0,     0,  1065,     0,
    1066,     0,     0,  1060,     0,  1062,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,  1062,  1066,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
    1060,     0,     0,     0,  1066,  1066,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,  1899,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,  1066,     0,     0,     0,  1057,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,  1057,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,  1057,  1057,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1059,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,  1063,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,  1066,     0,     0,  1062,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,  1057,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,  1059,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
    1063,     0,     0,  1063,     0,  1063,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,  1063,
    1065,     0,  1065,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,  2652,     0,  1065,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,  1899,  1899,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,  1899,  1065,
    1060,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
    1065,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,  1899,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,  1063,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1060,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,  1060,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,  1899,
       0,  1899,  1063,     0,  2652,  2652,     0,  3358,     0,  2652,
       0,     0,     0,  1899,     0,     0,  1899,     0,  1062,     0,
       0,  1899,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,     0,  1899,
    1899,  1899,  1899,     0,     0,     0,  2652,  2652,     0,  1899,
       0,     0,  1063,     0,     0,     0,     0,     0,  1062,  1065,
       0,  1899,     0,  1899,     0,     0,  1060,     0,     0,     0,
    1899,  1899,  1899,  1899,  1899,  1899,  1899,  1899,  1899,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,  1065,
       0,     0,  1062,     0,     0,     0,     0,  1062,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,  1062,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3358,  3358,     0,     0,
    2652,  2652,  2652,  2652,     0,     0,  2652,  2652,  2652,  2652,
    2652,  2652,  2652,  2652,  2652,  2652,  3358,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,  1899,     0,  1899,     0,     0,  3358,  3358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,  2652,  2652,  1899,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,  1065,     0,  1063,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,  1065,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2652,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,  1899,  1899,  1899,     0,     0,
       0,     0,     0,  3358,  3358,  3358,  3358,     0,     0,     0,
       0,  3358,  3358,  3358,  3358,  3358,  3358,  3358,  3358,  3358,
    3358,  1899,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,  1899,     0,     0,
    1899,     0,  1899,     0,     0,     0,  1899,     0,     0,  3358,
    3358,     0,     0,  1899,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,  1899,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,  1899,  2652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,  1899,     0,
       0,     0,  1899,  1899,  1899,     0,     0,  1899,     0,     0,
    1899,  1899,     0,     0,     0,  1899,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3358,  2652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,  1899,  1899,     0,     0,     0,     0,     0,     0,     0,
    2652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2652,     0,     0,  3358,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3358,     0,
    2652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2652,  2652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
    3358,  3358,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,  2744,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,  1899,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,  2745,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,  2746,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,  2747,     0,     0,     0,
       0,     0,     0,  1247,  2748,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    39,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,    43,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,  1112,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,    48,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,    49,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,  4863,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,  2654,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,  3872,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
     223,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,  3943,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,  3961,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0, -1722,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
   -1722,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350, -1722,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360, -1722,   361,   362,   363,
     364,   365,     0,     0,   366,   367, -1722,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388, -1722,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456, -1722,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,     0,     0,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1328,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1031,   802,  1032,  1033,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,  1034,
    1035,   257,     0,   258,   259,   260,   261,     0,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,  1036,  1037,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,     0,   316,   317,   318,     0,     0,   320,     0,
     321,   322,  1039,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,     0,     0,     0,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,  2084,   344,   345,   346,   347,   348,   349,     0,
     350,   810,  2085,   352,   353,   354,   355,  1041,  1042,     0,
    1043,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,     0,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1044,   816,  1045,   390,   391,   392,     0,     0,   394,
     395,   817,   396,     0,     0,   398,  1046,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,  2087,   818,   410,   819,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,     0,   424,
       0,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1047,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,  2088,   478,
     479,   821,   480,   481,  1049,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1050,  1051,     0,     0,   507,   508,     0,   510,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,     0,  1052,  2089,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,  1030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,   555,   556,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  2194,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,     0,  1031,   802,
    1032,  1033,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,  1034,  1035,   257,     0,   258,   259,   260,   261,
       0,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,  1036,  1037,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,     0,   316,   317,   318,     0,
       0,   320,     0,   321,   322,  1039,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
       0,     0,     0,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,  2084,   344,   345,   346,   347,
     348,   349,     0,   350,   810,  2085,   352,   353,   354,   355,
    1041,  1042,     0,  1043,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,     0,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1044,   816,  1045,   390,   391,   392,
       0,     0,   394,   395,   817,   396,     0,     0,   398,  1046,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,  2087,   818,   410,   819,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,     0,   424,     0,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1047,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,  2088,   478,   479,   821,   480,   481,  1049,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1050,  1051,     0,     0,   507,
     508,     0,   510,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,     0,  1052,  2089,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,     0,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,   554,   555,   556,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,  3206,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    39,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
      43,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
    1112,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,    48,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,    49,     0,     0,     0,
       0,  1244,  1245,     0,     0,     0,     0,     0,     0,     0,
    1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
    2660,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
    2661,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,  2662,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,  2663,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,  1823,  2615,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,  1246,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,  2055,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,  2661,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,     0,     0,     0,     0,
       0,  1244,  1245,     0,     0,     0,     0,     0,     0,     0,
    1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,  3993,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
    4006,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,   516,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,     0,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  1200,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,  1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  1223,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,  1232,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,  4331,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
    1243,     0,     0,     0,     0,     0,     0,  1244,  1245,     0,
       0,     0,     0,     0,     0,     0,  1247,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,  4340,   393,  1215,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,  1243,     0,     0,     0,     0,     0,
       0,  1244,  1245,     0,     0,     0,     0,     0,     0,     0,
    1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,  4651,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,  1200,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    4652,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,  1215,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,  4653,
    1223,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,  1232,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,
       0,     0,     0,     0,     0,  1244,  1245,     0,     0,     0,
       0,     0,     0,     0,  4654,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,  5118,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,  5119,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,  5120,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   800,
    1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
    1181,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,  1182,   802,  1183,  1184,     0,   248,
     249,   250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
    5119,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,  1198,  1199,   288,  1200,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,  1201,   316,   317,   318,  1202,  1203,   320,     0,   321,
     322,  1204,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,  1206,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,  1207,  1208,     0,  1209,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1213,   816,  1214,   390,   391,   392,   393,  1215,   394,   395,
     817,   396,  1216,  1217,   398,  1218,   400,   401,   402,     0,
     403,   404,     0,     0,  1219,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1222,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,  1223,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,  1225,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,
    1231,   512,   513,   514,   515,  5120,   517,   518,     0,  1232,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,  1234,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,   553,   554,   555,   556,  1243,     0,     0,     0,
       0,     0,     0,  1244,  1245,     0,     0,     0,     0,     0,
       0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,  4844,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,     0,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,  1219,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  2646,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
       0,     0,     0,     0,     0,     0,     0,  2647,  2648,     0,
       0,     0,     0,     0,     0,     0,  2649,   800,  1176,   617,
    1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243, -2564,  1182,   802,  1183,  1184,     0,   248,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,  5119,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,  1200,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339, -2564,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
       0,     0,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368, -2564,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,  1215,   394,   395,     0,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,  1219,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  1223,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479, -2564,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,  5120,   517,   518,     0,  1232,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556, -2564,     0,     0,     0,     0,     0,
       0,  1244,  1245,     0,     0,     0,     0,     0,     0,     0,
    1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,     0,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,  1219,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    2646,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,     0,
       0,     0,     0,     0,     0,  2647,  2648,     0,     0,     0,
       0,     0,     0,     0,  2649,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,     0,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,     0,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  2646,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,     0,     0,     0,     0,     0,     0,     0,  2647,
    2648,     0,     0,   800,  1176,   617,  1177,  1178,  2649,   676,
    1180,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,  1181,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,  1182,   802,
    1183,  1184,     0,   248,   249,   250,   251,   252,  1185,  1186,
     253,   254,  1187,  1188,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,  1198,  1199,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,  1201,   316,   317,   318,  1202,
    1203,   320,     0,   321,   322,  1204,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,  1206,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
    1207,  1208,     0,  1209,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1213,   816,  1214,   390,   391,   392,
     393,     0,   394,   395,   817,   396,  1216,  1217,   398,  1218,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1222,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,  2646,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,  1225,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1227,  1228,     0,     0,   507,
     508,  1229,   510,  1230,  1231,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,  1234,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
       0,     0,   800,  1176,   617,  1177,  1178,     0,   676,  1180,
       0,     0,     0,     0,     0,     0,  2649,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,  1181,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,  1182,   802,  1183,
    1184,     0,  3905,   249,   250,   251,   252,  1185,  1186,   253,
     254,  1187,  1188,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,  1198,  1199,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,  1201,   316,   317,   318,  1202,  1203,
     320,     0,   321,   322,  1204,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,  1206,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,  1207,
    1208,     0,  1209,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1213,   816,  1214,   390,   391,   392,   393,
       0,   394,   395,   817,   396,  1216,  1217,   398,  1218,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1222,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,  2646,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,  1225,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1227,  1228,     0,     0,   507,   508,
    1229,   510,  1230,  1231,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,  1234,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,
       0,   800,  1176,   617,  1177,  1178,     0,   676,  1180,     0,
       0,     0,     0,     0,     0,  2649,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,  1181,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,  1182,   802,  1183,  1184,
       0,   248,   249,   250,   251,   252,  1185,  1186,   253,   254,
    1187,  1188,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,  1198,  1199,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,  1201,   316,   317,   318,  1202,  1203,   320,
       0,   321,   322,  1204,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
    1206,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,  1207,  1208,
       0,  1209,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1213,   816,  1214,   390,   391,   392,   393,     0,
     394,   395,   817,   396,  1216,  1217,   398,  1218,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1222,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
    2646,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,  1225,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1227,  1228,     0,     0,   507,   508,  1229,
     510,  1230,  1231,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,  1234,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,  4371,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,     0,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,  2649,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,     0,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,     0,     0,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,     0,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,     0,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,     0,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,     0,     0,   800,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,  1186,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,  1202,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,  3427,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,  1217,   398,   399,   400,   401,   402,     0,
     403,   404,     0,   765,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,  3428,
     462,   463,   464,   465,   466,   467,   468,   469,    39,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,    43,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,  1229,   510,  1230,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,  1112,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,    48,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,  3429,   554,   555,   556,     0,     0,    49,   800,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3430,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,  1186,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,  1189,     0,  1190,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,  1202,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,  1205,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,  3427,     0,   366,  1210,   814,   368,   815,     0,   369,
     370,   371,  1211,  1212,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,  1217,   398,   399,   400,   401,   402,     0,
     403,   404,     0,   765,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,  1220,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,  1221,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,  3428,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,  1224,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1226,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,  1229,   510,  1230,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,  1233,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,
    1241,  1242,  3429,   554,   555,   556,     0,     0,   800,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3430,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,  1186,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,  1202,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,  1217,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,  3428,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,  1229,   510,  1230,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,  3429,   554,   555,   556,     0,     0,   800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,  1186,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,  1202,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,  1217,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,  1229,   510,  1230,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,     0,     0,   800,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4034,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,  1186,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,  1202,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
    1217,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,  1229,   510,  1230,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,     0,     0,   845,  1454,   617,     0,     0,
       0,   676,     0,     0,     0,     0,     0,     0,     0,  5101,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,  1756,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,  1757,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1758,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,     0,   845,     0,     0,     0,     0,  1455,
    1456,  4921,     0,     0,     0,     0,     0,     0,  4922,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     3,     4,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    39,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,    43,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,  1112,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
      48,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,     0,    49,   800,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4703,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    39,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,    43,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,  1112,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,    48,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
       0,     0,    49,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
       0,     0,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1305,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,     0,
       0,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2803,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3940,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,     0,     0,
       0,     0,  1030,  1454,   617,     0,     0,   859,   676,     0,
       0,     0,     0,  4388,   860,   861,   862,   224,   225,   226,
     227,   228,   229,   230,   231,  1944,   233,   234,   235,  1945,
    1946,  1947,  1948,  1949,  1950,  1951,   236,   237,  1952,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,  1953,   248,   249,   250,   251,   252,  1954,  1955,   253,
     254,  1034,  1035,   257,  1956,   258,   259,   260,   261,     0,
    1957,   803,  1958,   263,   264,   265,   266,   267,   804,   268,
     269,   270,  1959,   271,   272,   273,   274,   275,   276,  1960,
     805,   277,   278,   279,  1961,  1962,  1963,   806,  1964,  1965,
    1966,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
    1967,   289,  1968,   290,   291,   292,   293,   294,   295,  1969,
     296,   297,   298,   299,  1970,  1971,   300,   301,  1038,   303,
     304,  1972,   305,   306,   307,  1973,   308,   309,   310,  1974,
     311,   312,   313,   314,     0,   316,   317,   318,     0,  1975,
     320,  1976,   321,   322,  1039,   324,  1977,   325,  1978,   326,
     807,  1979,   808,   327,   328,   329,   330,  1980,   331,     0,
    1981,     0,   334,  1982,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,  1983,   344,   345,   346,   347,   348,
     349,  1984,   350,   810,     0,   352,   353,   354,   355,  1041,
    1042,  1985,  1043,  1986,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,  1987,  1988,   366,     0,   814,   368,
     815,  1989,   369,   370,   371,  1990,  1991,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,  3694,
    1992,   394,   395,   817,   396,  1993,     0,   398,  1046,   400,
     401,   402,  1994,   403,   404,  1995,  1996,  3695,   406,   407,
    1997,  1998,   408,     0,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,  1999,   421,   422,
       0,   424,     0,   426,   427,   428,  2000,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,  2001,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  2002,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  2003,   470,   471,   472,   473,   474,  2004,   475,   476,
    2088,   478,   479,   821,   480,   481,  1049,   483,  2005,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,  2006,   497,   498,  2007,   499,   822,   500,   501,
     502,   503,   504,  2008,  1050,  1051,  2009,  2010,   507,   508,
       0,   510,     0,  2011,   512,   513,   514,   515,   516,   517,
     518,  2012,  2013,   519,   520,   521,   522,   523,  2014,  2015,
     524,   525,   526,   527,   528,     0,  1052,  2016,   531,   823,
     532,   533,   534,   535,  2017,  2018,   536,  2019,  2020,   537,
     538,   539,   540,   541,   542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
       0,     0,   865,   866,   867,     0,  3696,  3697,   870,   871,
     872,   873,  1030,  1454,   617,     0,     0,   859,   676,     0,
       0,     0,     0,     0,   860,   861,   862,   224,   225,   226,
     227,   228,   229,   230,   231,  1944,   233,   234,   235,  1945,
    1946,  1947,  1948,  1949,  1950,  1951,   236,   237,  1952,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,  1953,   248,   249,   250,   251,   252,  1954,  1955,   253,
     254,  1034,  1035,   257,  1956,   258,   259,   260,   261,     0,
    1957,   803,  1958,   263,   264,   265,   266,   267,   804,   268,
     269,   270,  1959,   271,   272,   273,   274,   275,   276,  1960,
     805,   277,   278,   279,  1961,  1962,  1963,   806,  1964,  1965,
    1966,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
    1967,   289,  1968,   290,   291,   292,   293,   294,   295,  1969,
     296,   297,   298,   299,  1970,  1971,   300,   301,  1038,   303,
     304,  1972,   305,   306,   307,  1973,   308,   309,   310,  1974,
     311,   312,   313,   314,     0,   316,   317,   318,     0,  1975,
     320,  1976,   321,   322,  1039,   324,  1977,   325,  1978,   326,
     807,  1979,   808,   327,   328,   329,   330,  1980,   331,     0,
    1981,     0,   334,  1982,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,  1983,   344,   345,   346,   347,   348,
     349,  1984,   350,   810,     0,   352,   353,   354,   355,  1041,
    1042,  1985,  1043,  1986,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,  1987,  1988,   366,     0,   814,   368,
     815,  1989,   369,   370,   371,  1990,  1991,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,  4125,
    1992,   394,   395,   817,   396,  1993,     0,   398,  1046,   400,
     401,   402,  1994,   403,   404,  1995,  1996,  3695,   406,   407,
    1997,  1998,   408,     0,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,  1999,   421,   422,
       0,   424,     0,   426,   427,   428,  2000,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,  2001,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  2002,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  2003,   470,   471,   472,   473,   474,  2004,   475,   476,
    2088,   478,   479,   821,   480,   481,  1049,   483,  2005,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,  2006,   497,   498,  2007,   499,   822,   500,   501,
     502,   503,   504,  2008,  1050,  1051,  2009,  2010,   507,   508,
       0,   510,     0,  2011,   512,   513,   514,   515,   516,   517,
     518,  2012,  2013,   519,   520,   521,   522,   523,  2014,  2015,
     524,   525,   526,   527,   528,     0,  1052,  2016,   531,   823,
     532,   533,   534,   535,  2017,  2018,   536,  2019,  2020,   537,
     538,   539,   540,   541,   542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
     223,     0,   865,   866,   867,   859,  3696,  3697,   870,   871,
     872,   873,   860,   861,   862,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   863,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   864,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,   223,     0,
     865,   866,   867,   859,   868,   869,   870,   871,   872,   873,
     860,   861,   862,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   981,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   982,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,   223,     0,   865,   866,
     867,   859,   868,   869,   870,   871,   872,   873,   860,   861,
     862,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
    1080,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,  1081,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1082,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,     0,   223,     0,   865,   866,   867,   859,
     868,   869,   870,   871,   872,   873,   860,   861,   862,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,  1576,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,  1577,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,     0,   223,     0,   865,   866,   867,   859,   868,   869,
     870,   871,   872,   873,   860,   861,   862,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,     0,
     223,     0,   865,   866,   867,   859,   868,   869,   870,   871,
     872,   873,   860,   861,   862,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,  2881,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,  2882,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,   223,     0,
     865,   866,   867,   859,   868,   869,   870,   871,   872,   873,
     860,   861,   862,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,  4681,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1943,     0,     0,   865,   866,
     867,     0,   868,   869,   870,   871,   872,   873,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,  1944,   233,
     234,   235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,   236,
     237,  1952,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,  1953,   248,   249,   250,   251,   252,
    1954,  1955,   253,   254,   255,   256,   257,  1956,   258,   259,
     260,   261,   262,  1957,   803,  1958,   263,   264,   265,   266,
     267,   804,   268,   269,   270,  1959,   271,   272,   273,   274,
     275,   276,  1960,   805,   277,   278,   279,  1961,  1962,  1963,
     806,  1964,  1965,  1966,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1967,   289,  1968,   290,   291,   292,   293,
     294,   295,  1969,   296,   297,   298,   299,  1970,  1971,   300,
     301,   302,   303,   304,  1972,   305,   306,   307,  1973,   308,
     309,   310,  1974,   311,   312,   313,   314,   315,   316,   317,
     318,   319,  1975,   320,  1976,   321,   322,   323,   324,  1977,
     325,  1978,   326,   807,  1979,   808,   327,   328,   329,   330,
    1980,   331,   332,  1981,   333,   334,  1982,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,  1983,   344,   345,
     346,   347,   348,   349,  1984,   350,   810,   351,   352,   353,
     354,   355,   356,   357,  1985,   358,  1986,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,  1987,  1988,   366,
     367,   814,   368,   815,  1989,   369,   370,   371,  1990,  1991,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,  1992,   394,   395,   817,   396,  1993,   397,
     398,   399,   400,   401,   402,  1994,   403,   404,  1995,  1996,
     405,   406,   407,  1997,  1998,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
    1999,   421,   422,   423,   424,   425,   426,   427,   428,  2000,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  2001,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  2002,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,  2003,   470,   471,   472,   473,   474,
    2004,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,  2005,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,  2006,   497,   498,  2007,   499,
     822,   500,   501,   502,   503,   504,  2008,   505,   506,  2009,
    2010,   507,   508,   509,   510,   511,  2011,   512,   513,   514,
     515,   516,   517,   518,  2012,  2013,   519,   520,   521,   522,
     523,  2014,  2015,   524,   525,   526,   527,   528,   529,   530,
    2016,   531,   823,   532,   533,   534,   535,  2017,  2018,   536,
    2019,  2020,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,  2021,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,   770,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,  5068,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,  1034,  1035,   257,     0,   258,
     259,   260,   261,     0,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,     0,   316,
     317,   318,     0,     0,   320,     0,   321,   322,  1039,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,     0,     0,     0,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,  2084,   344,
     345,   346,   347,   348,   349,     0,   350,   810,  2085,   352,
     353,   354,   355,  1041,  1042,     0,  1043,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,     0,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,     0,     0,   394,   395,   817,   396,     0,
       0,   398,  1046,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,  2086,   408,  2087,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,     0,   424,     0,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,  2088,   478,   479,   821,   480,   481,
    1049,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1050,  1051,
       0,     0,   507,   508,     0,   510,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,     0,
    1052,  2089,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,  2380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,   224,   225,   226,   227,   228,   229,
     230,   231,  2090,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,     0,  1031,   802,  1032,  1033,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,  1034,  1035,
     257,     0,   258,   259,   260,   261,     0,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,  1036,  1037,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,     0,   316,   317,   318,     0,     0,   320,     0,   321,
     322,  1039,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,     0,     0,     0,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,  2084,   344,   345,   346,   347,   348,   349,     0,   350,
     810,  2085,   352,   353,   354,   355,  1041,  1042,     0,  1043,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,     0,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1044,   816,  1045,   390,   391,   392,     0,     0,   394,   395,
     817,   396,     0,     0,   398,  1046,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,  2086,   408,
    2087,   818,   410,   819,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,     0,   424,     0,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1047,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,  2088,   478,   479,
     821,   480,   481,  1049,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     0,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1050,  1051,     0,     0,   507,   508,     0,   510,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,     0,  1052,  2089,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   845,  1454,   617,     0,     0,     0,   676,     0,
       0,     0,     0,   554,   555,   556,     0,   224,   225,   226,
     227,   228,   229,   230,   231,  2090,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1932,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,  1756,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,  1757,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,  1758,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   845,
    1454,   617,     0,     0,     0,   676,  1455,  1456,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1937,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,  1756,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,  1757,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1758,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,  1454,   617,     0,
       0,     0,   676,  1455,  1456,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,  1756,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,  1757,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1758,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,     0,   617,     0,     0,     0,   676,
    1455,  1456,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,  2835,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
    1756,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,  1757,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,  1758,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,   676,   688,   689,     0,
       0,     0,     0,     0,     0,   224,   677,   226,   227,   228,
     229,   230,   231,   678,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   679,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   680,   323,   324,     0,   325,     0,   681,     0,   682,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,   683,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   684,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   685,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   686,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   687,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1943,  5263,   617,
       0,     0,     0,   676,   688,   689,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
    1944,   233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,   236,   237,  1952,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,  1953,   248,   249,   250,
     251,   252,  1954,  1955,   253,   254,   255,   256,   257,  1956,
     258,   259,   260,   261,   262,  1957,   803,  1958,   263,   264,
     265,   266,   267,   804,   268,   269,   270,  1959,   271,   272,
     273,   274,   275,   276,  1960,   805,   277,   278,   279,  1961,
    1962,  1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1967,   289,  1968,   290,   291,
     292,   293,   294,   295,  1969,   296,   297,   298,   299,  1970,
    1971,   300,   301,   302,   303,   304,  1972,   305,   306,   307,
    1973,   308,   309,   310,  1974,   311,   312,   313,   314,   315,
     316,   317,   318,   319,  1975,   320,  1976,   321,   322,   323,
     324,  1977,   325,  1978,   326,   807,  1979,   808,   327,   328,
     329,   330,  1980,   331,   332,  1981,   333,   334,  1982,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,  1983,
     344,   345,   346,   347,   348,   349,  1984,   350,   810,   351,
     352,   353,   354,   355,   356,   357,  1985,   358,  1986,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,  1987,
    1988,   366,   367,   814,   368,   815,  1989,   369,   370,   371,
    1990,  1991,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,  1992,   394,   395,   817,   396,
    1993,   397,   398,   399,   400,   401,   402,  1994,   403,   404,
    1995,  1996,   405,   406,   407,  1997,  1998,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,  1999,   421,   422,   423,   424,   425,   426,   427,
     428,  2000,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  2001,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  2002,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,  2003,   470,   471,   472,
     473,   474,  2004,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,  2005,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,  2006,   497,   498,
    2007,   499,   822,   500,   501,   502,   503,   504,  2008,   505,
     506,  2009,  2010,   507,   508,   509,   510,   511,  2011,   512,
     513,   514,   515,   516,   517,   518,  2012,  2013,   519,   520,
     521,   522,   523,  2014,  2015,   524,   525,   526,   527,   528,
     529,   530,  2016,   531,   823,   532,   533,   534,   535,  2017,
    2018,   536,  2019,  2020,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1943,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,  1944,   233,   234,
     235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,   236,   237,
    1952,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,  1953,   248,   249,   250,   251,   252,  1954,
    1955,   253,   254,   255,   256,   257,  1956,   258,   259,   260,
     261,   262,  1957,   803,  1958,   263,   264,   265,   266,   267,
     804,   268,   269,   270,  1959,   271,   272,   273,   274,   275,
     276,  1960,   805,   277,   278,   279,  1961,  1962,  1963,   806,
    1964,  1965,  1966,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1967,   289,  1968,   290,   291,   292,   293,   294,
     295,  1969,   296,   297,   298,   299,  1970,  1971,   300,   301,
     302,   303,   304,  1972,   305,   306,   307,  1973,   308,   309,
     310,  1974,   311,   312,   313,   314,   315,   316,   317,   318,
     319,  1975,   320,  1976,   321,   322,   323,   324,  1977,   325,
    1978,   326,   807,  1979,   808,   327,   328,   329,   330,  1980,
     331,   332,  1981,   333,   334,  1982,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,  1983,   344,   345,   346,
     347,   348,   349,  1984,   350,   810,   351,   352,   353,   354,
     355,   356,   357,  1985,   358,  1986,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,  1987,  1988,   366,   367,
     814,   368,   815,  1989,   369,   370,   371,  1990,  1991,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,  1992,   394,   395,   817,   396,  1993,   397,   398,
     399,   400,   401,   402,  1994,   403,   404,  1995,  1996,   405,
     406,   407,  1997,  1998,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,  1999,
     421,   422,   423,   424,   425,   426,   427,   428,  2000,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  2001,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  2002,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,  2003,   470,   471,   472,   473,   474,  2004,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
    2005,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,  2006,   497,   498,  2007,   499,   822,
     500,   501,   502,   503,   504,  2008,   505,   506,  2009,  2010,
     507,   508,   509,   510,   511,  2011,   512,   513,   514,   515,
     516,   517,   518,  2012,  2013,   519,   520,   521,   522,   523,
    2014,  2015,   524,   525,   526,   527,   528,   529,   530,  2016,
     531,   823,   532,   533,   534,   535,  2017,  2018,   536,  2019,
    2020,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
    2949,   229,   230,   231,  1944,   233,   234,   235,  1945,  1946,
    1947,  1948,  1949,  1950,  1951,   236,   237,  1952,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
    1953,   248,   249,   250,   251,   252,  1954,  1955,   253,   254,
     255,   256,   257,  1956,   258,   259,   260,   261,   262,  1957,
     803,  1958,   263,   264,   265,   266,   267,   804,   268,   269,
     270,  1959,   271,   272,   273,   274,   275,   276,  1960,   805,
     277,   278,   279,  1961,  1962,  1963,   806,  1964,  1965,  1966,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  1967,
     289,  1968,   290,   291,   292,   293,   294,   295,  1969,   296,
     297,   298,   299,  1970,  1971,   300,   301,   302,  2950,   304,
    1972,   305,   306,   307,  1973,   308,   309,   310,  1974,   311,
     312,   313,   314,   315,   316,   317,   318,   319,  1975,   320,
    1976,   321,   322,   323,   324,  1977,   325,  1978,   326,   807,
    1979,   808,   327,   328,   329,   330,  1980,   331,   332,  1981,
     333,   334,  1982,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,  1983,   344,   345,   346,   347,   348,   349,
    1984,   350,   810,   351,   352,   353,   354,   355,   356,   357,
    1985,   358,  1986,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,  1987,  1988,   366,   367,   814,   368,   815,
    1989,   369,   370,   371,  1990,  1991,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,  1992,
     394,   395,   817,   396,  1993,   397,   398,   399,   400,   401,
     402,  1994,   403,   404,  1995,  1996,   405,   406,   407,  1997,
    1998,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,  1999,   421,   422,   423,
     424,   425,   426,   427,   428,  2000,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    2001,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  2002,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
    2003,   470,   471,   472,   473,   474,  2004,  2951,   476,   477,
     478,   479,   821,   480,   481,   482,   483,  2005,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,  2006,   497,   498,  2007,   499,   822,   500,   501,   502,
     503,   504,  2008,   505,   506,  2009,  2010,   507,   508,   509,
     510,   511,  2011,   512,   513,   514,   515,   516,   517,   518,
    2012,  2013,   519,   520,   521,   522,   523,  2014,  2015,   524,
     525,   526,   527,   528,   529,   530,  2016,   531,   823,   532,
     533,   534,   535,  2017,  2018,   536,  2019,  2020,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   800,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,  1186,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,  1202,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,  1217,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,  1229,   510,  1230,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,   845,     0,   617,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,  1756,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,  1757,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1758,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   845,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,   882,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
     846,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   847,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   845,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   901,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,   846,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   902,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   847,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,   846,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   847,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  2336,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,   846,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,  3275,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   847,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     845,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,   846,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   847,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,   846,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,  1000,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   847,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,   846,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    1075,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   847,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,   846,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1086,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   847,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,   846,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1096,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,  1097,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   847,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   845,     0,   617,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1917,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   845,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     3,
       4,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   845,
       0,   617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,     0,   617,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1742,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     800,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1022,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,  1072,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,  2124,   258,   259,   260,
     261,   262,     0,     0,  2201,   263,   264,   265,   266,   267,
       0,   268,   269,   270,  2125,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,  2202,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
    2127,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    2203,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  2128,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,  2129,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,  2124,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,  2125,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,  2202,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,  2127,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,  3139,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  2128,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,  2129,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   733,   230,
     231,   695,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,   696,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,   734,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   697,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   698,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,   695,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,   696,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
    2842,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   697,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   698,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,  2124,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,  2125,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
    2202,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,  2127,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  2128,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,  2129,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   695,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,   696,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   697,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   698,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,  1783,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,  1784,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,  1785,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,  1786,   326,     0,     0,     0,  1787,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,  1788,  1789,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,  1790,
     465,   466,   467,   468,   469,     0,  1791,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,  1792,
     499,     0,  1793,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
    1794,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
     696,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   697,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   698,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,   894,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   895,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,   765,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     3,     4,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,  2930,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
    2931,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,  2943,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  2944,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,   608,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   609,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,   725,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   726,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   727,   506,     0,     0,   728,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,   759,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   760,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   761,   506,     0,     0,   762,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
     765,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,   854,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   855,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,  1014,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
    1280,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,  1291,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   745,   254,   255,   256,  1292,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   748,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     749,   458,   459,   460,   461,   462,   463,   750,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,  1284,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   752,   506,     0,     0,
     753,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   754,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1402,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,   765,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,  1459,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1460,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,   725,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,  2733,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,  2734,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,  2735,   499,     0,   500,  2736,
     502,  2737,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,  2738,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,   617,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,  3961,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,  3975,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   711,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   723,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   745,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   746,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   747,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   748,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   749,   458,   459,
     460,   461,   462,   463,   750,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   751,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   752,   506,     0,     0,   753,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   754,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   776,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   879,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   887,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   905,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   965,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   971,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   988,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   991,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     993,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1028,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1088,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1090,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1100,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  1103,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1106,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     745,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   748,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   749,
     458,   459,   460,   461,   462,   463,   750,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,  1284,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   752,   506,     0,     0,   753,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   754,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1608,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,  1646,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    1648,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1718,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,  1720,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1722,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,  1817,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,  2077,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   745,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   748,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   749,   458,   459,   460,   461,   462,   463,   750,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
    1284,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,  2111,   501,   502,   503,   504,     0,   752,   506,
       0,     0,   753,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   754,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     745,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   748,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   749,
     458,   459,   460,   461,   462,   463,  2186,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,  2187,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   752,   506,     0,     0,  2188,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   754,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  2460,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,  2464,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    2533,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  2853,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   745,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   748,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   749,   458,   459,   460,   461,   462,
     463,   750,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,  2187,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     752,   506,     0,     0,  2188,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     754,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  2920,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  2933,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  2935,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  3070,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,  3095,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  4240,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,  1034,  1035,   257,     0,
     258,   259,   260,   261,     0,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,     0,
     316,   317,   318,     0,     0,   320,     0,   321,   322,  1039,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,     0,     0,     0,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,  2084,
     344,   345,   346,   347,   348,   349,     0,   350,   810,  2085,
     352,   353,   354,   355,  1041,  1042,     0,  1043,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,     0,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,     0,     0,   394,   395,   817,   396,
       0,     0,   398,  1046,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,  2087,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,     0,   424,     0,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,  2088,   478,   479,   821,   480,
     481,  1049,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1050,
    1051,     0,     0,   507,   508,     0,   510,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
       0,  1052,  2089,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
       0,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,  1034,  1035,   257,     0,
     258,   259,   260,   261,     0,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,     0,
     316,   317,   318,     0,     0,   320,     0,   321,   322,  1039,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,     0,     0,     0,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,     0,
     352,   353,   354,   355,  1041,  1042,     0,  1043,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,     0,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,     0,     0,   394,   395,   817,   396,
    2182,     0,   398,  1046,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,     0,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,     0,   424,     0,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,  2088,   478,   479,   821,   480,
     481,  1049,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,   497,   498,
    3801,   499,   822,   500,   501,   502,   503,   504,     0,  1050,
    1051,     0,     0,   507,   508,     0,   510,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
       0,  1052,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1031,   802,  1032,  1033,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,  1034,
    1035,   257,     0,   258,   259,   260,   261,     0,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,  1036,  1037,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,     0,   316,   317,   318,     0,     0,   320,     0,
     321,   322,  1039,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,     0,     0,     0,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,     0,   352,   353,   354,   355,  1041,  1042,     0,
    1043,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,     0,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1044,   816,  1045,   390,   391,   392,  2253,     0,   394,
     395,   817,   396,     0,     0,   398,  1046,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,     0,   818,   410,   819,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,     0,   424,
       0,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1047,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,  1048,   478,
     479,   821,   480,   481,  1049,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1050,  1051,     0,     0,   507,   508,     0,   510,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,     0,  1052,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,  1030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,   555,   556,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,     0,  1031,   802,
    1032,  1033,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,  1034,  1035,   257,     0,   258,   259,   260,   261,
       0,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,  1036,  1037,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,     0,   316,   317,   318,     0,
       0,   320,     0,   321,   322,  1039,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
       0,     0,     0,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,     0,   352,   353,   354,   355,
    1041,  1042,     0,  1043,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,     0,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1044,   816,  1045,   390,   391,   392,
    3616,     0,   394,   395,   817,   396,     0,     0,   398,  1046,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,     0,   818,   410,   819,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,     0,   424,     0,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1047,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,  1048,   478,   479,   821,   480,   481,  1049,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1050,  1051,     0,     0,   507,
     508,     0,   510,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,     0,  1052,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   554,   555,   556,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,  1034,  1035,   257,     0,   258,
     259,   260,   261,     0,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,     0,   316,
     317,   318,     0,     0,   320,     0,   321,   322,  1039,   324,
    5132,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,     0,     0,     0,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,     0,   352,
     353,   354,   355,  1041,  1042,     0,  1043,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,     0,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,     0,     0,   394,   395,   817,   396,     0,
       0,   398,  1046,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,     0,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,     0,   424,     0,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,  1048,   478,   479,   821,   480,   481,
    1049,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1050,  1051,
       0,     0,   507,   508,     0,   510,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,     0,
    1052,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,  1030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,     0,  1031,   802,  1032,  1033,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,  1034,  1035,
     257,     0,   258,   259,   260,   261,     0,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,  1036,  1037,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,  1038,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,     0,   316,   317,   318,     0,     0,   320,     0,   321,
     322,  1039,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,     0,     0,     0,   334,
       0,   335,   336,   337,   338,  1040,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,     0,   352,   353,   354,   355,  1041,  1042,     0,  1043,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,     0,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
    1044,   816,  1045,   390,   391,   392,     0,     0,   394,   395,
     817,   396,     0,     0,   398,  1046,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
       0,   818,   410,   819,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,     0,   424,     0,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1047,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,  1048,   478,   479,
     821,   480,   481,  1049,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     0,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,  1050,  1051,     0,     0,   507,   508,     0,   510,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,     0,  1052,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,  1030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   554,   555,   556,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,  1034,  1035,   257,     0,   258,   259,   260,   261,     0,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,     0,   316,   317,   318,     0,     0,
     320,     0,   321,   322,  1039,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,     0,
       0,     0,   334,     0,   335,   336,   337,   338,  1094,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,     0,   352,   353,   354,   355,  1041,
    1042,     0,  1043,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,     0,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,     0,
       0,   394,   395,   817,   396,     0,     0,   398,  1046,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,     0,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
       0,   424,     0,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
    1048,   478,   479,   821,   480,   481,  1049,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1050,  1051,     0,     0,   507,   508,
       0,   510,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,     0,  1052,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,     0,
    1031,   802,  1032,  1033,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,  1034,  1035,   257,     0,   258,   259,
     260,   261,     0,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
    1036,  1037,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,     0,   316,   317,
     318,     0,     0,   320,     0,   321,   322,  1039,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,     0,     0,     0,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,     0,   352,   353,
     354,   355,  1041,  1042,     0,  1043,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
       0,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1044,   816,  1045,   390,
     391,   392,     0,     0,   394,   395,   817,   396,     0,     0,
     398,  1046,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,     0,   818,   410,   819,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,     0,   424,     0,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1047,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,  1048,   478,   479,   821,   480,   481,  1049,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1050,  1051,     0,
       0,   507,   508,     0,   510,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,     0,  1052,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
     555,   556,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,     0,  1031,   802,  1032,  1033,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,  1034,  1035,   257,
       0,   258,   259,   260,   261,     0,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,  1036,  1037,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
       0,   316,   317,   318,     0,     0,   320,     0,   321,   322,
    1039,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,     0,     0,     0,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
       0,   352,   353,   354,   355,  1041,  1042,     0,  1043,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,     0,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1044,
     816,  1045,   390,   391,   392,     0,     0,   394,   395,   817,
     396,     0,     0,   398,  1046,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,     0,
     818,   410,   819,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,     0,   424,     0,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1047,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,  2088,   478,   479,   821,
     480,   481,  1049,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1050,  1051,     0,     0,   507,   508,     0,   510,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,     0,  1052,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   554,   555,   556,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,     0,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,     0,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,     0,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,     0,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,     0,     0,
     802,     0,     0,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,     0,     0,   257,     0,   258,   259,   260,
     261,     0,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,     0,   316,   317,   318,
       0,     0,   320,     0,   321,   322,     0,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,     0,     0,     0,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,     0,   352,   353,   354,
     355,     0,     0,     0,     0,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,     0,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   816,     0,   390,   391,
     392,     0,     0,   394,   395,   817,   396,     0,     0,   398,
       0,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,     0,   818,   410,   819,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,     0,   424,     0,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,     0,   478,   479,   821,   480,   481,     0,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,     0,     0,     0,     0,
     507,   508,     0,   510,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,     0,     0,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,  4800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   554,   555,
     556,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,     0,     0,     0,     0,     0,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,     0,     0,   257,     0,
     258,   259,   260,   261,     0,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,     0,
     316,   317,   318,     0,     0,   320,     0,   321,   322,     0,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,     0,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,     0,
     352,   353,   354,   355,     0,     0,     0,     0,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,     0,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,     0,     0,
       0,   390,   391,   392,     0,     0,   394,   395,     0,   396,
       0,     0,   398,     0,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,     0,     0,
     410,     0,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,     0,   424,     0,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,     0,   478,   479,     0,   480,
     481,     0,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,     0,
       0,     0,     0,   507,   508,     0,   510,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
       0,     0,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,     0,    50,   197,   618,   585,    25,
       0,   888,   202,  1116,  1501,  1138,    21,   794,   857,     7,
     744,    20,    27,   696,   697,   698,    14,    35,    43,   702,
     746,    44,   658,   202,  1048,  1078,   904,   180,  1388,   889,
    1311,  2400,   831,   775,  1908,   768,  2754,  1432,   188,   913,
    1425,  2252,   769,   664,  1562,  1051,  1341,    12,   618,  1642,
     994,   206,  2588,  2304,  1169,   641,  2924,  1036,  1037,    20,
    2897,  1844,  1437,   753,   219,   888,  3215,  1046,   654,  2413,
    1448,    22,  1432,   896,  2092,  2093,  3171,  3466,    17,  2794,
    1361,  2325,  2742,   906,    35,  2949,   576,  2951,  3190,  3401,
     968,  2564,  3509,  1823,   972,  3117,  3125,  3561,  2358,   977,
    2360,  2803,  2746,  3125,  2364,  3505,     0,  3202,  4039,   987,
     843,  3509,   653,  2373,  2374,  2375,  2744,  2745,   167,  3793,
     663,  3802,  1806,  1001,  4267,   182,  1911,  1867,   749,   182,
    3436,  2776,    34,  3780,  2794,  3736,  4372,  1655,   628,    41,
    4428,     0,  4270,  2677,     0,     0,  1427,  1740,     0,     0,
    1525,  1417,  1309,  1531,  1532,     0,     0,     0,     0,     0,
       0,     0,  4221,  3430,  1366,    49,  3790,    40,  3188,   841,
    2813,  4388,  3136,  4390,  3485,  1034,  1035,  4447,  3779,   749,
     791,   791,  4570,     5,   917,  4582,  1045,  3364,     9,   214,
       0,     0,  2403,    56,  3435,     9,  3437,     5,    56,     0,
      35,  4778,     5,    49,    11,     0,     0,    86,     9,  1366,
    4269,   111,     5,    42,    11,     5,  4486,    71,  2092,  1198,
    1199,     5,  1228,     0,    26,    26,    56,     5,    78,    13,
      14,  4719,     9,    40,     5,    13,    14,    22,     5,  1218,
       5,   105,   157,  2742,    42,     5,     5,  4492,  4493,    26,
     137,    26,   169,   983,     5,   132,     5,    56,    73,     5,
    4685,  4686,    13,    14,    71,     5,   144,  1116,  1067,   999,
      56,    39,   162,  2807,   162,   140,    80,   960,    65,     9,
     162,  3856,  3857,     5,  3859,  3860,  3861,   162,   162,   111,
       5,   162,  2899,   106,   163,  2794,    83,     5,    39,  2510,
       4,  2512,     3,     4,     5,     9,   264,   119,     9,   261,
      73,     4,     5,   104,   116,   261,     9,   143,   122,    56,
      83,     4,     5,   143,   188,  1380,     9,   249,  1187,  1188,
      29,     3,    56,   285,   267,    83,    56,   202,   118,   285,
     162,     4,   299,   113,    26,   130,     9,    27,  4516,   296,
     156,    33,   162,   162,   141,  1214,   332,   336,    30,    31,
      11,   162,   349,   111,   177,  5118,  1108,   162,   162,   152,
      56,   387,   159,    11,   157,   185,   185,   350,    26,   115,
      11,   154,    73,   255,   185,   162,   152,  1331,    22,    40,
     185,   185,    83,    90,    11,  1477,   198,   410,  4975,   387,
    1482,   306,    40,   389,    36,   158,   585,   272,   185,   410,
     111,  4459,  1620,   455,   319,   426,    26,  4805,   305,   429,
      71,   420,  1296,    33,   237,    26,   468,   240,   583,  4572,
    4647,  4701,    33,    71,   589,   162,  1644,   190,   208,   222,
     345,  1598,   389,  4571,   323,  1294,   432,   602,    20,    73,
    1299,  1300,  4500,   466,   470,    83,   222,   162,   637,   470,
     470,   324,     5,  1487,  1546,   466,   324,    73,  1550,   205,
     116,   168,   336,   113,    73,   248,   162,   125,  1099,   283,
     263,   251,   470,   470,   356,   432,   292,   466,   120,   161,
     466,   163,   414,   466,   324,  1116,   130,   263,  5251,  1085,
     104,   434,   203,   251,   212,  1247,   318,   185,   466,   466,
     297,   375,   376,   387,   466,  1248,   679,   680,   681,   199,
     466,   684,   685,   686,   225,   324,   352,   340,  3135,  1099,
     104,   694,   352,   204,   256,    56,   306,   402,   324,   565,
     342,  1822,   235,  1276,   104,   238,  1601,   425,   425,  1844,
     400,   466,  1173,   470,    29,   455,  1405,  1852,  1144,   568,
     568,   568,   568,   256,   349,   387,  1415,  3596,   568,  1155,
    5058,   143,   387,   256,  3596,  1118,   466,   381,  4746,   466,
    1403,   104,   470,  1864,  1170,   376,   415,   324,   470,   387,
    4878,   470,   618,   619,  4982,   470,  5173,   466,  3620,   470,
     324,   376,   466,  1173,   324,   373,   408,   470,  5033,   664,
     464,   419,   470,  1355,   468,  3927,   403,   415,  1496,   668,
     466,  1499,   321,   408,   387,   564,   366,   367,   431,  1910,
     410,   466,   373,   455,   447,  2846,   457,   458,  1461,  1488,
     470,   794,  1491,  1492,  3512,  1778,   468,  1507,  3954,   452,
     336,   465,  3747,   466,   663,   462,   457,   458,   466,   469,
     469,  4804,   677,   466,   679,   462,   681,  4795,   469,  4914,
    1291,   470,   687,   466,   469,   469,   466,   359,  1299,  1300,
     457,   458,   466,   708,   470,   711,  1560,  3789,   466,    22,
    1326,  1744,   469,   691,  3871,   466,   387,   662,  3965,   466,
     470,   466,  3969,   664,    26,   464,   466,   466,  4019,   468,
    5098,   737,  3953,  5110,  3955,   466,   431,   466,  1875,   745,
     466,  1291,   748,   749,   750,  1574,   783,   457,   458,   930,
     783,  1710,  1785,   470,   934,   421,   466,   452,  1349,  1349,
    4315,  1794,   346,   470,   769,  1475,   470,  4678,   420,   359,
     470,   466,  1424,   457,   458,   934,   457,   458,   359,   387,
     332,   466,   408,   387,   457,   458,   429,  3427,     3,   919,
    3430,  5041,   412,   798,   457,   458,   785,   785,   785,   785,
     352,   387,  3033,   144,  5054,   785,   116,  1517,   387,   452,
     104,  5179,   470,  5010,   457,   458,  2171,   130,  2816,   470,
    2818,  4265,   376,   324,   164,  3769,  2201,  3451,   459,   460,
     461,   462,   773,   165,  3834,   840,   376,   285,  3162,   457,
     458,   459,   460,   461,   462,   272,  1685,  1686,   459,   460,
     461,   462,   249,  4976,     5,     3,   173,     5,  3706,  3099,
     457,   458,   459,   460,   461,   462,   321,    82,  5236,  3509,
    4978,    26,   266,   376,  3497,    24,  3693,   332,   162,   334,
     296,   111,    47,  1593,  2647,  2648,     5,   310,   198,  2652,
    2744,  2745,  2746,  2248,   747,    69,    45,   162,   751,  5149,
     349,  1468,    65,   237,   140,   349,   272,    32,   376,  3100,
    3101,   785,   776,   164,   281,  5183,  5184,  4956,   410,   134,
     329,    76,  2104,  3336,    22,     3,  2689,  2690,   268,    84,
      28,   106,    22,   163,   159,     8,     5,   392,  4977,   152,
     163,    22,    15,    16,    17,  2191,   785,    28,  3427,   785,
     785,  3430,  3365,   785,   785,   173,  1678,   112,   106,   833,
     785,   785,   785,   785,   785,   785,   785,  2104,   281,  3483,
      34,   105,   104,   389,   466,  2452,  1119,  5100,   141,  1122,
    4561,  1124,   349,  1126,  3215,  1128,   222,   289,  1651,  1132,
    5206,  5099,  4370,    56,    90,  3620,   159,  3814,   466,   422,
     409,   342,   177,  5271,    82,   318,   340,   285,   266,   222,
     892,   893,   344,   228,   110,   180,   432,   268,   466,   144,
     185,   470,   252,   178,  2117,     3,   470,  4424,   368,   177,
    3509,   249,   130,  4411,   189,   376,   349,  4329,  2758,  2804,
     130,    80,   344,   470,   261,   377,  4424,   111,   144,   130,
     199,   448,   270,   111,   188,  5178,   221,   135,    22,   116,
      24,   284,   237,  3758,    28,   240,   281,  4431,   285,    33,
      34,    35,   466,    37,    80,   416,    40,    41,   380,    43,
     382,    45,   376,   122,  2088,  1791,  1792,  4373,   429,   237,
     264,   376,   240,  1099,  1013,  2232,    65,   414,   408,  1821,
     413,  1823,  2467,   387,   470,   256,   266,  1829,  2772,    22,
    1116,   452,   190,  1835,  1836,  1837,   122,   249,  3758,  3117,
    2257,   164,   387,  1845,  1846,   466,     3,  3125,  1850,  1118,
    4377,  1747,   355,   111,   297,  4382,  4763,   256,  4385,   280,
     116,   198,   111,  1121,  1150,  1123,    23,  1125,  1861,  1127,
    1716,  1129,  1130,  1131,  1755,  4816,    80,  4286,  1136,  4813,
    4524,   116,  1728,  1684,   379,   340,   381,  1173,  1784,  2306,
    4797,   455,  1788,  1739,  1790,   130,   111,  1793,  4260,  4254,
     410,  4762,    22,   281,   468,  4033,   249,   256,   466,   354,
      80,   281,   340,  5104,  5105,   268,   414,   166,   122,  4803,
     281,   234,   336,  1673,  4582,    82,   464,   173,   272,   287,
     468,   252,  1247,   368,  3212,  4796,  1737,   130,   314,   113,
     318,   279,   198,   142,   188,   189,   190,   191,   318,   193,
    4074,  1754,   122,   197,   171,   199,   303,   318,   202,   281,
     403,   375,   376,  1249,   283,   209,   342,   211,   211,   466,
     214,   349,  1258,   167,   218,   157,   220,  2394,   135,   349,
     272,   324,     8,    26,   167,    11,  1272,   186,   349,    15,
      16,    17,   447,   251,   334,  1842,   318,   283,   256,  3758,
     376,    38,   251,   249,   342,  1291,   349,   256,  1294,  1295,
     130,   334,  1321,  1299,  1300,    49,  4676,  1334,  1335,   447,
    1337,  1334,  1335,   125,  1337,   127,   113,   349,   185,  1468,
     380,   225,   382,   190,   208,  4679,   251,  4609,   376,   318,
     416,   318,   225,   401,  4688,  3965,   157,  5238,   297,  3969,
     123,   409,   392,   429,   412,  4017,   231,   168,   395,   294,
     133,   115,   381,   312,   111,   318,  1351,   390,   102,   375,
     349,   408,    57,   396,   185,  4799,   452,   251,   416,   283,
      65,   111,   125,  3987,  2070,   389,   342,   408,   281,  3993,
     466,   429,  2647,  2648,  3982,   381,   349,  2652,   231,  4983,
     453,   454,   455,   409,   457,   458,   459,   460,   461,   462,
     387,   455,   329,   283,   452,   261,  4643,  2200,  3851,   466,
     464,   336,   466,   467,   468,   318,   470,   310,   466,  2276,
     287,  4703,   306,   185,  2689,  2690,  4708,  4709,   320,   285,
     114,   125,   173,   127,   466,   125,   183,   127,   178,   251,
     270,   205,   408,   210,   403,   280,   349,   466,    85,   261,
    3680,   336,   387,   197,  3684,  3685,   150,  3687,   414,   256,
     150,  2280,   329,  4462,   164,   467,   332,   381,   470,  2288,
    4462,   177,  2291,  4841,   358,   125,   380,   127,   382,  1713,
      62,    63,   249,  2276,  2507,  4872,   210,   380,  4560,   382,
     127,  1400,   322,   323,   379,   195,  3965,   181,   281,   256,
    3969,   381,   406,  3724,  4872,   249,   327,   374,   249,  1505,
     376,   251,  5106,   406,   349,  1511,  2309,  5111,    22,   349,
     455,   406,  4881,  4882,    28,   249,  2117,  1522,    82,   422,
     225,   237,   268,   468,   401,   318,   379,   280,  3759,   306,
     281,  2668,   409,  1714,   429,   412,   431,  2674,  1668,  2342,
    3017,   113,   272,  1787,  3768,  1725,   318,   251,   114,  2914,
     322,   113,   256,   406,  2261,  2262,   256,   261,  2265,   123,
     280,   261,   332,   103,     0,  1724,  1725,   318,    21,   133,
    2271,   466,   469,  5177,    27,   352,   429,   349,   431,   334,
    3343,  3344,  3345,  3346,   338,   157,  3349,  3350,  3351,  3352,
    3353,  3354,  3355,  3356,  3357,  3358,   349,  3451,  3596,   563,
     466,   261,  4980,  1477,  4548,   569,  3316,   571,  1482,   339,
     574,  2321,   576,   466,   578,   181,   130,   167,   352,  1625,
     192,   585,  3620,  1629,   340,   281,   590,   323,   592,   349,
     192,   408,  2198,  5237,  3825,   599,  3827,   392,   408,  2340,
    2110,   470,  3405,  3406,   270,   157,   252,   253,    91,    91,
      11,   113,   310,   349,   281,   281,   332,   429,   299,   623,
     281,   152,   318,   414,   628,  5269,   157,   179,  5272,   633,
    4518,   392,  1546,   637,   408,   225,  1550,   249,   165,   251,
     452,   114,  3037,  1842,   234,   343,  3259,   249,   364,   251,
     394,   318,   318,   657,   394,   235,   154,   318,   238,  2409,
     404,  2408,  4777,   332,   404,   334,  2428,   453,   454,   455,
      71,   457,   458,   459,   460,   461,   462,   281,   376,   305,
     163,   163,  2432,  2433,  2434,  2435,   260,  2556,   349,  4811,
    4370,   222,  5110,    73,  2444,   342,   342,  4377,  2851,   332,
     333,   322,  4382,    83,   708,  4385,   208,   333,   181,   253,
     314,   194,   194,   188,   318,   251,   214,   721,  2480,   723,
     256,   231,   197,   392,   422,  1754,   209,   209,   349,   376,
     376,  4411,   263,   322,  5143,   212,   219,   219,  4595,   743,
     744,   103,   746,   747,  4424,   349,  1764,   751,  1766,   251,
    1768,    29,  1770,  4309,  1772,   421,  1801,  2267,  1776,  2462,
     349,   765,   245,   245,  5182,   769,   422,   247,   304,   416,
     416,   775,   429,  4044,  1755,    53,  1814,  1806,  1806,  1806,
    1806,   310,   786,   429,   266,   265,  1806,   163,  1834,   231,
     380,  4775,   382,   342,   798,   140,   158,  3195,   342,   429,
    3198,  4689,  2766,   320,   306,   339,   452,   152,  4792,   231,
     337,  4695,   157,   470,   343,   429,   406,   344,   194,   466,
     466,  4990,   452,  4054,  4055,  2824,   336,   376,   190,   162,
    2471,  4220,   376,   209,    43,   464,   840,   466,    73,   468,
     470,   281,  1813,   219,  4828,   328,   328,   376,    83,   236,
     377,  4370,   185,  4591,   858,    64,   470,   202,  4377,   863,
     864,  1820,  4418,  4382,  4420,    35,  4385,   416,   429,   379,
    4259,   398,   416,   235,  4989,  4239,   238,   222,   318,  1925,
     429,  2471,   322,  2524,    54,   429,   392,  2649,   892,   893,
    2759,   452,  4411,   422,   336,  4076,   406,  2553,   466,  2661,
     468,  4082,  4582,   452,  4184,  4424,  4186,  4187,   452,   349,
    4190,   231,   429,  3716,   336,   919,    11,   466,   263,   429,
     431,   431,   466,   467,   281,   469,   930,   272,   410,   281,
     934,  2693,   157,   103,  2524,   452,  2157,   379,    24,  2159,
    4211,   452,   281,   466,  2751,    40,   431,  3124,   952,   162,
     429,   281,   328,   470,   179,   466,   466,   379,   392,    45,
    2159,   318,   314,  4643,   406,    65,   318,   452,  4825,  2731,
     974,    71,   185,   452,  4958,  3513,    71,   981,   982,   318,
    2150,   466,   157,    83,   406,   431,     4,   429,   318,   431,
     464,     9,   349,  3170,   468,  2814,  4884,   349,   320,  1003,
    1004,  1005,    21,  1007,   179,  1009,   452,   429,    27,   431,
     349,   111,   339,   113,  2049,  4286,   336,   187,   234,   349,
    2900,     4,  2197,  3176,   466,    87,     9,   266,  3343,  3344,
    3345,  3346,   271,  3186,  3349,  3350,  3351,  3352,  3353,  3354,
    3355,  3356,  3357,  3358,   466,  2925,  2756,  2075,  4783,     5,
    3567,   465,  2033,   884,    10,   231,   470,   402,  2901,   379,
     234,  3376,    18,  4582,   266,   235,   166,   231,   238,   271,
     901,  2117,   467,   904,  1078,   470,  1080,  1081,   188,   249,
      36,  2119,  2117,  2121,  3385,   380,   406,   382,  3982,   236,
    3405,  3406,   192,  3987,   179,  2270,   571,   465,  2705,  3993,
      13,    14,   470,  4783,  1108,   332,   333,    35,  5092,   429,
     280,   431,  2660,   467,  2662,  2663,   470,   467,  2759,   464,
     470,   392,   467,   468,  4643,  2170,    54,  5242,  1854,    79,
     422,  1857,  2975,  4871,  1138,  1139,   339,   140,   461,  1143,
    2186,  1145,    53,   466,  3559,   468,   466,  5035,   623,   152,
    3545,   251,  4423,   323,   157,   212,   256,  3770,   633,  4430,
     336,  4841,  1166,  3298,  2339,  1169,   466,  3565,  1172,  3567,
       9,   467,   336,   343,   470,   103,   467,   467,    83,   470,
     470,  1185,   466,   266,   677,  2841,   679,  5171,   681,   470,
     336,  3492,  4872,   363,   687,   688,   689,   297,   464,   202,
     466,  3378,   466,   379,  3168,  3600,    53,  3233,  3234,    35,
     467,  1215,   312,   470,   422,   379,  2261,  2262,    43,   222,
    2265,   231,   467,  4503,   420,   470,   467,  2868,    54,   470,
     406,  3129,  2838,  2839,     8,   467,   208,    11,   470,  1243,
    1244,  1245,   406,  1247,   461,   449,   468,  5231,  3117,   466,
     429,   468,   431,   429,  3792,   431,  3125,   269,   269,   187,
     263,   266,   167,  1267,  4783,   429,    40,   431,   467,   272,
     387,   470,   467,    47,   157,   470,   467,   103,  2868,   470,
     429,   467,   431,   188,   470,     8,  2332,   266,    11,   466,
     466,   468,    15,    16,    17,   467,   467,    71,   470,   470,
    4980,  1305,   466,   403,  1308,   449,   269,   235,  4539,  2355,
     238,    43,  2358,   467,  2360,   449,   470,  4734,  2364,  4736,
     225,   249,  4841,  4740,   459,  4742,   336,  2373,  2374,  2375,
     467,   208,  1336,   470,  5222,   467,  1340,  1341,   470,   467,
     166,   467,   470,   467,   470,   161,   470,  1351,  1352,  1353,
     470,  1355,   280,  4872,   466,    53,   467,  3510,  3511,   470,
     467,   187,   467,  2408,   857,   470,   271,   204,   467,   379,
    4787,   470,  3122,  1377,   467,   467,   467,  2598,   470,   470,
     467,   162,   429,   470,   431,  2431,   467,  2993,   140,   470,
    3795,  4285,  2496,  2497,  2498,   323,   406,  3777,   466,   402,
     152,  3716,  3008,  5141,   467,   157,   180,   470,  1412,   235,
     466,   185,   238,  1417,   380,   343,   382,  2463,  3595,   429,
    3597,   431,  2592,   249,  4462,  2471,  2454,  1431,  1432,  2414,
    5110,   380,   468,   382,   140,   363,  1440,   467,  3307,  1443,
     470,   467,  3619,   469,   919,   467,   152,   221,   470,  5187,
     202,   157,  3155,   433,   280,   930,   466,   466,   466,  3636,
     467,  4980,   185,   470,  1468,   467,  1470,   318,   470,   467,
     222,   467,   470,   185,   470,   380,  5032,   382,  2524,  1483,
       3,   467,  1486,   206,   470,   467,   467,   392,   470,   470,
    3131,   467,  3133,   469,   268,  3494,   202,   323,   403,   145,
       8,   406,  5182,    11,   466,   145,  2705,    15,    16,    17,
     467,   263,   467,   470,   468,   470,   222,   343,  1522,   788,
     272,   790,  4325,   467,    32,   467,   470,   266,   470,  1533,
    1534,  1535,  1536,  1537,  1009,  3282,  3970,   363,  3972,   467,
    3146,  3131,  3148,  3133,   185,   268,  4584,  1551,  5286,   467,
     467,   467,   470,   470,   470,   266,   318,   263,  1562,    82,
    1564,  3455,   145,   185,   467,   467,   272,   470,   470,   145,
    3211,  4088,  1576,  1577,  2649,   467,  3338,  2776,   470,   467,
     354,   467,   470,   467,   470,   157,   470,    30,    31,   467,
     318,  5110,   470,  1597,   467,     8,   467,   470,    11,   470,
     467,   467,     0,   470,   470,   467,   467,   266,   470,   470,
    3372,   134,  1616,   467,   467,  3271,   470,   470,  2693,   145,
     220,  3211,    20,  1116,   113,   410,   236,    40,  1632,  1633,
    1634,  1635,   266,   467,    47,   198,   470,   466,  3445,  3446,
    3447,  1645,  3957,   206,   392,   260,   467,    90,  1652,   470,
     402,  1655,    50,   422,   157,  3417,   219,  4072,    71,   467,
     339,  1665,   470,  5182,  1668,   212,   467,   110,  3566,  1673,
     467,    65,   467,   470,  1678,   470,   450,   467,   467,   466,
     470,   470,  3983,   457,   458,   459,   460,   461,   462,  3442,
     251,  3297,    35,  2736,  2737,  2738,   402,   467,   206,   251,
     470,   144,  5091,   467,   467,   228,   470,   470,   467,  1713,
    1714,   470,  4013,  2759,   467,   433,   466,   470,  3537,  4990,
    1724,  1725,   266,  2798,   157,   138,   467,  3596,    43,   470,
     453,   454,   455,   251,   457,   458,   459,   460,   461,   462,
    1744,  1745,    43,  2772,  2772,  2772,  2772,  1751,   397,  1753,
     467,  3620,  2772,   470,   467,   251,   251,   470,   281,   231,
     268,    82,   467,   467,   281,   470,   470,   180,   467,   422,
     467,   470,   185,   470,  1778,   467,   467,   467,   470,   470,
     470,  1785,   467,  1787,   182,   470,   467,  1791,  1792,   470,
    1794,   467,  3690,  3673,   470,   318,   422,  1801,    79,   322,
     467,  1294,   157,   470,  1808,  4608,  1299,  1300,   221,  1813,
    1814,   145,   300,  1817,   145,   466,   145,  1821,   419,  1823,
     293,   466,  2868,   466,  1828,  1829,   349,   231,   145,    22,
      34,  1835,  1836,  1837,   466,    28,   433,  1841,  1842,  1843,
    1844,  1845,  1846,  1847,  1848,   145,  1850,   145,  1852,  1853,
     470,   279,  1856,   145,   145,   268,   379,   145,   381,   145,
     157,   145,   145,   145,   336,   145,   145,  1871,  1872,  1873,
    1874,   314,   376,  3917,  1878,  1879,    69,   266,   466,  1883,
      35,   220,  1886,   157,   157,  1889,  1890,  1891,  1892,  1893,
    1894,  1895,  1896,  1897,   266,  1899,   466,     5,     5,   342,
     466,  1905,  1906,   157,  1908,     5,   429,   379,   466,  2955,
     466,  1915,  1405,   466,   342,   466,   466,   466,  3117,     5,
     466,   466,  1415,  4817,   466,   466,  3125,   466,   466,   466,
     123,   466,   336,   376,   406,     5,   466,   130,     5,   466,
     133,   354,   466,   430,   466,   453,   454,   455,   376,   457,
     458,   459,   460,   461,   462,   466,   466,   429,   277,   431,
    3006,   466,  1455,  1456,   466,   158,   466,   466,   466,   466,
    3839,   204,    35,   416,    94,   379,   470,   420,   470,   220,
      35,   157,   157,   349,     8,   263,   429,    11,   416,   261,
     387,    15,    16,    17,   466,  1488,   387,   190,  1491,  1492,
     336,   429,   406,   387,   421,   387,   336,   468,    32,   452,
    4325,   387,    49,   387,   336,   222,   387,   387,   455,  4334,
     583,    83,  3068,   466,   452,   429,   589,   431,  2032,   387,
    2034,   336,  2036,   145,   266,   266,   217,   450,   466,   602,
     387,  4844,   341,   387,   457,   458,   459,   460,   461,   462,
     256,   379,   387,  3099,   266,    92,   249,   409,   251,   261,
     466,   266,   466,   332,   387,  3111,  2070,   387,   261,   178,
     466,  3117,    83,  2077,   185,  2079,  4229,   270,   470,  3125,
     117,  1574,   281,   410,   145,  3131,   410,  3133,   281,   376,
     105,   387,   387,   387,   387,    53,    53,   134,   387,   376,
     242,   138,   387,   270,    42,   303,  2110,   336,   285,   379,
      42,   387,   387,   285,   336,  2119,   387,  2121,   206,   387,
     387,   158,   387,   387,   161,   318,   387,   387,   321,   322,
     387,   387,   470,  3179,  2138,  3741,  3742,   387,   175,   266,
     206,   206,  3904,   433,   266,   266,  2150,   206,  2152,  2153,
     266,   387,   206,  2157,   206,  2159,   349,  2161,   206,  2163,
     397,    35,   466,  2167,  3210,  3211,  2170,   429,   145,    24,
     568,   266,   145,  3201,   251,   111,   410,   429,   145,  3835,
    3836,  3837,   206,   145,   145,   266,  4566,  2191,   228,  1682,
    1665,   421,   261,  1668,   251,  3223,    35,  2201,   251,  1692,
     251,  1694,   157,   466,    35,  2209,   212,  1700,   338,    34,
     145,  4080,  2216,   466,  1707,   385,   385,   464,   464,   256,
     413,  2225,   387,   387,   387,   387,   466,   264,   145,   145,
     410,   410,   145,   145,   260,   387,   255,  3282,  1713,  1714,
    3413,   162,  2246,   425,   268,   466,   242,  2251,  2252,   242,
      11,   470,   385,   466,  4008,   466,   387,  2261,  2262,   153,
     171,  2265,   162,  2267,  2268,   663,   664,   304,   471,   470,
     389,   467,     8,   178,   178,    11,   466,   202,   470,    15,
      16,    17,  2286,   210,   352,  2289,   267,   470,    35,   274,
      53,   336,   410,  4608,   467,   466,    32,   410,   387,   236,
     210,   210,   256,   256,    40,   387,  2310,  2311,   387,   466,
     339,    47,  1787,   157,   392,   212,   422,   256,  4633,   147,
     266,  2325,    43,  2327,  2328,   358,   147,   251,   220,   220,
     220,  4508,   332,   264,   470,    71,  3411,   387,  1831,  1832,
     379,  3387,   318,   266,   266,  1838,  1839,   179,   346,   387,
     306,   387,    35,  2357,   206,  3430,   212,   302,   264,   188,
     145,  2365,  2366,   410,   410,   455,   261,   157,  2372,    35,
     455,   159,   377,  1866,   303,   261,  3419,  3420,  3421,  3422,
    2384,   422,  2386,   466,   261,   783,   346,   785,   145,   145,
     466,   145,   251,  4000,   429,    35,  2400,  3596,   251,  2403,
     266,  2405,   266,   212,  2408,   176,  5209,  5210,  2412,   176,
      35,  2415,   157,   240,   340,   449,   212,   449,   467,   157,
     464,  3620,    23,  2427,  2428,   467,   346,   251,   266,   453,
     454,   455,   185,   457,   458,   459,   460,   461,   462,   467,
     467,  2445,   467,   185,   180,   185,   433,   470,   470,   185,
     470,  2455,     8,  2457,   169,    11,   466,   387,   162,    15,
      16,    17,   239,  4069,   429,   266,   470,    53,   376,   260,
     206,   207,     8,   392,   422,    11,  2480,   212,   467,    15,
      16,    17,  4244,   467,   467,   221,   162,   467,   467,   467,
     277,   286,   467,   467,   466,   162,    32,   449,  4154,  4155,
     470,  4157,   466,  2507,   467,  2509,  2510,  2511,  2512,  4212,
     276,   387,     8,   230,   416,    11,   467,   467,   254,    15,
      16,    17,   466,   466,   466,   466,   408,   426,   426,  4844,
      53,   188,   268,   467,   266,   271,    32,   451,   266,  4145,
     455,  2545,   269,   266,   387,   145,   433,   387,   466,   196,
    3596,   387,   387,   256,   251,   145,  2049,  5074,   270,   466,
     341,   145,   145,   341,   220,   341,   188,   147,   387,   410,
     455,   222,   387,   287,  3620,   387,   287,   470,  2582,   157,
     387,  3627,   387,   232,  3630,  4392,  3632,   407,  2592,   232,
     232,  3626,  4399,  4462,  2598,   387,   266,   336,  4731,   336,
     349,   387,   336,   387,   387,   387,   336,  2611,   387,    42,
     251,   145,   387,   387,  4512,  2619,   173,   387,   354,   387,
    2624,   206,     3,   470,  2117,   206,  3672,   206,   397,   206,
     467,  4237,     3,   467,  3680,   157,    43,   104,  3684,  3685,
     320,  3687,   157,  2647,  2648,  2649,  3692,   470,  2652,  4722,
     206,  4724,   264,   467,   467,   466,  2660,  2661,  2662,  2663,
     266,    35,   145,   387,   145,   157,   173,   465,   465,  2673,
     206,   145,  2676,   467,  2678,  2150,   336,   410,   336,   410,
     269,   336,  2157,   346,   143,  2689,  2690,   143,   206,  2693,
     470,   464,   206,   206,   206,   206,   206,   136,  5013,   162,
      11,  2705,   277,  2707,   157,  2709,   470,  2711,   467,   467,
     206,   421,   268,   162,   450,   467,   467,   453,   454,   455,
    1118,   457,   458,   459,   460,   461,   462,  2731,   272,   470,
     426,  2735,   268,   162,   470,   171,   452,   466,  2742,   465,
    2744,  2745,  2746,  4920,   466,  3791,   267,   467,   466,   325,
     415,   470,    81,   397,   467,   157,    35,   466,  2762,  3787,
     467,     8,   467,   387,    11,   410,   212,    53,   196,  2773,
     379,   410,   268,   145,  2778,   466,   166,  4930,  4931,   397,
    2784,   341,   387,  1181,   387,   387,   336,  2280,   387,  4922,
    2794,  4537,   387,    40,  2798,  2288,   336,  2801,  2291,  2803,
      47,  4000,   318,  1201,    53,   467,   467,   379,   467,  3855,
    3856,  3857,  5127,  3859,  3860,  3861,   466,   157,  4425,   429,
     416,  4628,   147,    71,    71,   145,   104,   397,   206,   467,
     206,   206,   466,   206,  1232,   301,   191,  5014,   466,   387,
    2844,   210,  2846,   266,   470,   433,   467,  2851,   313,  1247,
     470,  4613,     8,    35,   285,    11,    77,  4463,   466,    15,
      16,    17,  4731,   470,   397,   168,  4473,   387,   346,   466,
     379,   104,   470,   467,  2878,   162,  2880,  2881,  2882,    35,
     206,   162,    53,   465,   311,   427,   427,   209,   277,   275,
     209,   138,  4654,   467,  5209,  5210,   467,   453,   454,   455,
     466,   457,   458,   459,   460,   461,   462,   470,   467,   467,
     378,   466,   466,  5066,   467,   466,   273,   453,   454,   455,
      53,   457,   458,   459,   460,   461,   462,   261,   174,   467,
     467,   455,   467,   180,   162,   397,  1334,  1335,   185,  1337,
     387,  1025,   429,    71,   179,   190,   256,   256,    53,  3995,
     455,  3997,   387,   379,    65,   387,   145,   453,   454,   455,
     466,   457,   458,   459,   460,   461,   462,   470,   470,  1053,
     387,   164,   206,   111,   221,   162,    35,   185,   261,   346,
    4636,   466,  4010,  4011,  1547,   410,   410,  2991,    35,  1073,
     251,  4647,   159,  4031,   157,   346,   261,    53,    35,  1083,
    2493,  2494,   162,   266,   157,  1089,  2499,   429,   429,   466,
     193,  1095,   269,   204,   162,   466,   466,  1101,   311,   415,
    1104,   268,   467,     8,   362,  5158,    11,   467,   466,   285,
      15,    16,    17,   209,   428,  4942,   466,    83,   126,   266,
     312,   387,    35,   145,   387,   157,   466,   466,     8,  4084,
     206,    11,   467,   467,   466,    40,   466,  5234,   466,  1622,
     466,   118,    47,  2556,    35,   178,   256,  1630,   233,   188,
    4726,   301,   346,   466,   466,   145,  4838,   104,   131,  1642,
      40,   425,   467,    35,   467,   270,    71,    47,   467,   333,
    4731,  3095,   333,  4855,   360,   397,  3100,  3101,  4860,    53,
    4862,   360,    53,    35,    74,   466,  5283,   354,   466,   415,
     466,    71,   268,   467,   466,   379,   178,  2592,   467,   466,
     470,  5298,   410,  2598,   157,   379,   249,   466,  4174,  4175,
     266,   467,     5,  3137,  3138,  3139,   379,   151,  4184,   433,
    4186,  4187,   466,   144,  4190,   466,    65,   269,    65,   126,
    3154,   466,   429,   429,  1717,   415,   414,   311,     8,   466,
      35,    11,   470,   349,   162,   379,   309,   256,   131,   190,
     266,   426,  3176,  3177,   266,   466,   346,  1740,   138,    35,
    4883,    35,  3186,  3187,  3188,   301,   269,   269,  3192,   164,
      40,   466,   164,    53,   467,   180,  4852,    47,   466,   470,
     185,  3205,   332,   450,  4250,   467,   387,   116,   408,     5,
     457,   458,   459,   460,   461,   462,   466,   346,   332,   273,
     180,    71,   319,    21,   466,   185,  4425,   467,  4256,   466,
      32,   470,   470,   256,   629,   466,   221,   144,  4284,   162,
     387,    74,   360,   301,   466,   360,   164,  1549,   164,   429,
     429,  4472,  2412,  4473,   785,  2759,   849,   893,   653,  3263,
     892,   221,  2925,  4462,  2757,  2309,  2759,  2742,  2241,  4315,
    1300,  5225,  3595,  4880,  4473,  3569,  5056,  3115,  3282,  2334,
    3692,  4922,  4744,   268,  4920,  5158,  3739,  4566,   138,  4202,
    4536,  2545,  2845,  4514,  3298,  5039,  4424,   453,   454,   455,
    5147,   457,   458,   459,   460,   461,   462,  4950,   268,  4949,
    5076,  5182,  2849,  3788,  3318,  3772,  4889,  3730,  2397,  2794,
    2397,  3590,  2950,  3327,  3166,   889,  3755,  4238,  4543,  3333,
     180,  3335,  2391,  3178,  3338,   185,  4552,  5160,  5298,  3343,
    3344,  3345,  3346,  5283,  4529,  3349,  3350,  3351,  3352,  3353,
    3354,  3355,  3356,  3357,  3358,  3124,  1754,  3119,  3362,  3363,
    5089,  4475,  1611,  4706,  4898,  4478,    27,  4675,  3372,   354,
    3842,   221,  3376,  1145,  2093,  3795,  3380,  4817,  2823,  1724,
    1809,   651,  1809,   619,  3388,  1810,  4404,  3391,  3619,  3393,
    3069,  1156,  3170,   962,   354,  3636,  5115,  5274,  3402,  1665,
     764,  3405,  3406,  2033,  1755,  2034,  3410,  3411,  1806,  3775,
    4407,  3415,  4012,  3417,  5031,  1384,  4462,  3489,   268,  1277,
    3424,  3425,  3426,  3427,     0,  2773,  3430,  3431,  2784,  1325,
    2779,  3435,  3436,  3437,  2073,  3454,  5023,  4864,  3996,  3443,
    3430,  1344,  1343,  3954,  2072,  3449,  3450,  3451,  3971,  4644,
    4841,  3427,  4840,  3427,  3490,  5131,  5278,  4503,  1346,  5013,
    4611,  5213,  1351,  1689,  5026,   450,  3380,  4401,   453,   454,
     455,  3475,   457,   458,   459,   460,   461,   462,  5027,  5006,
    1903,  2710,  1880,  2762,  2620,  3489,  1906,  3491,  2708,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,   459,
     460,   461,   462,    -1,   354,  3509,  3510,  3511,    -1,  3513,
      -1,    -1,    -1,  4541,    90,    -1,    -1,  5158,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3530,  3531,  3532,  3533,
      -1,   926,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,
      -1,    -1,  2105,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,  4579,    -1,    -1,   949,  3559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,   964,
      -1,    55,  2135,  3577,    -1,    -1,   152,    -1,    -1,  4654,
      -1,   157,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,
      -1,     8,   168,    -1,    11,   171,    -1,    -1,   174,    -1,
     450,    -1,    -1,    -1,    -1,    89,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,  2179,    -1,    -1,    -1,
      -1,    -1,    -1,    40,  3117,    -1,   202,    -1,    -1,    -1,
      47,    -1,  3125,    -1,  2197,  1719,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1727,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,  3149,    -1,    -1,  1743,
      -1,    -1,    -1,    -1,   148,  3669,  2229,    -1,    -1,    -1,
      -1,    -1,  4718,  4719,    -1,    -1,    -1,  2075,    -1,    -1,
      -1,  4880,    -1,    -1,    -1,  4731,    -1,   263,    -1,  4735,
     266,    -1,  2255,    -1,    -1,    -1,   272,    -1,   182,  4745,
    2263,    -1,    -1,    -1,  3708,    -1,    -1,  2270,  3712,    -1,
    3714,  2274,  3716,    -1,    -1,    -1,    -1,    -1,    -1,  3723,
      -1,   138,    -1,    -1,    -1,  3729,    -1,    -1,    -1,    -1,
      -1,  2294,    -1,   217,    -1,  3739,  2299,  3230,    -1,    -1,
    2303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,
    3754,    -1,    -1,  2316,  3758,    -1,    -1,    -1,  1153,    -1,
      -1,    -1,    -1,   180,  3768,  4793,  2329,   251,   185,    -1,
      -1,    -1,    -1,  3777,    -1,    -1,  2339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,  3792,    -1,
      -1,    -1,  3796,  3797,    -1,    -1,    -1,    -1,   282,    -1,
     376,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3307,    -1,    -1,    -1,    -1,    -1,
      -1,  3825,    -1,  3827,  5045,    -1,   402,    -1,    -1,    -1,
    3834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
     324,  4869,   326,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     426,   268,   428,   429,    -1,    -1,    -1,   341,    -1,  3863,
      -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,
    3874,    -1,    -1,    -1,    -1,    -1,  4922,   361,    -1,    -1,
    4926,    -1,  4928,    -1,    -1,   369,  4932,  4933,   464,    -1,
      -1,   467,   468,   469,    -1,  5116,  5117,    -1,    -1,    -1,
    3904,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
    3914,  3915,    -1,    -1,    -1,    -1,    -1,  3921,  3922,    -1,
      -1,    -1,  3926,    -1,    54,    -1,    -1,  3931,    55,    -1,
    3934,  3935,    -1,    -1,    -1,  3939,  3940,   354,    -1,    -1,
     424,  3945,  3946,  3947,  3948,  3949,    -1,  2031,    -1,  3953,
    3954,  3955,  3427,  3957,  3958,  3430,    -1,  3961,    -1,    -1,
      -1,  3965,    89,     8,    -1,  3969,    11,    -1,    -1,    -1,
      -1,  3975,    -1,   103,   104,    -1,    -1,    -1,  3982,    -1,
      -1,   111,    -1,  3987,    -1,    -1,    -1,    -1,    -1,  3993,
      -1,    -1,   119,    -1,    -1,    40,  4000,    -1,    -1,  2562,
      -1,    -1,    47,    -1,  4008,    -1,    -1,    -1,  4012,    -1,
    5056,     8,  5058,  4017,    11,    -1,    -1,  2580,    15,    16,
      17,   148,    -1,    -1,    -1,  2588,    71,  4031,    -1,    -1,
    4034,    -1,    -1,   450,  3509,    -1,   166,    -1,    -1,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
    4054,  4055,    -1,    -1,    -1,   182,  2454,   187,    -1,    -1,
      -1,    -1,  5090,    -1,    -1,    -1,    -1,    -1,  4072,  1464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,  5300,
      -1,  4085,    -1,    -1,    -1,    -1,  5115,  5115,  5115,  5115,
     217,    -1,    -1,   138,    -1,  5115,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,   235,    -1,    -1,   238,    -1,
      -1,    -1,  5158,    -1,  5189,    -1,    -1,    -1,    -1,   249,
      -1,   251,    -1,    -1,   251,    -1,    -1,  3620,    -1,    -1,
    4134,    -1,    -1,  3626,    -1,   180,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,  4156,    -1,   281,   282,    -1,    -1,    -1,    -1,
    5189,  5189,  5189,  5189,    -1,    -1,    -1,  4171,    -1,  5189,
      -1,    -1,  1567,    -1,    -1,    -1,   221,    -1,    -1,  5225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,  5234,    -1,
      -1,   318,    -1,   323,    -1,   322,  4200,    -1,    -1,   326,
      -1,    -1,    -1,  3696,  3697,    -1,   333,    -1,  1603,   206,
    4214,    -1,    -1,   343,   341,    -1,  4220,    -1,    -1,    -1,
      -1,    -1,   349,   268,    -1,  4229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   363,   361,   365,    -1,  5283,   368,    -1,
    4244,    -1,   369,    -1,    -1,  5274,  5274,  5274,  5274,    -1,
      -1,  2649,  5298,  4257,  5274,  4259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,    -1,    -1,    -1,  1672,    -1,    -1,
      -1,    -1,    -1,  3758,    -1,  4289,    -1,    -1,    -1,  1684,
      -1,    -1,    -1,    -1,    -1,  2693,    -1,   424,    -1,    -1,
      -1,  1696,  2865,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,  2710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4325,    -1,    -1,    -1,    -1,    -1,    -1,  2726,    -1,
    4334,    -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,
      -1,  1736,  1737,    -1,  2742,    -1,  3839,  4351,  4352,    -1,
      -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4370,    -1,    -1,  4373,
      -1,    -1,    -1,  4377,  2772,    -1,    -1,    -1,  4382,    -1,
      -1,  4385,  4386,    -1,  4388,    -1,  4390,    -1,    20,  4393,
    4394,    -1,  2476,    25,    -1,    -1,  2794,    -1,     0,  2483,
    2798,    -1,    -1,    -1,    -1,   450,    -1,  4411,    -1,  4413,
    2973,    -1,   457,   458,   459,   460,   461,   462,    -1,  2503,
    4424,  4425,  4426,  4427,  4428,    -1,    -1,    59,    -1,  2513,
      -1,    -1,    -1,  2517,    -1,    -1,  2520,    -1,    -1,    -1,
      72,    -1,  2526,    -1,  2528,    -1,    -1,  2531,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,  4472,  4473,
      -1,    -1,    -1,    -1,    -1,  1870,    -1,     7,    -1,    -1,
      -1,    -1,    -1,    13,    14,    -1,    -1,    -1,    90,    19,
    3965,    21,    -1,    -1,  3969,    -1,   128,    27,    -1,    29,
      -1,    -1,    -1,    -1,    -1,    -1,  2590,   139,    -1,    -1,
    4514,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,  3086,    -1,  4529,    -1,   159,  4532,    -1,
      -1,    -1,   164,  4537,    -1,  4539,    -1,    -1,   140,    -1,
      -1,    -1,  4546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,    -1,    -1,    -1,    -1,   157,    -1,    -1,  4562,    -1,
     162,    -1,  4566,    -1,    -1,    -1,   168,    -1,    -1,   171,
      -1,    -1,   174,    -1,    -1,    -1,  4580,  4581,  4582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,    -1,
      -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     202,    -1,   234,    -1,  4608,    -1,    -1,  4611,    -1,  4613,
      -1,    -1,    -1,    -1,    -1,    -1,  4109,  4110,    -1,    -1,
     222,  4114,  4115,    -1,    -1,    -1,    -1,    -1,    -1,  4633,
      -1,    -1,    -1,    -1,    -1,  4639,   268,    -1,    -1,  4643,
      -1,    -1,    -1,  4647,    -1,    -1,    -1,    -1,    -1,    -1,
    4654,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,  4663,
      -1,   263,    -1,    -1,   266,   195,    -1,    -1,   300,    -1,
     272,    -1,    -1,   203,    -1,   205,    -1,   207,   208,    -1,
     210,    -1,   212,  4687,    -1,   215,    -1,   217,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,  3259,    -1,    -1,    15,
      16,    17,    73,    -1,   336,    -1,    -1,    -1,    -1,  4713,
      -1,   343,  3275,    -1,   346,    -1,    32,    -1,  4722,  4723,
    4724,  4725,    -1,   325,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,   105,    -1,    -1,  3300,    -1,  4214,
      -1,    -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,    -1,    71,  4760,   128,   390,  2154,
      -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   139,    35,
    2854,  2166,    -1,    -1,   376,    -1,  4780,    -1,    -1,  4783,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    55,
     422,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,    -1,  3201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    89,   426,  3223,   428,   429,    -1,    -1,
      -1,    -1,    -1,    -1,  4838,    -1,    -1,  4841,    -1,    -1,
    4844,    -1,   213,    -1,  4848,    -1,    -1,    -1,    -1,    -1,
    2934,  4855,  2936,    -1,    -1,    -1,  4860,    -1,  4862,    -1,
    4864,    -1,   464,   234,   180,   467,   468,   469,  4872,   185,
      -1,    -1,    -1,    -1,  4878,    -1,  4880,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,  4890,    -1,    -1,    -1,
     206,   207,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,
      -1,    -1,  4377,    -1,    -1,   221,    -1,  4382,    -1,    -1,
    4385,  4386,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4930,  4931,    -1,   300,
      -1,    -1,   303,    -1,    -1,    -1,  4411,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,  4424,
      -1,   217,   268,    -1,    -1,   271,    -1,  4961,   329,    -1,
      -1,    -1,    -1,    -1,  4968,   336,    -1,    -1,  4972,  4462,
      -1,    -1,   343,    -1,    -1,    -1,  4980,  3540,    -1,    -1,
      -1,  3065,    -1,    -1,    -1,   251,    -1,  3071,    -1,    -1,
    2385,    -1,    -1,    -1,    -1,    -1,    -1,  4472,    -1,    -1,
     371,  5005,  5006,    -1,    -1,   376,  5010,    -1,   379,  5013,
      -1,    -1,    -1,  3411,    -1,    -1,   282,    -1,    -1,  5023,
      -1,    -1,  5026,    -1,    -1,    -1,   397,  5031,    -1,  3427,
      -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,   354,  4514,
      -1,  5045,   572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     580,   422,    -1,    -1,    -1,  5059,   322,   587,   588,    -1,
     326,   591,  5066,   593,   594,    -1,    -1,   333,   598,    -1,
      -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,    -1,   609,
      -1,    35,    -1,   349,    -1,    -1,    -1,  5091,  3651,    -1,
      -1,  3654,  5096,    -1,   624,   361,    -1,  5101,    -1,    -1,
      -1,    55,    -1,   369,    -1,    -1,  5110,  4582,    -1,    -1,
      -1,    -1,  5116,  5117,  5118,    -1,    -1,   647,    -1,   649,
      -1,    -1,    -1,  5127,   390,    -1,    -1,  5131,    -1,   659,
      -1,    -1,    -1,    -1,   450,    89,    -1,   453,   454,   455,
    5144,   457,   458,   459,   460,   461,   462,  5151,    -1,    -1,
      -1,    22,    -1,    -1,   470,    -1,    -1,    28,   424,    -1,
      -1,   691,   428,   429,    -1,  3249,    -1,  3251,  4643,  3253,
      -1,    -1,    -1,    -1,    -1,    -1,  3260,    -1,  5182,  5183,
    5184,     0,    -1,  2578,    -1,    -1,    -1,    -1,  3751,    -1,
      -1,    -1,   722,    -1,   148,    -1,    -1,    -1,    69,    -1,
    2595,    -1,    -1,    -1,    -1,  5209,  5210,  3770,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,  3299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,  4719,    -1,   182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   776,  5251,    -1,    -1,
      -1,    -1,   123,  5257,    -1,    -1,    -1,    -1,   212,   130,
      -1,    -1,   133,   217,    -1,    -1,    -1,  5271,    -1,    -1,
      -1,    90,    -1,    -1,  5278,    -1,    -1,  5281,    -1,  3842,
      -1,    -1,    -1,    -1,    -1,  4760,    -1,   158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5299,  5300,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   837,  4783,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
      -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,
      -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,   157,    -1,
      -1,    -1,    -1,   162,    -1,     0,    -1,    -1,    -1,   168,
      -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,    -1,
    3758,    -1,    -1,    18,    -1,    -1,  4841,    -1,   322,    -1,
      -1,    -1,   326,    28,    -1,    30,    31,   907,   249,   333,
     251,    -1,    -1,   202,    -1,    -1,    -1,   341,    -1,  3787,
     261,    46,    -1,   923,    -1,   349,    -1,  4872,    -1,   270,
      -1,    -1,    -1,   222,    -1,   935,    -1,   361,   938,    -1,
     281,    66,    -1,    68,    69,   369,    -1,    -1,   948,    -1,
      75,    -1,    77,   953,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   961,    -1,    88,    -1,    90,   390,   967,    35,    -1,
     970,    -1,    -1,    -1,   263,    -1,    -1,   266,    -1,    -1,
     321,   322,   107,   272,    -1,   110,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,
     424,   126,    -1,    -1,   428,   130,    -1,  2872,   349,    -1,
    1010,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
      -1,   146,    89,    -1,  2889,   189,   190,   152,    -1,   193,
      -1,    -1,    -1,    -1,    -1,  4980,   325,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   211,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,   184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,  4106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,  4118,    -1,   376,    -1,    -1,
      -1,    -1,    -1,  5056,    -1,  5058,    -1,  3965,   223,   224,
    5045,  3969,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   402,    -1,   182,   241,    -1,  2983,    -1,
    2985,  1121,    -1,  1123,    -1,  1125,    -1,  1127,   253,  1129,
    1130,  1131,    -1,    -1,    -1,    -1,  1136,   426,    -1,   428,
     429,    -1,  4010,  4011,    -1,   212,    -1,  1147,    -1,    -1,
     217,  5096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5110,    -1,    -1,    -1,    -1,
     295,  5116,  5117,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,    -1,    -1,   308,   251,    -1,    -1,    -1,    -1,   314,
     315,    -1,   317,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,  3066,   327,    -1,    -1,   330,    -1,    -1,    -1,    -1,
     335,    -1,   199,     3,    -1,   282,   341,   342,     8,    -1,
      -1,    11,   209,    -1,   349,    15,    16,    17,   353,  3094,
      -1,    -1,    -1,   220,    -1,    -1,    -1,  5182,   363,    -1,
      -1,    -1,    32,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      40,   376,    -1,    -1,    -1,   322,    -1,    47,    -1,   326,
      -1,    -1,  5225,    -1,    -1,    -1,   333,    -1,    -1,    -1,
     395,  5234,    -1,    -1,   341,  3829,  4309,    -1,    -1,  3833,
     405,    71,   349,    -1,    -1,    -1,   411,    -1,    -1,    -1,
      -1,   416,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   369,    -1,   429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5283,    -1,    -1,   390,    -1,  1325,    -1,   452,    -1,  3194,
      -1,    22,    -1,    -1,    -1,  5298,  5281,    28,    -1,    -1,
      -1,   466,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,  5299,  5300,    -1,   424,    -1,    -1,
    3225,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    69,    -1,
      -1,    15,    16,    17,    -1,  4418,    -1,  4420,  4256,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    32,    -1,
      -1,  1401,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
     574,    -1,    -1,    47,   578,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   592,    -1,
     121,   221,   123,    -1,    -1,   599,    -1,    71,    -1,   130,
      -1,     8,   133,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    32,    -1,   158,    -1,  1469,
      -1,    -1,    -1,    40,    -1,    -1,    -1,  3342,   268,    -1,
      47,   271,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,  4050,    -1,    -1,   190,
      -1,    -1,  3367,    -1,    71,    -1,    -1,    -1,    32,  4377,
      -1,    -1,    -1,    -1,  4382,    -1,    40,  4385,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3401,  4091,  4092,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    71,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
     251,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
     261,    -1,   206,   207,    -1,    -1,   563,    -1,    -1,   270,
      -1,    -1,   569,    -1,    -1,    -1,    -1,   221,    -1,    -1,
     281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1607,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
     254,    -1,    -1,  4177,  4178,    -1,    -1,   318,    -1,    -1,
     321,   322,    -1,    -1,   268,    -1,    -1,   271,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,   180,    -1,   349,    -1,
     450,   185,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,  4541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,   863,
     864,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,  4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,  1729,
     254,  1731,    -1,    22,   721,    -1,    -1,    -1,  4292,    28,
    4294,  4295,    -1,    -1,   268,    -1,    35,   271,  1748,    -1,
    1750,    -1,    -1,    -1,  4308,    -1,    -1,    -1,    -1,   746,
      -1,    -1,    -1,    -1,  1764,    54,  1766,    -1,  1768,    -1,
    1770,    -1,  1772,    -1,    -1,  4643,  1776,    -1,   765,    -1,
      69,    -1,    -1,    -1,    -1,    -1,  4654,   354,   952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   786,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,    -1,   450,   981,   982,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
     354,    -1,    -1,   467,   123,    -1,    -1,    -1,    -1,    -1,
      -1,   130,    -1,  1007,   133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,
      -1,   858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,   187,    -1,
     467,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4783,  1080,  1081,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4793,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,    -1,   235,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,    -1,    -1,    -1,    -1,    -1,   974,    -1,    -1,
      -1,   280,   281,    -1,    -1,    -1,    -1,    -1,    -1,  5032,
      -1,  4869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1003,  1004,  1005,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,   321,   322,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4604,    -1,    -1,    -1,   343,    -1,     8,    -1,    -1,    11,
     349,    -1,  3927,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,    -1,
      32,    -1,  2082,  2083,    -1,    -1,    -1,    -1,    40,    -1,
       8,    -1,    -1,    11,    -1,    47,    -1,    15,    16,    17,
      -1,  2101,  2102,    -1,    -1,    -1,  2106,  2107,    -1,    -1,
      -1,  2111,    -1,    -1,    32,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    40,  4677,   413,  2125,    -1,    -1,    -1,    47,
      -1,    -1,  2132,    -1,    -1,    -1,  2136,  2137,    -1,    -1,
    2140,  2141,    -1,    -1,    -1,    -1,    -1,  2147,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,  1143,    -1,    -1,    -1,
    2160,    -1,  2162,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,  4727,    -1,    15,    16,    17,    -1,    -1,
      -1,  2181,  1169,    -1,    -1,    -1,  2186,  4052,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  2199,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,  2208,    -1,
    2210,    -1,    -1,  2213,  2214,  2215,    -1,    -1,    -1,    -1,
    2220,  2221,  5090,    -1,    -1,  4090,    -1,    -1,   180,    -1,
    2230,    71,    -1,   185,    -1,  2235,    -1,    -1,    -1,    -1,
    2240,    -1,    -1,    -1,    -1,    -1,  4111,  5115,    -1,    -1,
      -1,    -1,    -1,    -1,   206,   207,  2256,    -1,    -1,    -1,
      -1,    -1,   180,    -1,  2264,    -1,    -1,   185,    -1,   221,
      -1,    -1,    -1,    -1,    -1,  2275,    -1,    -1,    -1,  1443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2287,   206,   207,
    2290,    -1,    -1,    -1,    -1,  2295,    -1,    -1,    -1,    -1,
    2300,  2301,   254,   221,    -1,  2305,    -1,    -1,  2308,    -1,
      -1,  4176,  2312,  2313,  2314,  2315,   268,  2317,  1305,   271,
      -1,  5189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2330,  2331,    -1,  2333,    -1,    -1,   254,    -1,    -1,    -1,
     180,    -1,    -1,  2343,  2344,   185,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1352,   206,   207,    -1,  1533,
    1534,  1535,  1536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2395,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,  5274,    -1,    -1,    -1,
      -1,    22,  1576,  1577,   254,    -1,    -1,    28,    -1,    -1,
      -1,    -1,  4287,  2423,    -1,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,  1597,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1440,    -1,    -1,    -1,    -1,    69,    -1,
      -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,  1632,  1633,
    1634,  1635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1470,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1483,    -1,   450,  1486,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,   123,    -1,   354,   467,    -1,    -1,    -1,   130,
      -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,   158,    -1,   467,
    1537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,  1551,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,  1564,    -1,   190,
      -1,  1745,    -1,  2583,    -1,    -1,    32,  1751,  5142,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,  2612,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    71,    -1,   467,    -1,  1616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1645,   270,
      -1,    -1,    -1,    -1,    -1,  1652,    -1,    -1,    -1,    -1,
     281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,
     321,   322,    32,    -1,  1878,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,     8,    -1,    -1,    11,    47,    -1,    -1,
      15,    16,    17,    -1,   180,    -1,    -1,    -1,   349,   185,
      -1,    -1,    -1,    -1,  4609,    -1,    -1,    32,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
     206,   207,    47,    -1,    -1,    -1,  1753,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4649,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,    -1,  1791,  1792,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1808,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,    -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
     180,    -1,    -1,    -1,    -1,   185,  2866,    -1,    -1,    -1,
    2870,    -1,    -1,    -1,    32,    -1,  2876,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,   206,   207,    -1,    47,
      -1,    -1,  2892,  2893,    -1,   180,    -1,  2897,    -1,    -1,
     185,   221,  2902,  2903,  2904,    -1,  2906,    -1,   354,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,  1905,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,  2927,  1915,    -1,
      -1,    -1,    -1,    -1,   254,    -1,   221,  2937,  2938,  2939,
    2940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
      -1,   271,    -1,  4818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,  2974,    -1,    -1,  2977,  2978,  2979,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,  2152,  2153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2161,    -1,  2163,
      -1,    -1,    -1,  2167,   450,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
      -1,   467,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2032,    -1,  2034,   206,   207,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,   221,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,  3079,
      -1,    -1,    -1,  2070,    40,    -1,    -1,  3087,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3105,    -1,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,  2286,    -1,    -1,  2289,    -1,    -1,    -1,    -1,
     450,    -1,  3132,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,  5017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,  3184,    -1,    -1,    -1,    -1,  3189,
      -1,    -1,    -1,  2357,    -1,    -1,   354,    -1,    -1,    -1,
      -1,  2365,  2366,    -1,    -1,    -1,    -1,    -1,  2372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3219,
      -1,    -1,  2386,    -1,   180,    -1,    -1,    -1,    22,   185,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,  2225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,    -1,    -1,
     206,   207,    -1,    -1,    -1,    -1,  3256,    -1,  3258,  2246,
      -1,    -1,    -1,  2427,    -1,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2455,   450,    -1,    -1,   453,   454,   455,   254,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2310,  2311,    -1,    -1,   121,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,    -1,    -1,  2509,    -1,  2511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   158,   197,   198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,  2405,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,  2611,    -1,    40,
      -1,    -1,    -1,    -1,    -1,   249,    47,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,    -1,     8,    -1,  3516,    11,  3518,    -1,
      -1,    15,    16,    17,   318,  3525,    -1,   321,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,  3541,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,   349,    -1,  3557,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,  3575,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    40,  3593,   185,  2582,    -1,    -1,    -1,    47,
      -1,    -1,    -1,  3603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,   413,
      -1,    -1,  3622,    71,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,  3633,  3634,  3635,    -1,    -1,    -1,    -1,
    3640,  3641,  3642,  3643,    -1,    22,  3646,  3647,    -1,    -1,
      -1,    28,  3652,  3653,    -1,  3655,  3656,  3657,  3658,  3659,
    3660,    -1,  3662,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3671,    -1,    -1,  3674,  3675,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,   185,    69,  3693,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,  2878,  3715,  2880,  2881,  2882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,   571,
      -1,    -1,   119,    -1,    -1,    -1,   123,    -1,  2735,    -1,
      -1,   583,    -1,   130,    -1,    -1,   133,   589,   206,   207,
     254,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,
     602,    -1,    -1,   221,   268,    -1,    -1,   271,    -1,    -1,
       8,   158,    -1,    11,    -1,    -1,   618,    15,    16,    17,
      -1,   623,    -1,    -1,    -1,    -1,    -1,   629,    -1,    -1,
      -1,   633,   634,    -1,    32,    -1,   254,    -1,    -1,   641,
      -1,    -1,    40,   190,  3814,    -1,    -1,    -1,    -1,    47,
     268,   653,   654,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,  3846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
     354,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   249,    -1,   251,    -1,   467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,   354,    -1,    -1,    -1,
      -1,   743,   744,    -1,    -1,    -1,    -1,   749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,   775,   321,   322,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,   450,   185,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,   349,   467,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,  2991,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
    4060,    -1,    -1,    -1,  4064,  4065,  4066,  4067,    -1,    -1,
    4070,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,   919,    -1,    -1,
      -1,    -1,    -1,    -1,   926,    -1,    -1,    -1,   930,  3263,
      -1,  4101,  4102,  4103,    -1,  4105,    -1,  4107,  4108,    -1,
      71,    -1,    -1,    -1,    -1,     8,    -1,   949,    11,  4119,
    4120,    -1,    15,    16,    17,    -1,   354,    -1,    -1,    -1,
      -1,    -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,  4146,    40,    -1,    -1,
    3137,  3138,  3139,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3154,    -1,  4169,
      -1,    -1,     8,    -1,    -1,    11,    -1,  1009,    71,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3177,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
    3187,  3188,    -1,    -1,    40,  3192,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,  1048,    -1,  3205,   180,
      -1,    -1,   450,    -1,   185,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    71,    -1,    -1,    -1,   467,
      -1,    -1,    -1,  4243,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,    -1,  1099,    -1,    -1,
      -1,    -1,  4272,    -1,    -1,    -1,  1108,    -1,    -1,    -1,
      -1,    -1,    -1,    22,  1116,    -1,    -1,   180,    -1,    28,
      -1,    -1,   185,   254,    -1,    -1,    -1,  4297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,  3298,  1144,   206,   207,    -1,    -1,    -1,    -1,    -1,
      -1,  1153,    -1,  1155,    -1,    -1,    -1,    -1,   221,    -1,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1170,    -1,
      -1,  1173,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,  1185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,  3530,  3531,  3532,  3533,
     206,   207,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,
     119,    -1,    -1,  1215,   123,   221,    -1,    -1,    -1,    -1,
      -1,   130,    -1,   354,   133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4404,    -1,    -1,    -1,    -1,    -1,
      -1,  1243,  1244,  1245,    -1,  1247,    -1,    -1,   254,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,    -1,    -1,  1267,    -1,  3424,  3425,  3426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1291,
      -1,   354,    -1,    -1,  4464,    -1,    -1,  1299,  1300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1308,  1309,    -1,    -1,
      -1,    -1,  4482,    -1,    -1,    -1,    -1,  4487,  4488,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,  1336,    -1,   467,    -1,  1340,  1341,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,   354,    -1,
      -1,    -1,   261,  1355,    -1,    -1,    -1,  1359,    -1,    -1,
      -1,   270,    -1,    -1,  1366,    -1,    -1,    -1,  4538,    -1,
      -1,    -1,   281,    -1,  3708,    -1,    -1,    -1,    -1,    -1,
    3714,    -1,    -1,    -1,    -1,    -1,    -1,   450,  4558,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,   318,
      -1,     8,   321,   322,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,  1425,    -1,  4595,    -1,    -1,    -1,    -1,
      -1,    -1,  4602,    -1,    -1,    32,    -1,    -1,    -1,    36,
     349,    -1,    -1,    40,   450,    -1,    -1,   453,   454,   455,
      47,   457,   458,   459,   460,   461,   462,    -1,    -1,    -1,
      -1,    -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1487,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
    4670,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,  4691,    40,   120,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,  4702,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,  1547,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    71,    -1,  3712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1567,  3723,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1582,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,  1591,
      -1,    -1,    -1,    -1,  4764,    -1,  1598,  3754,    -1,    -1,
      -1,  1603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1622,    -1,    -1,    -1,   221,    -1,    -1,    -1,  1630,    -1,
      -1,  3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4825,  1658,   254,    -1,    -1,
      -1,    -1,   180,  1665,    -1,    -1,  1668,   185,    -1,    -1,
    1672,   268,    -1,    -1,   271,    -1,  1678,  3834,    -1,    -1,
      -1,   180,  1684,    -1,    -1,    -1,   185,    -1,   206,   207,
      -1,    -1,    -1,    -1,  1696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   206,   207,    -1,
      -1,  1713,  1714,    -1,  1716,  1717,    -1,  4887,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,  1728,    -1,    -1,    -1,
      -1,    -1,  4902,    -1,  1736,  1737,   254,  1739,  1740,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,    -1,  1755,    -1,   254,    -1,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4951,    -1,    -1,    -1,  1787,    -1,    -1,    -1,  3946,
    3947,  3948,  3949,    -1,    -1,    -1,  4966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,  1821,
      -1,  1823,  4156,    -1,    -1,    -1,  1828,  1829,    -1,    -1,
      -1,    -1,    -1,  1835,  1836,  1837,   354,  4171,    -1,  1841,
      -1,  1843,  1844,  1845,  1846,  1847,  1848,    -1,  1850,    -1,
    1852,  1853,    -1,   450,  1856,   354,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,  1870,  1871,
    1872,  1873,  1874,  1875,  5044,    -1,    -1,  1879,    -1,    -1,
      -1,  1883,    -1,    -1,  1886,    -1,    -1,  1889,  1890,  1891,
    1892,  1893,  1894,  1895,  1896,  1897,    -1,  1899,    -1,    -1,
      -1,    -1,    -1,    -1,  1906,    -1,  1908,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5086,    -1,    -1,    -1,
      -1,    -1,    -1,  4257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    25,    -1,   467,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    32,    -1,    15,    16,    17,    -1,    -1,
    5170,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    32,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    87,    -1,
      -1,    -1,    71,    -1,  2036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    71,   111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,
     139,    -1,    -1,    -1,    -1,    -1,  2088,    -1,   147,    -1,
    2092,  2093,  4426,  4427,  4428,    -1,    -1,  2099,    -1,    -1,
     159,    -1,  2104,  2105,    -1,   164,    -1,  2109,    -1,    -1,
      -1,    -1,   171,    -1,    -1,  2117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,
      -1,    -1,  4289,  2135,    -1,    -1,  2138,    -1,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    -1,   185,    -1,  2150,    -1,
      -1,    -1,  2154,    -1,   213,  2157,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,  2166,   185,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,   234,    -1,  2179,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2197,  2198,    -1,    -1,    -1,
      -1,   221,    -1,    -1,  2206,    -1,    -1,    -1,    -1,   268,
      -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2228,  2229,    -1,   268,
    2232,   290,   271,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,   303,    -1,  4580,    -1,   268,    -1,
      -1,   271,    -1,  2255,    -1,  2257,    -1,    -1,    -1,    -1,
      -1,  2263,    -1,    -1,    -1,    -1,    -1,    -1,  2270,    -1,
     329,    -1,  2274,    -1,    -1,   334,    -1,   336,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,    -1,   346,    -1,    -1,
      -1,    -1,  2294,    -1,    -1,    -1,    -1,  2299,    -1,    -1,
      -1,  2303,    -1,    -1,  2306,    -1,   365,    -1,    -1,    -1,
      -1,    -1,   371,    -1,  2316,   354,   375,   376,    -1,    -1,
     379,    -1,    -1,    -1,   383,    -1,    -1,  2329,    -1,    -1,
      -1,    -1,    -1,   392,   354,    -1,    -1,  2339,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
     409,    -1,    11,    -1,    -1,    22,    15,    16,    17,    -1,
    4517,    28,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,  4532,    -1,    -1,    -1,    -1,
    4537,    40,  2384,  2385,    -1,    -1,    -1,    -1,    47,  4723,
      -1,  4725,  2394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    69,    -1,    -1,  4562,    -1,    -1,    -1,    -1,
      -1,   450,    71,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,  4581,    -1,  2428,    -1,   467,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,     8,    -1,    -1,    11,   467,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,   130,    -1,  2467,   133,    32,    -1,  2471,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,  2480,    -1,
      -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   180,  2524,   190,    -1,    -1,   185,    -1,    -1,    -1,
    4687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4878,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2562,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2578,    -1,  2580,    -1,
      -1,    -1,   249,    -1,   251,    -1,  2588,    -1,    -1,    -1,
    2592,    -1,   157,  2595,   261,   254,  2598,   162,    -1,    -1,
      -1,    -1,    -1,   270,    -1,    -1,  2608,    -1,    -1,   268,
      -1,    -1,   271,    -1,   281,   180,    -1,  2619,    -1,    -1,
     185,    -1,  2624,  4780,    -1,    -1,    -1,  4961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   629,
      -1,   206,   207,    -1,    -1,  2647,  2648,  2649,    -1,    -1,
    2652,   318,    -1,    -1,   321,   322,   221,    -1,  2660,  2661,
    2662,  2663,    -1,   653,    -1,    -1,  2668,    -1,    -1,    -1,
      -1,  2673,  2674,    -1,  2676,    -1,  2678,    -1,    -1,    -1,
      -1,    -1,   349,    -1,    -1,    -1,    -1,  2689,  2690,   254,
      -1,  2693,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,  2707,   271,  2709,    -1,  2711,
      -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,  5059,    -1,    -1,    -1,  2731,
      -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,  2744,  2745,  2746,    -1,   413,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,
    2762,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,  2773,    -1,    -1,    -1,    -1,  2778,    -1,    -1,    -1,
      -1,    -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,   450,  2794,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,    22,    -1,    -1,
      69,  2813,    -1,    28,  2816,    -1,  2818,  5151,    -1,    -1,
      -1,  2823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2838,  2839,    -1,    -1,
      -1,    -1,  2844,    -1,    -1,    -1,    -1,    -1,    -1,  5183,
    5184,    -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2865,   123,    -1,  2868,    -1,    -1,    -1,
    2872,   130,    -1,    -1,   133,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    25,    -1,    -1,   450,    -1,  2889,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,  2914,    -1,    -1,   130,    59,    -1,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,
      73,   190,    -1,    -1,    -1,    -1,   926,  5271,    -1,    -1,
      83,    -1,    -1,   158,    87,    -1,    -1,  2949,  2950,  2951,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2973,    -1,    -1,   964,   190,    -1,    -1,    -1,    -1,
      -1,  2983,    -1,  2985,    -1,   128,    -1,    -1,    -1,    -1,
     249,  2993,   251,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,   261,    -1,   147,    -1,  3008,    -1,    -1,    -1,
      -1,   270,    -1,    -1,    -1,    -1,   159,     8,    -1,    -1,
      11,   164,   281,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,   251,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,   188,   261,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,   270,    47,    -1,  1048,   318,
      -1,    -1,   321,   322,  3066,    -1,   281,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,  3086,    -1,    -1,    -1,    -1,    -1,
     349,   234,  3094,    -1,    -1,    -1,    -1,    -1,   583,    -1,
      -1,    -1,    -1,   318,   589,    -1,   321,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3117,    -1,   602,    -1,    -1,
      -1,    -1,  3124,  3125,    -1,   268,    -1,    -1,    -1,  3131,
      -1,  3133,    -1,   618,   349,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3146,    -1,  3148,   290,   633,   634,
      -1,    -1,    -1,    -1,   413,    -1,   641,   300,    22,    -1,
     303,    -1,    -1,  1153,    28,    -1,    -1,    -1,  3170,   654,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   664,
      -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   180,
      -1,   334,  3194,   336,   185,    -1,    -1,    -1,   413,    -1,
     343,    -1,    -1,   346,    -1,    69,    -1,    -1,    -1,  3211,
    3212,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,   365,  3225,    -1,    -1,    -1,    -1,   371,    -1,
     221,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,   390,    -1,   392,
      -1,    -1,    -1,    -1,   397,    -1,    -1,  3259,    -1,   123,
      -1,    -1,    -1,   254,   749,    -1,   130,    -1,    -1,   133,
      -1,    -1,    -1,  3275,    -1,    -1,    -1,   268,    -1,   422,
     271,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,   158,  3297,    -1,    -1,  3300,    -1,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,  3318,    -1,    -1,  3321,
      -1,    -1,    47,    -1,    -1,  3327,   190,    -1,    -1,    -1,
      -1,  3333,    -1,  3335,    -1,    -1,  3338,    -1,    -1,    -1,
    3342,  3343,  3344,  3345,  3346,    -1,    71,  3349,  3350,  3351,
    3352,  3353,  3354,  3355,  3356,  3357,  3358,    -1,    -1,    -1,
    3362,  3363,    -1,   354,    -1,  3367,    -1,    -1,    -1,  1359,
    3372,    -1,    -1,    -1,  3376,    -1,  3378,    -1,  3380,   370,
      -1,    -1,    -1,    -1,    -1,   249,  3388,   251,    -1,  3391,
      -1,  3393,    -1,    -1,    -1,    -1,    -1,   261,    -1,  3401,
    3402,    -1,    -1,  3405,  3406,    -1,   270,    -1,  3410,  3411,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,   281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3427,    -1,    -1,  3430,    -1,
      -1,   156,    -1,    -1,    -1,  1425,    -1,    -1,    -1,    -1,
      -1,  3443,    -1,    -1,    -1,   930,    -1,  3449,  3450,  3451,
      -1,    -1,    -1,    -1,   318,   180,    -1,   321,   322,   450,
     185,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,  3475,  1464,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,   349,    -1,    -1,    -1,  3491,
      -1,    -1,    -1,    -1,    -1,  3497,   221,  1487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3540,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3590,    -1,
      -1,    -1,  1582,  3595,  3596,  3597,    -1,    -1,    -1,    -1,
    1085,  1591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1603,  1099,    -1,    -1,  3619,  3620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      -1,  1116,    -1,     8,  3636,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,  3651,
      -1,    -1,  3654,    -1,    -1,    -1,    -1,    32,    -1,  1144,
      35,    -1,    -1,    -1,    -1,    40,    -1,    -1,  1658,    -1,
    1155,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1672,    -1,    -1,  1170,    -1,    -1,  1173,    -1,
      -1,    -1,    -1,    -1,  1684,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3716,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,  3741,
    3742,    -1,    -1,  3745,    -1,    -1,  1736,  1737,    -1,  3751,
      -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3795,  3796,  3797,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,  1291,    -1,    -1,    -1,
     185,    -1,    -1,    -1,  1299,  1300,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1309,    -1,    -1,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3842,    -1,    -1,    -1,    -1,   198,   221,    -1,    -1,    -1,
      -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3863,    -1,    -1,    -1,    -1,   219,    -1,    -1,    -1,
      -1,    -1,  3874,    -1,    -1,    -1,    -1,    -1,    -1,   254,
    1870,  1366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,  3904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3914,  3915,    -1,  3917,    -1,    -1,  1908,  3921,
    3922,    -1,    -1,    -1,  3926,  3927,    -1,    -1,    -1,  3931,
      -1,    -1,  3934,  3935,    -1,    -1,    -1,  3939,    -1,    -1,
      -1,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3957,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3965,    -1,    -1,    -1,  3969,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
    3982,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,  4008,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,
      -1,    -1,  4034,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1547,    -1,    71,    -1,    -1,  4069,    -1,    -1,
      -1,    -1,  4074,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,  4090,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,
      -1,    -1,  2092,  2093,  4106,    -1,    -1,    -1,    -1,  4111,
      -1,    -1,    -1,  1598,    -1,    -1,  4118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4134,    -1,    -1,    -1,    -1,  1622,    -1,    -1,
      -1,    -1,    -1,  4145,    -1,  1630,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1642,    -1,    -1,
      -1,    -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,  4176,    -1,  2166,    -1,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4200,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4214,    -1,   221,    -1,  2206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1713,  1714,
     583,  1716,  1717,    -1,    -1,  4237,   589,    -1,    -1,    -1,
      -1,    -1,  4244,  1728,    -1,    -1,    -1,   254,    -1,   602,
      -1,    -1,    -1,    -1,  1739,  1740,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    22,   271,   618,    -1,    -1,    -1,    28,
    1755,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,   634,    -1,  4285,    -1,  4287,    -1,    -1,   641,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,   654,  1787,    -1,    -1,    -1,    -1,  4309,    -1,    -1,
      69,   664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4325,    -1,    -1,    -1,  4329,    -1,    -1,
      -1,    -1,  4334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,    -1,    -1,   354,    -1,  4351,
    4352,    -1,    -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,  4370,    -1,
      -1,   130,    -1,    -1,   133,  4377,    -1,    -1,    -1,    -1,
    4382,    -1,    -1,  4385,  4386,    -1,    -1,    -1,    -1,    -1,
    1875,  4393,  4394,    -1,    -1,  2385,   749,    -1,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,
      -1,  4413,    -1,    -1,    -1,    -1,  4418,    -1,  4420,    -1,
      -1,    -1,  4424,    -1,    -1,    -1,   743,   744,   187,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
    4462,  4463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4472,    -1,    -1,    -1,    -1,    -1,   235,  2467,    -1,   238,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,  4508,    -1,    -1,    -1,
      -1,   270,  4514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,   321,   322,   323,    -1,    -1,  4569,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4582,    -1,  4584,    -1,   343,    -1,    -1,    -1,  2578,    -1,
     349,    -1,    -1,    -1,    -1,    -1,  2081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,  2595,  4608,  4609,    -1,  4611,
      -1,  4613,    -1,    -1,  2099,    -1,    -1,    -1,  2608,  2104,
    2105,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,
      -1,  4633,  2117,    -1,    -1,    -1,    -1,  4639,    -1,    -1,
      -1,  4643,    -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,
    2135,    -1,  4654,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4695,  2179,    -1,    -1,    -1,    -1,    -1,
      -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,
      -1,  4713,  2197,  2198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,
      -1,    -1,  1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2228,  2229,    -1,  1099,  2232,    -1,    -1,
      -1,    -1,    -1,    -1,  2744,  2745,  2746,    -1,  4760,    -1,
      -1,    -1,    -1,  1116,    -1,    -1,    -1,    -1,    -1,    -1,
    2255,    -1,  2257,    -1,    -1,    -1,    -1,    -1,  2263,    -1,
      -1,  4783,    -1,    -1,    -1,  2270,    -1,    -1,    -1,  2274,
      -1,  1144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1155,    -1,    -1,    -1,    -1,    -1,    -1,  2294,
      -1,    -1,    -1,    -1,  2299,  4817,  4818,  1170,  2303,    -1,
    1173,  2306,    -1,  2813,    -1,    -1,  2816,    -1,  2818,    -1,
      -1,  2316,    -1,  2823,    -1,    -1,  4838,    -1,    -1,  4841,
      -1,    -1,  4844,    -1,  2329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4855,  2339,    -1,    -1,    -1,  4860,    -1,
    4862,    -1,  4864,    -1,    -1,    -1,    -1,    -1,  1185,    -1,
    4872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,  4890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1215,  2889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4920,    -1,
    4922,    -1,    -1,    -1,  2914,    -1,  1243,  1244,  1245,    -1,
    1247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1299,  1300,    -1,    -1,
    1267,    -1,    -1,    -1,    -1,    -1,  1309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
    4972,    11,    -1,    -1,    -1,    15,    16,    17,  4980,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2471,    -1,    -1,    -1,
      -1,  1308,    32,  2983,    -1,  2985,    -1,    -1,    -1,    -1,
      40,    -1,    -1,  5005,  5006,    -1,    -1,    47,    -1,    -1,
      -1,  5013,  5014,  1366,    -1,  5017,    -1,    -1,    -1,  1336,
      -1,  5023,    -1,  1340,  1341,     8,    -1,    -1,    11,    -1,
    5032,    71,    15,    16,    17,    -1,    -1,    -1,    -1,  2524,
      -1,    -1,    -1,  5045,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3066,  2562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,  5096,  2580,    -1,    -1,    -1,  5101,
      -1,    -1,    -1,  2588,  3094,    -1,    -1,    -1,  5110,    -1,
      -1,    -1,    -1,  2598,  5116,  5117,  5118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5127,    -1,  3117,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,
     180,    -1,  5144,    -1,    -1,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5158,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,
    5182,   221,    -1,  2668,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,    -1,    -1,  1547,    -1,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,  3194,    -1,    -1,  5209,  5210,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3212,   206,   207,    -1,    -1,    -1,   268,    -1,
      -1,   271,  5234,    -1,    -1,  3225,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,  1598,    -1,    -1,   288,  5251,
      -1,    -1,    -1,    -1,    -1,  5257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1622,
      -1,   254,    -1,    -1,  2759,    -1,    -1,  1630,    -1,  5281,
      -1,  5283,    -1,    -1,    -1,   268,    -1,    -1,   271,  1642,
      -1,    -1,    -1,    -1,    -1,    -1,  5298,  5299,  5300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3342,  2838,  2839,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1716,  1717,    -1,    -1,    -1,    -1,    -1,
      -1,   354,    -1,    -1,    -1,  1728,    -1,  3367,    -1,    -1,
    2865,    -1,    -1,  2868,    -1,    -1,  1739,  1740,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,  3401,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3451,    -1,    -1,  2949,  2950,  2951,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,  2993,    -1,
      -1,  1828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1875,  3008,  1841,    -1,  1843,    -1,    -1,  1846,
    1847,  1848,    -1,    -1,    -1,   629,  1853,    -1,    -1,  1856,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1871,  1872,  1873,  1874,    -1,   653,
      -1,    -1,  1879,    -1,    -1,    -1,  1883,    -1,    -1,  1886,
      -1,    -1,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,    -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,  1906,
      -1,  1908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3086,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,    -1,    -1,    -1,    -1,    -1,  3131,    -1,  3133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3146,    -1,  3148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2036,
      -1,    -1,    -1,    -1,    -1,    -1,  3211,    -1,  2081,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,  2099,    -1,   629,    -1,
      -1,  2104,  2105,    -1,    -1,  3745,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    40,  2117,    -1,    -1,    -1,    -1,    -1,
      47,    -1,   653,    -1,  3259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,  3795,    -1,    -1,    15,    16,
      17,    -1,  3297,    -1,    -1,  3300,    -1,    -1,    -1,    -1,
      -1,  2138,    -1,    -1,    -1,    32,  2179,    -1,    35,    -1,
      -1,    -1,   926,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,  2197,  2198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
     964,    -1,    -1,    -1,    -1,  2228,  2229,    -1,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3378,    -1,    -1,    -1,    -1,    -1,   629,
      -1,    -1,  2255,   180,  2257,    -1,    -1,    -1,   185,    -1,
    2263,    -1,    -1,    -1,    -1,    -1,    -1,  2270,    -1,    -1,
      -1,  2274,    -1,   653,    -1,    -1,    -1,  3917,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,    -1,
      -1,  2294,    -1,    -1,   221,    -1,  2299,    -1,    -1,    -1,
    2303,    -1,    -1,  2306,  1048,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   180,    -1,    -1,  2329,   254,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2339,    -1,    -1,    -1,
      -1,   268,  3982,    -1,    -1,    -1,    -1,  3987,    -1,   206,
     207,    -1,    -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2394,    -1,    -1,    -1,   926,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3540,    -1,    -1,    -1,  1153,
      -1,   268,  4052,    -1,   271,    -1,    -1,  2384,   949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4090,    -1,    -1,    -1,    -1,  3590,    -1,    -1,    -1,    -1,
    3595,    -1,  3597,    -1,    -1,    -1,    -1,    -1,  2471,    -1,
      -1,  4111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3619,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,  3636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3651,  1048,    -1,  3654,
      -1,  2524,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,  4176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   926,    -1,    -1,    -1,
    1294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,    -1,    -1,
      -1,    -1,    -1,    -1,   964,  2588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,  3741,  3742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1359,  3751,    -1,    -1,    -1,
      -1,    -1,  1153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4285,    -1,  4287,    -1,    -1,
      -1,    -1,  2619,    -1,    -1,    -1,    -1,  2624,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2668,    -1,    -1,  1048,    -1,
      -1,  2674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,  2649,    -1,    -1,    -1,    -1,    -1,    -1,  4329,
      -1,    -1,    -1,  2660,    -1,  2662,  2663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2673,  3842,    -1,  2676,
      -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2707,    -1,  2709,  1487,  2711,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1153,    -1,    -1,    -1,  2744,  2745,  2746,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,
      -1,  2778,    -1,    -1,    -1,    -1,    -1,  2784,    -1,    -1,
      -1,    -1,  4462,  1567,    -1,    -1,    -1,    -1,  1359,    -1,
      -1,    -1,    -1,    -1,    -1,  2838,  2839,    -1,  1582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,
      -1,    -1,  2865,    -1,    -1,  2868,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,  2844,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1425,    -1,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,
      -1,    -1,    -1,  1464,  4069,    71,    -1,    -1,    -1,  4074,
    1684,    -1,    -1,    -1,  4584,    -1,  2949,  2950,  2951,    -1,
      -1,    -1,  1696,    -1,    -1,    -1,  1487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4609,
    2973,  4106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1359,
      -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,
    2993,    -1,  1736,  1737,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3008,    -1,    -1,    -1,  4649,
    4145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   180,  1425,    -1,    -1,    -1,   185,
      -1,  1582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1591,    -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,
     206,   207,  1603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3086,  1464,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4237,    -1,    -1,    -1,    -1,  1487,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,  1870,  1658,  3131,    -1,
    3133,    -1,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,  1672,    -1,  3146,    -1,  3148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1684,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1696,    -1,  3170,    -1,    -1,
      -1,    -1,    -1,    -1,  4309,    -1,    -1,  4817,  4818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1582,    -1,    -1,  1736,  1737,    -1,  3211,    -1,
      -1,  1591,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,
      -1,    -1,    -1,  1603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,   629,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3259,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,   653,  3275,    -1,    47,    -1,    -1,    -1,  1658,    -1,
      -1,    -1,    -1,  4418,    -1,  4420,    -1,    -1,    -1,    -1,
      -1,    -1,  1672,    -1,  3297,    -1,    -1,  3300,    71,    -1,
      -1,    -1,    -1,    -1,  1684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,  1696,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,    -1,  4463,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4472,    -1,  1870,
      -1,    -1,    -1,    -1,  2088,    -1,    -1,    -1,  2092,  2093,
      -1,  3318,    -1,    -1,    -1,    -1,  1736,  1737,    -1,    -1,
    3327,    -1,    -1,    -1,    -1,    -1,  3333,    -1,  3335,    -1,
      -1,    -1,    -1,  4508,    -1,  3378,    -1,  5017,    -1,  4514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3362,  3363,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,   629,    -1,
    2154,    -1,   185,  3380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3388,  2166,    -1,  3391,    -1,  3393,    -1,    -1,    -1,
      -1,    -1,   653,   206,   207,  3402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3410,  3411,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,  3443,    15,    16,    17,
      -1,   254,  3449,  3450,  3451,    -1,    -1,    -1,    -1,    -1,
    1870,    -1,    -1,    -1,    32,   268,    -1,    -1,   271,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,  3475,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,  3540,    -1,    -1,
      -1,    -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,    -1,
    4695,  2092,  2093,    -1,    -1,    -1,    -1,   949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   354,   964,    -1,    -1,    -1,    -1,  3590,    -1,    -1,
      -1,    -1,  3595,    -1,  3597,    -1,  4731,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3619,    -1,    -1,    -1,
      -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3636,    -1,  2166,    -1,    -1,    -1,    -1,
      -1,  2385,   180,    -1,    -1,    -1,    -1,   185,  3651,    -1,
      -1,  3654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1048,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,  2206,    -1,   450,    -1,    -1,
     453,   454,   455,   221,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   926,    -1,    -1,  2088,    -1,
      -1,    -1,  2092,  2093,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,  2467,    -1,    -1,    -1,    -1,   949,    -1,
     268,    -1,    -1,   271,    -1,    -1,    -1,    -1,  3741,  3742,
      -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,  3751,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,
      -1,  1153,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4920,  2166,  4922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2206,  1048,    -1,  3796,
    3797,    -1,    -1,    -1,  2578,    -1,    -1,    -1,    -1,  3842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2595,    -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3863,  5032,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3874,    -1,    -1,
    5045,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1153,    -1,    -1,    -1,  2467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3914,  3915,    -1,
      -1,    -1,    -1,    -1,  3921,  3922,    -1,    -1,    -1,  3926,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,  3934,  3935,    -1,
      -1,    -1,  3939,    -1,    -1,    20,    -1,  1359,  3945,    -1,
      25,  5116,  5117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,  3982,    -1,    -1,    -1,    -1,
    3987,    -1,    -1,  5158,    -1,    -1,  3993,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4008,    87,  1425,    -1,    -1,    -1,  2578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,  2595,    -1,  4069,  4034,    -1,  2813,
      -1,  4074,  2816,    -1,  2818,    -1,    -1,  2608,    -1,  2823,
      -1,    -1,  1464,   128,    -1,    -1,    -1,  2467,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,  5234,
      -1,    -1,   147,  4106,    -1,  1487,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   159,  4118,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1359,    -1,
      -1,    -1,  4145,   188,    -1,  2889,    -1,    -1,  5283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5298,  5299,  5300,    -1,  4134,    -1,    -1,
    2914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2578,    -1,
    1582,    -1,    -1,    -1,  1425,    -1,    -1,    -1,    -1,  1591,
      -1,    -1,    -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,
      -1,  1603,    -1,   268,    -1,    -1,    -1,    -1,  2608,    -1,
      -1,    -1,    -1,  4200,  4237,   280,    -1,    -1,    -1,  2983,
      -1,  2985,    -1,  1464,    -1,   290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,   629,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1658,    -1,    -1,    -1,
     653,    -1,  2813,    -1,   329,  2816,    -1,  2818,    -1,   334,
    1672,   336,  2823,    -1,    -1,    -1,    -1,    -1,   343,    -1,
      -1,   346,  1684,    -1,    -1,    -1,  4309,    -1,    -1,    -1,
      -1,    -1,    -1,   629,  1696,    -1,    -1,    -1,    -1,    -1,
     365,    -1,  3066,    -1,    -1,    -1,   371,    -1,    -1,    -1,
      -1,   376,    -1,    -1,   379,    -1,    -1,   653,   383,    -1,
      -1,  2872,    -1,    -1,    -1,   390,  1567,   392,    -1,    -1,
    3094,    -1,   397,    -1,  1736,  1737,    -1,    -1,  2889,    -1,
      -1,  1582,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,
    1591,    -1,    -1,  3117,    -1,    -1,    -1,   422,    -1,    -1,
      -1,  3125,  1603,  2914,  4351,  4352,    -1,    -1,  4355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4418,    -1,  4420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4393,  4394,    -1,    -1,
      -1,    -1,    -1,  2813,    -1,    -1,  2816,  1658,  2818,    -1,
      -1,    -1,    -1,  2823,    -1,    -1,  4413,    -1,    -1,    -1,
    3194,  1672,  2983,    -1,  2985,    -1,    -1,    -1,    -1,    -1,
    4463,    -1,    -1,  1684,    -1,    -1,    -1,    -1,  3212,    -1,
      -1,    -1,    -1,    -1,    -1,  1696,    -1,    -1,    -1,    -1,
      -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,  1870,    -1,
      -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4508,    -1,    -1,    -1,  2889,
      -1,    -1,    -1,    -1,    -1,  1736,  1737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2914,  3066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   949,  3321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3117,    -1,    -1,    -1,
      -1,   964,    -1,    -1,  3125,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,  2983,    -1,  2985,    -1,    -1,    -1,    -1,
     926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4611,    -1,    -1,    -1,   964,  1870,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,    -1,    -1,
      -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4639,    -1,    -1,  1048,    -1,    -1,    -1,    -1,
      -1,  3212,    -1,    -1,    -1,    -1,  3066,  4654,    -1,    -1,
      -1,    -1,  4695,    -1,  3225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,    -1,    -1,
    2092,  2093,    -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,    -1,
      -1,    -1,  1048,    -1,    -1,    -1,    -1,  3117,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3125,  4713,    -1,    -1,    -1,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1153,    -1,    -1,    -1,  2166,    -1,    -1,    -1,    -1,    -1,
    3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3342,    -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3212,    -1,    -1,    -1,  3367,  1153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,
      -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,    -1,    -1,
    3401,  2092,  2093,    -1,    -1,    -1,  3620,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4920,    -1,  4922,
      -1,    -1,    -1,  4890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3321,    -1,    -1,    -1,  2166,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3342,    -1,    -1,    -1,  3497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2206,  1359,  3367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3745,    -1,  2385,    -1,  4972,    -1,    -1,    -1,    -1,
      -1,  5014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5032,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5005,  5006,
      -1,    -1,    -1,  1359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3795,  1425,    -1,    -1,    -1,  5023,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2467,    -1,    -1,    -1,  3620,
      -1,  1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    25,    -1,  1425,
      -1,    -1,    -1,    -1,  1487,    -1,    -1,  3497,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5101,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,  1464,    -1,
      -1,  5118,    -1,    -1,    72,  5158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2385,    83,    -1,    -1,    -1,    87,
      -1,  1487,    -1,  3917,    -1,    -1,    -1,  5144,    -1,    -1,
      -1,    -1,    -1,  3927,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,   111,  1567,    -1,  2578,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,
     128,    -1,    -1,  2595,  3745,    -1,  3596,    -1,  1591,    -1,
      -1,   139,    -1,    -1,    -1,    -1,  2608,    -1,    -1,   147,
    1603,  5234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3620,   159,    -1,    -1,    -1,    -1,  2467,    -1,    -1,   167,
      -1,  1567,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,  1582,    -1,    -1,    -1,
     188,    -1,    -1,    -1,    -1,  1591,    -1,    -1,    -1,    -1,
    5283,    -1,    -1,    -1,  5251,  1658,    -1,  1603,    -1,    -1,
    5257,    -1,    -1,    -1,    -1,  5298,    -1,    -1,    -1,  1672,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,  4052,    -1,
      -1,  1684,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,  1696,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1658,    -1,    -1,    -1,  4090,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,    -1,  1672,  2578,    -1,    -1,
      -1,    -1,    -1,  1736,  1737,  3745,    -1,  4111,  1684,    -1,
      -1,    -1,   290,    -1,  2595,    -1,    -1,    -1,    -1,    -1,
    1696,    -1,    -1,    -1,    -1,   303,  3917,  2608,    -1,    -1,
      -1,    -1,   310,    -1,    -1,    -1,  3927,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,    -1,  3795,    -1,    -1,   336,    -1,
    1736,  1737,    -1,    -1,    -1,   343,    -1,    -1,   346,    -1,
      -1,  2813,  4176,    -1,  2816,    -1,  2818,    -1,    -1,    -1,
      -1,  2823,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,   380,    -1,   382,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,   397,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,    -1,
    2872,   409,    -1,    -1,    -1,    -1,    -1,  1870,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,  2889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2914,    -1,    -1,    -1,    -1,  3917,    -1,    -1,
      -1,    -1,    -1,  4287,    -1,    -1,    -1,  3927,    -1,    -1,
      -1,    -1,    -1,    -1,  1870,    -1,    -1,    -1,    -1,  4090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4111,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,    -1,    -1,  2816,    -1,  2818,    -1,    -1,
      -1,  2983,  2823,  2985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4176,    -1,    -1,    -1,    -1,
      -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,
      -1,    -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2914,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4090,    -1,  3094,    -1,    -1,  2088,    -1,    -1,  4462,  2092,
    2093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4111,    -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,
      -1,    -1,  2983,    -1,  2985,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2088,    -1,    -1,    -1,  2092,  2093,    -1,    -1,
      -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2166,    -1,    -1,  4176,    -1,  4329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3212,    -1,    -1,  2206,    -1,    -1,    -1,    -1,  2154,    -1,
    4584,    -1,    -1,  3225,    -1,  3066,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2206,    -1,    -1,    -1,    -1,    -1,  3117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,  4649,    -1,  4287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,
    3342,    -1,    -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3367,  1259,    -1,    -1,    -1,
      -1,  3212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,    -1,  3401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1322,
      -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,
      -1,    -1,    -1,    -1,  4818,    -1,    -1,    -1,  4609,    -1,
      -1,    -1,  4462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2467,    -1,    -1,    -1,    -1,    -1,
    3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3497,    -1,    -1,  4649,    -1,
      -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,
      -1,  2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,    -1,
    3401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4584,  2578,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2595,    -1,    -1,    -1,    -1,    -1,    -1,  4609,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,  3620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,  4649,
      -1,    -1,    -1,  5017,    -1,    -1,  3497,    -1,    -1,  2595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4818,    -1,    -1,
      -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3620,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3795,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4818,    -1,
    2813,    -1,    -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,
    2823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5017,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,  2872,
    2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,
      -1,  2914,    -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1826,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1840,    -1,    -1,
      -1,  1844,    -1,  2889,  3795,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1858,  1859,  1860,    -1,  1862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2983,    -1,  2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1904,    -1,    -1,    -1,    -1,    -1,  5017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,  1941,  2985,
    4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3066,    -1,    -1,  3917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,  4090,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,
    3066,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2045,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
      -1,    -1,    -1,    -1,  2057,    -1,    -1,  2060,    -1,    -1,
      -1,    -1,    -1,    -1,  4176,    -1,    -1,    -1,    -1,    -1,
      -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4111,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,  3225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,  3321,    -1,
      -1,    -1,    -1,    -1,    -1,  4176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,  3401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4462,    -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3596,    -1,    -1,    -1,  4609,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4462,    -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2622,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,    -1,  2642,
      -1,  2644,  3745,    -1,  2647,  2648,    -1,  2650,    -1,  2652,
      -1,    -1,    -1,  2656,    -1,    -1,  2659,    -1,  4609,    -1,
      -1,  2664,    -1,    -1,    -1,    -1,    -1,  2670,    -1,    -1,
      -1,    -1,  2675,    -1,    -1,    -1,    -1,    -1,    -1,  2682,
    2683,  2684,  2685,    -1,    -1,    -1,  2689,  2690,    -1,  2692,
      -1,    -1,  3795,    -1,    -1,    -1,    -1,    -1,  4649,  3745,
      -1,  2704,    -1,  2706,    -1,    -1,  4818,    -1,    -1,    -1,
    2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,  2721,  2722,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,    -1,  3795,
      -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,  4709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4818,    -1,    -1,
      -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5017,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,  4111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4111,  5017,    -1,    -1,    -1,
      -1,    -1,    -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,
    3323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3339,  3340,    -1,    -1,
    3343,  3344,  3345,  3346,    -1,    -1,  3349,  3350,  3351,  3352,
    3353,  3354,  3355,  3356,  3357,  3358,  3359,    -1,    -1,  4462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,
      -1,  3384,    -1,  3386,    -1,    -1,  3389,  3390,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3404,  3405,  3406,  3407,    -1,  3409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3506,    -1,    -1,  4609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4703,    -1,    -1,  4649,    -1,  4708,  4709,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,
      -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3716,    -1,  4818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3864,    -1,    -1,    -1,  3868,  3869,  3870,    -1,    -1,
      -1,    -1,    -1,  3876,  3877,  3878,  3879,    -1,    -1,    -1,
      -1,  3884,  3885,  3886,  3887,  3888,  3889,  3890,  3891,  3892,
    3893,  3894,  3895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5017,    -1,    -1,  3920,    -1,    -1,
    3923,    -1,  3925,    -1,    -1,    -1,  3929,    -1,    -1,  3932,
    3933,    -1,    -1,  3936,  3937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,  3991,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4282,
    4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,    -1,
      -1,  4324,  4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,  4341,    -1,
      -1,    -1,  4345,  4346,  4347,    -1,    -1,  4350,    -1,    -1,
    4353,  4354,    -1,    -1,    -1,  4358,    -1,    -1,    -1,  4362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4607,  4608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4623,  4624,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,  4662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4844,    -1,    -1,  4847,    -1,    -1,    -1,  4851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4901,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5011,    -1,
    5013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5209,  5210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
    5253,  5254,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,  5279,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   467,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   467,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
       3,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,   447,   448,   449,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,   467,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,   216,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,   464,   465,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,   459,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,   162,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,     3,     4,     5,     6,     7,   466,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,     4,     5,     6,     7,    -1,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,     4,     5,     6,     7,    -1,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,    -1,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,     4,     5,    -1,    -1,
      -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,   457,
     458,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,    -1,    -1,     8,     9,    -1,
      -1,    -1,    -1,   466,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,     3,     4,     5,    -1,    -1,     8,     9,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
       3,    -1,   453,   454,   455,     8,   457,   458,   459,   460,
     461,   462,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,     3,    -1,
     453,   454,   455,     8,   457,   458,   459,   460,   461,   462,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,     3,    -1,   453,   454,
     455,     8,   457,   458,   459,   460,   461,   462,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,     3,    -1,   453,   454,   455,     8,
     457,   458,   459,   460,   461,   462,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,     3,    -1,   453,   454,   455,     8,   457,   458,
     459,   460,   461,   462,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
       3,    -1,   453,   454,   455,     8,   457,   458,   459,   460,
     461,   462,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,     3,    -1,
     453,   454,   455,     8,   457,   458,   459,   460,   461,   462,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,   459,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,     4,     5,    -1,    -1,    -1,     9,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,   459,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
       4,     5,    -1,    -1,    -1,     9,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,     4,     5,    -1,
      -1,    -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,     9,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,     9,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,   162,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,     4,     5,
      -1,    -1,    -1,     9,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,    -1,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,    -1,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    -1,
      49,    -1,    -1,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    -1,    -1,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,    -1,
      -1,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,    -1,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,    -1,    -1,    -1,    -1,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
      -1,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,    -1,   352,   353,   354,   355,   356,    -1,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,    -1,    -1,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,    -1,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    -1,    -1,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,    -1,    -1,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,    -1,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,    -1,
     196,   197,   198,   199,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,    -1,   255,
      -1,    -1,   258,    -1,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,    -1,
     276,    -1,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,    -1,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,    -1,
      -1,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,    -1,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   295,
     308,   314,   315,   317,   322,   327,   330,   335,   341,   342,
     349,   353,   363,   376,   395,   405,   411,   416,   429,   452,
     466,   473,   474,   475,   476,   482,   483,   485,   486,   487,
     488,   490,   494,   506,   511,   512,   515,   516,   517,   537,
     540,   541,   557,   600,   601,   604,   607,   608,   609,   617,
     623,   625,   627,   628,   631,   634,   635,   639,   648,   652,
     653,   654,   655,   658,   660,   661,   662,   663,   671,   672,
     691,   695,   697,   698,   699,   709,   711,   718,   719,   722,
     723,   724,   725,   726,   734,   736,   740,   745,   749,   750,
     758,   759,   762,   767,   778,   805,   808,   809,   810,   815,
     818,   820,   822,   824,   825,   830,   831,   834,   835,   836,
     840,   841,   844,   845,   848,   849,   850,   857,   859,   860,
     861,   866,   868,   869,   875,   876,   877,   878,   879,   880,
     881,   883,   884,   886,   887,   889,   892,   893,   898,   904,
     907,   909,   910,   919,   921,   926,   931,   935,   936,   937,
     938,   939,   940,   943,   978,   389,   432,   862,    25,    72,
      87,   105,   111,   128,   139,   147,   159,   164,   171,   188,
     213,   234,   268,   290,   300,   303,   329,   334,   336,   343,
     346,   365,   371,   375,   376,   379,   383,   392,   397,   409,
     422,   624,   862,     3,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    37,    38,    40,    41,
      42,    44,    45,    46,    47,    48,    50,    51,    53,    54,
      55,    56,    57,    60,    61,    62,    63,    64,    66,    67,
      68,    69,    70,    74,    75,    76,    77,    78,    80,    81,
      82,    84,    85,    86,    87,    88,    89,    92,    93,    94,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   112,
     114,   115,   116,   117,   118,   119,   121,   122,   123,   124,
     127,   128,   129,   130,   131,   133,   134,   135,   137,   138,
     139,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     151,   153,   154,   155,   156,   158,   160,   164,   165,   166,
     167,   169,   170,   172,   173,   175,   176,   177,   178,   179,
     181,   182,   183,   184,   186,   187,   188,   189,   190,   191,
     193,   195,   196,   197,   198,   199,   200,   201,   203,   205,
     208,   210,   211,   212,   213,   214,   217,   218,   220,   223,
     224,   225,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   246,
     247,   248,   249,   250,   252,   253,   255,   257,   258,   259,
     260,   261,   262,   264,   265,   268,   269,   270,   273,   274,
     276,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   289,   290,   291,   292,   293,   294,   295,   296,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   326,   327,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     343,   344,   345,   346,   347,   349,   350,   351,   352,   353,
     355,   356,   357,   358,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   374,   375,   377,
     379,   380,   381,   382,   383,   385,   386,   389,   390,   391,
     392,   393,   395,   396,   397,   398,   399,   400,   401,   404,
     405,   406,   407,   408,   411,   412,   413,   414,   415,   416,
     417,   419,   421,   422,   423,   424,   427,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   932,  1103,  1117,
    1121,  1122,   420,   894,   266,   296,   862,    49,   466,   548,
      20,    25,    37,    59,    72,    83,   105,   111,   128,   139,
     147,   159,   167,   171,   225,   268,   271,   290,   303,   329,
     336,   346,   365,   371,   379,   380,   382,   383,   392,   397,
     403,   406,   409,   558,   606,   714,   768,   779,    26,   295,
    1103,   932,    26,   289,   344,   380,   382,     5,   212,   816,
     817,  1112,    20,    25,    37,    59,    72,    87,   105,   128,
     139,   147,   159,   164,   171,   188,   234,   268,   280,   290,
     303,   329,   334,   336,   343,   346,   365,   371,   376,   379,
     383,   390,   392,   397,   409,   422,   624,   727,   728,   729,
     862,  1103,    90,   420,   466,   601,   604,   607,   893,   899,
     907,   910,   919,   926,   931,   935,     9,    19,    26,    44,
     154,   160,   162,   185,   214,   248,   298,   316,   457,   458,
     746,   747,   932,  1111,  1113,    26,    90,   312,   342,   751,
     752,   753,  1117,   159,  1117,  1108,  1112,   376,   946,   746,
    1117,   389,  1103,   280,   234,   105,   188,   336,   375,   376,
     466,   826,   827,   335,  1117,    26,   347,   385,   389,   498,
     507,   508,  1117,    23,   168,   751,   752,   296,   862,  1117,
     211,    26,   125,   948,   949,    60,    84,   225,   243,   329,
     336,   347,   385,   389,   435,   495,   496,   497,   498,    26,
     347,   385,   389,   498,   389,   267,   989,  1101,  1117,   946,
     459,  1117,   163,   466,   895,   466,   310,   941,   942,  1103,
     941,   936,   937,   940,     0,   469,   894,   140,   202,   272,
     402,   950,   951,   936,   938,   939,   116,   198,   408,   470,
       3,    43,    49,    72,    79,    91,    98,   161,   163,   180,
     194,   206,   207,   209,   219,   221,   245,   254,   275,   277,
     328,   354,   378,   420,   795,  1109,  1117,  1118,  1121,  1123,
     731,  1117,   731,  1104,  1117,   299,   731,   392,  1103,   104,
     376,   783,  1109,  1117,  1123,     3,   101,   348,  1114,  1115,
    1119,  1121,  1122,  1123,    26,   179,  1101,   260,   422,     8,
      15,    16,    17,    67,   151,   453,   454,   455,   457,   458,
     459,   460,   461,   462,   812,   814,  1065,  1066,  1117,   179,
    1103,  1103,    26,  1114,  1115,  1103,  1103,   179,  1101,  1103,
     731,  1103,   322,   349,    26,   179,   989,  1103,   339,  1103,
     731,    26,   232,  1114,  1115,   179,  1101,   212,   113,   208,
     251,   306,   863,   864,   865,  1101,  1107,  1117,    20,    25,
      59,    72,    73,    83,    87,   105,   128,   139,   147,   159,
     164,   188,   213,   234,   268,   290,   303,   329,   334,   336,
     343,   346,   365,   371,   376,   379,   383,   390,   392,   397,
     422,   624,   737,   738,  1112,   906,   910,   919,   926,   935,
    1101,   236,  1109,  1103,   466,   179,   731,   392,  1104,   731,
     392,   179,  1103,   104,   376,   380,   382,  1114,  1115,   380,
     382,    67,   151,   812,   320,  1103,  1103,  1114,   179,   491,
    1117,   179,  1103,   179,   731,  1103,  1103,   339,  1103,   731,
     232,  1114,   310,   343,   376,   422,   234,    87,   188,   164,
     334,   390,   396,   618,    26,  1103,   933,   505,  1112,  1119,
     817,   236,   179,   795,   796,  1103,   179,   821,   179,  1104,
       3,    48,    50,    51,    62,    63,   108,   109,   129,   155,
     179,   200,   201,   203,   244,   246,   259,   307,   351,   357,
     385,   386,   417,   733,  1011,  1013,  1015,  1017,  1019,  1021,
    1022,  1023,  1025,  1026,  1027,  1029,  1030,  1118,  1121,   392,
     104,   376,   179,   782,   783,   179,  1115,  1116,    79,   422,
      67,   151,   179,   813,   814,    53,   179,  1116,   179,  1103,
     179,  1103,   339,   821,   179,   733,   179,   232,  1116,   212,
     179,   730,   731,   179,  1102,  1103,   179,  1103,   466,   908,
     558,   899,   416,   893,   900,   901,   902,  1119,   894,  1113,
     747,   748,    26,   748,  1113,   748,    26,   748,  1113,   748,
     748,   748,  1113,  1111,  1111,   932,   748,   299,   466,   466,
     578,   578,   578,   266,   387,   470,   578,   336,   989,   990,
     470,   858,  1112,   466,   905,    53,   422,   420,   828,   829,
    1101,  1103,  1117,    43,   449,   208,   468,   269,   269,   266,
     162,  1112,   387,   157,   741,   266,     4,     6,     7,     8,
      10,    34,    48,    50,    51,    58,    59,    62,    63,    70,
      72,    95,    96,    97,    98,    99,   100,   101,   108,   109,
     111,   145,   149,   150,   155,   170,   172,   200,   201,   203,
     218,   226,   227,   244,   246,   251,   256,   257,   259,   268,
     278,   291,   307,   332,   348,   357,   372,   385,   386,   391,
     393,   394,   403,   409,   417,   437,   438,   439,   440,   442,
     443,   444,   445,   450,   457,   458,   459,   466,   936,  1014,
    1017,  1020,  1021,  1022,  1024,  1025,  1026,  1029,  1030,  1034,
    1036,  1037,  1038,  1040,  1061,  1062,  1063,  1067,  1086,  1091,
    1098,  1099,  1109,  1110,  1111,  1112,  1117,  1097,  1098,  1112,
      26,   513,  1100,  1101,   347,   495,   111,   504,  1112,   505,
    1112,    43,    64,   495,   449,   358,   864,   269,   162,   387,
     455,    43,   449,   208,   865,   466,  1101,   459,   464,   468,
    1092,  1094,   990,     3,   161,   163,   420,   890,   891,   893,
     161,   896,  1034,  1070,   941,   470,   466,   897,   467,   467,
     475,  1101,    26,   125,   947,   947,    53,   947,   152,   157,
     222,   263,   954,   956,   957,   972,   974,   975,   976,   950,
     951,   162,   204,   989,   991,   466,   281,   318,   349,   466,
     793,  1094,   281,   314,   318,   349,   468,   732,   281,   318,
     349,     3,    82,   134,   228,   281,   318,   349,   379,   381,
     429,   506,   509,   870,   871,   872,   873,   763,    22,   130,
     281,   318,   349,   413,   521,  1103,    22,   130,   349,   408,
     489,   433,   179,   989,    55,    89,   119,   148,   182,   217,
     251,   281,   282,   318,   326,   333,   341,   349,   361,   369,
     424,   506,   510,   798,   806,   466,   780,  1094,   318,   489,
     185,   145,    22,    28,    69,   119,   123,   130,   133,   158,
     190,   249,   251,   261,   270,   281,   318,   321,   322,   349,
     413,   518,   520,   642,     4,   457,   458,   615,  1113,    26,
     179,  1101,   731,   731,   466,   811,   281,   349,   468,   145,
     266,    22,   130,   281,   318,   349,   185,   484,   318,   429,
     452,   477,   484,   266,   281,   318,   145,    35,    54,   103,
     187,   235,   238,   249,   280,   318,   323,   343,   349,   363,
     518,   612,   613,   281,   318,   421,   642,   650,   281,   318,
     349,    82,   123,   133,   281,   314,   318,   349,   508,   496,
     498,   185,   145,    41,   121,   318,   349,   518,   519,   281,
     318,   322,   349,    80,   122,   283,   381,   266,    22,    28,
     130,   281,   318,   349,   538,   539,   484,   157,   318,   477,
     484,   145,   318,   349,   518,  1103,   220,   113,   267,   434,
     470,   863,   410,   888,   266,   236,   795,   466,  1103,  1011,
     392,   104,   376,   783,   260,   422,    67,   151,   814,  1103,
    1103,   339,   157,  1103,  1011,   212,   731,  1103,   467,   578,
    1103,   466,   704,   793,    65,  1011,   251,   162,   466,   700,
    1103,   477,    35,   882,  1103,   251,   477,   433,   179,  1101,
     477,   731,   731,   700,   406,   558,   266,   157,   842,   843,
     477,   251,    43,   492,   251,   397,   649,   251,   897,    82,
     281,   626,    80,   122,   283,   381,    24,    45,   199,   673,
      35,   700,   157,   179,   477,   422,   179,  1101,   179,   602,
    1101,  1101,   422,   731,    79,   769,  1109,  1103,   157,   624,
      49,   102,   197,   249,   338,   145,    56,   324,   470,   522,
     522,   145,   466,   145,   419,  1028,  1028,  1028,   466,  1016,
    1016,   293,   466,  1018,   145,    62,    63,  1028,  1016,  1013,
     431,   452,   466,  1031,   466,  1031,   470,   522,    34,  1012,
     466,   106,   177,   237,   240,   340,   447,   466,  1032,  1033,
     732,  1016,   433,   145,   470,   522,   145,   470,   179,   730,
     179,   731,   179,   731,   145,   470,   522,  1116,   145,   145,
     522,   145,    80,   122,   283,   381,   157,   145,   522,   145,
     157,   179,   179,   505,   145,   470,   522,   145,   470,   522,
     145,   266,  1070,   376,   467,   470,   150,   266,   394,   502,
     505,   615,   903,   899,   748,   932,   748,   932,   748,   932,
     748,   932,   748,   932,   932,   932,   748,   932,   466,   579,
     580,  1117,   579,    26,   105,   128,   159,   164,   212,   213,
     336,   343,   376,   379,   397,   754,  1100,  1116,   753,  1103,
     185,   470,   922,  1112,  1011,  1073,    35,  1116,   769,   467,
     470,   220,  1117,   157,   157,   754,  1116,   335,  1117,   505,
     266,   466,  1095,   464,   936,  1074,  1034,  1090,   466,   466,
     157,   466,   466,   936,   466,   466,   466,   466,   466,   466,
    1034,   466,   466,   466,   466,   466,   466,   466,   466,   936,
     466,   466,   466,   466,   466,   466,   466,   466,  1034,  1034,
    1034,   936,  1034,  1070,  1094,  1112,   466,  1112,     3,     8,
      11,    15,    16,    17,    32,    35,    40,    47,    71,   180,
     185,   206,   207,   221,   254,   268,   271,   354,   450,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1065,  1067,
    1069,   430,  1049,   277,  1034,   204,   470,   944,   466,  1112,
    1094,   944,   114,   181,   514,   470,    64,   111,   505,    35,
       3,   111,   225,   503,   615,  1030,  1112,  1112,    85,   127,
    1046,    94,   111,   499,   500,   502,   615,   111,   499,   220,
    1101,  1034,  1093,     3,    26,    30,    31,    32,    33,    34,
      35,    36,    39,    52,    58,    59,    65,    71,    73,    83,
      90,    95,    96,    97,    99,   100,   101,   111,   113,   120,
     125,   126,   132,   136,   140,   150,   152,   157,   159,   162,
     168,   171,   174,   185,   192,   202,   204,   215,   216,   222,
     226,   227,   251,   256,   263,   266,   267,   271,   272,   288,
     297,   312,   325,   342,   348,   359,   373,   376,   384,   387,
     388,   394,   402,   403,   409,   410,   418,   425,   426,   428,
     429,   459,  1106,  1120,  1121,  1122,  1123,  1124,  1092,    86,
     323,   735,   467,   470,   894,   467,   470,   942,  1102,    35,
     897,   938,   938,   952,   953,  1034,   938,   154,   248,   963,
     210,   249,   306,   352,   408,    26,   958,  1034,   959,   961,
    1034,  1036,   972,   973,   957,   956,   954,   955,   157,   975,
     261,   977,   954,   972,   991,   911,  1101,    35,  1117,   349,
    1070,   387,   387,   336,   185,   195,   272,   274,   351,   418,
     459,   786,   787,   788,   790,   792,   794,  1011,  1118,   387,
     421,   387,   336,  1106,   468,   387,   387,   336,   222,   387,
     387,   379,   495,   281,   870,   872,   455,   874,   157,   168,
     185,   327,   764,   765,    65,    83,   141,   159,   297,   403,
     575,   576,    83,   111,   251,   387,    83,   387,   111,   251,
     336,    83,   123,   133,   281,   318,   696,   336,   632,    20,
      25,    59,    72,    87,   128,   139,   159,   164,   234,   268,
     336,   343,   346,   376,   383,   390,   397,   422,   624,  1103,
     145,   318,   349,   518,   266,   615,   266,   341,   217,   387,
    1117,   387,   256,   615,   115,   205,   336,   347,   389,   497,
     324,   349,   798,   807,   467,   781,   786,   387,   409,   379,
    1101,    73,   141,   179,   565,   575,  1117,    73,    83,   832,
     266,   266,   332,   334,   392,    83,   832,    29,   321,   332,
     334,   392,   332,  1101,   158,   190,   261,   731,   466,   387,
     387,   178,   466,   526,   231,   379,   406,   429,   431,   526,
      83,   470,     4,     4,   281,   185,   145,   119,   318,   349,
     518,   410,   410,   250,  1011,   387,   336,   466,   812,  1103,
    1101,   376,   376,   387,   387,   376,   700,   105,   349,   509,
     387,   479,   509,  1101,   387,   387,  1101,  1013,   615,    53,
     614,   615,   615,   103,   235,   238,    53,   387,   477,   242,
     336,   477,   249,   613,   387,   387,   256,  1112,   642,   387,
     387,   336,  1112,   387,   303,   387,   303,   700,   379,   989,
     285,   285,    83,   387,   832,   336,   387,   387,   526,   526,
     731,   731,   731,   731,  1101,    42,   415,    42,    42,   387,
      42,   387,   415,   336,   470,   509,   409,   659,  1115,   387,
     479,   509,  1101,   387,   336,   281,   318,   306,   319,   345,
     501,   863,  1107,  1117,  1101,   206,  1011,   266,   206,   433,
     206,   615,   731,   731,   206,   266,   266,    80,   122,   283,
     381,  1011,   266,   206,   206,   206,   387,   429,   549,   397,
       3,   705,   706,   700,   466,    35,   145,   731,   701,   702,
    1120,    24,   870,  1011,   266,   145,   629,  1103,   251,   285,
     466,   478,   714,   410,   310,   422,  1101,    26,   376,   429,
     802,   478,   145,  1115,    90,   168,   493,   557,   608,   672,
     749,   767,   866,   145,  1112,   650,   651,   145,   266,  1112,
    1115,   228,   731,   731,   731,   731,   261,   116,   198,   395,
     408,   674,   675,   137,   305,   466,   659,   251,   478,  1101,
     251,   610,   612,   251,    35,   261,   285,   466,   578,   578,
     179,   605,  1101,   157,   179,   770,  1107,   466,   784,    35,
    1011,   212,   429,   431,   934,   338,   796,   795,  1011,  1104,
     466,  1070,  1111,   733,  1028,  1028,    34,  1012,   385,   385,
    1111,  1111,  1011,   464,   464,  1111,   387,   387,   387,   466,
     387,  1111,  1016,   782,   783,  1116,  1115,   145,   522,   145,
     410,   145,   410,   813,   814,   522,  1116,  1103,  1103,  1011,
     733,  1116,   659,   145,   145,   522,   730,   731,  1102,  1103,
    1103,   731,   467,   179,  1101,   899,   901,   932,   932,   932,
     932,   932,   932,   579,   467,   470,   467,   165,   344,   377,
    1102,   730,   104,   346,   782,  1102,   260,  1102,  1100,  1100,
    1102,   730,   387,   429,   760,   140,   222,   656,   657,    20,
     143,   332,   352,   923,   989,   255,   924,   467,   470,   906,
     387,  1101,   826,   827,   829,   752,   751,   752,   162,   169,
     761,  1117,    25,    73,   105,   128,   139,   159,   164,   213,
     234,   303,   329,   336,   343,   371,   376,   379,   397,   422,
     624,   742,   743,  1070,  1092,   465,  1070,  1074,  1075,   425,
    1087,  1088,  1034,  1070,   466,  1111,  1111,     3,   106,   177,
     237,   240,   340,   447,  1076,  1077,  1112,  1070,  1070,  1070,
    1111,  1111,  1034,   812,  1034,  1078,   332,   457,   458,   466,
    1035,  1036,  1067,  1080,   467,  1070,  1034,  1070,  1081,  1034,
      52,   162,   216,   388,  1034,  1070,  1084,  1070,   242,  1036,
    1034,  1044,  1045,  1046,   242,  1034,  1046,   467,   470,  1111,
    1032,  1011,  1034,  1034,  1034,  1034,  1120,   385,    39,   373,
    1096,   731,  1034,   466,   936,  1085,   125,   127,   150,   251,
     256,   261,   394,   404,  1034,   466,  1034,   387,    47,   180,
     185,   221,   354,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,    26,    33,   359,  1064,   171,   153,  1050,
     332,   466,  1061,   167,   225,   376,   380,   382,   406,   945,
    1101,  1099,   162,   979,    26,   125,   418,   459,   467,   788,
    1034,  1071,  1072,  1118,   979,  1101,   389,   466,  1112,   470,
     467,   465,   471,   178,   178,   522,  1101,   891,   892,  1101,
    1034,   467,   466,   470,    36,   120,   410,   776,   466,   960,
    1113,   352,   210,   267,   470,   332,   333,   962,  1100,   255,
     356,   925,   973,   955,   410,   920,   111,   279,   466,   912,
     935,    35,  1117,   466,   927,   928,   929,  1117,   467,  1115,
    1103,  1103,   274,    53,  1118,   467,   788,   790,   787,   790,
    1118,   272,   467,   470,   732,  1115,  1103,  1103,  1106,  1115,
    1103,  1103,  1115,  1104,  1103,   111,   502,  1113,   329,   409,
     751,   336,   168,   751,   466,  1103,   410,   771,   210,   210,
     410,   466,   599,   179,  1103,   256,  1115,  1103,  1103,  1034,
     256,  1103,  1103,    29,   321,   387,   387,  1103,   387,   633,
     236,   795,   466,   731,   731,  1011,   392,   104,   376,   783,
     422,    67,   151,   814,  1103,   731,  1103,   731,   339,   157,
    1011,   731,   212,   173,   249,   281,   318,   414,   636,   637,
     638,   989,   387,   832,   336,   256,   147,   115,   205,  1115,
    1103,   266,  1103,   467,   470,  1114,  1116,  1103,   318,   518,
     179,   565,   251,  1011,  1103,  1117,  1103,   147,   220,  1103,
      26,   409,  1103,   179,  1103,   179,  1117,   334,   392,   334,
     392,   220,  1103,    26,   409,  1103,   220,   332,  1101,    22,
     130,   349,   643,   644,   645,   646,  1120,  1115,  1103,   111,
     163,   252,   410,   525,   528,   529,  1120,  1103,   264,    69,
     264,  1103,   520,   387,   379,  1101,   266,   387,   832,   336,
    1105,  1117,  1105,   470,   467,   470,  1115,  1103,   837,   838,
    1120,   266,   318,   387,   667,   990,   990,  1115,  1103,   990,
    1104,  1114,     3,    82,   135,   190,   287,   401,   409,   412,
     480,   318,  1115,  1103,   318,   349,   518,   612,   615,   731,
    1103,   615,   731,  1103,   615,  1115,  1103,  1115,  1103,  1103,
    1115,   802,  1103,   846,   847,  1120,  1103,   318,   349,   518,
     519,  1101,  1101,  1103,  1103,  1103,  1103,  1115,  1103,    22,
      28,   130,   281,   318,   349,   281,   318,   349,   700,   318,
     349,   318,   349,   119,   318,  1003,  1117,   179,   710,  1117,
     179,  1117,  1115,  1103,  1103,  1112,  1103,    22,   539,   346,
    1114,   318,   349,   518,  1103,  1103,   387,   387,    78,   400,
     306,   256,   739,  1112,    35,   128,   731,   739,   739,   206,
     410,   410,   739,   731,   731,   212,   731,   739,   739,   739,
     302,   543,   264,   162,   387,   542,   188,   455,   467,   470,
    1034,  1011,   731,   467,   470,   455,   674,   567,  1120,  1103,
      56,   162,   336,   421,   630,   637,   638,   145,   261,   221,
     559,   561,   563,   565,   572,   575,    23,   185,   329,   374,
     480,   481,   157,  1105,   422,  1101,    35,   668,   377,   990,
     700,   491,  1117,   492,   271,   558,  1103,   159,   731,  1070,
     303,  1112,   700,   700,   700,   700,   261,   266,   271,   466,
     700,  1001,  1002,  1003,   346,   145,   466,   145,   145,   144,
     935,   731,   261,   559,  1117,   429,   431,   595,   429,   527,
     251,    35,   578,  1112,   251,   266,   467,   785,   786,   791,
      35,   212,   326,   390,   428,   797,   798,   799,   266,   212,
     505,   176,   176,   157,   522,    35,  1070,   467,   467,   522,
     464,   449,   449,   467,   467,  1111,   465,  1111,   467,   177,
     237,  1033,   237,  1033,  1033,  1111,   240,   467,   522,   730,
     731,  1105,   731,  1105,   522,   522,   212,   522,   346,   157,
     505,   522,   522,   266,   522,   251,   467,   580,   185,   185,
     185,   433,  1102,   615,   616,   171,   755,   756,  1115,    23,
     761,   387,   466,   162,   143,   352,   143,   352,   332,   408,
     239,  1011,  1115,   429,   603,  1101,  1103,   162,   266,   755,
      53,   522,   795,  1011,   392,   376,   783,   260,   422,  1011,
     212,   731,  1103,   467,   465,   465,   470,  1034,   132,  1088,
    1089,    35,   467,  1034,   467,   467,   467,   162,   467,   467,
     467,   467,   467,   470,   467,   288,  1079,   467,   466,  1035,
    1035,  1070,    11,    15,    16,    17,   185,   206,   268,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1067,  1035,
     467,   467,   157,   162,  1082,  1083,   467,    35,  1084,  1070,
    1084,  1084,   162,   467,   467,  1120,   286,  1048,    35,   467,
     470,  1034,  1120,   470,  1034,  1095,  1034,   467,   449,  1035,
    1035,   138,  1070,   162,   125,   127,   150,   256,   261,   394,
     404,   466,   138,   812,  1034,   373,  1096,  1034,  1085,  1034,
     387,   466,   936,   466,   466,   276,  1054,   466,  1070,   380,
     382,   380,   382,  1101,   946,   946,   946,   215,   333,   446,
     466,   936,   980,   981,   982,   989,   994,  1004,  1037,  1039,
    1040,  1109,  1117,   426,   999,  1071,  1071,  1072,   467,    13,
      14,   470,   950,   951,   999,   864,  1111,  1032,   500,  1034,
    1093,   897,   906,   953,   268,  1065,  1068,   451,   777,  1034,
     962,   408,   959,   230,   980,   426,  1000,   416,   375,   409,
     913,   914,   915,  1117,   266,   916,  1117,   929,   930,   470,
     979,   455,  1095,   794,   732,   790,   790,    53,   792,   461,
    1116,  1116,   266,  1102,   269,   266,  1034,   576,  1105,   466,
     466,   466,   599,   188,   579,   689,   145,   522,   387,  1115,
    1103,   505,  1103,  1011,  1103,   433,   731,   731,   731,   731,
      80,   122,   283,   381,  1011,  1103,   619,  1103,   173,   414,
     387,   387,   619,   636,   642,   318,   349,   518,  1103,  1103,
    1103,   196,  1103,   256,   786,   280,   349,   387,   251,   145,
     270,   640,   689,    22,   130,   322,   323,   349,   521,   530,
     531,   642,   833,  1103,   341,   145,   522,   145,   522,  1103,
    1103,  1103,  1103,   341,   341,   220,   645,   646,   645,   467,
     470,   647,  1112,   188,   467,   470,   455,   468,  1115,  1103,
     318,   349,   518,   147,  1103,  1103,  1103,   281,   318,   349,
      22,   130,   281,   318,   349,  1011,   250,  1011,   467,   470,
     455,  1101,   387,  1116,   410,   664,   222,   287,   256,  1112,
     287,  1116,   407,   387,   387,   336,   470,   802,   280,   349,
      83,   387,   832,   336,   157,   532,   387,   387,   232,   232,
     232,   387,   387,   336,   387,   387,   336,   387,   336,   387,
     336,   266,   387,   522,  1011,   251,  1112,   349,   833,   145,
     522,   387,   387,  1103,   387,   336,  1115,  1103,  1011,   731,
     206,   739,  1105,  1105,   206,   206,  1103,   206,   366,   367,
     544,  1112,   543,   173,   250,   268,   457,   458,   615,   703,
     790,  1068,  1112,  1124,     3,   706,   467,   467,   162,   700,
     702,   703,   266,    65,    71,    83,   111,   113,   166,   192,
     251,   256,   297,   312,   403,   568,   569,   571,   144,   425,
     477,   505,  1103,   505,   640,  1101,  1101,  1101,   467,   470,
    1116,   171,   329,  1116,  1111,   397,  1101,   578,     3,   157,
     669,    43,   492,   320,   376,   649,   104,   897,   162,   846,
     527,   579,  1101,   675,   707,   708,  1112,   467,   470,  1103,
     157,   579,  1101,   602,  1101,  1103,   603,   466,   560,  1101,
     467,   264,   526,   264,   266,   596,   526,    35,   145,   935,
     527,   387,   145,  1101,   467,   470,   111,   455,   800,  1112,
     505,   376,   789,   790,   157,   801,   799,   802,   116,   198,
     342,   408,   855,  1103,   173,   935,  1011,   467,  1111,  1031,
    1031,   465,   465,   467,   522,   410,   522,   410,   522,  1103,
    1103,   659,   522,   731,   145,   336,   336,   336,  1102,   470,
    1115,   429,   470,   757,   269,   990,   346,   143,   143,   104,
     249,  1116,   754,   522,  1115,   206,   206,   206,   615,   206,
     206,   206,  1074,   384,  1034,   136,  1011,   467,  1034,  1034,
    1034,  1082,   467,  1070,   470,  1011,  1035,  1035,  1035,  1035,
     125,   127,   251,   261,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1034,  1034,  1083,  1082,  1011,   467,
     467,   467,  1070,   467,   470,    53,  1036,   467,  1120,  1045,
     294,   370,  1047,   467,   470,   421,  1041,    35,   467,  1112,
    1034,    32,    32,  1034,   467,  1034,   162,   466,  1073,  1034,
     467,   138,  1035,  1035,   138,   138,  1034,  1034,   951,   426,
     466,  1055,  1117,   467,  1070,   470,   946,   946,   946,   946,
    1101,  1101,  1101,   936,   994,  1004,   162,   466,   936,   981,
     982,    35,   983,   984,  1117,   470,    91,   163,   194,   209,
     219,   245,   328,   986,   984,    35,   983,   985,  1117,   984,
     452,   998,   466,  1094,  1034,   171,   964,   470,   950,   950,
     950,  1034,  1034,   418,  1072,   467,   964,   467,   465,   467,
     466,   777,   154,   214,   467,   267,    94,  1034,   325,   918,
     415,   467,   470,  1095,    81,   918,   467,   470,   928,  1000,
    1034,   467,   461,   794,   397,   165,   337,   344,   377,   398,
     766,   157,   766,   467,   466,   582,   583,   773,  1039,  1117,
     579,   579,   689,  1107,   467,   113,   192,   249,   251,   690,
    1103,  1103,    35,  1103,   410,   410,   731,   731,   731,   731,
     212,   732,  1115,  1103,   387,   832,   336,   387,   196,    53,
     379,  1103,   145,   565,   466,   567,   166,   178,   251,   526,
     477,   104,   166,   251,   365,   368,   526,   613,   349,   531,
     397,  1103,  1117,   341,   644,  1103,   529,   703,  1120,   280,
     349,   387,   832,   336,  1103,   387,   387,   387,   336,   164,
     268,   368,   712,   713,   164,   268,   720,   721,   387,   387,
     336,   467,   467,   467,   838,   250,   615,   790,   839,  1068,
    1112,  1124,   318,  1103,   466,   429,   665,  1113,  1112,  1112,
    1112,  1103,  1103,  1103,   847,    53,   379,  1103,  1103,  1103,
    1103,   416,  1103,  1103,   157,   157,   320,   157,   179,  1115,
    1103,  1103,  1115,  1103,  1103,  1103,  1103,  1103,  1103,   147,
    1103,    71,   523,   145,    24,    45,   397,  1117,  1103,  1112,
     642,  1103,  1103,   467,   206,   739,   206,   206,   739,   739,
     206,   739,   477,   544,   619,   689,   429,   431,   731,  1101,
     466,   731,  1103,  1035,    29,    53,   570,   114,   181,   113,
     256,   210,  1101,   802,   301,   692,   693,  1117,   629,   285,
     466,   560,   573,   191,   589,   563,  1116,  1116,  1011,   466,
     527,    26,   116,   198,   342,   408,   670,   387,   666,  1115,
     179,  1101,   651,   433,   266,   980,   802,   313,   676,   467,
     470,  1003,   640,   659,   467,   610,    35,   261,   285,   466,
     908,   562,   564,   566,   575,  1117,   285,   590,   591,   560,
     589,    77,   379,   597,   935,   605,   603,   597,  1112,  1107,
     771,   791,  1034,  1034,   470,   466,   797,   397,   470,   387,
     466,   619,   467,   465,  1105,  1105,   522,   346,   522,  1102,
    1102,  1102,   615,   168,   756,   467,  1103,   104,   761,   162,
     256,   744,  1112,   744,   744,   206,   744,   744,   744,  1034,
     467,   467,  1083,   467,  1034,   162,   125,   127,   261,   466,
     467,   436,  1043,  1070,   311,    53,   427,   427,   467,  1034,
     249,  1034,   470,  1042,  1013,  1034,  1034,  1034,  1073,   467,
    1034,    32,    32,  1034,  1034,   138,   467,   467,  1034,  1056,
    1117,   467,  1034,  1101,  1101,  1101,  1101,   984,   985,   984,
     466,   441,  1036,   467,  1117,   466,   981,   209,   275,   987,
     981,   987,   209,   986,   987,   209,   378,   992,   466,  1117,
     466,   273,  1071,    53,   174,   971,   467,   467,   467,  1072,
    1112,   971,  1112,   812,   261,  1098,   935,   279,   935,   915,
     266,   466,   917,   455,   929,   918,   397,   467,   387,   751,
     162,   689,  1034,   467,   470,   429,    71,   774,   774,   467,
     467,   802,   114,   181,   190,   113,   412,   522,  1011,  1105,
    1105,  1103,  1103,  1103,  1103,  1103,  1116,  1103,   565,   641,
     645,   570,   179,   256,   615,   570,   256,  1113,  1117,  1011,
     522,   522,   455,    53,   379,  1103,  1103,  1103,  1103,  1115,
    1103,  1103,  1111,  1111,  1011,   470,  1111,  1111,   470,  1115,
    1103,  1103,   387,  1034,    65,  1116,  1103,   387,   387,   162,
     185,  1102,  1102,   731,  1102,   145,  1103,   731,  1112,  1112,
    1011,   522,   522,   206,   739,   739,   739,   739,   466,   545,
     546,   410,   550,   551,   164,   195,   164,   162,   688,  1034,
     251,   569,   111,    35,   802,   578,   410,   598,  1109,    32,
     144,   185,   261,   559,   532,   142,   186,   466,   346,   410,
     579,    35,  1116,   664,   492,   251,   466,   159,  1103,  1070,
     247,   265,   677,   678,   679,   157,   682,  1112,   346,   527,
     935,   731,   261,   559,   603,   467,   470,   429,   567,    53,
     595,   532,   590,   116,   130,   294,  1103,   429,   867,    35,
     162,   266,   466,  1112,   788,   803,   804,  1118,   802,  1011,
     157,  1101,   162,   387,   823,   193,   620,   522,   522,   522,
    1103,   269,   204,   522,   755,   744,   467,  1035,   162,   466,
    1073,   466,   467,   470,   467,  1036,   311,   467,   415,   362,
     467,   467,   467,  1034,  1034,  1034,   467,   285,  1057,   467,
     995,   996,  1039,   466,  1048,   983,   466,  1102,   981,   266,
     410,   988,   981,   209,   981,  1109,  1002,   466,  1002,  1117,
     950,    93,   172,   331,   466,   965,   966,   967,   968,   969,
     970,  1034,  1034,   428,  1051,   950,  1051,   467,   932,   913,
      83,   772,   773,   126,  1034,   755,   266,   755,   467,   802,
     583,   268,   812,   731,   731,   775,   775,   312,   802,   598,
     467,   387,   349,   924,   467,   470,    35,   145,   523,   703,
    1116,  1103,   387,   466,   783,   812,   814,   713,   466,   466,
     721,  1103,   467,   466,   349,   924,  1103,  1103,   466,   466,
     429,   452,   885,   320,   885,   885,   157,   523,   739,   552,
     553,  1120,    49,    92,   117,   134,   138,   158,   161,   175,
     256,   264,   304,   547,   477,   118,   783,    35,   819,   819,
    1101,   689,   467,   178,   598,   233,   581,   188,   466,   693,
     301,   466,  1101,   467,   346,    26,    76,    84,   112,   178,
     189,   368,   574,   574,  1100,  1103,  1105,   467,   935,   665,
     145,   104,   640,   162,   678,   332,   376,   680,   131,   683,
     425,   685,  1103,    35,   603,   560,  1101,   467,   564,   270,
       3,   592,  1121,   596,   590,   595,   333,   333,    57,    65,
     225,   935,   731,  1101,   772,   790,   467,   470,   397,   999,
     360,   360,   467,   619,   249,   414,   621,   622,  1103,   522,
    1035,  1073,   467,  1044,  1070,    53,   249,   448,    53,   950,
     467,   470,    35,   997,   111,  1009,  1010,  1035,    74,  1102,
     467,  1034,   466,   981,   988,   466,   467,  1002,   467,   467,
     466,   350,   466,   467,   470,  1052,  1053,  1117,   467,   415,
    1103,   467,   470,   252,   408,   757,   766,   522,   774,   598,
     466,   776,   776,  1101,   598,   689,  1103,   379,   645,   178,
     410,   524,   349,   924,  1103,  1073,   157,   716,   716,  1073,
    1073,  1034,   379,   235,   238,   256,   533,   535,   536,   615,
    1112,   533,   534,   730,   731,   730,   731,  1102,   522,   467,
     470,   459,   466,   502,   554,   615,   882,  1112,   882,   251,
     256,   304,   882,   882,   545,  1112,   819,    38,   183,   157,
     249,   577,   466,   611,   163,   284,   355,   266,   585,   586,
     587,   379,   467,  1109,     5,   694,   560,   589,  1103,   467,
     640,   151,   715,   527,   867,  1101,   433,   980,   882,   332,
     364,   684,   466,   144,   640,   935,   590,   560,   589,   567,
     466,   597,   595,   596,    65,   269,    65,   603,   771,   467,
     797,   803,  1011,   126,   429,   429,   414,   619,   640,   467,
     467,   467,   311,   415,  1070,   305,   333,  1058,   998,   995,
     466,  1035,   467,   470,    35,  1005,  1006,  1117,   467,  1102,
    1070,   467,  1070,   466,  1070,   966,   470,    35,   935,   999,
     773,   349,   162,   775,   426,   584,   812,   777,   777,   578,
     689,  1103,   611,  1034,   379,   467,   272,   339,   309,   717,
     717,   467,   467,   467,  1103,   467,   470,   467,   470,   885,
     553,   502,   555,   556,  1112,  1112,   256,   579,   459,   579,
    1112,  1112,   131,   190,   612,   116,   408,   266,   587,   266,
     586,  1103,   466,   467,   470,   532,   346,   640,   731,    35,
      35,   466,  1103,   681,  1117,  1034,   301,   867,   595,   532,
     590,   466,   593,   594,  1039,  1117,   596,   597,   269,   269,
     466,   527,   802,    27,   199,   856,   164,   164,    47,    94,
     399,  1034,  1059,  1060,  1059,   467,  1002,   470,  1010,  1120,
     467,   470,   157,  1011,   467,   467,   467,   965,   467,  1053,
    1055,   927,   755,   776,   466,   689,   467,   581,   924,  1103,
     783,    53,   924,   387,   536,   533,   731,   467,   470,   579,
     332,   467,    56,   249,   324,   349,   588,   588,   467,     5,
     346,  1103,   712,   935,   640,   467,  1109,   596,   590,   595,
    1034,   467,   470,   774,   774,   597,   772,   597,   252,   466,
     851,   853,   857,   910,   919,   926,   935,   783,   783,  1060,
     332,   156,   292,   156,   292,   467,  1036,  1006,   273,     3,
     111,   251,   256,  1007,  1008,   319,   993,   467,   999,   522,
     777,  1034,   585,   924,   731,   466,   556,   685,    21,   111,
     256,  1103,   640,   867,   466,   597,   595,   596,   467,   594,
     775,   775,   467,   999,   852,   853,   854,   936,   937,   470,
     470,    32,  1048,  1035,  1035,   256,  1008,   466,   467,   689,
     535,   144,   640,     4,   686,   687,  1111,  1112,  1120,   596,
     597,   774,   527,   467,   469,   387,   162,  1060,    74,  1034,
     467,   301,   467,   470,   597,   775,   597,   854,   360,   360,
    1005,   467,  1109,   687,   999,   429,   429,   467,   466,   164,
     164,   686,   783,   783,   467
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   472,   473,   474,   474,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   476,
     477,   477,   477,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   481,   481,   481,   481,
     481,   481,   482,   483,   483,   484,   484,   485,   485,   485,
     485,   486,   486,   486,   486,   486,   486,   487,   488,   489,
     489,   490,   490,   490,   490,   491,   491,   492,   492,   493,
     493,   493,   493,   493,   493,   494,   494,   494,   495,   495,
     495,   496,   496,   496,   496,   497,   497,   497,   497,   497,
     497,   497,   497,   497,   497,   497,   498,   498,   499,   499,
     500,   500,   501,   501,   501,   501,   502,   502,   502,   502,
     503,   503,   503,   503,   503,   503,   503,   504,   504,   504,
     505,   505,   506,   507,   507,   507,   507,   508,   508,   509,
     509,   510,   510,   511,   511,   511,   511,   511,   512,   513,
     513,   514,   514,   515,   516,   516,   516,   516,   516,   517,
     517,   517,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   518,   518,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   521,   521,   522,
     522,   522,   523,   523,   524,   524,   525,   525,   525,   525,
     526,   527,   527,   528,   528,   529,   529,   529,   529,   530,
     530,   531,   531,   531,   531,   532,   532,   533,   533,   533,
     534,   534,   535,   535,   536,   536,   536,   537,   538,   538,
     539,   539,   539,   539,   540,   540,   541,   541,   542,   542,
     543,   543,   544,   544,   544,   545,   545,   546,   546,   547,
     547,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   548,   548,   549,   549,   550,   550,   551,
     551,   552,   552,   553,   554,   554,   554,   554,   554,   555,
     555,   556,   557,   557,   557,   557,   557,   557,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     561,   561,   562,   562,   563,   563,   563,   564,   564,   565,
     566,   566,   567,   567,   568,   568,   568,   568,   569,   569,
     569,   569,   569,   569,   569,   569,   570,   570,   571,   571,
     571,   571,   572,   573,   573,   573,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   576,   576,   576,
     576,   576,   577,   577,   578,   578,   579,   579,   580,   581,
     581,   581,   581,   582,   582,   583,   583,   584,   584,   585,
     585,   585,   585,   585,   586,   587,   588,   588,   588,   588,
     588,   589,   589,   590,   590,   591,   592,   592,   593,   593,
     594,   594,   594,   595,   595,   595,   595,   596,   596,   596,
     596,   597,   597,   598,   598,   599,   600,   600,   601,   601,
     602,   603,   603,   603,   604,   604,   605,   606,   606,   607,
     608,   608,   609,   609,   610,   610,   611,   611,   612,   612,
     613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   614,   614,   615,   615,   615,   615,
     616,   616,   617,   617,   618,   618,   619,   619,   620,   620,
     621,   621,   622,   622,   623,   623,   624,   624,   625,   626,
     626,   627,   627,   628,   628,   629,   629,   630,   630,   630,
     630,   631,   632,   632,   633,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   635,   636,   636,   636,   636,   637,   637,   638,   638,
     639,   639,   640,   640,   641,   641,   642,   643,   643,   644,
     644,   644,   644,   645,   646,   647,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   652,   652,   653,   653,   653,
     653,   654,   654,   655,   656,   656,   657,   657,   658,   658,
     659,   659,   660,   660,   661,   662,   663,   664,   664,   665,
     665,   666,   666,   667,   667,   668,   668,   669,   669,   670,
     670,   670,   670,   670,   671,   672,   672,   673,   673,   673,
     674,   674,   675,   675,   675,   675,   675,   676,   676,   677,
     677,   678,   679,   679,   680,   680,   681,   682,   682,   683,
     683,   684,   684,   685,   685,   686,   686,   686,   687,   687,
     687,   687,   688,   688,   689,   689,   690,   690,   690,   690,
     690,   690,   691,   691,   692,   692,   693,   694,   694,   695,
     696,   696,   696,   696,   697,   698,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   700,   701,   701,   702,   702,   703,   703,   703,
     703,   703,   703,   704,   705,   705,   706,   707,   707,   708,
     708,   709,   709,   709,   709,   710,   710,   711,   712,   712,
     713,   713,   713,   713,   713,   714,   714,   715,   715,   716,
     716,   716,   717,   717,   718,   719,   719,   720,   720,   721,
     721,   722,   722,   723,   723,   724,   725,   726,   726,   726,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   727,
     727,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   728,   728,   728,   728,   728,   728,   728,   729,
     729,   729,   730,   730,   731,   731,   732,   732,   733,   733,
     734,   735,   735,   735,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   737,   737,   737,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   739,   739,   740,
     740,   740,   740,   740,   740,   740,   741,   741,   742,   742,
     742,   742,   742,   742,   743,   743,   743,   743,   743,   743,
     743,   743,   744,   744,   745,   745,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   748,   748,   749,   750,   750,   751,
     751,   751,   751,   751,   752,   752,   753,   753,   753,   753,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   754,   754,   754,   754,   755,   755,   756,   756,
     757,   757,   758,   759,   759,   760,   760,   761,   761,   762,
     763,   763,   764,   764,   764,   765,   765,   765,   766,   766,
     766,   766,   766,   767,   767,   768,   768,   769,   769,   770,
     770,   771,   771,   772,   772,   773,   773,   773,   774,   774,
     775,   775,   776,   776,   776,   777,   777,   777,   778,   778,
     778,   779,   779,   780,   780,   781,   781,   782,   782,   783,
     783,   783,   783,   784,   784,   785,   785,   786,   786,   786,
     786,   786,   787,   787,   787,   787,   787,   788,   789,   790,
     790,   790,   791,   791,   791,   792,   793,   793,   793,   793,
     794,   794,   795,   796,   796,   797,   797,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   799,   799,   799,   799,   799,   800,   800,
     801,   801,   802,   802,   803,   804,   804,   805,   806,   806,
     807,   807,   808,   808,   809,   809,   810,   810,   811,   811,
     811,   811,   812,   812,   813,   813,   814,   815,   816,   816,
     817,   817,   818,   818,   818,   819,   819,   819,   820,   821,
     821,   822,   823,   823,   823,   823,   824,   825,   825,   825,
     825,   826,   826,   827,   827,   827,   828,   828,   829,   830,
     830,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   832,   832,   833,   833,   834,   834,   834,   834,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   836,   837,   837,   838,   838,
     839,   839,   839,   839,   839,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   841,   842,   842,
     843,   843,   844,   844,   844,   844,   845,   846,   846,   847,
     848,   848,   848,   848,   848,   848,   849,   849,   850,   851,
     851,   851,   852,   852,   853,   853,   853,   853,   853,   854,
     854,   855,   855,   855,   855,   856,   856,   856,   857,   858,
     858,   859,   860,   860,   861,   861,   861,   861,   861,   861,
     861,   861,   861,   861,   861,   861,   861,   861,   862,   862,
     862,   863,   863,   863,   863,   863,   864,   864,   864,   865,
     865,   866,   866,   866,   866,   867,   867,   867,   867,   868,
     869,   870,   870,   871,   871,   872,   872,   872,   873,   873,
     873,   873,   873,   873,   873,   874,   874,   875,   875,   875,
     876,   877,   877,   878,   879,   879,   880,   881,   881,   881,
     881,   881,   881,   881,   882,   882,   883,   884,   884,   884,
     884,   884,   884,   885,   885,   886,   887,   887,   887,   888,
     888,   889,   889,   889,   889,   889,   890,   890,   891,   891,
     891,   891,   891,   892,   892,   893,   893,   894,   894,   895,
     895,   896,   896,   897,   897,   898,   898,   898,   898,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   900,   900,
     901,   902,   902,   903,   903,   903,   904,   905,   905,   906,
     906,   906,   906,   907,   907,   908,   908,   909,   909,   909,
     909,   910,   911,   911,   912,   912,   912,   912,   912,   913,
     913,   914,   914,   915,   916,   916,   916,   917,   917,   917,
     918,   918,   919,   920,   920,   921,   922,   922,   923,   923,
     923,   923,   923,   923,   923,   923,   924,   924,   925,   925,
     925,   926,   927,   927,   928,   928,   929,   930,   930,   931,
     932,   933,   933,   933,   933,   933,   934,   934,   934,   935,
     935,   936,   936,   937,   937,   937,   937,   937,   937,   937,
     937,   938,   938,   939,   939,   939,   939,   939,   939,   939,
     940,   940,   940,   941,   941,   942,   943,   943,   944,   944,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   946,
     946,   947,   947,   947,   948,   948,   949,   949,   950,   950,
     951,   952,   952,   953,   953,   954,   954,   954,   954,   955,
     955,   956,   956,   956,   957,   957,   958,   958,   959,   960,
     960,   960,   961,   962,   962,   963,   963,   964,   964,   965,
     965,   966,   966,   966,   966,   966,   967,   968,   969,   970,
     971,   971,   972,   972,   973,   973,   974,   974,   975,   976,
     976,   976,   976,   977,   977,   978,   978,   979,   979,   980,
     980,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   982,   982,   982,   982,   982,   982,   983,   983,   983,
     983,   984,   984,   985,   985,   985,   985,   985,   986,   986,
     986,   986,   987,   987,   988,   988,   989,   989,   989,   989,
     990,   990,   991,   991,   991,   992,   993,   993,   994,   994,
     995,   996,   996,   997,   997,   998,   998,   999,   999,  1000,
    1000,  1000,  1001,  1001,  1002,  1002,  1003,  1004,  1004,  1005,
    1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1009,  1009,  1010,  1010,  1011,  1011,  1011,  1011,  1011,  1011,
    1012,  1012,  1012,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1014,  1014,  1014,  1014,  1015,  1015,  1016,  1016,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1022,  1023,  1023,  1024,
    1024,  1025,  1026,  1027,  1027,  1027,  1027,  1027,  1027,  1028,
    1028,  1029,  1029,  1029,  1029,  1030,  1031,  1031,  1031,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1033,  1033,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1037,  1037,
    1037,  1037,  1037,  1037,  1037,  1038,  1038,  1039,  1039,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1041,  1041,  1042,  1042,  1042,  1042,  1043,  1044,  1044,
    1045,  1045,  1046,  1046,  1047,  1047,  1047,  1048,  1048,  1048,
    1048,  1049,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,
    1054,  1054,  1054,  1055,  1056,  1056,  1057,  1057,  1058,  1058,
    1058,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1061,  1061,
    1061,  1062,  1062,  1063,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1067,  1067,  1068,  1068,  1069,  1069,  1069,  1069,  1069,
    1069,  1070,  1070,  1071,  1071,  1072,  1072,  1072,  1073,  1073,
    1074,  1074,  1074,  1075,  1075,  1076,  1076,  1077,  1077,  1077,
    1077,  1077,  1077,  1077,  1077,  1078,  1078,  1079,  1080,  1080,
    1081,  1081,  1081,  1081,  1081,  1081,  1082,  1083,  1084,  1084,
    1084,  1085,  1085,  1086,  1087,  1087,  1088,  1089,  1089,  1090,
    1090,  1091,  1091,  1092,  1092,  1092,  1092,  1093,  1093,  1094,
    1094,  1095,  1095,  1096,  1096,  1097,  1097,  1098,  1098,  1099,
    1099,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,  1103,
    1104,  1105,  1106,  1107,  1108,  1109,  1109,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1111,  1112,  1113,  1113,  1113,  1114,  1115,  1115,  1115,  1116,
    1116,  1117,  1117,  1117,  1118,  1118,  1118,  1119,  1119,  1119,
    1119,  1120,  1120,  1120,  1120,  1120,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     5,     0,     3,     5,     5,     5,
       5,     3,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     1,     3,     3,     2,     2,
       2,     2,     3,     3,     3,     3,     1,     3,     1,     3,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     5,     1,     1,     1,     1,     1,     0,
       1,     1,     2,     1,     2,     3,     2,     1,     1,     2,
       1,     2,     1,     2,     3,     4,     3,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     2,     5,     3,     6,     4,     6,     6,     6,     5,
       5,     6,     9,     4,     5,     7,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     1,
       2,     1,     3,     2,     3,     6,    10,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     1,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    11,     9,     1,     1,
       1,     0,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     1,     3,     3,     1,     1,     3,     3,     3,     3,
       4,     3,     2,     1,     0,     2,     0,     3,     0,     1,
       0,     1,     3,     2,     1,     1,     1,     3,     0,     1,
       3,     1,    12,    15,    11,    14,    13,    16,     1,     1,
       2,     2,     2,     2,     1,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     4,
       2,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     5,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     1,     0,     6,     1,     1,     1,     3,
       3,     3,     5,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     7,    10,
       5,     2,     3,     0,     8,    11,     4,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     7,     6,    10,     6,     6,
       6,     6,     7,     6,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,    13,     2,     0,
       2,     2,     1,     0,     5,     4,     4,    11,    14,    12,
      15,     5,     7,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,    16,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     2,     0,     1,
       2,     4,     1,     1,     1,     1,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     7,
       5,     8,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     8,     3,     0,    13,     1,     3,
       5,     5,     3,     6,     2,     1,     0,     2,     0,     2,
       4,     0,     1,     0,     6,     8,     8,     1,     3,     5,
       5,     7,     9,     7,     9,     5,     6,     6,     4,     6,
       4,     6,     8,     4,     6,     4,     6,     5,     7,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     3,     3,
       3,     3,     2,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     8,     9,     8,     8,     9,     8,     9,     9,     7,
      10,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       2,     3,     3,     3,     3,     2,     1,     2,     1,     3,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     8,
       8,     8,     8,     8,     8,     9,     2,     0,     1,     2,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,     1,    14,    17,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     2,     0,
       1,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     2,     0,     3,     2,     1,     3,     1,     3,     2,
       1,     1,     2,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     3,     3,     5,     6,
       1,     3,     2,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     2,     2,     1,     1,     1,     3,
       3,     5,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     3,     3,     6,
       6,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       5,     6,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     8,    10,     6,     6,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     9,    11,     8,    10,     9,    11,     8,
       8,     7,     6,     6,     6,     6,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     9,     8,     7,
       6,     6,     6,     6,     6,     6,     6,     9,     9,     6,
       8,     6,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     6,     6,     6,     6,     6,
       6,     7,     7,     6,     9,     9,     6,     6,     6,     6,
       8,     8,     8,     6,     7,     6,     6,     5,     1,     0,
       3,     3,     5,     6,     6,     6,     8,     1,     3,     1,
       5,     5,     6,     7,     4,     4,     4,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     1,     0,     1,     2,     3,     3,     3,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     5,     4,     6,
       4,     3,     5,     5,     4,     4,     6,     4,     6,     6,
       5,     7,     9,     6,     1,     0,     6,    11,    11,    11,
      13,     9,    11,     1,     1,    10,     4,     2,     5,     2,
       0,     4,     5,     5,     4,     6,     1,     3,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     3,     0,     1,
       1,     1,     1,     3,     9,     3,     0,     2,     3,     2,
       3,     7,     1,     3,     1,     4,     4,     7,     2,     1,
       1,     1,     3,     2,     8,     5,     0,     4,     3,     0,
       2,     0,     7,     2,     0,     5,     3,     0,     2,     2,
       2,     3,     1,     3,     1,     2,     1,     0,     1,     2,
       0,     8,     1,     3,     3,     5,     2,     1,     3,     7,
       1,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     6,     1,     0,     2,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     4,     5,
       2,     0,     1,     3,     1,     0,     1,     2,     3,     2,
       4,     2,     3,     2,     0,     4,     5,     2,     0,     1,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     6,     4,     0,     2,     6,
       2,     1,     3,     4,     0,     2,     0,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     7,    12,     1,
       3,     2,     3,     3,     1,     2,     2,     2,     2,     1,
       1,     3,     3,     2,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     4,     1,     2,     2,     1,     3,     3,     2,     1,
       0,     5,     2,     5,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     3,     3,     2,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     6,
       7,     3,     4,     4,     6,     2,     3,     4,     1,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     1,     0,     1,     3,     3,
       2,     1,     1,     1,     3,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     6,     2,     3,     5,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 776 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 24126 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 792 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 24142 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 804 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 24153 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24159 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 948 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24171 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 958 "gram.y" /* yacc.c:1646  */
    {}
#line 24177 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 959 "gram.y" /* yacc.c:1646  */
    {}
#line 24183 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 960 "gram.y" /* yacc.c:1646  */
    {}
#line 24189 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 969 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24195 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 970 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24201 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24207 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24213 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 24222 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 985 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 24230 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 989 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24244 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 999 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 24256 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 24264 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 24272 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24280 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24288 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1024 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 24337 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1071 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 24343 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 24351 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24359 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24367 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24375 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24383 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1104 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24395 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1122 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24407 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1130 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24419 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1140 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24425 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1141 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24431 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1146 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24443 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1154 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24455 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1162 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24467 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1170 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24479 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1191 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24490 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24501 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1205 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24512 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1212 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24523 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1219 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24534 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24545 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1243 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24557 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1261 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 24570 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 24576 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 24582 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1284 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24596 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1294 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24610 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1304 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24629 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1319 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24648 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1336 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24654 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1337 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24660 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1342 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 24670 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24676 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1376 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24686 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1382 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 24696 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1388 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24706 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1397 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24718 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1405 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24730 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1417 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24742 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1425 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24754 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1433 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24765 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1440 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24776 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1448 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 24782 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1450 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24793 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1458 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24808 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1469 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 24820 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1477 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24832 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24847 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1496 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24859 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24871 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1512 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24882 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24894 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24906 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1537 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24912 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1539 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 24918 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24924 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1543 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24930 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 24936 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24942 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 24948 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1553 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 24954 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1554 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 24960 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 24966 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1559 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 24972 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1560 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 24978 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 24984 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24990 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 24998 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25006 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1588 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 25025 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1603 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 25036 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25042 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1610 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25048 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25054 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1615 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25060 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1616 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25066 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25072 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1621 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25078 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1622 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25084 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 25090 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1630 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25096 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1632 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 25107 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1639 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 25118 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1646 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25129 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 25140 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 25150 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1672 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25156 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1673 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25162 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1678 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25168 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1679 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25174 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1685 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25184 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1691 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 25194 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1697 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 25204 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 25214 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 25224 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1719 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 25235 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25241 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25247 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1733 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25253 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1734 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25259 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 25268 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 25278 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1764 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25288 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25298 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 25308 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1782 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 25318 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25331 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25344 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25357 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25370 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25385 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1848 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25400 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1859 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25413 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25426 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1877 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25441 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1888 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25456 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1899 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25469 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25482 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25495 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1926 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25508 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25521 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25534 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1953 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25549 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1964 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25564 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25570 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25576 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1984 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25592 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25608 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2013 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25620 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2022 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25632 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2031 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25644 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2040 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25656 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25668 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2058 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25679 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2066 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25690 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 25702 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25714 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2092 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25726 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2101 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 25738 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2110 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 25758 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2127 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25770 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2136 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25782 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2145 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25794 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2154 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25807 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2164 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25820 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25838 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25850 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25861 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2209 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 25879 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2224 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25890 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25903 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25916 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2252 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 25926 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2259 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 25936 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25947 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2282 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 25968 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2289 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 25978 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2296 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25989 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2304 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26000 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2312 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26011 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26021 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2327 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26031 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2334 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26042 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2342 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26052 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2349 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26062 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2356 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26073 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2364 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26084 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2372 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26095 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2380 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26106 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2388 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26117 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2396 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26128 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 26141 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 26151 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2421 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 26162 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2429 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26173 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26184 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26195 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26206 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26216 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2468 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26226 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2475 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26236 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2482 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26246 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2488 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26257 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2497 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26263 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2498 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26269 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2502 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 26275 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2503 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 26281 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2504 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 26287 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2509 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26299 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2516 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26305 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2520 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26311 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2521 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26317 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2526 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26328 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2533 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26339 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2540 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26350 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2547 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26361 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26367 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26373 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2560 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26379 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2564 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26385 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26391 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 26399 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 26407 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 26416 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 26424 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26430 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2593 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26436 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 26444 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2602 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 26452 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2606 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26467 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26475 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 26489 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2637 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2650 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26510 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2651 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26516 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2652 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 26522 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26528 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26534 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2662 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26540 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26546 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26560 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2679 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26574 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2689 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26588 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2709 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 26602 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26608 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26614 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2728 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26626 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2737 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26639 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2747 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26652 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2757 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26671 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2783 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26681 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2789 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26691 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2823 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 26723 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2851 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 26746 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2872 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26752 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2873 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26758 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2877 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26764 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2878 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26770 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2887 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26776 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2888 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26782 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2889 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26788 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26794 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26800 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26806 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26812 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26820 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26828 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26836 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26844 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26852 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 26860 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26868 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26876 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26884 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26892 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 26900 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 26908 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26916 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26924 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26932 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2968 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26938 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2973 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 26946 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2976 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26952 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 26960 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2984 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 26966 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2988 "gram.y" /* yacc.c:1646  */
    {}
#line 26972 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2989 "gram.y" /* yacc.c:1646  */
    {}
#line 26978 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 26986 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 26994 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 27002 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3012 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27008 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 27014 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3014 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 27020 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 27026 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3016 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27032 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27040 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27048 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3032 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27054 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3045 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27074 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3063 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27094 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3081 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27115 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3100 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27136 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3119 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27157 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3138 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27178 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3167 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27184 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3168 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27190 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27196 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3170 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27202 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27213 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3179 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27224 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 27230 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3186 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 27236 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27242 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27248 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27254 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27260 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27268 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27276 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27284 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27292 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3222 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27298 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3223 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27304 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3224 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27310 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3228 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27316 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3229 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27322 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3233 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27346 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3255 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27369 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3274 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27392 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 27398 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3296 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27404 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3301 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27415 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27421 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3308 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27427 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3310 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27444 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3341 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27455 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3348 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27466 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3355 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27481 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3366 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27496 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3377 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 27512 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3389 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27525 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3398 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 27538 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3407 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3424 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 27563 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3425 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 27569 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3445 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27580 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27591 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3459 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27602 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3466 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27613 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3477 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 27624 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3486 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 27630 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3487 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 27636 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3488 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 27642 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3492 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 27648 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3493 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 27654 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3494 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 27660 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3495 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 27666 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3496 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 27672 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3497 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 27678 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3498 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 27684 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3508 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27695 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3514 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27701 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3519 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27718 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3533 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27736 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3547 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27754 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3562 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27772 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3576 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27790 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27810 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3609 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27832 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3628 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 27838 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3629 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 27844 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27850 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27856 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27862 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27868 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 27876 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3649 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 27884 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3653 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 27896 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3661 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27904 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3665 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 27912 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 27918 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 27924 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3677 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 27932 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3682 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 27940 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 27946 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3689 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27952 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3700 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27958 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3702 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27964 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3704 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 27970 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3706 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 27976 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 27982 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3711 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 27988 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3714 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 27994 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3718 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 28000 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3719 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 28006 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3720 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 28012 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3721 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 28018 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3722 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 28024 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3725 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28030 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3726 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28036 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3730 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 28042 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3731 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 28048 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3735 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 28062 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3746 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28068 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3747 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 28074 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 28080 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 28086 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3755 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28101 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3766 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28116 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3777 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 28131 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28137 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 28143 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 28149 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3793 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28155 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3796 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 28161 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3797 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 28167 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3798 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 28173 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3799 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 28179 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3802 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28185 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3803 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28191 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3806 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28197 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3807 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28203 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3810 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28209 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3830 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28223 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3841 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28237 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3864 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28254 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3877 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28271 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28286 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3906 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28292 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3907 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28298 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3908 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28304 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3921 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28321 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3934 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28338 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28353 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3962 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28359 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3963 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28365 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3976 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 28377 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3996 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28391 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4006 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28405 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4019 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28417 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4027 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28429 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4037 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28435 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28441 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28447 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28453 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28459 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4046 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28465 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 28473 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4054 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28481 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28489 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 28497 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28505 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28513 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28521 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 28529 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4082 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 28537 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28545 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4090 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28554 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28562 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28570 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28578 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4108 "gram.y" /* yacc.c:1646  */
    {}
#line 28584 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4109 "gram.y" /* yacc.c:1646  */
    {}
#line 28590 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4113 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28596 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4114 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28602 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 28611 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4120 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 28617 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28623 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4124 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28629 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4137 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 28645 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4150 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 28660 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4163 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28666 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4164 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28672 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28678 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 28684 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28690 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28696 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28702 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28708 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28714 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28720 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4193 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28734 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4203 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28748 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4215 "gram.y" /* yacc.c:1646  */
    {}
#line 28754 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4216 "gram.y" /* yacc.c:1646  */
    {}
#line 28760 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4227 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28773 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4237 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 28779 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4238 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 28785 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4252 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28796 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4259 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28807 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4276 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28819 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4284 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28831 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28837 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28843 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4302 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28851 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4306 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28859 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28867 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4314 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28875 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4326 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28886 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28892 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28898 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28906 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4356 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 28919 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4365 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28932 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4374 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 28945 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4383 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28958 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4392 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28971 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4401 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 28984 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4410 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 28997 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4419 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29010 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4428 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29023 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4437 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4446 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29049 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4455 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29062 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4464 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29075 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4473 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29088 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4482 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29101 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4491 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29114 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4500 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29127 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4509 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29140 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4518 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29153 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4527 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29166 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4536 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4545 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29192 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4554 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29205 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4563 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29218 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4572 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 29231 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4581 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29244 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4599 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29256 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4609 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29262 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4610 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 29268 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4611 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29274 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4612 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 29280 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4616 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29286 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4617 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29292 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4621 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29298 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29304 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4633 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29316 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4641 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29328 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29334 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29340 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29348 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29356 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4669 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29362 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29370 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29378 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29386 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 29395 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 29404 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 29412 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29420 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4712 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29426 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29432 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4729 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29447 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4741 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29462 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4754 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29468 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4755 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29474 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4760 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29480 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4761 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29486 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4765 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29492 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4766 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29498 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4777 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29511 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4786 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29523 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4794 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29534 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4813 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29556 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4833 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29578 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4853 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29601 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4874 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29624 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4903 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29637 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4912 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29650 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4934 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 29665 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4947 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 29671 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4948 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 29677 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 29688 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4960 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 29699 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4976 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29712 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4985 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29725 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4996 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29731 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4997 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 29737 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5010 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29749 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5018 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29761 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5035 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29773 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5061 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29789 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5077 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29803 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5089 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29809 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5090 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29815 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29821 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29827 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29833 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 29839 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5104 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29845 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5105 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 29851 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5110 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 29869 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5123 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29875 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5127 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29881 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5128 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29887 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5132 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 29893 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 29899 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5134 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 29905 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 29911 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5136 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 29917 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5147 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 29929 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5167 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29952 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5189 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 29976 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5211 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 29982 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5212 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 29988 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5213 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 29994 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30000 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5220 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 30023 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 30029 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 30035 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 30041 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 30047 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 30053 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5254 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30059 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5255 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30065 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30071 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30077 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5265 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30089 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5275 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30095 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5276 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30101 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5280 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30107 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5289 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30113 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30119 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5302 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 30139 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5312 "gram.y" /* yacc.c:1646  */
    {}
#line 30145 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5313 "gram.y" /* yacc.c:1646  */
    {}
#line 30151 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5317 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30157 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5318 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30163 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5322 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30175 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30181 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30187 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30193 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5334 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 30201 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5337 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30207 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5338 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30213 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5339 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30219 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 30225 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 30231 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 30237 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5351 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 30265 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 30271 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5378 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 30277 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5379 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 30283 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5380 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 30289 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 30295 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 30301 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5397 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30314 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5408 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30327 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30333 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30339 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5427 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 30345 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30351 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30357 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5439 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 30368 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 30374 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5449 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 30380 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5450 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 30386 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 30392 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5465 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 30412 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5484 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 30427 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5506 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30441 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5516 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30456 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5527 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30470 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5537 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30484 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5547 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30499 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5558 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30512 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5567 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30523 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5574 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30534 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5581 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30547 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5590 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30560 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5599 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30573 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5608 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30586 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5617 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30599 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5626 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30613 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5636 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 30626 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5645 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30640 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30646 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5659 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30652 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30658 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30666 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30674 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5674 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 30680 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5675 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30686 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5676 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 30692 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 30698 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5678 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 30704 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30710 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5682 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30716 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30722 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30728 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5695 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 30736 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30742 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30748 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5706 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30754 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30760 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5719 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30775 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5730 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30790 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5741 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30805 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5752 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 30820 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5764 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30826 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5765 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30832 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5783 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30847 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30853 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30859 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5802 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30875 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5815 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5824 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 30900 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5832 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30913 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5841 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 30924 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5849 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30930 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5850 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30936 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30942 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30948 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30954 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30960 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30966 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5863 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 30984 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5876 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5882 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31001 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5892 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5901 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31027 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31033 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31039 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5918 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31051 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5926 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31063 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5938 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31077 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5948 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31091 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5961 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31105 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5971 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31119 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5993 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31130 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6003 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 31141 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6021 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31155 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6031 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31169 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6041 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31183 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6051 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31197 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6061 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31211 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6071 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31225 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6081 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31239 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6091 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31253 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6101 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31267 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6111 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6121 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6131 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31309 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6144 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31315 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6145 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31321 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6146 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31327 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6147 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31333 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6148 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31339 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6149 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31345 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6150 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31351 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6151 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31357 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6152 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31363 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6153 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31369 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6154 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31375 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6155 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31381 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6156 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31387 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6161 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31393 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6162 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31399 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6163 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31405 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6164 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31411 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6165 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31417 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31423 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31429 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6172 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 31435 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 31441 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6174 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 31447 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31453 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31459 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31465 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31471 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31477 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31483 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31489 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 31495 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6205 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31507 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6215 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31513 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6216 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31519 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6217 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31525 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6252 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31537 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6260 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31549 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6268 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31561 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6276 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31573 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6284 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31585 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6292 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31597 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6300 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31609 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6308 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31621 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6316 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31638 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6329 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31650 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6337 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31662 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6345 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31674 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6353 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31686 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6361 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31698 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6369 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31710 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6377 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31722 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6385 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31734 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31740 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6397 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31746 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6398 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31752 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31758 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31764 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31770 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6402 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31776 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6403 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31782 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6404 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31788 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6405 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31794 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31800 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6407 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31806 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6408 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31812 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6409 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31818 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6414 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31824 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6415 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 31830 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6416 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31836 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6417 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31842 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6418 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31848 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6419 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 31854 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6420 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31860 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6421 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 31866 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31872 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6423 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31878 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6424 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 31884 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 31890 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6429 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31896 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6430 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31902 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6446 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6456 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31928 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6466 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31941 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6476 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31954 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6486 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31967 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6496 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31980 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6506 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31993 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6516 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31999 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6517 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32005 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6522 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 32011 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6523 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32017 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6524 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32023 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6525 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32029 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6526 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32035 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6527 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32041 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6532 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32047 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6533 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32053 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6534 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32059 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32065 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6536 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32071 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6537 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32077 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6538 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32083 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6539 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32089 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6542 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32095 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6543 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32101 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6554 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32111 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6560 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6568 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32133 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6576 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32145 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6584 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32157 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6592 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32169 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6600 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32181 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6608 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 32193 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6616 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32205 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6624 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32217 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6632 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32229 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6640 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32241 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6648 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32253 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6656 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32265 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6664 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32277 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6672 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32289 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6680 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32301 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6688 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32313 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6697 "gram.y" /* yacc.c:1646  */
    {}
#line 32319 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6698 "gram.y" /* yacc.c:1646  */
    {}
#line 32325 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6701 "gram.y" /* yacc.c:1646  */
    {}
#line 32331 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6702 "gram.y" /* yacc.c:1646  */
    {}
#line 32337 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6714 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32353 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6730 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32370 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6744 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32387 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6769 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32393 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6771 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32399 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32405 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6775 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32416 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6782 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32427 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 32433 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 32439 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6795 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32450 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6802 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32461 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32472 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6816 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32483 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6830 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32495 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6838 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6854 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32531 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6862 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32543 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6870 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32555 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6878 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6886 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32579 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6894 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32591 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6902 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32603 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6910 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32615 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6918 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32627 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6926 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32639 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6934 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6942 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32663 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6950 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32675 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 32681 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 32687 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6966 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32693 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6967 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32699 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6972 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32705 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6973 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32711 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6984 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 32725 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6997 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32739 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7007 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7018 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32759 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7019 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32765 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32771 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7023 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 32777 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7034 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 32788 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32794 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32800 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32808 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32816 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32824 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7069 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32840 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7082 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32857 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7096 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32874 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7111 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 32880 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7112 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 32886 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7113 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 32892 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7114 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 32898 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7115 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
#line 32904 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7130 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 32932 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7156 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32960 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7182 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32966 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7183 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32972 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7187 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32978 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7188 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32984 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7192 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32990 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7193 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32996 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7197 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33002 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7198 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 33008 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 33014 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 33020 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33035 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33050 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33071 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33077 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33083 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33089 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 33095 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7254 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 33101 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7255 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 33107 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7258 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 33113 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7259 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 33119 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7260 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 33125 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7278 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33140 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7290 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33156 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7303 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33171 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7316 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33177 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7317 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33183 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7320 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33189 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33195 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33201 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33207 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33213 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33219 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7337 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7349 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33241 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7356 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33252 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7363 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33264 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33270 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7378 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33276 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33282 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33288 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7399 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33301 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7408 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33314 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7417 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33327 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7426 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33340 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7435 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33353 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7446 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 33359 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7447 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 33365 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7448 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7449 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33377 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7450 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7461 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33395 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7475 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33401 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33411 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33422 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33439 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33448 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7510 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33462 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 33470 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7555 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 33478 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 33486 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7563 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 33495 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7570 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33501 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7571 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33507 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7576 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33518 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33524 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33530 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7592 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33536 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7593 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33542 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[-3]));
				}
#line 33550 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[-4]));
				}
#line 33558 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33566 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 33574 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 33582 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 33590 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-2]));
				}
#line 33598 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-2]));
				}
#line 33606 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 33614 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33622 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33630 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7645 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33638 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33654 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7657 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 33663 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33671 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33679 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33687 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33695 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33703 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33717 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 33725 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33731 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 33737 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33743 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33749 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7708 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33762 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7720 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 33770 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 33778 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7739 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33789 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7750 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33801 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7772 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33815 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7782 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33829 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7795 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7805 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33857 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7818 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7828 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33885 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7841 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 33897 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 33903 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 33909 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 33915 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33921 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 33927 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33933 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33939 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7871 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 33950 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7889 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33960 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33966 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33972 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 33980 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7907 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33988 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7920 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34002 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7931 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34016 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7942 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 34030 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7953 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 34036 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7954 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 34042 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7955 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 34048 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7960 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34062 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7971 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34068 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7972 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34074 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 34088 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 34096 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 34104 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 34112 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 34120 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8014 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 34133 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8034 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34146 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8043 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8052 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34172 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8061 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34185 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8071 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 34191 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8072 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 34197 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8075 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 34203 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8076 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 34209 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8077 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 34215 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34221 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34227 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8084 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8095 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34246 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34259 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8121 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34272 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8130 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34285 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8139 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34298 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8148 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34311 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8157 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8166 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34337 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8175 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34350 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8184 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34363 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8193 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34376 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8202 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34389 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8211 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34402 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8220 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34415 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8229 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8239 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34443 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8249 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34456 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8258 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34469 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8267 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8276 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34495 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8285 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34509 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8295 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8305 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34537 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8315 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34551 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8325 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34565 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8335 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34579 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8345 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34593 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8355 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34607 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8365 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34621 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8375 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34635 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8385 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34649 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8395 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34663 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34678 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8416 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34693 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8427 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34708 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8438 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34723 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8449 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34737 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34751 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8469 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34766 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8480 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34781 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8491 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34795 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8501 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34809 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8511 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34821 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8519 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8528 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34847 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8537 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34860 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8546 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34873 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8555 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34886 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8564 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34899 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8573 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34912 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8582 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34925 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8591 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34938 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8600 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34954 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 34960 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34966 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8617 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 34972 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8618 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34978 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8629 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 34990 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8637 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35003 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8646 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35015 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8654 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35027 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8671 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35040 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8680 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35053 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8689 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35066 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35079 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8707 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8716 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35105 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8725 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35118 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8734 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35131 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8743 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35144 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8752 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35157 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8761 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35170 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8770 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35183 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8779 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35196 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8788 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35209 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8797 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35222 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8806 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35235 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8815 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35248 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8824 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35261 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8833 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8842 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35287 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8851 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35300 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8860 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35313 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8869 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35326 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8878 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35339 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8887 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35352 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8905 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35363 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35369 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35375 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8918 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 35381 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8920 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8926 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 35399 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8927 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 35411 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8939 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35429 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8947 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8955 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35453 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8963 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35465 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8971 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35477 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8979 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35489 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8987 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35501 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8995 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35513 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9003 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35525 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9011 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35537 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9019 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35549 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9027 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35561 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9035 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35573 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9043 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35585 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9051 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35597 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9059 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35609 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9067 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35621 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9075 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35633 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9083 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35645 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9091 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9099 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35669 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9107 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35681 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9125 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
#line 35701 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9143 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35707 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9144 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35713 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9149 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 35721 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9153 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
#line 35729 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9173 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35740 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9180 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 35752 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9188 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 35764 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9196 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 35776 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9213 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35790 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 35798 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 35806 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9236 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 35812 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9246 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35825 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9255 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 35838 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9264 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35851 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9273 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35865 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9283 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35879 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9293 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 35893 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9311 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35905 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9319 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 35917 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9337 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35933 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35939 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35945 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35951 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9359 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 35961 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9365 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 35971 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35977 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35983 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9385 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 35989 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 35995 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 36001 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9388 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 36007 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9392 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36013 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9393 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36019 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9394 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36025 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9407 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36036 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9416 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9417 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36048 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9421 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36058 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9430 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9436 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 36078 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9455 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36089 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9462 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36100 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9469 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36111 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9476 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36122 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9483 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36133 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9490 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36144 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9497 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36156 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9505 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-2])));
					(yyval.node) = (Node *)n;
				}
#line 36168 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9513 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36180 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9521 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-4])));
					(yyval.node) = (Node *)n;
				}
#line 36192 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9529 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9537 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36215 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9544 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36226 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9551 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36237 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9559 "gram.y" /* yacc.c:1646  */
    {}
#line 36243 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9560 "gram.y" /* yacc.c:1646  */
    {}
#line 36249 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9561 "gram.y" /* yacc.c:1646  */
    {}
#line 36255 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9566 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 36262 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9569 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1])), (yylsp[-1])); }
#line 36269 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9572 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36276 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9575 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0])), (yylsp[0])); }
#line 36283 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9578 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36290 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36296 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9587 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36302 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36308 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36314 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9609 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36330 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9622 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36346 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9635 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36367 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9653 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36388 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9672 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36394 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9673 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36400 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9674 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 36406 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 36412 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9686 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36422 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9702 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36433 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9711 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36439 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36445 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36451 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9717 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36457 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 36465 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 36473 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 36481 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9747 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36487 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9748 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 36493 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9749 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36499 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9750 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36505 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9751 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36511 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9752 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36517 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9753 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36523 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9760 "gram.y" /* yacc.c:1646  */
    {}
#line 36529 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9761 "gram.y" /* yacc.c:1646  */
    {}
#line 36535 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9773 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36546 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9780 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36557 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9787 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 36569 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9798 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36580 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9815 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 36591 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9822 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 36602 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9838 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 36612 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9855 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36622 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9861 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36632 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9877 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 36645 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9890 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36657 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9899 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36668 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9907 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36679 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9915 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36691 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9924 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36705 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9935 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36719 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9946 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36731 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9955 "gram.y" /* yacc.c:1646  */
    {}
#line 36737 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9956 "gram.y" /* yacc.c:1646  */
    {}
#line 36743 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9968 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36754 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9978 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36769 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36784 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10000 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36799 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10011 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36814 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10022 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 36827 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10031 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 36840 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10042 "gram.y" /* yacc.c:1646  */
    {}
#line 36846 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10043 "gram.y" /* yacc.c:1646  */
    {}
#line 36852 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 36866 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10081 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36878 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10089 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36890 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10098 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 36902 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10108 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36908 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10109 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36914 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10122 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36932 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10136 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36950 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10150 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 36966 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10162 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36978 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10170 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 36992 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36998 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 37004 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10187 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 37010 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10188 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 37016 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 37022 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 37028 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10192 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 37042 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10205 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37056 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10215 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37070 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10227 "gram.y" /* yacc.c:1646  */
    {}
#line 37076 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10228 "gram.y" /* yacc.c:1646  */
    {}
#line 37082 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10232 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37088 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10233 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37094 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10236 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37100 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10237 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37106 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10240 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37112 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10241 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37118 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37124 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37130 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10260 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37141 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10267 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37155 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10277 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37166 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10284 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37177 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10306 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 37185 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 37193 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37201 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10323 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37207 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10324 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 37213 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10328 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37219 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10329 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 37225 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10330 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37231 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10341 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37243 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37249 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37255 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10369 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37266 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10377 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 37285 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37291 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37297 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10405 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37307 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10411 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37317 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10417 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37327 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10423 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37337 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10440 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 37349 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37357 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10461 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37366 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37376 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37387 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37397 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37408 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10495 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 37418 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10503 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 37424 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10504 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 37430 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37436 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10511 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37442 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10516 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37454 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10527 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 37480 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 37488 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 37500 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 37512 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 37520 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37526 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37532 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10590 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 37546 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10602 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37552 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37558 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10615 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37571 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10625 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 37577 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10626 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37583 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10629 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 37589 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10630 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 37595 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10631 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 37601 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10632 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 37607 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10633 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 37613 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10634 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 37619 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10635 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 37625 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10636 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37631 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10639 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37637 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10640 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37643 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10644 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 37649 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 37655 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 37661 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10662 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 37676 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10675 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37682 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 37688 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10681 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 37697 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10686 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 37722 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37734 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37740 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 37746 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10732 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 37759 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10742 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37765 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10745 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37771 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10746 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 37777 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10747 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 37783 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10748 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 37789 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10749 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 37795 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10752 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37801 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10753 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 37807 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10754 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 37813 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10807 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37819 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10808 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37825 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37831 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10825 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37842 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10832 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37854 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10840 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37866 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10848 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 37878 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10856 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 37890 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10864 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37902 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10872 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 37914 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37920 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10883 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37926 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10913 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37942 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10927 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37959 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10939 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37965 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10941 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 37988 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 37996 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38004 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38012 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10985 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38023 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10992 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38034 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10999 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 38045 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38051 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38057 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11013 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 38070 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11024 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 38076 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11025 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 38082 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 38097 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11041 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 38103 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38112 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38121 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38130 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38139 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11070 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38151 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11078 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38163 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 38172 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38181 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38190 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11102 "gram.y" /* yacc.c:1646  */
    {}
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11103 "gram.y" /* yacc.c:1646  */
    {}
#line 38202 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11107 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11108 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38214 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11109 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 38226 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11117 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 38238 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 38250 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11127 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38262 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 38268 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 38274 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 38287 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11149 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 38300 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 38306 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11162 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 38312 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 38318 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11164 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 38324 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38330 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 38336 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11174 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38342 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11176 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 38355 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11186 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 38361 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11191 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38367 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38373 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38379 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11200 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 38388 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11207 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38394 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11217 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 38400 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11218 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38406 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11219 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 38412 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11227 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38418 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38424 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11232 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38430 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11235 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38436 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 38442 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38448 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11262 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38454 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38460 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 38466 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38472 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11272 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38478 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11273 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38484 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38490 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11275 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38496 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 38504 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38512 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38520 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38528 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38534 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 38540 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38546 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38552 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38558 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38564 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38570 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 38576 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11334 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38588 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11344 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 38594 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11345 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 38600 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11346 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 38606 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11347 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 38612 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38618 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38624 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11363 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38634 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11369 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38644 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38650 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11387 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38656 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38662 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38668 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11399 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 38677 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11404 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 38689 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11412 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38700 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11419 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38712 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11427 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38722 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11433 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38733 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11440 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38772 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11475 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38801 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 38809 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11504 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 38818 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 38826 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11534 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 38842 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11546 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38859 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11559 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 38877 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11573 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38892 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11584 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 38908 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38918 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38927 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 38937 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 38946 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11622 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 38952 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11623 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 38958 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 38966 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 38974 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11640 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 38984 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11646 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 38994 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 39002 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11657 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 39008 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11658 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 39014 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11659 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 39020 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11660 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 39026 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11664 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39032 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11665 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39038 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 39044 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11678 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39050 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11684 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39061 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11691 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39072 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11698 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39083 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39094 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 39100 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 39106 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39114 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11734 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 39125 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11741 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39136 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11754 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 39150 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 39156 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11767 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39162 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11783 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39176 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11793 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39190 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 39196 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 39202 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 39208 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39220 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11817 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39226 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11818 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39232 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39238 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11824 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39244 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39250 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11831 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 39262 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11838 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39268 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39274 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39280 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 39288 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 39296 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11859 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 39319 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11884 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39333 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11895 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 39347 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11906 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39353 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11907 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39359 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11912 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 39377 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11926 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 39438 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11983 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 39453 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39459 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39465 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12004 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 39471 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12006 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 39477 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12008 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 39483 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12010 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 39489 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39495 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12017 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39501 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12022 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39513 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39525 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 39534 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 39544 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 39553 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 39563 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 39572 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 39582 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12087 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 39588 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12089 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 39594 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12091 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 39600 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12095 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39606 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12096 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39612 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12097 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39618 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12098 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39624 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12099 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39630 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12101 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 39639 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 39649 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12125 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39655 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12126 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39661 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12127 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39667 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12128 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39673 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39683 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 39693 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12153 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39699 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39705 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39714 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12166 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39723 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39732 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39741 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39750 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39759 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12191 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39768 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39778 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12202 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39788 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12208 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39798 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39807 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12221 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 39832 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 39840 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12252 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39848 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39856 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12264 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39864 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39873 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12276 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 39886 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12288 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39904 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39912 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39920 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12319 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39928 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12323 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 39943 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12336 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39953 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39965 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12354 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39971 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39977 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 39983 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39989 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12362 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 39995 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12364 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40001 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12368 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40007 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12369 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40013 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12377 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40026 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12386 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40038 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12394 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40051 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12403 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40063 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40072 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12421 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 40078 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12422 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40084 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12423 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 40090 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 40096 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12430 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 40102 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 40108 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 40114 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 40120 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12438 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40126 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 40135 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40154 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40166 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40175 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40186 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40196 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40202 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 40210 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 40219 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12526 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40225 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12528 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40231 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12530 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 40243 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 40253 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40259 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12555 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40265 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12557 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40271 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12559 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40277 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40283 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40289 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40295 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40301 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40307 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40313 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40319 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40325 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40331 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40337 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40343 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40349 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40355 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12589 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40361 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12591 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40367 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40373 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40379 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40388 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12603 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40400 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40409 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12616 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40421 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40430 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12629 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40442 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40451 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12642 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40463 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12651 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 40475 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12659 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40487 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12667 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40499 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12675 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 40511 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12693 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 40523 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12701 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40535 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12709 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40547 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12717 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40559 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12725 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 40579 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12741 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40591 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12749 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40603 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12757 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40615 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12765 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40627 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12773 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40639 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12781 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40651 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12789 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40659 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12793 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40667 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40675 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40683 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12805 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40695 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40707 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12821 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40719 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12829 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40731 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12837 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 40755 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12857 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 40781 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12879 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40796 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12890 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 40807 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12897 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12913 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 40836 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 40846 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12924 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40864 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12949 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40870 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12951 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40876 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12953 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40882 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12955 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40888 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12957 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40894 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12959 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40900 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12961 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40906 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40912 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12965 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40918 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12967 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40924 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40930 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40936 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40942 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40948 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12977 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40954 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40960 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40966 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40972 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40978 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12987 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40986 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12991 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40994 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12995 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41002 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 41010 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41019 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41029 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13023 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41035 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13024 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41041 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13026 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 41060 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13041 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 41098 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13075 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41104 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13077 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41110 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13079 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41125 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13090 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 41153 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13114 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41168 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13125 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41183 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13136 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41194 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13143 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41208 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13153 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41222 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13163 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 41233 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 41241 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13176 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41251 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13182 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41262 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13189 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41273 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13196 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 41287 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13206 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41298 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13213 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41318 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13241 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13276 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41363 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13286 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41369 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13287 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41375 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13295 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 41385 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13301 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 41393 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 41401 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13309 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41409 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13313 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 41417 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41425 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13321 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 41433 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41441 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13329 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 41449 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41457 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13337 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 41465 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13341 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 41473 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 41481 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13349 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 41489 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 41497 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13357 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 41505 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13361 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 41511 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41519 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13367 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41532 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13376 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41541 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13381 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41552 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13388 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 41571 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13403 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41582 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41590 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13414 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41598 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41606 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 41614 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13426 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 41625 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13433 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41637 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13441 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41649 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41657 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 41665 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 41673 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 41681 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 41689 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13469 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 41699 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 41707 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13479 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 41720 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 41728 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41736 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41745 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13501 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41758 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41764 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13517 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 41770 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13521 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 41776 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13523 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 41782 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13525 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 41788 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13527 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 41794 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13530 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41800 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41806 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41812 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41824 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 41836 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13555 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 41842 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13556 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 41848 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13559 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 41854 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13560 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41860 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13561 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 41866 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41874 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41882 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 41890 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 41898 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41904 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41910 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 41916 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41922 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41928 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41934 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 41940 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 41946 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13615 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 41956 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13623 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 41962 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13625 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 41979 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13638 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 41985 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13643 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 42003 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13668 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42009 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13669 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42015 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42021 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42027 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13685 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 42049 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13703 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 42059 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13709 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42071 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13719 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 42092 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13736 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 42133 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13781 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42145 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13789 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42157 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13797 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42169 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13805 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42181 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13813 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42193 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42199 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42205 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42211 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42217 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42223 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42229 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13845 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42235 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13846 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42241 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13847 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 42247 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13850 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42253 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13851 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42259 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13854 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 42265 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13855 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 42271 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13856 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 42277 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13857 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 42283 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13858 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 42289 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13859 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 42295 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13860 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 42301 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13861 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 42307 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13862 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 42313 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 42319 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 42325 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13865 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 42331 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42337 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13871 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42343 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13876 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42349 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42355 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42361 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13885 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42367 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 42373 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 13889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 42379 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 13891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 42385 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 13893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 42391 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 13905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42399 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 13909 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42407 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 13916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42415 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 13920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42423 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 13926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42431 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 13930 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42444 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 13939 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42457 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 13949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 42463 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 13950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 42469 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 13954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42477 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 13958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42485 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 13962 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 42493 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 13967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42499 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 13968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42505 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 13974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 42513 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 13977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42519 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 13984 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42525 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 13985 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 42531 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 13986 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 42537 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 13987 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 42543 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 13988 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 42549 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 13989 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 42555 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 13990 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 42561 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 13991 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42567 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42575 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42583 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42589 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 42595 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42601 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42609 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14041 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 42618 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42626 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14050 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 42645 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 42653 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42659 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14073 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42665 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14076 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42671 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 42677 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42683 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42689 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14085 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 42700 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14091 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 42706 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14102 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 42720 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14115 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42726 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42732 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14121 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 42744 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14131 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42750 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14132 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42756 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14135 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42762 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14136 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42768 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 42776 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14144 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 42784 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 42792 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 42800 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14159 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42812 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14167 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42824 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14177 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42830 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14178 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42836 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42842 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14183 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42848 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42854 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42860 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42866 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42872 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42878 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42884 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42896 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42908 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 42920 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14244 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 42936 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 42942 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 42948 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 42956 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14282 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 42985 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42991 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 42997 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14315 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43003 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14318 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43009 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14321 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43015 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14323 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43021 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14325 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43027 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14327 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43033 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43039 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14340 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 43048 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14351 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 43056 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43064 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43072 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43080 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14367 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43093 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14376 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43104 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14383 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43140 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 43148 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14419 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 43158 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14425 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43169 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 43177 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 43185 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 43193 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14445 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43199 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14446 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43205 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14448 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43211 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14449 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 43217 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14450 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 43223 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14455 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 43255 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14485 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 43286 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14512 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 43294 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14516 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 43302 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 43308 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 43314 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14540 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43320 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14541 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43326 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14542 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43332 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14547 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43338 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14548 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43344 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14549 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43350 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14554 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43356 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14555 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43362 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14556 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43368 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14557 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43374 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43380 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14564 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43386 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 14565 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43392 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 14566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43398 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43404 "gram.c" /* yacc.c:1646  */
    break;


#line 43408 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15056 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
