/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1264 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   131174

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  796
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3132
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5949

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1598,  1598,  1601,  1603,  1605,  1607,  1609,  1611,  1613,
    1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,
    1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,
    1655,  1657,  1659,  1661,  1663,  1665,  1667,  1685,  1687,  1689,
    1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1753,  1755,  1757,  1761,  1763,  1765,  1767,  1769,  1771,
    1773,  1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1791,
    1793,  1795,  1797,  1799,  1801,  1803,  1805,  1807,  1809,  1811,
    1813,  1815,  1817,  1819,  1821,  1823,  1830,  1832,  1834,  1836,
    1838,  1840,  1842,  1844,  1846,  1848,  1850,  1852,  1858,  1860,
    1862,  1864,  1866,  1868,  1870,  1872,  1874,  1880,  1890,  1894,
    1900,  1904,  1914,  1924,  1925,  1939,  1946,  1952,  1963,  1969,
    1978,  1985,  1991,  2000,  2007,  2015,  2020,  2028,  2032,  2037,
    2043,  2048,  2054,  2059,  2065,  2069,  2073,  2077,  2082,  2086,
    2090,  2094,  2098,  2106,  2110,  2114,  2118,  2122,  2126,  2134,
    2142,  2146,  2155,  2157,  2165,  2169,  2173,  2177,  2185,  2189,
    2193,  2197,  2201,  2205,  2213,  2221,  2229,  2233,  2241,  2245,
    2249,  2254,  2263,  2268,  2274,  2279,  2285,  2289,  2293,  2297,
    2301,  2305,  2313,  2317,  2321,  2329,  2333,  2337,  2345,  2349,
    2353,  2357,  2358,  2362,  2366,  2370,  2375,  2379,  2383,  2387,
    2391,  2395,  2399,  2407,  2411,  2419,  2423,  2431,  2435,  2449,
    2453,  2457,  2461,  2469,  2473,  2477,  2481,  2489,  2493,  2497,
    2501,  2505,  2509,  2513,  2521,  2525,  2530,  2536,  2540,  2548,
    2556,  2560,  2564,  2568,  2576,  2580,  2588,  2592,  2600,  2604,
    2612,  2616,  2620,  2624,  2628,  2637,  2645,  2649,  2657,  2661,
    2669,  2677,  2681,  2685,  2689,  2693,  2701,  2705,  2709,  2713,
    2717,  2721,  2725,  2729,  2733,  2737,  2741,  2745,  2749,  2753,
    2757,  2761,  2765,  2769,  2777,  2781,  2789,  2793,  2801,  2805,
    2809,  2813,  2817,  2821,  2825,  2829,  2833,  2837,  2841,  2845,
    2849,  2853,  2857,  2861,  2865,  2869,  2873,  2877,  2881,  2885,
    2889,  2893,  2897,  2901,  2905,  2909,  2913,  2917,  2921,  2925,
    2929,  2933,  2937,  2941,  2945,  2949,  2953,  2957,  2961,  2965,
    2969,  2973,  2977,  2981,  2985,  2989,  2993,  2997,  3001,  3005,
    3009,  3013,  3017,  3021,  3029,  3033,  3041,  3045,  3050,  3056,
    3061,  3067,  3072,  3078,  3082,  3086,  3090,  3098,  3106,  3111,
    3117,  3121,  3129,  3133,  3137,  3141,  3149,  3153,  3161,  3165,
    3169,  3173,  3181,  3185,  3193,  3197,  3201,  3209,  3213,  3221,
    3225,  3233,  3237,  3241,  3249,  3257,  3261,  3269,  3273,  3277,
    3281,  3289,  3294,  3302,  3310,  3318,  3322,  3330,  3335,  3341,
    3345,  3349,  3357,  3361,  3369,  3374,  3380,  3384,  3388,  3392,
    3396,  3400,  3404,  3408,  3412,  3416,  3420,  3424,  3428,  3432,
    3440,  3445,  3451,  3456,  3462,  3467,  3473,  3478,  3484,  3488,
    3496,  3504,  3508,  3512,  3516,  3521,  3527,  3531,  3539,  3547,
    3551,  3555,  3559,  3563,  3567,  3575,  3579,  3583,  3587,  3591,
    3595,  3599,  3604,  3610,  3615,  3621,  3626,  3632,  3636,  3644,
    3648,  3656,  3660,  3664,  3672,  3676,  3684,  3692,  3696,  3704,
    3709,  3715,  3719,  3723,  3727,  3735,  3739,  3743,  3747,  3751,
    3755,  3759,  3763,  3771,  3775,  3783,  3787,  3791,  3795,  3803,
    3811,  3815,  3820,  3826,  3830,  3834,  3838,  3842,  3846,  3850,
    3858,  3862,  3870,  3874,  3878,  3882,  3886,  3890,  3894,  3902,
    3907,  3913,  3918,  3924,  3928,  3936,  3944,  3948,  3953,  3958,
    3964,  3968,  3976,  3980,  3988,  3993,  3999,  4003,  4007,  4011,
    4016,  4022,  4030,  4038,  4042,  4046,  4050,  4054,  4062,  4067,
    4073,  4078,  4084,  4092,  4096,  4104,  4108,  4116,  4120,  4124,
    4132,  4136,  4140,  4145,  4151,  4155,  4159,  4164,  4170,  4175,
    4181,  4186,  4192,  4200,  4204,  4212,  4220,  4224,  4229,  4235,
    4239,  4247,  4255,  4260,  4266,  4274,  4278,  4286,  4290,  4298,
    4303,  4309,  4314,  4320,  4324,  4332,  4336,  4340,  4344,  4348,
    4352,  4356,  4360,  4364,  4368,  4372,  4376,  4380,  4384,  4392,
    4397,  4403,  4407,  4411,  4415,  4423,  4427,  4435,  4439,  4447,
    4452,  4458,  4462,  4470,  4475,  4481,  4485,  4493,  4498,  4504,
    4508,  4516,  4521,  4527,  4535,  4540,  4546,  4550,  4558,  4562,
    4570,  4575,  4581,  4585,  4589,  4593,  4601,  4609,  4614,  4620,
    4628,  4632,  4636,  4640,  4644,  4648,  4652,  4656,  4660,  4664,
    4668,  4672,  4676,  4680,  4684,  4688,  4692,  4696,  4700,  4704,
    4708,  4712,  4716,  4720,  4724,  4728,  4736,  4744,  4748,  4752,
    4756,  4764,  4768,  4776,  4781,  4787,  4791,  4799,  4804,  4810,
    4814,  4822,  4830,  4834,  4842,  4846,  4850,  4854,  4862,  4870,
    4878,  4886,  4890,  4898,  4903,  4909,  4913,  4921,  4926,  4932,
    4936,  4940,  4948,  4952,  4956,  4960,  4968,  4972,  4980,  4988,
    4992,  5000,  5005,  5011,  5015,  5023,  5027,  5035,  5039,  5047,
    5055,  5063,  5071,  5076,  5082,  5087,  5093,  5098,  5104,  5109,
    5115,  5120,  5126,  5131,  5137,  5141,  5145,  5149,  5153,  5161,
    5169,  5173,  5181,  5185,  5189,  5197,  5201,  5209,  5213,  5217,
    5221,  5225,  5233,  5238,  5244,  5248,  5256,  5264,  5268,  5276,
    5280,  5288,  5296,  5301,  5307,  5312,  5318,  5322,  5330,  5335,
    5341,  5345,  5350,  5356,  5360,  5364,  5368,  5376,  5381,  5388,
    5390,  5398,  5402,  5406,  5410,  5414,  5418,  5426,  5430,  5438,
    5442,  5450,  5458,  5462,  5470,  5478,  5482,  5486,  5490,  5498,
    5507,  5516,  5520,  5524,  5528,  5532,  5536,  5540,  5544,  5548,
    5552,  5556,  5560,  5564,  5568,  5572,  5576,  5584,  5592,  5596,
    5604,  5608,  5616,  5620,  5624,  5628,  5632,  5636,  5644,  5652,
    5656,  5664,  5672,  5677,  5683,  5687,  5695,  5699,  5703,  5707,
    5715,  5720,  5726,  5734,  5738,  5746,  5750,  5754,  5758,  5762,
    5770,  5775,  5781,  5786,  5792,  5796,  5801,  5807,  5813,  5819,
    5827,  5831,  5839,  5843,  5851,  5855,  5863,  5867,  5875,  5879,
    5887,  5895,  5903,  5907,  5911,  5915,  5919,  5923,  5927,  5931,
    5935,  5939,  5943,  5947,  5955,  5959,  5963,  5967,  5971,  5975,
    5979,  5983,  5987,  5991,  5995,  5999,  6003,  6011,  6015,  6019,
    6023,  6027,  6031,  6035,  6043,  6047,  6051,  6059,  6063,  6071,
    6075,  6083,  6087,  6095,  6099,  6100,  6108,  6112,  6117,  6123,
    6127,  6131,  6135,  6139,  6143,  6147,  6151,  6155,  6159,  6163,
    6167,  6171,  6175,  6179,  6183,  6187,  6195,  6199,  6203,  6207,
    6211,  6215,  6219,  6223,  6227,  6231,  6235,  6239,  6243,  6247,
    6255,  6259,  6263,  6267,  6271,  6275,  6279,  6283,  6287,  6291,
    6295,  6299,  6307,  6311,  6319,  6323,  6327,  6331,  6335,  6339,
    6343,  6351,  6356,  6362,  6366,  6370,  6374,  6378,  6382,  6390,
    6394,  6398,  6402,  6406,  6410,  6414,  6418,  6426,  6430,  6438,
    6442,  6446,  6450,  6456,  6462,  6468,  6474,  6480,  6486,  6492,
    6502,  6513,  6524,  6535,  6546,  6557,  6568,  6584,  6600,  6616,
    6627,  6643,  6654,  6670,  6685,  6689,  6697,  6702,  6708,  6716,
    6720,  6728,  6732,  6736,  6740,  6744,  6752,  6756,  6764,  6768,
    6772,  6776,  6784,  6788,  6792,  6796,  6800,  6804,  6808,  6812,
    6816,  6820,  6824,  6828,  6832,  6836,  6840,  6844,  6852,  6856,
    6864,  6868,  6876,  6881,  6887,  6895,  6899,  6907,  6912,  6918,
    6923,  6929,  6937,  6942,  6948,  6952,  6956,  6964,  6968,  6972,
    6980,  6984,  6988,  6992,  6996,  7004,  7008,  7016,  7021,  7027,
    7032,  7038,  7043,  7049,  7054,  7060,  7064,  7072,  7076,  7080,
    7088,  7093,  7099,  7104,  7110,  7114,  7119,  7125,  7129,  7134,
    7140,  7144,  7148,  7156,  7161,  7167,  7171,  7179,  7183,  7191,
    7195,  7203,  7207,  7211,  7215,  7223,  7227,  7235,  7239,  7247,
    7251,  7255,  7259,  7263,  7271,  7275,  7279,  7283,  7287,  7295,
    7303,  7311,  7315,  7319,  7327,  7331,  7335,  7343,  7352,  7356,
    7360,  7364,  7372,  7376,  7384,  7392,  7396,  7404,  7408,  7416,
    7420,  7424,  7428,  7432,  7436,  7440,  7444,  7448,  7452,  7456,
    7460,  7464,  7468,  7472,  7476,  7484,  7488,  7492,  7496,  7500,
    7508,  7512,  7520,  7524,  7532,  7537,  7543,  7551,  7555,  7563,
    7571,  7575,  7583,  7588,  7594,  7598,  7606,  7610,  7618,  7622,
    7630,  7634,  7638,  7642,  7650,  7654,  7662,  7666,  7674,  7682,
    7690,  7694,  7702,  7706,  7714,  7718,  7722,  7730,  7734,  7739,
    7745,  7753,  7758,  7764,  7772,  7776,  7780,  7784,  7792,  7800,
    7804,  7808,  7812,  7820,  7824,  7832,  7836,  7840,  7848,  7852,
    7860,  7868,  7872,  7880,  7884,  7888,  7892,  7896,  7900,  7904,
    7908,  7912,  7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,
    7948,  7952,  7956,  7960,  7964,  7968,  7972,  7976,  7980,  7984,
    7988,  7992,  7996,  8000,  8004,  8008,  8012,  8016,  8020,  8024,
    8028,  8032,  8036,  8040,  8044,  8048,  8052,  8056,  8060,  8064,
    8068,  8072,  8076,  8080,  8088,  8093,  8099,  8104,  8110,  8114,
    8118,  8122,  8130,  8134,  8138,  8142,  8146,  8150,  8154,  8158,
    8162,  8166,  8170,  8174,  8178,  8182,  8186,  8190,  8194,  8198,
    8202,  8206,  8210,  8214,  8218,  8222,  8226,  8234,  8242,  8246,
    8254,  8258,  8266,  8270,  8274,  8278,  8282,  8290,  8294,  8298,
    8302,  8306,  8310,  8314,  8318,  8322,  8326,  8330,  8334,  8338,
    8342,  8346,  8350,  8354,  8358,  8362,  8366,  8370,  8374,  8382,
    8390,  8395,  8401,  8405,  8413,  8417,  8421,  8425,  8433,  8441,
    8445,  8453,  8461,  8465,  8469,  8473,  8477,  8481,  8489,  8493,
    8501,  8509,  8513,  8517,  8525,  8529,  8537,  8541,  8545,  8549,
    8553,  8561,  8566,  8572,  8576,  8580,  8584,  8592,  8596,  8601,
    8607,  8615,  8620,  8626,  8634,  8638,  8646,  8650,  8654,  8658,
    8662,  8666,  8670,  8674,  8678,  8682,  8686,  8690,  8694,  8698,
    8706,  8710,  8715,  8721,  8725,  8729,  8733,  8737,  8745,  8749,
    8753,  8761,  8766,  8772,  8776,  8780,  8785,  8794,  8798,  8802,
    8807,  8813,  8821,  8829,  8834,  8840,  8844,  8852,  8856,  8860,
    8868,  8872,  8876,  8880,  8884,  8888,  8892,  8900,  8905,  8911,
    8915,  8919,  8927,  8935,  8939,  8947,  8955,  8959,  8967,  8975,
    8979,  8983,  8987,  8991,  8995,  8999,  9007,  9012,  9018,  9026,
    9030,  9034,  9038,  9042,  9046,  9054,  9058,  9066,  9074,  9078,
    9082,  9090,  9095,  9101,  9105,  9109,  9113,  9117,  9125,  9129,
    9137,  9141,  9145,  9149,  9153,  9161,  9165,  9173,  9177,  9185,
    9190,  9196,  9201,  9207,  9212,  9218,  9223,  9229,  9233,  9237,
    9241,  9249,  9253,  9257,  9261,  9265,  9269,  9273,  9277,  9281,
    9289,  9293,  9301,  9309,  9313,  9321,  9325,  9330,  9336,  9342,
    9352,  9357,  9363,  9367,  9371,  9375,  9383,  9385,  9393,  9398,
    9404,  9412,  9416,  9424,  9428,  9432,  9436,  9440,  9448,  9452,
    9460,  9464,  9472,  9480,  9484,  9489,  9495,  9499,  9504,  9510,
    9515,  9521,  9529,  9534,  9540,  9548,  9553,  9559,  9563,  9567,
    9571,  9575,  9579,  9583,  9587,  9595,  9600,  9606,  9610,  9615,
    9621,  9629,  9633,  9641,  9645,  9653,  9661,  9665,  9673,  9726,
    9730,  9743,  9745,  9749,  9753,  9757,  9766,  9772,  9776,  9784,
    9788,  9796,  9800,  9808,  9812,  9816,  9820,  9824,  9828,  9832,
    9836,  9844,  9848,  9856,  9860,  9864,  9868,  9872,  9876,  9880,
    9888,  9892,  9896,  9904,  9908,  9916,  9924,  9929,  9935,  9940,
    9942,  9948,  9952,  9956,  9960,  9964,  9968,  9972,  9976,  9980,
    9988,  9993,  9999, 10003, 10008, 10014, 10018, 10026, 10031, 10037,
   10042, 10048, 10056, 10060, 10068, 10072, 10080, 10084, 10088, 10092,
   10100, 10105, 10111, 10115, 10120, 10128, 10132, 10140, 10144, 10152,
   10160, 10164, 10169, 10175, 10183, 10187, 10195, 10199, 10207, 10212,
   10218, 10222, 10230, 10234, 10238, 10242, 10246, 10254, 10262, 10270,
   10278, 10286, 10291, 10297, 10301, 10309, 10314, 10320, 10324, 10332,
   10340, 10344, 10348, 10352, 10360, 10365, 10371, 10375, 10383, 10388,
   10394, 10398, 10406, 10410, 10414, 10418, 10422, 10426, 10430, 10437,
   10444, 10448, 10456, 10460, 10464, 10468, 10472, 10476, 10484, 10488,
   10492, 10496, 10504, 10509, 10515, 10519, 10523, 10527, 10532, 10538,
   10542, 10546, 10550, 10558, 10563, 10569, 10573, 10581, 10585, 10589,
   10593, 10601, 10605, 10613, 10617, 10621, 10629, 10637, 10642, 10648,
   10652, 10660, 10668, 10672, 10680, 10685, 10691, 10696, 10702, 10707,
   10713, 10717, 10723, 10729, 10734, 10740, 10744, 10752, 10760, 10764,
   10772, 10776, 10784, 10788, 10792, 10800, 10804, 10812, 10816, 10820,
   10824, 10832, 10836, 10844, 10848, 10856, 10858, 10860, 10864, 10868,
   10872, 10880, 10890, 10901, 10910, 10914, 10918, 10922, 10926, 10930,
   10934, 10942, 10946, 10950, 10954, 10962, 10966, 10974, 10979, 10985,
   10989, 10993, 10997, 11001, 11005, 11009, 11013, 11017, 11021, 11025,
   11033, 11038, 11044, 11048, 11056, 11060, 11068, 11076, 11084, 11088,
   11096, 11100, 11108, 11116, 11124, 11128, 11132, 11136, 11140, 11144,
   11152, 11157, 11163, 11167, 11171, 11175, 11183, 11191, 11195, 11200,
   11206, 11210, 11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242,
   11246, 11250, 11254, 11259, 11265, 11269, 11277, 11281, 11285, 11289,
   11293, 11297, 11301, 11305, 11309, 11313, 11317, 11321, 11325, 11329,
   11333, 11337, 11341, 11345, 11349, 11353, 11357, 11361, 11365, 11369,
   11373, 11377, 11381, 11385, 11389, 11393, 11397, 11401, 11405, 11409,
   11413, 11417, 11421, 11425, 11429, 11433, 11437, 11441, 11445, 11449,
   11453, 11457, 11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489,
   11493, 11497, 11501, 11505, 11509, 11513, 11517, 11522, 11526, 11530,
   11538, 11542, 11546, 11550, 11554, 11558, 11562, 11566, 11570, 11574,
   11578, 11582, 11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614,
   11618, 11622, 11626, 11630, 11634, 11642, 11646, 11650, 11654, 11658,
   11662, 11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11702,
   11706, 11710, 11714, 11718, 11722, 11726, 11734, 11738, 11746, 11750,
   11758, 11762, 11766, 11770, 11774, 11778, 11782, 11786, 11790, 11794,
   11798, 11802, 11806, 11810, 11814, 11818, 11822, 11826, 11830, 11834,
   11838, 11842, 11846, 11850, 11854, 11858, 11862, 11866, 11870, 11874,
   11878, 11882, 11886, 11890, 11894, 11898, 11902, 11906, 11910, 11914,
   11918, 11922, 11930, 11934, 11942, 11946, 11950, 11955, 11961, 11969,
   11973, 11981, 11985, 11993, 11997, 12005, 12009, 12014, 12020, 12024,
   12028, 12032, 12040, 12045, 12051, 12056, 12062, 12067, 12073, 12077,
   12085, 12093, 12097, 12102, 12108, 12116, 12120, 12127, 12132, 12138,
   12143, 12148, 12154, 12158, 12166, 12170, 12174, 12178, 12182, 12190,
   12194, 12198, 12206, 12210, 12218, 12226, 12230, 12234, 12242, 12246,
   12254, 12258, 12262, 12266, 12270, 12274, 12278, 12282, 12286, 12290,
   12294, 12298, 12306, 12310, 12318, 12322, 12330, 12334, 12338, 12342,
   12346, 12350, 12358, 12362, 12370, 12374, 12382, 12386, 12390, 12398,
   12402, 12410, 12414, 12418, 12426, 12430, 12438, 12443, 12449, 12453,
   12457, 12461, 12465, 12469, 12473, 12477, 12485, 12489, 12497, 12505,
   12510, 12516, 12520, 12524, 12528, 12532, 12537, 12543, 12551, 12559,
   12563, 12567, 12575, 12579, 12587, 12595, 12599, 12607, 12615, 12620,
   12626, 12631, 12637, 12641, 12649, 12653, 12657, 12661, 12669, 12674,
   12680, 12684, 12693, 12695, 12703, 12708, 12714, 12719, 12725, 12729,
   12737, 12741, 12745, 12749, 12757, 12761, 12769, 12773, 12781, 12785,
   12793, 12801, 12809, 12817, 12825, 12833, 12841, 12845, 12853, 12857,
   12861, 12865, 12869, 12873, 12877, 12881, 12885, 12889, 12893, 12897,
   12901, 12905, 12906, 12911, 12917, 12921, 12922, 12926, 12934, 12942,
   12946, 12950, 12958, 12962, 12970, 12974, 12978, 12982, 12990, 12994,
   12998, 13002, 13006, 13010, 13014, 13018, 13022, 13026, 13030, 13034,
   13038, 13042, 13046, 13050, 13054, 13058, 13062, 13066, 13070, 13074,
   13078, 13082, 13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114,
   13118, 13122, 13126, 13130, 13134, 13138, 13142, 13146, 13150, 13154,
   13158, 13162, 13166, 13170, 13174, 13178, 13182, 13186, 13190, 13194,
   13198, 13202, 13206, 13210, 13214, 13218, 13222, 13226, 13230, 13234,
   13238, 13242, 13246, 13250, 13254, 13258, 13262, 13266, 13270, 13274,
   13278, 13282, 13286, 13290, 13294, 13298, 13302, 13306, 13310, 13314,
   13318, 13322, 13326, 13330, 13334, 13338, 13342, 13346, 13350, 13354,
   13358, 13362, 13366, 13370, 13374, 13378, 13382, 13386, 13390, 13394,
   13398, 13402, 13406, 13410, 13414, 13418, 13422, 13426, 13430, 13434,
   13438, 13442, 13446, 13450, 13454, 13458, 13462, 13466, 13470, 13474,
   13478, 13482, 13486, 13490, 13494, 13498, 13502, 13506, 13510, 13514,
   13518, 13522, 13526, 13530, 13534, 13538, 13542, 13546, 13550, 13554,
   13558, 13562, 13566, 13570, 13574, 13578, 13582, 13586, 13590, 13594,
   13598, 13602, 13606, 13610, 13614, 13618, 13622, 13626, 13630, 13634,
   13638, 13642, 13646, 13650, 13654, 13658, 13662, 13666, 13670, 13674,
   13678, 13682, 13686, 13690, 13694, 13698, 13702, 13706, 13710, 13714,
   13718, 13722, 13726, 13730, 13734, 13738, 13742, 13746, 13750, 13754,
   13758, 13762, 13766, 13770, 13774, 13778, 13782, 13786, 13790, 13794,
   13798, 13802, 13806, 13810, 13814, 13818, 13822, 13826, 13830, 13834,
   13838, 13842, 13846, 13850, 13854, 13858, 13862, 13866, 13870, 13874,
   13878, 13882, 13886, 13890, 13894, 13898, 13902, 13906, 13910, 13914,
   13918, 13922, 13926, 13930, 13934, 13938, 13942, 13946, 13950, 13954,
   13958, 13962, 13966, 13970, 13974, 13978, 13982, 13986, 13990, 13994,
   13998, 14002, 14006, 14010, 14014, 14018, 14022, 14026, 14030, 14034,
   14038, 14042, 14046, 14050, 14054, 14058, 14062, 14066, 14070, 14074,
   14078, 14086, 14090, 14094, 14098, 14102, 14106, 14110, 14114, 14118,
   14122, 14126, 14130, 14134, 14138, 14142, 14146, 14150, 14154, 14158,
   14162, 14166, 14170, 14174, 14178, 14182, 14186, 14190, 14194, 14198,
   14202, 14206, 14210, 14214, 14218, 14222, 14226, 14230, 14234, 14238,
   14242, 14246, 14250, 14254, 14258, 14262, 14266, 14270, 14278, 14282,
   14286, 14290, 14294, 14298, 14302, 14306, 14310, 14314, 14318, 14322,
   14326, 14330, 14334, 14338, 14342, 14346, 14350, 14354, 14358, 14362,
   14366, 14374, 14378, 14382, 14386, 14390, 14394, 14398, 14402, 14406,
   14410, 14414, 14418, 14422, 14426, 14430, 14434, 14438, 14442, 14446,
   14450, 14454, 14458, 14462, 14466, 14470, 14474, 14478, 14482, 14486,
   14490, 14494, 14498, 14502, 14506, 14510, 14514, 14518, 14522, 14526,
   14530, 14534, 14538, 14542, 14546, 14550, 14554, 14558, 14562, 14566,
   14570, 14574, 14578, 14582, 14586, 14590, 14594, 14598, 14602, 14606,
   14610, 14614, 14618, 14622, 14626, 14630, 14634, 14638, 14642, 14646,
   14650, 14654, 14658, 14662, 14666, 14670, 14680, 14681, 14684, 14685,
   14686, 14692, 14693, 14694, 14695, 14696, 14709, 14709, 14718, 14733,
   14735, 14738, 14740, 14744, 14756, 14772, 14776, 14787, 14788, 14791,
   14803, 14812, 14813, 14816, 14817, 14818, 14821, 14822, 14825, 14826,
   14829, 14830, 14833, 14835, 14837, 14839, 14843, 14850, 14857, 14873,
   14907, 14917, 14920, 14924, 14937, 14938, 14940, 14942, 14946, 14960,
   14967, 15028, 15037, 15039, 15040, 15043, 15045, 15046, 15049, 15050,
   15051, 15052, 15053, 15060, 15059, 15069, 15071, 15073, 15074, 15077,
   15078, 15079, 15080, 15083, 15084, 15088, 15087, 15104, 15102, 15118,
   15117, 15131, 15137, 15138, 15141, 15143, 15144, 15147, 15148, 15149,
   15150, 15153, 15154, 15157, 15165, 15182, 15190, 15213, 15319, 15353,
   15355, 15357, 15361, 15365, 15364, 15415, 15417, 15416, 15431, 15437,
   15444, 15449, 15455, 15456, 15459, 15460, 15461, 15462, 15463, 15464,
   15465, 15473, 15481, 15484, 15485, 15486, 15487, 15488, 15489, 15497,
   15505, 15506, 15507, 15510, 15511, 15514, 15516, 15525, 15613, 15614,
   15621, 15622, 15623, 15629, 15638, 15641, 15642, 15643, 15644, 15647,
   15648, 15649, 15652, 15654, 15662, 15663, 15669, 15677, 15678, 15681,
   15682, 15685, 15690, 15697, 15702, 15709, 15716, 15716, 15718, 15725,
   15726, 15729, 15730, 15731, 15732, 15733, 15734, 15735, 15736, 15737,
   15743, 15750, 15762, 15768, 15775, 15783, 15784, 15796, 15807, 15818,
   15822, 15823, 15826, 15831, 15835, 15836, 15839, 15845, 15853, 15859,
   15866, 15870, 15871, 15874, 15877, 15881, 15882, 15885, 15891, 15900,
   15905, 15915, 15925, 15937, 15938, 15939, 15940, 15941, 15942, 15943,
   15944, 15945, 15946, 15947, 15948, 15949, 15950, 15951, 15958, 15959,
   15962, 15963, 15970, 15971, 15972, 15979, 15978, 15995, 15996, 16003,
   16002, 16072, 16078, 16084, 16092, 16098, 16104, 16110, 16116, 16122,
   16128, 16134, 16140, 16151, 16152, 16155, 16156, 16157, 16158, 16159,
   16160, 16161, 16162, 16163, 16164, 16165, 16166, 16167, 16168, 16169,
   16170, 16171, 16172, 16173, 16174, 16175, 16176, 16177, 16180, 16181,
   16182, 16183, 16184, 16185, 16189, 16190, 16191, 16192, 16193, 16194,
   16195, 16198, 16201, 16202, 16203, 16204, 16205, 16206, 16207, 16208,
   16221, 16222, 16223, 16224, 16225, 16226, 16227, 16232, 16233, 16234,
   16235, 16236, 16237, 16243, 16244, 16245, 16246, 16247, 16248, 16249,
   16250, 16251, 16252, 16253, 16256, 16257, 16258, 16259, 16260, 16263,
   16264, 16265, 16266, 16269, 16270, 16271, 16272, 16273, 16274, 16275,
   16292, 16293, 16294, 16297, 16298, 16299, 16300, 16301, 16302, 16306,
   16306, 16309, 16315, 16316, 16319, 16321, 16326, 16336, 16347, 16354,
   16355, 16356, 16359, 16392, 16394, 16396, 16399, 16409, 16419, 16429,
   16430, 16433, 16435, 16436, 16437, 16440, 16442, 16450, 16451, 16452,
   16456, 16457, 16461, 16462, 16465, 16466, 16469, 16470, 16471, 16472,
   16473, 16476, 16477, 16478, 16479, 16480, 16481, 16482, 16483, 16484,
   16485, 16486, 16487, 16488, 16489, 16490, 16491, 16492, 16493, 16494,
   16495, 16496, 16497, 16498, 16499, 16500, 16501, 16502, 16503, 16504,
   16505, 16506, 16507, 16508, 16509, 16510, 16511, 16512, 16513, 16514,
   16515, 16516, 16517, 16518, 16519, 16520, 16521, 16522, 16523, 16524,
   16525, 16526, 16527, 16528, 16529, 16530, 16531, 16534, 16535, 16536,
   16537, 16540, 16541, 16542, 16543, 16544, 16545, 16546, 16547, 16548,
   16549, 16556, 16557, 16558, 16559, 16562, 16563, 16566, 16567, 16570,
   16571, 16582, 16583
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5097

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5097)))

#define YYTABLE_NINF -2972

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2972)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5097,   504, 11004, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, 33388, -5097,
   -5097, -5097, -5097, -5097, 32716,   443, -5097, -5097, -5097,123398,
   -5097, -5097, -5097,   301, 82238, -5097, 85358,   867, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, 89518, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, 68702,  1771, -5097,   980,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097,   -83, 19285, -5097,
   -5097, 85878, -5097,   275, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, 86398,   465, -5097, -5097,   681,  1478, -5097,   135, 18269,
   -5097, -5097, 78598, 83278, -5097, -5097, 90038,   925,  2484, 18870,
     -83, 34205, 90558, -5097,  2806, -5097, 65018, -5097, -5097, -5097,
   82758, -5097, -5097, -5097,  1151, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, 96278,  2921,   627, 65547, -5097,
   -5097, -5097, -5097, 96278, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, 91078, -5097,  1109,  1141,   704, 96798, 97318,
   80158, -5097,  1552, -5097, 96278,  1323,   321, 67660, -5097, 97838,
   -5097, -5097,  1153, -5097, 91598, -5097, -5097, -5097, -5097, -5097,
     627, -5097, 68702, 63976,    70,  1085, -5097, -5097, 98358, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   96278,  2162,  1229, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097,   465, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097,  1119, -5097,   944,  1467,  1669,
     841,  1327, -5097, -5097, -5097,  6162, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097,120192,  2209, -5097, -5097, -5097,  1566, -5097,
    1627, -5097, -5097, -5097,  1823, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097,   229, -5097, -5097, -5097, -5097,  2183,119158, 89518,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, 78078, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097,   200, -5097, -5097, -5097, -5097, -5097,
   89518, 89518, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, 89518,  1782,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
     487,  2077, -5097, -5097, 68702,  3242,  3242,  2278,120192, -5097,
   -5097, -5097, 70265, 96278, 96278, 96278,  2053, 96278,  1996, 96278,
     145, 70265,127931, 92118,  2109,  2054, 59202, 98878, -5097, 96278,
  126119, 96278, 96278, 99398, 96278, 96278, 96278,  2107, 86918, 96278,
    2182, 96278, 96278,126572, 99918,  2333, -5097,  2607,  1452, -5097,
   -5097, -5097, 96278, 18983,  2921, -5097, -5097,  2162, 96278,  2356,
   70265, 96278,  2156,100438,  2226, 96278, -5097, 96278,  2270,100958,
     372,  1883,127931,  2323, 59735,  2352, 96278, 96278,127931,101478,
  101998,102518, 96278, 96278, -5097, -5097,  2337, 96278, 96278, -5097,
    2450,128384,  1719,  2460,  2612,  2516,  1031, -5097, -5097,  2709,
    2254, -5097, -5097,  2726, 89518, -5097, 87438, -5097, -5097, -5097,
    2603, -5097, -5097, -5097, -5097, -5097, -5097,125213,  2484, -5097,
   -5097,  2492, 70786, 96278,  2553, -5097, -5097,103038, 74433,  2354,
   -5097,   588, 71307,128837,  2678,  2359, 60268,  2725, -5097, -5097,
  129290, -5097, -5097, -5097, -5097, -5097,103558, -5097,104078,  2455,
    2553, -5097, 74954,129743, -5097,  2587,104598,105118,105638, -5097,
   11584, -5097,  2338,  2061,  2372,  2188, 89518, 89518,  2879,121098,
   -5097, -5097,   465, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097,   181,  1955, 66076,   816, 66605, -5097, -5097,  1275,  1439,
    1497,   181,  2814,  2814,   734, 89518, -5097, -5097,  1955, -5097,
     398,    -7,  2376,  2376,  2376,  2583,  1087, -5097,  2376,  2519,
   -5097, -5097, -5097, -5097, 91598, 66076, 66605, -5097,  2389,  2921,
     237,  2818,  2454, -5097, -5097, -5097, -5097, -5097,  2480, 96278,
   96278, 96278, -5097, -5097, -5097,  2862,  2469,  2707, -5097,  2441,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  2655,
    2663,  2671,    65,  2921,  2556, -5097,  2789, -5097,  2688, 40094,
   40094,  1447, 89518,  2921, 67134, 92638,116038,   206,125213,  2921,
  106158,  2502,  1605,  2716, -5097, -5097, -5097,   568, -5097,  2914,
    2515,  2763,   617,  1452, 56039, -5097,  2541,  1798, 91598, 31659,
   -5097, -5097, -5097, -5097,   974,  2854, 43860, 96278,  2509, -5097,
    2555,  2509,  2559,  2571,  1669, -5097, 96278,  1192,  1192,  2969,
    1192,  2063,  2321, -5097,  2255, -5097,  2867,  2835, 91598,  2578,
     -83,  2563, -5097, -5097, -5097,  2591, -5097,  2582,  2586, -5097,
     498,  2864, -5097, -5097, -5097, -5097,  2680,  2683,  2687,  2698,
    2616,  2706,   220, -5097, -5097, -5097, -5097,  2937, -5097, -5097,
   -5097, -5097, -5097, -5097,  3053,  3036,123854,123854,   862,   879,
     177,   473, -5097, -5097, -5097,  2896, -5097, -5097,  2903, 96278,
    2717, 96278, -5097, -5097, -5097,106678, -5097, -5097,  3242,  2591,
    1582,  2651, -5097,   281, -5097,  1798, -5097,   299,   320,   331,
    2103,  2650,  1607,  2870, -5097,   630, 96278,   166,  2689, 93158,
    3135,  2660,  2668,  1798,  2819,  1174,  2953,  2997,  4897,   220,
   93678, -5097, -5097, -5097, -5097, 96278, 96278, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097,  2692,  1645, -5097, -5097,
    2681,  3001,  2897,   624,  2985,  2887,   839,  2918,  1949,  3017,
   13526,  1101,  1709,  1943,107198,116558,  3012,  3055,  6885,  2152,
     945,  2967,  1172,  2985,  3080,  2928,   839,  3098,  7995, 96278,
    2782, -5097,  3037,  3143,  1061, -5097,   294, -5097,  2851,  3004,
      -1,  3061, 70265,  2839, -5097, -5097, 96278, -5097, -5097, 75475,
    2917, -5097,   642, 70265, -5097,  3052,  2957, 60801, 96278, -5097,
   -5097, 96278, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  2981,
    3201, 96278, 75475, -5097,  3163, 96278, 96278, -5097,  2940, -5097,
   -5097, -5097, -5097,  2376, 96278,  2944,  3346, 75475,  3164,   248,
   96278,  1747,  3399, 96278,  3187,  1747,  3018,107718, -5097, -5097,
    1747, -5097, -5097, 96278, 96278,  2986,  1969,  3173,  3302,  1747,
    3212,  3423,  3435,  3238,  3093,  3243,  2555,  3416,  3218,  1271,
    1235,   133,  1646,  1747,  3078,108238,108758, 96278,  3081, 96278,
    3422, 70265, 96278,  3345, -5097,  3207, 94198, -5097,  3038,  2709,
   -5097, -5097, -5097, -5097, -5097,  1300, -5097, -5097, -5097, -5097,
   -5097,  3365, -5097,   136,   893,  3366,  3046,  3370, -5097, -5097,
    3099, -5097,  3099,  3099,  3051,  3051,  3226,  3056,  3376, -5097,
   -5097, -5097,  2581,  3099,  3051, -5097, 76517, -5097,  1948,  1980,
   -5097,   140, -5097,  3489, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097,  3058, -5097,   587, -5097,  2241, -5097, -5097, -5097,
   -5097,  3094, -5097,  3384,   167, -5097,  3386, -5097,  3063,109278,
   -5097,109798,110318,  3388,   175, -5097,127931,  3389,  3063,  3395,
     893,  3398, -5097,  1308,  3390,  3401,   140,  3406,  2311,  3063,
  125666,  3407,   187, -5097,  3408,   252, -5097,  3409,  3289, 12215,
   11584, -5097, 17234,  1958, -5097, -5097, -5097, -5097, -5097, -5097,
   43860,   886,  3181, -5097, -5097, -5097,  2243, -5097,122476, -5097,
    2879,  1955, -5097, 89518,  1955, 89518,   734,  1955, 89518,  1955,
   89518,   734,  1955, 89518, 89518, 89518,  1955, -5097, -5097,   224,
     251, -5097, -5097, -5097, -5097, -5097, 89518,  3096, 96278, 96278,
   -5097, -5097, -5097, 83798,127931, 84318, -5097, 96278, -5097,    40,
   89518, -5097, 89518, -5097,  2921, -5097, -5097,  2061, 75475,  3530,
  127931,  3422, -5097,  2253, -5097, -5097, -5097, -5097, -5097, -5097,
    3347, 96278,  3411,  3412, 83798,127931, -5097,110838,125213,  3300,
    3106, -5097, -5097, -5097, -5097,  2267,  2961,   388,  3011, 43860,
    3108,   388,   388,  3111,  3424, -5097, -5097, -5097,   360,  3113,
    3114, -5097,   379,   379, -5097,  3116,  3117, -5097,   396,  3119,
    3120,  3079,   415,  3121,  3122,  3123,  2581,   388, 43860, -5097,
    3125,   379,  3127,  3128,  3130,  3101,  3131, -5097,  3229,  3132,
     165,   259,  3136,  3142, -5097,  3116, -5097,   457,  3144,  3145,
    3146,  3148,  3149,  3153,  3154,  3155, 43860, 43860, 43860, -5097,
   38480,  1798,  2921, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097,   488,  5624, -5097,  3195, -5097, -5097,  3349, -5097, -5097,
   43860, -5097, -5097,   153, -5097,   505, -5097, -5097,  1798, -5097,
   -5097,  1592, -5097, -5097, -5097, -5097,  3429,  3158,  2172,  2172,
     215, -5097, 85878, 85878, -5097, -5097,   223,  3165, -5097,  1674,
   -5097, -5097, -5097, -5097, -5097, -5097,124760,  3600, -5097,   555,
    2921,   294,  1806,  3543,121554,122015,  3434,  3434,  3421, -5097,
   -5097, 96278, -5097, -5097, 43860, 62934, -5097,  1798,   111,  3436,
   -5097, -5097, -5097,  2280, -5097, -5097, -5097, -5097,   465, 17785,
    2302,  2509, 96278, 96278,  3608, -5097, -5097,  2555, -5097, -5097,
    1669,  1669, 43860,  1669,   758,  1474, 40632, 43860,  3488,  3392,
    1520,  1761,  3490, -5097,  3391,  2063,  2321, 91598, 96278,111358,
    3304, 43860, -5097,  2591,  3190,  2178, -5097, 77558,119675,119675,
    3456, -5097, -5097,  1096,   618,  3317,  3418,  2814,  1163,  1095,
    1095, -5097, -5097,  3191, -5097,  3549, 85878,  3255,123854, -5097,
   -5097, 96278, -5097, -5097, 94718, -5097, -5097, -5097,  1977,  3196,
   -5097,  3211, 96278, -5097,  3729,  1095,  1095, -5097, -5097,  3202,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,120192,  3204,
   96278, -5097,  3206,  3209, -5097, 31659,  3286,  3290,  3340, 63455,
   -5097,  1798,  3292,  3259,  3294,  3348, 68702,  3215,  3298,  3301,
    3351,  3467, -5097, -5097,  3303,  3308,117078, -5097, -5097,  1290,
   -5097, -5097, -5097,  1290, -5097,  3244, -5097,  1721,   210,  1195,
    3310,   402,  1301,  3617, -5097,  1473, -5097, -5097,  3367, -5097,
    7758, 96278,  3557, 10303,  3439,   220,  3441,  3372, -5097, -5097,
    3491,  3324, 96278,  3330,  3464,   220,  1463,117598, -5097, -5097,
   -5097, -5097, -5097, -5097,  4908, 37430, -5097,  2122,  3334,  3315,
    3350, 96278, 79118,  1803,  3460,  3461,  1778,  2059,   742,  3396,
   96278,   910,  3469, 96278,  3265,  3352,  3353,  3559,  3272,  1690,
    3658,  3273, -5097, -5097,  3463,  3561,  3606,  9502,  3343,  3344,
   72870, -5097,  3369,   -14, 61334, 96278, 96278,  3383,  3387,  3385,
    3393,  1204,  3665,  2185,  3402, -5097, -5097, -5097,  2185, 96278,
    3404,  3405, 96278, 76517,   220, -5097,  3718,   220,   220,  1936,
    3721,  3410,   534,  3540,  2562,  1747,  3273,  1619, -5097,  3414,
    3415,  1336, -5097,  3515,  3417,  3426,  3450,  2921, -5097, -5097,
    3427,  3485,  3428,   792, -5097, -5097,  1530,  3420, 91598,  3508,
    3509,   280,  2566,  3273, -5097,  3430,  3431,  3272,  3272, 96278,
   96278, 96278, 96278, 96278,   151,  3754,  3763,  3433,   160,  3472,
    3341, -5097,  2185,127025,  3437, -5097,  2185, 96278,  3440,  2576,
    3273,  1963, -5097,  1923, -5097, -5097, -5097,  1452, -5097, 96278,
   -5097, 96278, -5097,  3605, 75475,  3555,  3616, -5097,  3397, -5097,
    3620,   220, -5097, 96278, 96278,  3622,  3563,  3568,  1317, 75475,
    3580,  3651, -5097,  3653,  3660,  3481,  3394,  3474, 63455, -5097,
    2986,  3403,  3837,  3728, 96278, 68702, -5097,  3851,  1290, -5097,
   75475,  3611,  3734, -5097, 96278,  3629,   -17, -5097,  3770,  3473,
   -5097, -5097,   600, 96278,   186,  3453, -5097, -5097,  3739,127931,
    1621,  3742,  2921,  3471,  3743,  3627,  2921,127931,  3668, 96278,
   96278, 96278, 96278, -5097, -5097,  3636,   966,    62, -5097,127025,
    3647, -5097, 96278,  3654,  1619,  3655,  3867,   907,  2376,111878,
    3750, -5097,112398,  3444,  3876, 75475,  3700, -5097, -5097,  3446,
    2814, -5097,  3038, -5097,  2346, -5097,  3578, -5097, 70265, -5097,
   -5097, 70265, -5097, -5097, -5097, 75475, 96278, -5097,  3451, -5097,
   -5097, 43860, -5097, -5097, -5097,  2814, -5097, 75475,  3099,  3099,
   -5097, -5097,  3884,  3534,  3538,  2814, -5097,  2814, -5097, 75475,
   -5097,  3465,  3475,  2814,  3537, -5097,  3546,  2814, -5097,  2332,
   -5097, -5097, 70265, 70265, -5097,127931,127931,  3782,   187,  3791,
    3527,  3795,  3535, 61334, 61334, -5097,   283,127931, 96278, -5097,
   96278, -5097, -5097, -5097, -5097, 75475, 75475, -5097,127931,127025,
    3799,  3801,   893, 96278, 96278, -5097, 96278, 96278, -5097, 96278,
   96278, -5097, 14989,  2129, -5097, 11584, -5097,  2320,  3434, -5097,
    1782, 96278,  1477,  2879,130196, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, 89518, -5097, 89518,   734, -5097, -5097, 89518,
   -5097, 89518,   734, -5097, 89518, -5097, -5097, -5097, 89518, 96278,
    4012,  3482, -5097,  1592, -5097, 96278,  2348, -5097, -5097,  2351,
     922, 96278, 96278,   817, 70265, 96278,  3692, 96278, 96278, 96278,
   96278, 96278,  3566,  3165,  1075, -5097,  1616,   887, 91598,  3699,
   -5097, -5097, -5097, -5097, -5097,  2357,  2162,  1373, 96278,  1692,
    2480, -5097, -5097, 84318, 82758,  3793,    98, 96278, -5097, -5097,
    3762, 43860, 39556, -5097, -5097, 17785,  3531, 43860, 43860,  3494,
    2814,  2814, -5097,  1123, 43860, 43860, 43860,  2814,  2814,  7231,
   43860, 61334, 43860, 47088, 35813, 43860, 43860, 39018, -5097, 43860,
    3715, 48164, 43860,  1806,  3719, 43860,  1806,  7231,  3951,  3951,
    1085,  2443,  5911,  3495,  1798, -5097,  2814,   861,   397, 75475,
   43860, 43860, 43860, 43860, 68702,  3582,   152, 96278, 43860,  3499,
    2247, -5097, 43860, -5097,  3503, 43860,  3583,  1042, 43860, 43860,
   43860, 43860, 43860, 43860, 43860, 43860, 43860, -5097, 49736,   622,
   -5097,  3800,  3820,   982,   537, 84838, 40094,  3814, -5097, 34735,
   -5097,   273, 89518, -5097, -5097,  1798,  3814, -5097, -5097, -5097,
   -5097, -5097,  1977,  3510, -5097,  3523, -5097, -5097, -5097, -5097,
   -5097, 96278,  3600, -5097, -5097,  3591, -5097, -5097, -5097, -5097,
     519, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  3512,
   -5097, -5097, -5097, -5097,  3512, -5097, -5097,  3434,  3516, 15160,
    3511, -5097, -5097, -5097, -5097,  3806,  3808,   893,120192, 96278,
     974, 87958, -5097, 43860, -5097,  2361,  3525, -5097,  3787, -5097,
    3524, -5097, 15369,  3787, -5097, -5097,   185,  3640,  3785,  3731,
   -5097, -5097, -5097,  3533, 17785, -5097,  2334, 17785,  2431, -5097,
   -5097, -5097, -5097, -5097, -5097,  1453, -5097, 96278,    56,  3488,
    1761,  3589,  1073,  3968, 96278, -5097, 56563,  2365,  2283, -5097,
    2591, -5097, -5097, 14168, -5097, 21426, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097,  3541, -5097, -5097, -5097, -5097,
   -5097,   220,  3544,  4046, -5097,123854, -5097, -5097, -5097,  4012,
   -5097,  2726, -5097,  2726,  4071, -5097, 89518, -5097, -5097, -5097,
   -5097,   620, -5097, 11584, -5097, 11584, -5097,127931, 96278, 96278,
    3738, -5097,  3961, -5097, 76517, -5097,  3548, -5097, 75996, 71828,
   -5097, -5097,   -16, -5097,  1041,127931, -5097, 96278, 96278, -5097,
   68702,127931, 96278, 96278, -5097,127931, 96278, 96278, -5097, -5097,
   -5097, -5097, -5097,122937,   -27, 82758,  3680, 80678, -5097, -5097,
    3551, 96278,  3610,  3811,  3812,  1178, -5097, -5097,112918, -5097,
    3767,127931, 96278, 96278, 43860,  3768, 96278, 96278, -5097,   209,
    3631,  3641, -5097, 96278,  3642,  3794, 70265,  3565, 96278, 96278,
   75475,  3643,   715, 70265,  3612, 61867, 96278, 96278, 96278, 96278,
    3693,  3879, 75475, 96278,  3821,  1772, 91598,   236,  2577,  3273,
    3781, -5097,  3892,  1560, -5097,127931, -5097, 96278,  3774, -5097,
   -5097, -5097, 81198,  3998,  3684, -5097, -5097,118118, -5097, -5097,
   -5097,  2366, -5097,127931,127931, 96278, 10605,113438,  1514,  3796,
   -5097, -5097, 75475, -5097, 96278, 96278, 96278,  3896,  3824, 96278,
   88478,113958,114478,  1009,  1371,  3825, 96278, 88998,  3826, -5097,
    3716, 96278, -5097, -5097, 69223,127931, 96278,   756, 68702, -5097,
   -5097, 96278, -5097,  3786,   913, -5097, 96278,  5934,  3664,  3674,
   96278,  3788,   297,  2666,  3273, 96278, 96278,  3586,  2387,127931,
   96278, 68702, -5097,  3797,  1182, 91598, 91598,127931, 96278, 91598,
   -5097, 96278,116038, -5097,127931,  2336, -5097,  3740,127931, 96278,
   19729, -5097, -5097, -5097,   220, -5097, -5097, -5097, -5097, -5097,
   96278, 96278,   220, 96278, 96278,   220,  1784, -5097,127931, 96278,
   -5097, -5097, -5097,127931, 96278, 96278, -5097,127931,  3453, 96278,
   68702, -5097, 96278, 10032, 96278, 96278, 96278, 96278, 96278, 96278,
  127931, 96278, -5097, -5097,  1225,  1313,  1565,  1909,   916, 96278,
    3878, 96278,114998,127931, 96278, 96278,  2921, 96278,  2055, -5097,
   -5097,  3713, -5097,127931,  2336, -5097, 11027, 96278, 96278,  3679,
    3681,   286,  3761, -5097, -5097, -5097, -5097, -5097, -5097,  2003,
    4035,115518,  2003, -5097,  2003,  3866,  3666,  3669,  2003, 96278,
   96278, -5097, -5097, -5097, -5097,  3862, 96278,  2003,  2003,  2003,
    3773,  3816,   729,  3893,  2396, -5097,  3628, -5097, 43860, 75475,
   96278, -5097,  2432, -5097,  3632,   966, -5097, -5097, 68702, 96278,
     162,   933,  3937,  3823, 79638,  2090,  3931, 96278,  3667, 96278,
    4055,  3717, 91598,  2986, -5097,  2090, 96278, -5097,  1512, 82758,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, 96278, -5097, -5097,
    3938, 96278, 43860,  3798, -5097,  2921,  2986,  2986,  2986,  2986,
   -5097, -5097, -5097, -5097,  3838,  2123, -5097,  3637,  2986, 96278,
    3756,  3963,  2090,  3648,  3964, -5097,  1619,  3970,  3962, 96278,
    3855, 79638,  2477,  3688,  3869,  4087,  2376,  2921,  3880,  3861,
   -5097, 37955,  8992,  3864,  3922,125213, 94198, -5097,  3675,  3960,
    3966,  3980, -5097,   136, -5097,  4105, -5097, 43860,  2461,  3677,
     140, -5097, -5097,  3686,  3475,  3696,  3703,  3687,  3690, -5097,
    2814, 53943,  3691,  1490,  3913,  3694, -5097,   167, -5097,  3063,
   -5097, 96278, -5097, 96278, 96278, 96278, 96278,   175, -5097, -5097,
    3063,   893, -5097,  3943,   140,  3063,  3817,  4003,125213, -5097,
     187, -5097,   252, -5097,  3898,   893, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097,  2376,  2346, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, 89518,  2726, -5097,  2466,
   -5097, 96278, -5097,  3977,  3981,  3982,  3704,  3705,  3735, 96278,
    3706,  3704,   220,  3704,  3165,  3165,  3704,  3705,127478,  4156,
    4016, -5097,  3803,  3725,  4019,   741, -5097,   779,  1363,  3948,
   -5097, -5097, -5097, -5097, 75475, -5097,127931,  3764, 96278, 96278,
   -5097,    83,  3928,  3726,127478,  4143,   893, -5097, 70265, -5097,
   -5097, 75475,  3805,  3822, 70265,  3939,  3778, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, 75475, -5097,  3989, 96278, 96278,  2475,
   -5097,  2148, -5097,  2151, 43860,   243, -5097, 16261,  2498, 43860,
    3736,  3737, -5097, -5097, -5097, -5097, -5097, -5097,  3741,  4040,
   -5097, -5097,  2512,  2529,  2534,  3744,  3745,  3307,  3748, 16310,
    3751,  3753, 47088, 47088, 38480,  1793, -5097, 47088,  3755,  3930,
    2567, 15663,  3752,  3766, 16488, 41170, 43860, 41170, 41170, 16620,
    3752,  3772,  2580, 68702,  3919, 16639,  2584, -5097, 43860, 68702,
    4589, 43860, -5097, 43860,  3776, -5097, -5097,  7347,  7347,  7347,
    7231, -5097,  3771, -5097, 47088, 47088, -5097,  2923, 38480, -5097,
   -5097,  4048, -5097, -5097,  2398, -5097,  3780, -5097, -5097,  4303,
   61334, 15014, 43860,   164, 43860,  3499, 43860,  3830,  7347,  7347,
    7347,   713,   713,   170,   170,   170,  2388,   537, -5097, -5097,
   -5097,  3790,  3802,  3807,  3952,  3809, 43860, -5097,  2677,  2701,
   96278, 12774, 17445, 18116, -5097, -5097, -5097, 50798,  3804, 43860,
   43860, 43860,  3777, -5097,  2791, 17785,   700, -5097,  2869, -5097,
   -5097, -5097,  3804,  2018,  4071,  1977, -5097,  1452,  2814,   861,
  122476, -5097, -5097, -5097, 43860, -5097, -5097, -5097, -5097,  2555,
   -5097, -5097, -5097, 17785, -5097,  2162, 43860, -5097, -5097,  1829,
    3789, 43860,  2334, -5097, -5097,  3829, -5097, 43860, -5097, -5097,
   -5097,  3165, -5097,  3999, -5097, -5097, -5097, 50798,  3831,  3832,
    1032, 55515,  3992, -5097, 96278, -5097, 96278,   126, -5097,  3810,
   -5097, -5097, -5097, -5097,  1667, -5097, -5097, -5097, -5097, -5097,
   -5097,  3813, -5097,  3815, -5097,  3827, -5097, -5097, -5097, -5097,
     198,  3818,  3819,  3828,  -116, -5097, -5097, -5097, -5097, 71828,
    2241, -5097, 75996, -5097, 75996, -5097,  2241,  4194, -5097, 71828,
    2044, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097,127931,127931,  3993, 96278,  3991,  3995,
   43860,   148, 96278,  3834,  3835,  1664,  4074, 96278, -5097,  4118,
     893, -5097, -5097,  3877, -5097, 17785, -5097, -5097, -5097, -5097,
   -5097,127931, 96278, -5097,125213, -5097, 96278, -5097, 75475, -5097,
   -5097, -5097, 96278,  3836, 96278, -5097, 96278, 96278, 96278, -5097,
   -5097, -5097, -5097, -5097,  1433, 75475, -5097, -5097, 96278, 96278,
     183,  3885,  3889, 96278, -5097,    61,  3515, 11082, 96278, 96278,
   96278,  4081, 96278, -5097, -5097, -5097, -5097,  4011, -5097, -5097,
   71828, -5097,  3063,    43,  3894,  3273,  4028, -5097,  4141,  4020,
   -5097,   884, -5097, 96278,  3950, -5097, -5097, -5097, -5097,  4144,
     893,  4147,   893, 96278, 96278, 96278, 96278,  3957, -5097, -5097,
   -5097, -5097,  3967,  4083, -5097, 68702, 68702, 68702,  2625, -5097,
   -5097,  2921, -5097, -5097, -5097, -5097, -5097, -5097,  4116, -5097,
    2638, -5097,  1264, -5097, -5097, -5097, -5097, -5097, -5097,127931,
   96278, 11645,  4160, 96278, 96278, 96278,  1921, -5097,  1050, 75475,
   -5097, 73391, -5097, -5097,  2643, -5097,  3854, 96278,  3923,127931,
    3902,  3848,  3848, -5097, -5097,  3848, -5097, -5097,  4097,  4034,
   -5097,  2404,  4041,127931,  3924, -5097, -5097,  3945, -5097, -5097,
    3947,  2844,  3273,  1619, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  1715,
   -5097, -5097,  1487,   317,  2859,  3273, -5097,  4178, -5097,  3949,
   -5097,  3953, -5097, -5097, -5097,  4106,  4107,  4109,  3955,  3959,
    4001,  3972,  3973,  4008, -5097,  3978,  4013,  3979,  4015,  4082,
    3984,   893, 75475,  4103,  2921,  4006,  4202,   893, -5097,  3986,
   -5097,  3988, -5097,  4325, -5097, 96278, -5097,  3990,  2971,  3273,
   -5097, -5097,127931, 96278, -5097, -5097, -5097, -5097, -5097, -5097,
   75475, 96278,  4170, -5097, -5097,  2003, 96278, 96278, -5097,  4173,
    4174, 96278,  4175, -5097, -5097, -5097, -5097,  1056, -5097, -5097,
   -5097,  3773,  4210, -5097,  2603, 58135,  6511,  3917,   403, -5097,
   68702, 58135,  2258,  1922,   143,  1747, -5097,125213, 96278,125213,
   -5097,   933,  4020, 96278, 96278, 96278,  3918,  3921, -5097, -5097,
   -5097, -5097,127931,   659,127931,  2814, -5097, -5097,  3996, -5097,
   96278,  2376,  2603,  4229, -5097,  3848, -5097,  4345,  3435,  1621,
    4072,  1961,  3093,  4291,  2555,   129, 68702,  3688, -5097, -5097,
   -5097, -5097, 96278, 96278,   966,  2921, -5097,  3929,  3932, -5097,
   96278,  4240, 96278, 96278, 96278, 96278,  2162,  3934, 96278,  3935,
   75475,   523,  4134,  4137,  3272,  4369,  4260,  2162,  3688,  4021,
    4261, 96278, -5097,  2654,   106, -5097,  2921,125213, 72349,  4250,
   -5097,  8581, -5097, -5097,  1169, 96278,  4236, -5097, 96278, -5097,
   -5097, 54991, -5097, 75475,  2664, -5097, -5097, -5097,  2814, -5097,
   -5097,  1843,  1843,  3956, -5097, 54467, -5097,  3954, -5097,  2420,
   -5097, -5097, -5097,   187,  4005,   893,  4007,   893, -5097, -5097,
   96278, -5097, 96278,127025,   893, -5097, -5097, 96278, -5097,  4256,
   -5097, -5097, -5097, -5097,  4080,  4086,  4091, 96278,  3704, -5097,
    3965,127931,  1748, -5097, -5097,  4149, -5097, -5097, 91598,  4077,
   -5097, -5097, -5097, -5097,  4287,  4288, -5097, -5097, -5097,   173,
   -5097, -5097, -5097,127931, 83798,   347,127931, -5097,  4227,  4232,
   -5097, -5097,  4233,   220, -5097,  4238, -5097,  4241,  4243, -5097,
   -5097, -5097,  4000, 17497, 43860, -5097,  4306, 75475, -5097,  6641,
   -5097, -5097, -5097, 43860, -5097, -5097, -5097, -5097, -5097, 43860,
   -5097, 43860,  4290, -5097, 36352,  4443,  4443,  3987, 75475, 47088,
   47088, 47088, 47088,  1728,  3127, 47088, 47088, 47088, 47088, 47088,
   47088, 47088, 47088, 47088, 47626,   783, -5097,  4182, 43860, 43860,
    4298,  4290, -5097, 75475,  4002,  3752,  4009,  4010, 43860, -5097,
   -5097,  2685, 48688,  4017, 68702, -5097, 43860, 15705,  2686,  4039,
   17369,  1798,  6942,  2921, 43860,  2433,  4096, 43860,  2697, 43860,
    4304, -5097, -5097, -5097,  4014, -5097, -5097, 75475, 43860,  4018,
    4634, 47088, 47088,  5057, -5097,  6349, 43860, 38480, -5097,  4196,
    4047, 57087, -5097, 36891,  4022,   627,   627,   627,   627, -5097,
   96278, 96278, 96278, 51322,  4312,  4023, 50274, 95238,  4026,  2520,
   -5097, 95238, 95758, 95238, -5097,  4027, -5097,  4024,  1798, 43860,
    4307,   871,   871,  4196, -5097, 43860, 43860, 41708,  4029, -5097,
    4307, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097,  4031, -5097,  4032, -5097,
   -5097,   294,  4036, -5097, -5097, 17785,  4037,   198, -5097,  4042,
   -5097,  4049, -5097,  3789,  1897, -5097,  7014,  4215, -5097, -5097,
   -5097,  4026, 42246,  4161, -5097, -5097, -5097,  4092,  2702, -5097,
   -5097,  4425,  4161, -5097, -5097,  2714, 56563,  3831, 43860,  1798,
    2814,  4059, -5097,  2726,  2018, -5097, -5097, -5097, -5097, -5097,
    2720,  2113, -5097, -5097, 71828, -5097,  4119,  3063,  3063,  1611,
    3704,  4363,  1611,  7741, -5097, -5097, 51846, 96278, 96278, -5097,
   96278,  2727,  1459, 96278, -5097, 96278, -5097, -5097, -5097, -5097,
    4487, -5097, 96278, -5097, -5097,  4122,  4123, 96278, 96278, 96278,
   96278,  4314, -5097, -5097,  2650, -5097, -5097,127931, 96278, -5097,
   -5097, -5097,   335,  3129,  3273, -5097,  4148, -5097, -5097, -5097,
    4332, -5097,  4481,  4157, 96278,  4392, 96278,  4076, -5097,  1459,
    4372,  1687,  3272,  2102,  4259, -5097,  1711, -5097, -5097,  4146,
   -5097, -5097, 96278, -5097, 96278, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097,  4199, -5097, -5097, -5097, -5097, 69223, -5097, -5097,
   96278, -5097, 68702, 58135, 68702, -5097,  1532,   346,  3170,  3273,
   96278, -5097,  4158, -5097,  4159,  4165,  4208,  1086,  1223,  4172,
    4176,  4212,  4093,  4098,  4099, -5097, 68702, 58669,  4246, 96278,
    3063,  4101,  4140,   181,  2921, -5097, -5097,  2921,  3063,  2921,
   96278, 96278, 96278, 68702, -5097,  4517,  4193, 96278, 96278, 96278,
   96278,  4163, -5097, 96278, 96278,  4416,  1131,  2335,127931, 96278,
   96278,127931, 96278, 96278, 96278, 96278, 96278, 96278,  4427, 96278,
   -5097,  4505,  4432,  2451,  4476,  4184, 96278, -5097, 96278,  2921,
    3515, 96278, 96278, -5097, -5097,  4117,  4379,  2003, -5097,  4381,
    4382,  2003,  2003,  4383,  2003, -5097, -5097,  1747, -5097,  1056,
   96278, -5097,  3628, -5097,  4049,  1095,  1095, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097,  2772, 96278, -5097, -5097, -5097, 96278,
    4124, 96278, 96278, 47088, -5097,  2249,  1826,  1164, -5097,  4384,
   96278,  3453, -5097, -5097, -5097,  4292, 96278, -5097, -5097, -5097,
   -5097, -5097,    29,  3934, -5097,  4400, 79638,  3063,127931,127931,
    3063, -5097, 75475,  4126,  3688, -5097,   785,  4211,127931,  1621,
    1635,108758,  3471,  4162,  4335, 50798,  1715, -5097,  4138,  4295,
   -5097,  4136,  4142, -5097, -5097, 96278,  4020,127025,  2739,  1619,
     918,  2372,  3764, 81718,  4324,  3934,  4400, -5097, -5097, -5097,
    4535,  4235, -5097,  2162, 96278,  3764,  4235,  2921, 96278,  3610,
   -5097, 71828, 43860, 43860, -5097,  4151, -5097,  4150,  9643, -5097,
    4218,  4164, -5097, -5097, -5097, -5097, -5097, -5097,  4230,  4166,
   96278,  4617, -5097, -5097,  4168, -5097,  4179, -5097, -5097, -5097,
    2175,120192, 54467, 54467, 54467, 54467, 54467, -5097, -5097, 96278,
   -5097, 96278, -5097,   893, -5097,  4280, -5097,   893,  2162, 96278,
   96278, 96278,  3704,   220, -5097,  4460,127478, -5097, -5097,  2748,
   96278, -5097, -5097, -5097,  4526,    98,  4475, -5097, -5097,  2462,
    2462,  2462,  4433,  2462,  2462,  2462, -5097, 43860, 17785, -5097,
    4171, -5097, 17785,  7872, 17785,  4298, -5097,  2749, 43860, -5097,
    5585,  5585,  5585,  2220,  4478, -5097,  1697,  4177,  5585,  5585,
    5585,   240,   240,   144,   144,   144,  4443,   783, 17785, 17785,
   -5097, -5097,  4181, -5097, -5097, -5097,  3752, -5097, 44398,  4330,
    4593, -5097, -5097, -5097,  4222,  4224,  4185, -5097, 43860, 44936,
    4189, 76517,  4376, -5097,  1966, 43860, 43860,  3792, -5097, 17404,
   43860, 75475,  2773,  3792,   687, 43860,  4985,  5102, 43860, 43860,
    6591,  8027,  4187, 43860,118638, -5097, -5097, -5097,  2793, 43860,
   96278, 96278, 96278, 96278, -5097, -5097, -5097, 95238, 95758, 95238,
    4195, 49212, 53418,  2520,  4192, 96278, -5097, -5097,  4197, 50798,
    4455,  4390, -5097, 50798,  4390,  1742,  4390,  4457,  4289, 57611,
   -5097, -5097,  4204, -5097,  4395, -5097, 34735,  2122, 17785,  4618,
    4498, 43860,  4206,  4209,  4213, 17785, 17785, 43860, -5097,  2921,
    4498,  2018,  1320,  2921, -5097, -5097, -5097, 61334, -5097, -5097,
   -5097, -5097, -5097,  4414, 17785, 40094, -5097,  2162,  2437, 96278,
    1798,   766, -5097,  4228, 96278, -5097,  4161, 17785, -5097, 11584,
   -5097, -5097, -5097, -5097,  4282,  2797, -5097, -5097, -5097, -5097,
   -5097, -5097,  4297, 82758,  4515, -5097, 43860,  2807, -5097,  4253,
    4619,   205,  2811,  2812,  1459, -5097,  3453, -5097,  1862,  4511,
     127, -5097,   893, -5097, 75475, -5097, 96278, 96278, -5097, -5097,
   -5097, -5097, 96278,  3215, -5097, -5097, 96278, 96278, 96278, 96278,
   -5097,127931, 96278, -5097, 96278, -5097, 68702,  1922,  2249,  4523,
    4447, -5097,   220, -5097,  2249,  4448,   181, 96278, -5097, -5097,
    3033, -5097, 75475,   893,   893, -5097, -5097, -5097, -5097, -5097,
    4251,  4654,  4331, 96278, 96278, 96278, -5097, 96278,127931, 96278,
   96278,  2814,  2814, 75475,  4242, -5097,  2814,  2814,  4244, -5097,
  127931, 96278, 96278, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097,  4322, -5097, 43860,  4647, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097,127931, 96278,  4327,
   -5097,  4328, -5097,  2239, -5097, -5097, 96278, 96278, 96278, 96278,
    4571, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097, 96278, -5097, 96278, -5097, -5097,  2921,  2921, 75475,   893,
     893, -5097, -5097, -5097, -5097,  4513,  2003, -5097,  2003,  2003,
   -5097, -5097,  2003, -5097,  4255,   363, -5097,  1459,  2221,  4553,
   -5097,  4560, 43860, -5097,  1047,  2220, -5097,  4612,  4689, -5097,
   -5097, -5097, -5097,  3453,  2376,  4316, 70265,  1198, -5097,  4543,
     162,  4468, 79638,  4178,  1567,  4264,  4385, -5097,  3063,  3063,
    4323, 96278,  4697, -5097, -5097, -5097, -5097, -5097, -5097,127931,
    3902, -5097,   920,  4575, 96278, 43860,  4026, -5097,  2317,  4580,
   -5097,  2921, -5097, -5097,  4393,  3688, -5097, 96278,  4477, 79638,
    3764, -5097,  2817, -5097, -5097, -5097,  4311,  4688,  2477, -5097,
    4178,  4324,  1234, 96278, -5097,  4313,  4708, -5097, -5097,  4583,
    4480,  4284, -5097, 17785, 17785,  2921, 77038,  8581, 75475,  4594,
   96278,   804,  4561, 96278, -5097,   893, -5097, -5097,  4299,  2099,
    2099, -5097, -5097, -5097,   893,   893, -5097, 96278, -5097,  3704,
    3704,  3704, -5097,  4486, -5097, -5097,  4555, -5097,   893,127478,
   -5097, -5097, -5097, -5097, -5097,  2462, -5097, -5097, -5097, 17785,
   -5097, -5097, -5097, -5097,  8099, 47088,  4595, -5097,  4301, 75475,
   -5097,  4302,  2820,  2824, 48164,  4459, -5097, -5097, -5097,  8634,
    4356, 17785,  4411,  4308,  4309,  3792,  3792, 17404,  2825, -5097,
    3792, 43860, 43860,  3792,  3792, 43860, -5097, -5097,  8796,  4492,
   -5097, -5097,  9251, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   69744,  4317,  3919, 95238,  4318, 96278,  2520, 50798, -5097, -5097,
    1653, -5097, 50798,  4570, -5097, 50798, 70265, -5097, 96278,  4320,
   96278, -5097,   700, 45474, 43860,  4352, -5097, -5097, -5097,  4196,
   -5097,  4352, -5097,  1095, -5097, -5097, -5097, -5097, -5097,  4315,
   89518,   214, -5097,  1032, -5097, -5097,  4705, 51846,  4663, 43860,
   -5097, -5097, -5097, -5097, -5097,127478,  4525,127478,  1459,  9422,
    3453, 51846, 62400, 96278, 96278, 96278,  4482,  3453,  4316, -5097,
   -5097, -5097, -5097, -5097, -5097,  4333, -5097, -5097, -5097, -5097,
    4405, -5097, -5097,  1029,  3699, -5097,  2829, -5097,  4764,  4656,
   -5097, -5097, -5097, -5097, -5097, -5097,  4505, -5097, -5097, 58135,
  127931, 96278, -5097,  4417, -5097, -5097, -5097, -5097, -5097, 52894,
   61334, -5097,  1086,  4337,  4339,  1223, -5097, -5097, -5097, 96278,
    9938,  4340,  1055,  3699, 96278, 96278,  4342,  4343,  1780,  1312,
    2064,  3704,  4655, -5097, -5097, -5097, -5097,  4505, -5097, -5097,
    2003, -5097, -5097, -5097, -5097, 68702, -5097,  2394, -5097,  1747,
    4693, 70265,  4778,  4778, 96278, -5097, 10153,  4559, -5097, -5097,
    4638,  4316,  4584,  4630, -5097,  4354, 96278,  4520,  4357, 96278,
    4355,  4483,  1451,  1451, 96278, 96278, 96278,  2833,  2162,  3063,
    4140,  1621, 79638,  4720,  4020,   247, -5097, -5097,  2317, -5097,
    1678,  4695,  4402, -5097, 96278,  4796,  3934, 96278,  4365, -5097,
   -5097, 81718,  4563,  1922,130649,  4137,  4324,  2477,  4501, -5097,
    4502, -5097,  1568, -5097,  2162, 96278, 96278, 51846, -5097, 75996,
   -5097,  2834, -5097, -5097, -5097,  4439,  3804,  4484,  4485,  4370,
   96278,    34, -5097,  4386, -5097, -5097, -5097, -5097, -5097, -5097,
   96278, -5097,   347, -5097, -5097,  5513, 47088, 75475,  2837, 43860,
   -5097, 43860, -5097,  4785, -5097, -5097, -5097,   864, -5097, -5097,
   -5097,  3792,  3792,  3792, -5097,  4787,  4196, -5097, -5097,  2863,
    4811, 46550,  4774, -5097, 96278,  2871, -5097, 43860,  4387, -5097,
   -5097, 50798,  1653,  4388,  2874, 96278,  2882, 75475,  4389,  4396,
    1020,  4399, 35274,  4397, -5097, -5097, -5097, -5097, -5097, 17785,
   17785, 96278, -5097,  4391, -5097, -5097, -5097, -5097, -5097, -5097,
    4436, 96278,  2888, -5097,    17, 17785,  1748,  1611,   347,  4619,
    4316, -5097,  4401, -5097, -5097, -5097,   304,   304, 96278,  4316,
   -5097, -5097, 96278,  4473, -5097, -5097, 68702,  4681, -5097,  4458,
   -5097,  1211,  3699, 96278, 75475, -5097,    57,  4712, -5097, 75475,
   75475, -5097, -5097, -5097, 43860,  4491, -5097, -5097, -5097,  1110,
    1256, -5097, -5097, 96278, 96278, 96278, 96278, 96278,   893, -5097,
    2892, -5097,120645, -5097, -5097,  3399,  2921,  3399,  2202, -5097,
   -5097,  3399, -5097,  3399, -5097,  4255,  2921,  4778,   979, -5097,
   -5097, -5097,  1857,  4623,  4407, -5097,  1422,  4608,  4497,  4412,
   -5097, 70265,  4873,  3934,  4400, 96278, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097,  2895,  4020,  4729,  3688,  4313,
   -5097,  4449, -5097, 50798, -5097, -5097, -5097,  3399, -5097,  1351,
    4418,  4741,  4020,  2162,  4324,  3934,  4400, -5097, -5097,  4421,
   -5097, -5097,  4235,  2477,  4137, -5097, -5097,  4824,  4621,  4826,
    3764, -5097,  3610,  2898, -5097,  9643, 77038, 75475,  4766,  4464,
    4465, -5097, -5097,  4494, 96278, -5097, -5097,  2866,  4887,  4020,
   -5097,  5513,  2902, -5097,  2905,  2925,  4585,  4490, -5097, 43860,
    1940,  4027, 69744,  4431, -5097, 47088,  2926, -5097,  5444, 96278,
    2930, -5097, 17785, 96278, -5097, -5097, 43860, -5097,  2936, -5097,
   -5097, 43860,  4434, 43860, -5097, 45474,  4429, -5097,  4864, -5097,
    2162, -5097,  3804, 51846, -5097,  4552, -5097,  4744, -5097, 96278,
    4488, 61334,  3789,  3789,  2376, -5097,  1459, -5097, 96278, -5097,
    4407, 43860, -5097,  4530, -5097, -5097,  2939,  1810,  4601,  4601,
    2951,  2952, 10868, 96278, -5097, -5097, -5097, -5097,  2955, -5097,
   -5097, -5097, -5097,  2956,  3705,  2064,  3705, -5097,  3704, -5097,
   -5097, 68702, -5097,124307, -5097, -5097, -5097,  2921, -5097,  2921,
    4657, 96278, 64497,  2921,  2921, -5097, -5097, -5097, -5097, -5097,
    4780,  4722, -5097,  1619, -5097, -5097, -5097, -5097,   374, -5097,
    4649,  4650, 96278, -5097,  4451, -5097,  2959,  4178,  4574,  4020,
   -5097, -5097, 96278,  4886,  4888, -5097, 96278,  4026, 96278, -5097,
   -5097, -5097, 43860,  4625, -5097,  4313,  2477,  4178,  4324,  1922,
   52370, -5097,  4137,  4235,  4658, -5097,  4659, -5097,  4466,  3688,
    8581, -5097, -5097,   239,  4760,  4767, -5097, -5097, -5097, -5097,
   -5097, 96278, -5097, -5097, -5097, -5097, -5097, -5097,  3752, 42784,
   42784,  4463, -5097, -5097, 96278,  2220,  4467, 46550, 68702,  2960,
   -5097, 73912, -5097,  2963,  2964, -5097,  2973, 45474,  2976, -5097,
   96278,  4469, -5097, -5097, -5097, 56563,127478,   304,  4493, -5097,
    4472, -5097, -5097,  4584,  1459,  3699, -5097, 17785, 96278, 70265,
    4880, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  3699,  4554,
    1110, -5097,  1256, 96278, -5097, -5097,  2977, -5097, -5097, -5097,
   96278,  4138, -5097,  4138, -5097, -5097,  4610, -5097,  1412,  1143,
    1143,  4828, -5097,  4539, -5097, -5097,  4489, -5097,  4943,  4604,
   96278, -5097, -5097,  1086,  2162,  4020, -5097, -5097, 12571, 70265,
   -5097,  4137,  4324,  2477, 43860,  2989, -5097,  4619,   205,  4235,
   -5097, -5097, -5097, 51846,  4235, -5097, -5097, -5097,  2695, 70265,
   70265, -5097, 46012,  4620,  1030, 15997, -5097, -5097, -5097, -5097,
    2993, 48164, -5097, -5097, -5097, 96278,  4680,  2084, -5097,  4635,
   -5097,  3005, -5097, -5097, -5097,   -98,   347,  3789, 43860,  1459,
   -5097,  4608, -5097,  3699, -5097, 96278, -5097,  4495, -5097, -5097,
   -5097, -5097,124307,  4138,  4402, -5097, -5097,  4937, -5097,  1245,
   -5097, -5097, -5097, -5097, 96278,  4020,  4242,  4313, -5097, -5097,
    4499,  4235,  2477,  4137, 13269, -5097, 52370, 96278, 96278, -5097,
    3006,  3804, -5097,  2137, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097,  4503,  4504,  4932, -5097, -5097, -5097, -5097, -5097, -5097,
    3919, -5097, -5097, 47088,  4711, -5097,  2084, -5097, 47088,  4508,
   -5097, -5097, -5097, -5097, -5097, 13287, -5097, -5097, -5097,  1110,
   -5097,  4832, -5097, -5097, -5097,  4020, -5097, -5097, 68181, -5097,
    4137,  4235,  4619, -5097, -5097, -5097,  3688, -5097,  2066, -5097,
   -5097,  2159,  2571,  4591,  4808, 43322,  4906,  2220, -5097, -5097,
    2220, 43860, -5097,  1459,  3010,  4683, -5097,  3013, -5097, -5097,
   -5097, -5097, -5097,  4235, -5097, 96278,  4235, -5097,  2137,  4626,
    4629, -5097, 96278, 13825, -5097, 70265, -5097, 68181, -5097, -5097,
    3804, -5097,  4556,  4562,  3019, -5097,  4524, -5097, -5097,  4830,
    4834, -5097, 68181, 70265, 70265,  3026, -5097, -5097, -5097
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2656,     0,     2,     1,  3085,  3089,  3093,  3094,  3011,  3095,
    3096,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,
    3070,  3071,  3072,  3074,  3073,  3075,  3076,  3077,  3078,  3079,
    3080,  3081,  3082,  3084,  3083,  3033,  2663,  3030,  3027,  3028,
    3029,  3034,  3032,  3025,  3026,  2223,  3098,  3086,  3099,  3087,
    3088,  3090,  3091,  3060,  3092,  3100,  3101,  3102,  3097,  3105,
    3056,  3057,  3055,  3058,  3059,  3103,  3104,  3047,  3048,  3049,
    3050,  3106,  2664,  2665,  3052,  2657,  2661,  2723,  2794,  3053,
    3054,  3051,  2662,  3046,  2794,     0,  2915,  2916,  2917,     0,
    2918,  2919,  2920,  2846,  2808,  2921,     0,     0,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,     0,  2930,  2931,  2932,
    2933,  2793,  2934,  2935,  2936,  2937,  2770,  2776,  2899,     0,
    2750,  2751,  2747,  2749,  2748,  2752,  2735,  1422,   632,  1508,
    1507,     0,  2558,  1422,  2511,  2512,  2559,  2513,  2514,  2515,
     270,     0,  1510,  2516,  2560,     0,  1422,  2561,   431,  1114,
    2562,  2563,  2678,     0,  2517,  2518,     0,     0,     0,   632,
    1422,     0,     0,  2519,  1637,  2520,     0,  2521,  2564,  2565,
       0,  2522,  2523,  2566,     0,  2567,  2524,  2525,  2526,  2568,
    2569,  2570,  2527,  2571,  2572,     0,     0,  1651,     0,  2528,
    2573,  2529,  2530,     0,  2574,  2531,  2532,  2533,  2575,  2576,
    2534,  2535,  2536,     0,  2537,     0,     0,     0,     0,     0,
       0,  2577,  1422,  2538,     0,     0,  1658,     0,  2539,     0,
    2578,  2540,     0,  2541,     0,  2579,  2542,  2543,  2544,  2545,
    1651,  2895,  2771,     0,  1512,     0,  2546,  2580,     0,  2547,
    2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,
       0,     0,     0,    69,    70,    29,    28,    89,    52,    16,
      60,   123,   122,   124,    39,    35,    77,    24,    26,    36,
      40,    62,    64,    53,   101,    61,    22,    59,    84,    65,
      87,    47,    10,    11,    48,    12,    49,    13,    50,    14,
      97,    71,    90,    33,    58,    21,    41,    67,    68,     3,
      43,    79,    75,     9,    54,    55,    57,    81,    82,    83,
     106,    85,   118,    38,   115,    94,    95,   112,    96,   113,
       7,    98,    51,    15,   109,   108,   110,    78,    44,    80,
      66,    88,   107,    25,   111,    17,    18,    20,    19,    56,
      27,    63,    30,    86,   114,   104,   100,   119,   117,   125,
     102,    72,     5,     6,    91,     4,    23,    46,     8,    32,
      31,    45,    37,   121,    34,  1510,    93,   105,    92,    99,
      76,   103,   120,    74,   116,  1622,  1609,  1660,  1621,  1636,
       0,  1625,  2990,  2991,    42,  1637,   127,   128,   133,  2660,
    2712,  2713,  2714,  2794,  2745,  2746,  2739,  2755,  2765,  2754,
    2758,  2766,  2753,  2772,     0,   130,   132,   134,   137,   131,
     126,   129,   136,   141,   135,   140,   138,   139,   142,   143,
     144,  2992,  1883,  2989,    73,  2730,  2729,     0,  2794,     0,
    3022,  2238,  2239,  2240,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,  2253,  2254,  2255,  2256,
    2257,  2258,  2259,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2283,  2230,  2284,  2285,
    2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,
    2376,  2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,
    2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,  2395,
    2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2406,  2404,
    2405,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,
    2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2231,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2678,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,
    2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,
    2504,  2505,  2506,  2507,  2508,  2509,  2510,  2696,  2228,  2229,
    2235,  2236,  2237,  2671,  2692,  2698,  3018,  2697,  2234,  2845,
       0,     0,  2938,  2939,  2940,  2941,  2942,  2943,  2993,  2994,
    2995,  2996,  2997,  2999,  2998,  2807,  2965,  3002,  2806,  3003,
    2810,  3004,  3005,  3006,  3007,  2966,  3008,  2809,  3000,  2962,
    2811,  2804,  2805,  2963,  2913,  2914,  2201,  2964,  2961,  3001,
    2699,  2960,  2815,  2814,  1599,  3017,  2200,  1600,     0,  2817,
    2944,  2945,  2946,  2947,  2949,  2948,  2950,  2581,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  2975,
    2593,  2594,  2595,  2988,  2596,  2597,  2976,  2598,  2599,  2600,
    2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,
    2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,
    2621,  2977,  2978,  2622,  2623,  2624,  2625,  2626,  2627,  2628,
    2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,
    2639,  2640,  2641,  2642,  2643,  2644,  2645,  2979,  2646,  2647,
    2980,  2648,  2649,  2650,  2981,  2651,  2652,  2653,  2654,  2655,
    2985,  2986,  2987,  2974,  2768,  2951,  2973,  2984,  2982,  2983,
    2778,  2774,  2782,  2777,     0,     0,     0,     0,  2794,  1421,
    1420,  1406,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2668,     0,  1432,   402,
     401,  1509,  1489,   632,     0,  1409,   430,  1637,     0,     0,
       0,     0,     0,     0,     0,     0,   860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,   456,   455,     0,     0,     0,  1087,
     461,     0,     0,     0,     0,     0,   620,  2677,  2672,  2682,
       0,  2675,  2676,  2960,     0,  3109,  2404,  2708,  2709,  3107,
    2461,  1601,   271,   274,   275,   272,   273,     0,  1209,  1210,
    1212,     0,     0,     0,  1222,   900,   901,     0,     0,     0,
     909,     0,     0,     0,   898,     0,     0,     0,   914,   911,
       0,   915,   912,   895,   913,   902,     0,   894,     0,     0,
    1222,   916,     0,     0,   896,     0,     0,     0,     0,  1410,
       0,  2760,  2761,  2335,  1549,   462,     0,     0,  1637,     0,
    1527,  1528,  1510,  1517,  1529,  1522,  1524,  1523,  1525,  1521,
    1526,  2239,  1027,  2254,  1027,  2324,  1024,  1025,  1027,  1027,
    1027,  2423,     0,     0,   999,     0,  1010,  2224,  1027,  2225,
    3018,  1032,   522,   522,   522,     0,  1031,  1036,   522,     0,
    1403,  1441,  2205,  1650,     0,  2254,  2324,  1000,  1402,  2477,
    1541,     0,     0,  1237,  1233,  1235,  1236,  1234,     0,     0,
       0,  2439,  1414,   255,  2958,  2449,  2542,  2477,  2959,   254,
     249,   250,  2953,  2954,  2956,   223,  2957,  2955,  2952,  2243,
       0,     0,  1031,     0,  1411,  1412,   982,  1657,  1655,     0,
    2187,     0,     0,  2262,     0,  2276,  2360,   246,  2434,  2440,
    2449,  2542,  2477,  2508,   202,   212,   207,     0,   264,  2449,
    2542,  2477,     0,  1432,     0,  1626,  1757,  2196,     0,     0,
    2769,  1405,  1404,  1511,     0,  1514,     0,  2418,  1630,  1633,
    1516,  1631,  1622,     0,     0,  2659,  1505,  1654,  1654,     0,
    1654,     0,  1614,  1622,  1617,  1621,     0,     0,     0,     0,
    1422,     0,  2737,  2765,  2744,  2800,  2741,     0,     0,  2790,
    2786,  2783,  2791,  2792,  2785,  2773,  1872,  1873,  1874,  1871,
    1884,  1870,     0,  2718,  1875,  2757,  2724,     0,  2732,  2731,
    3035,  3036,  2847,  2670,  2689,     0,     0,     0,     0,     0,
       0,     0,  2816,  2818,  2820,  2780,  2779,  2775,     0,     0,
       0,     0,  2905,  2906,  2904,     0,  2901,  2903,     0,  2800,
       0,     0,  2969,  2963,  2972,     0,  2206,  2964,  2961,  2960,
       0,   919,     0,  1444,  1073,     0,     0,     0,     0,     0,
       0,     0,  1122,  1123,     0,  2228,     0,  2334,     0,     0,
       0,  2098,  2109,  2110,  2111,  2266,  2319,  2106,  2107,  2108,
    2100,  2101,  2102,  2103,  2104,  2105,     0,     0,  1204,  2099,
       0,  2334,     0,     0,   172,     0,   149,     0,     0,  2334,
       0,     0,     0,     0,     0,     0,     0,  2334,     0,     0,
       0,     0,     0,   172,  2365,     0,   149,  2334,     0,     0,
       0,  1426,     0,     0,     0,  1428,  1431,  1407,  1492,     0,
    2196,     0,     0,     0,   953,   946,     0,   954,   961,     0,
       0,   963,     0,     0,   947,     0,     0,     0,     0,   966,
     967,     0,   968,   948,   969,   949,   970,   950,   971,     0,
       0,     0,     0,   951,     0,     0,     0,  1418,     0,  1543,
    1545,  1544,  1542,   522,     0,     0,     0,     0,  2334,     0,
       0,   149,  1477,     0,  2334,   149,     0,     0,   460,   459,
     149,   458,   457,  2266,  2319,     0,  1113,     0,  1361,   149,
    2334,     0,   195,  2334,   704,  2334,  1516,     0,   635,     0,
       0,   815,  2365,   149,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,   619,   632,     0,  2681,  2687,     0,
    2679,  2848,  3110,  3108,  2803,     0,  1213,   247,   248,  1211,
     907,  2334,  1155,   358,   358,     0,     0,  2334,  1463,  1832,
    1861,  1839,  1861,  1861,  1828,  1828,  2303,  1841,  2334,  1829,
    1830,  1866,     0,  1861,  1828,  1833,     0,  1831,  1869,  1869,
    1856,   358,   923,  1813,  1814,  1815,  1816,  1842,  1843,  1817,
    1848,  1849,  1853,  1818,  1883,  2970,  1828,  2971,  2968,  2967,
     908,     0,   899,  2334,   358,  1119,  2334,  2232,   182,     0,
     897,  2266,  2319,  2334,   358,  1206,     0,  2334,   178,  2334,
     358,  2334,   636,     0,     0,  2334,   358,  2334,  2365,   180,
       0,  2334,   358,   917,  2334,   358,  2198,  2334,     0,     0,
       0,  3040,  3044,     0,  3042,  3037,  2759,  2813,  2812,  2711,
       0,  3121,     0,  1601,  1519,  1534,     0,  1530,  1537,  1533,
    1637,  1027,  1026,     0,  1027,     0,  3131,  1027,     0,  1027,
       0,  3131,  1027,     0,     0,     0,  1027,  2226,  2227,     0,
       0,  3130,  3126,  3129,  1001,  1011,     0,  1033,     0,     0,
    1040,  1039,  1038,     0,     0,     0,  1041,     0,  1761,  1576,
       0,  1008,     0,  1006,     0,  1400,  1417,     0,     0,     0,
       0,  1090,  1240,     0,  1238,  1229,  1230,  1413,   253,   251,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,  3024,  2212,  2112,  3023,     0,  2512,  2513,  2514,  2171,
       0,  2965,  2515,  2516,  2560,  2014,  2001,  2010,  2015,  2002,
    2004,  2011,  2517,  2518,  1949,  2519,  2520,  2219,  2521,  2522,
    2523,  2525,  2526,  2527,  2006,  2008,  2528,  2529,     0,  2220,
    2531,  2532,  2387,  2534,  2535,  2537,  2538,  2012,  2540,  2541,
    2542,  2543,  2544,  2545,  2218,     0,  2013,  2546,  2548,  2549,
    2550,  2551,  2553,  2554,  2555,  2556,     0,     0,     0,  2193,
       0,  1981,     0,  1821,  1822,  1844,  1845,  1823,  1850,  1851,
    1824,     0,  2192,  1886,  2063,  1980,  1997,     0,  1986,  1987,
       0,  1979,  1975,  1640,  2188,     0,  1976,  2208,  2172,  2222,
    2221,  3018,  2182,  2211,  2209,  2210,  1640,  2186,     0,     0,
       0,   215,     0,     0,  2894,   266,     0,   267,  2194,  2449,
     203,   245,   217,   244,   218,   216,     0,  2264,   204,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,   260,
    1408,     0,  1759,  1758,  2179,     0,  2180,  2197,   928,     0,
    1502,  1503,  1501,     0,  1498,  1500,  1504,  1513,  1510,  2122,
       0,  1632,     0,     0,     0,  1612,  1611,  1516,  1652,  1653,
       0,     0,     0,     0,     0,     0,     0,     0,  1706,  1668,
    1669,  1671,  1703,  1707,  1715,     0,  1618,     0,     0,  1763,
       0,     0,  2658,  2800,  2801,     0,  2795,     0,  2794,  2794,
    2788,  2787,  2784,     0,     0,     0,     0,     0,     0,     0,
       0,  2715,   614,  2717,   611,     0,     0,  2691,     0,  2695,
    2693,     0,  2840,  2843,     0,  2841,  2842,  2844,     0,  2849,
    2850,     0,     0,  3031,     0,     0,     0,  2831,  2819,  2826,
    2828,  2830,  2829,  2838,  2834,  2837,  2839,  2781,  2794,  2912,
       0,  2907,  2910,     0,  2902,     0,     0,     0,     0,     0,
    1154,  2207,     0,     0,     0,     0,     0,   920,     0,     0,
       0,     0,  1452,  1453,  1454,     0,     0,  1455,  1456,  1444,
     257,  1462,  1460,  1443,  1445,  1458,  1450,     0,     0,     0,
       0,     0,     0,     0,  1469,     0,   186,   187,     0,   648,
     632,     0,  2334,     0,     0,     0,     0,     0,  1162,  1169,
       0,     0,     0,     0,     0,     0,     0,     0,  1163,  1161,
    1164,   259,  1173,  1190,  1193,     0,  1121,  1124,     0,     0,
       0,     0,     0,  1295,     0,     0,     0,  1295,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   294,   353,     0,     0,  2334,     0,     0,     0,
       0,  1208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   153,     0,     0,
       0,     0,     0,     0,     0,   597,   610,     0,     0,     0,
       0,     0,   607,     0,     0,   149,   286,   587,   593,     0,
       0,     0,   711,   710,     0,     0,     0,     0,  1377,  1376,
       0,     0,     0,     0,  1467,  1466,     0,     0,     0,     0,
       0,  1295,     0,   276,   278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     394,   395,     0,     0,     0,   153,     0,     0,     0,     0,
     288,     0,  2725,     0,  1427,  1424,  1425,     0,  1430,     0,
    1488,     0,   960,     0,     0,     0,     0,   962,     0,   955,
       0,     0,   952,  2266,  2319,     0,     0,     0,     0,     0,
       0,     0,   965,     0,     0,     0,   433,     0,     0,   812,
       0,     0,     0,     0,     0,     0,   823,     0,  1444,  1476,
       0,     0,     0,   641,     0,  2334,     0,   151,   861,     0,
     813,   461,     0,     0,     0,  1185,  1360,   151,     0,     0,
     189,     0,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,   752,     0,     0,     0,   814,     0,
       0,   151,     0,  2334,   590,  2334,     0,   522,   522,     0,
       0,  1089,  1092,     0,     0,     0,     0,  2685,  2680,  2683,
       0,  2673,  2687,  1604,  1606,  1605,     0,  1603,     0,   356,
     357,     0,  1196,   810,  1221,     0,     0,  1860,  1847,  1855,
    1854,     0,  1837,  1836,  1835,     0,  1834,     0,  1861,  1861,
    1859,  1838,  1813,     0,     0,     0,  1865,     0,  1863,     0,
     890,  1809,  1805,     0,  1872,  1871,  1870,     0,  1819,  1828,
    1825,   910,     0,     0,  1194,     0,     0,  2334,   358,  2334,
       0,  2334,     0,     0,     0,  1198,   358,     0,     0,  1378,
       0,   906,   904,   903,   905,     0,     0,   888,     0,     0,
       0,  2334,   358,     0,     0,   883,     0,     0,   885,     0,
       0,  3038,     0,     0,  3041,     0,  2762,     0,  3127,  1546,
    3124,     0,     0,  1637,     0,   234,   235,   233,  1535,   236,
    1536,  1532,  1518,     0,  1019,     0,  3131,  3132,  1004,     0,
    1014,     0,  3131,  1002,     0,  1015,  1012,  1013,     0,     0,
       0,  3125,  3009,  3015,  1018,     0,     0,   523,   525,     0,
       0,  2287,  2302,     0,  2325,  2353,  2354,  2440,  2445,     0,
    2472,  2482,     0,  1042,  1068,  1037,   722,     0,     0,  1586,
    1009,  1007,  1401,  1539,  2129,     0,  1637,     0,     0,     0,
       0,   252,   224,     0,     0,     0,  1070,  2439,  1416,   981,
     632,     0,     0,  1984,  1985,  2170,     0,     0,     0,     0,
       0,     0,  1983,  2137,     0,     0,     0,     0,     0,  1909,
       0,     0,     0,  2150,     0,  2156,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,  1910,  1890,  1891,
    2966,  1981,  2122,     0,  1982,  2215,     0,  1883,  2112,     0,
    2109,  2110,  2111,     0,     0,     0,  2185,     0,  2120,     0,
       0,  1924,  2118,  1926,     0,     0,     0,     0,  2106,  2107,
    2108,  2100,  2101,  2102,  2103,  2104,  2105,  2116,  1906,     0,
    2191,     0,  2065,     0,  1905,     0,     0,  1719,  1639,     0,
    2213,  2173,     0,  3016,  3019,  1977,  1719,  2891,  2890,  2889,
    2888,  2859,     0,  2853,  2854,     0,  2892,  2893,   268,   269,
     265,     0,     0,   220,   219,     0,   242,   243,   214,   241,
       0,   237,   238,   222,  2054,  2053,   221,   213,   210,   208,
     225,   227,   228,   211,   209,   263,   261,     0,     0,  2178,
       0,  2175,  2174,  2203,  2181,     0,     0,   358,  2794,  1496,
       0,  1493,  1716,     0,  1634,     0,     0,  1506,  1629,  1628,
    1661,  1662,  1106,  1627,  1686,  1687,  1682,     0,     0,     0,
    1712,  1710,  1678,  1672,  1677,  1675,     0,  1679,  1886,  1705,
    1616,  1666,  1667,  1670,  1615,     0,  1708,     0,  1589,  1706,
    1671,  1573,     0,  1551,     0,  1764,     0,     0,     0,  2802,
    2800,  2740,  1813,  2794,  2733,  2794,  2789,  2721,  1877,  1878,
    1879,  1880,  1881,  1882,  2722,     0,  2719,  1876,  2720,   612,
     613,     0,     0,     0,  2688,     0,  2669,  2694,  2825,  2457,
    2857,     0,  2858,     0,     0,  2822,     0,  2832,  2835,  2833,
    2836,     0,  1813,  3012,  2908,  3012,  1813,     0,     0,     0,
    1134,  1136,     0,  1135,     0,  1138,     0,  1147,     0,     0,
    1133,  1152,     0,  1141,  1139,     0,  1465,     0,     0,   921,
       0,     0,     0,     0,  1451,     0,     0,  2472,   256,  1454,
    1459,  1446,  1457,     0,     0,     0,     0,     0,  1072,  1071,
       0,     0,  1094,     0,     0,     0,  1472,   511,     0,   355,
       0,     0,     0,     0,     0,     0,     0,     0,   808,   805,
       0,     0,   804,     0,   646,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   684,     0,  1295,     0,   716,
       0,  1171,     0,     0,  1170,     0,  1174,     0,     0,  1172,
    1167,  1168,  2440,  2449,  2477,   258,  1192,     0,  1191,  1189,
    1116,     0,  1117,     0,     0,     0,     0,     0,  2312,  2334,
     298,   317,     0,  1294,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   340,
       0,     0,   343,   342,     0,     0,     0,     0,     0,   347,
     326,     0,   327,     0,     0,   346,     0,     0,     0,     0,
       0,     0,  1295,     0,   290,     0,     0,     0,     0,     0,
       0,     0,  1205,     0,   739,     0,     0,     0,     0,     0,
    1364,     0,     0,   175,     0,   170,   174,     0,     0,     0,
       0,   595,   596,   609,     0,   600,   601,   598,   602,   603,
       0,     0,     0,     0,     0,     0,     0,   594,     0,     0,
     706,   705,   709,     0,     0,     0,  1373,     0,  1185,     0,
       0,  1372,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1242,  1241,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,   177,
     726,     0,   725,     0,   171,   176,     0,     0,     0,     0,
       0,     0,     0,   232,  1423,  1429,  1491,  2204,  1490,     0,
       0,     0,     0,   964,     0,     0,     0,     0,     0,     0,
       0,   956,   957,   958,   959,     0,     0,     0,     0,     0,
     408,     0,     0,     0,     0,   839,  2967,   811,     0,     0,
       0,   825,     0,   828,   831,     0,  1442,   480,     0,     0,
     638,   684,     0,     0,   464,   184,     0,     0,     0,     0,
     741,     0,     0,     0,  1359,   146,   193,   195,   462,     0,
     194,   196,   198,   199,   200,   197,   201,     0,   703,   707,
       0,     0,     0,     0,   634,     0,     0,     0,     0,     0,
     754,   758,   757,   761,   759,     0,   755,     0,     0,  1784,
       0,     0,   169,     0,     0,   585,   589,     0,  2666,     0,
       0,   464,   563,   369,  2334,     0,   522,     0,  2334,     0,
    1091,     0,     0,     0,     0,     0,     0,  2686,     0,     0,
       0,     0,  1602,   358,  1156,     0,  1464,     0,     0,     0,
     358,  1858,  1857,  1810,  1806,     0,     0,     0,     0,   924,
       0,     0,     0,     0,     0,     0,  1826,   358,  1120,   183,
    2233,     0,   892,     0,     0,     0,     0,   358,  1207,   880,
     179,   358,   637,     0,   358,   181,     0,     0,     0,   629,
     358,   918,   358,  2199,     0,   358,  3039,  3045,  3043,  1548,
    3128,  3122,  3123,   522,  1606,  1520,  1531,  1016,  1023,  1005,
    1022,  1021,  1003,  1020,  1017,  2824,     0,     0,  3014,     0,
    1034,     0,   521,     0,     0,     0,  1048,  1049,     0,     0,
    1047,  1050,     0,  1052,  1044,  1043,  1053,  1054,     0,     0,
    1070,   720,     0,     0,     0,     0,  1583,     0,  1581,     0,
    1762,  1585,  1574,  1540,     0,  1538,     0,   578,     0,     0,
    1239,     0,     0,  1031,     0,     0,   358,  1415,     0,   983,
     989,     0,     0,     0,     0,     0,     0,   992,   993,   994,
     985,   995,   986,   996,     0,   987,     0,     0,     0,     0,
    2133,     0,  2134,     0,     0,  2169,  2165,     0,     0,     0,
       0,     0,  2141,  2142,  2143,  2140,  2144,  2139,     0,     0,
    2145,  2138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2538,     0,     0,     0,     0,  1950,     0,     0,  2093,
       0,  2122,  2155,     0,     0,     0,     0,     0,     0,  2122,
    2161,     0,     0,     0,     0,  2052,     0,  2049,     0,     0,
       0,     0,  2182,     0,     0,  2216,  1887,  1901,  1902,  1903,
    1907,  2190,     0,  2184,     0,     0,  1888,  1915,     0,  2162,
    1942,     0,  1947,  1930,     0,  1923,     0,  1928,  1932,  1911,
       0,  1908,     0,  2185,  2121,     0,  2119,     0,  1898,  1899,
    1900,  1892,  1893,  1894,  1895,  1896,  1897,  1904,  2097,  2095,
    2096,     0,     0,     0,  2073,     0,     0,  1927,  2328,  2360,
       0,  1651,  1651,  1651,  1638,  1649,  2189,     0,  1779,     0,
       0,     0,     0,  1989,     0,  2126,  1660,  2124,  2206,  3021,
    3020,  2183,  1779,     0,     0,     0,  2195,     0,     0,  1883,
       0,   262,  1760,  2176,  2179,   926,   927,   925,  1813,  1516,
    1499,  1495,  1494,  2123,  1515,  1637,     0,  1104,  1105,     0,
    1109,     0,     0,  1680,  1713,     0,  1704,     0,  1684,  1685,
    1676,  1714,  1587,     0,  1709,  1620,  1619,     0,  1782,     0,
       0,     0,  1565,  1553,     0,  1765,     0,  1719,  1591,     0,
    2182,  1717,  2738,  2796,  2743,  2764,  2734,  2767,  1885,  2716,
    2756,     0,  2690,  2860,  2861,     0,  2851,  2852,  2821,  2827,
    2898,     0,  3013,     0,     0,  1337,  1243,  1302,  1137,     0,
    1828,  1148,     0,  1132,     0,  1131,  1828,     0,  1149,     0,
    1828,  1338,  1244,  1303,   922,  1339,  1245,  1304,  1340,  1246,
    1461,  1449,  1448,  1447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,  2334,
     358,  1470,  1341,     0,  1247,   354,  1471,  1305,  1475,   807,
     806,     0,     0,  1306,     0,   647,     0,   651,     0,   653,
     654,   655,     0,     0,     0,   656,     0,  2266,  2319,   658,
     661,   668,   673,   663,     0,     0,   675,   669,     0,     0,
       0,     0,     0,     0,   681,   683,     0,     0,     0,     0,
       0,     0,     0,  1165,  1166,  1342,  1250,     0,  1307,  1115,
       0,  1251,   185,     0,     0,   283,  2334,   300,     0,   688,
     789,  1297,   324,     0,     0,   339,   334,   335,   333,  2334,
     358,  2334,   358,     0,     0,     0,     0,     0,   336,   331,
     332,   328,     0,     0,   341,  2242,  2304,  2450,     0,   692,
     694,     0,   699,   344,  1269,   365,   364,   363,     0,   348,
       0,   370,   373,   345,   322,   325,   323,   319,   295,     0,
       0,     0,     0,     0,     0,     0,     0,  2202,     0,     0,
    1200,     0,  1345,  1308,     0,  1328,     0,     0,     0,     0,
     733,  1365,  1367,  1357,  1257,  1366,   173,  1284,     0,     0,
     158,     0,     0,     0,     0,   152,   162,     0,  1348,  1258,
       0,     0,   287,   588,   599,   604,  1263,   608,   605,  1318,
     606,  1355,  1259,  1351,  1287,  1313,  1358,  1374,  1260,  1185,
    1369,  1371,     0,  1295,     0,   277,   279,     0,   297,     0,
    1261,     0,  1311,  1350,  1286,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1478,     0,     0,     0,     0,     0,
       0,   358,     0,     0,     0,  1297,  2334,   358,  1349,     0,
    1292,     0,  1326,     0,   396,     0,  1285,     0,     0,   289,
    1265,  1320,     0,     0,   230,   229,   231,   973,   933,   972,
       0,  2302,     0,   932,   934,     0,     0,     0,   935,     0,
       0,     0,     0,   931,   929,   930,   407,     0,   432,   405,
     406,   408,     0,   838,     0,     0,     0,     0,     0,   827,
       0,     0,     0,  1468,     0,   149,   645,     0,     0,     0,
     640,   683,   688,     0,     0,     0,     0,   463,   467,   471,
     472,   473,     0,     0,     0,     0,   163,   150,     0,   869,
       0,   522,     0,   743,  1363,  1362,  1184,     0,   195,   188,
       0,     0,   704,     0,  1516,     0,     0,   369,   822,   820,
     819,   821,     0,     0,     0,   843,   818,     0,  1783,  1785,
       0,     0,     0,     0,     0,     0,     0,   466,     0,     0,
     525,     0,     0,   567,     0,     0,     0,     0,   369,     0,
       0,     0,  1126,     0,  1144,  1127,     0,     0,     0,     0,
    1178,  1185,  1179,  1157,     0,     0,   617,  2684,  2678,  1607,
    1608,     0,  1197,     0,     0,  1827,  1840,   891,     0,  1868,
    1867,  1869,  1869,     0,  1811,     0,  3111,  3119,  3118,     0,
    1852,  1820,  1195,   358,     0,   358,     0,   358,  1199,  1379,
       0,   889,     0,     0,   358,   882,   884,     0,   886,     0,
    2823,  3010,  1035,   524,     0,     0,     0,     0,  1046,   615,
    1051,     0,  1063,  1058,  1060,     0,  1064,   719,     0,     0,
    1584,  1577,  1579,  1578,     0,     0,  1575,  2130,   881,     0,
     584,  1231,  1232,     0,     0,   358,     0,  1065,     0,     0,
     990,   984,     0,     0,   988,     0,   991,     0,     0,  1656,
    2131,  2132,     0,     0,     0,  2166,     0,     0,  2027,     0,
    2003,  2005,  2017,     0,  2028,  1988,  2029,  2007,  2009,     0,
    2113,     0,     0,  2018,     0,  1952,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1968,  1967,  2019,  2092,     0,     0,
    2153,  2154,  2020,     0,     0,  2160,     0,     0,     0,  2025,
    2030,     0,     0,     0,     0,  2036,     0,  2057,     0,     0,
       0,  1978,  2123,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,  1931,  1925,     0,  1929,  1933,     0,     0,     0,
    1919,     0,     0,  1917,  1943,  1913,     0,     0,  1944,     0,
       0,     0,  1996,     0,     0,  1651,  1651,  1651,  1651,  1648,
       0,     0,     0,     0,  2437,  2557,     0,  1743,  1718,  1720,
    1730,  1743,  1748,  1743,  1998,  1777,  1999,     0,  2196,     0,
    1689,  1660,  1660,  1660,  1995,     0,     0,     0,     0,  1659,
    1689,  2873,  2875,  2876,  2877,  2878,  2879,  2881,  2882,  2884,
    2885,  2886,  2874,  2880,  2883,  2887,  2864,  2865,     0,  2855,
    2856,   206,     0,   239,   226,  2178,     0,  2898,  1497,     0,
    1663,     0,  2114,  1109,     0,  1665,     0,     0,  1711,  1673,
    1588,  1572,     0,  1570,  1557,  1559,  1558,     0,     0,  1560,
    2182,     0,  1570,  1552,  1596,     0,     0,  1782,     0,  1595,
       0,  2798,  2726,     0,     0,  2897,  2900,  2911,  2909,  2736,
       0,  1828,  1129,  1130,     0,  1153,     0,  1075,  1076,     0,
    1074,     0,     0,     0,   510,  1093,     0,     0,     0,   789,
       0,     0,   514,     0,  1473,     0,  1356,  1283,   649,   650,
       0,   662,     0,   671,   670,     0,     0,     0,     0,     0,
       0,     0,   657,   677,   621,   678,   680,     0,     0,   679,
     682,   685,  1295,     0,   717,  1271,     0,  1324,  1159,  1298,
       0,  1118,     0,     0,     0,     0,     0,     0,   480,   318,
       0,     0,     0,   149,     0,   302,   310,   376,   316,     0,
    1301,   350,     0,   321,     0,   314,   337,   329,   338,   330,
     349,   351,     0,   696,   697,   695,   691,     0,   698,   700,
       0,   367,     0,     0,     0,  1344,     0,  1295,     0,   291,
       0,  1267,     0,  1322,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,     0,     0,     0,     0,
     738,     0,   735,     0,     0,   155,   154,     0,   161,     0,
       0,     0,     0,     0,  1375,     0,     0,     0,     0,     0,
       0,     0,   296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     397,   360,     0,   846,     0,     0,     0,   399,     0,     0,
       0,     0,     0,  1343,  1252,     0,     0,     0,   944,     0,
       0,     0,     0,     0,     0,   410,   411,   149,   409,     0,
       0,   840,     0,   837,  2387,  2100,  2101,   835,   841,   832,
     834,   833,   836,   789,     0,     0,   824,   829,   830,     0,
       0,     0,     0,     0,   495,     0,     0,     0,   486,     0,
       0,  1185,   479,   482,   483,     0,     0,   641,   644,   642,
     643,   676,     0,   466,   502,   549,     0,   165,     0,     0,
     166,   164,     0,     0,   369,   740,     0,   737,     0,   191,
     462,     0,   708,     0,     0,     0,  1185,   633,   760,   763,
     756,     0,   842,   844,   816,     0,   688,     0,     0,   590,
       0,  1549,   578,     0,   551,   466,   549,   561,   560,   562,
       0,   569,   368,     0,     0,   578,   569,     0,     0,  1094,
    1125,     0,     0,     0,  1175,  1180,  1176,     0,     0,  1140,
       0,  1177,  1158,  1112,  1395,  1396,  1393,  1394,     0,     0,
       0,  2701,  1598,  2710,     0,  1846,     0,  1864,  1862,  1807,
       0,  2794,     0,     0,     0,     0,     0,  1812,   893,     0,
     876,     0,   878,   358,   727,     0,   630,   358,     0,     0,
       0,     0,  1045,     0,  1061,     0,     0,  1028,  1067,     0,
       0,  1582,  1580,   576,     0,  1070,     0,  1029,  1069,     0,
       0,     0,     0,     0,     0,     0,  2135,     0,  2168,  2164,
       0,  2000,  2136,     0,  2148,  2147,  2093,     0,     0,  1951,
    1963,  1964,  1965,  2149,     0,  1973,     0,     0,  1960,  1961,
    1962,  1954,  1955,  1956,  1957,  1958,  1959,  1966,  2158,  2157,
    2151,  2152,     0,  2022,  2023,  2024,  2159,  2031,     0,  2257,
    2058,  2035,  2051,  2050,     0,     0,     0,  2038,     0,     0,
    2047,     0,  2094,  2217,  1889,     0,     0,  1916,  2163,  1934,
       0,     0,     0,  1912,  2113,     0,     0,     0,     0,     0,
    1921,     0,     0,     0,  2076,  2071,  2072,  2090,     0,     0,
       0,     0,     0,     0,  1642,  1641,  1647,  1743,  1748,  1743,
       0,     0,  1622,     0,  1730,     0,  1742,  1728,  1741,     0,
       0,  1754,  1752,     0,  1754,     0,  1754,     0,  1722,     0,
    1744,  1724,  1741,  1726,     0,  1769,     0,  2197,  1778,     0,
    1702,     0,     0,     0,     0,  2127,  2128,     0,  2125,  1990,
    1702,     0,     0,     0,  2177,  2896,  1635,     0,  1664,  1107,
    1108,  1681,  1674,     0,  1780,     0,  1571,     0,     0,     0,
    1562,  1568,  1550,     0,     0,  1592,  1570,  1593,  2742,     0,
    2797,  2862,  2863,  1150,     0,     0,  1142,  1081,  1084,  1082,
    1080,  1083,     0,     0,     0,   789,     0,     0,   530,     0,
    1101,  1101,     0,     0,   516,   572,  1185,   792,     0,     0,
       0,   790,   358,  1248,     0,   672,     0,     0,   667,   665,
     664,   666,     0,   622,  1354,  1249,     0,     0,     0,     0,
    1160,     0,     0,  1270,     0,   299,     0,   476,     0,   311,
       0,   307,     0,  1296,     0,     0,     0,     0,   306,   380,
       0,   377,     0,   358,   358,   352,   693,   366,   371,   372,
     375,     0,     0,     0,     0,     0,  1300,     0,     0,     0,
       0,     0,     0,     0,   870,   853,     0,     0,   871,   872,
       0,     0,     0,  1202,  1203,  1201,  1329,  1330,  1335,  1332,
    1331,  1334,  1333,  1336,     0,  1255,     0,     0,   731,   159,
     156,   157,   160,  1281,  1264,  1319,  1370,     0,     0,     0,
    1262,     0,  1312,     0,  1277,  1273,     0,     0,     0,     0,
       0,  1353,  1291,  1317,  1352,  1289,  1315,  1288,  1314,  1290,
    1316,     0,  1282,     0,  1787,   850,     0,     0,     0,   358,
     358,   849,   729,  1266,  1321,     0,     0,   936,     0,     0,
     938,   939,     0,   941,   415,   435,   749,   809,     0,     0,
     826,   788,     0,   484,     0,   490,   493,     0,     0,   497,
     498,   496,   485,  1185,   522,   571,     0,     0,   799,     0,
     639,     0,   464,     0,   499,     0,     0,   468,   168,   167,
       0,     0,     0,   744,   748,   746,   745,   747,   742,     0,
     733,   195,     0,     0,     0,     0,   573,  1368,     0,   773,
     817,     0,  1786,   723,     0,   369,   586,     0,     0,   464,
     578,  2667,     0,   469,   474,   475,   480,     0,   563,   550,
       0,   551,     0,     0,   575,  1440,     0,   579,   581,     0,
       0,     0,  1128,  1145,  1146,     0,     0,  1185,     0,     0,
       0,     0,   624,     0,  2674,   358,  1808,  3112,     0,  3113,
    3114,  3115,  3116,  3117,   358,   358,  1228,     0,   887,  1057,
    1056,  1055,   616,     0,  1059,   721,     0,   577,   358,     0,
     998,   978,   997,   977,   979,     0,   976,   974,   975,  2167,
    2016,  2026,  2146,  2092,  2123,     0,     0,  1974,     0,     0,
    2021,  2547,     0,     0,     0,     0,  2055,  2056,  2037,     0,
    2377,  2042,     0,     0,     0,  1940,  1938,  1935,     0,  1936,
    1920,     0,     0,  1918,  1914,     0,  1945,  2062,     0,  2078,
    2075,  2089,  2123,  1646,  1645,  1644,  1643,  1729,  1725,  1727,
       0,  2552,     0,  1732,  1739,     0,  1721,     0,  1753,  1749,
       0,  1750,     0,     0,  1751,     0,     0,  1723,     0,  1739,
       0,  1776,  1660,     0,     0,  2067,  1993,  1994,  1991,  1660,
    2214,  2067,  2866,     0,  2869,  2867,  2868,  2872,   240,     0,
       0,  3127,  1554,     0,  1555,  1561,     0,     0,     0,     0,
    1597,  1590,  2799,  1143,  1151,     0,     0,     0,   512,     0,
    1185,     0,     0,     0,  1103,  1103,     0,  1185,   571,   794,
     793,   796,   791,   795,  1474,     0,   659,   660,   674,  1272,
       0,  1325,  1279,     0,  1586,   301,     0,   689,     0,     0,
     303,   379,   381,   304,   305,   308,   360,   320,   313,     0,
       0,     0,  1268,     0,  1323,  1275,  1346,  1253,  1309,     0,
       0,   859,     0,     0,     0,     0,  1347,  1254,  1310,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,  1483,     0,  1299,   359,   848,   847,   360,   398,  1293,
       0,   937,   942,   943,   940,     0,   404,   412,   436,   149,
       0,     0,  1219,  1219,     0,   789,     0,     0,   481,   494,
       0,   571,   529,     0,   487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   736,
     735,   190,   464,     0,   688,     0,   767,   768,   762,   764,
       0,   775,   779,   845,     0,     0,   466,     0,     0,  1547,
     465,     0,     0,   477,     0,   567,   551,   563,     0,   564,
       0,   568,     0,  1433,     0,     0,     0,     0,  1181,     0,
    1187,     0,  1139,  1110,  1182,     0,  1779,     0,     0,     0,
       0,   628,  2700,  2704,  1220,  3120,   877,   879,   728,  1062,
       0,  1066,   358,   980,  2094,  1969,     0,     0,     0,     0,
    2032,     0,  2033,  2060,  2059,  2039,  2043,     0,  2040,  2041,
    1937,  1941,  1939,  1922,  2064,     0,  1660,  2091,  1772,     0,
    1775,     0,     0,  1731,     0,     0,  1733,     0,     0,  1735,
    1737,     0,     0,     0,     0,     0,     0,  2200,     0,  2283,
    2523,  2436,     0,  1688,  1690,  1693,  1695,  1694,  1696,  1692,
    1701,     0,  1624,     0,  1623,  2871,  2870,  2115,  1781,  1569,
       0,     0,     0,  1095,     0,  1594,  1063,     0,   358,  1101,
     571,   531,  2387,   532,  1100,  1102,  1106,  1106,     0,   571,
     789,   652,     0,     0,   284,   687,     0,     0,   312,   362,
     374,     0,  1586,     0,     0,   857,   866,   866,   854,     0,
       0,   873,  1256,   732,     0,     0,   280,  1278,  1274,     0,
       0,  1485,  1486,     0,     0,     0,     0,     0,   358,   945,
       0,   438,   445,   416,   421,  1477,     0,  1477,     0,   418,
     422,  1477,   417,  1477,   414,   415,     0,  1219,     0,  1216,
    1215,   787,     0,   520,   592,   488,     0,   540,     0,     0,
     800,     0,     0,   466,   549,     0,   509,   508,   504,   503,
     505,   506,   507,   501,   500,     0,   688,   863,   369,  1440,
     730,     0,   701,     0,   765,   770,   769,  1477,   774,     0,
       0,     0,   688,     0,   551,   466,   549,   470,   480,     0,
     554,   553,   569,   563,   567,   565,   566,     0,     0,     0,
     578,  1487,  1094,     0,  1186,     0,     0,     0,     0,     0,
       0,  1223,   623,     0,     0,   627,   618,     0,  2702,   688,
    1030,  1970,     0,  1971,     0,     0,     0,  2045,  2044,     0,
    2081,  1777,     0,     0,  1771,     0,     0,  1801,     0,     0,
       0,  1740,  1756,     0,  1736,  1734,     0,  1745,     0,  1747,
    1990,     0,     0,     0,  1697,     0,  2066,  2068,     0,  1992,
       0,  1567,  1779,     0,  1564,     0,  1077,     0,  1078,  1103,
     535,     0,  1109,  1109,   522,   789,   513,  1280,     0,   690,
     592,     0,   315,     0,   292,  1276,     0,     0,   868,   868,
       0,     0,     0,     0,   392,   391,   386,   393,     0,   389,
     385,   384,   387,     0,  1479,     0,  1480,  1481,  1484,   400,
     413,     0,   443,     0,   441,   440,   442,     0,   429,     0,
       0,     0,     0,     0,     0,   403,   434,  1214,  1218,  1217,
       0,     0,   489,     0,   491,   526,   527,   528,     0,   492,
     536,   537,     0,   797,     0,   802,     0,     0,     0,   688,
     548,   712,     0,     0,     0,  1434,     0,   574,     0,   776,
     777,   772,     0,     0,   724,  1440,   563,     0,   551,   478,
       0,   451,   567,   569,     0,  1437,     0,   580,     0,   369,
    1185,  1188,  1183,  1399,     0,     0,   626,   625,  2705,  2707,
    2706,     0,   718,  1972,  2048,  2034,  2061,  2046,  2077,     0,
       0,     0,  1770,  1773,     0,  1804,     0,     0,     0,     0,
    1790,     0,  1738,     0,     0,  1746,     0,     0,     0,  1691,
       0,     0,  1556,  1566,  1096,     0,     0,  1106,     0,   789,
       0,  1098,  1097,   529,   515,  1586,   309,   361,     0,     0,
       0,   864,   867,   855,   856,   875,   874,   734,  1586,     0,
       0,   382,     0,     0,   439,   448,     0,   446,   419,   424,
       0,   428,   426,   425,   420,   423,     0,   519,     0,     0,
       0,     0,   538,     0,   539,   570,     0,   801,     0,     0,
       0,   714,   862,     0,     0,   688,   766,   771,     0,     0,
    1435,   567,   551,   563,     0,     0,   555,  1101,  1101,   569,
     449,  1438,  1439,     0,   569,  1111,  1398,  1397,  1637,     0,
       0,  2703,  2511,     0,  2484,     0,  2079,  2082,  2080,  2074,
       0,     0,  1802,  1803,  1788,     0,     0,  1792,  1755,  1768,
    1699,     0,  1698,  2069,  2070,  1779,   358,  1109,     0,   517,
     533,   540,   285,  1586,   858,     0,   281,     0,   390,   388,
    1482,   444,     0,   427,   779,   591,   545,     0,   544,     0,
     542,   541,   798,   803,     0,   688,   852,  1440,   702,   778,
       0,   569,   563,   567,     0,   552,     0,  1103,  1103,   453,
       0,  1779,  1381,  1637,  1380,  1382,  1390,  1387,  1389,  1388,
    1386,  1226,  1227,     0,  2086,  2085,  2084,  2088,  2087,  1774,
       0,  1791,  1794,     0,     0,  1800,  1793,  1795,     0,     0,
    1766,  1700,  1563,  1079,  1099,     0,   789,   293,   865,     0,
     447,     0,   543,   547,   546,   688,   713,  1436,   782,   452,
     567,   569,  1101,   556,   558,   557,   369,  1085,     0,  1391,
    1385,  1622,  1609,     0,     0,     0,     0,  1798,  1799,  1796,
    1797,     0,   534,   518,     0,     0,   715,     0,   780,   783,
     786,   784,   785,   569,   450,  1103,   569,  1383,  1637,     0,
       0,  2083,     0,     0,   383,     0,   750,     0,   454,   559,
    1779,  1384,     0,     0,     0,  1767,     0,   781,  1086,     0,
       0,  1789,   782,     0,     0,     0,  1224,  1225,   751
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5097, -5097,  4690, -5097, -1296,   311,  3007,  -859, -5097, -5097,
   -5097,  1380, -5097, -5097, -5097, -5097,  3839, -5097,  2133, -2863,
   -5097, -5097,   -33,  3765, -1758,   -49,  3316,  1758, -5097, -1544,
   -5097, -5097,  -938,    -4, -5097,  3769,   226, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -1203,  2242,  2307,  1586,  8966,
   -2961, -5097, -5097, -1875, -3621, -5097,   888, -5097,   912, -4647,
   -5084, -5097,  -775,  -605, -5097, -5097,  2232, -5097, -5097, -5097,
    1408,   802,  -283, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
    -456, -5097, -5097,  -693,   435,  -111, -2846, -4194, -5097, -5097,
     764,   -90, -1910, -5097, -4035, -5097,   288, -2269, -5097, -5097,
   -5097,   -60, -1884,  1695, -5097, -1054, -1561,  2026,  -562, -5097,
      67, -5097,  -662,  -458,  -460,  -584, -4210, -4686, -5097, -5097,
   -5097,  -689, -4702, -5002, -4264, -3519,  1717, -5097, -5097, -4215,
     448,   746, -5097,   506,   511, -5097,   767,  -385, -1301, -1994,
   -5097, -1110, -5097, -5097, -5097, -3388, -5097, -5097, -5097, -5097,
     -97, -5097, -5097, -5097, -5097,   811, -5097, -5097, -5097, -5097,
   -5097, -5097, -2633,  2219,  2222, -5097, -3594, -5097, -1266, -5097,
     954, -3433,  1626, -5097, -5097,  1413,  3846,   799, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -2108, -5097, -5097, -5097, -5097,
     302,   -21, -5097, -5097, -5097, -5097, -5097, -5097,   544, -5097,
    2251,  1410, -5097, -5097,   -10, -5097, -5097, -5097, -5097, -5097,
   -5097,  -630,  -765,  -746, -5097, -3403, -5097, -5097, -5097,    16,
   -5097, -5097, -5097, -5097, -5097, -5097, -1309, -5097,  1484, -3592,
   -5097, -5097,  1491, -5097, -5097, -5097, -5097, -5097,  -546,    79,
    3054, -5097,  -150,  -341, -5097, -5097, -5097,    84, -5097, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -1480,  9815, -1225,  -874,
   -5097, -5097, -5097, -5097, -5097, -2570, -5097, -5097, -5097, -5097,
   -4220, -5097,  5012,    32,  -762,   707, -5097,  -208,   -91,  3613,
   -1565, -3078,   747,  -110, -5097, -5097, -5097, -2999, -5097, -5097,
   -5097, -5097, -3959,   710, -5097,  3594, -5097, -4236, -4995, -3995,
   -4516, -4852, -4966, -3963, -5097, -5097, -5097, -5097, -1825,  -886,
   -5097, -5097, -1915,  2585, -2422, -5097, -2474,   806,  1812,  3833,
   -3177,  -824,  3015, -4243, -1068, -3702, -5097, -5097, -2715,  -247,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  -934,  2966,
    -883, -5097, -5097,  4237, -5097, -4841, -5097,  4200, -5097, -5097,
   -5097, -5097,  2857,  2868, -5097,  2861, -5097, -5097, -1833,  1578,
   -5097, -5097, -5097, -5097,  1000, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097,  1482,   987, -5097, -5097, -5097, -5097, -5097,  -527,
    -686, -5097, -5097,   760, -5097, -5097, -5097, -5097,  2250, -1283,
   -1076,  4085,   788, -5096, -5097, -5097, -1530, -5097,  3323, -5097,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -2563, -5097,
   -5097, -4867, -5097, -5097, -5097, -5097, -5097,  2719,  2721,  -113,
    -230, -5097, -5097, -1359, -5097,  -894, -5097,  2946, -5097, -5097,
   -5097, -5097, -2185,   823,   860,   -77, -5097, -5097,   203, -5097,
     619, -5097, -5097, -3863,   -72, -5097, -5097, -5097, -5097, -4839,
   -5097,   -70,  -425,  1165, -3228, -5097,   838,   -81,  3702,  2184,
     -39,  1250,  -248,  -269,  -249,   -74,   -63,  3468, -5097,  3521,
   -5097,  -187,  2231, -5097, -5097, -1163,  -365, -5097,  1926,  -972,
    2699,  3452,  3454, -5097,  1924, -5097, -5097,  1932, -5097,  1238,
    -397,  -233, -5097, -5097, -5097, -5097,   663,  -971,  2715, -5097,
    3466, -5097, -5097, -5097, -2288, -3274, -3866,  1270, -3833, -3797,
     712,   696, -1162,     0,  -143, -1093,  3470, -5097, -5097,  1280,
    -198, -5097, -5097,  -195, -3255,  1201, -5097, -4783, -2753,  1286,
    -629,  -483, -5097,  -560, -5097,  -360,  4929, -2075, -1441, -5097,
   -5097, -1394,  6021, -5097, -5097, -5097, 20536, 20966, -5097, -5097,
   23325, 27202, -5097, -1239, 27420, 16029, -1407, -1401, -1660, 25951,
   -2241,   842,  -875, -5097, -4011,  -146, -5097, -5097, -5097,    49,
    1343,   361, -5097, -4812, -5097, -5097,   269, -5097,  -369, -5097,
    -368, -5097, -5097, -5097,  -348, -4354,  2852, -5097, -5097, -5097,
    -798, -5097, 28322, -3144, -5097, -1098, -3151, -3148, -3780, -2271,
   -5097, -5097, -5097, -5097, -5097, -5097, -5097, -3064, -3729,  -461,
    2049, -5097, -5097,  2142, -5097, -5097, -5097, -1710,  1995, -1111,
   -3034,  2058, -5097, -1099,  2856, -1124,  8386,  -985, 22283,  -104,
   -2742, -1703, -2026, -5097,  4652, -5097,  1781,  -138,  -784,  6728,
    -946,  -970,  7726,  6420,  4947, -3564, -5097, -5097,   844, -5097,
   -5097, -5097,  4642,  1517, -5097,  3881, -5097,  2310,  3134, -5097,
   -5097,  2724,  -994,   -11, -5097,  -320, -5097,  -112, -5097, -5097,
   -5097,   234, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,
   -5097,  3498, -5097, -5097, -1602, -5097, -5097, -5097, -5097, -5097,
    4930,  -370, -5097,  4296,  -367, -5097, -5097, -5097, -5097, -5097,
   -5097, -5097, -5097, -5097,  3500,  2760, -5097,  4088, -5097, -5097,
   -5097,    -9,  3724, -5097, -5097, -5097, -1357,  -652,  4110,  4112,
    2732, -5097, -5097, -5097, -5097, -5097, -5097, -5097, -5097,  2729,
   -5097, -5097,  2031, -2386,  2734, -5097, -5097,  1251, -5097, -5097,
     735, -5097,  1255, -5097,  3618, -5097, -5097, -5097,  1293, -5097,
   -5097, -5097,  -591, 18889,    88,   721,   986,   797, -5097, 10802,
   25839,   261,  3528,   -62, 14998, 24245,   298, -5097,  4924,  2741,
    2271, -1107, -5097,  1837,  3039, 16778, -5097, -1095,     5,  2543,
   -5097,    -2,  -713, -1343,  3840,  -794, -2231, -5097,  5357, -5097,
   -3423, -5097, -1120,   319,  4305, -1370
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2007,  2935,  2805,  3726,  3727,   254,
     255,  2003,   256,   257,   258,   259,  1930,   260,  1411,  2150,
    2950,   261,  2648,  1145,  1146,  1147,  2499,  2500,  2884,  2501,
    2488,  1752,  2299,  1951,  1110,  1111,  1911,  1952,   263,   264,
    1746,  2480,   265,   266,   267,  1981,  2054,  1982,  1924,  2202,
    4794,  5532,  3539,  2775,  3775,  3540,  3541,  4176,  4177,  4252,
    5547,  5553,  5548,  5549,   268,  2070,  2071,   269,   270,  3691,
    3687,  4297,  5146,  5147,  5384,   928,  2912,  5149,  5150,  5370,
    5371,  5565,  5706,  5707,  2951,  2142,  3769,  4384,  3717,  4882,
    3718,  4883,  3719,  4884,  3703,  4332,  4333,  4828,  4334,  3720,
    4844,  5413,  3721,  2667,  5582,  2992,  2329,  2327,  5397,  4657,
    4658,  5679,  5589,  5590,  5591,  5810,  4846,  4888,  4889,  5439,
    5745,  5746,  3773,  4391,  4894,  5164,  3428,   272,  2176,  3870,
    1040,  2995,   963,  1041,  2952,   276,  2985,  5584,  2986,  2028,
    2814,  5550,  3850,   277,  1435,  4143,  5231,  5465,  5466,   278,
     915,   279,  2158,   280,   281,  2930,  3710,   282,  2684,  3445,
     283,   284,  3474,  3475,  3476,   285,  4168,  5086,  1983,  3528,
    3529,  3530,  3531,  4198,   286,  2153,  2959,  2960,   287,   288,
     289,   290,  3113,  3114,   291,  2871,   292,   293,   294,   295,
    4232,  4758,  4860,  3570,  3733,  4357,  4858,   296,  2953,  2166,
    2975,  2976,  4869,  5188,  5189,  5190,  5427,  5736,  5192,  5429,
    5611,  5431,  5907,  5908,  5155,  4122,  4671,   298,  4837,  4838,
    5596,   299,  2682,   300,   301,   302,  2126,  2922,  2923,  4308,
    2119,  2914,  2915,  4371,  4372,   303,  3644,   304,  4734,  4735,
     964,  5603,  5538,  5693,   305,   306,  4738,  4739,   307,   308,
     309,   310,   311,  1026,  1027,  1028,  1532,  1533,  3400,  1481,
     312,  2517,   313,  1375,  1376,  3668,   314,  1629,  3157,  3158,
    4941,   315,  1064,  1562,  1563,  2954,   317,  1075,  3133,  1077,
    2342,  3852,  3853,  4457,   318,   319,  3110,  3136,   320,  1917,
    2658,  2659,  4652,  2955,   965,  2182,  2999,  3423,  5312,  5313,
    5064,  5326,  3330,  4065,   322,   966,  1956,  2731,  1504,  1505,
    3002,  3783,  2627,  2628,  2629,  4408,  2630,  3785,  2631,  1890,
    2632,  1452,  1453,  3791,  3792,  3793,  4404,  4411,  2944,  5220,
    5221,   323,  1954,  2729,   324,   325,   326,  1991,  1296,  1514,
    1515,   327,   988,   989,   328,  5389,   329,  1456,   330,  5229,
     331,   332,  1099,  1100,  1613,  1614,   333,   334,  2745,  4179,
     335,   336,   337,  3564,  3565,  4750,   338,   339,  2145,  2146,
     340,   341,  3609,  3610,   342,   343,   344,  5834,  5888,  5889,
    5890,  4418,  5758,  5836,  1605,   346,   347,   348,   918,  1335,
    1336,  1337,  2956,  5213,   350,   351,  1912,  1913,  1914,  1915,
    2653,   352,   353,   354,   355,   356,   357,   358,  2130,   359,
     360,  5363,   361,   362,  2090,   363,  1783,  1784,   364,   365,
     922,  1165,  1788,  1794,   366,  1043,  1556,  1557,  1558,  2301,
     367,  1609,  1378,  1044,  1551,  1045,  2562,  3352,  4077,  4078,
    4079,  4082,  5048,  4626,  1046,  3348,   371,  2349,  3119,  3122,
    3344,  1047,  3357,  3358,  3359,  4085,  1048,  1066,  1445,  3011,
    1049,  1701,   376,   377,   378,  1174,  1168,  1169,   380,  2457,
    3284,  1084,  1800,  1129,  1130,  1181,  4029,  2530,  2531,  2553,
    2554,  1809,  1810,  2543,  2545,  3332,  2546,  3340,  2536,  4600,
    5293,  5294,  5295,  5296,  5297,  5298,  5025,  2549,  2550,  1812,
    1813,  1814,  2558,   381,  3288,  4008,  4009,  4010,  4576,  4577,
    4591,  4587,  5009,  5279,  4011,  1599,  1820,  5017,  5860,  4012,
    5268,  5269,  5484,  4595,  4020,  4073,  3757,  3758,  3759,  4013,
    5659,  5660,  5856,  5857,  5486,  5487,  2633,  2232,  1483,  1702,
    1484,  2240,  1703,  2216,  1486,  1704,  1705,  1706,  1489,  1707,
    1708,  1709,  1492,  2208,  1710,  1711,  2226,  1213,  1214,  1789,
    5488,  1713,  1714,  1715,  4015,  1716,  4530,  4973,  4962,  3216,
    3217,  2496,  4526,  3953,  2452,  3274,  5302,  5506,  5507,  3992,
    4555,  4989,  5266,  5651,  5766,  5767,  1717,  1718,  1719,  3271,
    2447,  1299,  1720,  4310,  2449,  3210,  3296,  3297,  2355,  2374,
    3163,  3178,  3179,  3190,  3912,  3198,  3203,  3940,  3941,  3211,
    3240,  1721,  3165,  3166,  3896,  2376,  1722,  1776,  2510,  1891,
    2465,  3235,  1736,  1723,  1724,  2343,  1156,  5275,   764,   747,
    3556,  2512,  1339,  1081,  1725,  1726,  1727,  1842,   707,  1507,
    1508,   709,   748,   749,  1252,   861,     2,    75,  1050,  3766,
     385,   386,   968,   969,   970,  1437,  1438,  2188,  2191,  1847,
    2596,   713,   714,   765,  4914,  5232,  5468,  1034,   387,   388,
     389,   390,  1843,  2592,  1215,    76,    84,    77,  1216,   427,
     428,  2573,   391,   878,   392,  1823,  1195,  4091,   393,   394,
     395,   396,   397,  1031,   398,  1197,   399,  1198,   400,   401,
     402,   403,  1205,   404,  1825,  1826,  4640,  1827,   405,   406,
     751,   752,  1549,   407,   408,  1232,  1233,  1581,  1582,  1853,
    1868,  1869,  1870,   409,   721,   410,   411,   412,  1859,  1860,
     413,  2473,  2474,  2601,  2475,   414,  3373,  3374,   415,  4046,
    4047,  5035,  4048,   416,  2469,   417,   418,  1159,  4096,   419,
     874,   420,  1246,   753,   754,   755,  1254,   864,  1115,   766,
    1256,  3532,   866,   867,   757,   758,   759,  2321,    78,  3381,
    2322,  1729,   767,  1730,  2463,  1731,  1732,  1733,  1734,  1735,
    1876,   761,  1222,  1541,  1542,  3382,  1544,    82,  1545,   424,
    3819,  2289,  1583,  3071,  2307,  2308
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   369,  1121,  1173,   379,  1270,   370,    79,   372,  2027,
    1405,  1747,  1182,  1297,  2298,   763,   422,  1447,  1590,  1591,
    1592,  1815,   422,  1192,  1596,   769,  1193,  2326,  1068,  2248,
    2075,  1737,  1769,  2827,  2666,  2222,  1897,  3294,   962,   374,
    2732,   979,  1535,  1158,  3558,  2032,  1777,  4030,   967,  1446,
    1068,  1042,  2740,  2088,  3068,  1230,  3875,  2155,  1250,  2365,
     920,  2980,  1025,  2886,  1518,  1778,  1761,  2514,  1790,  1559,
    2212,  2213,  2228,  4071,   262,   981,   423,  1529,  2741,  1076,
    2221,  1155,   423,   750,  3739,  4149,  3303,   718,  3716,  4412,
     379,  1090,  4193,  2238,  4195,  2128,  2140,  4169,  1298,  2133,
    4618,  3162,  1841,  2769,  2137,  4660,  3641,  2026,  1274,  4318,
    1184,  3856,  2168,  2147,   423,  2053,  1305,  1234,  4341,  1122,
     750,  4659,   916,  3607,  1871,  2080,  4367,  2171,  4084,  1325,
    1185,  4311,  4898,  4697,  2752,  1176,  1873,  4311,  4021,  4022,
    4573,   971,   978,  4023,  1554,  5065,  1298,  3024,  1526,  4843,
     973,   978,  3195,  4654,  3393,  3395,  3000,  4396,  1400,   423,
    1109,  3056,  1957,  4901,  1409,  4907,   421,  4881,  1447,  1984,
    1152,  3125,   421,  2580,  2582,  2583,  4891,  1423,  3302,  4590,
    4897,  2514,  2852,  2853,  1144,  4063,  5205,  1171,  3961,  2725,
    5272,  4890,   978,  2639,  2288,  3729,  5171,  4542,  1065,  2284,
    1754,  2313,  1953,  5442,   421,  5207,  3392,  1118,  1298,  1808,
    1811,  4510,  4100,  5327,  4588,  1118,  4593,  1118,  2848,  4632,
    1065,  1225,  5453,  2209,  2210,  2471,  2574,  2574,  4095,  1777,
     423,  3918,  1849,  1850,  2220,  5284,  1543,  5286,  2319, -1869,
   -1869, -1869, -1869,  5206,  2167,  5334, -1869,  2514,   430,   421,
    4943,  4944,   430,  4946,  4947,  4948,   430,  2419,  2212,  2213,
     926,  1441,  5365,  5366,  1926,  1862,    45,  3233,  2199,  2859,
      45,  2239,  2199,  2515,  2228,  2977,  5552,  2221,  2864,  3233,
      37,    38,    39,    40,  5356,  1247,  2425,    44,  2941,  2660,
    5537,   430,  1568,  4402,  3706,   430,  1573,  1574,  1575,  2199,
      43,  2347,  3825,  1625,  3827,    45,  1586,  2199,   369,  1163,
    3469,   379,  5390,   370,  3439,   372,  5072,  2427,   426,  2199,
     421,  3873,  3673,  5605,  3674,  1268,  4089,  3918,  3678,  2116,
     719,   422,  3397, -1869, -1869, -1869, -1869,  3683,  3684,  3685,
   -1869, -2204,  5756,  3135,  2933,  5514,   374, -2207, -2207, -2207,
   -2207,  2660,  5063,  4463, -2207, -2970, -2970, -2970, -2970,  5463,
    5522,  5523, -2970,  4335,  3287,  2662,   422,  4365,  1587,  2661,
   -2970, -2970,  1927, -2971, -2971, -2971, -2971,   865,  3414,  2650,
   -2971,   262,   879,  2663,  2199,  2743,  3470,  3342, -2971, -2971,
    4841,   423,  4430,  1751, -2968, -2968, -2968, -2968,  2790,  4162,
    3707, -2968,  2209,  2210,  4019, -2967, -2967, -2967, -2967, -2968,
   -2968,  1206, -2967,  2478,   869,  2199,  3327,  3037,  1221,  1740,
   -2967, -2967,   865,  1127,  3031,   880,   423,  2662,  2220,  2743,
    4099,  2290,  4145,  2455, -2563, -2563, -2563, -2563,  2527,  2846,
    3664, -2563,  5623,  2978, -2374,  2663,  2743,  4086,  2300, -2563,
   -2563,  3894,  2287, -1828, -1828, -1828, -1828,   429,  3415,   869,
   -1828,   917, -1861, -1861, -1861, -1861,  2743,  2100,  4163, -1861,
   -1841, -1841, -1841, -1841,  2105,  1607,  4247, -1841,  2088,  2199,
    2479,   421,  1207,  1331,  2743,  5423,  2124,  1862,  3343, -1866,
   -1866, -1866, -1866,   865,  1579,  2743, -1866,  3364,  4464, -2098,
    3328,  5515,  5498,  5534,     3,  5444, -2098,  1117,  1249,  3100,
    2516,  1193,  1235,   271,  5757,  1117,   421,  1117,  2093,  5740,
    5443,  2664,  1128,  1830,  5464,  2934,   273,  3398,  2791,  3399,
     869, -1856, -1856, -1856, -1856,  1588,  2200,  3380, -1856,  1774,
    2200,  3384,  1208,  1775,   430,  1209,  5577,    37,    38,    39,
      40,  3473,  1396,    43,    44,  1631,  1863,  -437,    45,  1298,
    1447,  2672,    37,    38,    39,    40,  5719,  2200,   967,    44,
    2256,  4842,  2811,   720,  3708,  2200,  1852,  1855,  1332,    37,
      38,    39,    40,  2664,   274,  2348,    44,  2200,  1447,   275,
    2414,  1928,  2272,    37,    38,    39,    40,  1269,  2926,  1990,
      44,  3234,  2413,  2458,  2979,  -149,  3440,  -686,  1228,  1229,
    1595,  4719,  1164,  3981,  -149,  5073,  2458,  2461,  5799,  -149,
    5749,  1333,   297,  2865,  2419,    35,   430,  2665,  1595,    37,
      38,    39,    40,    41,    42,    43,    44,  4403,  2942,  4311,
      45,  4315,  2860,  2246,  4336,  1210,  2505,  2506,  2344,  2489,
    1929,  2866,  2200,  2425,  2502,  2502,  2348,  1884,  1447,  3709,
    2320,   971,  1219,  4752,  2357,  5199,  2302,  5677,  1858, -2374,
     973,  4086,  2223,  4146,  2523,  2125,  1334,   927, -2699,  2366,
    4115,  2201,  3933,  2200,  2427,  2229,  1226,  1864,  5703,  2665,
    2369,   430,  2800,  2224,    37,    38,    39,    40,  2456,  3478,
      43,    44,  1631,  1863,  2514,    45,  2472,  2225,  2446,   978,
     978,  5787,  2243,  5006,  1062,  1063,  4664,  5010,  1062,  1063,
    2254,  5877,  1997,  2567,  3268,  5243,  2822,  3331,  1918,  2825,
    2709,  3269,  2274,  4852,  2841,  4590,  1227, -2374,  3031,  5821,
     879,  5622,  2486,  2847,  3164,  1774,  2283,  2200,  5616,  1775,
   -2374,  2514,  1211,  1839,  1840,  3301,  4952,  1221,  5830,  2456,
    3553,  4978,  3665,  1236,  3089,  1318,  2223,  2832,  1501,  2234,
    4997,  1212,  4999,  5051,  1831,  3930,  3931,  3932,  3933,  1608,
    4248,  1263,  4873,   880,  2784,   316,  1447,  2224,   321, -2117,
    2125,  1173,  2523,  3060,  1447,  1447, -2117,  2277,  4686,  2303,
    2419,  2227,  2305,  5519,  2885,  2309,  1763,  2311,  2525,  4723,
    2314,  2917,  1560,  1774,  2318, -2207,   422,  1775,  2484,  1816,
     271,  5881,  2098, -2970,  1397,  2711,  1374,  3497,  2246,  2425,
    1998,  1391, -2098,   273,  1471,  2719,  1919,   862,   345,  2087,
    1207, -2971,  4150,  2559,  2560,  3036,  5792,  2753,  4485,  5148,
    1379,  5203,  3097,   379,  2597,  1380,  2487,  1381,  5720,  5796,
    2427,  3107, -2968,  4387,  1443,  2673,   349,  3294,  3294,  3294,
    3918,  5770,   423, -2967,  3479,  4359,   423,  4511,  5913,  4608,
    1259,   768,   862,  2207, -2699,  1093,  2728,  4853,  1382,  1259,
     718,   274,  4456,  1458,  4244,  3453,   275,  1579,   718,  1234,
    1208,   368, -2563,  2235,  2812,  1184,  4348,  2815,  2816,  1864,
    4817,   718,  4816,  1561,  5741,  1567,   373,  1572,  4102,  4050,
    4103,  2211,   384,  1576,  1552,  1185,  1555,  4645,  1259,   297,
   -1861,  2581,  5743,  3072,  4289,  4290,  3079,  3404,  2215,  2284,
     718,  1598,  3082,  3535, -2699,  2125,   718,  1567,  1572,  3554,
    5729,  3915,  3916,   862,  5867,  1553,  3935, -1866,  1032,   718,
    3860,   921,   421,  1221,   379,   978,   421,  3689,  1094,  2725,
    5742,  3366,  1566,  3366,  1571,  5884,  5885,  4854,  1444,  3021,
    3022,  1999,  4170,  3115,  1585,   718,  2938,  1920,  2534,  5270,
    1259,  2895,  2827,  3965,  3966,  3536,  1499,  3098,  3862, -1856,
    1259,   718,  5434,  1210,  1601,  1603,  1865,  1866,   718,  4919,
    4920,  4921,  4922,  4923,  1579,  1598,  3225,   875,  2000,   876,
    1499,   718,  1548,   923,  1921,  2199,   978,   982,    81,  1160,
    2416,  1764,  4912,  1186,  1210,    79,  4660,   718,  5896,  2005,
    1502,  5823,  5227,  2234,    35,  1819,  4630,  2459,  1179,  2001,
    4660,  1785,    41,    42,  1056,  1922,  5822,  3270,  3545,  4855,
    2792,  3308,  2006,  5929,  4349,  2768,  4659,  -149,  -149,  4087,
    2441,  2442,  2443,  2444,  2445,  2446,  4413,  1057,  4150,  1083,
     129,   130,  2535,  4751,  3537,  1565,  3784,  1570,  1839,  1840,
    4171,  4866,   316,  5578,  2099,   321, -2321,  1779,  2939,  1765,
    2002,  2059,   863,  1750,  1791,  4288,  3116,  1758,  5046,  3412,
    2236,  3639,  1621,  3018,  1207,  1187,  1095,  1600,  1602,  1923,
    5880,  1221, -2117,   750,  2993,  1744,  1933,  1259,  1259,  2237,
      37,    38,    39,    40,  1118,  1238,   718,    44,  1118,  2754,
    4059,  5276,  1851,  2060,  2760,   345,  5280,   863,  4217,  5282,
    2755, -1828,  2756,  1865,  1866,  1096,  1097,   423,  2971,  1854,
    1177,  1621,  1786,  3093,  1259,  3253,  1579,  3454,  3070,  3861,
    5273,  2840,   869,   349,  1208,    43,  2761,  2235,  5621,  5248,
      45,   430,  3469,  2222,    37,    38,    39,    40,  4320,  5477,
      43,    44,  3690,    35,  5598,    45,  1298,    37,    38,    39,
      40,    41,    42,  4856,    44,  4412,  4660,  3863,   368,  5597,
    2757,  1780,  5630,  1781,  3104,  3105,  5628,  1844,   863,  1179,
    1580,  4309,  1178,   373,   718,   718,  5618,  4309, -1828,   384,
    1974,  5827,  5828, -2228,  4323,  5627,  1874,  -172,  5579,  3099,
    2972,  5617,  3538,  4057,  2989,  4027,  1098,   421,  2443,  2444,
    2445,  2446,  5058,  3546,  5195,  4877,  4218,  2989,  3470,  1910,
    3349,  1916,  5845,  5087,  -172,  1109,  2046,  5228,  2990,  4857,
    2064,  1431,  1926,  3159,  3161,  5806,  2065,  1210,  2577,  4878,
    3168,  2990,  4172,  4173,  1844, -1610,  3182,  3183,  3184,  4325,
     983,  3062,  1179,  2200,  1798,  3117,  3200,  3202,  3254,  3039,
    2414,  3212, -2321,  3255,  2061,  3172,  5166,   877,  5047,  4174,
    3640,  3050,  1118,  1118,  4409,  3118,  3928,  3929,  3930,  3931,
    3932,  3933,  3055,  3625,  1559,  1188,  4731,   430,   375,  3626,
      37,    38,    39,    40,  2125,  2163,    43,    44,  2186,  3256,
    1259,    45,  3094,  3020,  2005,   984,  3096,  1499,  1580,  2578,
    3101,  1259,  3103,  4831,  2668,  3106,  2164,  3038,  5517,  5750,
      35,  4414, -2321, -1610,  4777,  1580,  5915,  2006,    41,    42,
    1499,  3048,  1231,  2580,  5157,  3095,  3173,  3014,  2066,  4328,
    1927,   985,  2669,   986,  2236,  1499,  1079,  3311,  5478, -1828,
    3275,   430,  3054,  1799,    37,    38,    39,    40,  5846,  3075,
      43,    44,  2062,  5619,  2085,    45,  5050,  4219,  5843,  2579,
      37,    38,    39,    40,   375,  5494,  4601,    44,  5167,  3513,
    4329,  5544,  1180,  3473,  5545,  2193,  5208,  2159,  3350,  1259,
    4732,  3627,  5873,  3341,  1117,  4330,  3174,  2973,  1117,  3175,
    5209,  1432,  5546,  4415,  4220,  5022,  5502,  1974,  1901,  2991,
    2974,  1092,  1173,  4608,  5333,  1298,  1298,  3188,  2029,  5029,
    4879, -1610,  5182,  4736,  2261,  1091,  4938,  5472,  5807,  2160,
    1782,  5270,  3257,  2901,  1499,  4221,  2586,  3514,  2194,  2587,
    5355,  3369,  2304,  4075,  2306,  5829,   379,  2310,  2674,  2312,
    5831,   216,  2315,  2316,  2317,  2030,  4832,  1433,  4295,  4296,
    1902,  1172,  4660,  1434,  1871,  2324,  2262,  5340,  2612,  3593,
    2165,  1193,  1210,  1056,   718,  2902,  1873,  4076,  5674,  2350,
   -1610,  2351,  2670,  2013,  3276,   224,  4331,  4778,   718,  2067,
    4733,  2528,  2529,  3495,  2533,  4311,  1057,    81,    81,  3176,
      81,  5921,  2014,  5808,    79,    79,  3634,    79,  1259,  5330,
    1594,  1185,  1185,  5406,  1185, -2355,   718,  5879,  2521,  5681,
    5682,  3823,  2385,  1844,  5536,   235,  2068,  4737,  5809,  5540,
    5541,  2086, -1828,  2195,  2246,  4161,  3568,  5874,   238,  2588,
    3109, -1828,  3628,  2211, -1828,  1896, -1828,  4416,  5546,  4137,
    5422,  2015,   718,  1298,  1903,   862,  1548,  2069,  2031,  2827,
    2246,   250,  2193,  5407,  5210,  3294,  1499,  3592,   718,  5747,
    1126,  5408,  1117,  1117,  2462,  3351,  4835,  5914,  1153,  3629,
    2246,  4476,  4872,   718, -1610,  2196,   718,  1166,  2675,  1183,
    2161,  4138,  1595, -1613,  3736,   375,  5533,  1259,  1234,  5409,
    3615,  1331,  5395,  1839,  1840,  3569,  3177,  2649,  4667,  5928,
    3630,  4867,  5930,  4417,  2720,  3074,  2799,  3748,  3749,  3750,
    3751,  5585, -1610,   430,  3426, -1610,  1259,  2263,  2830,  3756,
    3631,   934,  2678,  3659,  1819,  2016,  2903,  1056,  4490,  4491,
    4492,  4493,  2679,  1447,  4498,  4499,  4500,  4501,  4502,  4503,
    4504,  4505,  4506,  4507,  1259,  1259,  1259,  4924,  1259,  4925,
    1057,  5447,  3571,  3572,  3594,  5410,  3575,  3632,  5364,  5448,
    2450, -1613,  3597,  2676,  2197,  3600,  5411,  4807,  1259, -2376,
    3427,  4810,  4811,  2017,  4813,  4445,  2018,  4668,  2162,  4309,
    2013,   750,   750,  2476,  2477,  1056,  1332,  2826,  3633,  2537,
    4546,  4547,  4660,  2578,  2721,  1907,  2125,  1908,  1804,  2014,
    2195,  3483,  5392,  4749,   718,   941,  2246,  2492,  1057,  5609,
    2537, -2355,   718,   718,  1844,  2264,   422,   422,  2020,  1844,
    1844,  3864,  1259,   423,  2904,  1175, -1088, -2407,  2538,  1333,
    4249,  3515,  5586,    74,  4669,  5172,  4670,  2948,  3492,  1839,
    1840,  5610,  4139,  1756,  1331,  4203,   870,  5604,  2015,  2538,
    1259,  5520,  2196,  2579,  1259,  1259,   871,  3455,  4204, -1613,
    5525,  2022,  3459,   943,  2482,  5747,   422,  5361,  1806,  1259,
    4580, -2355,  5601,  2616,  5864,   423,   423,   423,  1199,  5173,
    2680,  2023,  3111,  2704,  1334,   750,  3126,  2594,  5614,  3516,
    5362,  3484,  5462,  4245,  2589,  2590,   718,  3865,  1200,  3735,
     924,  2025,  4647,  5587,  5033,  2125,  2539,  2277,  1201,  3740,
     863,  5242,  3447,   421,  3745,  2949,  4121,  2681, -1613,  5449,
    2608,  2610,  1189,  1093,  2669,  5642,   423,  1633,   941,  2169,
    3918,  2540,  2016,   423,  3919,  3920,  3921,  1499,  4721,  1332,
    4140,  2197,  4581,  3378,   423,  5412,  4388,  1298,  4956,  4392,
    4957,  2170,  2540,  5529,  1118,  2843,  1210,  1916,  4053,   872,
    1738,  1916,  4246,  1281,  3112,   421,   421,   421,  2246,  3804,
    1282,  1283,  1284,  4582,  1123, -2376,   715,  5526,  4412,  4494,
    2017,  4495,  1333,  2018,  5076,  5077,   943,  2541,  4583,  1886,
    1844,  4699,  3778,   879,  2826,  1118,  3585,  1067,  4584,  3491,
    1844,  5068,  2743,  1499,  2654,  5805,  1094,  4722,  2541,  3635,
    4058,  1202,  2744,  2817,  1898,  2655,   421,  2494,   954,  1067,
     955,  5458, -1613,   421,  4585,  2020,  1887,  5316,  1739,  5318,
     957,  4581,  2656, -2407,   421, -2376,   880,  1334,  1499,  1804,
    3636,   959,  3849,  1764,  2141,  5277,  5170,  2770,  5181,  1910,
    3422,  1899,  1992,  1069,  1910,  5731,  3036,  1888,  5754,  2495,
   -1613,  1499,  4582, -1613,  4700,  3585,  4829,   879,  2022,  1844,
    3577,  3469,  1844,  1844,  4648,  1069,  4031,  5012,  1203,  4032,
    4033,  4649,  1900,  5198,  4958,  1447,  2513,  4584,  2023,  1760,
    4034,  4035,  4036, -2407,  4037,  4038,  4667,   873,   430,  4039,
    4040,  4041,  5069,  2419,  3922,  4496, -1094,  4586,  2025,  1806,
     880,  1765,    45,  4320,  4650,  4497,  2034,  3796,  1910,  4321,
    1993,   718,  1910,   869,  1621,  3923,  5637,    37,    38,    39,
      40,  4322,  4825,  4830,    44,  4651,  5425,   216,  1447,  3656,
    5580,   954,  1499,   955,  4665,  2818,  3917,  3470,  2819,  1204,
    1807,  2037,  3016,  2035,  1095,  1424,  1844,  1499,  3945,  4323,
    4173,  4324,  1196,  2427,  3848,  2817,  2916,  2141,  5161,  5070,
    3834,   224,  5684,   423,  2657,  4668,  1916,  4619,  1499,  3471,
    5426,  1547,   430,  4028,  2036,  5339,  4710,  3924,  1425,  5278,
    3968,  5818,  2038,  1096,  1097,  2771,  4586,   718,  3318,  5607,
    3426,  1193,  2039,  3653,    35,   718,  3132,  2513,  5690,  2065,
      35,   235,    41,    42,  4325,  4101,  3472,   718,    41,    42,
    2760,  1426,  2772,  4061,  3294, -2763,  5368,   375,  3994,  3294,
    4709,  1555,  4669,  1499,  4670,  3294,  2748,  4620,  2749,  3722,
    4326,  4368,  5223,  1056,   869,  2773,  1259,  2774,  4042,  1259,
    2502,  4378,  2761,  1499,  1117,  3120,  4118,  3031,  2743,  1259,
    4151,   251,   941,   421,  4090,  1499,  1057,  1427,  2751,   379,
    2943,  5876,  3077,     8,  3078,  5691,  5034,  1499,  3080,  2803,
    3081,  4051,  2768,  3083,  2806,  4178,  5141,  3084,  5142,  5143,
    1259,  1259,  5144,   718,   718,  1117,  2750,  2818,  3578,  4327,
    2819,  3301,  2005,  4455,  4328,   718,  4695,  5673,  3882,   121,
    4243,  2066,  3473,  1499,  1499,  5916,   718,   718,  1231,  4874,
     943,  5853,  3131,  3156,  4154,  2006,  5789,   125,  4214,  1379,
      81,  5906,   379,    81,  1380,  5361,  1381,    79,   375,  1172,
      79,  1804,   718,  4456,  1248,  4329,  1805,  4701,  2869,  4708,
    2040,  3579,  2875,  3637,  1633,  2881,  2010,  3918,  5362,  4466,
    4330,  3919,  3920,  3921,  3878,  4215,  3979,  1382,  2882,  4687,
    2879,  5649,  3925,  3926,  3927,  2277,  3928,  3929,  3930,  3931,
    3932,  3933,  1259,  2041,  3638,  3667,  4043,  2042,  1774,  1398,
    1447,  1399,  1775,  2011,  2883,  5320,  4216,  1424,  4209,  5650,
    2223,  3723,  5329,  1237,  4826,  -462,  3580,  2880,  1287,  1288,
    1289,  1806,  1290,  1291,  1292,  1293,  1294,  1295,  2043,  1259,
    1259,  2224,  4900,  3840,  4724,  1259,  1259,   881,  4827,  3301,
    1425,  3181,  1259,  1259,  1259,  4364,  2924,  4044,  1259,  4316,
    1259,  1259,  1259,  1259,  1259,  1259,   925,  1259,  3333,  1259,
    1259,  4331,  1807,  1259,  4427,  4428,    35,  1785,  5052,  4337,
    1029,  5854,  4014,  4361,    41,    42,  5855,  1499,  1259,  1259,
    1259,  1259,   423,   869,  1183,   954,  1259,   955,  1264,  5088,
    1259,   941,  4110,  1259,  5417,  5092,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,  1279,  1259,  3416,  3241,  3419,
    3242,  2141,  1298,  3581,  1259,  2223,   422,  1259,  2945,  1427,
    1892,  5151,  1124,  5903,  1266,  3753,   193,  -462,  4107,  4108,
    3754,  1177,  4014,  3243,  1447,  2419,  2224,  5126,    37,    38,
      39,    40,  2982, -1660,  5219,    44,  3784,  2223, -1660,   943,
    2225,  4045,  5152,  1893,  3578,  3724,   862,  1894,  -583,  4885,
    5127,  -378,  3923,  2285,  2425,  1314,  4128,  2286,  2224,  2055,
    2467,   422,   421,   422,  2468,  3413,   423,  1633,  1786,  5373,
    3918,  1259,  2227,  3353,  3919,  3920,  3921,  -378,  1895,  5570,
    5862,  4062,  1315,  1178,  5571,  2427,    37,    38,    39,    40,
    3725,  4535,  3409,    44,  2269,    80,  2056,  3579,   862, -1659,
    2057,  4796,  1280, -1660, -1659,   216,  4662,  4663,    37,    38,
      39,    40,  5374,  3477,  3924,    44,  2270,  3582,  4779,  5361,
    5369,   423,  4797,   423,  3244,  3583,  5887,  2058,  3584,  3245,
     216,  4106,  5572,   209,  3246,  4307,  2211,  5375,  2640,   224,
    4780,  4307,  5362,   718, -1660,  1221,  1844,  1320,  5786,  3970,
    4319,  3971,  3580,  1179,  5376,  3754,   421,  2005,  5377,  5917,
    2802,    81,  5918,    81,   224,   718,  1874,   862,    79, -1659,
      79,  1329,  1499,  4230,  3972,  4309,  1499,  1499,  5378,   235,
    2006,  5379,   717,   718,  4434,  4435,  4436,  4238,   423,   718,
    5186,  1330,   238,   718,   954,  5380,   955,  -378,  -378,  2548,
    4644,   718,  1598,  1598,   235,  2211,  1598,  2640,  5187, -1622,
   -1659,   421,  1774,   421, -2207,   250,  1775,   238,  1384,   718,
     960, -1622,  1259,    35,  2285,  5938, -1622,  4354,  3067,   251,
   -1392,    41,    42, -1392,  1259,  3231,  2008,  4580,  1499,  3890,
     250,  1259,  3891,  2523,  1390,   972,  3892,  3576,  1387,  3581,
    1499,   990,  1795,  2072,   251, -1610,  2076,  3036,  4432,  4433,
    4434,  4435,  4436,   718,  5245,  3923,  4709,  3247,  4917,  2218,
    2219, -1622,   869,  2570,  2571,  1118,  5381,  3248,   421,  1082,
    3973,   718,   718,  1180,  5382,  3974,  4235,  1447,  1393,  1447,
    1499, -1622,  3338,  3339,  3944,  5454,  3946,  3947,  1406,  3925,
    3926,  3927,  1419,  3928,  3929,  3930,  3931,  3932,  3933,  4581,
    -582,   863,   423,   718,  3218,  4459,   423,  3221,  2088,  4338,
    1428,  4340,   987,  4472,  5383,  1429,  4347,  3924,  4350,  1401,
    1430,  1402, -1622,  2211,  5085,  1896,  2293,   718,  2294,   423,
    4582, -1622,  5043,  1436,  4940,   718,  2359,   430,  2360,  1598,
    1118,  1439,   718,  3586,  1450,  4583,   718,  2372,  1455,   251,
     375,    74,  5567,  3582,  5569,  4584,  4487,  1447,  5573,  1844,
    5574,  3583,  1500,  2519,  3584,  2520,   718,  1844,  2570,  3362,
    1844,   718,  1067,  1509,  1067,   718,  1067,  3741,   423, -1683,
   -1683,  4585,  1067,  1577,  1578,  2522,   862,  2523,   718,  4406,
    4516,  3009,   421,  3010,  1516,   216,   421,  1510,  4602,  4603,
    4604,   718,  4452,  3069,  5608,  2523,  1067,  1067,  3975,  2770,
    1523,   718,  3586,  2770,  2211,  1530,  2640,  4702,  3976,   421,
    4025,  4026,   863,  2770,  2770,  2373,  1030,  2514,  1069,   224,
    1069,  3090,  1069,  3091,  3092,  4558,  3091,  4062,  1069,    45,
    3123,  2513,  3124,  4062,  3324,  2382,  2277,  4597,  3361,  3489,
    2523,  3490,   129,   130,  1550,  5755,  1259,  1499,  1589,  4683,
    3301, -1622,  1069,  1069,  4586,  1593,   423,  4465,   421,   235,
    3560,  1597,  3561,  3586,  1604,  2398,    35,   430,   869,  3693,
      35,  3694,   238,  3586,    41,    42,  1173,  1610,    41,    42,
    2411,    45,  1611,  4432,  4433,  4434,  4435,  4436, -1139, -1139,
    1259,  4437,  3925,  3926,  3927,   250,  3928,  3929,  3930,  3931,
    3932,  3933,  1035,  2770,  2824,  3699,  1612,  3700,  2849,   251,
    3586,  1618,  3771,  1774,  3772,  1621,  1795,  1775,  2878,  3480,
    1173,  1620,  1036,  1067,  1619,    37,    38,    39,    40,  1499,
    1622,  4814,    44,   718,  3805,  5471,  2523,  2418,  1623,  3842,
    2419,  3091,  1867,  1624,  4802,  1259,   421,  2771,  3889,  1627,
    2523,  2771,  1628,  5832,   193,  1117,  1037,  1759,  1901,  3542,
    1630,  2771,  2771,  1766,  5219, -1832, -1832, -1832, -1832,  2425,
    1767,  3898, -1832,  2523,  2772,  1035, -2972,  1768,  2772,  1069,
    1183,  1183,  3566,  1183,  1792,  3904,   718,  2523,  2772,  2772,
    1067,  1762,   869,   715,   715,  1036,   869,  2773,  1872,  2774,
    2427,  2773,  3905,  2774,  2523,  1221,  1773,  3906,  3555,  2523,
    1902,  2773,  2773,  2774,  2774, -1839, -1839, -1839, -1839,   869,
    4974,  1787, -1839,  4307,  4000,  4001,  4002,  1793,  1802,  1037,
    1117,  3611,  1795,  1173,  2768,  1817,   718,  1844,  2768,  1822,
    3937,   863,  2523,   216,  1796,  1818,  1069,  4748,  2768,  2768,
    1821,  2771,  1499,  3950,   718,  2523,  1824,  3955,  4014,  3956,
    1828,  4014,   718,  3995,  1829,  3996,  1259,  3967,   869,  1499,
    1832,  4016,  1259,  1833,  2013,   862,  1834,   224,  2772,  1845,
    1835,  2770,  1499, -1830, -1830, -1830, -1830,  3997,  1837,  3998,
   -1830,  1836,  1259,  2014,  1846,  1848,  2770,  1259,  4196,  1838,
    4197,  2773,  1877,  2774,  1903, -1833, -1833, -1833, -1833, -2972,
    1880,  4201, -1833,  4202, -2972,  1878,  4225,   235,  4226,  3704,
    1259,  1259,  1259,  1889,  1896,  1259,   206,  4400,  1931,  4401,
     238,  4016,  1955,  1259,  1259,  1259,  1259,  4425,  2768,  2523,
   -2969,   423,  2015,  1958,  1960,   972,  1259,   423,  1961,  1259,
   -2972,  1259,  1995,   250,   216,  1994,   869,  1904,  4517,  4527,
    4518,  4528,  1259,  1259,  1990,  3196,  1259,  5833,  2012,  1996,
    4538,  4014,  2523,  3214,  5655,  4628,  2002,  4629,  1379,  1239,
    1259,   379,  1259,  1380,  1259,  1381,  4242,  4633,   224,  4634,
    2009,  1240,  1241,  4643,  1905,  3399,  1934,  2434,   209,   206,
    4666,  4250,  3091,  2047,  1259,  4704,  2048,  4818,  2770,  4819,
    1242,  2004,  4875,  1243,  3091,  1259,  1382,  1259,  1259,  1259,
    5177,  4935,  4953,  2348,  2523,  1906,  2016,   216,   235,  2771,
    1935,   421,  1038, -1831, -1831, -1831, -1831,   421,   718,  2063,
   -1831,   238,  1259,  2073,  2771,  1844,  4979,  4885,  3124,  2077,
      74,    74,  2074,    74,  1259,  1907,  2772,  1908,  2082,  1259,
    1936,   224,  2084,  2083,   250,  1259,  4991,  2089,  2523,  1067,
    5054,  2772,  3399,  4932,  2017,  1259,  2091,  2018,  1039,  2773,
    5060,  2774,  5061, -2972,  5066,  5067,  3091,  3091,  2826,  1937,
    5200,   862,  5201,  5250,  2773,  5251,  2774,  5252,  5260,  2523,
    3124,   235,  5335,  2092,  5336,  1909,  5418,  5455,  3091,  5456,
    5473,  2094,  3124,  4282,   238,  2097,  2768,  1499,  2101,  2020,
    1499,  2418,  1499,  1938,  2419,  1069,  2108,  1499,  2420,  2421,
    2422,  2768,  4848,  4849,  1244,  4062,  5481,   250,  5482,  1801,
     863,  1803,   718,   718,  5491,  2423,  2277,  5497,  1259,  4375,
    4963,   251,  5011,  2425,  5014,  5499,  2771,  4375,  1939,  4062,
    2426,  5512,  2022,  5513,  2109,  5560,  2770,  5561,  5600,   718,
    2481,  5629,   718,  5513,  1245,  5643,  1499,  3124,  5644, -2972,
    3956,  2112,  2023,  2772,  2427,  2102,  2441,  2442,  2443,  2444,
    2445,  2446,  1940,  1499,  4929,  4930,  4931,  1377,  5645,  5656,
    2523,  5657,  2025,  5662,  3951,  2277,  2773,  2770,  2774,  5665,
    3958,  4375,  5689,  2115,  3124,   862,  2118,  2121,  1499,   862,
    4014,  2123,  1941,  1942,  5695,  5696,  3124,  3124,  5699,  5701,
    5700,  5702,  5727,  5774,  5728,  5775,  5778,  5779,  2277,  2523,
    2129,   869,   862,  2768,  2132,  2143,  5780,   869,  2523,  5782,
    5801,  2523,  5802,   423,   423,   423,  5041,  2134,  2125,  1943,
    1448,   990,  5825,   209,  5826,  2144,  5849,  1944,  4375,  2148,
    1067,  4688,  2149,   375,  1945,  1067,  1067,   718,  5861,  5886,
    5505,  5513,  1946,  5924,  -192,  5700,  5926,  1499,  5927,  1499,
    1947,   862,  5941,  2428,  5775,  2151,  2152,   718,  2429,  5948,
    2154,  5927,  1948,    80,  2156,  2157,  2172,  2181,  2185,  2179,
    1949,   718,  4725,   898,  2771,  2190,  2198,  2204,  2205,  2430,
    2431,  2206,  5091,  2211,  2207,  2214,  1069,  2217,  2215,  2231,
    2233,  1069,  1069,  2241,  2432,  2242,   375,  2245,  2246,  2253,
    2257,  2772,  5897,   421,   421,   421,  2258,  5900,  2585,  2260,
    1577,  1578,  2266,  2265,  4552,  2771,   863,  2268,  2273,  2276,
    2279,  2280,  1606,  2291,  2773,  1950,  2774,  2433,  2325,  2600,
    1499,  2356,  2370,  2361,  2363,  2364,  2607,  2609,  2371,   862,
    2377,  2434,  2772,  2378,  2435,  2380,  2381,  2379,   251,  2383,
     718,  2384,  2385,  2386,  2387,  2388,  1626,  2390,  1499,  2391,
    2392,  2768,  2393,  2394,  2395,  2773,  1741,  2774,  2396,  3239,
    1753,  1448,  1755,  5039,  2397,   715,  2399,  2400,  2401,  4423,
    2402,  2403,  4302,  1499,   967,  2404,  2405,  2406,   423,  1499,
    1844,  2451,  2453,  2456,  4014,   718,  1844,   718,  4014,  2455,
    2481,  2485,  2768,  2497,  1579,  1598,  1067,  2507,  2518,  2526,
     718,  1805,   718,  2555,  2827,  2569,  1067,  4382,  2557,  2566,
    4355,  1807,  2576,  1210,  2584,  2593,  2591,  2436,  4395,  1173,
    2595,  2603,  2604,  2606,   423,  5083,  2613,  2611, -2915,  2617,
     863,  2615,  2619,  2618,   863,  2635,  2636,  2637,  1173,  2640,
    2638,  2641,  4422,  2643,  2642,  2644,  2645,  5185,  1499,   717,
     717,  2646,  1069,  2671,  1875,  2652,  2677,   863,  2706,  2683,
    5162,  2710,  1069,  2712,  2714,   718,  1499,  2715,   421,  2713,
     978,  5128,  5129,  2717,  5131,  1067,  2718,  2733,  1067,  1067,
    2734,  1499,  2746,  2747,  2758,  2735,  2762,  2764,  4560,  4561,
    4562,  4563,   375,  2767,  2768,  2765,  2766,  2776,  2777,  1298,
    2778,  5122,  2779,   869,   869,   869,   863,  2780,  5564,  2785,
    2786,   718,  2789,  2437,   421,  2795,  2438,  2439,  2440,  2796,
    2441,  2442,  2443,  2444,  2445,  2446,  2801,  2813,  2797,   718,
    2820,  1069,  3909,  5385,  1069,  1069,  2798,  4016,  2823,  5288,
    4016,  1974,  2835,  3138,  2838,  2804,  5303,  2808,  2809,  2844,
    2845,   718,  2861,  2821,   718,  2842,  2418,  2828,  2829,  2419,
    2833,  2862,  1067,  5554,  2867,  5556,  2868,  2889,  1844,  2834,
    2837,  2839,  1259,  2850,  2851,  1499,  2863,  2891,  2892,  2911,
    2873,  1259,  2894,  2877,  2898,  2899,  2893,  1259,  2425,  1259,
    2900,  3139,  1259,  5179,   863, -2972,  1499,  1259,  1259,  1259,
    1259,  3070,  2906,  1259,  1259,  1259,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  2907,   862,  2908,  1259,  1259,  1069,  2427,
     862,  1499,  2909,  3140,  2910,  2918,  1259,  2913,  2919,  2920,
    1259,  2925,   423,  2928,  1259,  2929,  2932,   936,  2943,  2937,
    2946,  2924,  1259,  2957,  2961,  1259,  3141,  1259,  2031,  2962,
    4016,  3007,  2965,  2970,  2981,  1499,  1259,  3142,  2988,  1259,
    1259,  2984,  2987,  2997,  1259,  1259,  3001,  3003,  3005,  4307,
    3006,  1259,  3012,  3017,  3023,  3025,  3019,  3143,   869,  3026,
    3033,  1259,  3144,  3041,  1259,  3030,  3027,  3611,  3028,  3034,
    5711,  5713,  3043,  3044,  3032,  3031,  3045,  1259,  3035,  5705,
    3057,  3046,  3058,  1259,  1259,  1259,  3086,  3087,  3102,  3108,
    3121,  3134,  3164,  3213,  3196,  3196,  3169,  3219,  2419,  3196,
    3223,  3238,   421,  3232,   869,  3250,  3252,  3272, -2972,  3273,
    5415,  3145,  3287, -2972,  3305,  3304,  3307,  3310,  3314,  3312,
    3315,  4918,  3316,    74,  1193,  1178,    74,  3325,  3334,  3326,
    1259,  3335,  3146,  1448,  3336,  3347,  3196,  3196,  3337,  3354,
    3371,  2471,    80,    80,  3368,    80,  1259,  3370,  3388, -2972,
    3389,  3391,  3417,  3420,  3441,  4759,  3422,  3424,  3425,  3431,
    3436,  1448,  1499,  5480,  3442,  3444,  3446,  3448,  3464,  3468,
    3456,  3452,  3465,  3481,  1259,  3482,  3487,  1756,  1760,  3503,
    3504,  3517,  3522,  3498,  3523,  4014,  3544,  3549,  5323,  3550,
    3552,  3559,  4014,  3643,  3587,  3655,  2434,  4014,   898,  3567,
    4014,  3147,  3662,  3666,  3663,   718,  3670,  2352,  3675,  5803,
    3681,  3686,  3676,  5475,  5341,  3677,  3688,  3692,  3713,  3695,
    3714,  3170,  3171,  3701,  3728,  3730,  3732,  3148,  3185,  3186,
    3734,  1448,  4014,  3743,  3149,  3752,  5346,  3746,  3760,  3755,
    1633,  3150,  3765,  3918,  3761,  3763,  4014,  3919,  3920,  3921,
    3762,  3764,  3768,  3774,  2413,   423,  3776,  3224,  3777,   863,
     423,  1499,   423,  3781,  4536,   863,  3794,  3780,  1844,  3151,
    3795,  3798,  3799,  3801,  3152,  4522,  3803,  3153,  3800,  4016,
    3806,  3809, -2972,  5345,   423,  1499,  3808,  5347,  3810,  2587,
    3811,  3830,  1844,  3812,  3820,  3154,  3833,  3821,  3844,  3832,
    3837,   423,  3845,  3846,  3847,  2415,   862,   862,   862,  2277,
    2274,  2243,   869,  2600,  2417,  3855,   718,  3859,  5705,   718,
    3155,  3135,  5566,  3866,  1298,  5387,  3857,  3858,  2460,  3869,
    3874,  1595,  3876,  3880,  3881,  3883,  3884,  3886,  3903,  3900,
    3901,  3952,  5718, -2090,  3902,   421,  3969,  3907,  3908,  5490,
     421,  3910,   421,  3986,  3913,  3914,  3964,  2523,  3936,  1448,
    5490,  4062,  2491,  2493,  3991,  4070,  4019,  1448,  1448,  3942,
    2589,  2590,  1298,  4068,   421,  3949,  4064,  1067, -2972,  3963,
    4024,  1259,  3977,  4104,  4074,  2441,  2442,  2443,  2444,  2445,
    2446,   421,  3987,  4072,  4081,  4109,  4111,  4112,  4120,  4123,
    4125,  4088,  4014,  4160,  3989,  4132,   718,   718,  4147,  3990,
    1499,  3993,  4148,  4158,  4895,  4165,   718,  4164,  4094,  4092,
    4093,  4097,  4166,  1259,  2285,  4182,  4167,  4181,  4184,   422,
    2013,  4098,  1067,  1069,  4190,   718,  4116,  4117,  3923,  4192,
    4200,  5648,  5558,  4210,  4191,  4227,  4229,  2418,  4231,  2014,
    2419,   717,  1867,  2348,    74,  4233,    74,  4234,  5664,  1499,
    1259,  1259,  1447,  5666,  4237,  5668,  4014,  4239,  4240,  4422,
    4241,  4251,  4253,  4260,  4255,  4256,  4254,  4257,  4258,  2425,
    4263,   862,  4259,  4276,  4268,  4265, -2972,  4267,  1069,   423,
    4272,  4274,   715,  4016,  1067,  4261,  4262,  4016,  2015,  4703,
    3924,  4264,  4266,  2859,  2411,  5056,  2674,  4269,  1872,  4278,
    2427,  4279,  4287,  4281,   718,  4291,  4292,  4294,  1844,  4300,
    4314,  4345,  4356,  3542,  4358,  4720,  4346,   862,  4360,  4352,
    5683,  4363,  4374,  4377,  4389,  1259,  4383,  4375,  4386,  4390,
    4393,  4394,  4398,  4410,  4397,  4420,  1259,  3566,  2411,  4448,
    1069,  4439,  4449,  4441,  4458,   869,  4431,  4429,  4450,  4460,
     869,  4704,   869,  4451,  3611,  3239,  4461,  4462,  5663,  4469,
    4453,   863,   863,   863,  4470,  4471,  1259,  3978,  4479,   421,
    4473,  3988,  2016,  4474,   869,  4475,  1259,  1259,  3939,  1499,
    3918,  3938,  4488,  1259,  1259, -2089,  4529,  4007,  1259,  1499,
    2372,   869,  4540,  1259,  1179,  4513,  1259,  1259,  4014,  4553,
    4570,  1259,  4514,  4515,  4599,  4594,  4541,  1259,  4622, -2972,
    4521,  4544,  4625,  4612, -2972,  4571,  4596,  4559,  5094,  1259,
    2017,  4579,  4609,  2018,  2831,   375,  4611,  1259,  4614,  4613,
    2836,  1259,  4631,  4627,  2826,  4616,  4705,  5680,  5042,  5044,
    4639,  4617,  4646,  1447,  1259,  1067,  4653,  4007,  4674,  1259,
   -2972,  1172,  4682,  1067,  4690,  1259,  1067,  4014,  4676,  4677,
    4691,  4689,  4692,  4694,  4698,  2020,  4715,  5036,  4696,  4712,
    4730,  4727,  4728,  1259,  4742,  3925,  3926,  3927,  4729,  3928,
    3929,  3930,  3931,  3932,  3933,  4740,  4743,    81,  4014,  4741,
    4754,  4744,  4745,  4756,    79,  4757,  4767,  2434,  4768,  4776,
    4791,  1069,  4793,  4795,  1259,  4773,  4703,  4798,  2022,  1069,
    4805,  4806,  1069,  4808,  4809,  4812,  4822,  4845,  4851,  4836,
    4833,  4864,  1499,  2418,  4859,   862,  2419,  4865,  2023,  4870,
    2420,  2421,  2422,  3091,  4868,  4887,   863,  4871,  4892,   718,
    4893,  4908,  4906,  4910,   423,  2958,  4905,  2423,  2025,  2963,
    4706,  4913,  4927,  4707,  4933,  2425,  4937,  1844,  4911,  4909,
    1499,  4915,  2426,  4939,  4950,  4945,  4955,  4964,  2418,  4959,
    4916,  2419,  4965,  1298,  4960,  4966,   718,  4967,  4968, -2091,
    4987,  1499,   863, -2972,  4972,  5003,  2427,  5000,   718,  5005,
    5007,  5008,  5015,  5016,  5021,  4014,  5020,  5023,  5024,  5026,
    2425,  5040,  5027,  5057,  1259,  5053,  5028, -2972,  5062,  5049,
    5055,  3196,  3196,  3196,  3196,   718,  5063,  3196,  3196,  3196,
    3196,  3196,  3196,  3196,  3196,  3196,  3196,  5071,  5089,  5090,
    5093,  2427,  5099,  5100,   421,  5119,  5101,  5112,  5121,  5115,
    5124,  5125,  5132,  5153,  4520,  5140,  1499,  5145,  5154,  5159,
    5160,  2768,  5163,  5794,  5168,  5169,  5174,  5175,  5178,  5176,
    5183,  3813,  3816,  5191,  5197,  5194,  5202,  5204,  5212,  5214,
    1259,  5215,  5216,  3196,  3196,    80,  5217,  5225,    80, -2972,
    5230,  5239,  1447,  5246,  1259,  5240,  2441,  2442,  2443,  2444,
    2445,  2446,  5235,  5247,  5249,  2428,  5254,  5256,  4545,  5257,
    2429,  5258,  5259,  5265,  4016,  5281,  5301,   718,  5307,  5271,
    5274,  4016,  5285,  1259,  5311,  5314,  4016,  5317,  5332,  4016,
    5328,  2430,  2431,  5841,  5842,  5337,  5331,  5338,  4014,  5349,
    5343,  5350,  5354,  1067,  5359,  5360,  2432,  5386,  5367,  5388,
   -2972,  4832,  5394,  5396,  5398, -2972,  5399,  5401,  5404,  5402,
    5421,  4016,  5428,  5430,  1499,  5405,  1499,  5433,  5436,  5438,
    5445,  5446,  5457,  5461,  5476,  4016,  5479,  5467,   862,  2433,
    5459,  5460,  5483,   862,  5489,   862,  3180,  5510,  5528,  5493,
    5496, -2972,  5500,  2434,  5509,  5530,  2435,   718,  5501,  1069,
     863,  5503,  5505,  5521,  5531,  5537,  5543,   862,  5581,  5583,
    5588,  4014,  5592,  1259,  5595,  5593,  5602,  1499,  5606,  5308,
    5612,  5613,  1259,  5620,   862,  5624,  5625,  5626,  5633,  5634,
    5635,  5641,  5646,  5654,  5670,  5671,  5667,  5675,  2434,  1259,
    1259,  5647,  5676,  1259,  5636,  5688,  5692,  5716,  5717,  5710,
    5678,  5721,  5723,  5726,   869,  1962,  5730,  5733,  1259,  5734,
    5759,  1963,  5739,  5751,  5752,  1259,  5769,  5760,  5753,  5795,
    1259,  4554,  5771,  1259,  1259,  5790,   375,  5797,  5804,  2436,
    5719,  1259,  1259,  5720,  5813,   383,  5814,   375,  5844,  5852,
    5859,   383,  5812,  3309,  5872,  5788,   712,  5869,  5306,  1934,
    5895,  5878,  1964,  5898,  1173,  1259,  5920,  1259,  5893,  5894,
    5901,   375,  5905,   718,  5919,   718,  5922,  5946,  5947,  1259,
    5925,  5939,  5932,   383, -2972,  5933,  5942,  5940,  4054,  1633,
    5943,  4016,  3918,  1935,  5944,  1191,  3919,  3920,  3921,  3737,
    2045,  2504,  2874,  2044,  3548,  3616,  2600,  4175,  4711,  4052,
    4718,  1067,  1965,  4981,  5904,  5798,  1966,  1499,   718,  4299,
    3654,  4815,  5575,  1967,  1844,  5704,  1968,  1259,   383,  5870,
    4847,  5437,  5158,  5414,  1959,  2437,  4114,  3843,  2438,  2439,
    2440,  5791,  2441,  2442,  2443,  2444,  2445,  2446,  5321,  5866,
    5722,  1969,  1937,  5724,  3959,  4016,  5811,  5883,   717,  5419,
    4896,  2418,  4119,   423,  2419,  5686,  4876,  1069,  4840,  1259,
    3711,  4716,  4194,  3712,  1875,  4362,    80,  2033,    80,  5420,
   -2972,  4863,  5180,  1970,  4370,  3196,  1938,  2441,  2442,  2443,
    2444,  2445,  2446,  2425,  5871,  5450,  3702,  5945,  5424,   383,
   -2972,  5937,  5400,   863,  4317,  4301,  1633,  5816,   863,  3918,
     863,  5348,  2936,  3919,  3920,  3921,  1448,  5539,  5694,  5351,
    1087,  1939,  5441,  4934,  2427,  2358,  5516,  4902,  2345,  5631,
    4982,  4105,   863,  3013,  3394,  1259,  3128,  1499,  2120,  3047,
    1524,  3130,  1971,  4275,  1972,  1449,  4746,  3129,  4366,   863,
    4766,  5835,  5931,   421,  1973,  1940,  2651,  2411,  1770,  3320,
    3076,  4880,  3321,  1974,  1259,  1499,  5310,  1259,  5045,  1259,
    5785,  4635,  4060,  4567,  1975,  2292,  4572,  2466,  3839,  3346,
    2524,  4069,  2552,  2551,  4067,  1755,  1942,  3923,  4610,  1259,
    5781,  4548,  5669,  5031,  3345,  1259,  4574,  4016,  2556,  1259,
    4998,  5013,  5495,  4568,  5653,  1499,  5652,  2561,  4636,  4569,
    1259,  1976,  5851,  5934,  1977,  1978,  5899,  5772,  5474,  4523,
    5304,  5783,  5768,  5784,  3984,  3277,   209,  3895,  2726,  4056,
    1944,  3982,  3286, -2972,  1224,  4421,  3797,  1945, -2972,  3372,
    2192,  5761,  1979,  2568,  1194,  1946,  3008,  2575,  1546,  3924,
    3363,  2353,  3376,  2727,   423,  4049,  4016,  1885,  3377,  1856,
     383,  1857,  1499,  3379,  4641,  1948,  5032,  1499,  1499,  4642,
    4615,  1217,  1259,  1949, -2972,  2572,  3383,  2470,  3841,    83,
    5309,     0,  3088,     0,  1844,  1844,     0,  4016,     0,  1584,
     718,     0,     0,     0,     0,   383,     0,  1844,     0,  2282,
       0,     0,     0,     0,  3923,     0,  1980,     0,     0,     0,
       0,     0,     0,     0,  5615,     0,     0,     0,     0,  1259,
       0,  2434,     0,     0,     0,     0,  5372,     0,  1950,  3651,
       0,     0,     0,  5002,     0,     0,     0,   862,     0,     0,
       0,  1259,     0,     0,   421,     0,     0,     0,     0,     0,
       0,     0,  3669,     0,     0,  3669,     0,  3669,     0,     0,
       0,  3669,     0,   869,     0,     0,  3924,     0,     0,     0,
    3669,  3669,  3669,     0,  1499,  1499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5640,     0,     0,     0,     0,
       0,  5672,     0,     0,  4016,     0,  1067,  1259,     0,     0,
    1259,     0,  1067,  1259,     0,     0,     0, -2972,     0,     0,
       0,     0,     0,     0,  1259,     0,     0,     0,     0,  1259,
       0,  1259,     0,  1259,     0,     0,  4351,     0,  3747,     0,
       0,  1259,     0,     0,  3925,  3926,  3927,     0,  3928,  3929,
    3930,  3931,  3932,  3933,     0,     0,     0,     0,  1633,  1259,
       0,  3918,  1069,     0,  1251,  3919,  3920,  3921,  1069,     0,
    3779,     0,     0,  1271,     0,     0,     0,     0,  1448,     0,
       0,     0,     0,     0,     0,  5658,     0,     0,     0,   423,
       0,   718,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3818,     0,     0,     0,     0,     0,
       0,     0,  1385, -2972,     0,  5892,     0,     0,     0,  4426,
    2441,  2442,  2443,  2444,  2445,  2446,  3816,  1633,     0,     0,
    3918,  1448,     0,     0,  3919,  3920,  3921,  4016,     0,     0,
    1259,     0,     0,     0,     0,  4007,     0,     0,  1259,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3925,  3926,  3927,   869,  3928,  3929,  3930,  3931,  3932,
    3933,     0,     0,   375,  1251,     0,     0,  1259,  1259,   421,
       0,     0,     0,     0,  1271,  1259,   423,     0,     0,  1499,
       0,     0,     0,     0,  1067,  1259,     0,     0,     0,  1633,
       0,     0,  3918,     0,   718,     0, -2972, -2972, -2972,     0,
    4016,  5837,   863,     0,   379,     0,  5838,  1259,  5839,     0,
       0,     0,     0,     0,    35,  5817,     0,     0,   375,     0,
       0,     0,    41,    42,     0,  1844,     0,  1844,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,  5840,
    1069,     0,     0,     0,     0,     0,  3923,     0,     0,     0,
       0,     0,  2423,     0,     0,  2424,     0,  1259,     0,     0,
    2425,     0,  1259,     0,     0,     0,   421,  2426,     0,     0,
       0,  1259,     0,     0,     0,     0,  5837,  1259,  1259,   379,
    1259,  5838,     0,  5839,     0,     0,     0,     0,     0,  1259,
       0,  2427,     0,     0,     0,  5858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1259,     0,  3924,     0,
       0,     0,     0,     0,  5840, -2972,     0,  3196,     0,     0,
     718,     0,     0,     0,     0,     0,  5253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   383,  5372,     0,  1259,   383,     0,     0,     0,  4007,
       0,     0,     0,  4007,     0,     0,     0,     0,  1272,   712,
       0,  5837,     0,     0,   379,     0,  5838,   712,  5839,     0,
       0,  1259,     0,  1448,  5858,     0,  1259,  3924,     0,   869,
     712,     0,     0,     0,     0,     0,   862,     0,     0,     0,
       0,  4638,     0,     0,  1844,     0,   423,   375,   375,  5840,
    2428,     0,     0,  5911,     0,  2429,     0,     0,     0,   712,
       0,     0,     0,  1259,     0,   712,     0,     0,     0,  1259,
       0,     0,     0,     0,     0,     0,  2430,  2431,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5773,
       0,  2432,     0,  1259,     0,   423,     0,  1482,     0,  3924,
       0,     0,  5911,     0,   712,     0,     0,     0,     0,     0,
     423,  1259,  1259,     0,     0,     0,     0,  5911,     0,  1272,
     712,  1482,     0,     0,  2433,     0,   869,   712,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,  2434,     0,
     712,  2435,     0,  3925,  3926,  3927,     0,  3928,  3929,  3930,
    3931,  3932,  3933,     0,  1067,     0,   712,  1448,     0,     0,
       0,     0,     0,     0,  1251,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,  1271,     0,     0,  1067,     0,
       0,     0,     0,     0,  1067,   421,     0,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,     0,
     421,     0,  1962,     0,  2426,     0,     0,     0,  1963,     0,
    1069,     0,  3925,  3926,  3927,     0,  3928,  3929,  3930,  3931,
    3932,  3933,     0,     0,  2436,     0,     0,   862,  2427,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
    1069,     0,     0,     0,  4199,     0,     0,     0,     0,  1964,
       0,     0,     0,  2183,     0,   712,  1577,  1578,  3196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   383,     0,     0,     0,
       0,     0,     0,  3196, -2972, -2972, -2972,     0,  3928,  3929,
    3930,  3931,  3932,  3933,  4236,     0,     0,     0,     0,     0,
       0,   863,     0,  1966,     0,     0,     0,     0,     0,  5910,
    1967,     0,     0,  1968,     0,     0,     0,     0,     0,     0,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,    85,     0,  2428,  1969,     0,
       0,    89,  2429,   712,   712,    93,   869,    94,     0,    96,
      97,     0,     0,     0,     0,     0,     0,  4273,  5910,     0,
     106,     0,     0,  2430,  2431,     0,     0,     0,     0,     0,
    1970,     0,     0,  5910,     0,     0,   118,   119,  2432,     0,
       0,     0,     0,  3816,  3816,  3816,  3816,  3816,  3669,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
    4298,     0,     0,     0,  1067,     0,     0,     0,  4312,     0,
     869,  2433,     0,     0,  4312,     0,     0,     0,     0,     0,
    1448,     0,  1448,     0,     0,  2434,   127,  4007,  2435,  1971,
       0,  1972,  4007,     0,     0,  4007,   128,     0,   129,   130,
       0,  1973,     0,     0,     0,     0,     0,     0,  2096,     0,
    1974,     0,   862,     0,  1190,     0,     0,     0,     0,     0,
    1069,  1975,     0,     0,     0,     0,     0,     0,  4373,     0,
    1272,  2111,     0,     0,   140,     0,   141,   142,     0,     0,
       0,     0,     0,   145,     0,   146,  2122,     0,     0,     0,
       0,     0,   863,     0,     0,     0,   148,  3196,   149,  4405,
    1448,  1977,  1978,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,   152,     0,   153,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3818,  1979,
       0,     0,   157,     0,   158,     0,     0,     0,   159,     0,
       0,     0,     0,     0,   160,     0,     0,     0,     0,   862,
       0,     0,   162,     0,   164,     0,     0,     0,     0,     0,
     166,     0,     0,  2600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      74,     0,   174,  1980,     0,     0,     0,     0,   375,     0,
       0,     0,     0,  2418,     0,     0,  2419,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,     0,  3222,     0,     0,     0,     0,     0,
       0,   185,   186,   712,   375,  2425,     0,   187,     0,     0,
       0,     0, -2972,     0,     0,     0,     0,   712,     0,   188,
       0,     0,     0,  1067,     0,     0,     0,  1067,     0,     0,
       0,   193,     0,     0,     0,     0,  2427,     0,   382,  3196,
       0,     0,     0,     0,   382,   712,  4533,     0,     0,   711,
       0,     0,  5109,  5110,     0,     0,     0,  5113,  5114,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4007,     0,   203,     0,     0,   382,  2354,     0,  1069,
       0,   712,  2411,  1069,     0,     0,   205,   863,     0,     0,
       0,     0,   206,   207,     0,   208,     0,   712,     0,     0,
     209,     0,     0,  4549,     0,   210,     0,     0,   212,     0,
       0,     0,   712,   214,     0,   712,     0,     0,     0,   215,
     216,   382,     0,     0,     0,     0,     0,   217,     0,     0,
       0,   219,     0,     0,     0,  2418,     0,     0,  2419,   862,
       0,   222,  2420,  2421,  2422, -2972,     0,     0,     0,     0,
   -2972,     0,     0,  5850,   224,     0,     0,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,  1113,
       0,     0,     0,   230,  2426,   231,     0,  1113,     0,  1113,
       0,     0,     0,   233,   863,     0, -2972,     0,   862,   234,
       0,     0,   382,     0,   235,     0,     0,     0,  2427,     0,
       0,     0,     0,   862,     0,     0,     0,   238,     0,     0,
       0,     0,     0,  4007,     0,  2418,     0,     0,  2419,     0,
       0,     0,     0,   375,     0,     0,     0,     0,     0,     0,
     250,     0,     0,  2434,     0,  3196,     0,     0,     0,     0,
    3196,     0,     0,   712,   251,     0,     0,  2425,  -145,     0,
       0,   712,   712,     0, -2972,     0,     0,     0,     0,     0,
       0,     0,   383,     0,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,  4312,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,     0,
     375,     0,     0,     0,  2426,     0,     0,  2428,     0,     0,
    4753,     0,  2429,     0,   383,   383,   383,  4760,     0, -2972,
    4761,     0,  4762,     0,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,  2430,  2431,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4985,     0,     0,  2432,     0,
       0,     0,     0,   382,  5305,     0,     0,   708,     0,     0,
       0,     0,  4801,     0,     0,   383,     0,     0,     0,     0,
    3669,     0,   383,     0,  3669,  3669,     0,  3669,     0,     0,
       0,  2433,  4298,   383,     0,     0,     0, -2972,   382,     0,
    1251,     0, -2972,  1251,     0,  2434,     0,     0,  2435,     0,
       0,     0,     0,     0,   863,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2972,     0,     0,     0,     0,
    1067,     0,  2441,  2442,  2443,  2444,  2445,  2446, -2972,     0,
       0,     0,     0,     0,  1271,  1271,     0,  2428,     0,     0,
       0,     0,  2429,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   863,     0,     0,     0,     0,     0,  2788,
       0,     0,     0,  2430,  2431,     0,     0,     0,   863,     0,
       0,     0,     0,     0,     0,  2434,  1069,     0,  2432,     0,
    4899,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,  3818,  3818,  3818,  3818,  3818,
       0,     0,     0,  1962,   375,  2434,  1271,     0,  2435,  1963,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2049,     0,     0,     0,     0,     0,   375,     0,
       0,     0,  4942,  4942,  4942,     0,  4942,  4942,  4942,  1485,
     712, -2972,     0,  2890,     0,     0,  2418,     0,     0,  2419,
    1964,     0,     0,  2420,  2421,  2422,     0,  2437,  2905,     0,
    2438,  2439,  2440,  1485,  2441,  2442,  2443,  2444,  2445,  2446,
    2423,     0,     0,     0,  4313,     0,     0,     0,  2425,  2927,
       0,     0,     0,     0,     0,  2426,     0,     0,     0,     0,
       0,  2436,   383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2050,  5891,  1966,     0,     0,     0,     0,  2427,
       0,  1967,     0,     0,  1968,     0,   712,     0,  2418,     0,
       0,  2419,     0,     0,   712,  2420,  2421,  2422,     0,     0,
       0,     0,     0,     0,  3004,     0,   712, -2972,     0,  1969,
       0,     0,  2423,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    2425,     0,     0,     0,  3015,     0,     0,  2426,     0,     0,
    1067,  1067,     0,     0,     0,     0,  1482,     0,     0,     0,
       0,  1970,  5030,  1067,     0,  5037,  5038,     0,  3029,     0,
       0,  2427,     0,     0,     0,     0,     0,  2437,   375,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,    80,     0,  4481,     0,     0,     0,     0,  1272,
    1272,     0,   712,   712,  3053,  1482,  1069,  1069,  2428,     0,
       0,     0,     0,  2429,   712,     0,     0,     0,     0,  1069,
    1971,     0,  1972,     0,     0,   712,   712,     0,     0,     0,
       0,     0,  1973,     0,  2430,  2431,     0,     0,     0,     0,
       0,  1974,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,   712,  1975,     0,     0,     0,     0,     0,  5638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2428,     0,  2433,     0,     0,  2429,     0,     0,     0,  2051,
       0,  1272,  1977,  1978,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,   382,     0,  2430,  2431,   382,     0,
       0,     0,     0,     0,  5639,     0,     0,     0,     0,     0,
    2052,  2432,   711,     0,     0,  2418,     0,     0,  2419,     0,
     711,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,  1251,  5135,
    5136,     0,     0,     0,  2433,  1271,     0,  2425,  3226,  3669,
       0,  3669,  3669,     0,  2426,  3669,     0,     0,  2434,     0,
       0,  2435,   711,     0,     0,     0,     0,     0,   711,     0,
    1485,   383,  2436,     0,  1980,     0,     0,     0,  2427,     0,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,  1485,     0,
       0,     0,     0,     0,  5193,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
     711,  2418,     0,     0,  2419,     0,     0,     0, -2972, -2972,
   -2972,     0,     0,   711,  2436,     0,     0,     0,  5218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,     0,  2425,     0,   383,     0,     0,  2437,     0,
    2426,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,  1067,     0,  1067,     0,  4532,     0,  2428,  4942,     0,
       0,     0,  2429,     0,  2427,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2430,  2431,     0,     0,     0,     0,     0,
     383,     0,   383,     0,     0,     0,     0,     0,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,  1069,     0,  1069,
    2437,     0,   712,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,  1113,  4621,   711,     0,
    1113,  2433,     0,     0,   712,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2434,     0,     0,     0,   382,
       0,     0,   712,     0,     0,     0,     0,   383,   712,     0,
       0,     0,   712,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,  3451,
    1275,     0,     0,     0,     0,     0,     0,     0,  1306,  1485,
       0,  3466,     0,     0,     0,     0,     0,     0,     0,     0,
    1272,  1326,  4312,     0,  2432,     0,   711,   711,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,  5909,
       0,  2436,   712,     0,     0,     0,     0,     0,     0,     0,
     708,  3499,     0,     0,     0,     0,   708,     0,     0,     0,
     712,   712,     0,  3669,     0,     0,     0,     0,     0,   708,
       0,  2434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,     0,  5909,     0,
       0,   383,   712,     0,     0,   383,     0,     0,     0,     0,
       0,     0,     0,  5909,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1113,  1113,   712,     0,   383,     0,
       0,     0,     0,     0,   712,     0,     0,     0,     0,     0,
       0,   712,     0,     0,     0,   712,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,     0,     0,   712,     0,  2436,     0,     0,
     712,     0,     0,     0,   712,     0,     0,   383,     0,     0,
    1251,     0,     0,     0,     0,     0,  1271,   712,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,   710,     0,     0,     0,     0,
     712,     0,     0,     0,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,  3697,  2423,
       0,     0,     0,     0,  2685,     0,     0,  2425,     0,  2686,
       0,     0,     0,     0,  2426,     0,     0,     0,     0,     0,
       0,     0,     0,  2437,     0,   383, -2972, -2972, -2972,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,   860,  2427,     0,
       0,     0,     0,  2687,     0,     0,     0,     0,     0,     0,
       0,     0,  5551,  5551,     0,     0,  2688,     0,     0,     0,
    1485,     0,     0,     0,     0,  1448,     0,     0,     0,  5568,
       0,  2689,     0,     0,     0,     0,     0,     0,     0,  5576,
       0,     0,     0,     0,     0,  1112,   711,     0,     0,  4017,
       0,     0,     0,  1112,     0,  1112,     0,     0,     0,     0,
     711,     0,   712,     0,   708,   708,  2418,     0,   860,  2419,
       0,     0,  2690,  2420,  2421,  2422,     0,     0,     0,     0,
       0,     0,     0,  2691,     0,     0,  1485,     0,   711,     0,
    2423,     0,     0,     0,     0,     0,     0,     0,  2425,     0,
       0,     0,     0,  2692,     0,  2426,     0,  2428,  2693,  4017,
       0,     0,  2429,     0,     0,   712,     0,     0,     0,     0,
       0,  1485,     0,     0,   711,     0,     0,     0,     0,  2427,
       0,     0,     0,  2430,  2431,     0,     0,     0,     0,     0,
     711,     0,     0,     0,  1485,     0,     0,     0,  2432,     0,
       0,     0,     0,     0,     0,   711,     0,     0,   711,     0,
       0,     0,     0,  3867,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2694,     0,
    3879,  2433,     0,   712,     0,     0,     0,     0,     0,     0,
       0,   712,     0,  3885,     0,  2434,     0,     0,  2435,     0,
       0,  1272,     0,  1962,     0,     0,     0,     0,     0,  1963,
       0,     0,  2695,     0,     0,     0,  1448,     0,     0,     0,
    5708,  2418,  5709,     0,  2419,  1485,  5714,  5715,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,     0,  2428,     0,
    1485,     0,     0,  2429,   898,  2423,     0,     0,     0,  1485,
    1964,     0,     0,  2425,     0,     0,     0,     0,     0,     0,
    2426,  1485,     0,     0,  2430,  2431,     0,     0,     0,     0,
     383,     0,     0,     0,     0,     0,   383,     0,     0,  2432,
    2696,  2436,     0,     0,  2427,     0,   711,  2697,     0,     0,
    2698,     0,     0,  2418,   711,   711,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,  1966,   382,     0,     0,     0,     0,
       0,  1967,  2433,     0,  1968,     0,  1485,  2423,     0,     0,
    2699,     0,     0,     0,     0,  2425,  2434,  2700,     0,  2435,
       0,     0,  2426,     0,  2701,     0,  1485,     0,     0,  1969,
       0,  2702,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,  5551,     0,  5551,  2427,   382,   382,   382,
    1485,     0,     0,     0,     0,     0,  2703,   712,     0,     0,
       0,  1970,     0,     0,     0,     0,     0,  2437,   711,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,  2428,  4655,     0,  1485,  1485,  2429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   382,     0,
       0,     0,  2436,     0,     0,   382,     0,     0,     0,  2430,
    2431,     0,     0,     0,     0,     0,   382,     0,     0,     0,
    1971,     0,  1972,     0,  2432,     0,  1113,     0,     0,     0,
       0,     0,  1973,     0,     0,     0,     0,     0,     0,     0,
       0,  1974,     0,     0,     0,  1448,     0,     0,     0,     0,
       0,     0,  1975,     0,     0,  2428,     0,  2433,     0,     0,
    2429,   712,   712,     0,     0,     0,     0,  1113,     0,     0,
       0,  2434,     0,     0,  2435,     0,     0,  4130,     0,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,   712,  2078,
       0,   712,  1977,  1978,  4141,     0,  2432,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,  5551,     0,     0,  4951,     0,     0,     0,     0,
    2079,  5912,     0,     0,     0,     0,     0,     0,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5912,     0,   383,   383,   383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1980,  5912,     0,     0,  4222,     0,
    4224,     0,     0,   711,     0,     0,   712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2436,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   382,     0,     0,     0,     0,
       0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,   711,
    4986,  4271,     0,     0,     0,     0,   708,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4285,
     860,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,     0,  2437,   710,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,   710,
       0,     0,  5244,     0,     0,  1485,     0,   383,     0,  1485,
    1485,     0,     0,     0,   712,  4017,   712,     0,  4017,     0,
       0,     0,     0,     0,     0,   711,   711,     0,   710,   712,
       0,   712,     0,     0,   710,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   710,   711,   711,
       0,     0,  3786,   383,     0,     0,     0,     0,     0,  3499,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,  1934,   710,   711,     0,     0,     0,  2418,     0,
       0,  2419,     0,  1485,     0,  2420,  2421,  2422,     0,   710,
       0,     0,  4424,     0,   712,     0,   710,     0,     0,     0,
       0,     0,  2423,     0,     0,     0,  1935,     0,     0,   710,
    2425,     0,     0,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,     0,  1485,     0,   710,     0,     0,  4017,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     712,  2427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,     0,
       0,  2872,     0,     0,     0,  1937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,   712,     0,     0,  4480,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1938,
       0,     0,     0,     0,   382,     0,     0,  4489,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1112,     0,   710,     0,  1112,     0,     0,  3787,
       0,     0,  4512,     0,  1939,     0,     0,  2947,     0,     0,
    2418,     0,     0,  2419,     0,  2964,     0,  2420,  2421,  2422,
    2428,     0,     0,     0,     0,  2429,     0,  2872,     0,     0,
       0,   383,     0,     0,  2423,     0,  2354,     0,  1940,     0,
       0,     0,  2425,     0,     0,     0,  2430,  2431,     0,  2426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,   382,  1942,
    1485,     0,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,     0,   710,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3040,     0,     0,     0,  2434,   209,
       0,  2435,     0,  1944,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,   382,     0,   382,     0,  2872,  1946,     0,
       0,     0,     0,     0,     0,     0,  2727,     0,     0,     0,
       0,     0,     0,     0,     0,   711,     0,  4017,  1948,     0,
       0,     0,  1485,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
    1112,  1112,     0,     0,     0,     0,     0,  3789,     0,     0,
       0,     0,  2428,     0,     0,   711,     0,  2429,     0,     0,
     382,   711,     0,     0,  2436,   711,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,  2430,  2431,
       0,  1950,     0,     0,     0,  3790,  2943,     0,     0,     0,
       0,   711,     0,  2432,   712,     0,     0,     0,     0,     0,
       0,     0,     0,  3786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1934,     0,     0,  2433,     0,     0,     0,
       0,     0,     0,     0,     0,   711,     0,     0,     0,     0,
    2434,     0,     0,  2435,   383,  1485,     0,  1113,     0,   383,
       0,   383,     0,   711,   711,     0,     0,  1935,     0,     0,
    2437,     0,  1485,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,   383,     0,  1485,     0,  5255,     0,     0,
       0,     0,     0,     0,   382,   711,     0,     0,   382,     0,
     383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   712,     0,     0,   712,   711,
       0,   382,     0,     0,     0,     0,  1937,   711,     0,     0,
       0,     0,  1113,     0,   711,     0,  2436,     0,   711,     0,
       0,  4017,     0,     0,     0,  4017,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,   711,     0,
    1938,     0,     0,   711,     0,     0,   710,   711,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
    3787,  4850,     0,   711,   710,  1939,     0,     0,     0,  1310,
       0,     0,     0,   711,     0,   712,   712,     0,     0,     0,
    1328,     0,     0,     0,     0,   712,     0,     0,  1338,     0,
       0,     0,     0,     0,  1383,     0,     0,     0,     0,  1940,
     710,     0,  2437,   708,   712,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,  2418,   710,     0,  2419,  5264,
       0,     0,  2420,  2421,  2422,  3385,     0,     0,   382,     0,
    1942,   710,     0,     0,   710,     0,     0,     0,     0,  2423,
       0,     0,     0,  3401,     0,     0,     0,  2425,     0,  3405,
       0,     0,     0,  3408,  2426,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,     0,  3788,     0,     0,     0,  2427,  3432,
       0,  1945,     0,   712,     0,     0,     0,     0,     0,  1946,
    1485,     0,     0,  1485,     0,  1485,     0,  2727,     0,     0,
    1485,     0,     0,     0,     0,   711,     0,     0,     0,  1948,
       0,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,  3485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3789,     0,
       0,   708,     0,     0,     0,     0,     0,     0,     0,  1485,
    2354,     0,     0,     0,     0,     0,     0,     0,   711,     0,
       0,     0,   710,     0,     0,  1615,  1485,     0,  5165,     0,
     710,   710,  1950,  3533,     0,     0,  3790,     0,     0,     0,
       0,   860,     0,     0,     0,     0,  2418,  2428,     0,  2419,
       0,  1485,  2429,  2420,  2421,  2422,     0,  3562,     0,     0,
       0,  1748,     0,     0,     0,  3573,     0,     0,   711,     0,
    2423,     0,   708,  2430,  2431,     0,  3588,     0,  2425,     0,
    1772,     0,     0,     0,     0,  2426,   711,     0,  2432,     0,
       0,     0,     0,   860,   711,     0,  3601,     0,     0,     0,
       0,  3603,  1797,     0,     0,  3606,     0,     0,     0,  2427,
       0,     0,     0,     0,   710,     0,     0,     0,  3623,     0,
    1485,  2433,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,  3648,     0,     0,     0,  2434,     0,     0,  2435,     0,
    1962,   708,     0,  5075,     0,     0,  1963,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1112,   382,     0,     0,     0,     0,   712,   382,
       0,  5096,     0,   383,     0,     0,     0,  1964,     0,     0,
       0,     0,  4017,     0,     0,     0,     0,     0,     0,  4017,
       0,     0,  5111,  1485,  4017,     0,  1987,  4017,  5283,     0,
       0,     0,     0,  1112,     0,   712,     0,     0,  2428,     0,
       0,  2436,     0,  2429,     0,     0,     0,   712,     0,     0,
       0,  1485,     0,     0,     0,     0,     0,  2781,     0,  4017,
       0,  1966,     0,     0,  2430,  2431,     0,     0,  1967,     0,
       0,  1968,     0,  4017,   712,     0,  1485,     0,     0,  2432,
       0,     0,  1485,     0,     0,     0,     0,  5137,     0,     0,
     711,     0,     0,     0,     0,     0,  1969,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,     0,  3786,     0,     0,     0,     0,     0,
       0,  1271,     0,     0,     0,     0,  2434,     0,  1970,  2435,
       0,     0,     0,     0,  1934,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,  2136,  2441,  2442,  2443,  2444,  2445,  2446,
       0,  1485,     0,     0,  5267,     0,     0,     0,     0,   710,
       0,     0,     0,  1271,     0,     0,   712,     0,  1935,  1485,
       0,  2174,  2177,  2178,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,  1971,     0,  1972,
       0,     0,     0,     0,   711,   711,  3854,  5224,     0,  1973,
       0,     0,     0,     0,     0,     0,     0,     0,  1974,     0,
       0,   860,  2436,     0,  3868,     0,     0,     0,     0,  1975,
       0,   711,  3854,     0,   711,     0,     0,  1937,     0,  4017,
       0,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,   712,     0,  2354,     0,
       0,     0,     0,     0,     0,   710,  2782,     0,     0,  1977,
    1978,  1938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,  2783,     0,     0,
       0,  3787,     0,  4017,     0,     0,  1939,     0,     0,  1485,
       0,     0,     0,     0,     0,   382,   382,   382,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,  1485,  5319,     0,     0,     0,   711,
    1940,   710,   710,     0,     0,     0,     0,     0,     0,  1748,
       0,     0,     0,   710,     0,     0,     0,     0,     0,   711,
       0,  1980,     0,     0,   710,   710,     0,     0,  1485,     0,
       0,  1942,   712,   711,   712,     0,     0,     0,     0,     0,
    1748,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     710,     0,  2418,     0,     0,  2419,     0,     0,     0,  2420,
    2421,  2422,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   209,     0,     0,     0,  1944,  2423,   712,     0,     0,
       0,     0,  1945,  5594,  2425,     0,  1272,     0,     0,     0,
    1946,  2426,     0,     0,     0,     0,     0,     0,  2727,     0,
       0,     0,     0,     0,     0,  4017,     0,     0,     0,     0,
    1948,     0,   711,     0,     0,  2427,     0,     0,  1949,     0,
       0,     0,   383,     0,     0,     0,     0,     0,  1272,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3789,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     382,     0,     0,     0,     0,  1485,     0,   711,     0,   711,
    1962,     0,     0,     0,  4017,     0,  1963,     0,     0,     0,
       0,     0,   711,  1950,   711,     0,     0,  3790,     0,  2049,
     860,     0,     0,     0,     0,     0,     0,  2508,     0,     0,
       0,     0,     0,     0,     0,  4017,   382,     0,     0,  4126,
       0,     0,     0,     0,     0,     0,  2354,  1964,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2428,     0,     0,     0,     0,  2429,
       0,     0,     0,     0,  2563,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,  4271,     0,     0,     0,
    2430,  2431,     0,     0,  1485,     0,     0,     0,     0,  2050,
       0,  1966,     0,     0,     0,  2432,     0,  2418,  1967,     0,
    2419,  1968,     0,     0,  2420,  2421,  2422,     0,  1485,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,  2423,     0,     0,     0,     0,  1969,     0,  2433,  2425,
       0,   711,  4017,  2354,     0,     0,  2426,  4205,  2354,  2354,
       0,     0,  2434,   383,     0,  2435,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,   711,     0,  1970,     0,
    2427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1271,     0,   710,     0,     0,     0,  2736,     0,     0,
       0,     0,     0,     0,     0,     0,  2759,  1971,     0,  1972,
       0,   710,     0,     0,     0,     0,   860,   710,  2436,  1973,
       0,   710,     0,  1485,   382,     0,     0,     0,  1974,   710,
       0,     0,  2794,     0,     0,     0,  5632,     0,     0,  1975,
    4283,  5820,     0,     0,     0,  2807,     0,   710,  2810,     0,
       0,  1962,     0,     0,     0,  4017,     0,  1963,     0,  2428,
       0,  1271,  1271,     0,  2429,     0,     0,     0,     0,     0,
    2203,     0,  1485,     0,     0,     0,  3613,     0,     0,  1977,
    1978,     0,     0,     0,     0,  2430,  2431,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,  2230,  1964,  2858,
    2432,     0,     0,  1112,     0,     0,     0,  3614,     0,   710,
     710,     0,     0,  2876,  2437,     0,     0,  2438,  2439,  2440,
    2244,  2441,  2442,  2443,  2444,  2445,  2446,  2888,  4017,     0,
    2255,  5353,     0,  2433,     0,     0,  2259,     0,     0,     0,
     860,   710,  2267,     0,   860,     0,     0,  2434,  2275,     0,
    2435,  2278,  1966,     0,     0,     0,     0,     0,   383,  1967,
     712,     0,  1968,     0,     0,   710,     0,   860,     0,     0,
       0,  1980,     0,   710,     0,     0,     0,     0,  1112,  2940,
     710,     0,     0,     0,   710,     0,     0,  1969,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,   710,     0,     0,     0,  2983,   710,
       0,  2872,  1485,   710,     0,  2996,   860,   711,     0,  1970,
       0,     0,     0,     0,     0,     0,   710,  5936,     0,  4454,
       0,     0,     0,  2436,     0,     0,     0,     0,     0,   710,
    5777,     0,     0,     0,     0,  1271,  1271,     0,     0,   710,
       0,     0,     0,     0,  4468,   383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,   382,   712,   382,     0,     0,     0,  1971,     0,
    1972,     0,     0,     0,     0,     0,  1272,     0,     0,     0,
    1973,     0,     0,     0,     0,     0,   382,     0,     0,  1974,
       0,     0,     0,     0,   860,     0,     0,     0,     0,     0,
    1975,     0,     0,   382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3073,   711,  2437,
       0,   711,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,  1485,  5393,  2707,  1260,  1262,
    1977,  1978,  1265,  1962,     0,     0,  1272,  1272,     0,  1963,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1312,     0,     0,     0,  1748,  1748,     0,  1322,  2708,     0,
       0,   710,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3127,     0,     0,     0,  1389,   712,
    1964,     0,  1392,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1416,     0,   711,   711,
       0,     0,     0,  1421,     0,     0,     0,     0,   711,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,     0,  1980,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,  1967,     0,     0,  1968,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,   383,     0,     0,     0,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,  1969,
       0,  3285,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   382,   710,     0,     0,     0,     0,     0,     0,     0,
     710,     0,     0,     0,     0,     0,     0,  3306,     0,     0,
       0,  1970,     0,     0,   383,  4684,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   383,
    1272,  1272,     0,     0,     0,     0,   756,     0,     0,     0,
       0,     0,     0,     0,     0,  3319,     0,  3322,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
    1971,     0,  1972,   756,     0,     0,     0,     0,     0,   860,
       0,     0,  1973,  1748,     0,   860,     0,     0,     0,     0,
       0,  1974,  2418,     0,   756,  2419,     0,     0,     0,  2420,
    2421,  2422,  1975,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1078,     0,     0,     0,  2423,     0,     0,     0,
    1485,     0,     0,     0,  2425,     0,  4781,  1080,     0,  4784,
       0,  2426,     0,     0,     0,  1088,     0,     0,     0,  3494,
       0,     0,  1977,  1978,     0,     0,     0,     0,     0,     4,
    1102,     0,  1078,     0,     0,  2427,  1125,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     5,
    1979,     0,     0,     0,     0,  1162,   710,     0,     0,     6,
       7,     0,     0,     0,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  4861,     0,     0,    45,
       0,     0,     0,     0,  1980,     0,     0,     0,     0,     0,
    1988,  1989,     0,     0,     0,  2872,     0,     0,     0,     0,
       0,   711,     0,     0,     0,     0,   382,     0,     0,     0,
    1485,     0,     0,     0,  2428,  1962,     0,     0,     0,  2429,
       0,  1963,     0,     0,     0,     0,     0,     0,     0,     0,
     710,   710,    46,     0,     0,     0,     0,  3524,   711,     0,
    2430,  2431,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,  2432,  3551,   710,     0,     0,
     710,     0,  1964,     0,     0,     0,     0,     0,     0,     0,
    1962,     0,     0,     0,  3854,     0,  1963,   711,     0,     0,
    2113,     0,     0,     0,     0,     0,     0,     0,  2433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2434,     0,  3042,  2435,     0,    47,  2138,  2139,
       0,     0,  3049,     0,     0,     0,  1966,  1964,     0,     0,
    3617,  3618,     0,  1967,     0,    48,  1968,     0,  3059,     0,
    1485,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
       0,   860,   860,   860,     0,     0,     0,    49,     0,     0,
       0,  1969,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,   711,
      50,  1966,     0,     0,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,  1970,     0,   710,     0,     0,  2436,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,   710,
       0,     0,     0,     0,     0,     0,  1969,    51,     0,     0,
      52,     0,     0,     0,     0,  3731,  2250,  2252,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1970,     0,
       0,     0,  1971,     0,  1972,     0,     0,     0,     0,   711,
       0,     0,     0,     0,  1973,  1485,     0,     0,     0,     0,
    1485,  1485,     0,  1974,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1975,     0,     0,     0,   710,     0,
       0,     0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,  1971,     0,  1972,
       0,  5697,     0,     0,     0,     0,     0,     0,     0,  1973,
      54,  3657,     0,     0,  1977,  1978,   860,     0,  1974,     0,
       0,     0,     0,   710,     0,   710,     0,     0,     0,  1975,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
     710,     0,  3658,     0,     0,     0,  5106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,  5116,     0,
       0,     0,   860,     0,   756,   711,  4152,   711,  1485,  1977,
    1978,     0,    56,  3317,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4153,     0,     0,
       0,     0,     0,   710,  3871,     0,  1980,     0,     0,     0,
     711,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,    67,    68,     0,    69,
      70,    71,    72,    73,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,   382,     0,     0,     0,     0,
       0,  1980,     0,     0,     0,     0,     0,   710,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  3999,  3854,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     860,     0,  1485,     0,  1255,  1261,  1261,   756,     0,  1261,
       0,     0,     0,  1273,     0,  1157,     0,     0,  1300,     0,
       0,     0,     0,     0,     0,  1157,     0,  1261,     0,     0,
    1157,     0,     0,     0,  1261,     0,  1157,     0,     0,     0,
       0,     0,    46,     0,  1340,     0,     0,     0,     0,     0,
    1157,     0,  1255,     0,     0,  1261,     0,   756,     0,  1261,
       0,     0,     0,  1962,     0,     0,  1300,     0,     0,  1963,
       0,  1412,     0,  1261,     0,     0,   382,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3854,     0,  3854,     0,     0,  2763,     0,
    1964,     0,   711,     0,  1255,     0,     0,    47,     0,   756,
       0,     0,     0,     0,  1273,     0,     0,     0,  1300,     0,
       0,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,  1967,     0,     0,  1968,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,  2854,  2855,  2856,  2857,     0,  1969,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    51,     0,     0,
      52,  1157,     0,  1617,     0,     0,     0,     0,     0,     0,
       0,  1970,     0,     0,     0,     0,    53,     0,  2896,  2897,
       0,     0,     0,   860,     0,     0,     0,     0,   860,     0,
     860,  1728,  1728,     0,     0,     0,   756,  1157,     0,  2921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,  4228,     0,     0,  1157,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,  1728,   860,
    1971,     0,  1972,     0,  2966,  2967,  2968,  2969,  1157,  3802,
       0,   382,  1973,   711,   710,     0,  3807,   710,     0,     0,
    1157,  1974,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,  1975,  3822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3828,     0,     0,     0,  3829,     0,     0,
    3831,     0,     0,     0,     0,     0,  3835,     0,  3836,     0,
       0,  3838,     0,     0,     0,     0,     0,     0,     0,  4207,
       0,     0,  1977,  1978,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,     0,
    4208,  1157,     0,     0,   710,   710,     0,    57,   382,     0,
       0,     0,  1157,     0,   710,     0,     0,  1261,  1261,  3061,
       0,     0,     0,     0,     0,  3065,   711,     0,     0,  4342,
    4343,  4344,  3877,   710,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,  4353,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1539,     0,     0,     0,
       0,    71,  1540,     0,  1980,     0,     0,     0,     0,  4369,
       0,     0,     0,     0,  1255,     0,     0,     0,     0,  4379,
    4380,     0,     0,     0,  4385,  1273,     0,     0,     0,  1300,
       0,     0,     0,     0,     0,     0,     0,  4399,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1261,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,  1261,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,   711,     0,     0,     0,     0,  1157,  1157,  1157,
       0,  1261,     0,  1255,     0,     0,     0,     0,  2189,     0,
       5,     0,  3236,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
    1748,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,   382,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,     0,  1261,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,  1728,    46,     0,     0,     0,     0,     0,     0,
       0,     0,   382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4564,  4565,  4566,     0,
    2328,  2328,     0,     0,     0,  1157,  4124,  1078,     0,     0,
       0,     0,     0,     0,  3854,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   710,     0,     0,
       0,     0,   860,  2362,     0,     0,  1157,     0,    47,  2368,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,    49,     0,
    1728,     0,     0,     0,     0,     0,  4183,     0,  4185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,   710,     0,     0,     0,     0,  1728,  1728,
    1728,     0,  1728,  3449,  3450,     0,     0,     0,     0,     0,
       0,     0,  3461,     0,  3463,     0,     0,     0,  3467,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   756,   756,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,     0,     0,  4270,  1728,  1728,
       0,     0,     0,  4277,     0,     0,     0,     0,     0,  1157,
    1157,  2565,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,    54,     0,     0,     0,  3595,     0,     0,  3598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   756,     0,
       0,     0,     0,     0,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,   710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    55,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,     0,     0,
       0,     0,     0,    56,  2426,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4821,  3672,     0,    57,     0,
       0,     0,     0,     0,  3679,  3680,  4834,     0,  2427,     0,
       0,  3682,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3698,     0,     0,    58,     0,
       0,     0,     0,     0,  2716,     0,    59,  4862,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1539,  2281,     0,
       0,     0,    71,  1157,  2742,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,  1261,  3744,     0,     0,     0,
    2996,   710,     0,   710,     0,     0,     0,     0,     0,  4438,
       0,  4440,     0,  4442,     0,     0,  1300,     0,  1157,     0,
    4446,     0,     0,     0,  3767,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,  2428,     0,     0,
       0,     0,  2429,     0,     0,     0,     0,     0,     0,     0,
       0,  4467,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  2430,  2431,     0,     0,     0,  3824,     0,
    3826,  1261,  1261,  1261,  1261,  1157,     0,     0,  2432,     0,
       0,   860,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2887,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,  1261,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,  2434,     0,     0,  2435,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
    5440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2473,     0,     0,     0,     0,  1157,  4993,  4994,  4995,  4996,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1261,  1261,  1261,  1261,     0,     0,     0,     0,     0,
       0,     0,  3887,     0,  1157,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  2887,     0,     0,     0,     0,     0,
   -2473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1255,  2436, -2473,  1255,     0,     0,     0, -2473,   756,     0,
       0,     0, -2473,  1728,     0,     0,     0,     0, -2473,     0,
       0, -2473,     0,     0, -2473,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1273,  1273,     0,     0,     0,     0,
       0,     0, -2473,     0,     0,  1300,  1300,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2473,     0,     0,  1261,  1261,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,  2437,   710,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0, -2473,  5819,     0, -2473,     0,     0,     0,
       0,     0, -2473,     0,     0,     0,     0,  2328,     0,     0,
       0,     0,     0,     0,  1261,     0,  1273,     0,     0,     0,
    1157,  1157,     0,  1261,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,  1078,  1078,     0,     0,  3137,
       0,     0,     0,  1728,  1728, -2473,     0,     0,     0,  1728,
    1728,     0,     0,     0,     0,     0,  1728,  1728,  1728,     0,
       0,     0,  1728,  1300,  1728,  1728,  1728,  1728,  1728,  1728,
       0,  1728,     0,  1728,  1728,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1728,  1728,  1728,  1728,  1083,     0,     0,  1261,
    1728,     0,     0,     0,  1728,     0,     0,  1728,     0,     0,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,     0,
    1728,     0, -2473,     0,     0,     0,     0,  1157,  1728,     0,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,  4133,
       0,  4134,  4135,  4136,     0,     0, -2473,     0, -2473, -2473,
       0,     0,     0,  1157,     0,     0,     0,   860,     0,   710,
       0,     0,     0,     0,     0,     0,  5226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2473,     0,     0, -2473, -2473,     0,
   -2473,  1157,     0,  1157,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2418,     0,     0,  2419,     0,     0,  1157,
    2420,  2421,  2422,     0,     0,     0,  3355,     0,  3360,     0,
       0,  2418,     0,     0,  2419,     0,     0,  2423,  2420,  2421,
    2422,     0,     0,     0,   860,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,     0,  2423,     0,     0,     0,     0,
       0,     0,   710,  2425,     0,     0,     0,     0,     0,  4926,
    2426,     0,     0,  4928,     0,     0,  2427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   756,     0,
       0,     0,     0,     0,     0,     0,     0,  1078,     0,  1078,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4286,     0,  1255,     0,
    1261,  1261,     0,     0,     0,  1273,     0,  1300,     0,  1261,
       0,  1261,     0,     0,     0,  1261,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,   710,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,  2742,
    5391,     0,     0,  2428,     0,     0,     0,  3501,  2429,     0,
       0,  2430,  2431,     0,  3512,  5403,     0,     0,     0,     0,
    1748,     0,     0,  1157,     0,     0,  2432,     0,     0,  2430,
    2431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  5435,  2432,     0,     0,  3557,  3557,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,  1157,  2433,
       0,  1157,  5452,   756,   860,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,  2433,     0,     0,
       0,     0,  1261,     0,  1962,  1261,     0,     0,     0,     0,
    1963,  2434,     0,     0,  2435,     0,     0,  2013,  5074,     0,
       0,     0,     0,     0,     0,     0,  1157,  1157,     0,     0,
       0,     0,  4447,   860,     0,     0,  2014,     0,     0,     0,
       0,  3642,     0,  3645,  3647,     0,     0,     0,   860,     0,
       0,  1964,     0,     0,     0,     0,     0,     0,     0,  5097,
    5098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,     0,  2436,
       0,  1261,  1261,     0,     0,  2015,     0,     0,  1261,     0,
       0,     0,     0,     0,  5524,     0,     0,  2436,     0,     0,
    1728,     0,  1261,     0,     0,  1966,     0,     0,     0,     0,
       0,     0,  1967,     0,     0,  1968,  2742,     0,     0,  3557,
       0,  1157,     0,     0,  1157,     0,     0,     0,  3738,     0,
       0,  1078,     0,     0,     0,     0,     0,     0,     0,     0,
    1969,     0,     0,  1261,  1728,  5138,  5139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3642,     0,     0,     0,     0,     0,     0,     0,  2016,
       0,  1261,  1970,  3770,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2189,     0,
       0,     0,  5882,  2437,     0,     0,  2438,  2439,  2440,  1728,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    5902,     0,     0,  3817,     0,     0,     0,  2017,     0,     0,
    2018,     0,     0,  1261,     0,  1261,  3557,  1261,  3557,     0,
       0,  2019,     0,  1972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1973,     0,     0,     0,     0,     0,     0,
       0,     0,  1974,     0,     0,     0,     0,     0,     0,     0,
       0,  5234,  2020,  1975,     0,     0,     0,     0,     0,     0,
    5236,  5237,     0,  2328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5241,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
    2021,     0,     0,  1977,  1978,  2022,     0,     0,     0,     0,
    1157,     0,     0,  2423,     0,     0,     0,     0,     0,     0,
    1255,  2425,     0,     0,     0,  2023,  1273,     0,  2426,     0,
       0,  2024,  4678,  4679,  4680,  4681,     0,     0,     0,  1261,
       0,     0,     0,     0,     0,  2025,  1728,     0,     0,     0,
       0,  1728,  2427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,  1728,  1728,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,  1728,  1728,  1728,
    1728,     0,     0,     0,     0,  1980,     0,     0,     0,     0,
    1728,     0,     0,  1728,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,  1728,     0,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1300,     0,  1728,     0,  1728,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,  2428,  1157,     0,     0,     0,  2429,     0,     0,  4018,
       0,  1728,  1728,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,  2431,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,  1728,     0,
    4820,     0,     0,  1728,     0,     0,  4823,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4018,
       0,     0,     0,  4080,     0,  2433,  4083,     0,  3360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2434,
       0,     0,  2435,     0,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,  5470,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,  1728,   122,  3557,     0,     0,     0,     0,  2328,
       0,     0,   123,     0,   124,     0,   125,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,  2436,  1261,     0,  1261,  1261,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5518,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5559,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,   154,   155,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,  5935,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,     0,     0,     0,  3557,  3557,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,  1157,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,  2328,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,  2328,  1157,  1157,     0,     0,     0,
    1157,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5130,     0,   218,     0,     0,   220,     0,
     756,   221,     0,     0,     0,     0,     0,     0,  5134,     0,
       0,     0,     0,     0,     0,     0,   223,  3817,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,  1261,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,  5196,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,  1728,     0,  1728,     0,     0,  1728,  3365,     0,     0,
       0,  1728,  1728,  1728,  1728,     0,     0,  1728,  1728,  1728,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,     0,     0,     0,
    1728,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,     0,  5863,     0,  1728,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,  1728,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,     0,     0,  1728,  1728,     0,     0,     0,  1728,  1728,
       0,     0,     0,  4556,     0,  1728,     0,     0,     0,     0,
       0,     0,  1157,  1157,  1157,  1255,     0,     0,  4018,  4578,
       0,     0,     0,  4578,  4592,  4578,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,     0,  1728,  1728,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,     0,     0,     0,  5324,  5325,
    5325,     0,     0,     0,     0,     0,     0,     0,  3360,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4661,  2328,
    2328,     0,  2887,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1261,
    1261,  1261,  1261,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4714,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
    5451,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,  4799,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,     0,     0,   868,     0,     0,  1261,     0,     0,
       0,  1157,  2423,  1261,     0,  1728,     0,    46,     0,     0,
    2425,     0,  1157,     0,     0,     0,     0,  2426,  4839,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   868,
       0,  2427,     0,  1157,     0,     0,     0,  4018,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3642,     0,  5555,
       0,  5557,     0,     0,     0,  4886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
    2887,     0,    47,     0,  1728,  1728,     0,  1116,     0,     0,
       0,     0,     0,     0,     0,  1116,     0,  1116,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,  3817,  3817,  3817,  3817,  3817,     0,
       0,  3557,    49,  3557,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,  2423,     0,
    2428,     0,     0,     0,     0,  2429,  2425,     0,     0,  1728,
       0,     0,     0,  2426,     0,     0,     0,     0,     0,     0,
    1728,     0,     0,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,    51,     0,     0,    52,     0,  2427,     0,     0,
       0,  2432,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,    53,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,     0,     0,  5325,     0,     0,  1728,  1728,     0,
       0,     0,  1728,     0,  2433,     0,     0,  1728,     0,     0,
    1728,  1728,     0,     0,     0,  1728,  4990,     0,  2434,     0,
       0,  1728,  1157,  1157,  1157,  1157,     0,     0,     0,  4578,
    4592,  4578,     0,  1728,  4578,     0,     0,  5004,     0,     0,
       0,  4018,     0,     0,     0,  4018,     0,     0,     0,     0,
       0,  5019,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,  1728,     0,    54,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,  2428,  5732,     0,  1300,
       0,  2429,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,  4080,     0,     0,     0,     0,  3360,     0,     0,     0,
       0,     0,  2430,  2431,  2436,     0,     0,     0,     0,     0,
       0,     0,    55,  2418,     0,  1078,  2419,  2432,  1728,     0,
    2420,  2421,  2422,     0,     0,     0,     0,    56,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2423,  3557,  3557,
       0,  3327,    57,     0,     0,  2425,     0,     0,     0,     0,
    2433,     0,  2426,     0,     0,     0,  2742,     0,     0,     0,
       0,     0,     0,     0,  2434,     0,     0,  2435,     0,  5095,
       0,     0,    58,     0,     0,     0,  2427,     0,  5800,     0,
      59,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1539,  3066,     0,     0,     0,    71,     0,     0,     0,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,  3328,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,  1255,     0,
       0,     0,  5325,  5325,  2742,     0,     0,     0,     0,     0,
       0,  2430,  2431,  2328,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2432,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1261,
       0,  2742,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2433,
       0,  3313,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  2434,     0,  5233,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2418,     0,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,  2423,     0,     0,     0,     0,     0,     0,     0,  2425,
       0,     0,     0,  1728,  1728,     0,  2426,  1728,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,  2436,
       0,     0,  1255,     0,     0,  4578,     0,     0,     0,  4018,
    2427,     0,     0,  2423,  4018,     0,     0,  4018,  1255,     0,
    3642,  2425,  5287,     0,     0,  1728,  1728,     0,  2426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4661,
       0,  1728,  2427,     0,     0,  3329,     0,     0,     0,     0,
       0,     0,     0,  4661,  1300,  1261,  1261,  1261,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,  2437,  3938,     0,  2438,  2439,
    2440,  3939,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,  1273,  1300,     0,     0,     0,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,  2431,     0,     0,     0,
       0,     0,     0,  1273,     0,     0,  1157,     0,     0,     0,
    2432,  2428,     0,     0,     0,     0,  2429,     0,  4839,     0,
       0,  1157,     0,     0,     0,     0,  1157,     0,  3557,     0,
       0,     0,     0,     0,  2742,     0,     0,  2430,  2431,     0,
    1257,     0,     0,  2433,     0,     0,  1497,     0,     0,  1157,
    1257,     0,  2432,  4886,     0,     0,     0,  2434,     0,     0,
    2435,     0,     0,     0,     0,     0,     0,  1261,  1157,  4661,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,  2434,
       0,  1728,  2435,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,  4524,     0,     0,     0,  1728,
       0,  2418,     0,  4018,  2419,     0,     0,  5287,  2420,  2421,
    2422,     0,     0,  2436,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,  5508,     0,  2423,     0,     0,     0,     0,
       0,     0,     0,  2425,     0,     0,     0,     0,     0,     0,
    2426,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
    1157,     0,     0,     0,  1116,  2436,     0,     0,  1116,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
       0,  4525,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,     0,  1257,  1261,  1261,  1261,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,  1255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4018,     0,     0,     0,  5847,
       0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2430,
    2431,  1728,     0,     0,  1255,     0,     0,  1728,     0,     0,
       0,  5661,     0,     0,  2432,     0,     0,     0,  1728,     0,
       0,     0,     0,  1728,     0,  1728,     0,  1728,     0,     0,
       0,     0,  1116,  1116,     0,  4661,     0,     0,     0,     0,
       0,  1261,     0,  1300,     0,     0,     0,  2433,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
    1257,  2434,     0,     0,  2435,  2418,     0,  1497,  2419,     0,
       0,  1257,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5848,     0,     0,     0,  2423,
    1497,     0,  3897,  2328,  2328,     0,     0,  2425,     0,     0,
       0,     0,     0,     0,  2426,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,  1261,     0,     0,     0,  2427,     0,
    5737,     0,     0,     0,  1728,     0,     0,     0,  2423,     0,
       0,     0,  5748,     0,     0,     0,  2425,  2436,     0,  1257,
       0,     0,     0,  2426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5233,     0,     0,     0,     0,     0,     0,
       0,  1728,  1728,     0,     0,     0,  3642,  2427,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,  5508,     0,  1497,     0,     0,  3360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1273,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,  2328,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,  2429,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
       0,  1255,     0,  2430,  2431,     0,  1728,     0,  1257,     0,
       0,     0,     0,     0,     0,  4661,     0,     0,  2432,     0,
       0,  1273,  1273,     0,  1728,     0,  2428,     0,     0,     0,
       0,  2429,  2418,  1728,     0,  2419,     0,  5661,     0,  2420,
    2421,  2422,     0,     0,     0,     0,     0,     0,     0,     0,
    1728,  2433,  2430,  2431,     0,     0,  2423,  1261,     0,  3943,
       0,     0,     0,     0,  2425,  2434,  1497,  2432,  2435,     0,
       0,  2426,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5748,  1261,
    1261,     0,     0,     0,     0,  2427,     0,  1257,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2434,  1728,     0,  2435,     0,     0,
    1728,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,  3911,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,  1257,  1257,  1257,  1728,  1257,     0,
       0,     0,     0,  1728,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,     0,  1261,  1257,     0,
       0,     0,     0,  2418,  5661,     0,  2419,  1255,  2423,     0,
    2420,  2421,  2422,     0,     0,     0,  2425,     0,     0,     0,
    2436,     0,     0,  2426,  2428,  1273,  1273,  2423,     0,  2429,
    3954,     0,     0,     0,     0,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,     0,     0,     0,  2427,     0,     0,
    2430,  2431,  1257,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2432,  2427,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    1257,     0,     0,     0,  1257,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2433,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2434,     0,     0,  2435,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3948,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,   760,     0,   760,     0,  2428,     0,     0,     0,
       0,  2429,     0,     0,   760,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,   868,  2428,     0,     0,     0,     0,
    2429,     0,  2430,  2431,  1116,     0,     0,     0,     0,   760,
       0,     0,     0,     0,     0,     0,     0,  2432,  2436,   760,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
     760,   760,     0,     0,   760,     0,  2432,     0,     0,     0,
     760,     0,     0,     0,  1070,  1116,     0,     0,     0,     0,
    2433,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2434,     0,  1070,  2435,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   760,     0,  2434,     0,     0,  2435,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,  1257,
       0,     0,     0,  1497,     0,     0,     0,   760,     0,  1257,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
    1257,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,  1497,  1497,     0,     0,     0,     0,     6,
       7,     0,     0,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,    46,     0,     0,  1257,  1257,     0,  1494,     0,
       0,     0,  1257,  1257,  1257,     0,     0,     0,  1257,     0,
    1257,  1257,  1257,  1257,  1257,  1257,     0,  1257,     0,  1257,
    1257,  1494,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,  1497,  1257,  1257,
    1257,  1257,   868,     0,     0,     0,  1257,     0,     0,     0,
    1257,     0,     0,  1257,     0,     0,  1257,  1257,  1257,  1257,
    1257,  1257,  1257,  1257,  1257,     0,  1257,    47,     0,     0,
     760,     0,     0,  2418,  1257,     0,  2419,  1257,     0,     0,
    2420,  2421,  2422,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2423,     0,     0,
    4531,     0,     0,     0,     0,  2425,     0,    49,  2418,     0,
       0,  2419,  2426,     0,     0,  2420,  2421,  2422,   760,   760,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
    2425,  1257,     0,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,    51,     0,     0,
      52,  2427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2423,     0,     0,     0,     0,
       0, -2475,     0,  2425,     0,     0,     0,     0,     0,     0,
    2426,     0,  1497,     0,     0,  2428,  1497,  1497,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,  1494,   868,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
      54,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
    2428, -2475,     0,     0,     0,  2429,  2432,     0,     0,     0,
       0,     0,  1257, -2475,     0,     0,     0,     0, -2475,     0,
       0,     0,     0, -2475,  1257,     0, -2972, -2972,  1497, -2475,
       0,  1257, -2475,     0,     0, -2475,     0,    55,     0,  2433,
    1497,  2432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0, -2475,     0,  1116,     0,    57,     0,     0,
       0,     0,     0,     0, -2972,     0,     0,     0,     0,     0,
    1497,     0,     0, -2475,     0,     0,     0,     0,  2434,     0,
       0,  1440,   760,  2428,   760,     0,     0,    58,  2429,     0,
       0,     0,   868,     0,     0,    59,   868,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1539,     0,     0,  2430,
    2431,    71,     0,     0, -2475,     0,     0, -2475,  2490,   868,
       0,     0,     0, -2475,  2432,     0,     0,     0,     0,  2436,
    1116,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   760,     0,     0,   760,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2433,     0,   716,
       0,  1070,     0,  1070,  2436,     0,     0,     0,   868,   716,
       0,  2434,     0,   760,  2435,     0, -2475,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1070,  1070,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2423,     0,  2437,     0,  1083,  2438,  2439,
    2440,  2425,  2441,  2442,  2443,  2444,  2445,  2446,  2426,     0,
     760,     0,   760,     0,     0,     0,  1257,  1497,  1494,     0,
       0,     0,     0, -2475,     0,     0,   868,  2436,     0,     0,
    2437,     0,  2427,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0, -2475,     0, -2475,
   -2475,     0,     0,     0,     0,     0,     0,  4477,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494, -2475,     0,     0, -2475, -2475,
     716, -2475,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,   716,   716,     0,     0,  1861,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,  1494,
       0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
       0,  2428,  1494,     0,     0,     0,  2429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,  2431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2433,     0,     0,     0,     0,
       0,     0,  1497,  1494,     0,     0,     0,     0,     0,  2434,
       0,     0,  2435,     0,     0,     0,  1257,     0,  1494,  1497,
       0,     0,  1257,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,  1257,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  1257,  1257,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,  1257,  1257,     0,     0,     0,
       0,   868,     0,     0,  1494,  2436,  1257,   868,     0,  1257,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,  1257,  1494,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
    1257,     0,  1257,     0,  1257,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0, -2489,     0,     0,  1257,     0,  1257,  1257,  1257,
       0,     0,     0,     0,  1494,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,  1257,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,  1257,     0,     0,     0,     0,  1257,
       0,     0, -2489,     0,     0,  1257,   716,     0,     0,     0,
       0,   760,     0,   760, -2489,  1257,   760,     0,   760, -2489,
       0,   760,   760,   760, -2489,     0,     0,  2323,     0,     0,
   -2489,     0,     0, -2489,   760,   929, -2489,     0,     0,     0,
     930,     0,     0,     0,     0,     0,     0,     0,   760,     0,
     760,     0,   931,     0,     0,   760,     0,  1497,     0,     0,
    1497,     0,  1497,     0, -2489,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,   932,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2489,     0,     0,   933,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   934,     0,
       0,     0,  -861,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,  1494,     0,
     935,     0,     0,     0,     0, -2489,   936,     0, -2489,     0,
       0,     0,     0,  1497, -2489,     0,     0,     0,     0,     0,
       0,     0,     0,   937,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,  1497,     0,
       0,     0,   939,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   940,     0,     0,     0,     0,  2464,
       0,     0,   941,     0,     0,     0,   942, -2489,     0,     0,
     760,   760,     0,   868,   868,   868,     0,     0,     0,     0,
       0,     0,     0, -1088,     0,     0,     0,   716,     0,     0,
       0,     0,   716,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,  1083,     0,
     943,     0,     0,     0,     0,     0,     0,     0,     0,  -583,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2489,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   944,     0,     0,   945,     0, -2489,     0,
   -2489, -2489,     0,     0,   760,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,   946,  2602,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,   947,     0,
       0,     0,     0,  1494,     0,  -462, -2489,  1494,  1494, -2489,
   -2489,     0, -2489,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,   948,     0,     0,     0,     0,     0,
       0,   949,     0,     0,     0,     0,     0,     0,  -462,     0,
       0,   950,     0,  1497,     0,     0,     0,     0,   868,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,   716,     0,     0,   952,     0,     0,  1494,
       0,  -462,     0,   716,   953,   954,     0,   955,   956,     0,
       0,  1494,     0,     0,     0,     0,     0,   957,     0,     0,
       0,     0,   958,     0,   868,     0,     0,     0,   959,     0,
       0,   960,     0,     0,   961,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -462,  1497,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,   716,     0,     0,   716,   716,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,  1497,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1257,     0,  1257,
       0,     0,  1257,     0,     0,     0,  1497,  1257,  1257,  1257,
    1257,     0,     0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,  1257,     0,     0,     0,  1257,  1257,     0,     0,
       0,  1497,     0,     0,     0,     0,  1257,     0,  1494,     0,
    1257,     0,   868,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,  1257,   991,  1257,     0,     0,
       0,   992,     0,     0,     0,  1497,  1257,     0,     0,  1257,
    1257,     0,     0,   993,  1257,  1257,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,  1257,   994,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,   995,     0,
       0,     0,     0,  1257,  1257,  1257,     0,     0,     0,     0,
    1494,     0,     0,   996,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   997,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,   998,     0,     0,     0,     0,  1341,
       0,   760,     0,   760,  1342,   999,  1257,   760,     0,   760,
       0,     0,   760,  1000,     0,     0,   760,     0,  1114,     0,
       0,  2464,  1497,     0,     0,  1001,  1114,     0,  1114,     0,
    1002,     0,     0,     0,  1257,     0,     0,  1003,  1343,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1344,  1345,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,  1346,     0,     0,     0,  1347,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1348,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,  1494,     0,     0,     0,  1349,     0,     0,
       0,     0,     0,     0,     0,   868,     0,     0,  1350,     0,
     868,  1497,   868,     0,     0,     0,  1351,     0,     0,     0,
       0,     0,     0,     0,  1006,     0,     0,     0,  1352,     0,
       0,     0,     0,  1353,   868,  1497,  1007,     0,     0,     0,
       0,     0,     0,  2323,     0,     0,  1008,     0,     0,     0,
    3300,   868,     0,     0,     0,     0,   898,  1354,     0,  1009,
    2602,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1355,     0,     0,  1010,     0,     0,     0,     0,
    1011,     0,  1012,     0,     0,     0,     0,     0,     0,  1013,
       0,     0,  1014,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1015,     0,     0,   716,     0,     0,  1016,     0,     0,
       0,  1257,  1017,     0,     0,  1018,     0,  1357,     0,  1019,
       0,     0,     0,     0,     0,     0,  1020,     0,  1021,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,  1358,
    1497,     0,     0,     0,     0,  1023,     0,     0,     0,   898,
       0,     0,  1359,  1257,     0,     0,     0,     0,  1024,   716,
       0,     0,     0,   716,     0,     0,     0,     0,     0,  3375,
       0,  1861,     0,     0,   760,     0,   882,     0,  1360,     0,
       0,     0,     0,  1361,     0,  1362,     0,     0,     0,  1497,
    1257,  1257,  1363,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  1494,     0,  1494,  1365,     0,     0,     0,  1494,     0,
    1366,   716,     0,   883,     0,  1367,     0,     0,  1368,     0,
       0,     0,  1369,     0,     0,     0,     0,     0,   884,  1370,
       0,  1371,     0,     0,     0,     0,  1372,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   885,     0,     0,     0,
       0,     0,   886,     0,     0,  1257,     0,  1494,     0,     0,
       0,  1373,     0,     0,     0,     0,  1257,     0,     0,   887,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
     888,     0,     0,     0,     0,     0,     0,     0,   889,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,  1494,
     890,     0,     0,     0,     0,   891,  1257,  1257,     0,  1497,
       0,     0,   892,  1257,  1257,     0,     0,     0,  1257,  1497,
       0,     0,     0,  1257,     0,     0,  1257,  1257,     0,   893,
       0,  1257,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,   894,     0,     0,  1257,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,  1494,     0,
    1494,     0,   716,     0,  1257,   895,     0,     0,     0,  1257,
     716,     0,     0,   716,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,   896,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   897,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,   898,     0,     0,   899,     0,     0,     0,     0,     0,
       0,  1494,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     900,     0,     0,     0,   868,   901,     0,   902,     0,  1494,
       0,     0,     0,     0,   903,     0,     0,   904,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,   905,     0,     0,     0,
    1494,  1497,   906,     0,     0,     0,   907,   908,     0,     0,
     909,     0,     0,     0,   910,     0,     0,     0,     0,     0,
       0,     0,     0,   911,  1257,     0,     0,     0,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     913,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,   914,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,  1253,
    1257,     0,     0,     0,     0,     0,     0,  1962,     0,     0,
       0,     0,  1494,  1963,  1257,     0,     0,     0,     0,     0,
    2013,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2014,
       0,     0,     0,  1257,   760,  2323,     0,     0,     0,     0,
       0,     0,     0,     0,  1964,     0,     0,     0,     0,     0,
     716,  1253,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,  1497,     0,  2015,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,  1966,     0,
       0,     0,     0,     0,     0,  1967,     0,     0,  1968,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,  1497,     0,     0,
       0,     0,  1257,  1969,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,  2016,     0,     0,  1970,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,  1257,  1494,     0,     0,     0,
    1257,     0,     0,  1257,  1257,     0,     0,     0,  1253,  1253,
       0,  1257,  1257,     0,     0,  1114,     0,     0,     0,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2017,     0,     0,  2018,     0,  1257,     0,  1257,     0,     0,
       0,     0,     0,     0,  2019,  1253,  1972,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,  1973,     0,     0,     0,
       0,     0,     0,     0,     0,  1974,     0,     0,     0,     0,
       0,     0,     0,  2602,     0,  2020,  1975,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3590,     0,     0,  1977,  1978,  2022,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,  2023,  1257,
       0,     0,     0,     0,  3591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1114,  1114,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,  1497,  1980,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,  1494,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,  1253,     0,  1257,  1497,     0,  1257,     0,  1257,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,  1257,  1495,     0,     0,  1257,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,  1497,  1497,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,     0,  1257,     0,   716,
    1257,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,  1495,     0,  1257,
       0,  1257,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,   868,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,   760,
       0,     0,     0,     0,     0,  1253,  1253,  1253,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1257,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
       0,     0,     0,     0,     0,  1257,   868,     0,     0,  1497,
       0,   716,     0,  1253,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1253,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1494,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1257,  1257,     0,
    1257,     0,  1494,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,  1114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,  1114,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3375,     0,     0,     0,     0,   868,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,  1257,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
     868,  1257,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,  1495,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,   716,     0,  1495,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
    1253,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  1253,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1253,     0,     0,     0,     0,  1253,  1253,     0,     0,
       0,     0,     0,  1253,  1253,  1253,  1494,     0,     0,  1253,
       0,  1253,  1253,  1253,  1253,  1253,  1253,     0,  1253,     0,
    1253,  1253,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,  1253,
    1253,  1253,  1253,     0,     0,     0,  1494,  1253,     0,     0,
       0,  1253,     0,     0,  1253,     0,     0,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,  1494,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2602,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
     716,   122,     0,     0,   716,     0,  1494,     0,     0,     0,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,  1495,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,  1253,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,  1253,     0,     0,     0,  1495,
       0,   147,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,  1114,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
    1494,  1114,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1495,   204,
       0,     0,     0,     0,     0,     0,     0,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,   716,     0,     0,
     225,     0,     0,     0,     0,  1487,     0,   226,   227,     0,
    1495,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,  1253,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3367,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
    1495,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,  1253,  1253,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,  1253,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,  1253,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,   716,     0,
       0,  1253,     0,  1253,  1487,  1253,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,  1253,  1253,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,  1495,     0,  1495,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   977,     0,     0,     0,
       0,     0,  1488,     0,     0,   977,     0,     0,  1495,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,     0,     0,   977,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1170,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,  1495,     0,  1170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,   716,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1220,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,  1495,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,  1253,     0,
    1253,  1487,  1487,  1253,     0,     0,     0,  1495,  1253,  1253,
    1253,  1253,     0,     0,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,     0,     0,     0,  1253,  1253,     0,
       0,     0,  1495,     0,     0,     0,     0,  1253,     0,     0,
       0,  1253,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,  1488,  1253,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1495,  1253,     0,     0,
    1253,  1253,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,  1253,  1253,  1253,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,  1488,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   977,   977,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1220,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,  1487,  1487,     0,     0,     0,     0,
       0,  1488,  1267,     0,     0,     0,     0,     0,     0,     0,
    1302,     0,  1303,  1488,  1307,  1308,     0,  1311,     0,  1313,
       0,     0,  1319,     0,  1321,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,  1386,     0,     0,     0,     0,     0,
       0,     0,  1395,     0,     0,     0,  1487,     0,     0,  1407,
    1408,  1488,  1488,  1414,     0,  1417,  1418,     0,  1487,     0,
    1420,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,  1220,     0,   977,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,  1253,  1253,     0,     0,     0,     0,     0,     0,  1520,
       0,  1522,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,  1538,     0,     0,     0,     0,     0,     0,     0,     0,
     977,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,  1616,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,  1220,     0,  1253,  1253,     0,
    1495,     0,     0,     0,  1253,  1253,     0,     0,     0,  1253,
    1495,     0,     0,     0,  1253,     0,     0,  1253,  1253,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,  1253,     0,
    1170,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,  1881,     0,     0,     0,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,  1488,  1488,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2081,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,  2095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2106,     0,     0,  2107,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,  2110,     0,  1488,     0,     0,  2114,
    1487,     0,     0,     0,     0,     0,     0,  2117,  1488,     0,
       0,     0,     0,  2127,     0,     0,  2131,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,  1253,     0,     0,     0,  2184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,  1495,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1253,     0,     0,  1253,     0,     0,     0,     0,     0,
    2346,     0,     0,     0,     0,  1488,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  1253,     0,     0,  1253,  1253,     0,     0,     0,     0,
       0,     0,  1253,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,  1487,     0,
    1487,     0,     0,     0,     0,  1487,  1253,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1170,  1536,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,  1487,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,  1488,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2598,  1253,  1495,  2598,  1253,     0,
    1253,     0,     0,     0,     0,  2605,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,  2614,     0,     0,  1253,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,  1495,     0,  1487,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,  2705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,  1495,     0,     0,     0,  1487,  1495,  1495,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2793,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,  1495,  1495,  1490,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,  1488,     0,
    1488,     0,     0,     0,     0,  1488,     0,     0,  1253,     0,
       0,  1253,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    1253,     0,  1253,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,  2931,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
       0,  3051,     0,  3052,     0,     0,  1253,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,  1253,     0,     0,  1536,
    3063,     0,  3064,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3085,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,  1536,     0,
    1536,     0,     0,  1536,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,  1253,     0,     0,  1488,     0,     0,     0,
    1487,     0,  1253,     0,     0,     0,     0,     0,  1253,  1253,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1488,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,  1487,
       0,     0,  1253,     0,     0,  3299,     0,  1253,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,  1487,  1220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3386,  3387,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3402,  3403,     0,     0,     0,  3406,  3407,     0,     0,     0,
    3410,     0,     0,  1490,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,  1488,  3421,     0,     0,     0,     0,     0,
       0,  3430,     0,     0,     0,  3433,  3434,     0,     0,  3437,
    3438,     0,     0,     0,     0,     0,  3443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3460,
       0,  3462,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3486,     0,     0,     0,     0,  3488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3493,     0,
       0,     0,     0,     0,     0,     0,     0,  3500,     0,  3502,
       0,     0,  3505,  3508,  3510,     0,     0,     0,     0,  3518,
    3521,     0,     0,     0,     0,     0,     0,     0,     0,  3534,
       0,     0,     0,     0,  3543,     0,     0,     0,     0,  3547,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
    1488,     0,     0,  3563,     0,     0,     0,  1487,     0,     0,
       0,  3574,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3596,     0,     0,  3599,     0,     0,
       0,     0,  3602,     0,     0,     0,     0,  3604,  3605,     0,
       0,     0,  3608,     0,     0,  3612,     0,  1258,     0,  3619,
    3620,  3621,  3622,     0,  3624,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3649,  3650,     0,
    3652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3660,  3661,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,  3705,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    3742,     0,     0,  1498,     0,     0,     0,  1258,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,  1220,
       0,     0,     0,     0,  1258,  1258,     0,     0,     0,     0,
       0,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,  3872,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,  3888,     0,  1490,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    1490,  1490,     0,     0,  1498,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,     0,  1487,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,  4127,     0,     0,     0,  4129,
       0,     0,     0,     0,     0,  4131,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,  4142,  4144,     0,     0,  1487,  4144,     0,     0,     0,
       0,  4155,  4156,  4157,  1488,  4159,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,  4180,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  4186,  4187,  4188,  4189,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4206,     0,     0,  4211,  4212,  4213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,  1258,  1487,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4280,     0,
       0,  1258,  1258,  1258,     0,  1258,  4284,     0,     0,  1490,
       0,     0,     0,  1490,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4293,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4339,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4376,     0,     0,     0,  1258,  4381,     0,
       0,  1258,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,  1258,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4419,     0,
       0,     0,     0,     0,   977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4443,     0,  4444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,  1488,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4672,     0,  4673,     0,
       0,     0,     0,     0,     0,  4675,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
    1498,  4685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1258,  4693,     0,  1490,
    1498,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1498,     0,     0,  4713,  1490,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,  1490,
       0,     0,     0,  4717,     0,     0,     0,  1258,  1258,     0,
       0,     0,     0,  4726,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,  1498,  4755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4763,  4764,  4765,     0,     0,     0,     0,
    4769,  4770,  4771,  4772,     0,     0,  4774,  4775,     0,     0,
       0,     0,  4782,  4783,     0,  4785,  4786,  4787,  4788,  4789,
    4790,     0,  4792,     0,     0,     0,     0,     0,     0,     0,
       0,  4800,     0,     0,  4803,  4804,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,  4144,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4824,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,  1258,  1258,     0,     0,     0,  1488,     0,  1258,
    1258,  1258,     0,     0,     0,  1258,     0,  1258,  1258,  1258,
    1258,  1258,  1258,     0,  1258,     0,  1258,  1258,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,  1258,  1258,  1258,  1258,     0,
       0,     0,     0,  1258,     0,     0,     0,  1258,     0,     0,
    1258,     0,     0,  1258,  1258,  1258,  1258,  1258,  1258,  1258,
    1258,  1258,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,  4144,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,  1490,     0,  1490,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,  1536,  1536,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,  4936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,  1498,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,  1498,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5078,     0,  1490,     0,  5079,
    5080,  5081,  5082,     0,     0,  5084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5102,  5103,  5104,     0,
    5105,     0,  5107,  5108,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,  5117,  5118,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5123,     0,     0,     0,     0,     0,     0,     0,  1536,
    1536,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5133,     0,     0,     0,     0,     0,
    1712,  1712,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    5238,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,  5342,     0,  1498,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,  5352,     0,     0,     0,     0,  5357,  5358,  1258,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,  1258,
       0,     0,  1258,     0,     0,     0,     0,  1496,     0,     0,
    1258,  1258,  1258,  1258,     0,     0,     0,     0,  5416,     0,
       0,     0,     0,  1258,     0,     0,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,  5432,     0,  1258,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,  1258,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4144,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,  5469,     0,     0,     0,     0,  1490,     0,
       0,     0,  1258,     0,  1258,  1258,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,  1536,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,  1258,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
    2375,     0,  1258,     0,  5511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5527,     0,     0,     0,  2389,
       0,     0,     0,     0,     0,     0,  5535,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,  1498,     0,  1498,
       0,     0,     0,     0,  1498,     0,     0,  2407,  2408,  2409,
    1536,  2412,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,  2454,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5599,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2509,  1490,     0,  2634,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4144,     0,     0,
       0,     0,     0,  2532,     0,     0,     0,  2544,  2547,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1536,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,  1498,     0,     0,     0,
       0,  5685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5698,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  5725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,  5735,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,  1498,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,  5793,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5815,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5875,     0,     0,
       0,     0,     0,     0,  1496,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1498,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,     0,  1258,     0,     0,  1258,
       0,     0,     0,  1498,  1258,  1258,  1258,  1258,     0,     0,
    1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,
       0,     0,     0,  1258,  1258,     0,     0,     0,  1498,     0,
       0,     0,     0,  1258,     0,     0,     0,  1258,     0,     0,
    1491,  1258,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1258,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,  1498,  1258,  1491,     0,  1258,  1258,     0,     0,
       0,  1258,  1258,  1490,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
    1258,  1258,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3167,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  3187,     0,  3189,     0,     0,  3201,  3204,  3209,  1498,
       0,     0,     0,  3215,     0,     0,  3220,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3227,  3228,  3229,  3230,     0,     0,     0,     0,  3237,
       0,     0,     0,  3249,     0,     0,  3251,     0,     0,  3258,
    3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,     0,  3267,
       0,     0,     0,     0,     0,     0,     0,  1712,     0,     0,
    3295,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3390,     0,     0,     0,  2634,  3396,     0,
       0,     0,  1498,     0,  3323,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,  1490,     0,  1491,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,  1258,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,  1490,  1490,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,  1258,  1258,     0,  1498,     0,     0,     0,
    1258,  1258,  1490,     0,     0,  1258,  1498,     0,     0,     0,
    1258,     0,  1493,  1258,  1258,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,     0,     0,  1493,     0,     0,
    1491,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,  1258,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3696,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
    1496,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,  3893,     0,     0,     0,     0,
    3899,     0,     0,     0,     0,     0,     0,     0,  3298,  3298,
    3298,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2412,     0,     0,     0,     0,
       0,  1498,     0,  1498,     0,     0,  3209,  1491,  3209,  3209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3957,
       0,     0,  3960,     0,  3962,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  3980,  1498,  3983,     0,  3985,     0,  1258,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  1258,  2634,     0,
    1258,  3396,     0,  3396,     0,     0,     0,     0,  2634,     0,
    3295,  3295,  3295,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,  1258,     0,     0,
    1258,  1258,     0,     0,     0,  4055,     0,     0,  1258,  1258,
       0,     0,     0,     0,     0,     0,     0,  2532,     0,     0,
       0,     0,  4066,     0,     0,     0,     0,  1496,  2547,     0,
       0,     0,  1258,     0,  1258,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,  1258,     0,     0,  1493,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4113,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1496,     0,
    1496,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,  1498,     0,     0,  1491,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,  1498,     0,  1258,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,  1493,     0,  1258,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,  1258,     0,     0,  1493,
       0,     0,  1498,     0,  3396,     0,     0,  1258,  1493,     0,
    3396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,  1498,  1498,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,  1493,     0,  3396,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,  1496,     0,     0,     0,  1258,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1258,     0,     0,
    1258,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,  1258,     0,  1258,     0,
    1258,     0,     0,     0,     0,     0,     0,  1496,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
    1491,  1491,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,  4478,     0,     0,     0,     0,
       0,     0,     0,     0,  4482,     0,     0,  1258,     0,     0,
    4483,     0,  4484,     0,     0,  1258,  3298,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4508,
    4509,     0,  1491,     0,  1258,  1258,     0,     0,     0,     0,
       0,     0,  1258,     0,  1491,     0,  1498,  3215,     0,     0,
       0,     0,  1258,     0,     0,  4534,     0,     0,  4537,     0,
    4539,     0,     0,     0,     0,     0,     0,     0,     0,  4543,
       0,     0,     0,     0,  1258,     0,     0,  4550,  4551,     0,
       0,     0,     0,  2634,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4598,     0,     0,     0,     0,     0,  4605,  4606,  3295,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,  1258,  1258,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,  4624,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,  2448,     0,     0,     0,     0,  4637,
       0,     0,  3396,     0,  1493,     0,     0,     0,  1493,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3396,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
    1493,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  1258,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4903,  4904,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,  4949,     0,
       0,     0,     0,     0,     0,  3298,     0,     0,     0,  4954,
    3298,     0,     0,     0,     0,     0,  3298,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4969,
    4971,     0,     0,     0,     0,     0,  4975,  4976,     0,     0,
       0,  4977,     0,     0,     0,     0,  4980,     0,     0,  4983,
    4984,     0,     0,     0,  4988,     0,     0,     0,     0,     0,
    4992,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,  3295,     0,     0,
       0,  1496,  3295,     0,     0,     0,     0,     0,  3295,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,  1493,     0,  1712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,  1491,     0,  1491,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,  5059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5120,     0,     0,
       0,  2448,     0,     0,     0,  3197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
    2448,  2448,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5222,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5156,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,  1493,     0,  1493,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,  1493,  2448,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5261,  5262,     0,     0,  5263,     0,  3396,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,  5299,  5300,     0,     0,     0,  1493,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5315,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3396,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
    1491,  1493,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,  1496,     0,     0,     0,     0,  1496,  1496,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3215,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,  5492,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5222,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,  5542,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5299,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5687,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,  2448,     0,     0,  3197,  3197,     0,  3934,     0,  3197,
       0,     0,     0,  2448,  1493,     0,  2448,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,  2448,
    2448,  2448,  2448,     0,  1491,     0,  3197,  3197,     0,  2448,
       0,     0,     0,  5738,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,  2448,     0,     0,     0,     0,     0,     0,
    2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5765,  5765,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,  5299,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,  5824,   112,   113,   114,     0,
     115,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5765,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,  1491,     0,     0,     0,    41,    42,  5865,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,  5765,     0,     0,     0,
       0,     0,  5923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,  1491,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,  1491,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,  1493,     0,   182,   183,     0,   184,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
    1491,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,  1493,     0,   237,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,  1493,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3934,  3934,     0,
       0,  3197,  3197,  3197,  3197,     0,     0,  3197,  3197,  3197,
    3197,  3197,  3197,  3197,  3197,  3197,  3197,  3934,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,  2448,     0,  2448,     0,     0,  3934,  3934,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,  2448,  3197,  3197,  2448,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,  1491,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,  3197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114, -2727,   115,   116,   117,
       0,     0,     0,     0,  1493,   120,   121,     0,     0,  1493,
    1493,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,   126,    35,     0,   425,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    2448,     0,     0,     0,  2448,  2448,  2448,     0,     0,     0,
       0,     0,  3934,  3934,  3934,  3934,     0,     0,     0,     0,
    3934,  3934,  3934,  3934,  3934,  3934,  3934,  3934,  3934,  3934,
    2448,  2448,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,  2448,     0,     0,  2448,
       0,  2448,   143,  1491,   144,  2448,     0,     0,  3934,  3934,
       0,   147,  2448,  2448,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,  2448,  2448,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,  2448,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,  2448,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,  3934,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,  2448,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,  2448,  3197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,  2448,     0,     0,     0,  2448,  2448,  2448,
       0,     0,  2448,     0,     0,  2448,  2448,     0,     0,     0,
    2448,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    85,     0,     0,    86,    87,    88,    89,    90,    91,
      92,    93,     0,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   106,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,   118,   119,     0,     0,     0,   120,   121,     0,
       0,     0,  2448,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,   126,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,   127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   128,     0,   129,   130,     0,     0,     0,     0,
       0,     0,     0,     0,   131,     0,     0,   132,     0,     0,
     133,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
     140,     0,   141,   142,   143,     0,   144,     0,     0,   145,
       0,   146,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,   148,     0,   149,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,  3934,  3197,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
   -1637,     0,     0,  2448,  2448,  2448,     0,     0,   157,     0,
     158,     0,     0,  3197,   159,     0,     0,     0,     0,     0,
     160,   161,     0,     0,     0,     0,     0,     0,   162,   163,
     164,     0,     0,   165,     0,     0,   166,     0,     0,   167,
       0,  2448,  2448,     0,     0,   168,     0,   169,     0,     0,
       0,     0,   170,     0,   171,     0,   172,  2448,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0, -1637,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,   185,   186,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,   193,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,     0,
       0,   210,   211,  3934,   212,     0,   213,     0,     0,   214,
       0,     0,     0,     0,     0,   215,   216,  3197,     0,     0,
    3934,     0,     0,   217,  2448,   218,     0,   219,   220,     0,
       0,   221,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,   230,
       0,   231,     0,     0,  2448,     0,   232,     0,     0,   233,
       0,     0, -1637,     0,     0,   234,     0,     0,     0,     0,
     235,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,   238,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,   250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     251,     0,     0,     0,  -145,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3934,     0,  3197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3197,     0,     0,     0,     0,
    3197,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,  3934,
     724,    95,  3934,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,  2448,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   777,   439,   440,
     441,   778,   779,   780,   781,   782,   783,   784,   442,   443,
     785,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,   786,   450,   451,   452,   453,   454,   787,
     788,   455,   456,   789,   139,   457,   790,   458,   459,   460,
     461,   143,   791,   144,   792,   462,   463,   464,   465,   466,
     147,   467,   468,   793,   794,   469,   470,   471,   472,   473,
     474,   795,   150,   475,   476,   796,   797,   798,   799,   151,
     800,   801,   802,   478,   479,   480,   481,   739,   482,   154,
     155,   483,   803,   484,   804,   485,   486,   487,   488,   489,
     490,   805,   491,   492,   493,   494,   806,   807,   495,   496,
     497,   498,   499,   808,   500,   501,   502,   809,   503,   504,
     505,   810,   506,   507,   508,   509,   163,   510,   511,   512,
     165,   811,   513,   812,   514,   515,   167,   516,   813,   517,
     814,   518,   168,   815,   169,   519,   520,   521,   522,   816,
     523,   171,   817,   172,   524,   818,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,   819,   533,   534,   535,
     536,   537,   538,   820,   539,   175,   176,   821,   540,   541,
     542,   822,   177,   823,   178,   824,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,   825,   826,   550,   182,
     183,   551,   184,   827,   552,   553,   554,   828,   829,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,   830,   572,   573,   194,   574,   831,   195,   575,
     196,   576,   577,   578,   832,   579,   580,   833,   834,   581,
     582,   583,   835,   836,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   837,
     595,   596,   201,   597,   202,   598,   599,   600,   838,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,   839,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   840,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   841,   639,   640,   641,   642,   643,   842,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
     843,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,   844,   664,   665,   845,   666,   225,
     667,   668,   669,   670,   671,   846,   226,   227,   847,   848,
     673,   674,   228,   675,   229,   849,   676,   677,   678,   679,
     680,   681,   682,   850,   851,   683,   684,   685,   686,   687,
     852,   853,   688,   689,   690,   691,   692,   854,   236,   855,
     693,   237,   694,   695,   696,   697,   856,   857,   698,   858,
     859,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  1030,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  3289,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,  3290,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,  3291,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
    3292,     0,     0,     0,     0,     0,     0,  1700,  3293,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   216,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,   224,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,  2410,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,   238,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,   250,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,  1700,  5504,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,  3199,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,  4486,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,  4557,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,  2620,   533,   534,   535,   536,   537,   538,     0,   539,
     175,  2621,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,     0,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
    2623,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  2624,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,  2625,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,     0,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  2730,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,  2620,   533,   534,   535,
     536,   537,   538,     0,   539,   175,  2621,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,     0,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,  2623,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  2624,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,  2625,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,     0,     0,     0,     0,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  3782,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   216,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,   224,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,  2410,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,   238,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,   250,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,  3205,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,  3206,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
    3207,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,  3208,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,  2372,  3160,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,  1699,
       0,     0,     0,     0,     0,     0,  1700,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  2542,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,  3206,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,  4607,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,  4623,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,  5762,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,  5763,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,  5764,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,  1700,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,  5763,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,  5764,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,  1654,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,  1668,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  1676,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,  1685,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
    4961,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,  1696,     0,     0,     0,     0,     0,
       0,  1697,  1698,     0,     0,     0,     0,     0,     0,     0,
    1700,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,  4970,   192,  1668,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,  1696,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,  5289,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  5290,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,  5291,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,     0,
       0,     0,     0,     0,     0,     0,  5292,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449, -2972,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,  5763,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528, -2972,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,     0,     0,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551, -2972,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,     0,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648, -2972,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,  5764,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706, -2972,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  5485,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,     0,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  3191,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,     0,     0,     0,     0,
       0,     0,     0,  3192,  3193,     0,     0,     0,     0,     0,
       0,     0,  3194,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,   450,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,     0,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,  1672,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  3191,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,     0,     0,     0,     0,     0,     0,
       0,  3192,  3193,     0,     0,     0,     0,     0,     0,     0,
    3194,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,     0,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,     0,   572,   573,   194,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  3191,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  3192,
    3193,     0,     0,     0,     0,     0,     0,     0,  3194,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,     0,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,     0,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  3191,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
       0,     0,     0,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  3194,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1631,  1632,     0,    45,  1634,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1635,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,  1636,   136,  1637,  1638,     0,  4519,   451,   452,
     453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,  1652,  1653,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,  1655,
     510,   511,   512,  1656,  1657,   513,     0,   514,   515,  1658,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,  1660,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,  1469,  1661,     0,  1662,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1666,   190,
    1667,   569,   570,   571,   192,     0,   572,   573,   194,   574,
    1669,  1670,   575,  1671,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1675,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,  3191,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,  1678,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1680,
    1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,  1687,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
     249,   746,   705,   706,     0,     0,     0,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    3194,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,     0,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,     0,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    3191,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,  5001,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,     0,
       0,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  3194,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1631,  1632,
    1633,    45,  1634,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1635,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1636,   136,  1637,  1638,     0,   450,   451,   452,   453,   454,
    1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
    1652,  1653,   483,  1654,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
       0,   505,     0,   506,   507,   508,   509,  1655,   510,   511,
     512,  1656,  1657,   513,     0,   514,   515,  1658,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,  1660,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,  1469,  1661,     0,  1662,     0,   543,     0,     0,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,     0,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1666,   190,  1667,   569,
     570,   571,   192,  1668,   572,   573,     0,   574,  1669,  1670,
     575,  1671,   576,   577,   578,     0,   579,   580,     0,     0,
    1672,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1675,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,  1676,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,     0,   649,   650,  1678,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1680,  1681,     0,
       0,   673,   674,  1682,   675,  1683,  1684,   676,   677,   678,
     679,   680,   681,   682,     0,  1685,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,  1687,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  1697,
    1698,     0,     0,     0,     0,     0,     0,     0,  1700,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,  1640,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,  1656,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,  4003,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,  1670,   575,   196,
     576,   577,   578,     0,   579,   580,     0,  1154,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,  4004,   632,   633,   634,   635,   636,   637,
     744,   638,   216,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,   224,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,  1682,   675,  1683,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,  2410,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,   238,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,  4005,   746,   705,   706,
       0,     0,   250,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  4006,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,  1640,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,  1643,     0,  1644,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,  1645,
    1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,  1656,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,  1659,     0,   172,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,  4003,
       0,   550,  1663,   183,   551,   184,     0,   552,   553,   554,
    1664,  1665,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,  1670,   575,   196,   576,   577,   578,     0,   579,   580,
       0,  1154,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,  1673,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,  1674,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,  4004,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,  1677,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,  1679,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,  1682,   675,  1683,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  1686,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,
    4005,   746,   705,   706,     0,     0,     0,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    4006,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,  1640,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,  1656,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
     172,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,  1670,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,  4004,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,  1682,
     675,  1683,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,  4005,   746,   705,   706,     0,     0,
       0,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,   251,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,  1640,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,  1643,     0,  1644,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,  1645,  1646,  1647,
    1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,  1656,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,  1659,     0,   172,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
    1663,   183,   551,   184,     0,   552,   553,   554,  1664,  1665,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,  1670,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
    1673,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,  1674,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
    1677,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,  1679,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,  1682,   675,  1683,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,  1686,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,  1688,
    1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,
     705,   706,     0,     0,     0,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  4656,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,  1640,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,  1656,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,   172,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,  1670,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,  1682,   675,  1683,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  5744,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,     0,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  5344,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4575,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0, -1743,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0, -1743,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539, -1743,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544, -1743,   545,   546,   547,   548,   549,     0,
       0,   550,   182, -1743,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189, -1743,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627, -1743,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,     0,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  1795,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,  3814,  3815,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  3815,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,   216,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,   224,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,  2410,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,   238,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,   250,
       0,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,   251,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   216,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,   224,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,  2410,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
     238,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,   250,     0,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,   251,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,     0,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  1771,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  3356,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  4554,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  5018,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,  1281,
      45,     0,     0,     0,     0,     0,  1282,  1283,  1284,   431,
     432,   433,   434,   435,   436,   437,   438,   777,   439,   440,
     441,   778,   779,   780,   781,   782,   783,   784,   442,   443,
     785,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,   786,   450,   451,   452,   453,   454,   787,
     788,   455,   456,  1462,  1463,   457,   790,   458,   459,   460,
     461,     0,   791,   144,   792,   462,   463,   464,   465,   466,
     147,   467,   468,   737,   794,   469,   470,   471,   472,   473,
     474,   795,   150,   475,   476,     0,   797,   798,   799,   151,
     800,   801,   802,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,   803,   484,   804,   485,   486,   487,   488,   489,
     490,   805,   491,   492,   493,   494,   806,   807,   495,   496,
    1466,   498,   499,   808,   500,   501,   502,   809,   503,   504,
     505,   810,   506,   507,   508,   509,     0,   510,   511,   512,
       0,   811,   513,   812,   514,   515,  1467,   516,   813,   517,
     814,   518,   168,   815,   169,   519,   520,   521,   522,   816,
     523,     0,   817,     0,   524,   818,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,   819,   533,   534,   535,
     536,   537,   538,   820,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,   823,  1471,   824,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,   825,   826,   550,     0,
     183,   551,   184,   827,   552,   553,   554,   828,   829,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,  4303,   830,   572,   573,   194,   574,   831,     0,   575,
    1474,   576,   577,   578,   832,   579,   580,   833,   834,  4304,
     582,   583,   835,   836,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   837,
     595,   596,     0,   597,     0,   598,   599,   600,   838,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,   839,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   840,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   841,   639,   640,   641,   642,   643,   842,
     645,   646,  2624,   647,   648,   220,   649,   650,  1477,   651,
     843,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   844,   664,   665,   845,   666,   225,
     667,   668,   669,   670,   671,   846,  1478,  1479,     0,   848,
     673,   674,     0,   675,     0,   849,   676,   677,   678,   679,
     680,   681,   682,     0,   851,   683,   684,   685,   686,   687,
     852,   853,   688,   689,   690,   691,   692,     0,  1480,   855,
     693,   237,   694,   695,   696,   697,   856,   857,   698,   858,
     859,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,     0,     0,     0,  1287,  1288,  1289,     0,  4305,  4306,
    1292,  1293,  1294,  1295,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1281,    45,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,   777,   439,   440,   441,   778,   779,   780,   781,   782,
     783,   784,   442,   443,   785,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,   786,   450,   451,
     452,   453,   454,   787,   788,   455,   456,  1462,  1463,   457,
     790,   458,   459,   460,   461,     0,   791,   144,   792,   462,
     463,   464,   465,   466,   147,   467,   468,   737,   794,   469,
     470,   471,   472,   473,   474,   795,   150,   475,   476,     0,
     797,   798,   799,   151,   800,   801,   802,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,   803,   484,   804,   485,
     486,   487,   488,   489,   490,   805,   491,   492,   493,   494,
     806,   807,   495,   496,  1466,   498,   499,   808,   500,   501,
     502,   809,   503,   504,   505,   810,   506,   507,   508,   509,
       0,   510,   511,   512,     0,   811,   513,   812,   514,   515,
    1467,   516,   813,   517,   814,   518,   168,   815,   169,   519,
     520,   521,   522,   816,   523,     0,   817,     0,   524,   818,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
     819,   533,   534,   535,   536,   537,   538,   820,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,   823,  1471,   824,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
     825,   826,   550,     0,   183,   551,   184,   827,   552,   553,
     554,   828,   829,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,  4747,   830,   572,   573,   194,
     574,   831,     0,   575,  1474,   576,   577,   578,   832,   579,
     580,   833,   834,  4304,   582,   583,   835,   836,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   837,   595,   596,     0,   597,     0,   598,
     599,   600,   838,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,   839,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     840,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   841,   639,   640,
     641,   642,   643,   842,   645,   646,  2624,   647,   648,   220,
     649,   650,  1477,   651,   843,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   844,   664,
     665,   845,   666,   225,   667,   668,   669,   670,   671,   846,
    1478,  1479,     0,   848,   673,   674,     0,   675,     0,   849,
     676,   677,   678,   679,   680,   681,   682,     0,   851,   683,
     684,   685,   686,   687,   852,   853,   688,   689,   690,   691,
     692,     0,  1480,   855,   693,   237,   694,   695,   696,   697,
     856,   857,   698,   858,   859,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  4305,  4306,  1292,  1293,  1294,  1295,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1281,     0,     0,     0,
       0,     0,     0,  1282,  1283,  1284,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,  1285,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,  1286,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,
    1295,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1281,
       0,     0,     0,     0,     0,     0,  1282,  1283,  1284,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,  1403,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,  1404,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,
    1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1281,     0,     0,     0,     0,     0,     0,  1282,
    1283,  1284,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,  1511,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,  1512,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1513,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,  1287,  1288,  1289,
       0,  1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,  1282,  1283,  1284,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,  2103,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,  2104,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
    1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1281,     0,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,
    1293,  1294,  1295,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1281,     0,     0,     0,     0,     0,     0,  1282,  1283,
    1284,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
    3457,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,  3458,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,  1287,  1288,  1289,     0,
    1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1281,     0,     0,     0,     0,     0,
       0,  1282,  1283,  1284,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,  5322,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,  1287,
    1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   777,   439,   440,   441,
     778,   779,   780,   781,   782,   783,   784,   442,   443,   785,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,   786,   450,   451,   452,   453,   454,   787,   788,
     455,   456,   789,   139,   457,   790,   458,   459,   460,   461,
     143,   791,   144,   792,   462,   463,   464,   465,   466,   147,
     467,   468,   793,   794,   469,   470,   471,   472,   473,   474,
     795,   150,   475,   476,   796,   797,   798,   799,   151,   800,
     801,   802,   478,   479,   480,   481,   739,   482,   154,   155,
     483,   803,   484,   804,   485,   486,   487,   488,   489,   490,
     805,   491,   492,   493,   494,   806,   807,   495,   496,   497,
     498,   499,   808,   500,   501,   502,   809,   503,   504,   505,
     810,   506,   507,   508,   509,   163,   510,   511,   512,   165,
     811,   513,   812,   514,   515,   167,   516,   813,   517,   814,
     518,   168,   815,   169,   519,   520,   521,   522,   816,   523,
     171,   817,   172,   524,   818,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,   819,   533,   534,   535,   536,
     537,   538,   820,   539,   175,   176,   821,   540,   541,   542,
     822,   177,   823,   178,   824,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,   825,   826,   550,   182,   183,
     551,   184,   827,   552,   553,   554,   828,   829,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,   830,   572,   573,   194,   574,   831,   195,   575,   196,
     576,   577,   578,   832,   579,   580,   833,   834,   581,   582,
     583,   835,   836,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   837,   595,
     596,   201,   597,   202,   598,   599,   600,   838,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,   839,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   840,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   841,   639,   640,   641,   642,   643,   842,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,   843,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,   844,   664,   665,   845,   666,   225,   667,
     668,   669,   670,   671,   846,   226,   227,   847,   848,   673,
     674,   228,   675,   229,   849,   676,   677,   678,   679,   680,
     681,   682,   850,   851,   683,   684,   685,   686,   687,   852,
     853,   688,   689,   690,   691,   692,   854,   236,   855,   693,
     237,   694,   695,   696,   697,   856,   857,   698,   858,   859,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,  2511,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,  2620,   533,   534,   535,
     536,   537,   538,     0,   539,   175,  2621,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,     0,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,  2622,   584,  2623,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  2624,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,  2625,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,     0,    86,    87,    88,   722,    90,    91,    92,   723,
    2626,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,    86,    87,    88,   722,    90,    91,    92,
     723,  1161,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,    86,    87,    88,   722,    90,    91,
      92,   723,  5712,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,  1051,   433,   434,   435,   436,   437,   438,
    1052,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,  1053,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,  1054,   167,
     516,     0,   517,     0,  1055,     0,  1056,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,  1057,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,  1058,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,  1059,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,  1060,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
    1061,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,     0,     0,
       0,  1062,  1063,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,  1051,   433,   434,   435,   436,   437,   438,  1052,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,  1085,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,  1054,   167,   516,
       0,   517,     0,  1086,     0,  1056,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,  1057,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,  1058,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,  1059,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,  1060,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,  1061,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    1062,  1063,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1564,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,  1056,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,  1057,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  1062,
    1063,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1569,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,  1056,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,  1057,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  1062,  1063,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,   740,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,  1742,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,     0,  1131,  1743,    86,    87,    88,   722,
      90,    91,    92,   723,  1132,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,  1133,   456,  1104,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,  1134,     0,
    1135,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,  1136,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,  1137,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,  1138,   629,   630,   213,   631,
     632,   633,  1139,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,  1140,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,  1141,   227,     0,     0,  1142,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,  1108,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,  1143,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   777,   439,   440,   441,   778,   779,   780,
     781,   782,   783,   784,   442,   443,   785,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,   786,
     450,   451,   452,   453,   454,   787,   788,   455,   456,   789,
     139,   457,   790,   458,   459,   460,   461,   143,   791,   144,
     792,   462,   463,   464,   465,   466,   147,   467,   468,   793,
     794,   469,   470,   471,   472,   473,   474,   795,   150,   475,
     476,   796,   797,   798,   799,   151,   800,   801,   802,   478,
     479,   480,   481,   739,   482,   154,   155,   483,   803,   484,
     804,   485,   486,   487,   488,   489,   490,   805,   491,   492,
     493,   494,   806,   807,   495,   496,   497,   498,   499,   808,
     500,   501,   502,   809,   503,   504,   505,   810,   506,   507,
     508,   509,   163,   510,   511,   512,   165,   811,   513,   812,
     514,   515,   167,   516,   813,   517,   814,   518,   168,   815,
     169,   519,   520,   521,   522,   816,   523,   171,   817,   172,
     524,   818,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,   819,   533,   534,   535,   536,   537,   538,   820,
     539,   175,   176,   821,   540,   541,   542,   822,   177,   823,
     178,   824,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,   825,   826,   550,   182,   183,   551,   184,   827,
     552,   553,   554,   828,   829,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,   830,   572,
     573,   194,   574,   831,   195,   575,   196,   576,   577,   578,
     832,   579,   580,   833,   834,   581,   582,   583,   835,   836,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   837,   595,   596,   201,   597,
     202,   598,   599,   600,   838,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,   839,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   840,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,   841,
     639,   640,   641,   642,   643,   842,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,   843,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
     844,   664,   665,   845,   666,   225,   667,   668,   669,   670,
     671,   846,   226,   227,   847,   848,   673,   674,   228,   675,
     229,   849,   676,   677,   678,   679,   680,   681,   682,   850,
     851,   683,   684,   685,   686,   687,   852,   853,   688,   689,
     690,   691,   692,   854,   236,   855,   693,   237,   694,   695,
     696,   697,   856,   857,   698,   858,   859,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   777,   439,   440,   441,   778,   779,
     780,   781,   782,   783,   784,   442,   443,   785,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
     786,   450,   451,   452,   453,   454,   787,   788,   455,   456,
     789,   139,   457,   790,   458,   459,   460,   461,   143,   791,
     144,   792,   462,   463,   464,   465,   466,   147,   467,   468,
     793,   794,   469,   470,   471,   472,   473,   474,   795,   150,
     475,   476,   796,   797,   798,   799,   151,   800,   801,   802,
     478,   479,   480,   481,   739,   482,   154,   155,   483,   803,
     484,   804,   485,   486,   487,   488,   489,   490,   805,   491,
     492,   493,   494,   806,   807,   495,   496,   497,   498,   499,
     808,   500,   501,   502,   809,   503,   504,   505,   810,   506,
     507,   508,   509,   163,   510,   511,   512,   165,   811,   513,
     812,   514,   515,   167,   516,   813,   517,   814,   518,   168,
     815,   169,   519,   520,   521,   522,   816,   523,   171,   817,
     172,   524,   818,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,   819,   533,   534,   535,   536,   537,   538,
     820,   539,   175,   176,   821,   540,   541,   542,   822,   177,
     823,   178,   824,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,   825,   826,   550,   182,   183,   551,   184,
     827,   552,   553,   554,   828,   829,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,   830,
     572,   573,   194,   574,   831,   195,   575,   196,   576,   577,
     578,   832,   579,   580,   833,   834,   581,   582,   583,   835,
     836,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   837,   595,   596,   201,
     597,   202,   598,   599,   600,   838,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
     839,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   840,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
     841,   639,   640,   641,   642,   643,   842,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,   843,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,   844,   664,   665,   845,   666,   225,   667,   668,   669,
     670,   671,   846,   226,   227,   847,   848,   673,   674,   228,
     675,   229,   849,   676,   677,   678,   679,   680,   681,   682,
     850,   851,   683,   684,   685,   686,   687,   852,   853,   688,
     689,   690,   691,   692,   854,   236,   855,   693,   237,   694,
     695,   696,   697,   856,   857,   698,   858,   859,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,  3525,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,   789,   139,   457,   790,   458,   459,   460,   461,   143,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   793,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,   796,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,   497,  3526,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,   163,   510,   511,   512,   165,   811,
     513,   812,   514,   515,   167,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,   171,
     817,   172,   524,   818,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,   176,   821,   540,   541,   542,   822,
     177,   823,   178,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,   182,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
     830,   572,   573,   194,   574,   831,   195,   575,   196,   576,
     577,   578,   832,   579,   580,   833,   834,   581,   582,   583,
     835,   836,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
     201,   597,   202,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   841,   639,   640,   641,   642,   643,   842,  3527,   646,
     218,   647,   648,   220,   649,   650,   221,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,   226,   227,   847,   848,   673,   674,
     228,   675,   229,   849,   676,   677,   678,   679,   680,   681,
     682,   850,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,   854,   236,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,  1640,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,  1656,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,  1670,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,  1682,   675,  1683,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,  1451,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1503,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,  2620,
     533,   534,   535,   536,   537,   538,     0,   539,   175,  2621,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
       0,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,  2623,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  2624,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,  2625,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,  2718,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  2624,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,  4407,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,  2787,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  1476,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1459,   136,  1460,  1461,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,  1462,
    1463,   457,     0,   458,   459,   460,   461,     0,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,  1464,  1465,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,  1467,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,     0,     0,   540,   541,   542,  1469,  1470,     0,
    1471,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,     0,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1472,   190,  1473,   569,   570,   571,  4223,     0,   572,
     573,   194,   574,     0,     0,   575,  1474,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,   198,   585,   199,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1475,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,  1476,   647,
     648,   220,   649,   650,  1477,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1478,  1479,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,  1480,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,  1459,   136,  1460,  1461,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1462,  1463,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,  1464,  1465,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,  1467,   516,  5776,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,     0,     0,   540,   541,   542,  1469,  1470,
       0,  1471,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1472,   190,  1473,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,  1474,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1475,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,  1476,
     647,   648,   220,   649,   650,  1477,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1478,  1479,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,  1480,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,  1468,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,     0,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    1476,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,  1525,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  1476,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,     0,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  1476,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1459,   136,  1460,  1461,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,  1462,  1463,   457,     0,   458,   459,
     460,   461,     0,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
    1464,  1465,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,     0,   510,   511,
     512,     0,     0,   513,     0,   514,   515,  1467,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,     0,     0,     0,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,     0,     0,   540,
     541,   542,  1469,  1470,     0,  1471,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
       0,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1472,   190,  1473,   569,
     570,   571,     0,     0,   572,   573,   194,   574,     0,     0,
     575,  1474,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,     0,   198,   585,   199,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,     0,   597,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1475,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,  2624,   647,   648,   220,   649,   650,  1477,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1478,  1479,     0,
       0,   673,   674,     0,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,  1480,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,  1459,   136,  1460,  1461,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1462,  1463,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,  1464,  1465,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,  1467,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,     0,     0,
     540,   541,   542,  1469,  1470,     0,  1471,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1472,   190,  1473,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,  1474,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,     0,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1475,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,     0,   647,   648,   220,   649,   650,
    1477,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1478,  1479,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
    1480,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,     0,   136,     0,     0,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,     0,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,     0,     0,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,     0,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,     0,
       0,   540,   541,   542,     0,     0,     0,     0,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,     0,   190,
       0,   569,   570,   571,     0,     0,   572,   573,   194,   574,
       0,     0,   575,     0,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,     0,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,     0,   647,   648,   220,   649,
     650,     0,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,     0,
       0,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,     0,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     777,   439,   440,   441,   778,   779,   780,   781,   782,   783,
     784,   442,   443,   785,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,   786,   450,   451,   452,
     453,   454,   787,   788,   455,   456,     0,   139,   457,   790,
     458,   459,   460,   461,   143,   791,   144,   792,   462,   463,
     464,   465,   466,   147,   467,   468,   793,   794,   469,   470,
     471,   472,   473,   474,   795,   150,   475,   476,     0,   797,
     798,   799,   151,   800,   801,   802,   478,   479,   480,   481,
       0,   482,   154,   155,   483,   803,   484,   804,   485,   486,
     487,   488,   489,   490,   805,   491,   492,   493,   494,   806,
     807,   495,   496,   497,   498,   499,   808,   500,   501,   502,
     809,   503,   504,   505,   810,   506,   507,   508,   509,   163,
     510,   511,   512,   165,   811,   513,   812,   514,   515,   167,
     516,   813,   517,   814,   518,   168,   815,   169,   519,   520,
     521,   522,   816,   523,   171,   817,   172,   524,   818,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,   819,
     533,   534,   535,   536,   537,   538,   820,   539,   175,   176,
       0,   540,   541,   542,     0,   177,   823,   178,   824,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,   825,
     826,   550,   182,   183,   551,   184,   827,   552,   553,   554,
     828,   829,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,   830,   572,   573,   194,   574,
     831,   195,   575,   196,   576,   577,   578,   832,   579,   580,
     833,   834,   581,   582,   583,   835,   836,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   837,   595,   596,   201,   597,   202,   598,   599,
     600,   838,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,   839,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   840,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,   841,   639,   640,   641,
     642,   643,   842,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,   843,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,   844,   664,   665,
     845,   666,   225,   667,   668,   669,   670,   671,   846,   226,
     227,     0,   848,   673,   674,   228,   675,   229,   849,   676,
     677,   678,   679,   680,   681,   682,     0,   851,   683,   684,
     685,   686,   687,   852,   853,   688,   689,   690,   691,   692,
       0,   236,   855,   693,   237,   694,   695,   696,   697,   856,
     857,   698,   858,   859,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,  1223,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,  2660,
     458,   459,   460,   461,   143,     0,     0,  2737,   462,   463,
     464,   465,   466,     0,   467,   468,   737,  2661,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,  2738,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,  2663,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2739,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,  2664,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,  2665,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,  2660,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,  2661,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,  2738,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,  2663,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,  3715,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,  2664,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,  2665,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,  1119,   437,   438,
    1071,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,  1072,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,  1120,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,  1073,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,  1074,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1071,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,  1072,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,  3418,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,  1073,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,  1074,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,  2660,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,  2661,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,  2738,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,  2663,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,  2664,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,  2665,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     735,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,   738,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,   740,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1071,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,  1072,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,  1073,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,  1074,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,   974,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     975,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   976,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    2330,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,  2331,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,  2332,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,  2333,   518,     0,     0,     0,  2334,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,  2335,  2336,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
    2337,   635,   636,   637,   744,   638,     0,  2338,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
    2339,   666,     0,  2340,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,  2341,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,  1072,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,  1073,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,  1074,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,  2319,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,  3278,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,  3279,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,  2599,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
    3280,   666,     0,   667,  3281,   669,  3282,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
    3283,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     762,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,   740,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     919,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1316,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1317,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,  1154,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1442,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,   129,   130,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    3506,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  3507,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    3519,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  3520,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   980,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,  1033,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,  1089,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,  1154,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1276,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1277,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1745,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1932,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,  1154,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1985,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1986,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,  2187,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,  2319,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,  2599,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4575,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4589,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,  1101,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1103,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  1105,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1106,
     227,     0,     0,  1107,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1148,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  1149,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1150,
     227,     0,     0,  1151,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,  1167,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1301,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1309,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1327,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1388,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1394,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1410,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1413,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1415,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1457,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1519,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1521,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1531,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1534,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  1537,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,  1756,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,  1133,   456,  1104,   139,  1757,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,  1137,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,  1138,   629,   630,   213,   631,   632,   633,
    1139,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  1749,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1141,
     227,     0,     0,  1142,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,  1143,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,  1882,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1103,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2135,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2173,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2175,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2247,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2249,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2251,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,  2367,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  2564,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,     0,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2994,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  2998,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  3429,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  3496,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  3509,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  3511,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,  3646,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,  3671,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,  1133,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,  1137,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,  1138,   629,   630,   213,   631,   632,   633,
    1139,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  1749,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1141,
     227,     0,     0,  1142,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,  1143,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,  1133,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,  1137,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,  1138,   629,   630,   213,   631,   632,   633,
    1139,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  1749,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,  2647,   668,   669,   670,   671,     0,  1141,
     227,     0,     0,  1142,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,  1143,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,  1133,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,  1137,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,  1138,   629,   630,   213,   631,   632,   633,
    2722,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  2723,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1141,
     227,     0,     0,  2724,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,  1143,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,  1133,   456,  1104,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,  1137,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,  1138,   629,   630,   213,   631,   632,   633,
    1139,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,  2723,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,  1141,
     227,     0,     0,  2724,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
    1108,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,  1143,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,     0,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,     0,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,     0,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114, -2728,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,   126,    35,     0,
    1218,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,  2295,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,  2296,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,  2297,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,  1839,  1840,
    5562,     0,     0,     0,     0,     0,     0,  5563,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,   129,   130,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,   216,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
     224,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     235,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,   238,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,    35,   430,   250,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
     251,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,     0,   482,   154,   155,
     483,  2498,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
    2295,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,  2296,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,  2297,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,   705,   706,
       0,     0,     0,     0,     0,    35,   430,  1839,  1840,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,  2503,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,  2295,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,  2296,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,  2297,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   705,
     706,     0,     0,     0,     0,     0,    35,   430,  1839,  1840,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,  2295,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,  2296,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,  2297,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     705,   706,     0,     0,     0,     0,     0,    35,   430,  1839,
    1840,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,  3411,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,  2295,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,  2296,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,  2297,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,     0,     0,     0,     0,     0,    35,   430,
    1062,  1063,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,   672,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,  2295,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,  2296,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,  2297,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,  2483,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,  2271,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1304,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,   477,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1323,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
    1324,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,   477,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    2870,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,  3851,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,  1422,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,  1506,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,   477,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,  1517,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,  1527,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,  1528,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,   129,   130,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,     0,     0,     0,     0,     0,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,     0,   457,
       0,   458,   459,   460,   461,     0,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,     0,   482,     0,     0,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
       0,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,     0,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
       0,     0,   540,   541,   542,     0,     0,     0,     0,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,     0,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,     0,
       0,     0,   569,   570,   571,     0,     0,   572,   573,     0,
     574,     0,     0,   575,     0,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
       0,   585,     0,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,     0,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,     0,   647,   648,     0,
     649,   650,     0,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
       0,     0,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,     0,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   705,   706
};

static const yytype_int16 yycheck[] =
{
       2,    78,   210,   251,    78,   891,    78,     2,    78,  1310,
     944,  1135,   377,   896,  1558,    96,    78,   987,  1072,  1073,
    1074,  1184,    84,   393,  1078,   106,   393,  1588,   166,  1509,
    1326,  1130,  1152,  2027,  1918,  1476,  1261,  2459,   149,    78,
    1955,   153,  1027,   230,  2786,  1311,  1157,  3302,   152,   987,
     188,   164,  1962,  1336,  2285,   768,  3134,  1416,   882,  1624,
     141,  2169,   159,  2089,  1010,  1158,  1142,  1777,  1166,  1039,
    1464,  1465,  1479,  3347,    78,   156,    78,  1023,  1962,   170,
    1474,   224,    84,    94,  2947,  3473,  2472,    89,  2934,  3791,
     164,   203,  3525,  1494,  3527,  1391,  1405,  3500,   896,  1395,
    4063,  2372,  1212,  1978,  1400,  4116,  2859,  1310,   892,  3701,
     379,  3110,  1421,  1409,   116,  1318,   900,   769,  3712,   210,
     131,  4116,   131,  2838,  1231,  1328,  3747,  1423,  3356,   913,
     379,  3695,  4396,  4168,  1967,   365,  1231,  3701,  3289,  3290,
    4006,   152,   153,  3291,  1038,  4661,   944,  2222,  1022,  4343,
     152,   162,  2393,  4112,  2628,  2629,  2182,  3778,   942,   161,
     209,  2269,  1273,  4399,   948,  4408,    78,  4382,  1138,  1279,
     219,  2356,    84,  1833,  1834,  1835,  4386,   961,  2466,  4012,
    4395,  1891,  2057,  2058,   217,  3329,  4888,   250,  3222,  1947,
    5002,  4385,   203,  1896,  1551,  2937,  4843,  3977,   166,  1542,
    1138,  1571,  1270,  5205,   116,  4891,  2628,   209,  1006,  1181,
    1181,  3940,  3389,  5065,  4011,   217,  4013,   219,  2051,  4082,
     188,    21,  5217,  1462,  1463,    10,  1828,  1829,    30,  1340,
     232,    87,  1226,  1227,  1473,  5018,  1030,  5020,    14,    74,
      75,    76,    77,  4890,   111,  5084,    81,  1957,    71,   161,
    4470,  4471,    71,  4473,  4474,  4475,    71,    87,  1652,  1653,
     125,   974,  5129,  5130,    98,    14,    85,   115,   132,   118,
      85,  1496,   132,   162,  1681,   213,  5360,  1671,   118,   115,
      74,    75,    76,    77,  5123,   876,   116,    81,   102,   141,
     233,    71,  1054,   187,   132,    71,  1058,  1059,  1060,   132,
      80,   261,  3044,   238,  3046,    85,  1068,   132,   385,   239,
     249,   385,  5153,   385,   105,   385,   189,   147,    84,   132,
     232,   238,  2892,  5419,  2894,   180,  3360,    87,  2898,  1383,
      29,   393,   348,    74,    75,    76,    77,  2907,  2908,  2909,
      81,   342,   103,   245,   361,   328,   385,    74,    75,    76,
      77,   141,   147,   180,    81,    74,    75,    76,    77,   325,
    5326,  5327,    81,   220,   238,   217,   428,   238,   375,   159,
      89,    90,   206,    74,    75,    76,    77,   116,   405,  1909,
      81,   385,   465,   235,   132,   149,   325,   331,    89,    90,
     361,   393,  3815,   187,    74,    75,    76,    77,   412,   356,
     238,    81,  1641,  1642,   502,    74,    75,    76,    77,    89,
      90,   182,    81,   190,   116,   132,   112,  2242,   429,  1132,
      89,    90,   161,   102,   540,   508,   428,   217,  1667,   149,
     546,  1551,   249,   280,    74,    75,    76,    77,  1797,   159,
     154,    81,  5444,   381,   238,   235,   149,   545,  1558,    89,
      90,   208,  1550,    74,    75,    76,    77,    14,   485,   161,
      81,   186,    74,    75,    76,    77,   149,  1353,   425,    81,
      74,    75,    76,    77,  1357,   238,   159,    81,  1761,   132,
     257,   393,   253,   189,   149,   238,   238,    14,   432,    74,
      75,    76,    77,   232,   280,   149,    81,  2572,   325,   102,
     196,   484,  5285,  5342,     0,  5207,   109,   209,   878,  2334,
     399,   878,    25,    78,   275,   217,   428,   219,  1342,  5615,
    5206,   373,   201,    25,   490,   542,    78,   543,   542,   545,
     232,    74,    75,    76,    77,   542,   400,  2612,    81,   540,
     400,  2616,   313,   544,    71,   316,  5387,    74,    75,    76,
      77,   490,   180,    80,    81,    82,    83,   194,    85,  1357,
    1530,   159,    74,    75,    76,    77,   192,   400,   672,    81,
    1516,   542,  2013,   272,   412,   400,  1228,  1229,   284,    74,
      75,    76,    77,   373,    78,   545,    81,   400,  1558,    78,
    1701,   425,  1530,    74,    75,    76,    77,   452,  2128,   542,
      81,   449,  1700,  1723,   542,    71,   397,   546,   720,   721,
     545,  4203,   542,   449,    80,   488,  1736,  1728,  5702,    85,
    5622,   327,    78,   463,    87,    70,    71,   479,   545,    74,
      75,    76,    77,    78,    79,    80,    81,   531,   452,  4203,
      85,   238,   491,   545,   501,   416,  1766,  1767,  1594,  1759,
     484,   491,   400,   116,  1764,  1765,   545,  1248,  1628,   497,
     436,   672,   428,  4227,  1610,  4880,  1560,  5519,   491,   463,
     672,   545,   507,   490,   545,   542,   382,   542,   280,  1625,
    3422,   545,   538,   400,   147,   545,   486,   436,  5555,   479,
    1628,    71,  2001,   528,    74,    75,    76,    77,   545,   463,
      80,    81,    82,    83,  2414,    85,   491,   542,   538,   720,
     721,  5677,   545,  4579,   533,   534,  4119,  4583,   533,   534,
     545,  5817,    98,  1821,   102,  4945,  2022,   542,    98,  2025,
    1933,   109,   545,  4354,  2043,  4568,   536,   531,   540,  5741,
     465,  5443,   187,   463,   501,   540,  1540,   400,  5434,   544,
     544,  2461,   523,   533,   534,  2465,  4485,   768,  5753,   545,
     463,  4541,   476,   276,  2325,   908,   507,  2033,   180,   182,
    4567,   542,  4569,  4636,   276,   535,   536,   537,   538,   542,
     463,   885,  4376,   508,  1987,    78,  1756,   528,    78,   102,
     542,  1039,   545,  2273,  1764,  1765,   109,   545,   463,  1561,
      87,   542,  1564,  5319,  2087,  1567,   238,  1569,  1793,   463,
    1572,  2120,  1042,   540,  1576,   542,   878,   544,  1756,  1184,
     385,  5823,   180,   542,   452,  1935,   923,  2737,   545,   116,
     206,   935,   435,   385,   279,  1945,   206,   116,    78,   545,
     253,   542,  3475,  1815,  1815,  2239,  5685,   105,  3912,   486,
     927,  4886,  2332,   927,  1848,   927,   301,   927,   484,  5698,
     147,  2341,   542,   340,   976,   463,    78,  3289,  3290,  3291,
      87,  5654,   874,   542,  2707,  3738,   878,  3941,  5880,  4027,
     882,    14,   161,   495,   486,   181,  1954,   102,   927,   891,
     892,   385,   545,   997,  3609,   180,   385,   280,   900,  1551,
     313,    78,   542,   316,  2014,  1174,   247,  2017,  2018,   436,
    4313,   913,  4300,  1051,  5616,  1053,    78,  1055,  3392,  3305,
    3394,   542,    78,  1061,  1035,  1174,  1039,  4104,   930,   385,
     542,   313,  5618,  2290,  3676,  3677,  2306,  2640,   542,  2282,
     942,  1084,  2312,   187,   546,   542,   948,  1085,  1086,  2782,
    5597,  3192,  3193,   232,  5793,  1036,  3197,   542,   161,   961,
     219,   496,   874,   974,  1038,   976,   878,   238,   264,  2727,
    5617,  2573,  1053,  2575,  1055,  5827,  5828,   192,   980,  2218,
    2219,   357,    98,    96,  1065,   987,   386,   357,   230,  5000,
     992,  2101,  2986,  3234,  3235,   239,   998,   180,   219,   542,
    1002,  1003,  5196,   416,  1085,  1086,   533,   534,  1010,  4432,
    4433,  4434,  4435,  4436,   280,  1158,  2417,    37,   394,    39,
    1022,  1023,  1033,   342,   394,   132,  1037,   102,  1030,   232,
     542,   463,  4420,   192,   416,  1030,  5047,  1039,  5850,   505,
     452,  5743,   238,   182,    70,  1188,  4080,   542,   348,   425,
    5061,  1164,    78,    79,   238,   425,  5742,   435,   145,   274,
    1994,   542,   528,  5915,   405,   542,  5061,   533,   534,  3357,
     533,   534,   535,   536,   537,   538,  3791,   261,  3711,   452,
     106,   107,   324,  4227,   328,  1053,  3001,  1055,   533,   534,
     206,  4365,   385,   114,   452,   385,   280,  1159,   498,   531,
     261,   156,   116,  1136,  1167,  3675,   219,  1140,   342,  2653,
     523,   195,   544,  2211,   253,   274,   412,  1085,  1086,   489,
    5822,  1132,   435,  1134,  2178,  1134,  1269,  1129,  1130,   542,
      74,    75,    76,    77,  1136,   874,  1138,    81,  1140,   397,
    3325,  5007,   280,   198,   234,   385,  5012,   161,    98,  5015,
     408,   110,   410,   533,   534,   451,   452,  1159,   192,   280,
     216,   544,  1164,   241,  1166,   123,   280,   452,  2288,   428,
    5003,   379,   874,   385,   313,    80,   266,   316,  5442,  4959,
      85,    71,   249,  2624,    74,    75,    76,    77,   141,   325,
      80,    81,   463,    70,  5404,    85,  1994,    74,    75,    76,
      77,    78,    79,   418,    81,  4907,  5217,   428,   385,  5403,
     468,   237,  5455,   239,  2338,  2339,  5452,  1212,   232,   348,
     486,  3695,   278,   385,  1226,  1227,  5436,  3701,   187,   385,
     346,  5747,  5748,   394,   187,  5450,  1231,   398,   259,   422,
     274,  5435,   486,  3318,   337,   545,   542,  1159,   535,   536,
     537,   538,  4655,   340,  4875,   337,   206,   337,   325,  1263,
     187,  1263,   232,  4696,   425,  1314,  1315,   463,   361,   484,
      98,   240,    98,  2371,  2372,   132,   104,   416,   182,   361,
    2378,   361,   398,   399,  1279,   166,  2384,  2385,  2386,   242,
     365,  2276,   348,   400,   102,   408,  2394,  2395,   256,  2245,
    2411,  2399,   486,   261,   359,   182,   108,   327,   542,   425,
     394,  2257,  1314,  1315,  3788,   428,   533,   534,   535,   536,
     537,   538,  2268,    98,  2294,   484,   240,    71,    78,   104,
      74,    75,    76,    77,   542,   100,    80,    81,  1435,   297,
    1342,    85,   420,  2217,   505,   420,  2331,  1349,   486,   253,
    2335,  1353,  2337,   189,   159,  2340,   121,  2243,  5317,  5623,
      70,   192,   546,   244,   233,   486,  5882,   528,    78,    79,
    1372,  2254,   486,  3033,   327,   453,   253,  2201,   206,   332,
     206,   456,   187,   458,   523,  1387,   235,  2507,   524,   348,
     408,    71,  2266,   201,    74,    75,    76,    77,   368,  2293,
      80,    81,   457,  5438,   343,    85,  4634,   357,  5762,   313,
      74,    75,    76,    77,   164,  5281,   545,    81,   220,   410,
     373,   311,   478,   490,   314,   125,   192,   156,   355,  1431,
     344,   206,   187,  2557,  1136,   388,   313,   471,  1140,   316,
     206,   410,   332,   274,   394,  4596,   426,   346,   158,   542,
     484,   310,  1700,  4601,   425,  2253,  2254,  2391,   357,  4607,
     542,   342,   542,   240,   156,   356,  4465,  5247,   325,   198,
     496,  5482,   430,   156,  1476,   425,   313,   468,   178,   316,
     425,  2591,  1563,   451,  1565,  5749,  1560,  1568,   187,  1570,
    5754,   418,  1573,  1574,  1575,   394,   332,   466,   442,   443,
     210,   251,  5513,   472,  2611,  1586,   198,  5099,  1878,  2810,
     275,  1878,   416,   238,  1516,   198,  2611,   485,  5513,  1600,
     401,  1602,   327,   111,   542,   452,   479,   396,  1530,   357,
     444,  1800,  1801,  2736,  1803,  5099,   261,  1539,  1540,   416,
    1542,  5895,   130,   400,  1539,  1540,  2855,  1542,  1550,  5068,
     463,  1800,  1801,   102,  1803,   280,  1558,  5821,  1788,  5522,
    5523,  3041,   542,  1558,  5344,   492,   394,   344,   425,  5349,
    5350,   510,   531,   273,   545,  3490,   394,   332,   505,   416,
     505,   540,   357,   542,   543,   544,   545,   418,   332,   156,
    5184,   179,  1594,  2391,   304,   874,  1607,   425,   497,  3593,
     545,   528,   125,   152,   370,  4027,  1608,  2810,  1610,  5620,
     287,   160,  1314,  1315,    22,   542,  4331,  5881,   465,   394,
     545,  3892,  4375,  1625,   505,   325,  1628,   542,   327,   379,
     359,   198,   545,   166,  2943,   385,   425,  1639,  2290,   188,
    2843,   189,  5161,   533,   534,   463,   523,   357,   189,  5913,
     425,  4366,  5916,   484,   191,   178,   452,  2966,  2967,  2968,
    2969,   239,   543,    71,   486,   546,  1668,   359,   332,  2978,
     357,   159,   199,  2876,  1817,   263,   359,   238,  3919,  3920,
    3921,  3922,   209,  2653,  3925,  3926,  3927,  3928,  3929,  3930,
    3931,  3932,  3933,  3934,  1696,  1697,  1698,  4439,  1700,  4441,
     261,   133,  2795,  2796,  2814,   254,  2799,   394,   396,   141,
    1712,   244,  2822,   412,   414,  2825,   265,  4287,  1720,   280,
     542,  4291,  4292,   311,  4294,  3833,   314,   268,   457,  4203,
     111,  1742,  1743,  1742,  1743,   238,   284,   325,   425,   286,
    3981,  3982,  5753,   253,   281,   455,   542,   457,   228,   130,
     273,   191,  5155,  4227,  1756,   243,   545,  1759,   261,   408,
     286,   486,  1764,  1765,  1759,   457,  1828,  1829,   356,  1764,
    1765,   408,  1774,  1775,   457,   546,   264,   280,   325,   327,
    3613,   410,   360,     2,   325,   218,   327,   166,  2734,   533,
     534,   440,   359,   119,   189,   531,    25,  5418,   179,   325,
    1802,  5320,   325,   313,  1806,  1807,    35,  2693,   544,   342,
    5329,   399,  2695,   301,   140,  5826,  1878,   505,   298,  1821,
     167,   546,  5416,  1885,  5787,  1827,  1828,  1829,     5,   262,
     357,   419,   216,  1930,   382,  1846,   463,  1846,  5432,   468,
     528,   281,  5230,   356,  1839,  1840,  1848,   484,    25,  2942,
     372,   439,   241,   431,   534,   542,   382,   545,    35,   347,
     874,  4939,  2686,  1775,  2962,   244,  3427,   394,   401,   301,
    1865,  1866,   545,   181,   187,  5469,  1878,    84,   243,   233,
      87,   428,   263,  1885,    91,    92,    93,  1889,   356,   284,
     457,   414,   239,  2606,  1896,   444,  3771,  2695,   201,  3774,
     203,   255,   428,  5336,  1906,  2048,   416,  1909,  3309,   138,
     463,  1913,   425,    84,   298,  1827,  1828,  1829,   545,  3017,
      91,    92,    93,   270,   372,   486,    89,  5330,  5630,   201,
     311,   203,   327,   314,  4676,  4677,   301,   484,   285,   357,
    1935,   254,  2996,   465,   325,  1947,  2805,   166,   295,  2733,
    1945,  4666,   149,  1955,   233,   543,   264,   425,   484,   394,
    3319,   138,   159,   179,   357,   244,  1878,   161,   456,   188,
     458,  5226,   505,  1885,   321,   356,   394,  5055,   531,  5057,
     468,   239,   261,   486,  1896,   546,   508,   382,  1990,   228,
     425,   479,  3102,   463,   482,   342,  4842,   307,  4861,  2003,
     486,   394,   357,   166,  2008,  5599,  3400,   425,  5629,   203,
     543,  2013,   270,   546,   327,  2874,   190,   465,   399,  2014,
    2804,   249,  2017,  2018,   413,   188,     8,   285,   205,    11,
      12,   420,   425,  4879,   337,  3005,  1775,   295,   419,   434,
      22,    23,    24,   546,    26,    27,   189,   276,    71,    31,
      32,    33,   190,    87,   261,   327,   542,   404,   439,   298,
     508,   531,    85,   141,   453,   337,   357,  3005,  2072,   147,
     425,  2073,  2076,  1775,   544,   282,  5464,    74,    75,    76,
      77,   159,  4323,   257,    81,   474,   408,   418,  3058,  2873,
     233,   456,  2094,   458,  4120,   311,  3194,   325,   314,   276,
     339,   158,  2206,   394,   412,   386,  2101,  2109,  3206,   187,
     399,   189,   546,   147,  3099,   179,  2118,   482,  4833,   257,
    3058,   452,  5525,  2125,   403,   268,  2128,   230,  2130,   357,
     452,    70,    71,  3296,   425,  5096,   425,   344,   419,   486,
    3238,  5735,   199,   451,   452,   455,   404,  2149,  2518,  5423,
     486,  2518,   209,    98,    70,  2157,  2364,  1896,   348,   104,
      70,   492,    78,    79,   242,  3390,   394,  2169,    78,    79,
     234,   452,   482,   344,  4596,   548,  5137,   927,  3276,  4601,
    4174,  2294,   325,  2185,   327,  4607,   408,   290,   410,    99,
     268,  3752,  4907,   238,  1896,   505,  2198,   507,   180,  2201,
    3310,  3762,   266,  2205,  1906,  2348,   542,   540,   149,  2211,
    3476,   542,   243,  2125,   547,  2217,   261,   498,   159,  2293,
     505,  5815,  2303,    40,  2305,   415,  4612,  2229,  2309,  2003,
    2311,  3307,   542,  2314,  2008,  3501,  4806,  2318,  4808,  4809,
    2242,  2243,  4812,  2245,  2246,  1947,   468,   311,   158,   327,
     314,  3961,   505,   505,   332,  2257,  4166,  5512,  3144,    50,
     545,   206,   490,  2265,  2266,  5886,  2268,  2269,   486,  4377,
     301,   187,  2363,  2370,  3477,   528,  5679,    68,   357,  2356,
    2282,  5875,  2356,  2285,  2356,   505,  2356,  2282,  1038,  1039,
    2285,   228,  2294,   545,    16,   373,   233,  4172,  2072,  4174,
     357,   211,  2076,   394,    84,   382,   357,    87,   528,  3874,
     388,    91,    92,    93,  3138,   394,  3250,  2356,   395,  4152,
     357,   381,   529,   530,   531,   545,   533,   534,   535,   536,
     537,   538,  2334,   390,   425,   332,   318,   394,   540,   456,
    3310,   458,   544,   394,   421,  5060,   425,   386,  3551,   409,
     507,   261,  5067,   276,   105,   386,   266,   394,   529,   530,
     531,   298,   533,   534,   535,   536,   537,   538,   425,  2371,
    2372,   528,  4398,  3086,  4207,  2377,  2378,   127,   129,  4089,
     419,  2383,  2384,  2385,  2386,  3744,  2125,   369,  2390,  3698,
    2392,  2393,  2394,  2395,  2396,  2397,   146,  2399,  2536,  2401,
    2402,   479,   339,  2405,  3811,  3812,    70,  2520,  4639,  3705,
     160,   327,  3287,   452,    78,    79,   332,  2419,  2420,  2421,
    2422,  2423,  2424,  2125,  1174,   456,  2428,   458,   375,  4698,
    2432,   243,  3417,  2435,  5176,  4704,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,   336,  2448,  2655,   201,  2657,
     203,   482,  3250,   363,  2456,   507,  2518,  2459,  2147,   498,
     357,   240,   212,  5866,   468,   342,   329,   498,  3414,  3415,
     347,   216,  3347,   226,  3444,    87,   528,   238,    74,    75,
      76,    77,  2171,   228,  4906,    81,  4401,   507,   233,   301,
     542,   473,   271,   390,   158,   405,  1775,   394,   310,  4383,
     261,   399,   282,   545,   116,   398,  3444,   549,   528,   357,
     338,  2573,  2424,  2575,   342,  2653,  2518,    84,  2520,   125,
      87,  2523,   542,  2562,    91,    92,    93,   425,   425,   327,
    5785,  3329,   425,   278,   332,   147,    74,    75,    76,    77,
     450,   108,  2646,    81,   233,     2,   394,   211,  1827,   228,
     398,   100,   498,   298,   233,   418,  4117,  4118,    74,    75,
      76,    77,   168,  2706,   344,    81,   255,   477,   233,   505,
    5140,  2573,   121,  2575,   327,   485,  5831,   425,   488,   332,
     418,   537,   380,   398,   337,  3695,   542,   193,   544,   452,
     255,  3701,   528,  2595,   339,  2606,  2591,   415,  5676,   201,
     342,   203,   266,   348,   210,   347,  2518,   505,   214,   543,
     425,  2613,   546,  2615,   452,  2617,  2611,  1896,  2613,   298,
    2615,   288,  2624,  3569,   226,  5099,  2628,  2629,   234,   492,
     528,   237,    89,  2635,   535,   536,   537,  3583,  2640,  2641,
     323,    34,   505,  2645,   456,   251,   458,   545,   546,  1807,
     537,  2653,  2795,  2796,   492,   542,  2799,   544,   341,   216,
     339,  2573,   540,  2575,   542,   528,   544,   505,   312,  2671,
     482,   228,  2674,    70,   545,  5930,   233,  3731,   549,   542,
     543,    78,    79,   546,  2686,  2424,  1306,   167,  2690,   541,
     528,  2693,   541,   545,   468,   152,   545,  2801,   542,   363,
    2702,   158,   543,  1323,   542,   546,  1326,  4101,   533,   534,
     535,   536,   537,  2715,  4955,   282,  4710,   470,   543,   138,
     139,   278,  2424,   545,   546,  2727,   332,   480,  2640,   186,
     332,  2733,  2734,   478,   340,   337,   332,  3707,   468,  3709,
    2742,   298,   408,   409,  3205,  5219,  3207,  3208,   396,   529,
     530,   531,   415,   533,   534,   535,   536,   537,   538,   239,
     310,  1775,  2764,  2765,  2403,  3858,  2768,  2406,  4051,  3707,
     310,  3709,   288,  3883,   380,   163,  3722,   344,  3724,   456,
     264,   458,   339,   542,  4694,   544,   543,  2789,   545,  2791,
     270,   348,   355,    84,   332,  2797,   543,    71,   545,  2942,
    2802,   547,  2804,  2805,   312,   285,  2808,   540,   255,   542,
    1560,  1030,  5375,   477,  5377,   295,  3914,  3787,  5381,  2814,
    5383,   485,   468,   543,   488,   545,  2828,  2822,   545,   546,
    2825,  2833,  1051,   155,  1053,  2837,  1055,  2948,  2840,   408,
     409,   321,  1061,  1062,  1063,   543,  2125,   545,  2850,  3787,
    3948,   505,  2764,   507,   129,   418,  2768,   498,  4021,  4022,
    4023,  2863,  3847,   543,  5427,   545,  1085,  1086,   470,   307,
     415,  2873,  2874,   307,   542,   288,   544,  4173,   480,  2791,
      89,    90,  1896,   307,   307,  1635,   548,  4597,  1051,   452,
    1053,   543,  1055,   545,   543,  3993,   545,  3695,  1061,    85,
     543,  2640,   545,  3701,   543,  1655,   545,  4018,   543,   543,
     545,   545,   106,   107,   542,  5630,  2918,  2919,   542,  4144,
    4630,   478,  1085,  1086,   404,   342,  2928,  3873,  2840,   492,
     543,   412,   545,  2935,   545,  1685,    70,    71,  2640,   543,
      70,   545,   505,  2945,    78,    79,  3194,   129,    78,    79,
    1700,    85,   498,   533,   534,   535,   536,   537,    89,    90,
    2962,   541,   529,   530,   531,   528,   533,   534,   535,   536,
     537,   538,   166,   307,   412,   543,   496,   545,   412,   542,
    2982,   119,   505,   540,   507,   544,   543,   544,   412,   412,
    3238,   284,   186,  1212,   525,    74,    75,    76,    77,  3001,
     345,  4297,    81,  3005,   543,  5246,   545,    84,   345,   543,
      87,   545,  1231,   342,  4280,  3017,  2928,   455,   543,   463,
     545,   455,   233,   328,   329,  2727,   220,   525,   158,  2768,
     342,   455,   455,   119,  5456,    74,    75,    76,    77,   116,
     525,   543,    81,   545,   482,   166,   123,   284,   482,  1212,
    1800,  1801,  2791,  1803,   545,   543,  3058,   545,   482,   482,
    1279,   345,  2764,  1226,  1227,   186,  2768,   505,  1231,   507,
     147,   505,   543,   507,   545,  3086,   535,   543,   412,   545,
     210,   505,   505,   507,   507,    74,    75,    76,    77,  2791,
    4531,   237,    81,  4203,  3281,  3282,  3283,   542,   129,   220,
    2802,  2840,   543,  3351,   542,   238,  3108,  3102,   542,   546,
     543,  2125,   545,   418,   543,   280,  1279,  4227,   542,   542,
     542,   455,  3124,   543,  3126,   545,   535,   543,  4003,   545,
     548,  4006,  3134,   456,   548,   458,  3138,   214,  2840,  3141,
     276,  3287,  3144,   463,   111,  2424,   463,   452,   482,   212,
     463,   307,  3154,    74,    75,    76,    77,   456,   542,   458,
      81,   463,  3164,   130,   111,   129,   307,  3169,   543,   463,
     545,   505,   276,   507,   304,    74,    75,    76,    77,   256,
     463,   543,    81,   545,   261,   282,   543,   492,   545,  2928,
    3192,  3193,  3194,   542,   544,  3197,   390,   543,   509,   545,
     505,  3347,   542,  3205,  3206,  3207,  3208,   543,   542,   545,
     542,  3213,   179,   394,   261,   672,  3218,  3219,   221,  3221,
     297,  3223,   221,   528,   418,   544,  2928,   357,   543,   543,
     545,   545,  3234,  3235,   542,  2393,  3238,   542,   221,   342,
     543,  4116,   545,  2401,  5485,   543,   261,   545,  3325,     7,
    3252,  3325,  3254,  3325,  3256,  3325,   412,   543,   452,   545,
     342,    19,    20,   543,   394,   545,   131,   344,   398,   390,
     543,   412,   545,   261,  3276,   242,   221,   505,   307,   507,
      38,   394,   543,    41,   545,  3287,  3325,  3289,  3290,  3291,
    4851,   543,   543,   545,   545,   425,   263,   418,   492,   455,
     165,  3213,   496,    74,    75,    76,    77,  3219,  3310,   342,
      81,   505,  3314,   233,   455,  3310,   543,  5201,   545,   221,
    1539,  1540,   394,  1542,  3326,   455,   482,   457,   546,  3331,
     195,   452,   189,   296,   528,  3337,   543,   486,   545,  1558,
     543,   482,   545,  4453,   311,  3347,   342,   314,   542,   505,
     543,   507,   545,   430,   543,   543,   545,   545,   325,   224,
     543,  2640,   545,   543,   505,   545,   507,   543,   543,   545,
     545,   492,   543,   312,   545,   505,   543,   543,   545,   545,
     543,   542,   545,   412,   505,   468,   542,  3389,   336,   356,
    3392,    84,  3394,   258,    87,  1558,   415,  3399,    91,    92,
      93,   542,  4348,  4349,   162,  4203,   543,   528,   545,  1178,
    2424,  1180,  3414,  3415,   543,   108,   545,   543,  3420,   545,
    4518,   542,  4584,   116,  4586,   543,   455,   545,   293,  4227,
     123,   543,   399,   545,   233,   543,   307,   545,   543,  3441,
     545,   543,  3444,   545,   202,   543,  3448,   545,   543,   526,
     545,   288,   419,   482,   147,   498,   533,   534,   535,   536,
     537,   538,   327,  3465,  4449,  4450,  4451,   924,   543,   543,
     545,   545,   439,   543,  3213,   545,   505,   307,   507,   543,
    3219,   545,   543,   543,   545,  2764,   542,   141,  3490,  2768,
    4365,   327,   357,   358,   543,   543,   545,   545,   543,   543,
     545,   545,   543,   543,   545,   545,   543,   543,   545,   545,
     111,  3213,  2791,   542,   327,   342,   543,  3219,   545,   543,
     543,   545,   545,  3525,  3526,  3527,  4625,   509,   542,   394,
     987,   988,   543,   398,   545,   233,   543,   402,   545,   327,
    1759,   412,   119,  2293,   409,  1764,  1765,  3549,   543,   543,
     545,   545,   417,   543,   119,   545,   543,  3559,   545,  3561,
     425,  2840,   543,   256,   545,   327,   473,  3569,   261,   543,
     327,   545,   437,  1030,   158,   357,   498,   155,   233,   498,
     445,  3583,   412,   376,   455,   547,   221,   221,   542,   282,
     283,   221,  4702,   542,   495,   369,  1759,   221,   542,   110,
     542,  1764,  1765,   509,   297,   221,  2356,   221,   545,   221,
     221,   482,  5853,  3525,  3526,  3527,   221,  5858,  1837,   221,
    1839,  1840,   221,   233,  3989,   455,  2640,   221,   221,   221,
     221,   342,  1089,   452,   505,   500,   507,   330,   542,  1858,
    3642,   111,   342,   296,   233,   233,  1865,  1866,   542,  2928,
     542,   344,   482,   542,   347,   542,   542,   233,   542,   542,
    3662,   542,   542,   542,   542,   542,  1123,   542,  3670,   542,
     542,   542,   542,   542,   542,   505,  1133,   507,   542,  2429,
    1137,  1138,  1139,  4617,   542,  1848,   542,   542,   542,  3801,
     542,   542,  3694,  3695,  3798,   542,   542,   542,  3700,  3701,
    3695,   506,   353,   545,  4579,  3707,  3701,  3709,  4583,   280,
     545,   111,   542,   170,   280,  3858,  1935,   296,   282,   111,
    3722,   233,  3724,   233,  5718,   535,  1945,  3766,   337,   425,
    3732,   339,   276,   416,   316,   186,   545,   430,  3777,  3987,
     485,   545,   531,    14,  3746,  4691,   542,   545,   542,   463,
    2764,   542,   412,   463,  2768,   463,   497,   463,  4006,   544,
     412,   463,  3801,   412,   463,   298,   463,  4865,  3770,  1226,
    1227,   463,  1935,   463,  1231,   531,   159,  2791,   221,   412,
    4834,   342,  1945,   342,   293,  3787,  3788,   463,  3700,   417,
    3801,  4776,  4777,   463,  4779,  2014,   332,   463,  2017,  2018,
     485,  3803,   342,   342,   408,   455,   337,   542,  3995,  3996,
    3997,  3998,  2562,   254,   542,   463,   463,   159,   545,  4617,
     357,  4767,   261,  3525,  3526,  3527,  2840,   221,  5372,   486,
     486,  3833,   463,   526,  3746,   452,   529,   530,   531,   452,
     533,   534,   535,   536,   537,   538,   181,   129,   463,  3851,
     129,  2014,   545,  5149,  2017,  2018,   463,  4003,   318,  5022,
    4006,   346,   412,   101,   379,   463,  5029,   463,   463,   361,
     361,  3873,   118,   463,  3876,   455,    84,   463,   463,    87,
     463,   118,  2101,  5363,   412,  5365,   545,   282,  3883,   463,
     463,   463,  3894,   463,   463,  3897,   463,   342,   282,   505,
     463,  3903,   282,   463,   282,   342,   509,  3909,   116,  3911,
     342,   149,  3914,  4859,  2928,   123,  3918,  3919,  3920,  3921,
    3922,  5041,   342,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,  3934,   282,  3213,   282,  3938,  3939,  2101,   147,
    3219,  3943,   282,   181,   463,   542,  3948,   473,   111,   221,
    3952,   100,  3954,   342,  3956,   221,   327,   187,   505,   486,
     221,  3700,  3964,   221,   221,  3967,   204,  3969,   497,   342,
    4116,  2190,   304,   337,   327,  3977,  3978,   215,   111,  3981,
    3982,   327,   327,   233,  3986,  3987,   542,   111,   288,  5099,
     544,  3993,   414,   542,   110,   461,  2215,   235,  3700,   461,
     463,  4003,   240,   221,  4006,   540,  2225,  3746,  2227,   463,
    5571,  5572,   221,   486,  2233,   540,   221,  4019,  2237,  5563,
     221,   486,   221,  4025,  4026,  4027,    14,   545,   336,   463,
     331,   238,   501,   318,  3192,  3193,   542,   318,    87,  3197,
     545,   542,  3954,   461,  3746,   542,   463,   247,   256,   229,
    5174,   289,   238,   261,   531,   545,   465,   545,   547,   543,
     254,  4431,   254,  2282,  4431,   278,  2285,   542,   428,   545,
    4072,   286,   310,  1530,   343,   486,  3234,  3235,   545,   111,
      34,    10,  1539,  1540,   543,  1542,  4088,   543,   350,   297,
     129,   543,   412,   542,   463,  4233,   486,   286,   286,   332,
     332,  1558,  4104,  5266,   463,   463,   312,   542,   415,   288,
     498,   468,   233,   332,  4116,   223,   342,   119,   434,   223,
     296,   296,   296,   327,   408,  5000,   340,   463,  5062,   455,
     342,   545,  5007,   255,   394,   422,   344,  5012,   376,   342,
    5015,   379,   463,   382,   463,  4147,   111,  1604,   282,  5710,
     288,   378,   486,  5251,  5100,   486,   340,   264,   221,   531,
     337,  2380,  2381,   531,   233,   498,   111,   405,  2387,  2388,
     453,  1628,  5047,   235,   412,   337,  5110,   379,   422,   542,
      84,   419,   220,    87,   221,   221,  5061,    91,    92,    93,
     542,   221,   337,   505,  5292,  4197,   327,  2416,   111,  3213,
    4202,  4203,  4204,   342,   108,  3219,   342,   327,  4203,   447,
     288,   536,   252,   233,   452,  3954,   111,   455,   252,  4365,
     543,   525,   430,  5109,  4226,  4227,   540,  5110,   525,   316,
     543,   288,  4227,   543,   543,   473,   233,   543,   261,   422,
     342,  4243,   261,   261,   509,  1702,  3525,  3526,  3527,   545,
     545,   545,  3954,  2472,  1711,    99,  4258,   238,  5802,  4261,
     498,   245,  5372,   315,  5062,  5151,   463,   542,  1725,   505,
     342,   545,   129,   468,   452,   336,   498,   288,   238,   543,
     543,   362,  5583,   353,   543,  4197,   238,   543,   543,  5274,
    4202,   543,  4204,   463,   543,   542,   525,   545,   543,  1756,
    5285,  5099,  1759,  1760,   352,   306,   502,  1764,  1765,   543,
    4305,  4306,  5110,   484,  4226,   543,   527,  2536,   526,   543,
     543,  4323,   542,   129,   492,   533,   534,   535,   536,   537,
     538,  4243,   542,   502,   342,   342,   345,   342,   264,   221,
     463,   531,  5217,   332,   542,   509,  4348,  4349,   463,   542,
    4352,   542,   463,   272,  4393,   327,  4358,   463,   531,   546,
     545,   543,   221,  4365,   545,   221,   346,   417,   221,  4431,
     111,   543,  2591,  2536,   417,  4377,   542,   542,   282,   296,
     264,  5479,  5367,   223,   417,   531,   463,    84,   486,   130,
      87,  1848,  2611,   545,  2613,   298,  2615,   363,  5496,  4401,
    4402,  4403,  5372,  5501,   363,  5503,  5281,   483,   463,  4448,
     463,   233,   463,   412,   308,   308,   463,   308,   463,   116,
     412,  3700,   463,   221,   342,   412,   123,   412,  2591,  4431,
     327,   425,  2595,  4579,  2653,   463,   463,  4583,   179,   180,
     344,   463,   463,   118,  3194,  4653,   187,   463,  2611,   463,
     147,   463,   282,   463,  4456,   282,   282,   282,  4453,   249,
     543,   543,   233,  4202,   119,  4204,   545,  3746,   396,   473,
    5524,   180,   543,   233,   340,  4477,   542,   545,   543,   342,
     111,   221,   221,   233,   463,   249,  4488,  4226,  3238,   233,
    2653,   486,   412,   486,   345,  4197,   542,   541,   412,   422,
    4202,   242,  4204,   412,  4243,  3255,   219,   219,  5493,   282,
     545,  3525,  3526,  3527,   282,   282,  4518,   214,   212,  4431,
     282,  3271,   263,   282,  4226,   282,  4528,  4529,   238,  4531,
      87,   233,   545,  4535,  4536,   353,   497,  3287,  4540,  4541,
     540,  4243,   238,  4545,   348,   543,  4548,  4549,  5423,   502,
     238,  4553,   543,   543,   247,   528,   542,  4559,   343,   256,
     543,   543,   401,   531,   261,   542,   542,   545,  4706,  4571,
     311,   545,   543,   314,  2031,  3325,   545,  4579,   541,   543,
    2037,  4583,   157,   491,   325,   543,   327,  5521,  4627,  4628,
     531,   542,   473,  5563,  4596,  2814,   233,  3347,   111,  4601,
     297,  3351,   288,  2822,   272,  4607,  2825,  5482,   486,   486,
     129,   463,   455,   221,   242,   356,   417,  4612,   542,   473,
     412,   463,   463,  4625,   412,   529,   530,   531,   463,   533,
     534,   535,   536,   537,   538,   463,   543,  4639,  5513,   463,
     394,   543,   543,   542,  4639,   505,   129,   344,   455,   233,
     223,  2814,   147,   221,  4656,   492,   180,   473,   399,  2822,
     543,   282,  2825,   282,   282,   282,   542,   267,   542,   377,
     286,   509,  4674,    84,   463,  3954,    87,   342,   419,   543,
      91,    92,    93,   545,   389,   361,  3700,   545,   153,  4691,
     455,   473,   542,   463,  4696,  2152,   545,   108,   439,  2156,
     441,    84,   422,   444,   244,   116,   180,  4702,   542,   545,
    4712,   543,   123,   238,   543,   282,   238,   387,    84,   542,
     541,    87,   129,  5521,   543,   503,  4728,   503,   543,   353,
     543,  4733,  3746,   430,   545,   543,   147,   542,  4740,   542,
     285,   351,   285,   454,   349,  5620,   542,   129,   250,   543,
     116,   337,   543,   238,  4756,   473,   543,   123,   505,   531,
     463,  3919,  3920,  3921,  3922,  4767,   147,  3925,  3926,  3927,
    3928,  3929,  3930,  3931,  3932,  3933,  3934,   266,   255,   332,
     332,   147,   531,   129,  4696,   463,   455,   545,   141,   545,
     463,   463,   221,   240,  3952,   282,  4798,   542,   238,   187,
     111,   542,   486,  5689,   261,   337,   542,   422,   111,   486,
     235,  3030,  3031,   233,   337,   422,   505,   129,   505,   111,
    4822,   238,   342,  3981,  3982,  2282,   542,   233,  2285,   526,
     269,   345,  5802,   238,  4836,   280,   533,   534,   535,   536,
     537,   538,   543,   542,   542,   256,   387,   491,   214,   438,
     261,   543,   543,   361,  5000,   285,   504,  4859,   543,   542,
     542,  5007,   542,  4865,   159,   202,  5012,   342,   463,  5015,
     388,   282,   283,  5759,  5760,   111,   543,   221,  5753,   542,
     463,   542,   542,  3102,   542,   542,   297,   194,   233,   111,
     256,   332,   254,   309,   264,   261,   542,   377,   543,   542,
     180,  5047,   207,   501,  4906,   422,  4908,   111,   543,   346,
     409,   409,   473,   543,   129,  5061,   129,   531,  4197,   330,
     436,   436,   111,  4202,   150,  4204,  2383,   491,   455,   542,
     542,   297,   543,   344,   543,   254,   347,  4939,   542,  3102,
    3954,   542,   545,   542,   486,   233,   455,  4226,   325,   542,
     342,  5826,   455,  4955,    81,   543,   227,  4959,   509,  5040,
     542,   220,  4964,   542,  4243,   141,   345,   141,   202,   505,
     505,    84,   387,   542,   545,   111,   542,   425,   344,  4981,
    4982,   491,   238,  4985,   490,   455,   385,   207,   266,   332,
     502,   342,   342,   542,  4696,    98,   422,   111,  5000,   111,
     240,   104,   377,   345,   345,  5007,   543,   240,   542,   129,
    5012,   542,   545,  5015,  5016,   543,  3766,   463,   408,   430,
     192,  5023,  5024,   484,    81,    78,   422,  3777,   408,   349,
     395,    84,   543,  2490,    97,   542,    89,   542,  5033,   131,
     108,   542,   145,   332,  5292,  5047,   238,  5049,   545,   545,
     542,  3801,   220,  5055,   463,  5057,   150,  5943,  5944,  5061,
     377,   505,   436,   116,   430,   436,   542,   505,  3310,    84,
     240,  5217,    87,   165,   240,   385,    91,    92,    93,  2946,
    1315,  1765,  2075,  1314,  2777,  2843,  3305,  3501,  4176,  3308,
    4202,  3310,   195,   108,  5869,  5700,   199,  5099,  5100,  3691,
    2868,  4299,  5385,   206,  5099,  5561,   209,  5109,   161,  5802,
    4346,  5201,  4824,  5173,  1275,   526,  3421,  3091,   529,   530,
     531,  5683,   533,   534,   535,   536,   537,   538,  5061,  5791,
    5590,   234,   224,  5591,   545,  5281,  5720,  5826,  2595,  5178,
    4394,    84,  3425,  5145,    87,  5530,  4379,  3310,  4337,  5151,
    2931,  4197,  3526,  2931,  2611,  3742,  2613,  1311,  2615,  5180,
     526,  4362,  4860,   266,  3754,  4323,   258,   533,   534,   535,
     536,   537,   538,   116,  5804,  5214,  2925,  5942,  5188,   232,
     123,  5927,  5166,  4197,  3700,  3694,    84,  5733,  4202,    87,
    4204,  5112,  2138,    91,    92,    93,  2653,  5347,  5539,  5115,
     188,   293,  5204,  4456,   147,  1611,  5316,  4401,  1595,  5456,
     108,  3399,  4226,  2198,  2629,  5217,  2359,  5219,  1385,  2253,
    1020,  2360,   325,  3645,   327,   988,  4226,  2359,  3746,  4243,
    4243,  5758,  5918,  5145,   337,   327,  1913,  3987,  1153,  2520,
    2294,  4381,  2521,   346,  5246,  5247,  5043,  5249,  4629,  5251,
    5675,  4086,  3326,  4003,   357,  1553,  4006,  1736,  3074,  2560,
    1792,  3337,  1810,  1809,  3332,  2722,   358,   282,  4030,  5271,
    5667,   214,  5505,  4610,  2559,  5277,  4006,  5423,  1812,  5281,
    4568,  4585,  5282,  4003,  5482,  5287,  5481,  1817,  4087,  4003,
    5292,   394,  5775,  5922,   397,   398,  5856,  5657,  5249,  3956,
    5031,  5670,  5650,  5671,  3255,  2453,   398,  3165,   400,  3314,
     402,  3253,  2456,   256,   672,  3798,  3006,   409,   261,  2595,
    1439,  5641,   425,  1823,   394,   417,  2192,  1829,  1032,   344,
    2570,  1607,  2603,   425,  5336,  3304,  5482,  1249,  2604,  1229,
     393,  1229,  5344,  2611,  4093,   437,  4611,  5349,  5350,  4094,
    4057,   427,  5354,   445,   297,  1827,  2615,  1739,  3087,     2,
    5041,    -1,  2323,    -1,  5359,  5360,    -1,  5513,    -1,  1064,
    5372,    -1,    -1,    -1,    -1,   428,    -1,  5372,    -1,  1539,
      -1,    -1,    -1,    -1,   282,    -1,   489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5433,    -1,    -1,    -1,    -1,  5401,
      -1,   344,    -1,    -1,    -1,    -1,  5145,    -1,   500,  2866,
      -1,    -1,    -1,  4571,    -1,    -1,    -1,  4696,    -1,    -1,
      -1,  5423,    -1,    -1,  5336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2889,    -1,    -1,  2892,    -1,  2894,    -1,    -1,
      -1,  2898,    -1,  5145,    -1,    -1,   344,    -1,    -1,    -1,
    2907,  2908,  2909,    -1,  5456,  5457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5467,    -1,    -1,    -1,    -1,
      -1,  5510,    -1,    -1,  5620,    -1,  3695,  5479,    -1,    -1,
    5482,    -1,  3701,  5485,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,  5496,    -1,    -1,    -1,    -1,  5501,
      -1,  5503,    -1,  5505,    -1,    -1,  3725,    -1,  2965,    -1,
      -1,  5513,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    84,  5531,
      -1,    87,  3695,    -1,   882,    91,    92,    93,  3701,    -1,
    2997,    -1,    -1,   891,    -1,    -1,    -1,    -1,  3005,    -1,
      -1,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,  5561,
      -1,  5563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   930,   526,    -1,  5833,    -1,    -1,    -1,  3808,
     533,   534,   535,   536,   537,   538,  3815,    84,    -1,    -1,
      87,  3058,    -1,    -1,    91,    92,    93,  5753,    -1,    -1,
    5612,    -1,    -1,    -1,    -1,  4365,    -1,    -1,  5620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   529,   530,   531,  5336,   533,   534,   535,   536,   537,
     538,    -1,    -1,  4393,   992,    -1,    -1,  5649,  5650,  5561,
      -1,    -1,    -1,    -1,  1002,  5657,  5658,    -1,    -1,  5661,
      -1,    -1,    -1,    -1,  3883,  5667,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,  5676,    -1,    91,    92,    93,    -1,
    5826,  5758,  4696,    -1,  5758,    -1,  5758,  5689,  5758,    -1,
      -1,    -1,    -1,    -1,    70,  5734,    -1,    -1,  4448,    -1,
      -1,    -1,    78,    79,    -1,  5700,    -1,  5702,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,  5758,
    3883,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,   111,    -1,  5739,    -1,    -1,
     116,    -1,  5744,    -1,    -1,    -1,  5658,   123,    -1,    -1,
      -1,  5753,    -1,    -1,    -1,    -1,  5833,  5759,  5760,  5833,
    5762,  5833,    -1,  5833,    -1,    -1,    -1,    -1,    -1,  5771,
      -1,   147,    -1,    -1,    -1,  5777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5788,    -1,   344,    -1,
      -1,    -1,    -1,    -1,  5833,   282,    -1,  4955,    -1,    -1,
    5802,    -1,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   874,  5561,    -1,  5826,   878,    -1,    -1,    -1,  4579,
      -1,    -1,    -1,  4583,    -1,    -1,    -1,    -1,   891,   892,
      -1,  5918,    -1,    -1,  5918,    -1,  5918,   900,  5918,    -1,
      -1,  5853,    -1,  3310,  5856,    -1,  5858,   344,    -1,  5561,
     913,    -1,    -1,    -1,    -1,    -1,  5145,    -1,    -1,    -1,
      -1,  4090,    -1,    -1,  5869,    -1,  5878,  4627,  4628,  5918,
     256,    -1,    -1,  5878,    -1,   261,    -1,    -1,    -1,   942,
      -1,    -1,    -1,  5895,    -1,   948,    -1,    -1,    -1,  5901,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,   961,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5658,
      -1,   297,    -1,  5925,    -1,  5927,    -1,   998,    -1,   344,
      -1,    -1,  5927,    -1,   987,    -1,    -1,    -1,    -1,    -1,
    5942,  5943,  5944,    -1,    -1,    -1,    -1,  5942,    -1,  1002,
    1003,  1022,    -1,    -1,   330,    -1,  5658,  1010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5878,    -1,   344,    -1,
    1023,   347,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,  4203,    -1,  1039,  3444,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,  1353,    -1,    -1,  4227,    -1,
      -1,    -1,    -1,    -1,  4233,  5927,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
    5942,    -1,    98,    -1,   123,    -1,    -1,    -1,   104,    -1,
    4203,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,   430,    -1,    -1,  5336,   147,    -1,
      -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,
    4233,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,   145,
      -1,    -1,    -1,  1431,    -1,  1138,  4305,  4306,  5246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1159,    -1,    -1,    -1,
      -1,    -1,    -1,  5271,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,  3581,    -1,    -1,    -1,    -1,    -1,
      -1,  5145,    -1,   199,    -1,    -1,    -1,    -1,    -1,  5878,
     206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,     3,    -1,   256,   234,    -1,
      -1,     9,   261,  1226,  1227,    13,  5878,    15,    -1,    17,
      18,    -1,    -1,    -1,    -1,    -1,    -1,  3644,  5927,    -1,
      28,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,  5942,    -1,    -1,    44,    45,   297,    -1,
      -1,    -1,    -1,  4432,  4433,  4434,  4435,  4436,  3675,    -1,
      -1,    -1,    -1,    -1,    -1,  5927,    -1,    -1,    -1,    -1,
    3687,    -1,    -1,    -1,  4453,    -1,    -1,    -1,  3695,    -1,
    5942,   330,    -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,
    3707,    -1,  3709,    -1,    -1,   344,    94,  5007,   347,   325,
      -1,   327,  5012,    -1,    -1,  5015,   104,    -1,   106,   107,
      -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,
     346,    -1,  5561,    -1,   122,    -1,    -1,    -1,    -1,    -1,
    4453,   357,    -1,    -1,    -1,    -1,    -1,    -1,  3755,    -1,
    1353,  1372,    -1,    -1,   142,    -1,   144,   145,    -1,    -1,
      -1,    -1,    -1,   151,    -1,   153,  1387,    -1,    -1,    -1,
      -1,    -1,  5336,    -1,    -1,    -1,   164,  5485,   166,  3786,
    3787,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,   181,    -1,   183,    -1,    -1,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3815,   425,
      -1,    -1,   200,    -1,   202,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,    -1,  5658,
      -1,    -1,   220,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,    -1,  4612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4639,    -1,   260,   489,    -1,    -1,    -1,    -1,  5178,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,
      -1,   299,   300,  1516,  5214,   116,    -1,   305,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,  1530,    -1,   317,
      -1,    -1,    -1,  4702,    -1,    -1,    -1,  4706,    -1,    -1,
      -1,   329,    -1,    -1,    -1,    -1,   147,    -1,    78,  5657,
      -1,    -1,    -1,    -1,    84,  1558,  3963,    -1,    -1,    89,
      -1,    -1,  4731,  4732,    -1,    -1,    -1,  4736,  4737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5281,    -1,   371,    -1,    -1,   116,  1608,    -1,  4702,
      -1,  1594,  5292,  4706,    -1,    -1,   384,  5561,    -1,    -1,
      -1,    -1,   390,   391,    -1,   393,    -1,  1610,    -1,    -1,
     398,    -1,    -1,   214,    -1,   403,    -1,    -1,   406,    -1,
      -1,    -1,  1625,   411,    -1,  1628,    -1,    -1,    -1,   417,
     418,   161,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    84,    -1,    -1,    87,  5878,
      -1,   439,    91,    92,    93,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,  5771,   452,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   209,
      -1,    -1,    -1,   471,   123,   473,    -1,   217,    -1,   219,
      -1,    -1,    -1,   481,  5658,    -1,   297,    -1,  5927,   487,
      -1,    -1,   232,    -1,   492,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,  5942,    -1,    -1,    -1,   505,    -1,    -1,
      -1,    -1,    -1,  5423,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    -1,  5433,    -1,    -1,    -1,    -1,    -1,    -1,
     528,    -1,    -1,   344,    -1,  5853,    -1,    -1,    -1,    -1,
    5858,    -1,    -1,  1756,   542,    -1,    -1,   116,   546,    -1,
      -1,  1764,  1765,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1775,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4203,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
    5510,    -1,    -1,    -1,   123,    -1,    -1,   256,    -1,    -1,
    4227,    -1,   261,    -1,  1827,  1828,  1829,  4234,    -1,   430,
    4237,    -1,  4239,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,   282,   283,  1848,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,   297,    -1,
      -1,    -1,    -1,   393,  5033,    -1,    -1,    89,    -1,    -1,
      -1,    -1,  4279,    -1,    -1,  1878,    -1,    -1,    -1,    -1,
    4287,    -1,  1885,    -1,  4291,  4292,    -1,  4294,    -1,    -1,
      -1,   330,  4299,  1896,    -1,    -1,    -1,   256,   428,    -1,
    2198,    -1,   261,  2201,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,  5878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,    -1,
    5099,    -1,   533,   534,   535,   536,   537,   538,   297,    -1,
      -1,    -1,    -1,    -1,  2242,  2243,    -1,   256,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5927,    -1,    -1,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,  5942,    -1,
      -1,    -1,    -1,    -1,    -1,   344,  5099,    -1,   297,    -1,
    4397,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,  4432,  4433,  4434,  4435,  4436,
      -1,    -1,    -1,    98,  5734,   344,  2334,    -1,   347,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   117,    -1,    -1,    -1,    -1,    -1,  5758,    -1,
      -1,    -1,  4469,  4470,  4471,    -1,  4473,  4474,  4475,   998,
    2073,   430,    -1,  2094,    -1,    -1,    84,    -1,    -1,    87,
     145,    -1,    -1,    91,    92,    93,    -1,   526,  2109,    -1,
     529,   530,   531,  1022,   533,   534,   535,   536,   537,   538,
     108,    -1,    -1,    -1,   543,    -1,    -1,    -1,   116,  2130,
      -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,   430,  2125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,  5833,   199,    -1,    -1,    -1,    -1,   147,
      -1,   206,    -1,    -1,   209,    -1,  2149,    -1,    84,    -1,
      -1,    87,    -1,    -1,  2157,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,  2169,   526,    -1,   234,
      -1,    -1,   108,    -1,   533,   534,   535,   536,   537,   538,
     116,    -1,    -1,    -1,  2205,    -1,    -1,   123,    -1,    -1,
    5359,  5360,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,   266,  4609,  5372,    -1,  4612,  4613,    -1,  2229,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,   526,  5918,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,  4639,    -1,   543,    -1,    -1,    -1,    -1,  2242,
    2243,    -1,  2245,  2246,  2265,  2266,  5359,  5360,   256,    -1,
      -1,    -1,    -1,   261,  2257,    -1,    -1,    -1,    -1,  5372,
     325,    -1,   327,    -1,    -1,  2268,  2269,    -1,    -1,    -1,
      -1,    -1,   337,    -1,   282,   283,    -1,    -1,    -1,    -1,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,  2294,   357,    -1,    -1,    -1,    -1,    -1,  5467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,   330,    -1,    -1,   261,    -1,    -1,    -1,   394,
      -1,  2334,   397,   398,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,   874,    -1,   282,   283,   878,    -1,
      -1,    -1,    -1,    -1,  5467,    -1,    -1,    -1,    -1,    -1,
     425,   297,   892,    -1,    -1,    84,    -1,    -1,    87,    -1,
     900,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   913,    -1,    -1,    -1,    -1,  2686,  4796,
    4797,    -1,    -1,    -1,   330,  2693,    -1,   116,  2419,  4806,
      -1,  4808,  4809,    -1,   123,  4812,    -1,    -1,   344,    -1,
      -1,   347,   942,    -1,    -1,    -1,    -1,    -1,   948,    -1,
    1349,  2424,   430,    -1,   489,    -1,    -1,    -1,   147,    -1,
      -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   987,  1387,    -1,
      -1,    -1,    -1,    -1,  4871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1003,    -1,    -1,    -1,    -1,    -1,    -1,
    1010,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  1023,   430,    -1,    -1,    -1,  4905,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1039,
      -1,    -1,    -1,   116,    -1,  2518,    -1,    -1,   526,    -1,
     123,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,  5700,    -1,  5702,    -1,   543,    -1,   256,  4945,    -1,
      -1,    -1,   261,    -1,   147,    -1,    -1,  1476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
    2573,    -1,  2575,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5700,    -1,  5702,
     526,    -1,  2595,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,  1136,   543,  1138,    -1,
    1140,   330,    -1,    -1,  2617,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,  1159,
      -1,    -1,  2635,    -1,    -1,    -1,    -1,  2640,  2641,    -1,
      -1,    -1,  2645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2653,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2671,  2690,
     892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   900,  1608,
      -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2693,   913,  5099,    -1,   297,    -1,  1226,  1227,    -1,    -1,
    5869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5878,
      -1,   430,  2715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     942,  2742,    -1,    -1,    -1,    -1,   948,    -1,    -1,    -1,
    2733,  2734,    -1,  5140,    -1,    -1,    -1,    -1,    -1,   961,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5869,    -1,  5927,    -1,
      -1,  2764,  2765,    -1,    -1,  2768,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1314,  1315,  2789,    -1,  2791,    -1,
      -1,    -1,    -1,    -1,  2797,    -1,    -1,    -1,    -1,    -1,
      -1,  2804,    -1,    -1,    -1,  2808,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,    -1,  2828,    -1,   430,    -1,    -1,
    2833,    -1,    -1,    -1,  2837,    -1,    -1,  2840,    -1,    -1,
    3138,    -1,    -1,    -1,    -1,    -1,  3144,  2850,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2863,    -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,
    2873,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,  2919,   108,
      -1,    -1,    -1,    -1,    96,    -1,    -1,   116,    -1,   101,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,  2928,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,   161,   147,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5359,  5360,    -1,    -1,   148,    -1,    -1,    -1,
    1889,    -1,    -1,    -1,    -1,  5372,    -1,    -1,    -1,  5376,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5386,
      -1,    -1,    -1,    -1,    -1,   209,  1516,    -1,    -1,  3287,
      -1,    -1,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,
    1530,    -1,  3005,    -1,  1226,  1227,    84,    -1,   232,    87,
      -1,    -1,   204,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   215,    -1,    -1,  1955,    -1,  1558,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,   235,    -1,   123,    -1,   256,   240,  3347,
      -1,    -1,   261,    -1,    -1,  3058,    -1,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,  1594,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
    1610,    -1,    -1,    -1,  2013,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,    -1,
      -1,    -1,    -1,  3124,    -1,  3108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
    3141,   330,    -1,  3126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3134,    -1,  3154,    -1,   344,    -1,    -1,   347,    -1,
      -1,  3144,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,   344,    -1,    -1,    -1,  5563,    -1,    -1,    -1,
    5567,    84,  5569,    -1,    87,  2094,  5573,  5574,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
    2109,    -1,    -1,   261,   376,   108,    -1,    -1,    -1,  2118,
     145,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,  2130,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,
    3213,    -1,    -1,    -1,    -1,    -1,  3219,    -1,    -1,   297,
     412,   430,    -1,    -1,   147,    -1,  1756,   419,    -1,    -1,
     422,    -1,    -1,    84,  1764,  1765,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,   199,  1775,    -1,    -1,    -1,    -1,
      -1,   206,   330,    -1,   209,    -1,  2185,   108,    -1,    -1,
     452,    -1,    -1,    -1,    -1,   116,   344,   459,    -1,   347,
      -1,    -1,   123,    -1,   466,    -1,  2205,    -1,    -1,   234,
      -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,  5700,    -1,  5702,   147,  1827,  1828,  1829,
    2229,    -1,    -1,    -1,    -1,    -1,   498,  3310,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,    -1,   526,  1848,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,   256,   543,    -1,  2265,  2266,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1878,    -1,
      -1,    -1,   430,    -1,    -1,  1885,    -1,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,
     325,    -1,   327,    -1,   297,    -1,  1906,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   346,    -1,    -1,    -1,  5802,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,    -1,   256,    -1,   330,    -1,    -1,
     261,  3414,  3415,    -1,    -1,    -1,    -1,  1947,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,    -1,  3448,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,  3441,   394,
      -1,  3444,   397,   398,  3465,    -1,   297,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,  5869,    -1,    -1,   543,    -1,    -1,    -1,    -1,
     425,  5878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2419,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5927,    -1,  3525,  3526,  3527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,  5942,    -1,    -1,  3559,    -1,
    3561,    -1,    -1,  2073,    -1,    -1,  3549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
    3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,  2149,
     543,  3642,    -1,    -1,    -1,    -1,  1848,  2157,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
     874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   892,    -1,
      -1,    -1,    -1,    -1,    -1,   526,   900,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,   913,
      -1,    -1,   543,    -1,    -1,  2624,    -1,  3700,    -1,  2628,
    2629,    -1,    -1,    -1,  3707,  4003,  3709,    -1,  4006,    -1,
      -1,    -1,    -1,    -1,    -1,  2245,  2246,    -1,   942,  3722,
      -1,  3724,    -1,    -1,   948,    -1,    -1,  2257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   961,  2268,  2269,
      -1,    -1,   111,  3746,    -1,    -1,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2690,   131,   987,  2294,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,  2702,    -1,    91,    92,    93,    -1,  1003,
      -1,    -1,  3803,    -1,  3787,    -1,  1010,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,   165,    -1,    -1,  1023,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,  1039,    -1,    -1,  4116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3833,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3851,    -1,
      -1,  2073,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3873,    -1,    -1,  3876,    -1,    -1,  3897,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
      -1,    -1,    -1,    -1,  2424,    -1,    -1,  3918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1136,    -1,  1138,    -1,  1140,    -1,    -1,   288,
      -1,    -1,  3943,    -1,   293,    -1,    -1,  2149,    -1,    -1,
      84,    -1,    -1,    87,    -1,  2157,    -1,    91,    92,    93,
     256,    -1,    -1,    -1,    -1,   261,    -1,  2169,    -1,    -1,
      -1,  3954,    -1,    -1,   108,    -1,  3977,    -1,   327,    -1,
      -1,    -1,   116,    -1,    -1,    -1,   282,   283,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,  2518,   358,
    2919,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1226,  1227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2246,    -1,    -1,    -1,   344,   398,
      -1,   347,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
     409,    -1,    -1,  2573,    -1,  2575,    -1,  2269,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2595,    -1,  4365,   437,    -1,
      -1,    -1,  3001,    -1,    -1,    -1,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2617,    -1,    -1,
    1314,  1315,    -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,
      -1,    -1,   256,    -1,    -1,  2635,    -1,   261,    -1,    -1,
    2640,  2641,    -1,    -1,   430,  2645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2653,    -1,    -1,    -1,    -1,   282,   283,
      -1,   500,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,  2671,    -1,   297,  4147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   131,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2715,    -1,    -1,    -1,    -1,
     344,    -1,    -1,   347,  4197,  3124,    -1,  2727,    -1,  4202,
      -1,  4204,    -1,  2733,  2734,    -1,    -1,   165,    -1,    -1,
     526,    -1,  3141,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,  4226,    -1,  3154,    -1,   543,    -1,    -1,
      -1,    -1,    -1,    -1,  2764,  2765,    -1,    -1,  2768,    -1,
    4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4258,    -1,    -1,  4261,  2789,
      -1,  2791,    -1,    -1,    -1,    -1,   224,  2797,    -1,    -1,
      -1,    -1,  2802,    -1,  2804,    -1,   430,    -1,  2808,    -1,
      -1,  4579,    -1,    -1,    -1,  4583,    -1,    -1,    -1,    -1,
      -1,    -1,  1516,    -1,    -1,    -1,    -1,    -1,  2828,    -1,
     258,    -1,    -1,  2833,    -1,    -1,  1530,  2837,    -1,    -1,
    2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   893,
     288,  4352,    -1,  2863,  1558,   293,    -1,    -1,    -1,   903,
      -1,    -1,    -1,  2873,    -1,  4348,  4349,    -1,    -1,    -1,
     914,    -1,    -1,    -1,    -1,  4358,    -1,    -1,   922,    -1,
      -1,    -1,    -1,    -1,   928,    -1,    -1,    -1,    -1,   327,
    1594,    -1,   526,  2595,  4377,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    84,  1610,    -1,    87,   543,
      -1,    -1,    91,    92,    93,  2617,    -1,    -1,  2928,    -1,
     358,  1625,    -1,    -1,  1628,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,  2635,    -1,    -1,    -1,   116,    -1,  2641,
      -1,    -1,    -1,  2645,   123,    -1,    -1,    -1,  4431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     398,    -1,    -1,    -1,   402,    -1,    -1,    -1,   147,  2671,
      -1,   409,    -1,  4456,    -1,    -1,    -1,    -1,    -1,   417,
    3389,    -1,    -1,  3392,    -1,  3394,    -1,   425,    -1,    -1,
    3399,    -1,    -1,    -1,    -1,  3005,    -1,    -1,    -1,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,
      -1,    -1,    -1,  2715,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,
      -1,  2733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,
    4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3058,    -1,
      -1,    -1,  1756,    -1,    -1,  1099,  3465,    -1,  4836,    -1,
    1764,  1765,   500,  2765,    -1,    -1,   504,    -1,    -1,    -1,
      -1,  1775,    -1,    -1,    -1,    -1,    84,   256,    -1,    87,
      -1,  3490,   261,    91,    92,    93,    -1,  2789,    -1,    -1,
      -1,  1135,    -1,    -1,    -1,  2797,    -1,    -1,  3108,    -1,
     108,    -1,  2804,   282,   283,    -1,  2808,    -1,   116,    -1,
    1154,    -1,    -1,    -1,    -1,   123,  3126,    -1,   297,    -1,
      -1,    -1,    -1,  1827,  3134,    -1,  2828,    -1,    -1,    -1,
      -1,  2833,  1176,    -1,    -1,  2837,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,  1848,    -1,    -1,    -1,  2850,    -1,
    3559,   330,  3561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2863,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
      98,  2873,    -1,  4674,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1906,  3213,    -1,    -1,    -1,    -1,  4691,  3219,
      -1,  4712,    -1,  4696,    -1,    -1,    -1,   145,    -1,    -1,
      -1,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,  5007,
      -1,    -1,  4733,  3642,  5012,    -1,  1280,  5015,  5016,    -1,
      -1,    -1,    -1,  1947,    -1,  4728,    -1,    -1,   256,    -1,
      -1,   430,    -1,   261,    -1,    -1,    -1,  4740,    -1,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,    -1,   195,    -1,  5047,
      -1,   199,    -1,    -1,   282,   283,    -1,    -1,   206,    -1,
      -1,   209,    -1,  5061,  4767,    -1,  3695,    -1,    -1,   297,
      -1,    -1,  3701,    -1,    -1,    -1,    -1,  4798,    -1,    -1,
    3310,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,   111,    -1,    -1,    -1,    -1,    -1,
      -1,  5109,    -1,    -1,    -1,    -1,   344,    -1,   266,   347,
      -1,    -1,    -1,    -1,   131,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,  1397,   533,   534,   535,   536,   537,   538,
      -1,  3770,    -1,    -1,   543,    -1,    -1,    -1,    -1,  2073,
      -1,    -1,    -1,  5151,    -1,    -1,  4859,    -1,   165,  3788,
      -1,  1425,  1426,  1427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3803,    -1,    -1,   325,    -1,   327,
      -1,    -1,    -1,    -1,  3414,  3415,  3108,  4908,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,
      -1,  2125,   430,    -1,  3126,    -1,    -1,    -1,    -1,   357,
      -1,  3441,  3134,    -1,  3444,    -1,    -1,   224,    -1,  5217,
      -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2157,    -1,    -1,  4939,    -1,  4959,    -1,
      -1,    -1,    -1,    -1,    -1,  2169,   394,    -1,    -1,   397,
     398,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,   288,    -1,  5281,    -1,    -1,   293,    -1,    -1,  3918,
      -1,    -1,    -1,    -1,    -1,  3525,  3526,  3527,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,  3943,   543,    -1,    -1,    -1,  3549,
     327,  2245,  2246,    -1,    -1,    -1,    -1,    -1,    -1,  1593,
      -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,    -1,  3569,
      -1,   489,    -1,    -1,  2268,  2269,    -1,    -1,  3977,    -1,
      -1,   358,  5055,  3583,  5057,    -1,    -1,    -1,    -1,    -1,
    1624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2294,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   398,    -1,    -1,    -1,   402,   108,  5100,    -1,    -1,
      -1,    -1,   409,  5401,   116,    -1,  5109,    -1,    -1,    -1,
     417,   123,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,    -1,    -1,    -1,    -1,  5423,    -1,    -1,    -1,    -1,
     437,    -1,  3662,    -1,    -1,   147,    -1,    -1,   445,    -1,
      -1,    -1,  5145,    -1,    -1,    -1,    -1,    -1,  5151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3700,    -1,    -1,    -1,    -1,  4104,    -1,  3707,    -1,  3709,
      98,    -1,    -1,    -1,  5482,    -1,   104,    -1,    -1,    -1,
      -1,    -1,  3722,   500,  3724,    -1,    -1,   504,    -1,   117,
    2424,    -1,    -1,    -1,    -1,    -1,    -1,  1771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5513,  3746,    -1,    -1,  3441,
      -1,    -1,    -1,    -1,    -1,    -1,  5247,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,  1818,    -1,    -1,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
     282,   283,    -1,    -1,  4203,    -1,    -1,    -1,    -1,   197,
      -1,   199,    -1,    -1,    -1,   297,    -1,    84,   206,    -1,
      87,   209,    -1,    -1,    91,    92,    93,    -1,  4227,    -1,
      -1,    -1,    -1,  3833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   234,    -1,   330,   116,
      -1,  3851,  5620,  5344,    -1,    -1,   123,  3549,  5349,  5350,
      -1,    -1,   344,  5336,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3873,    -1,    -1,  3876,    -1,   266,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5372,
      -1,  2595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5689,    -1,  2617,    -1,    -1,    -1,  1961,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1970,   325,    -1,   327,
      -1,  2635,    -1,    -1,    -1,    -1,  2640,  2641,   430,   337,
      -1,  2645,    -1,  4352,  3954,    -1,    -1,    -1,   346,  2653,
      -1,    -1,  1996,    -1,    -1,    -1,  5457,    -1,    -1,   357,
    3662,  5739,    -1,    -1,    -1,  2009,    -1,  2671,  2012,    -1,
      -1,    98,    -1,    -1,    -1,  5753,    -1,   104,    -1,   256,
      -1,  5759,  5760,    -1,   261,    -1,    -1,    -1,    -1,    -1,
    1454,    -1,  4401,    -1,    -1,    -1,   394,    -1,    -1,   397,
     398,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,  2715,    -1,    -1,    -1,    -1,    -1,  1481,   145,  2063,
     297,    -1,    -1,  2727,    -1,    -1,    -1,   425,    -1,  2733,
    2734,    -1,    -1,  2077,   526,    -1,    -1,   529,   530,   531,
    1504,   533,   534,   535,   536,   537,   538,  2091,  5826,    -1,
    1514,   543,    -1,   330,    -1,    -1,  1520,    -1,    -1,    -1,
    2764,  2765,  1526,    -1,  2768,    -1,    -1,   344,  1532,    -1,
     347,  1535,   199,    -1,    -1,    -1,    -1,    -1,  5561,   206,
    5563,    -1,   209,    -1,    -1,  2789,    -1,  2791,    -1,    -1,
      -1,   489,    -1,  2797,    -1,    -1,    -1,    -1,  2802,  2143,
    2804,    -1,    -1,    -1,  2808,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4531,    -1,  2828,    -1,    -1,    -1,  2172,  2833,
      -1,  3833,  4541,  2837,    -1,  2179,  2840,  4147,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,  2850,  5925,    -1,  3851,
      -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,  2863,
    5661,    -1,    -1,    -1,    -1,  5943,  5944,    -1,    -1,  2873,
      -1,    -1,    -1,    -1,  3876,  5658,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4197,    -1,    -1,
      -1,    -1,  4202,  5676,  4204,    -1,    -1,    -1,   325,    -1,
     327,    -1,    -1,    -1,    -1,    -1,  5689,    -1,    -1,    -1,
     337,    -1,    -1,    -1,    -1,    -1,  4226,    -1,    -1,   346,
      -1,    -1,    -1,    -1,  2928,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2291,  4258,   526,
      -1,  4261,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,  4674,   543,   394,   883,   884,
     397,   398,   887,    98,    -1,    -1,  5759,  5760,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     905,    -1,    -1,    -1,  2338,  2339,    -1,   912,   425,    -1,
      -1,  3005,    -1,  4712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2358,    -1,    -1,    -1,   933,  5802,
     145,    -1,   937,    -1,  4733,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   951,    -1,  4348,  4349,
      -1,    -1,    -1,   958,    -1,    -1,    -1,    -1,  4358,    -1,
      -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,    -1,    -1,    -1,    -1,  4377,    -1,    -1,
      -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,    -1,    -1,    -1,  4798,
      -1,    -1,    -1,    -1,    -1,  5878,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3108,    -1,    -1,    -1,    -1,   234,
      -1,  2455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4431,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3134,    -1,    -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,
      -1,   266,    -1,    -1,  5927,  4147,  4456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5942,
    5943,  5944,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2519,    -1,  2521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,
     325,    -1,   327,   131,    -1,    -1,    -1,    -1,    -1,  3213,
      -1,    -1,   337,  2557,    -1,  3219,    -1,    -1,    -1,    -1,
      -1,   346,    84,    -1,   152,    87,    -1,    -1,    -1,    91,
      92,    93,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   170,    -1,    -1,    -1,   108,    -1,    -1,    -1,
    4959,    -1,    -1,    -1,   116,    -1,  4258,   185,    -1,  4261,
      -1,   123,    -1,    -1,    -1,   193,    -1,    -1,    -1,   394,
      -1,    -1,   397,   398,    -1,    -1,    -1,    -1,    -1,     5,
     208,    -1,   210,    -1,    -1,   147,   214,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    25,
     425,    -1,    -1,    -1,    -1,   233,  3310,    -1,    -1,    35,
      36,    -1,    -1,    -1,    40,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,  4358,    -1,    -1,    85,
      -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,    -1,
    1285,  1286,    -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,
      -1,  4691,    -1,    -1,    -1,    -1,  4696,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,   256,    98,    -1,    -1,    -1,   261,
      -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3414,  3415,   138,    -1,    -1,    -1,    -1,  2761,  4728,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,    -1,    -1,    -1,    -1,   297,  2780,  3441,    -1,    -1,
    3444,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    -1,    -1,    -1,  4456,    -1,   104,  4767,    -1,    -1,
    1375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,  2248,   347,    -1,   213,  1403,  1404,
      -1,    -1,  2256,    -1,    -1,    -1,   199,   145,    -1,    -1,
    2844,  2845,    -1,   206,    -1,   231,   209,    -1,  2272,    -1,
    5219,    -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,
      -1,  3525,  3526,  3527,    -1,    -1,    -1,   253,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,
      -1,    -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,  4859,
     276,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,   209,    -1,   266,    -1,  3569,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,  3583,
      -1,    -1,    -1,    -1,    -1,    -1,   234,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,  2939,  1511,  1512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,  4939,
      -1,    -1,    -1,    -1,   337,  5344,    -1,    -1,    -1,    -1,
    5349,  5350,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,   325,    -1,   327,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
     416,   394,    -1,    -1,   397,   398,  3700,    -1,   346,    -1,
      -1,    -1,    -1,  3707,    -1,  3709,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3722,    -1,
    3724,    -1,   425,    -1,    -1,    -1,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,  4740,    -1,
      -1,    -1,  3746,    -1,   672,  5055,   394,  5057,  5457,   397,
     398,    -1,   478,  2517,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,  3787,  3128,    -1,   489,    -1,    -1,    -1,
    5100,    -1,    -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,    -1,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,   543,    -1,   545,
     546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,  3833,
      -1,    -1,    -1,    -1,    -1,  5145,    -1,    -1,    -1,    -1,
      -1,   489,    -1,    -1,    -1,    -1,    -1,  3851,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3873,
      -1,    -1,  3876,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,  3280,  4939,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3954,    -1,  5661,    -1,   882,   883,   884,   885,    -1,   887,
      -1,    -1,    -1,   891,    -1,   893,    -1,    -1,   896,    -1,
      -1,    -1,    -1,    -1,    -1,   903,    -1,   905,    -1,    -1,
     908,    -1,    -1,    -1,   912,    -1,   914,    -1,    -1,    -1,
      -1,    -1,   138,    -1,   922,    -1,    -1,    -1,    -1,    -1,
     928,    -1,   930,    -1,    -1,   933,    -1,   935,    -1,   937,
      -1,    -1,    -1,    98,    -1,    -1,   944,    -1,    -1,   104,
      -1,   949,    -1,   951,    -1,    -1,  5336,    -1,    -1,    -1,
     958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5055,    -1,  5057,    -1,    -1,  1973,    -1,
     145,    -1,  5372,    -1,   992,    -1,    -1,   213,    -1,   997,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,  1006,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1026,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
      -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4147,  2059,  2060,  2061,  2062,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
     316,  1099,    -1,  1101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   332,    -1,  2103,  2104,
      -1,    -1,    -1,  4197,    -1,    -1,    -1,    -1,  4202,    -1,
    4204,  1129,  1130,    -1,    -1,    -1,  1134,  1135,    -1,  2124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,  3567,    -1,    -1,  1154,    -1,    -1,    -1,
    1158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1166,  4243,
     325,    -1,   327,    -1,  2159,  2160,  2161,  2162,  1176,  3013,
      -1,  5561,   337,  5563,  4258,    -1,  3020,  4261,    -1,    -1,
    1188,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,    -1,   357,  3037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3047,    -1,    -1,    -1,  3051,    -1,    -1,
    3054,    -1,    -1,    -1,    -1,    -1,  3060,    -1,  3062,    -1,
      -1,  3065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,   397,   398,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,  1269,    -1,    -1,  4348,  4349,    -1,   493,  5658,    -1,
      -1,    -1,  1280,    -1,  4358,    -1,    -1,  1285,  1286,  2274,
      -1,    -1,    -1,    -1,    -1,  2280,  5676,    -1,    -1,  3713,
    3714,  3715,  3136,  4377,    -1,    -1,    -1,   523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,  3730,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,    -1,    -1,    -1,
      -1,   547,   548,    -1,   489,    -1,    -1,    -1,    -1,  3753,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,  3763,
    3764,    -1,    -1,    -1,  3768,  1353,    -1,    -1,    -1,  1357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1375,    -1,    -1,
      -1,    -1,  4456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1397,
      -1,    -1,    -1,    -1,    -1,  1403,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,  5802,    -1,    -1,    -1,    -1,  1425,  1426,  1427,
      -1,  1429,    -1,  1431,    -1,    -1,    -1,    -1,  1436,    -1,
      25,    -1,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
    3874,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,  5878,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1509,    -1,  1511,  1512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5927,    -1,    -1,
      -1,    -1,  1550,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4000,  4001,  4002,    -1,
    1588,  1589,    -1,    -1,    -1,  1593,  3430,  1595,    -1,    -1,
      -1,    -1,    -1,    -1,  5676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4691,    -1,    -1,
      -1,    -1,  4696,  1621,    -1,    -1,  1624,    -1,   213,  1627,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1639,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4728,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4740,    -1,   253,    -1,
    1668,    -1,    -1,    -1,    -1,    -1,  3510,    -1,  3512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,    -1,  4767,    -1,    -1,    -1,    -1,  1696,  1697,
    1698,    -1,  1700,  2688,  2689,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2697,    -1,  2699,    -1,    -1,    -1,  2703,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1742,  1743,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1771,    -1,    -1,  1774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1802,    -1,    -1,  3641,  1806,  1807,
      -1,    -1,    -1,  3647,    -1,    -1,    -1,    -1,    -1,  1817,
    1818,  1819,    -1,  1821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,    -1,    -1,    -1,  2820,    -1,    -1,  2823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1846,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,  4939,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   478,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4319,  2891,    -1,   493,    -1,
      -1,    -1,    -1,    -1,  2899,  2900,  4330,    -1,   147,    -1,
      -1,  2906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2920,    -1,    -1,   523,    -1,
      -1,    -1,    -1,    -1,  1942,    -1,   531,  4361,   533,   534,
     535,   536,   537,    -1,    -1,   540,   541,   542,   543,    -1,
      -1,    -1,   547,  1961,  1962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1970,    -1,    -1,  1973,  2961,    -1,    -1,    -1,
    4394,  5055,    -1,  5057,    -1,    -1,    -1,    -1,    -1,  3823,
      -1,  3825,    -1,  3827,    -1,    -1,  1994,    -1,  1996,    -1,
    3834,    -1,    -1,    -1,  2989,    -1,    -1,    -1,    -1,    -1,
      -1,  2009,    -1,    -1,  2012,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5100,   256,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,    -1,    -1,   282,   283,    -1,    -1,    -1,  3043,    -1,
    3045,  2059,  2060,  2061,  2062,  2063,    -1,    -1,   297,    -1,
      -1,  5145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2077,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2089,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,  2103,  2104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,
    5204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,    -1,  2143,  4560,  4561,  4562,  4563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2159,  2160,  2161,  2162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3157,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,    -1,    -1,  2182,    -1,    -1,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2198,   430,   228,  2201,    -1,    -1,    -1,   233,  2206,    -1,
      -1,    -1,   238,  2211,    -1,    -1,    -1,    -1,   244,    -1,
      -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2242,  2243,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,  2253,  2254,    -1,    -1,    -1,
      -1,    -1,  5336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   298,    -1,    -1,  2273,  2274,    -1,    -1,    -1,
      -1,    -1,  2280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2291,    -1,    -1,    -1,   526,  5372,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,   339,   543,    -1,   342,    -1,    -1,    -1,
      -1,    -1,   348,    -1,    -1,    -1,    -1,  2325,    -1,    -1,
      -1,    -1,    -1,    -1,  2332,    -1,  2334,    -1,    -1,    -1,
    2338,  2339,    -1,  2341,    -1,    -1,    -1,    -1,    -1,    -1,
    2348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2358,    -1,    -1,    -1,    -1,  2363,  2364,    -1,    -1,  2367,
      -1,    -1,    -1,  2371,  2372,   401,    -1,    -1,    -1,  2377,
    2378,    -1,    -1,    -1,    -1,    -1,  2384,  2385,  2386,    -1,
      -1,    -1,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
      -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2420,  2421,  2422,  2423,   452,    -1,    -1,  2427,
    2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,
    2448,    -1,   478,    -1,    -1,    -1,    -1,  2455,  2456,    -1,
      -1,  2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3454,
      -1,  3456,  3457,  3458,    -1,    -1,   502,    -1,   504,   505,
      -1,    -1,    -1,  2481,    -1,    -1,    -1,  5561,    -1,  5563,
      -1,    -1,    -1,    -1,    -1,    -1,  4910,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   540,    -1,    -1,   543,   544,    -1,
     546,  2519,    -1,  2521,    -1,  2523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  2557,
      91,    92,    93,    -1,    -1,    -1,  2564,    -1,  2566,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,   108,    91,    92,
      93,    -1,    -1,    -1,  5658,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,  5676,   116,    -1,    -1,    -1,    -1,    -1,  4443,
     123,    -1,    -1,  4447,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2655,    -1,  2657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2674,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,  2686,    -1,
    2688,  2689,    -1,    -1,    -1,  2693,    -1,  2695,    -1,  2697,
      -1,  2699,    -1,    -1,    -1,  2703,    -1,    -1,  2706,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,  5802,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2737,
    5154,    -1,    -1,   256,    -1,    -1,    -1,  2745,   261,    -1,
      -1,   282,   283,    -1,  2752,  5169,    -1,    -1,    -1,    -1,
    5174,    -1,    -1,  2761,    -1,    -1,   297,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2780,  5197,   297,    -1,    -1,  2785,  2786,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2795,  2796,   330,
      -1,  2799,  5216,  2801,  5878,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,   330,    -1,    -1,
      -1,    -1,  2820,    -1,    98,  2823,    -1,    -1,    -1,    -1,
     104,   344,    -1,    -1,   347,    -1,    -1,   111,  4672,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2844,  2845,    -1,    -1,
      -1,    -1,  3837,  5927,    -1,    -1,   130,    -1,    -1,    -1,
      -1,  2859,    -1,  2861,  2862,    -1,    -1,    -1,  5942,    -1,
      -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4713,
    4714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,   430,
      -1,  2899,  2900,    -1,    -1,   179,    -1,    -1,  2906,    -1,
      -1,    -1,    -1,    -1,  5328,    -1,    -1,   430,    -1,    -1,
    2918,    -1,  2920,    -1,    -1,   199,    -1,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,   209,  2934,    -1,    -1,  2937,
      -1,  2939,    -1,    -1,  2942,    -1,    -1,    -1,  2946,    -1,
      -1,  2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,  2961,  2962,  4799,  4800,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,
      -1,  2989,   266,  2991,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,  3006,    -1,
      -1,    -1,   543,   526,    -1,    -1,   529,   530,   531,  3017,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,  3031,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,    -1,  3041,    -1,  3043,  3044,  3045,  3046,    -1,
      -1,   325,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4915,   356,   357,    -1,    -1,    -1,    -1,    -1,    -1,
    4924,  4925,    -1,  3091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
     394,    -1,    -1,   397,   398,   399,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
    3138,   116,    -1,    -1,    -1,   419,  3144,    -1,   123,    -1,
      -1,   425,  4137,  4138,  4139,  4140,    -1,    -1,    -1,  3157,
      -1,    -1,    -1,    -1,    -1,   439,  3164,    -1,    -1,    -1,
      -1,  3169,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3192,  3193,  3194,    -1,    -1,  3197,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,  3206,  3207,
    3208,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,  3221,    -1,  3223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3234,  3235,    -1,    -1,
    3238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3250,    -1,  3252,    -1,  3254,    -1,  3256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,
      -1,   256,  3280,    -1,    -1,    -1,   261,    -1,    -1,  3287,
      -1,  3289,  3290,  3291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3314,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,  3326,    -1,
    4315,    -1,    -1,  3331,    -1,    -1,  4321,    -1,    -1,  3337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3347,
      -1,    -1,    -1,  3351,    -1,   330,  3354,    -1,  3356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,  5242,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,  3420,    55,  3422,    -1,    -1,    -1,    -1,  3427,
      -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,  3454,    -1,  3456,  3457,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5318,    -1,    -1,   119,    -1,    -1,
      -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5368,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   184,   185,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,  3567,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,
     282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3671,    -1,    -1,    -1,    -1,  3676,  3677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,
      -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3713,  3714,  3715,   350,   351,
      -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3730,    -1,    -1,   367,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,  3752,  3753,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3762,  3763,  3764,    -1,    -1,    -1,
    3768,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4778,    -1,   427,    -1,    -1,   430,    -1,
    3798,   433,    -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,  3815,    -1,    -1,
      -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,  3837,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3858,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,  4877,    -1,    -1,    -1,  3894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,    -1,    -1,
      -1,  3909,    -1,  3911,    -1,    -1,  3914,   549,    -1,    -1,
      -1,  3919,  3920,  3921,  3922,    -1,    -1,  3925,  3926,  3927,
    3928,  3929,  3930,  3931,  3932,  3933,  3934,    -1,    -1,    -1,
    3938,  3939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3948,    -1,  5786,    -1,  3952,    -1,    -1,    -1,  3956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3964,    -1,    -1,  3967,
      -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3978,    -1,    -1,  3981,  3982,    -1,    -1,    -1,  3986,  3987,
      -1,    -1,    -1,  3991,    -1,  3993,    -1,    -1,    -1,    -1,
      -1,    -1,  4000,  4001,  4002,  4003,    -1,    -1,  4006,  4007,
      -1,    -1,    -1,  4011,  4012,  4013,    -1,    -1,    -1,    -1,
      -1,  4019,    -1,    -1,    -1,    -1,    -1,  4025,  4026,  4027,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4072,    -1,    -1,    -1,  5063,  5064,
    5065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4086,    -1,
    4088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4116,  4117,
    4118,    -1,  4120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4137,
    4138,  4139,  4140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
    5215,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,  4276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,  4315,    -1,    -1,
      -1,  4319,   108,  4321,    -1,  4323,    -1,   138,    -1,    -1,
     116,    -1,  4330,    -1,    -1,    -1,    -1,   123,  4336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,   147,    -1,  4361,    -1,    -1,    -1,  4365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4375,    -1,  5364,
      -1,  5366,    -1,    -1,    -1,  4383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4394,    -1,    -1,    -1,
    4398,    -1,   213,    -1,  4402,  4403,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,    -1,    -1,    -1,  4432,  4433,  4434,  4435,  4436,    -1,
      -1,  4439,   253,  4441,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,   108,    -1,
     256,    -1,    -1,    -1,    -1,   261,   116,    -1,    -1,  4477,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,   147,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4518,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4528,  4529,    -1,    -1,  5519,    -1,    -1,  4535,  4536,    -1,
      -1,    -1,  4540,    -1,   330,    -1,    -1,  4545,    -1,    -1,
    4548,  4549,    -1,    -1,    -1,  4553,  4554,    -1,   344,    -1,
      -1,  4559,  4560,  4561,  4562,  4563,    -1,    -1,    -1,  4567,
    4568,  4569,    -1,  4571,  4572,    -1,    -1,  4575,    -1,    -1,
      -1,  4579,    -1,    -1,    -1,  4583,    -1,    -1,    -1,    -1,
      -1,  4589,    -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,
      -1,    -1,    -1,  4601,    -1,   416,    -1,    -1,    -1,  4607,
      -1,    -1,    -1,    -1,    -1,    -1,   256,  5602,    -1,  4617,
      -1,   261,    -1,    -1,    -1,    -1,    -1,  4625,    -1,    -1,
      -1,  4629,    -1,    -1,    -1,    -1,  4634,    -1,    -1,    -1,
      -1,    -1,   282,   283,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    84,    -1,  4653,    87,   297,  4656,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,   478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,  4676,  4677,
      -1,   112,   493,    -1,    -1,   116,    -1,    -1,    -1,    -1,
     330,    -1,   123,    -1,    -1,    -1,  4694,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,  4707,
      -1,    -1,   523,    -1,    -1,    -1,   147,    -1,  5703,    -1,
     531,    -1,   533,   534,   535,   536,   537,    -1,    -1,   540,
     541,   542,   543,    -1,    -1,    -1,   547,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,  4756,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4822,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4836,    -1,
      -1,    -1,  5827,  5828,  4842,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,  4851,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,  4865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4877,
      -1,  4879,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,   330,
      -1,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4910,   344,    -1,  4913,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,  4955,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,  4981,  4982,    -1,   123,  4985,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,   430,
      -1,    -1,  5000,    -1,    -1,  5003,    -1,    -1,    -1,  5007,
     147,    -1,    -1,   108,  5012,    -1,    -1,  5015,  5016,    -1,
    5018,   116,  5020,    -1,    -1,  5023,  5024,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5047,
      -1,  5049,   147,    -1,    -1,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5061,  5062,  5063,  5064,  5065,    -1,    -1,
      -1,    -1,   874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   891,
      -1,    -1,    -1,    -1,    -1,   526,   233,    -1,   529,   530,
     531,   238,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,  5109,  5110,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,   930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,  5151,    -1,    -1,  5154,    -1,    -1,    -1,
     297,   256,    -1,    -1,    -1,    -1,   261,    -1,  5166,    -1,
      -1,  5169,    -1,    -1,    -1,    -1,  5174,    -1,  5176,    -1,
      -1,    -1,    -1,    -1,  5182,    -1,    -1,   282,   283,    -1,
     992,    -1,    -1,   330,    -1,    -1,   998,    -1,    -1,  5197,
    1002,    -1,   297,  5201,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,  5215,  5216,  5217,
    1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5246,   344,
      -1,  5249,   347,  5251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5271,    -1,   370,    -1,    -1,    -1,  5277,
      -1,    84,    -1,  5281,    87,    -1,    -1,  5285,    91,    92,
      93,    -1,    -1,   430,  5292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5301,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,  1129,  1130,    -1,
    5328,    -1,    -1,    -1,  1136,   430,    -1,    -1,  1140,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,   446,    -1,    -1,    -1,    -1,  5354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1166,  5363,  5364,  5365,  5366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,  5401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5423,    -1,    -1,    -1,   232,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,  5479,    -1,    -1,  5482,    -1,    -1,  5485,    -1,    -1,
      -1,  5489,    -1,    -1,   297,    -1,    -1,    -1,  5496,    -1,
      -1,    -1,    -1,  5501,    -1,  5503,    -1,  5505,    -1,    -1,
      -1,    -1,  1314,  1315,    -1,  5513,    -1,    -1,    -1,    -1,
      -1,  5519,    -1,  5521,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,  5531,    -1,    -1,    -1,    -1,    -1,    -1,
    1342,   344,    -1,    -1,   347,    84,    -1,  1349,    87,    -1,
      -1,  1353,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   368,    -1,    -1,    -1,   108,
    1372,    -1,   111,  5571,  5572,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,  1387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,  5602,    -1,    -1,    -1,   147,    -1,
    5608,    -1,    -1,    -1,  5612,    -1,    -1,    -1,   108,    -1,
      -1,    -1,  5620,    -1,    -1,    -1,   116,   430,    -1,  1431,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5641,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5649,  5650,    -1,    -1,    -1,  5654,   147,    -1,  5657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5667,
      -1,    -1,  5670,    -1,  1476,    -1,    -1,  5675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5703,    -1,    -1,    -1,    -1,
      -1,    -1,  5710,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
      -1,  5739,    -1,   282,   283,    -1,  5744,    -1,  1550,    -1,
      -1,    -1,    -1,    -1,    -1,  5753,    -1,    -1,   297,    -1,
      -1,  5759,  5760,    -1,  5762,    -1,   256,    -1,    -1,    -1,
      -1,   261,    84,  5771,    -1,    87,    -1,  5775,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5788,   330,   282,   283,    -1,    -1,   108,  5795,    -1,   111,
      -1,    -1,    -1,    -1,   116,   344,  1608,   297,   347,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5826,  5827,
    5828,    -1,    -1,    -1,    -1,   147,    -1,  1639,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,  5853,    -1,   347,    -1,    -1,
    5858,    -1,    -1,    -1,    -1,    -1,  1668,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,  1696,  1697,  1698,  5895,  1700,    -1,
      -1,    -1,    -1,  5901,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,  5915,  1720,    -1,
      -1,    -1,    -1,    84,  5922,    -1,    87,  5925,   108,    -1,
      91,    92,    93,    -1,    -1,    -1,   116,    -1,    -1,    -1,
     430,    -1,    -1,   123,   256,  5943,  5944,   108,    -1,   261,
     111,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,   147,    -1,    -1,
     282,   283,  1774,  1775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,   147,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
    1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,  1821,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,
      -1,    -1,    94,    -1,    96,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,   106,    -1,    -1,  1889,    -1,    -1,
      -1,    -1,    -1,    -1,  1896,   256,    -1,    -1,    -1,    -1,
     261,    -1,   282,   283,  1906,    -1,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,   430,   141,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,   153,    -1,    -1,   156,    -1,   297,    -1,    -1,    -1,
     162,    -1,    -1,    -1,   166,  1947,    -1,    -1,    -1,    -1,
     330,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,   188,   347,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   203,    -1,   344,    -1,    -1,   347,    -1,  1990,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2013,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,
      -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,  2130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2198,    -1,    -1,  2201,
      -1,    -1,    -1,  2205,    -1,    -1,    -1,   429,    -1,  2211,
      -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
    2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2371,
    2372,    -1,   138,    -1,    -1,  2377,  2378,    -1,  1349,    -1,
      -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,  2390,    -1,
    2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,  2401,
    2402,  1372,    -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1387,  2419,  2420,  2421,
    2422,  2423,  2424,    -1,    -1,    -1,  2428,    -1,    -1,    -1,
    2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,    -1,  2448,   213,    -1,    -1,
     672,    -1,    -1,    84,  2456,    -1,    87,  2459,    -1,    -1,
      91,    92,    93,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
     111,    -1,    -1,    -1,    -1,   116,    -1,   253,    84,    -1,
      -1,    87,   123,    -1,    -1,    91,    92,    93,   720,   721,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,
     276,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
     116,  2523,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   768,   313,    -1,    -1,
     316,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,   166,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,    -1,  2624,    -1,    -1,   256,  2628,  2629,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,  1608,  2640,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     416,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   216,    -1,    -1,    -1,   261,   297,    -1,    -1,    -1,
      -1,    -1,  2674,   228,    -1,    -1,    -1,    -1,   233,    -1,
      -1,    -1,    -1,   238,  2686,    -1,   282,   283,  2690,   244,
      -1,  2693,   247,    -1,    -1,   250,    -1,   463,    -1,   330,
    2702,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,   278,    -1,  2727,    -1,   493,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,    -1,   298,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   973,   974,   256,   976,    -1,    -1,   523,   261,    -1,
      -1,    -1,  2764,    -1,    -1,   531,  2768,   533,   534,   535,
     536,   537,    -1,    -1,   540,   541,   542,    -1,    -1,   282,
     283,   547,    -1,    -1,   339,    -1,    -1,   342,  1759,  2791,
      -1,    -1,    -1,   348,   297,    -1,    -1,    -1,    -1,   430,
    2802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1033,    -1,    -1,  1036,  1037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,  1051,
      -1,  1053,    -1,  1055,   430,    -1,    -1,    -1,  2840,  1061,
      -1,   344,    -1,  1065,   347,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1085,  1086,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   526,    -1,   452,   529,   530,
     531,   116,   533,   534,   535,   536,   537,   538,   123,    -1,
    1132,    -1,  1134,    -1,    -1,    -1,  2918,  2919,  1889,    -1,
      -1,    -1,    -1,   478,    -1,    -1,  2928,   430,    -1,    -1,
     526,    -1,   147,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   502,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,
    2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,   540,    -1,    -1,   543,   544,
    1212,   546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,
      -1,    -1,    -1,    -1,  1226,  1227,    -1,    -1,  1230,    -1,
      -1,    -1,    -1,    -1,    -1,  3017,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
      -1,   256,  2013,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,  3124,  2094,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,  3138,    -1,  2109,  3141,
      -1,    -1,  3144,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,  3164,    -1,    -1,    -1,    -1,  3169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3192,  3193,  3194,    -1,    -1,  3197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3205,  3206,  3207,  3208,    -1,    -1,    -1,
      -1,  3213,    -1,    -1,  2185,   430,  3218,  3219,    -1,  3221,
      -1,  3223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,  3235,  2205,    -1,  3238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
    3252,    -1,  3254,    -1,  3256,    -1,    -1,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   166,    -1,    -1,  3287,    -1,  3289,  3290,  3291,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,  3314,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,  3326,    -1,    -1,    -1,    -1,  3331,
      -1,    -1,   216,    -1,    -1,  3337,  1558,    -1,    -1,    -1,
      -1,  1563,    -1,  1565,   228,  3347,  1568,    -1,  1570,   233,
      -1,  1573,  1574,  1575,   238,    -1,    -1,  1579,    -1,    -1,
     244,    -1,    -1,   247,  1586,    96,   250,    -1,    -1,    -1,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1600,    -1,
    1602,    -1,   113,    -1,    -1,  1607,    -1,  3389,    -1,    -1,
    3392,    -1,  3394,    -1,   278,    -1,    -1,  3399,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   298,    -1,    -1,   148,  3420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3448,    -1,  2419,    -1,
     181,    -1,    -1,    -1,    -1,   339,   187,    -1,   342,    -1,
      -1,    -1,    -1,  3465,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,  3490,    -1,
      -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,  1731,
      -1,    -1,   243,    -1,    -1,    -1,   247,   401,    -1,    -1,
    1742,  1743,    -1,  3525,  3526,  3527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,  1759,    -1,    -1,
      -1,    -1,  1764,  1765,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3559,    -1,  3561,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,   502,    -1,
     504,   505,    -1,    -1,  1846,    -1,  1848,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   366,  1858,    -1,    -1,    -1,
    3642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,    -1,
      -1,    -1,    -1,  2624,    -1,   386,   540,  2628,  2629,   543,
     544,    -1,   546,    -1,    -1,    -1,    -1,    -1,  3670,    -1,
      -1,    -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,
      -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,
      -1,   422,    -1,  3695,    -1,    -1,    -1,    -1,  3700,  3701,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     441,    -1,    -1,  1935,    -1,    -1,   447,    -1,    -1,  2690,
      -1,   452,    -1,  1945,   455,   456,    -1,   458,   459,    -1,
      -1,  2702,    -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,
      -1,    -1,   473,    -1,  3746,    -1,    -1,    -1,   479,    -1,
      -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,  3770,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,
      -1,    -1,  2014,    -1,    -1,  2017,  2018,    -1,    -1,    -1,
      -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3894,    -1,    -1,  3897,    -1,    -1,    -1,    -1,
      -1,  3903,    -1,    -1,    -1,    -1,    -1,  3909,    -1,  3911,
      -1,    -1,  3914,    -1,    -1,    -1,  3918,  3919,  3920,  3921,
    3922,    -1,    -1,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,  3934,    -1,    -1,    -1,  3938,  3939,    -1,    -1,
      -1,  3943,    -1,    -1,    -1,    -1,  3948,    -1,  2919,    -1,
    3952,    -1,  3954,    -1,  3956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3964,    -1,    -1,  3967,    96,  3969,    -1,    -1,
      -1,   101,    -1,    -1,    -1,  3977,  3978,    -1,    -1,  3981,
    3982,    -1,    -1,   113,  3986,  3987,    -1,    -1,    -1,    -1,
      -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,    -1,  4006,   135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4019,   148,    -1,
      -1,    -1,    -1,  4025,  4026,  4027,    -1,    -1,    -1,    -1,
    3001,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4072,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    96,
      -1,  2303,    -1,  2305,   101,   215,  4088,  2309,    -1,  2311,
      -1,    -1,  2314,   223,    -1,    -1,  2318,    -1,   209,    -1,
      -1,  2323,  4104,    -1,    -1,   235,   217,    -1,   219,    -1,
     240,    -1,    -1,    -1,  4116,    -1,    -1,   247,   135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,   149,    -1,   264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   159,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,
    3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,  3154,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4197,    -1,    -1,   215,    -1,
    4202,  4203,  4204,    -1,    -1,    -1,   223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,   240,  4226,  4227,   356,    -1,    -1,    -1,
      -1,    -1,    -1,  2455,    -1,    -1,   366,    -1,    -1,    -1,
    2462,  4243,    -1,    -1,    -1,    -1,   376,   264,    -1,   379,
    2472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   289,    -1,    -1,   405,    -1,    -1,    -1,    -1,
     410,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,   419,
      -1,    -1,   422,   310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   441,    -1,    -1,  2536,    -1,    -1,   447,    -1,    -1,
      -1,  4323,   452,    -1,    -1,   455,    -1,   344,    -1,   459,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,   468,    -1,
      -1,    -1,    -1,   473,    -1,    -1,    -1,    -1,    -1,   366,
    4352,    -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,   376,
      -1,    -1,   379,  4365,    -1,    -1,    -1,    -1,   498,  2591,
      -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,    -1,  2601,
      -1,  2603,    -1,    -1,  2606,    -1,   101,    -1,   405,    -1,
      -1,    -1,    -1,   410,    -1,   412,    -1,    -1,    -1,  4401,
    4402,  4403,   419,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,
      -1,  3392,    -1,  3394,   441,    -1,    -1,    -1,  3399,    -1,
     447,  2653,    -1,   148,    -1,   452,    -1,    -1,   455,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,   163,   466,
      -1,   468,    -1,    -1,    -1,    -1,   473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,
      -1,    -1,   187,    -1,    -1,  4477,    -1,  3448,    -1,    -1,
      -1,   498,    -1,    -1,    -1,    -1,  4488,    -1,    -1,   204,
      -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,
     215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4518,    -1,    -1,  3490,
     235,    -1,    -1,    -1,    -1,   240,  4528,  4529,    -1,  4531,
      -1,    -1,   247,  4535,  4536,    -1,    -1,    -1,  4540,  4541,
      -1,    -1,    -1,  4545,    -1,    -1,  4548,  4549,    -1,   264,
      -1,  4553,    -1,    -1,    -1,    -1,    -1,  4559,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4571,
      -1,    -1,    -1,    -1,   289,    -1,    -1,  4579,    -1,    -1,
      -1,  4583,    -1,    -1,    -1,    -1,    -1,    -1,  3559,    -1,
    3561,    -1,  2814,    -1,  4596,   310,    -1,    -1,    -1,  4601,
    2822,    -1,    -1,  2825,    -1,  4607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,  4656,    -1,    -1,    -1,    -1,    -1,
      -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,
      -1,  3642,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     405,    -1,    -1,    -1,  4696,   410,    -1,   412,    -1,  3670,
      -1,    -1,    -1,    -1,   419,    -1,    -1,   422,    -1,    -1,
    4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3695,    -1,   441,    -1,    -1,    -1,
    3701,  4733,   447,    -1,    -1,    -1,   451,   452,    -1,    -1,
     455,    -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   468,  4756,    -1,    -1,    -1,   473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     485,   882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     891,    -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,   930,
    4822,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,
      -1,    -1,  3803,   104,  4836,    -1,    -1,    -1,    -1,    -1,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   130,
      -1,    -1,    -1,  4865,  3086,  3087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,
    3102,   992,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4906,    -1,  4908,    -1,   179,    -1,
      -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,   199,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,
      -1,    -1,    -1,  4955,    -1,    -1,    -1,  4959,    -1,    -1,
      -1,    -1,  4964,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,  4981,
    4982,    -1,    -1,  4985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   263,    -1,    -1,   266,    -1,    -1,  5000,    -1,
      -1,    -1,    -1,    -1,    -1,  5007,  3977,    -1,    -1,    -1,
    5012,    -1,    -1,  5015,  5016,    -1,    -1,    -1,  1129,  1130,
      -1,  5023,  5024,    -1,    -1,  1136,    -1,    -1,    -1,  1140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     311,    -1,    -1,   314,    -1,  5047,    -1,  5049,    -1,    -1,
      -1,    -1,    -1,    -1,   325,  1166,   327,    -1,    -1,  5061,
      -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3305,    -1,   356,   357,    -1,  3310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5109,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,    -1,    -1,   397,   398,   399,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5145,    -1,    -1,    -1,    -1,   419,  5151,
      -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1314,  1315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5217,    -1,  5219,   489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1342,  4203,    -1,    -1,    -1,    -1,    -1,  1349,    -1,
      -1,    -1,  1353,    -1,  5246,  5247,    -1,  5249,    -1,  5251,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,
      -1,    -1,    -1,    -1,    -1,  5277,  1387,    -1,    -1,  5281,
      -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,
    5292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,
      -1,    -1,  5354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5456,  5457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3695,    -1,    -1,    -1,  5479,    -1,  3701,
    5482,    -1,    -1,  5485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5496,    -1,    -1,  1608,    -1,  5501,
      -1,  5503,    -1,  5505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,  5531,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,  5561,
    4531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3801,
      -1,    -1,    -1,    -1,    -1,  1696,  1697,  1698,    -1,  1700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1720,
    5612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5620,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5649,  5650,    -1,
      -1,    -1,    -1,    -1,    -1,  5657,  5658,    -1,    -1,  5661,
      -1,  3883,    -1,  1774,    -1,  5667,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5689,    -1,    -1,
      -1,  1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
    1821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5739,    -1,    -1,
      -1,  4712,  5744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5753,    -1,    -1,    -1,    -1,    -1,  5759,  5760,    -1,
    5762,    -1,  4733,    -1,    -1,    -1,    -1,    -1,    -1,  5771,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5788,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1906,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5826,    -1,    -1,  4798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1947,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,  5853,    -1,    -1,    -1,    -1,  5858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,    -1,    -1,  5878,    -1,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,  5901,
      -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5925,    -1,  5927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,
    5942,  5943,  5944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4203,    -1,  2094,    -1,    -1,    -1,    -1,  4959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,  4227,    -1,  2118,    -1,    -1,
      -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2198,    -1,    -1,
    2201,    -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,
    2211,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,
      -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2371,  2372,    -1,    -1,    -1,    -1,  2377,  2378,    -1,    -1,
      -1,    -1,    -1,  2384,  2385,  2386,  5247,    -1,    -1,  2390,
      -1,  2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,
    2401,  2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,  2420,
    2421,  2422,  2423,    -1,    -1,    -1,  5287,  2428,    -1,    -1,
      -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,
    2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
    4702,    55,    -1,    -1,  4706,    -1,  5457,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,  2674,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,  2686,    -1,    -1,    -1,  2690,
      -1,   155,  2693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2702,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,  2727,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5661,  2802,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2918,  2919,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5040,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2962,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,  5099,    -1,    -1,
     454,    -1,    -1,    -1,    -1,  1349,    -1,   461,   462,    -1,
    3001,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,  3017,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,  3124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,
    3141,    -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3164,    -1,    -1,    -1,    -1,  3169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3192,  3193,  3194,    -1,    -1,  3197,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3205,  3206,  3207,  3208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,    -1,    -1,
    3221,    -1,  3223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3234,  3235,    -1,    -1,  3238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5359,  5360,    -1,
      -1,  3252,    -1,  3254,  1608,  3256,    -1,    -1,    -1,    -1,
    5372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3287,    -1,  3289,  3290,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
    3331,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,
      -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,  1372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,  3465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,   162,    -1,    -1,  3559,    -1,
    3561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5700,    -1,
    5702,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
      -1,  3642,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3695,    -1,    -1,    -1,    -1,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,  5869,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3894,    -1,    -1,  3897,    -1,    -1,    -1,
      -1,    -1,  3903,    -1,    -1,    -1,    -1,    -1,  3909,    -1,
    3911,  2265,  2266,  3914,    -1,    -1,    -1,  3918,  3919,  3920,
    3921,  3922,    -1,    -1,  3925,  3926,  3927,  3928,  3929,  3930,
    3931,  3932,  3933,  3934,    -1,    -1,    -1,  3938,  3939,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,  3948,    -1,    -1,
      -1,  3952,    -1,    -1,    -1,  3956,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3964,    -1,  1889,  3967,    -1,  3969,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,  3978,    -1,    -1,
    3981,  3982,    -1,    -1,    -1,  3986,  3987,    -1,    -1,    -1,
      -1,    -1,  3993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,    -1,  4006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4019,    -1,
      -1,    -1,    -1,    -1,  4025,  4026,  4027,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,  1990,    -1,    -1,    -1,
      -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4088,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   720,   721,  4116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4203,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2624,    -1,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,
      -1,  2205,   889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     897,    -1,   899,  2217,   901,   902,    -1,   904,    -1,   906,
      -1,    -1,   909,    -1,   911,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4323,    -1,   931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   939,    -1,    -1,    -1,  2690,    -1,    -1,   946,
     947,  2265,  2266,   950,    -1,   952,   953,    -1,  2702,    -1,
     957,  4352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,   974,    -1,   976,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   993,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4401,  4402,  4403,    -1,    -1,    -1,    -1,    -1,    -1,  1016,
      -1,  1018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1027,  1028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,
      -1,    -1,    -1,  1100,    -1,  2419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1132,    -1,  4528,  4529,    -1,
    4531,    -1,    -1,    -1,  4535,  4536,    -1,    -1,    -1,  4540,
    4541,    -1,    -1,    -1,  4545,    -1,    -1,  4548,  4549,    -1,
      -1,    -1,  4553,    -1,    -1,    -1,    -1,    -1,  4559,    -1,
    1167,    -1,    -1,    -1,    -1,  2919,    -1,    -1,    -1,    -1,
    4571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4579,    -1,
      -1,    -1,  4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,    -1,    -1,
    4601,    -1,    -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1239,    -1,  1241,    -1,    -1,    -1,  1245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4656,    -1,    -1,    -1,  1266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2624,    -1,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,
      -1,  4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4733,    -1,    -1,    -1,    -1,    -1,    -1,  1346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1358,    -1,    -1,  1361,  4756,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1371,    -1,  2690,    -1,    -1,  1376,
    3124,    -1,    -1,    -1,    -1,    -1,    -1,  1384,  2702,    -1,
      -1,    -1,    -1,  1390,    -1,    -1,  1393,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,
    3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
      -1,  4822,    -1,    -1,    -1,  1432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4906,    -1,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4955,    -1,    -1,    -1,  4959,    -1,
      -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4981,  4982,    -1,    -1,  4985,    -1,    -1,    -1,    -1,    -1,
    1597,    -1,    -1,    -1,    -1,  2919,    -1,    -1,    -1,  5000,
      -1,    -1,    -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,
      -1,  5012,    -1,    -1,  5015,  5016,    -1,    -1,    -1,    -1,
      -1,    -1,  5023,  5024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,    -1,
    3394,    -1,    -1,    -1,    -1,  3399,  5047,    -1,  5049,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,  5099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5109,    -1,
      -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1792,  1793,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3124,    -1,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5217,  3141,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1851,  5246,  5247,  1854,  5249,    -1,
    5251,    -1,    -1,    -1,    -1,  1862,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5271,    -1,    -1,  1880,    -1,    -1,  5277,    -1,    -1,    -1,
    5281,    -1,    -1,    -1,    -1,    -1,  5287,    -1,  3642,    -1,
      -1,  5292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3695,    -1,  5344,    -1,    -1,    -1,  3701,  5349,  5350,
      -1,    -1,    -1,  5354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,    -1,  5423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   998,  3788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3803,
      -1,    -1,    -1,    -1,    -1,  5456,  5457,  1022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,    -1,
    3394,    -1,    -1,    -1,    -1,  3399,    -1,    -1,  5479,    -1,
      -1,  5482,    -1,    -1,  5485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5496,    -1,    -1,    -1,    -1,
    5501,    -1,  5503,    -1,  5505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3448,    -1,    -1,  2134,    -1,    -1,
    5531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,  3897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3918,    -1,  3490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5620,
      -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5649,  5650,
      -1,  2258,    -1,  2260,    -1,    -1,  5657,    -1,    -1,    -1,
    5661,    -1,    -1,    -1,    -1,    -1,  5667,    -1,    -1,  2276,
    2277,    -1,  2279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5689,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2319,    -1,    -1,    -1,    -1,    -1,  3642,    -1,
      -1,    -1,    -1,    -1,  2331,    -1,    -1,    -1,  2335,    -1,
    2337,    -1,    -1,  2340,    -1,    -1,    -1,    -1,  5739,    -1,
      -1,    -1,    -1,  5744,    -1,    -1,  3670,    -1,    -1,    -1,
    4104,    -1,  5753,    -1,    -1,    -1,    -1,    -1,  5759,  5760,
      -1,  5762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5771,  3695,    -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,
      -1,    -1,    -1,    -1,  1349,    -1,    -1,  5788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,  5826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,  4203,
      -1,    -1,  5853,    -1,    -1,  2462,    -1,  5858,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,  3803,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5895,    -1,    -1,    -1,    -1,    -1,
    5901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5925,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5943,  5944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,  4352,  2606,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2618,  2619,    -1,    -1,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2637,  2638,    -1,    -1,    -1,  2642,  2643,    -1,    -1,    -1,
    2647,    -1,    -1,  1608,    -1,    -1,    -1,  4401,    -1,    -1,
      -1,    -1,    -1,  3977,  2661,    -1,    -1,    -1,    -1,    -1,
      -1,  2668,    -1,    -1,    -1,  2672,  2673,    -1,    -1,  2676,
    2677,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,
      -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2717,    -1,    -1,    -1,    -1,  2722,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2735,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,    -1,  2746,
      -1,    -1,  2749,  2750,  2751,    -1,    -1,    -1,    -1,  2756,
    2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2766,
      -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,  2776,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4531,    -1,    -1,
    4104,    -1,    -1,  2790,    -1,    -1,    -1,  4541,    -1,    -1,
      -1,  2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2821,    -1,    -1,  2824,    -1,    -1,
      -1,    -1,  2829,    -1,    -1,    -1,    -1,  2834,  2835,    -1,
      -1,    -1,  2839,    -1,    -1,  2842,    -1,   882,    -1,  2846,
    2847,  2848,  2849,    -1,  2851,    -1,   891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2864,  2865,    -1,
    2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2877,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4674,    -1,  2929,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   992,    -1,    -1,
    2957,    -1,    -1,   998,    -1,    -1,    -1,  1002,  4712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,  4733,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,  4352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,  2013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,  3086,
      -1,    -1,    -1,    -1,  1129,  1130,    -1,    -1,    -1,    -1,
      -1,    -1,  3099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1166,  3129,    -1,    -1,    -1,    -1,    -1,    -1,  2094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,
      -1,  3158,    -1,  2118,  4908,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4959,    -1,  4531,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,    -1,
    2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,
    2265,  2266,    -1,    -1,  1349,    -1,    -1,    -1,  1353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,  5099,    -1,    -1,    -1,    -1,
    4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1431,    -1,  4712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4733,
    3417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,    -1,    -1,    -1,  3442,    -1,    -1,    -1,  3446,
      -1,    -1,    -1,    -1,    -1,  3452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2419,    -1,    -1,    -1,    -1,    -1,
      -1,  3468,  3469,    -1,    -1,  5219,  3473,    -1,    -1,    -1,
      -1,  3478,  3479,  3480,  4798,  3482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5247,    -1,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1550,  3513,  3514,  3515,  3516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3550,    -1,    -1,  3553,  3554,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,
    5344,    -1,    -1,    -1,  1639,  5349,  5350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1668,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4959,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3655,    -1,
      -1,  1696,  1697,  1698,    -1,  1700,  3663,    -1,    -1,  2624,
      -1,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3681,  1720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3708,    -1,  5457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2690,    -1,    -1,    -1,  1774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3760,    -1,    -1,    -1,  1802,  3765,    -1,
      -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5099,  1821,  2742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,
      -1,    -1,    -1,    -1,  3801,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3830,    -1,  3832,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3847,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5661,    -1,    -1,
    1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5287,    -1,    -1,    -1,    -1,  2013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,  4125,    -1,
      -1,    -1,    -1,    -1,    -1,  4132,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5457,    -1,    -1,    -1,    -1,    -1,    -1,
    2185,  4148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2198,    -1,    -1,  2201,  4164,    -1,  3124,
    2205,    -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,
      -1,    -1,  2217,    -1,    -1,  4182,  3141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,  3154,
      -1,    -1,    -1,  4200,    -1,    -1,    -1,  2242,  2243,    -1,
      -1,    -1,    -1,  4210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2265,  2266,  4229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4240,  4241,  4242,    -1,    -1,    -1,    -1,
    4247,  4248,  4249,  4250,    -1,    -1,  4253,  4254,    -1,    -1,
      -1,    -1,  4259,  4260,    -1,  4262,  4263,  4264,  4265,  4266,
    4267,    -1,  4269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4278,    -1,    -1,  4281,  4282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2334,
      -1,    -1,    -1,  4300,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,
      -1,    -1,  2377,  2378,    -1,    -1,    -1,  5661,    -1,  2384,
    2385,  2386,    -1,    -1,    -1,  2390,    -1,  2392,  2393,  2394,
    2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,    -1,
      -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,
    2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2456,    -1,  4420,  2459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,    -1,  3394,
      -1,    -1,    -1,    -1,  3399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4449,  4450,  4451,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4460,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,
      -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,
      -1,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2686,    -1,    -1,    -1,  2690,    -1,    -1,  2693,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4682,    -1,  3642,    -1,  4686,
    4687,  4688,  4689,    -1,    -1,  4692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4723,  4724,  4725,    -1,
    4727,    -1,  4729,  4730,    -1,    -1,    -1,    -1,    -1,    -1,
    3695,    -1,    -1,    -1,  4741,  4742,  3701,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4776,
    4777,    -1,  4779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4791,    -1,    -1,    -1,    -1,    -1,
    1129,  1130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3788,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2918,  2919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4893,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,
    4927,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3897,    -1,    -1,    -1,  1387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3918,    -1,    -1,  3001,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5005,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3977,  5020,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3138,  5101,    -1,  3141,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3154,
      -1,    -1,  5119,    -1,    -1,    -1,    -1,  5124,  5125,  3164,
      -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3192,  3193,  3194,
      -1,    -1,  3197,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
    3205,  3206,  3207,  3208,    -1,    -1,    -1,    -1,  5175,    -1,
      -1,    -1,    -1,  3218,    -1,    -1,  3221,    -1,  3223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5194,    -1,  3234,
    3235,    -1,    -1,  3238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,  3254,
      -1,  3256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3276,    -1,  5240,    -1,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,  3287,    -1,  3289,  3290,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4227,    -1,    -1,    -1,    -1,  5274,    -1,  3314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5285,    -1,
      -1,  3326,    -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,
      -1,    -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1639,    -1,  3347,    -1,  5311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5332,    -1,    -1,    -1,  1668,
      -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,    -1,  3394,
      -1,    -1,    -1,    -1,  3399,    -1,    -1,  1696,  1697,  1698,
    5367,  1700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3420,    -1,    -1,    -1,    -1,
      -1,  1720,    -1,    -1,    -1,    -1,    -1,  4352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5405,    -1,
      -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1774,  4401,    -1,  1889,    -1,
      -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5464,    -1,    -1,
      -1,    -1,    -1,  1802,    -1,    -1,    -1,  1806,  1807,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,    -1,
      -1,  5528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5543,    -1,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,    -1,    -1,    -1,  4531,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5592,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3642,    -1,  5606,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,
    3695,    -1,    -1,    -1,    -1,    -1,  3701,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,  5688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5730,    -1,  3770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3788,    -1,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,  3803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,  4733,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5814,    -1,    -1,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,
      -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,  3903,    -1,
      -1,    -1,    -1,    -1,  3909,    -1,  3911,    -1,    -1,  3914,
      -1,    -1,    -1,  3918,  3919,  3920,  3921,  3922,    -1,    -1,
    3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,  3934,
      -1,    -1,    -1,  3938,  3939,    -1,    -1,    -1,  3943,    -1,
      -1,    -1,    -1,  3948,    -1,    -1,    -1,  3952,    -1,    -1,
     998,  3956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3964,
      -1,    -1,  3967,    -1,  3969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3977,  3978,  1022,    -1,  3981,  3982,    -1,    -1,
      -1,  3986,  3987,  4908,    -1,    -1,    -1,    -1,  3993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4003,    -1,
      -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,  2419,    -1,
      -1,    -1,    -1,    -1,  4019,    -1,    -1,    -1,    -1,    -1,
    4025,  4026,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4959,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,    -1,
      -1,    -1,    -1,  4088,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2390,    -1,  2392,    -1,    -1,  2395,  2396,  2397,  4104,
      -1,    -1,    -1,  2402,    -1,    -1,  2405,    -1,    -1,    -1,
      -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2420,  2421,  2422,  2423,    -1,    -1,    -1,    -1,  2428,
      -1,    -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,
    2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2456,    -1,    -1,
    2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,
      -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,  4203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,
      -1,    -1,  4227,    -1,  2523,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2702,    -1,    -1,  5219,    -1,    -1,    -1,    -1,    -1,
      -1,  1349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4323,    -1,
      -1,    -1,  5247,    -1,  1372,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4365,    -1,  5287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4401,  4402,  4403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,
      -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,  1476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,    -1,
      -1,    -1,    -1,  4518,    -1,    -1,    -1,    -1,    -1,  1349,
      -1,    -1,    -1,  4528,  4529,    -1,  4531,    -1,    -1,    -1,
    4535,  4536,  5457,    -1,    -1,  4540,  4541,    -1,    -1,    -1,
    4545,    -1,  1372,  4548,  4549,    -1,    -1,    -1,  4553,    -1,
      -1,    -1,    -1,    -1,  4559,    -1,    -1,  1387,    -1,    -1,
    1608,    -1,    -1,    -1,    -1,    -1,  4571,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,  4583,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,  4596,    -1,    -1,    -1,    -1,  4601,    -1,    -1,    -1,
      -1,    -1,  4607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2918,
    4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,
      -1,  4656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4733,    -1,
    3141,    -1,    -1,    -1,    -1,    -1,  5661,    -1,    -1,    -1,
      -1,    -1,    -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4865,    -1,    -1,    -1,    -1,  3164,    -1,    -1,    -1,    -1,
    3169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,  3290,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,
      -1,  4906,    -1,  4908,    -1,    -1,  3205,  1955,  3207,  3208,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,
      -1,    -1,  3221,    -1,  3223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4955,    -1,    -1,  3252,  4959,  3254,    -1,  3256,    -1,  4964,
      -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4981,  4982,  3389,    -1,
    4985,  3392,    -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,
    3289,  3290,  3291,    -1,    -1,  5000,    -1,    -1,    -1,    -1,
      -1,    -1,  5007,    -1,    -1,    -1,    -1,  5012,    -1,    -1,
    5015,  5016,    -1,    -1,    -1,  3314,    -1,    -1,  5023,  5024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,
      -1,    -1,  3331,    -1,    -1,    -1,    -1,  3448,  3337,    -1,
      -1,    -1,  5047,    -1,  5049,    -1,  2094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3465,    -1,  5061,    -1,    -1,  1889,
      -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,
      -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3420,    -1,    -1,    -1,  1955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5151,    -1,  3559,    -1,
    3561,    -1,    -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2229,    -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5217,    -1,  5219,    -1,    -1,  2265,  2266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5246,  5247,    -1,  5249,    -1,  5251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,  2094,    -1,  5271,    -1,    -1,    -1,
      -1,    -1,  5277,    -1,    -1,    -1,  5281,    -1,    -1,  2109,
      -1,    -1,  5287,    -1,  3695,    -1,    -1,  5292,  2118,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,
      -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,    -1,  5354,
      -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2419,    -1,    -1,    -1,  2205,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,
      -1,    -1,  3803,    -1,    -1,    -1,  5401,    -1,    -1,  2229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5456,  5457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5479,    -1,    -1,  5482,    -1,    -1,
    5485,    -1,    -1,    -1,    -1,    -1,  3897,    -1,    -1,    -1,
      -1,  5496,    -1,    -1,    -1,    -1,  5501,    -1,  5503,    -1,
    5505,    -1,    -1,    -1,    -1,    -1,    -1,  3918,  5513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5531,    -1,    -1,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,
    2628,  2629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,
      -1,    -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3903,    -1,    -1,  5612,    -1,    -1,
    3909,    -1,  3911,    -1,    -1,  5620,  4027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3938,
    3939,    -1,  2690,    -1,  5649,  5650,    -1,    -1,    -1,    -1,
      -1,    -1,  5657,    -1,  2702,    -1,  5661,  3956,    -1,    -1,
      -1,    -1,  5667,    -1,    -1,  3964,    -1,    -1,  3967,    -1,
    3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3978,
      -1,    -1,    -1,    -1,  5689,    -1,    -1,  3986,  3987,    -1,
      -1,    -1,    -1,  4104,  2742,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4019,    -1,    -1,    -1,    -1,    -1,  4025,  4026,  4027,    -1,
      -1,    -1,    -1,    -1,  5739,    -1,    -1,    -1,    -1,  5744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5753,    -1,
      -1,    -1,    -1,    -1,  5759,  5760,    -1,  5762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5771,    -1,    -1,    -1,
      -1,    -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5788,  1712,    -1,    -1,    -1,    -1,  4088,
      -1,    -1,  4203,    -1,  2624,    -1,    -1,    -1,  2628,  2629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,  5826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5853,    -1,
      -1,    -1,    -1,  5858,    -1,    -1,    -1,    -1,    -1,    -1,
    2690,  1789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2919,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5895,    -1,    -1,    -1,    -1,    -1,  5901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5943,  5944,
      -1,  4352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,
      -1,    -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4402,  4403,    -1,  3154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,
      -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,    -1,  4488,
    4601,    -1,    -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,
    4529,    -1,    -1,    -1,    -1,    -1,  4535,  4536,    -1,    -1,
      -1,  4540,    -1,    -1,    -1,    -1,  4545,    -1,    -1,  4548,
    4549,    -1,    -1,    -1,  4553,    -1,    -1,    -1,    -1,    -1,
    4559,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3124,    -1,    -1,  4596,    -1,    -1,
      -1,  4712,  4601,    -1,    -1,    -1,    -1,    -1,  4607,    -1,
      -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4733,    -1,  3154,    -1,  4625,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3389,    -1,    -1,  3392,    -1,  3394,    -1,    -1,    -1,
      -1,  3399,    -1,    -1,    -1,    -1,    -1,  4656,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3490,    -1,    -1,    -1,    -1,  2375,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,    -1,    -1,
      -1,  2389,    -1,    -1,    -1,  2393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2407,
    2408,  2409,    -1,    -1,  2412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4906,    -1,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3559,    -1,  3561,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4822,    -1,    -1,  2454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,
      -1,    -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,  3399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2544,    -1,  3448,  2547,
      -1,    -1,  3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3695,    -1,    -1,
      -1,    -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,
    3490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4981,  4982,    -1,    -1,  4985,    -1,  5099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,  5023,  5024,    -1,    -1,    -1,  3559,
      -1,  3561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5049,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,    -1,
      -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,    -1,    -1,
    3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3897,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3695,    -1,    -1,    -1,    -1,
    3918,  3701,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,
      -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,
    3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3803,    -1,    -1,    -1,    -1,  5277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5456,  5457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5354,  4104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5531,    -1,    -1,    -1,    -1,    -1,    -1,  3167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,
      -1,  3189,    -1,    -1,  3192,  3193,    -1,  3195,    -1,  3197,
      -1,    -1,    -1,  3201,  4104,    -1,  3204,    -1,    -1,    -1,
      -1,  3209,    -1,    -1,    -1,    -1,    -1,  3215,    -1,    -1,
      -1,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,  3227,
    3228,  3229,  3230,    -1,  4352,    -1,  3234,  3235,    -1,  3237,
      -1,    -1,    -1,  5612,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3249,    -1,  3251,    -1,    -1,    -1,    -1,    -1,    -1,
    3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,  3267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5649,  5650,    -1,  4401,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3295,  5667,    -1,
      -1,    -1,    -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3323,    -1,  4227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,  5744,    37,    38,    39,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,  4531,    -1,    -1,    -1,    78,    79,  5788,
      -1,    -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3435,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4352,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,  4401,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,   185,    -1,  5895,    -1,    -1,    -1,
      -1,    -1,  5901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,  4712,   256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,  4733,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      -1,  4531,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,
      -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,
    4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,    -1,    -1,    -1,    -1,  3696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,
      -1,    -1,   433,    -1,  4674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
    4908,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
     461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,
      -1,    -1,  4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,  4733,    -1,   496,    -1,    -1,    -1,    -1,
      -1,  4959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3893,    -1,    -1,  4798,    -1,
      -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3915,  3916,    -1,
      -1,  3919,  3920,  3921,  3922,    -1,    -1,  3925,  3926,  3927,
    3928,  3929,  3930,  3931,  3932,  3933,  3934,  3935,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3957,
      -1,    -1,  3960,    -1,  3962,    -1,    -1,  3965,  3966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5099,  3980,  3981,  3982,  3983,    -1,  3985,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4055,    -1,  4959,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,    -1,
      -1,  5349,  5350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,
      -1,    -1,    -1,    -1,    -1,  4323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    -1,    -1,    -1,  5344,    49,    50,    -1,    -1,  5349,
    5350,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
    4478,    -1,    -1,    -1,  4482,  4483,  4484,    -1,    -1,    -1,
      -1,    -1,  4490,  4491,  4492,  4493,    -1,    -1,    -1,    -1,
    4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,  4507,
    4508,  4509,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,  4534,    -1,    -1,  4537,
      -1,  4539,   146,  5661,   148,  4543,    -1,    -1,  4546,  4547,
      -1,   155,  4550,  4551,    -1,    -1,    -1,  5457,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4598,    -1,    -1,    -1,    -1,    -1,    -1,  4605,  4606,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,  4624,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,  4637,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5661,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,  4825,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4903,  4904,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4949,    -1,    -1,    -1,    -1,  4954,  4955,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4969,    -1,  4971,    -1,    -1,    -1,  4975,  4976,  4977,
      -1,    -1,  4980,    -1,    -1,  4983,  4984,    -1,    -1,    -1,
    4988,    -1,    -1,    -1,  4992,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,  5120,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,
      -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,   106,   107,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,   119,    -1,    -1,
     122,   123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
     142,    -1,   144,   145,   146,    -1,   148,    -1,    -1,   151,
      -1,   153,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,  5245,  5246,   181,
      -1,   183,   184,   185,   186,    -1,    -1,    -1,    -1,    -1,
     192,    -1,    -1,  5261,  5262,  5263,    -1,    -1,   200,    -1,
     202,    -1,    -1,  5271,   206,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,   220,   221,
     222,    -1,    -1,   225,    -1,    -1,   228,    -1,    -1,   231,
      -1,  5299,  5300,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,   244,    -1,   246,    -1,   248,  5315,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,    -1,   274,    -1,    -1,   277,    -1,   279,    -1,    -1,
     282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,   297,    -1,   299,   300,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,   320,   321,
     322,    -1,    -1,    -1,   326,    -1,    -1,   329,   330,    -1,
      -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,
      -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,   371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,   384,    -1,    -1,    -1,    -1,    -1,   390,   391,
      -1,   393,    -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,
      -1,   403,   404,  5471,   406,    -1,   408,    -1,    -1,   411,
      -1,    -1,    -1,    -1,    -1,   417,   418,  5485,    -1,    -1,
    5488,    -1,    -1,   425,  5492,   427,    -1,   429,   430,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
     452,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,   471,
      -1,   473,    -1,    -1,  5542,    -1,   478,    -1,    -1,   481,
      -1,    -1,   484,    -1,    -1,   487,    -1,    -1,    -1,    -1,
     492,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,    -1,    -1,    -1,   546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5655,    -1,  5657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5765,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5853,    -1,    -1,    -1,    -1,
    5858,    -1,    -1,    -1,    -1,    -1,    -1,  5865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,  5897,
      15,    16,  5900,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  5923,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   548,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,   528,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   543,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   543,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,   528,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,   540,   541,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     542,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
      -1,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,   528,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   543,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,   541,   542,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,   528,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,   528,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    84,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,    -1,   468,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,    -1,   468,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,   535,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     535,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   535,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   535,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     4,   531,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,    -1,   125,    -1,    -1,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,    -1,    -1,    -1,    -1,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,   430,   431,
     432,    -1,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,    -1,   149,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,    -1,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,    -1,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,
     282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,
      -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,
      -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,
     125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,   542,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    70,    71,   528,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    -1,    85,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    -1,   524,   525,
      -1,    -1,    -1,    -1,    -1,    70,    71,   533,   534,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,   524,
     525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,   534,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,
     534,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,
     533,   534,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,    -1,    -1,    -1,    -1,    -1,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,   145,    -1,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,    -1,    -1,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
      -1,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
      -1,    -1,   273,   274,   275,    -1,    -1,    -1,    -1,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,    -1,
      -1,    -1,   323,   324,   325,    -1,    -1,   328,   329,    -1,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
      -1,   352,    -1,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,   428,   429,    -1,
     431,   432,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
      -1,    -1,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1196,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1186,  1197,  1225,  1227,  1318,  1328,
    1329,  1331,  1337,  1338,  1226,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     567,   571,   583,   588,   589,   592,   593,   594,   614,   617,
     618,   634,   677,   680,   683,   684,   685,   693,   699,   701,
     703,   704,   707,   710,   711,   715,   724,   728,   729,   730,
     731,   734,   736,   737,   738,   739,   747,   748,   767,   771,
     773,   774,   775,   785,   787,   794,   795,   798,   799,   800,
     801,   802,   810,   812,   816,   821,   825,   826,   834,   835,
     838,   843,   854,   881,   884,   885,   886,   891,   894,   896,
     898,   900,   901,   906,   907,   910,   911,   912,   916,   917,
     920,   921,   924,   925,   926,   933,   935,   936,   937,   942,
     944,   945,   951,   952,   953,   954,   955,   956,   957,   959,
     960,   962,   963,   965,   968,   969,   974,   980,   983,   985,
     994,   996,  1001,  1006,  1010,  1011,  1012,  1013,  1014,  1015,
    1018,  1053,  1193,  1194,  1198,  1200,  1201,  1218,  1219,  1220,
    1221,  1232,  1234,  1238,  1239,  1240,  1241,  1242,  1244,  1246,
    1248,  1249,  1250,  1251,  1253,  1258,  1259,  1263,  1264,  1273,
    1275,  1276,  1277,  1280,  1285,  1288,  1293,  1295,  1296,  1299,
    1301,  1304,  1313,  1331,  1339,    72,  1221,  1229,  1230,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   118,   120,   121,   122,
     129,   130,   131,   132,   133,   136,   137,   140,   142,   143,
     144,   145,   150,   151,   152,   153,   154,   156,   157,   160,
     161,   162,   163,   164,   165,   168,   169,   177,   178,   179,
     180,   181,   183,   186,   188,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   203,   204,   205,   206,   207,
     209,   210,   211,   213,   214,   215,   217,   218,   219,   220,
     222,   223,   224,   227,   229,   230,   232,   234,   236,   240,
     241,   242,   243,   245,   249,   251,   252,   254,   255,   257,
     258,   259,   260,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   328,   329,   331,   334,   336,   337,   338,   340,
     341,   344,   345,   346,   349,   352,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   365,   366,   368,   370,   371,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   402,   403,   405,   406,
     407,   409,   410,   411,   412,   413,   414,   415,   417,   419,
     420,   421,   422,   423,   424,   425,   426,   428,   429,   431,
     432,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   450,   451,   453,   455,   456,   457,
     458,   459,   463,   465,   466,   468,   471,   472,   473,   474,
     475,   476,   477,   480,   481,   482,   483,   484,   487,   488,
     489,   490,   491,   495,   497,   498,   499,   500,   503,   506,
     507,   508,   509,   510,   511,   524,   525,  1188,  1189,  1191,
    1192,  1193,  1194,  1211,  1212,  1323,  1325,  1329,  1331,    29,
     272,  1274,     9,    13,    15,    28,    44,    45,    49,    50,
      55,    64,    66,    68,    69,   102,   138,   158,   170,   182,
     187,   253,   313,   316,   416,   492,   523,  1179,  1192,  1193,
    1213,  1260,  1261,  1303,  1304,  1305,  1309,  1314,  1315,  1316,
    1325,  1331,   102,  1007,  1178,  1213,  1309,  1322,    14,  1007,
       5,    25,    29,    35,    36,    42,    43,   102,   106,   107,
     108,   109,   110,   111,   112,   115,   128,   134,   135,   138,
     141,   147,   149,   158,   159,   166,   170,   171,   172,   173,
     175,   176,   177,   187,   189,   196,   201,   202,   208,   212,
     216,   226,   228,   233,   235,   238,   244,   247,   250,   261,
     268,   272,   276,   278,   280,   291,   292,   298,   302,   303,
     327,   332,   339,   342,   343,   347,   348,   364,   373,   388,
     401,   418,   424,   435,   449,   452,   460,   463,   464,   470,
     478,   479,   485,   486,   492,   494,   501,   502,   504,   505,
    1192,  1195,  1305,  1306,  1307,  1311,  1312,  1313,  1314,  1316,
      25,    35,   138,   276,  1300,    37,    39,   327,  1233,   465,
     508,   938,   101,   148,   163,   181,   187,   204,   215,   223,
     235,   240,   247,   264,   289,   310,   344,   366,   376,   379,
     405,   410,   412,   419,   422,   441,   447,   451,   452,   455,
     459,   468,   473,   485,   498,   700,  1261,   186,   938,   102,
    1007,   496,   970,   342,   372,   938,   125,   542,   625,    96,
     101,   113,   135,   148,   159,   181,   187,   204,   215,   223,
     235,   243,   247,   301,   344,   347,   366,   379,   405,   412,
     422,   441,   447,   455,   456,   458,   459,   468,   473,   479,
     482,   485,   635,   682,   790,   844,   855,  1179,  1202,  1203,
    1204,  1213,  1329,  1331,    14,   102,   371,  1178,  1213,  1217,
     440,  1007,   102,   365,   420,   456,   458,   288,   892,   893,
    1329,    96,   101,   113,   135,   148,   163,   181,   204,   215,
     223,   235,   240,   247,   264,   310,   344,   356,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   485,   498,   700,   803,   804,   805,   938,
     548,  1243,  1307,   257,  1217,   166,   186,   220,   496,   542,
     680,   683,   969,   975,   983,   985,   994,  1001,  1006,  1010,
    1198,    95,   102,   120,   230,   236,   238,   261,   290,   324,
     374,   392,   533,   534,   822,   823,  1007,  1186,  1187,  1323,
    1325,   102,   166,   388,   418,   827,   828,   829,  1309,   235,
    1309,  1183,  1329,   452,  1021,   120,   236,   822,  1309,   465,
    1217,   356,   310,   181,   264,   412,   451,   452,   542,   902,
     903,   411,  1309,   102,   138,   423,   461,   465,   492,   575,
     584,   585,  1192,  1193,  1303,  1308,  1314,  1316,  1331,    99,
     244,   827,   828,   372,   938,  1309,   287,   102,   201,  1023,
    1024,     4,    14,   136,   158,   160,   301,   319,   405,   412,
     423,   461,   465,   511,   572,   573,   574,   575,   102,   423,
     461,   465,   575,   465,   343,  1064,  1176,  1309,  1021,  1297,
    1307,   535,  1309,   239,   542,   971,   542,   386,  1016,  1017,
    1178,  1016,  1011,  1012,  1015,   546,   970,   216,   278,   348,
     478,  1025,  1026,  1011,  1013,  1014,   192,   274,   484,   545,
     122,   552,  1241,  1244,  1240,  1236,   546,  1245,  1247,     5,
      25,    35,   138,   205,   276,  1252,   182,   253,   313,   316,
     416,   523,   542,  1107,  1108,  1224,  1228,  1318,    72,  1221,
    1178,  1213,  1332,   187,  1202,    21,   486,   536,  1217,  1217,
    1332,   486,  1265,  1266,  1267,    25,   276,   276,  1311,     7,
      19,    20,    38,    41,   162,   202,  1302,  1302,    16,  1241,
     871,  1184,  1194,  1303,  1306,  1309,  1310,  1314,  1315,  1331,
     807,  1309,   807,  1179,   375,   807,   468,  1178,   180,   452,
     859,  1184,  1194,  1309,  1188,  1189,   102,   255,  1176,   336,
     498,    84,    91,    92,    93,   143,   227,   529,   530,   531,
     533,   534,   535,   536,   537,   538,   888,   890,  1140,  1141,
    1309,   255,  1178,  1178,   102,  1188,  1189,  1178,  1178,   255,
    1176,  1178,   807,  1178,   398,   425,   102,   255,  1064,  1178,
     415,  1178,   807,   102,   308,  1188,  1189,   255,  1176,   288,
      34,   189,   284,   327,   382,   939,   940,   941,  1176,  1182,
    1309,    96,   101,   135,   148,   149,   159,   163,   181,   204,
     215,   223,   235,   240,   264,   289,   310,   344,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   498,   700,   813,   814,  1329,   982,   985,
     994,  1001,  1010,  1176,   312,  1184,  1178,   542,   255,   807,
     468,  1179,   807,   468,   255,  1178,   180,   452,   456,   458,
    1188,   456,   458,   143,   227,   888,   396,  1178,  1178,  1188,
     255,   568,  1309,   255,  1178,   255,   807,  1178,  1178,   415,
    1178,   807,   308,  1188,   386,   419,   452,   498,   310,   163,
     264,   240,   410,   466,   472,   694,    84,  1205,  1206,   547,
    1325,  1332,   102,  1217,  1331,  1008,   582,  1191,  1329,   893,
     312,   255,   871,   872,  1178,   255,   897,   255,  1179,   124,
     126,   127,   138,   139,   184,   185,   205,   231,   255,   276,
     277,   279,   320,   322,   335,   383,   427,   433,   461,   462,
     493,   809,  1086,  1088,  1090,  1092,  1094,  1096,  1097,  1098,
    1100,  1101,  1102,  1104,  1105,  1303,  1310,  1314,  1315,  1331,
     468,   180,   452,   255,   858,   859,   255,  1189,  1190,   155,
     498,   143,   227,   255,   889,   890,   129,   255,  1190,   255,
    1178,   255,  1178,   415,   897,   255,   809,   255,   308,  1190,
     288,   255,   806,   807,   255,  1177,  1178,   255,  1178,   542,
     548,  1333,  1334,  1335,  1336,  1338,  1243,    70,  1213,  1262,
     542,   984,   635,  1007,   975,   969,   976,   977,   978,  1191,
     970,  1187,   823,   824,   102,   823,  1007,  1187,   824,   102,
     823,  1007,  1187,   824,   824,   824,  1187,  1186,  1186,   280,
     486,  1267,  1268,  1342,  1344,  1007,   824,   375,   542,   542,
     655,   655,   655,   342,   463,   545,   655,   412,  1064,  1065,
     823,  1007,   823,  1007,   545,   934,  1329,   238,   542,   981,
     129,   498,   496,   904,   905,  1176,  1178,  1309,   119,   525,
     284,   544,   345,   345,   342,   238,  1329,   463,   233,   817,
     342,    82,    83,    84,    86,   110,   124,   126,   127,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   277,   279,   294,   302,   303,   320,   322,   327,   332,
     333,   335,   344,   354,   367,   383,   408,   424,   433,   448,
     461,   462,   467,   469,   470,   479,   485,   493,   513,   514,
     515,   516,   518,   519,   520,   521,   526,   533,   534,   535,
     542,  1011,  1089,  1092,  1095,  1096,  1097,  1099,  1100,  1101,
    1104,  1105,  1109,  1111,  1112,  1113,  1115,  1136,  1137,  1138,
    1142,  1161,  1166,  1173,  1174,  1184,  1185,  1186,  1309,  1321,
    1323,  1325,  1326,  1327,  1328,  1329,  1172,  1173,   463,   531,
    1332,  1329,   463,   531,  1261,   102,   590,  1175,  1176,   423,
     572,   187,   581,  1329,   582,  1329,   119,   140,   572,   525,
     434,   940,   345,   238,   463,   531,   119,   525,   284,  1342,
     941,   542,  1176,   535,   540,   544,  1167,  1169,  1065,  1313,
     237,   239,   496,   966,   967,   969,  1331,   237,   972,  1109,
    1145,  1016,   545,   542,   973,   543,   543,  1176,   102,   201,
    1022,  1022,   129,  1022,   228,   233,   298,   339,  1029,  1031,
    1032,  1047,  1049,  1050,  1051,  1025,  1026,   238,   280,  1064,
    1066,   542,   546,  1235,   535,  1254,  1255,  1257,   548,   548,
      25,   276,   276,   463,   463,   463,   463,   542,   463,   533,
     534,   691,  1187,  1222,  1328,   212,   111,  1209,   129,  1212,
    1212,   280,  1267,  1269,   280,  1267,  1268,  1269,   491,  1278,
    1279,  1325,    14,    83,   436,   533,   534,  1186,  1270,  1271,
    1272,  1321,  1323,  1327,  1328,  1329,  1330,   276,   282,  1178,
     463,  1178,     6,  1178,  1302,  1257,   357,   394,   425,   542,
     869,  1169,   357,   390,   394,   425,   544,   808,   357,   394,
     425,   158,   210,   304,   357,   394,   425,   455,   457,   505,
     583,   586,   946,   947,   948,   949,  1331,   839,    98,   206,
     357,   394,   425,   489,   598,  1178,    98,   206,   425,   484,
     566,   509,   255,  1064,   131,   165,   195,   224,   258,   293,
     327,   357,   358,   394,   402,   409,   417,   425,   437,   445,
     500,   583,   587,   874,   882,   542,   856,  1169,   394,   566,
     261,   221,    98,   104,   145,   195,   199,   206,   209,   234,
     266,   325,   327,   337,   346,   357,   394,   397,   398,   425,
     489,   595,   597,   718,   691,   102,   255,  1176,   807,   807,
     542,   887,   357,   425,   544,   221,   342,    98,   206,   357,
     394,   425,   261,   561,   394,   505,   528,   554,   561,   342,
     357,   394,   221,   111,   130,   179,   263,   311,   314,   325,
     356,   394,   399,   419,   425,   439,   595,   688,   689,   357,
     394,   497,   718,   726,   357,   394,   425,   158,   199,   209,
     357,   390,   394,   425,   585,   573,   575,   261,   221,   117,
     197,   394,   425,   595,   596,   357,   394,   398,   425,   156,
     198,   359,   457,   342,    98,   104,   206,   357,   394,   425,
     615,   616,   561,   233,   394,   554,   561,   221,   394,   425,
     595,  1178,   546,   296,   189,   343,   510,   545,   939,   486,
     964,   342,   312,   871,   542,  1178,  1086,   468,   180,   452,
     859,   336,   498,   143,   227,   890,  1178,  1178,   415,   233,
    1178,  1086,   288,   807,  1178,   543,   655,  1178,   542,   780,
     869,   141,  1086,   327,   238,   542,   776,  1178,   554,   111,
     958,  1178,   327,   554,   509,   255,  1176,   554,   807,   807,
     776,   482,   635,   342,   233,   918,   919,   554,   327,   119,
     569,   327,   473,   725,   327,   973,   158,   357,   702,   156,
     198,   359,   457,   100,   121,   275,   749,   111,   776,   233,
     255,   554,   498,   255,  1176,   255,   678,  1176,  1176,   498,
     807,   155,   845,  1184,  1178,   233,   700,    73,  1207,  1309,
     547,  1208,  1205,   125,   178,   273,   325,   414,   221,   132,
     400,   545,   599,   599,   221,   542,   221,   495,  1103,  1103,
    1103,   542,  1091,  1091,   369,   542,  1093,   221,   138,   139,
    1103,  1091,  1088,   507,   528,   542,  1106,   542,  1106,   545,
     599,   110,  1087,   542,   182,   316,   523,   542,  1107,   808,
    1091,   509,   221,   545,   599,   221,   545,   255,   806,   255,
     807,   255,   807,   221,   545,   599,  1190,   221,   221,   599,
     221,   156,   198,   359,   457,   233,   221,   599,   221,   233,
     255,   255,   582,   221,   545,   599,   221,   545,   599,   221,
     342,   543,  1334,  1335,  1333,   545,   549,  1145,  1266,  1341,
    1342,   452,  1008,   543,   545,   226,   342,   470,   579,   582,
     691,   979,   975,   824,  1007,   824,  1007,  1344,  1345,   824,
    1007,   824,  1007,  1345,   824,  1007,  1007,  1007,   824,    14,
     436,  1317,  1320,  1325,  1007,   542,   656,   657,  1309,   656,
     102,   181,   204,   235,   240,   288,   289,   412,   419,   452,
     455,   473,   830,  1175,  1190,   829,  1178,   261,   545,   997,
    1007,  1007,  1329,  1262,  1086,  1148,   111,  1190,   845,   543,
     545,   296,  1309,   233,   233,   830,  1190,   411,  1309,   582,
     342,   542,   540,  1011,  1149,  1109,  1165,   542,   542,   233,
     542,   542,  1011,   542,   542,   542,   542,   542,   542,  1109,
     542,   542,   542,   542,   542,   542,   542,   542,  1011,   542,
     542,   542,   542,   542,   542,   542,   542,  1109,  1109,  1109,
     492,  1011,  1109,  1145,  1169,  1329,   542,  1329,    84,    87,
      91,    92,    93,   108,   111,   116,   123,   147,   256,   261,
     282,   283,   297,   330,   344,   347,   430,   526,   529,   530,
     531,   533,   534,   535,   536,   537,   538,  1140,  1142,  1144,
    1331,   506,  1124,   353,  1109,   280,   545,  1019,  1342,   542,
    1329,  1169,    22,  1324,  1325,  1170,  1019,   338,   342,  1294,
    1294,    10,   491,  1281,  1282,  1284,  1261,  1261,   190,   257,
     591,   545,   140,   187,   582,   111,   187,   301,   580,   691,
    1105,  1329,  1331,  1329,   161,   203,  1121,   170,   187,   576,
     577,   579,   691,   187,   576,  1342,  1342,   296,  1176,  1109,
    1168,   535,  1181,  1311,  1167,   162,   399,   811,   282,   543,
     545,   970,   543,   545,  1017,  1177,   111,   973,  1013,  1013,
    1027,  1028,  1109,  1013,   230,   324,  1038,   286,   325,   382,
     428,   484,   102,  1033,  1109,  1034,  1036,  1109,  1111,  1047,
    1048,  1032,  1031,  1029,  1030,   233,  1050,   337,  1052,  1029,
    1047,  1066,   986,  1176,   111,  1309,   425,  1145,  1254,   535,
     545,   546,  1312,  1231,  1234,  1231,   276,   182,   253,   313,
    1108,   313,  1108,  1108,   316,  1186,   313,   316,   416,  1328,
    1328,   545,  1223,   186,  1261,   485,  1210,  1212,  1178,   436,
    1186,  1283,  1325,   545,   531,  1178,    14,  1186,  1328,  1186,
    1328,   545,  1241,   542,  1178,   542,  1313,   463,   463,   412,
     261,   271,   348,   350,   427,   494,   535,   862,   863,   864,
     866,   868,   870,  1086,  1310,   463,   497,   463,   412,  1181,
     544,   463,   463,   412,   298,   463,   463,   455,   572,   357,
     946,   948,   531,   950,   233,   244,   261,   403,   840,   841,
     141,   159,   217,   235,   373,   479,   652,   653,   159,   187,
     327,   463,   159,   463,   187,   327,   412,   159,   199,   209,
     357,   394,   772,   412,   708,    96,   101,   135,   148,   163,
     204,   215,   235,   240,   310,   344,   412,   419,   422,   452,
     459,   466,   473,   498,   700,  1178,   221,   394,   425,   595,
     342,   691,   342,   417,   293,   463,  1309,   463,   332,   691,
     191,   281,   412,   423,   465,   574,   400,   425,   874,   883,
     543,   857,   862,   463,   485,   455,  1176,   149,   217,   255,
     642,   652,  1309,   149,   159,   908,   342,   342,   408,   410,
     468,   159,   908,   105,   397,   408,   410,   468,   408,  1176,
     234,   266,   337,   807,   542,   463,   463,   254,   542,   603,
     307,   455,   482,   505,   507,   603,   159,   545,   357,   261,
     221,   195,   394,   425,   595,   486,   486,   326,  1086,   463,
     412,   542,   888,  1178,  1176,   452,   452,   463,   463,   452,
     776,   181,   425,   586,   463,   556,   586,  1176,   463,   463,
    1176,  1088,   691,   129,   690,   691,   691,   179,   311,   314,
     129,   463,   554,   318,   412,   554,   325,   689,   463,   463,
     332,  1329,   718,   463,   463,   412,  1329,   463,   379,   463,
     379,   776,   455,  1064,   361,   361,   159,   463,   908,   412,
     463,   463,   603,   603,   807,   807,   807,   807,  1176,   118,
     491,   118,   118,   463,   118,   463,   491,   412,   545,   586,
     485,   735,  1189,   463,   556,   586,  1176,   463,   412,   357,
     394,   382,   395,   421,   578,   939,  1182,  1309,  1176,   282,
    1086,   342,   282,   509,   282,   691,   807,   807,   282,   342,
     342,   156,   198,   359,   457,  1086,   342,   282,   282,   282,
     463,   505,   626,   473,   781,   782,  1331,   776,   542,   111,
     221,   807,   777,   778,  1311,   100,   946,  1086,   342,   221,
     705,  1178,   327,   361,   542,   555,   790,   486,   386,   498,
    1176,   102,   452,   505,   878,   555,   221,  1189,   166,   244,
     570,   634,   684,   748,   825,   843,   942,   221,  1329,   726,
     727,   221,   342,  1329,  1189,   304,   807,   807,   807,   807,
     337,   192,   274,   471,   484,   750,   751,   213,   381,   542,
     735,   327,   555,  1176,   327,   686,   688,   327,   111,   337,
     361,   542,   655,   655,   255,   681,  1176,   233,   255,   846,
    1182,   542,   860,   111,  1086,   288,   544,  1186,  1208,   505,
     507,  1009,   414,   872,   871,  1086,  1179,   542,  1145,  1186,
     809,  1103,  1103,   110,  1087,   461,   461,  1186,  1186,  1086,
     540,   540,  1186,   463,   463,  1186,  1091,   858,   859,  1190,
    1189,   221,   599,   221,   486,   221,   486,   889,   890,   599,
    1190,  1178,  1178,  1086,   809,  1190,   735,   221,   221,   599,
     806,   807,  1177,  1178,  1178,   807,   543,   549,  1336,   543,
    1342,  1343,  1266,  1176,   178,   975,   977,  1007,  1007,  1345,
    1007,  1007,  1345,  1007,  1007,  1178,    14,   545,  1324,   656,
     543,   545,   543,   241,   420,   453,  1177,   806,   180,   422,
     858,  1177,   336,  1177,  1175,  1175,  1177,   806,   463,   505,
     836,   216,   298,   732,   733,    96,   219,   408,   428,   998,
    1064,   331,   999,   543,   545,   982,   463,  1176,   902,   903,
     905,   828,   827,   828,   238,   245,   837,  1309,   101,   149,
     181,   204,   215,   235,   240,   289,   310,   379,   405,   412,
     419,   447,   452,   455,   473,   498,   700,   818,   819,  1145,
     541,  1145,  1149,  1150,   501,  1162,  1163,  1109,  1145,   542,
    1186,  1186,   182,   253,   313,   316,   416,   523,  1151,  1152,
    1329,  1331,  1145,  1145,  1145,  1186,  1186,  1109,   888,  1109,
    1153,   408,   533,   534,   542,  1110,  1111,  1142,  1155,   543,
    1145,  1109,  1145,  1156,  1109,   128,   238,   292,   464,  1109,
    1145,  1159,  1145,   318,  1111,  1109,  1119,  1120,  1121,   318,
    1109,  1121,   543,   545,  1186,  1107,  1086,  1109,  1109,  1109,
    1109,  1311,   461,   115,   449,  1171,   807,  1109,   542,  1011,
    1160,   201,   203,   226,   327,   332,   337,   470,   480,  1109,
     542,  1109,   463,   123,   256,   261,   297,   430,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,   102,   109,
     435,  1139,   247,   229,  1125,   408,   542,  1136,   243,   301,
     452,   456,   458,   482,  1020,  1176,  1174,   238,  1054,   102,
     201,   494,   535,   543,   864,  1109,  1146,  1147,  1310,  1178,
    1325,  1167,  1054,  1283,   545,   531,  1176,   465,   542,  1329,
     545,  1342,   543,   541,   547,   254,   254,   599,  1241,  1176,
     967,   968,  1176,  1109,   543,   542,   545,   112,   196,   486,
     852,   542,  1035,  1187,   428,   286,   343,   545,   408,   409,
    1037,  1175,   331,   432,  1000,  1048,  1030,   486,   995,   187,
     355,   542,   987,  1010,   111,  1309,   542,  1002,  1003,  1004,
    1309,   543,   546,  1255,  1087,   549,  1234,   549,   543,   691,
     543,    34,  1211,  1286,  1287,  1325,  1279,  1284,  1332,  1270,
    1087,  1319,  1335,  1319,  1087,  1189,  1178,  1178,   350,   129,
    1310,   543,   864,   866,   863,   866,  1310,   348,   543,   545,
     808,  1189,  1178,  1178,  1181,  1189,  1178,  1178,  1189,  1179,
    1178,   187,   579,  1187,   405,   485,   827,   412,   244,   827,
     542,  1178,   486,   847,   286,   286,   486,   542,   676,   255,
    1178,   332,  1189,  1178,  1178,  1109,   332,  1178,  1178,   105,
     397,   463,   463,  1178,   463,   709,   312,   871,   542,   807,
     807,  1086,   468,   180,   452,   859,   498,   143,   227,   890,
    1178,   807,  1178,   807,   415,   233,  1086,   807,   288,   249,
     325,   357,   394,   490,   712,   713,   714,  1064,   463,   908,
     412,   332,   223,   191,   281,  1189,  1178,   342,  1178,   543,
     545,  1188,  1190,  1178,   394,   595,   255,   642,   327,  1086,
    1178,  1309,  1178,   223,   296,  1178,   102,   485,  1178,   255,
    1178,   255,  1309,   410,   468,   410,   468,   296,  1178,   102,
     485,  1178,   296,   408,  1176,    98,   206,   425,   719,   720,
     721,   722,  1311,  1189,  1178,   187,   239,   328,   486,   602,
     605,   606,  1311,  1178,   340,   145,   340,  1178,   597,   463,
     455,  1176,   342,   463,   908,   412,  1180,  1309,  1180,   545,
     543,   545,  1189,  1178,   913,   914,  1311,   342,   394,   463,
     743,  1065,  1065,  1189,  1178,  1065,  1179,  1188,   158,   211,
     266,   363,   477,   485,   488,   557,  1331,   394,  1189,  1178,
     394,   425,   595,   688,   691,   807,  1178,   691,   807,  1178,
     691,  1189,  1178,  1189,  1178,  1178,  1189,   878,  1178,   922,
     923,  1311,  1178,   394,   425,   595,   596,  1176,  1176,  1178,
    1178,  1178,  1178,  1189,  1178,    98,   104,   206,   357,   394,
     425,   357,   394,   425,   776,   394,   425,   394,   425,   195,
     394,  1078,  1309,   255,   786,  1309,   255,  1309,  1189,  1178,
    1178,  1329,  1178,    98,   616,   422,  1188,   394,   425,   595,
    1178,  1178,   463,   463,   154,   476,   382,   332,   815,  1329,
     111,   204,   807,   815,   815,   282,   486,   486,   815,   807,
     807,   288,   807,   815,   815,   815,   378,   620,   340,   238,
     463,   619,   264,   543,   545,   531,  1109,  1086,   807,   543,
     545,   531,   750,   644,  1311,  1178,   132,   238,   412,   497,
     706,   713,   714,   221,   337,   297,   636,   638,   640,   642,
     649,   652,    99,   261,   405,   450,   557,   558,   233,  1180,
     498,  1176,   111,   744,   453,  1065,   776,   568,  1309,   569,
     347,   635,  1178,   235,   807,  1145,   379,  1329,   776,   776,
     776,   776,   337,   342,   347,   542,   776,  1076,  1077,  1078,
     422,   221,   542,   221,   221,   220,  1199,   807,   337,   636,
    1309,   505,   507,   672,   505,   604,   327,   111,   655,  1329,
     327,   342,   543,   861,   862,   867,   111,   288,   402,   466,
     504,   873,   874,   875,   342,   288,   582,  1207,   536,   252,
     252,   233,   599,   111,  1145,   543,   543,   599,   540,   525,
     525,   543,   543,  1186,   541,   542,  1186,  1309,  1329,  1340,
     543,   543,   599,   806,   807,  1180,   807,  1180,   599,   599,
     288,   599,   422,   233,   582,   599,   599,   342,   599,  1009,
    1332,  1320,   543,   657,   261,   261,   261,   509,  1177,   691,
     692,   247,   831,   832,  1189,    99,   837,   463,   542,   238,
     219,   428,   219,   428,   408,   484,   315,  1086,  1189,   505,
     679,  1176,  1178,   238,   342,   831,   129,   599,   871,  1086,
     468,   452,   859,   336,   498,  1086,   288,   807,  1178,   543,
     541,   541,   545,  1109,   208,  1163,  1164,   111,   543,  1109,
     543,   543,   543,   238,   543,   543,   543,   543,   543,   545,
     543,   364,  1154,   543,   542,  1110,  1110,  1145,    87,    91,
      92,    93,   261,   282,   344,   529,   530,   531,   533,   534,
     535,   536,   537,   538,  1142,  1110,   543,   543,   233,   238,
    1157,  1158,   543,   111,  1159,  1145,  1159,  1159,   238,   543,
     543,  1311,   362,  1123,   111,   543,   545,  1109,  1311,   545,
    1109,  1170,  1109,   543,   525,  1110,  1110,   214,  1145,   238,
     201,   203,   226,   332,   337,   470,   480,   542,   214,   888,
    1109,   449,  1171,  1109,  1160,  1109,   463,   542,  1011,   542,
     542,   352,  1129,   542,  1145,   456,   458,   456,   458,  1176,
    1021,  1021,  1021,   291,   409,   522,   542,  1011,  1055,  1056,
    1057,  1064,  1069,  1079,  1112,  1114,  1115,  1184,  1309,   502,
    1074,  1146,  1146,  1147,   543,    89,    90,   545,  1025,  1026,
    1074,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   180,   318,   369,   473,  1289,  1290,  1292,  1282,
    1283,   940,  1186,  1107,   577,  1109,  1168,  1087,   973,   982,
    1028,   344,  1140,  1143,   527,   853,  1109,  1037,   484,  1034,
     306,  1055,   502,  1075,   492,   451,   485,   988,   989,   990,
    1309,   342,   991,  1309,  1004,  1005,   545,  1054,   531,  1170,
     547,  1237,   546,   545,   531,    30,  1298,   543,   543,   546,
     870,   808,   866,   866,   129,   868,   537,  1190,  1190,   342,
    1177,   345,   342,  1109,   653,  1180,   542,   542,   542,   676,
     264,   656,   765,   221,   599,   463,  1189,  1178,   582,  1178,
    1086,  1178,   509,   807,   807,   807,   807,   156,   198,   359,
     457,  1086,  1178,   695,  1178,   249,   490,   463,   463,   695,
     712,   718,   394,   425,   595,  1178,  1178,  1178,   272,  1178,
     332,   862,   356,   425,   463,   327,   221,   346,   716,   765,
      98,   206,   398,   399,   425,   598,   607,   608,   718,   909,
    1178,   417,   221,   599,   221,   599,  1178,  1178,  1178,  1178,
     417,   417,   296,   721,   722,   721,   543,   545,   723,  1329,
     264,   543,   545,   531,   544,  1189,  1178,   394,   425,   595,
     223,  1178,  1178,  1178,   357,   394,   425,    98,   206,   357,
     394,   425,  1086,   326,  1086,   543,   545,   531,  1176,   463,
    1190,   486,   740,   298,   363,   332,  1329,   363,  1190,   483,
     463,   463,   412,   545,   878,   356,   425,   159,   463,   908,
     412,   233,   609,   463,   463,   308,   308,   308,   463,   463,
     412,   463,   463,   412,   463,   412,   463,   412,   342,   463,
     599,  1086,   327,  1329,   425,   909,   221,   599,   463,   463,
    1178,   463,   412,  1189,  1178,  1086,   807,   282,   815,  1180,
    1180,   282,   282,  1178,   282,   442,   443,   621,  1329,   620,
     249,   782,  1331,   326,   344,   533,   534,   691,   779,   866,
    1143,  1195,  1329,   543,   543,   238,   776,   778,   779,   342,
     141,   147,   159,   187,   189,   242,   268,   327,   332,   373,
     388,   479,   645,   646,   648,   220,   501,   554,   582,  1178,
     582,   716,  1176,  1176,  1176,   543,   545,  1190,   247,   405,
    1190,  1186,   473,  1176,   655,  1331,   233,   745,   119,   569,
     396,   452,   725,   180,   973,   238,   922,   604,   656,  1176,
     751,   783,   784,  1329,   543,   545,  1178,   233,   656,  1176,
    1176,  1178,  1010,   542,   637,  1176,   543,   340,   603,   340,
     342,   673,   603,   111,   221,  1010,   604,   463,   221,  1176,
     543,   545,   187,   531,   876,  1329,   582,   452,   865,   866,
     233,   877,   875,   878,   192,   274,   418,   484,   931,  1178,
     249,  1203,  1010,  1217,  1086,   543,  1186,  1106,  1106,   541,
    1340,   542,   533,   534,   535,   536,   537,   541,   599,   486,
     599,   486,   599,  1178,  1178,   735,   599,   807,   233,   412,
     412,   412,  1177,   545,  1189,   505,   545,   833,   345,  1065,
     422,   219,   219,   180,   325,  1190,   830,   599,  1189,   282,
     282,   282,   691,   282,   282,   282,  1149,   460,  1109,   212,
    1086,   543,  1109,  1109,  1109,  1157,   543,  1145,   545,  1086,
    1110,  1110,  1110,  1110,   201,   203,   327,   337,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1109,  1109,
    1158,  1157,  1086,   543,   543,   543,  1145,   543,   545,   129,
    1111,   543,  1311,  1120,   370,   446,  1122,   543,   545,   497,
    1116,   111,   543,  1329,  1109,   108,   108,  1109,   543,  1109,
     238,   542,  1148,  1109,   543,   214,  1110,  1110,   214,   214,
    1109,  1109,  1026,   502,   542,  1130,  1309,   543,  1145,   545,
    1021,  1021,  1021,  1021,  1176,  1176,  1176,  1011,  1069,  1079,
     238,   542,  1011,  1056,  1057,   111,  1058,  1059,  1309,   545,
     167,   239,   270,   285,   295,   321,   404,  1061,  1059,   111,
    1058,  1060,  1309,  1059,   528,  1073,   542,  1169,  1109,   247,
    1039,   545,  1025,  1025,  1025,  1109,  1109,   494,  1147,   543,
    1039,   545,   531,   543,   541,  1298,   543,   542,   853,   230,
     290,   543,   343,   170,  1109,   401,   993,   491,   543,   545,
    1170,   157,   993,   543,   545,  1003,  1075,  1109,  1186,   531,
    1256,  1287,  1292,   543,   537,   870,   473,   241,   413,   420,
     453,   474,   842,   233,   842,   543,   542,   659,   660,   849,
    1114,  1309,   656,   656,   765,  1182,   543,   189,   268,   325,
     327,   766,  1178,  1178,   111,  1178,   486,   486,   807,   807,
     807,   807,   288,   808,  1189,  1178,   463,   908,   412,   463,
     272,   129,   455,  1178,   221,   642,   542,   644,   242,   254,
     327,   603,   554,   180,   242,   327,   441,   444,   603,   689,
     425,   608,   473,  1178,  1309,   417,   720,  1178,   606,   779,
    1311,   356,   425,   463,   908,   412,  1178,   463,   463,   463,
     412,   240,   344,   444,   788,   789,   240,   344,   796,   797,
     463,   463,   412,   543,   543,   543,   914,   326,   691,   866,
     915,  1143,  1195,  1329,   394,  1178,   542,   505,   741,  1187,
    1329,  1329,  1329,  1178,  1178,  1178,   923,   129,   455,  1178,
    1178,  1178,  1178,   492,  1178,  1178,   233,   233,   396,   233,
     255,  1189,  1178,  1178,  1189,  1178,  1178,  1178,  1178,  1178,
    1178,   223,  1178,   147,   600,   221,   100,   121,   473,  1309,
    1178,  1329,   718,  1178,  1178,   543,   282,   815,   282,   282,
     815,   815,   282,   815,   554,   621,   695,   765,   505,   507,
     807,  1176,   542,   807,  1178,  1110,   105,   129,   647,   190,
     257,   189,   332,   286,  1176,   878,   377,   768,   769,  1309,
     705,   361,   542,   637,   650,   267,   666,   640,  1190,  1190,
    1086,   542,   604,   102,   192,   274,   418,   484,   746,   463,
     742,  1189,  1176,   727,   509,   342,  1055,   878,   389,   752,
     543,   545,  1078,   716,   735,   543,   686,   337,   361,   542,
     984,   679,   639,   641,   643,   652,  1309,   361,   667,   668,
     637,   666,   153,   455,   674,  1010,   681,   679,   674,  1329,
    1182,   847,   867,  1109,  1109,   545,   542,   873,   473,   545,
     463,   542,   695,    84,  1214,   543,   541,   543,  1241,  1340,
    1340,  1340,  1340,  1340,  1180,  1180,   599,   422,   599,  1177,
    1177,  1177,   691,   244,   832,   543,  1178,   180,   837,   238,
     332,   820,  1329,   820,   820,   282,   820,   820,   820,  1109,
     543,   543,  1158,   543,  1109,   238,   201,   203,   337,   542,
     543,   512,  1118,  1145,   387,   129,   503,   503,   543,  1109,
     325,  1109,   545,  1117,  1088,  1109,  1109,  1109,  1148,   543,
    1109,   108,   108,  1109,  1109,   214,   543,   543,  1109,  1131,
    1309,   543,  1109,  1176,  1176,  1176,  1176,  1059,  1060,  1059,
     542,   517,  1111,   543,  1309,   542,  1056,   285,   351,  1062,
    1056,  1062,   285,  1061,  1062,   285,   454,  1067,   542,  1309,
     542,   349,  1146,   129,   250,  1046,   543,   543,   543,  1147,
    1329,  1046,  1290,   534,  1283,  1291,  1328,  1329,  1329,   888,
     337,  1173,  1010,   355,  1010,   990,   342,   542,   992,   531,
    1004,   993,  1336,   473,   543,   463,   827,   238,   765,  1109,
     543,   545,   505,   147,   850,   850,   543,   543,   878,   190,
     257,   266,   189,   488,   599,  1086,  1180,  1180,  1178,  1178,
    1178,  1178,  1178,  1190,  1178,   642,   717,   721,   647,   255,
     332,   691,   647,   332,  1187,  1309,  1086,   599,   599,   531,
     129,   455,  1178,  1178,  1178,  1178,  1189,  1178,  1178,  1186,
    1186,  1086,   545,  1186,  1186,   545,  1189,  1178,  1178,   463,
    1109,   141,  1190,  1178,   463,   463,   238,   261,  1177,  1177,
     807,  1177,   221,  1178,   807,  1329,  1329,  1086,   599,   599,
     282,   815,   815,   815,   815,   542,   622,   623,   486,   627,
     628,   240,   271,   240,   238,   764,  1109,   327,   646,   187,
     111,   878,   655,   486,   675,  1184,   108,   220,   261,   337,
     636,   609,   218,   262,   542,   422,   486,   656,   111,  1190,
     740,   569,   542,   235,  1178,  1145,   323,   341,   753,   754,
     755,   233,   758,  1329,   422,   604,   807,   337,   636,   679,
     543,   545,   505,   644,   129,   672,   609,   667,   192,   206,
     370,  1178,   505,   943,   111,   238,   342,   542,  1329,   864,
     879,   880,  1310,   878,  1086,   233,  1176,   238,   463,   899,
     269,   696,  1215,  1309,   599,   543,   599,   599,  1178,   345,
     280,   599,   831,   820,   543,  1110,   238,   542,  1148,   542,
     543,   545,   543,  1111,   387,   543,   491,   438,   543,   543,
     543,  1109,  1109,  1109,   543,   361,  1132,   543,  1070,  1071,
    1114,   542,  1123,  1058,   542,  1177,  1056,   342,   486,  1063,
    1056,   285,  1056,  1184,  1077,   542,  1077,  1309,  1025,   169,
     248,   407,   542,  1040,  1041,  1042,  1043,  1044,  1045,  1109,
    1109,   504,  1126,  1025,  1126,  1186,  1328,   543,  1007,  1343,
     988,   159,   848,   849,   202,  1109,   831,   342,   831,   543,
     878,   660,   344,   888,   807,   807,   851,   851,   388,   878,
     675,   543,   463,   425,   999,   543,   545,   111,   221,   600,
     779,  1190,  1178,   463,   542,   859,   888,   890,   789,   542,
     542,   797,  1178,   543,   542,   425,   999,  1178,  1178,   542,
     542,   505,   528,   961,   396,   961,   961,   233,   600,   815,
     629,   630,  1311,   125,   168,   193,   210,   214,   234,   237,
     251,   332,   340,   380,   624,   554,   194,   859,   111,   895,
     895,  1176,   765,   543,   254,   675,   309,   658,   264,   542,
     769,   377,   542,  1176,   543,   422,   102,   152,   160,   188,
     254,   265,   444,   651,   651,  1175,  1178,  1180,   543,  1010,
     741,   180,   716,   238,   754,   408,   452,   756,   207,   759,
     501,   761,  1178,   111,   637,  1176,   543,   641,   346,   669,
    1192,  1331,   673,   667,   672,   409,   409,   133,   141,   301,
    1010,   807,  1176,   848,   866,   543,   545,   473,  1074,   436,
     436,   543,   695,   325,   490,   697,   698,   531,  1216,  1178,
     599,  1110,  1148,   543,  1119,  1145,   129,   325,   524,   129,
    1025,   543,   545,   111,  1072,   187,  1084,  1085,  1110,   150,
    1177,   543,  1109,   542,  1056,  1063,   542,   543,  1077,   543,
     543,   542,   426,   542,   543,   545,  1127,  1128,  1309,   543,
     491,  1178,   543,   545,   328,   484,   833,   842,   599,   850,
     675,   542,   852,   852,  1176,   675,   765,  1178,   455,   721,
     254,   486,   601,   425,   999,  1178,  1148,   233,   792,   792,
    1148,  1148,  1109,   455,   311,   314,   332,   610,   612,   613,
     691,  1329,   610,   611,   806,   807,   806,   807,  1177,   599,
     543,   545,   535,   542,   579,   631,   691,   958,  1329,   958,
     327,   332,   380,   958,   958,   622,  1329,   895,   114,   259,
     233,   325,   654,   542,   687,   239,   360,   431,   342,   662,
     663,   664,   455,   543,  1184,    81,   770,   637,   666,  1178,
     543,   716,   227,   791,   604,   943,   509,  1055,   958,   408,
     440,   760,   542,   220,   716,  1010,   667,   637,   666,   644,
     542,   674,   672,   673,   141,   345,   141,   679,   847,   543,
     873,   879,  1086,   202,   505,   505,   490,   695,  1186,  1323,
    1331,    84,   716,   543,   543,   543,   387,   491,  1145,   381,
     409,  1133,  1073,  1070,   542,  1110,   543,   545,   111,  1080,
    1081,  1309,   543,  1177,  1145,   543,  1145,   542,  1145,  1041,
     545,   111,  1010,  1074,   849,   425,   238,   851,   502,   661,
     888,   853,   853,   655,   765,  1178,   687,  1109,   455,   543,
     348,   415,   385,   793,   793,   543,   543,   543,  1178,   543,
     545,   543,   545,   961,   630,   579,   632,   633,  1329,  1329,
     332,   656,   535,   656,  1329,  1329,   207,   266,   688,   192,
     484,   342,   664,   342,   663,  1178,   542,   543,   545,   609,
     422,   716,   807,   111,   111,  1178,   757,  1309,  1109,   377,
     943,   672,   609,   667,   542,   670,   671,  1114,  1309,   673,
     674,   345,   345,   542,   604,   878,   103,   275,   932,   240,
     240,  1215,   123,   170,   475,  1109,  1134,  1135,  1134,   543,
    1077,   545,  1085,  1311,   543,   545,   233,  1086,   543,   543,
     543,  1040,   543,  1128,  1130,  1002,   831,   852,   542,   765,
     543,   658,   999,  1178,   859,   129,   999,   463,   613,   610,
     807,   543,   545,   656,   408,   543,   132,   325,   400,   425,
     665,   665,   543,    81,   422,  1178,   788,  1010,   716,   543,
    1184,   673,   667,   672,  1109,   543,   545,   850,   850,   674,
     848,   674,   328,   542,   927,   929,   933,   985,   994,  1001,
    1010,   859,   859,  1135,   408,   232,   368,   232,   368,   543,
    1111,  1081,   349,   187,   327,   332,  1082,  1083,  1331,   395,
    1068,   543,  1074,   599,   853,  1109,   662,   999,   807,   542,
     633,   761,    97,   187,   332,  1178,   716,   943,   542,   674,
     672,   673,   543,   671,   851,   851,   543,  1074,   928,   929,
     930,  1011,  1012,   545,   545,   108,  1123,  1110,   332,  1083,
    1110,   542,   543,   765,   612,   220,   716,   762,   763,  1186,
    1311,  1328,  1329,   673,   674,   850,   604,   543,   546,   463,
     238,  1135,   150,  1109,   543,   377,   543,   545,   674,   851,
     674,   930,   436,   436,  1080,   543,  1184,   763,  1074,   505,
     505,   543,   542,   240,   240,   762,   859,   859,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   553,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   558,   558,   558,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   563,
     563,   563,   563,   563,   564,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     570,   570,   571,   571,   571,   572,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   579,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   581,   582,   582,   583,
     584,   584,   584,   584,   585,   585,   586,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   590,   590,   591,   591,
     592,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   595,   595,   596,   596,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   598,   598,   599,   599,   599,   600,
     600,   601,   601,   602,   602,   602,   602,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   611,   611,   612,
     612,   613,   613,   613,   614,   615,   615,   616,   616,   616,
     616,   617,   617,   618,   618,   619,   619,   620,   620,   621,
     621,   621,   622,   622,   623,   623,   624,   624,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     630,   631,   631,   631,   631,   631,   632,   632,   633,   634,
     634,   634,   634,   634,   634,   635,   635,   635,   635,   635,
     635,   635,   635,   636,   636,   637,   637,   638,   638,   639,
     639,   640,   640,   640,   641,   641,   642,   643,   643,   644,
     644,   645,   645,   645,   645,   646,   646,   646,   646,   646,
     646,   646,   646,   647,   647,   648,   648,   648,   648,   649,
     650,   650,   650,   651,   651,   651,   651,   651,   651,   651,
     652,   652,   653,   653,   653,   653,   653,   653,   653,   654,
     654,   655,   655,   656,   656,   657,   658,   658,   658,   658,
     659,   659,   660,   660,   661,   661,   662,   662,   662,   662,
     662,   663,   664,   665,   665,   665,   665,   665,   666,   666,
     667,   667,   668,   669,   669,   670,   670,   671,   671,   671,
     672,   672,   672,   672,   673,   673,   673,   673,   674,   674,
     675,   675,   676,   677,   677,   678,   679,   679,   679,   680,
     680,   681,   682,   682,   683,   684,   684,   685,   685,   686,
     686,   687,   687,   688,   688,   689,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   690,
     690,   691,   691,   691,   691,   692,   692,   693,   693,   694,
     694,   695,   695,   696,   696,   697,   697,   698,   698,   699,
     699,   700,   700,   701,   702,   702,   703,   703,   704,   704,
     705,   705,   706,   706,   706,   706,   707,   708,   708,   709,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   711,   712,   712,   712,
     712,   713,   713,   714,   714,   715,   715,   716,   716,   717,
     717,   718,   719,   719,   720,   720,   720,   720,   721,   722,
     723,   724,   724,   725,   725,   726,   726,   727,   727,   728,
     728,   728,   729,   729,   729,   729,   730,   730,   731,   732,
     732,   733,   733,   734,   734,   735,   735,   736,   736,   737,
     738,   739,   740,   740,   741,   741,   742,   742,   743,   743,
     744,   744,   745,   745,   746,   746,   746,   746,   746,   747,
     748,   748,   749,   749,   749,   750,   750,   751,   751,   751,
     751,   751,   752,   752,   753,   753,   754,   755,   755,   756,
     756,   757,   758,   758,   759,   759,   760,   760,   761,   761,
     762,   762,   762,   763,   763,   763,   763,   764,   764,   765,
     765,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   769,   770,   770,   771,   772,   772,   772,   772,   773,
     774,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   776,   777,   777,
     778,   778,   779,   779,   779,   779,   779,   779,   780,   781,
     781,   782,   783,   783,   784,   784,   785,   785,   785,   785,
     786,   786,   787,   788,   788,   789,   789,   789,   789,   789,
     790,   790,   791,   791,   792,   792,   792,   793,   793,   794,
     795,   795,   796,   796,   797,   797,   798,   798,   799,   799,
     800,   801,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   804,   804,   804,
     804,   804,   804,   804,   805,   805,   805,   806,   806,   807,
     807,   808,   808,   809,   809,   810,   811,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   815,   815,   816,   816,   816,   816,   816,   816,
     816,   817,   817,   818,   818,   818,   818,   818,   818,   819,
     819,   819,   819,   819,   819,   819,   819,   820,   820,   821,
     821,   821,   821,   821,   821,   821,   821,   821,   821,   821,
     822,   822,   822,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   823,   823,   824,   824,   825,   826,
     826,   827,   827,   827,   827,   827,   828,   828,   829,   829,
     829,   829,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   831,   831,
     832,   832,   833,   833,   834,   835,   835,   836,   836,   837,
     837,   838,   839,   839,   840,   840,   840,   841,   841,   841,
     842,   842,   842,   842,   842,   843,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   849,
     850,   850,   851,   851,   852,   852,   852,   853,   853,   853,
     854,   854,   854,   855,   855,   856,   856,   857,   857,   858,
     858,   859,   859,   859,   859,   860,   860,   861,   861,   862,
     862,   862,   862,   862,   863,   863,   863,   863,   863,   864,
     865,   866,   866,   866,   867,   867,   867,   868,   869,   869,
     869,   869,   870,   870,   871,   872,   872,   873,   873,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     876,   876,   877,   877,   878,   878,   879,   880,   880,   881,
     882,   882,   883,   883,   884,   884,   885,   885,   886,   886,
     887,   887,   887,   887,   888,   888,   889,   889,   890,   891,
     892,   892,   893,   893,   894,   894,   894,   895,   895,   895,
     896,   897,   897,   898,   899,   899,   899,   899,   900,   901,
     901,   901,   901,   902,   902,   903,   903,   903,   904,   904,
     905,   906,   906,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   908,   908,   909,   909,   910,   910,
     910,   910,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   912,   913,   913,
     914,   914,   915,   915,   915,   915,   915,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   917,
     918,   918,   919,   919,   920,   920,   920,   920,   921,   922,
     922,   923,   924,   924,   924,   924,   924,   924,   925,   925,
     926,   927,   927,   927,   928,   928,   929,   929,   929,   929,
     929,   930,   930,   931,   931,   931,   931,   932,   932,   932,
     933,   934,   934,   935,   936,   936,   937,   937,   937,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     938,   938,   938,   939,   939,   939,   939,   939,   940,   940,
     940,   941,   941,   942,   942,   942,   942,   943,   943,   943,
     943,   944,   945,   946,   946,   947,   947,   948,   948,   948,
     949,   949,   949,   949,   949,   949,   949,   950,   950,   951,
     951,   951,   952,   953,   953,   954,   955,   955,   956,   957,
     957,   957,   957,   957,   957,   957,   958,   958,   959,   960,
     960,   960,   960,   960,   960,   961,   961,   962,   963,   963,
     963,   964,   964,   965,   965,   965,   965,   965,   966,   966,
     967,   967,   967,   967,   967,   968,   968,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   973,   974,   974,   974,
     974,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     976,   976,   977,   978,   978,   979,   979,   979,   980,   980,
     981,   981,   982,   982,   982,   982,   983,   983,   984,   984,
     985,   986,   986,   987,   987,   987,   987,   987,   988,   988,
     989,   989,   990,   991,   991,   991,   992,   992,   992,   993,
     993,   994,   995,   995,   996,   997,   997,   998,   998,   998,
     998,   998,   998,   998,   998,   999,   999,  1000,  1000,  1000,
    1001,  1002,  1002,  1003,  1003,  1004,  1005,  1005,  1006,  1007,
    1007,  1008,  1008,  1008,  1008,  1008,  1009,  1009,  1009,  1010,
    1010,  1011,  1011,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1013,  1013,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1015,  1015,  1015,  1016,  1016,  1017,  1018,  1018,  1019,  1019,
    1019,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1021,  1021,  1022,  1022,  1022,  1023,  1023,  1024,  1024,  1025,
    1025,  1026,  1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,
    1030,  1030,  1031,  1031,  1031,  1032,  1032,  1033,  1033,  1034,
    1035,  1035,  1035,  1036,  1037,  1037,  1038,  1038,  1039,  1039,
    1040,  1040,  1041,  1041,  1041,  1041,  1041,  1042,  1043,  1044,
    1045,  1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,
    1051,  1051,  1051,  1051,  1052,  1052,  1053,  1053,  1054,  1054,
    1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1057,  1057,  1057,  1057,  1057,  1057,  1058,  1058,
    1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,  1060,  1061,
    1061,  1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,  1064,
    1064,  1065,  1065,  1066,  1066,  1066,  1067,  1068,  1068,  1069,
    1069,  1070,  1071,  1071,  1072,  1072,  1073,  1073,  1074,  1074,
    1075,  1075,  1075,  1076,  1076,  1077,  1077,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1081,  1082,  1082,  1083,  1083,  1083,
    1083,  1084,  1084,  1085,  1085,  1086,  1086,  1086,  1086,  1086,
    1086,  1087,  1087,  1087,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1089,  1089,  1089,  1089,  1090,  1090,  1091,  1091,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1096,  1097,  1098,  1098,
    1099,  1099,  1100,  1101,  1102,  1102,  1102,  1102,  1102,  1102,
    1103,  1103,  1104,  1104,  1104,  1104,  1105,  1106,  1106,  1106,
    1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,
    1107,  1107,  1107,  1107,  1108,  1108,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1113,  1113,  1114,  1114,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1116,  1116,  1117,  1117,  1117,  1117,  1118,  1119,
    1119,  1120,  1120,  1121,  1121,  1122,  1122,  1122,  1123,  1123,
    1123,  1123,  1124,  1124,  1125,  1125,  1126,  1126,  1127,  1127,
    1128,  1129,  1129,  1129,  1130,  1131,  1131,  1132,  1132,  1133,
    1133,  1133,  1134,  1134,  1135,  1135,  1135,  1135,  1135,  1136,
    1136,  1136,  1137,  1137,  1138,  1139,  1139,  1139,  1140,  1140,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1142,  1142,  1143,  1143,  1144,  1144,  1144,  1144,
    1144,  1144,  1145,  1145,  1146,  1146,  1147,  1147,  1147,  1148,
    1148,  1149,  1149,  1149,  1150,  1150,  1151,  1151,  1152,  1152,
    1152,  1152,  1152,  1152,  1152,  1152,  1153,  1153,  1154,  1155,
    1155,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1158,  1159,
    1159,  1159,  1160,  1160,  1161,  1162,  1162,  1163,  1164,  1164,
    1165,  1165,  1166,  1166,  1167,  1167,  1167,  1167,  1168,  1168,
    1169,  1169,  1170,  1170,  1171,  1171,  1172,  1172,  1173,  1173,
    1174,  1174,  1174,  1174,  1175,  1175,  1176,  1176,  1177,  1177,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1184,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1186,  1187,  1187,  1187,  1187,  1188,  1189,
    1189,  1189,  1190,  1190,  1191,  1191,  1191,  1191,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1196,  1196,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1199,  1198,  1200,  1201,
    1201,  1201,  1201,  1202,  1202,  1202,  1202,  1203,  1203,  1204,
    1205,  1206,  1206,  1207,  1207,  1207,  1208,  1208,  1209,  1209,
    1210,  1210,  1211,  1211,  1211,  1211,  1212,  1212,  1212,  1213,
    1214,  1214,  1215,  1215,  1216,  1216,  1216,  1216,  1217,  1217,
    1218,  1219,  1220,  1221,  1221,  1222,  1223,  1223,  1224,  1224,
    1224,  1224,  1224,  1226,  1225,  1227,  1228,  1229,  1229,  1230,
    1230,  1230,  1230,  1231,  1231,  1233,  1232,  1235,  1234,  1236,
    1234,  1234,  1237,  1237,  1238,  1238,  1238,  1239,  1239,  1239,
    1239,  1240,  1240,  1241,  1241,  1241,  1241,  1241,  1241,  1242,
    1242,  1242,  1243,  1245,  1244,  1246,  1247,  1246,  1248,  1248,
    1249,  1249,  1250,  1250,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1253,  1253,  1254,  1254,  1255,  1256,  1256,
    1257,  1257,  1257,  1258,  1259,  1260,  1260,  1260,  1260,  1261,
    1261,  1261,  1262,  1262,  1263,  1263,  1264,  1265,  1265,  1266,
    1266,  1267,  1267,  1268,  1268,  1269,  1270,  1270,  1271,  1271,
    1271,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,
    1273,  1273,  1273,  1273,  1273,  1274,  1274,  1275,  1276,  1277,
    1278,  1278,  1279,  1280,  1281,  1281,  1282,  1283,  1283,  1284,
    1285,  1286,  1286,  1287,  1288,  1289,  1289,  1290,  1291,  1291,
    1291,  1291,  1291,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1293,  1293,
    1294,  1294,  1295,  1295,  1295,  1297,  1296,  1298,  1298,  1300,
    1299,  1301,  1301,  1301,  1302,  1302,  1302,  1302,  1302,  1302,
    1302,  1302,  1302,  1303,  1303,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1305,  1305,
    1305,  1305,  1305,  1305,  1306,  1306,  1306,  1306,  1306,  1306,
    1306,  1307,  1308,  1308,  1308,  1308,  1308,  1308,  1308,  1308,
    1309,  1309,  1309,  1309,  1309,  1309,  1309,  1310,  1310,  1310,
    1310,  1310,  1310,  1311,  1311,  1311,  1311,  1311,  1311,  1311,
    1311,  1311,  1311,  1311,  1312,  1312,  1312,  1312,  1312,  1313,
    1313,  1313,  1313,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1315,  1315,  1315,  1316,  1316,  1316,  1316,  1316,  1316,  1317,
    1317,  1318,  1319,  1319,  1320,  1320,  1321,  1322,  1323,  1324,
    1324,  1324,  1325,  1326,  1327,  1328,  1329,  1329,  1329,  1329,
    1329,  1330,  1331,  1331,  1331,  1332,  1332,  1333,  1333,  1333,
    1334,  1334,  1335,  1335,  1336,  1336,  1337,  1337,  1337,  1337,
    1337,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1339,  1339,  1339,
    1339,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,  1340,
    1340,  1341,  1341,  1341,  1341,  1342,  1342,  1343,  1343,  1344,
    1344,  1345,  1345
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     5,     0,     3,     5,     5,     5,     5,     3,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       1,     2,     3,     2,     1,     1,     2,     1,     2,     1,
       3,     4,     5,     4,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     6,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     9,
       4,     5,     7,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,    10,     1,     1,     1,     1,     3,     1,
       3,     1,     1,     1,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     9,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     3,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    12,
      15,    11,    14,    13,    16,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     2,     4,     2,
       0,     3,     1,     1,     2,     2,     1,     3,     4,     5,
       2,     5,     5,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     2,
       0,     3,     0,     1,     3,     1,     2,     2,     2,     0,
       1,     3,     3,     6,     4,     0,     1,     1,     2,     2,
       0,     3,     3,     2,     1,     1,     2,     2,     4,     0,
       1,     0,     6,     1,     1,     1,     3,     3,     3,     5,
       2,     2,     2,     0,     3,     4,     4,     0,     2,     0,
       4,     0,     3,     8,    11,     5,     2,     3,     0,     8,
      11,     4,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     7,     6,     4,     0,     1,
       3,     4,     1,     3,     1,     2,     2,     2,     2,     1,
       1,    10,    13,     2,     0,     2,     2,     1,     0,     5,
       4,     4,    11,    14,    12,    15,     5,     7,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
      16,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     2,     0,     1,     2,     4,     1,     1,     1,
       1,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,    11,    13,     1,
       3,     5,     1,     3,     5,     1,     2,     2,     1,     8,
       4,     5,     4,     4,     4,     3,     7,     8,     6,     6,
       6,     6,     6,     4,     7,     5,     8,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     7,     9,     9,     8,
       3,     0,    13,     1,     3,     5,     5,     3,     6,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     6,     4,     6,     8,     4,     6,
       4,     6,     5,     7,     1,     1,     1,     2,     1,     2,
       1,     1,     1,     3,     3,     3,     3,     2,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     8,
       9,     8,     9,     9,     7,    10,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     3,     3,     3,     3,
       2,     1,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     8,     8,     8,     8,     8,     8,
       9,     2,     0,     1,     2,     1,     1,     1,     2,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       2,     3,     2,     2,     2,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,    14,    17,     1,     0,     1,
       0,     1,     0,     2,     0,     1,     3,     5,     5,     7,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     1,
       3,     2,     1,     1,     2,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     2,     1,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     1,
       2,     2,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     3,     3,     5,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     3,
       3,     6,     6,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     5,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     7,     9,     9,     8,    10,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     9,
       8,     7,     6,     6,     6,     6,     6,     6,     6,     9,
       9,     6,     8,     6,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     6,     6,     6,
       6,     6,     6,     7,     7,     6,     9,     9,     6,     6,
       6,     6,     8,     8,     8,     6,     7,     6,     6,     5,
       1,     0,     3,     3,     5,     6,     6,     6,     8,     1,
       3,     1,     5,     5,     6,     7,     4,     4,     4,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     5,     4,     4,     6,     4,
       6,     6,     5,     7,     9,     6,     1,     0,     6,    11,
      11,    11,    13,     9,    11,     1,     1,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     4,
       3,     0,     1,     1,     1,     1,     4,     9,     3,     0,
       7,     1,     3,     1,     4,     4,     7,     2,     1,     1,
       1,     3,     2,     8,     5,     0,     4,     3,     0,     3,
       0,     7,     2,     0,     5,     3,     0,     2,     2,     2,
       3,     1,     3,     1,     2,     1,     0,     1,     2,     0,
       8,     1,     3,     3,     5,     2,     1,     3,     7,     1,
       1,     0,     3,     2,     2,     2,     0,     2,     2,     1,
       1,     3,     3,     1,     2,     4,     4,     2,     3,     5,
       5,     1,     1,     9,     9,     1,     2,     4,     4,     4,
       2,     2,     3,     1,     3,     6,     1,     0,     2,     1,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     2,     3,     1,     1,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       1,     3,     1,     1,     1,     1,     1,     2,     4,     4,
       5,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     4,     5,     2,     0,
       1,     3,     2,     3,     2,     3,     2,     3,     2,     3,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     1,     0,     1,     4,     5,     4,     0,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     6,     4,     0,     2,
       6,     2,     1,     3,     4,     0,     2,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     7,    12,
       1,     3,     2,     3,     3,     1,     2,     2,     2,     2,
       1,     1,     3,     3,     2,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     4,     3,
       2,     1,     1,     1,     1,     1,     0,     8,     2,     5,
       3,     2,     2,     3,     7,     1,     1,     1,     0,     2,
       2,     1,     0,     1,     3,     1,     2,     0,     2,     0,
       2,     0,     1,     3,     4,     3,     1,     1,     1,     1,
       2,     0,     2,     4,     0,     2,     2,     2,     1,     1,
       7,     3,     1,     1,     1,     1,     2,     0,     1,     3,
       3,     3,     3,     0,     4,     5,     5,     0,     1,     1,
       1,     2,     2,     1,     2,     0,     7,     0,     5,     0,
       4,     2,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     2,     1,     3,
       2,     2,     3,     0,     5,     1,     0,     5,     2,     2,
       1,     1,     1,     2,     2,     3,     1,     2,     2,     3,
       3,     4,     2,     1,     2,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     0,     1,     3,     5,     0,     2,
       0,     1,     2,     3,     2,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     2,     2,     3,     0,     1,     2,
       1,     4,     3,     4,     3,     2,     1,     3,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     1,     1,     1,
       4,     4,     4,     4,     4,     1,     0,     3,     3,     4,
       1,     3,     3,     4,     1,     3,     3,     1,     1,     1,
       6,     1,     3,     3,     6,     1,     3,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     4,
       1,     1,     4,     4,     3,     0,     7,     1,     0,     0,
       7,     3,     4,     3,     1,     1,     1,     2,     3,     5,
       2,     5,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     2,
       3,     1,     3,     3,     3,     3,     3,     3,     1,     1,
       4,     0,     2,     2,     1,     2,     1,     0,     1,     1,
       1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31957 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31963 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31969 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31975 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31981 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31987 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31993 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31999 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32005 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32011 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32017 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32023 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32029 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32035 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32041 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32047 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32053 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32059 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32065 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32071 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32077 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32083 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32089 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32095 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32101 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32107 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32113 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32119 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32125 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32131 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32137 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32143 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32149 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1668 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32171 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32177 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32183 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32189 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32195 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32201 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32207 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32213 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32219 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32225 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32231 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32237 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32243 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32249 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32255 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32261 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32267 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32273 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32279 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32285 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32291 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32297 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32303 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32309 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32315 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32321 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32327 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32333 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32339 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32345 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32351 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32357 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32363 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32369 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32375 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32381 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32387 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1758 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 32395 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 32401 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32407 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32419 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32425 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32431 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32443 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1778 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32449 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1780 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32455 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1782 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1784 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32467 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32473 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32479 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1790 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32485 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1792 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32491 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1794 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32497 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1796 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32503 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1798 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 32509 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1800 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32515 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1802 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32521 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1804 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32527 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1806 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32533 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1808 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32539 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1810 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32545 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1812 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32551 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1814 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32557 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1816 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32563 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1818 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32569 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1820 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32575 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1822 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32581 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1824 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 32592 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32598 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32604 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32610 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1837 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32616 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1839 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32622 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1841 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32628 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1843 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32634 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1845 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32640 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32646 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1849 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32658 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32674 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32680 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32686 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32698 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32704 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32710 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1873 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32716 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1875 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 32726 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32740 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1891 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 32748 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1895 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 32758 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 32766 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1905 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1915 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32794 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1924 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 32800 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1926 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32818 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1940 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 32829 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1947 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 32839 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1953 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 32854 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1964 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32864 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1970 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 32877 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1979 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 32888 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1986 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 32898 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1992 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 32911 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2001 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 32922 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2008 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 32933 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32939 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32947 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 32955 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 32963 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32970 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32978 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32985 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32993 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33000 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33008 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33016 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33024 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2078 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33033 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33041 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33049 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33057 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33065 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33073 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33081 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33089 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33097 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33105 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33113 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33121 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33129 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33137 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33145 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33152 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33160 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33168 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33176 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33184 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33192 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33200 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33208 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33216 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33224 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33232 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33240 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33248 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33256 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33264 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33272 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33280 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33288 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2250 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33297 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2255 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33306 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33314 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33321 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33329 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33336 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33344 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33352 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33360 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33368 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33376 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33384 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33392 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 33400 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 33408 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 33416 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 33424 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33432 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33440 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33448 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 33472 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 33480 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 33489 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33497 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 33505 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 33521 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 33529 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 33537 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 33545 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33553 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33561 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33569 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33577 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33585 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33599 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 33607 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 33615 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 33623 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 33631 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 33639 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 33647 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 33655 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33663 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33671 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33679 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33687 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33695 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33703 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33711 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 33719 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33727 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33735 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33742 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33750 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33758 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33766 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33774 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 33782 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 33790 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 33798 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33806 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 33814 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33822 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33830 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33838 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33846 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 33854 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 33862 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 33870 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 33878 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2629 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 33887 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33895 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 33903 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33911 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 33919 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 33927 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 33935 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 33943 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 33951 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 33959 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 33967 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 33975 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33983 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33991 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33999 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34007 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34015 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34023 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34031 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34039 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34047 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34055 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34063 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34071 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34079 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34087 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34095 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34151 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34159 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34167 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34175 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34183 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34191 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34199 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34207 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34215 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34223 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34231 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34239 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34247 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34255 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34263 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34271 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34279 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34287 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34295 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34303 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34311 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34319 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 34327 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34335 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34343 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 34351 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 34359 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 34367 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 34375 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 34383 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 34391 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 34399 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 34407 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 34415 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 34423 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 34431 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 34439 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 34447 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 34455 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 34463 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 34471 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 34479 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 34487 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 34495 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 34503 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 34511 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 34519 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 34527 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34535 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34543 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34551 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 34559 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 34567 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 34575 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 34583 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 34591 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34599 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 34607 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 34615 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34623 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34631 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34638 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34646 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34653 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34661 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34668 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 34676 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 34684 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34692 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34700 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34708 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34716 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34723 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34731 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34739 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34747 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34755 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34763 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 34771 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34779 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34787 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 34795 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34803 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34811 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 34819 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34827 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34835 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34843 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34851 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34859 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34867 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34875 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34883 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34891 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 34899 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 34907 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34915 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34923 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34931 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34939 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34947 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34955 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34963 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34971 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3290 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3303 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35000 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35008 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35016 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35024 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35032 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35039 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35047 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35055 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35063 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35071 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35079 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35087 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35094 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35102 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35110 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35118 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35126 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35134 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35142 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35150 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35158 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35166 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35174 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35182 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35190 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35198 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35206 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35214 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35229 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35236 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35251 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35259 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35266 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35274 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35282 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35290 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35298 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35306 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 35314 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35322 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35337 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35353 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35361 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35385 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35393 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35401 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 35409 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 35417 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 35425 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 35433 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35464 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35472 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35479 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35487 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35494 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35502 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35510 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35518 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35526 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35534 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35542 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35550 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35558 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35566 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35574 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35582 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 35590 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35598 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35605 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35613 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35621 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35629 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35637 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 35645 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35653 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35661 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35669 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35677 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 35685 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 35693 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35701 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 35709 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 35717 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 35725 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 35733 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 35741 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 35749 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35757 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 35765 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 35773 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35780 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 35788 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 35796 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 35804 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 35812 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 35820 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 35828 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35836 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35844 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35852 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35860 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35868 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35876 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35884 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35892 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35900 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35908 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 35916 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35923 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35938 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35946 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35954 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35962 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 35970 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3949 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 35987 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35994 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36002 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36010 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36018 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36026 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36034 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36041 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36049 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36057 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36065 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36073 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36080 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36088 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36096 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36104 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36112 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36120 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36128 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36136 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36144 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36151 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36159 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36166 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36174 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36182 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36190 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36198 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36206 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36214 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36222 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36230 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36238 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36246 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36254 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36261 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36269 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 36277 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 36285 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36322 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36330 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36338 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36346 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36354 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 36362 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 36370 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36377 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36385 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36393 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36416 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36424 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36432 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36440 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36448 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36456 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36464 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36471 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36479 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36510 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 36518 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 36526 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 36534 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36542 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 36550 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 36558 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 36566 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 36574 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 36582 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 36590 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36598 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36606 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36614 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 36622 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36629 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36637 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 36645 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 36653 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36661 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36669 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36677 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 36685 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36693 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 36701 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36708 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36716 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36724 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 36732 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36739 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 36747 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 36755 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36763 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36770 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36778 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36801 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36809 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 36817 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36848 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36856 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36864 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36871 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 36879 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36903 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 36911 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36919 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36926 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 36934 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 36942 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 36950 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 36966 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 36990 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 36998 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37006 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37014 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37022 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37030 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37038 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37046 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37054 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37062 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37070 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37078 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37086 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37094 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37102 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37110 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37118 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37126 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37134 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37142 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37150 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37158 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37166 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37174 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37182 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37190 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37198 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37206 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37213 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37221 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37237 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37244 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37252 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37260 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37268 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37276 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37284 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37292 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37300 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 37308 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 37316 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37324 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37332 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37340 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37348 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37356 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 37364 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37371 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37379 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 37387 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37395 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37402 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37410 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37418 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37426 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37434 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37442 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37450 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37458 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37466 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37474 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37482 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 37490 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 37498 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37529 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37537 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 37545 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37553 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37561 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37569 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37577 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37585 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37593 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37608 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37615 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37623 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37630 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37638 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37645 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 37653 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37660 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37668 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37675 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37683 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37691 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37699 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37707 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37715 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 37723 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37731 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37739 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 37747 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 37755 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 37763 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37787 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37795 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37803 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 37811 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 37827 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37842 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37850 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 37874 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37882 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 37890 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37898 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37906 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37913 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 37921 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37928 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 37936 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 37944 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37952 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37959 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37967 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37975 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37982 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37990 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37998 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38006 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38014 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38022 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38029 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38084 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38092 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38100 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38108 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38116 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38124 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38132 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38140 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38148 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38156 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38164 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38172 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38180 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38188 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5499 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38197 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5508 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38206 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38214 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38222 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38230 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38238 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38246 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38254 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38262 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38270 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38278 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38286 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38310 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38318 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38326 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38334 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38342 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38350 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38358 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38366 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38374 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38382 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38390 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38398 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38406 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38414 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 38422 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38430 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38438 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38446 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38454 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38462 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38469 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38477 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38485 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38493 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 38501 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 38509 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38517 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 38525 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38532 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 38540 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38548 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38556 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38564 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38572 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38580 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38588 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 38596 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 38604 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38611 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 38619 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38626 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 38634 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 38642 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38649 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5808 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 38658 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38665 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38673 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 38681 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 38689 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38697 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38705 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38713 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38721 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38729 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38737 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38745 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38753 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38761 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38769 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38785 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38793 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38801 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38809 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38817 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38825 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38833 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38841 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38849 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38857 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38865 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38873 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 38881 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 38889 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 38897 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 38913 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 38921 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 38937 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 38945 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 38953 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 38961 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 38969 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 38977 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 38985 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 38993 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39001 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39009 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39017 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39025 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39033 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39041 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39057 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39065 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39073 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39081 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39089 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39097 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39105 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39113 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39121 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39129 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39136 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39144 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39152 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39160 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39168 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39176 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39184 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39192 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39200 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39208 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39216 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39224 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39232 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39248 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39256 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39264 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 39272 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39280 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39288 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39296 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39304 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39312 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39320 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39328 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39336 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39344 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39352 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39360 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39368 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39376 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39384 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39392 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39400 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39408 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39416 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39424 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39432 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39440 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39448 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39456 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39464 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39472 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39480 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39488 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39496 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39512 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39520 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39528 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39536 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39544 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39552 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39560 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39567 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39575 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39583 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39591 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39599 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39607 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39615 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39623 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39631 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39639 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39647 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39655 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39663 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39671 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39679 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39687 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39695 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 39703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 39711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6447 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 39719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6451 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6457 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 39739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6463 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 39749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6469 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 39759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6475 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 39769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6481 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6487 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 39789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6493 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 39799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6503 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 39814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6536 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6547 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6569 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6585 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6601 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6617 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6644 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6655 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6671 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 40273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 40281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 40297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 40337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 40345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 40384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 40437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 40445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 40453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 40485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 40501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 40509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 40517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 40541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 40586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 40641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 40671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 40694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 40702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 40741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 40764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 40844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 40916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 40924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 40932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 40940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 40972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 40980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 40996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7344 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 41293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 41301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 41459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 41507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 41555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 41563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 41571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 41579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 41602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 41625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 41633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 41641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 41649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 41721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 41769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 41817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 41993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 42471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 42726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 42734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 42750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 42758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 42766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 42814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 42822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 42838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 42846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 42878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 42902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 42973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 42981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 42989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 42997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8781 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8786 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 43323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 43331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 43339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 43354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 43417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 43433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 43481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 43512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 43528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 43544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 43552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 43560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 43584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 43592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 43600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 43624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 43632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 43687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 43695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 43703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 43711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 43735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 43743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 43751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 43830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 43838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 43846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 43878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 43886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 43894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 43909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 43924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9337 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9343 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 44329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 44367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 44413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 44428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 44444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 44452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 44468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 44484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 44515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9674 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 44639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9731 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 44659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 44698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9766 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 44869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 44901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 44909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 44917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9936 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 44971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10116 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 45341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 45357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 45428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 45460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 45483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 45546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 45554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10431 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 45718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 45742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 45766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 45844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 45852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 45876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 45899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 45915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 45923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10718 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10857 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10859 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10881 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 46336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10891 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 46350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10901 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 46360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 46495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 46503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 46511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 46519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 46527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 46535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 46543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 46551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 46559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 46567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 46630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 46686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 46694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 46702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 46710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 46718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 46726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 46734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 46773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 46789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 46797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 46860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 46868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 46876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 46884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 46892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 46908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 46947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 46955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 46963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 46979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 46987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 46995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 47259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 47267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 47275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 47283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 47291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 47299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 47307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 47315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 47387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 47395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11518 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 47420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 47724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 48283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 48291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 48299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 48314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 48330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 48376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 48700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 48716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 48724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 48732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 48788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 48796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 48868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 48908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 48932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 48955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 48963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 48971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 48979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 48987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 48995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 49531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 49579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 49595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 49675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 49731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 49739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 49747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 49755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 49763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 49771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 49779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 49787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 49795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 49803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 49811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 49819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 49827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 49835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 49843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 49851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 49859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 49867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 49875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 49883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 49891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 49899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 49907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 49915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 49923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 49931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 49939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 49947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 49955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 49963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 49971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 49979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 49987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 49995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 50259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 50267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 50275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 50283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 50291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 50299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 50307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 50315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 50323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 50331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 50347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 50355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 50363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 50371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 50379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 50387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 50395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 50403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 50411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 50419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 50427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 50435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 50443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 50451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 50459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 50467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 50475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 50483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 50491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 50499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 50507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 50515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 50523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 50531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 50539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 50547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 50555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 50563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 50571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 50579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 50587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 50595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 50619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 50627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 50635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 50643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 50651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 50659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 50667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 50675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 50683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 50691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 50699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 50707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 50715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 50723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 50731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 50739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 50747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 50755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 50763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 50771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 50779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 50787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 50795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 50803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 50811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 50819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 50827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 50835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 50843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 50851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 50859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 50867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 50875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 50883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 50891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 50899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 50907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 50915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 50923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 50931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 50939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 50947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 50955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 50963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 50971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 50979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 50987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 50995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 51259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 51267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 51275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 51283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 51291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 51299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 51307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 51315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 51323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 51331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 51339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 51347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 51355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 51363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 51371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 51379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 51387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 51395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 51403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 51411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 51419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 51427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 51435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 51443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 51451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 51459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 51467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 51475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 51483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 51491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 51499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 51507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 51515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 51523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 51531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 51539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 51547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 51555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 51563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 51571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 51579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 51595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 51611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 51627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 51635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 51643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 51651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 51659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 51667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 51675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 51683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 51691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 51699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 51707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 51715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 51723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 51731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 51739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 51747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 51755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 51763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 51771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 51779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 51787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 51795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 51803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 51811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 51819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 51827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 51835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 51843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 51851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 51859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 51867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 51875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 51883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 51891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 51899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 51907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 51915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 51923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 51931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 51939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 51947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 51955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 51963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 51971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 51979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 51987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 51995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52227 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 52259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 52267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 52275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 52283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 52291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 52299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 52307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 52315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 52323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 52331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 52339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 52347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 52355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 52363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 52371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 52379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 52387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 52395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 52403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 52411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 52419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 52427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 52435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 52443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 52451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 52459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 52467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 52483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 52491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 52499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 52507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 52515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 52523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 52531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 52539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 52547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 52555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 52563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 52571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 52579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 52587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 52595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 52603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 52611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 52619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 52627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 52635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 52643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 52651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 52659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 52667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 52675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 52691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 52699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 52707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 52715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 52723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 52731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 52739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 52747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 52755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 52763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 52771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 52779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 52787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 52795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 52803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 52811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 52819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 52827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 52835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 52843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 52851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 52859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 52867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 52875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 52883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 52891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 52899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 52907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 52915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 52923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 52931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 52939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 52947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 52955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 52971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 52979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 52987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 52995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 53073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14687 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 53101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14697 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14709 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 53122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14710 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14719 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14745 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53187 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14757 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14773 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14777 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14792 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14804 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 53265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 53289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14830 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 53331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 53337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14844 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53366 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14851 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14858 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 53395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14874 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 53431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14908 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 53445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14917 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14921 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14925 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14943 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14947 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 53515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14968 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 53584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15029 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 53594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15049 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 53636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 53642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 53648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15053 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 53654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 53660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15062 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 53670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15069 "preproc.y" /* yacc.c:1646  */
    {}
#line 53676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15071 "preproc.y" /* yacc.c:1646  */
    {}
#line 53682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15084 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15088 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 53740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15094 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 53752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15104 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 53766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15114 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 53774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15118 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 53788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15128 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 53796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15132 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 53804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15142 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15143 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 53828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15144 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 53834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15158 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 53882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15166 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 53903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15183 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 53915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15191 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 53942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15214 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15320 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15365 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54123 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15372 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54169 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54175 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15417 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15423 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15432 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15438 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54215 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15445 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15450 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15455 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15456 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15459 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15460 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15461 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15462 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15463 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15466 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15474 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15481 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 54310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 54328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15490 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15498 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15505 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 54370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 54376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15507 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 54382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15517 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 54399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15526 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 54488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15615 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 54503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 54515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 54521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15630 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 54530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 54554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 54560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 54572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 54590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15670 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 54612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15686 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15691 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15698 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15703 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15710 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 54681 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15719 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 54692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 54716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 54722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 54734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 54740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15744 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 54769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15751 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 54785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15763 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 54795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15769 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 54806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15776 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 54816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 54822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15797 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 54837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15808 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 54846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15819 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 54852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15827 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 54858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 54864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15840 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 54872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15846 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 54884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15854 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 54892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15859 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 54898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15867 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 54904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15874 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 54910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15878 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 54916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15886 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 54924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15892 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 54936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15901 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 54944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15906 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 54957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15916 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 54970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15926 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 54984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15937 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 54990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15938 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 54996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15939 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15940 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15941 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15942 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15943 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15944 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15945 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15946 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15947 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15948 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15949 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15950 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15951 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 55092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15963 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 55098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15971 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15972 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15979 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15985 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16003 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16009 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16073 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16079 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16085 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16093 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 55263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16099 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 55273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16105 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 55283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16111 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16117 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16123 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 55313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16129 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 55323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16135 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16141 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 55361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 55367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16157 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 55373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16158 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 55379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 55385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 55391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 55397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 55403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 55409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 55415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 55421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 55427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 55433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 55439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 55445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 55451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 55457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 55463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16173 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 55469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 55475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 55481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 55487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 55493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 55499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 55505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 55511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 55517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 55523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 55529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 55535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 55541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 55547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 55553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 55559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 55565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16195 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 55571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16198 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16203 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16205 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16207 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16208 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16223 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16234 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16235 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 55721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 55727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 55739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16249 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 55745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 55751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16253 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55775 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16260 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 55799 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 55835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 55841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 55847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 55859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 55865 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55871 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 55883 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 55889 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 55895 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 55907 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 55913 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 55919 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16309 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 55928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55934 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55940 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16320 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 55946 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16322 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 55952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16327 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 55964 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16337 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16348 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 55986 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16354 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 55992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16355 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 55998 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16356 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56004 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16360 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56051 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16400 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56071 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16410 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56085 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16420 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56099 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56105 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56111 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56123 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56147 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 56159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56165 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56171 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56177 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 56219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 56225 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 56231 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56255 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 56261 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 56267 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 56273 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16483 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 56279 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 56285 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56291 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 56297 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 56303 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 56309 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56315 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16490 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 56327 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 56333 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 56339 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 56345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56351 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 56357 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16497 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 56363 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 56369 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 56375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 56381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 56387 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 56393 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 56399 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 56411 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56417 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 56423 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56429 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56441 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 56447 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56453 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 56459 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 56465 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56471 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 56477 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 56483 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 56489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56495 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56501 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56507 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 56513 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 56519 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 56525 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 56531 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 56537 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 56543 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 56549 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 56555 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 56561 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 56567 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56573 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56579 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56585 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56591 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56603 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 56609 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 56615 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 56621 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 56627 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 56633 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56639 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56645 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 56655 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56661 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56667 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56673 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56679 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56685 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56691 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56697 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56703 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56709 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16572 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 56722 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56734 "preproc.c" /* yacc.c:1646  */
    break;


#line 56738 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16586 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
